<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>ABR Analysis</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/abr.css" rel="stylesheet" />
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script>
			function showEnlargedImage(freqIndex) {
				tb_url = "enlarge_abr_freq.do?freqIndex="+freqIndex+"&expId="+${expId}+"&TB_iframe=true&height=${enlargedFreqHeight+20}&width=${enlargedFreqWidth+10}";
		 		tb_show(null,tb_url,null);
			}

			$(window).load(function() {
				$("#abrLoading").fadeOut("def", function() {
					$("#mouseChart").fadeIn("def");
				});
			});

		</script>
	</head>
<body>
	<gui:page>
		<gui:pageHeader	name="ABR Analysis For ${mouseName}" />
		<div id='mouseChart' style='display:none;'>
			<form:form commandName="form" action="analysis_abr_mouse.do">
			<%@ include file="abr_mouse_header.jspf"%>
				<gui:mig-box label="Assign ABR Thresholds">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabelABR" width="67px">&nbsp;</td>
							<td width="${chartWidth}px">
								<img src="load_mouse_chart.do?expId=${expId}" height="${singleChartHeight}" width="${chartWidth}px"	usemap="#frequencyMap" id="fmap" />
								<map id='frequencyMap' name='frequencyMap'>
									<c:forEach items="${form.freqExperiments}" var="freq" varStatus="freqLoop">
										<area shape="rect" coords="${singleChartWidth * freqLoop.index}, 437, ${singleChartWidth * freqLoop.index + singleChartWidth}, 18" href="" onclick="showEnlargedImage('${freqLoop.index}'); return false;" />
									</c:forEach>
								</map>
							</td>
							<td>
								<table align="left">
									<tr>
										<td>
											<a class="thickbox thickbox-image" href="download_binary_file.do?id=${calibrationChartId}"><img src="download_binary_file.do?id=${calibrationChartId}" height="180px" /></a>
										</td>
									</tr>
									<tr>
										<td class="abrClick">
											<a class="thickbox thickbox-image" href="download_binary_file.do?id=${clickChartId}"><img src="download_binary_file.do?id=${clickChartId}" height="180px" /></a>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td class="entryLabelABR" width="67px">Thresholds:</td>
							<td>
								<table>
									<tr>
										<c:forEach items="${form.freqExperiments}" var="freq" varStatus="freqLoop">
											<td class="entryDataABR" width="${singleChartWidth}px">
												<form:select path="freqExperiments[${freqLoop.index}].threshold">
												<option value="">&nbsp;</option>
												<form:options items="${form.frequencyLevels[freqLoop.index]}" />
											</form:select></td>
										</c:forEach>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td class="entryLabelABR" width="67px">Comments:</td>
							<td>
								<table>
									<tr>
										<td class="entryData"><form:textarea path="userComments"
											cols="73" /></td>
										<td class="entryLabelABR">Include this experiment?</td>
										<td class="entryData"><form:checkbox path="include" /></td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'"	onmouseout="this.className = 'submit'" />
					<input type="reset"	value="Reset" class="reset"	onmouseover="this.className = 'resetHover'"	onmouseout="this.className = 'reset'" />
					<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</form:form>
		</div>
		<div id="abrLoading">
			<div id="abrLoadingInner">
				<table align='center' border='0' cellpadding='0' cellspacing='0'>
					<tr>
						<td valign='middle'>
							<img src="images/loading-small.gif" />
						</td>
						<td valign='middle'>
							<h1>loading charts...</h1>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</gui:page>
</body>
</html>
