<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
	    <title>ABR Results List</title>
	    <link type="text/css" href="css/migMain.css" rel="stylesheet">
	    <link type="text/css" href="css/thickbox.css" rel="stylesheet">
	    <link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
	    <script type="text/javascript" src="js/jquery.js"></script>
	    <script type="text/javascript" src="js/jquery-calendar.js"></script>
	    <script type="text/javascript" src="js/lookupList.js"></script>
	    <script type="text/javascript" src="js/thickbox.js"></script>
	    <script type="text/javascript" src="js/listViewUtils.js"></script>
	    <script src="js/validateBarcode.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="ABR Results List" />
			<form:form commandName="searchBean" action="search_abr_cohort_sets.do">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<gui:filterBox>
				<table class="filterBox">
					<tr>
						<td>
							<label for="geneAlleleName" class="entryLabel">Gene Name/Allele Short Symbol/Allele Superscript</label>
						</td>
						<td>
							<form:input path="geneAlleleName" />
						</td>
						</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" onclick="setNewQuery('true'); setPaginated('true');" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear" title="Clear search fields" onclick="location.href='search_abr_cohort_sets.do?newQuery=true&bypassForm=true&orderBy=id&orderDesc=true';" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
			<div class="listPaginated" style="margin-top: 10px;">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty abrCohortSets}">
				<table class="listPaginated" id="guiTableNameRequestDetails" style="border: 1px solid #777;">
					<thead class="listPaginatedHeader">
						<tr>
							<th>
							Options
							</th>
							<th nowrap="nowrap" style="">
								<gui:paginate-order-by orderBy="id" bean="${searchBean}">
                                 Cohort Set ID
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="gene_name" bean="${searchBean}">
                                Gene
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="gene_name" bean="${searchBean}">
                             	Allele
								</gui:paginate-order-by>
							</th>


							<th>
								<gui:paginate-order-by orderBy="mice_count" bean="${searchBean}">
								#ABR mice
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="mice_count_i" bean="${searchBean}">
                              	#included and completed mice
								</gui:paginate-order-by>
							</th>
						</tr>
					</thead>
					<c:forEach items="${abrCohortSets}" var="exp">
						<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${exp.id}"/>
						<tr valign="top" class="${rowClass}" style="width: 55px">
							<td style="text-align: center;">
								<c:if test="${exp.micecountI>0}">
								<gui:link-button href="load_abr_chart.do?alleleId=${exp.alleleId}" text="View Graph"/>
								</c:if>
							</td>
						<td><control:if roles="admin,cohortset-admin">
							<control:then>
							<a href="edit_one_cohort_set.do?id=${exp.id}">${exp.id}</a>
							</control:then>
							<control:else>
							${exp.id}
							</control:else>
						</control:if>
						</td>
						<td>${exp.geneName}</td>
						<td>${exp.htmlAlleleSymbol}</td>
						<td>${exp.micecount}</td>
						<td>${exp.micecountI}</td>
					</tr>
					</c:forEach>
				</table>
				<gui:paginate-navigation-bar bean="${searchBean}" />
			    </c:if>
			</div>
    		</form:form>
    	</gui:page>
	</body>
</html>
