<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
	    <title>ABR Mice List</title>
	    <link type="text/css" href="css/migMain.css" rel="stylesheet">
	    <link type="text/css" href="css/thickbox.css" rel="stylesheet">
	    <link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
	    <script type="text/javascript" src="js/jquery.js"></script>
	    <script type="text/javascript" src="js/jquery-calendar.js"></script>
	    <script type="text/javascript" src="js/lookupList.js"></script>
	    <script type="text/javascript" src="js/thickbox.js"></script>
	    <script type="text/javascript" src="js/listViewUtils.js"></script>
	    <script src="js/validateBarcode.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="ABR Experiment List" />
			<form:form commandName="searchBean" action="search_abr_mice.do">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<gui:filterBox>
				<table class="filterBox">
					<tr>
						<td>
							<label for="genePrimaryName" class="entryLabel">Gene</label>
						</td>
						<td>
							<form:input path="genePrimaryName" />
						</td>
						<td>
							<label for="colonyPrefix" class="entryLabel">Colony</label>
						</td>
						<td>
							<form:input path="colonyPrefix"/>
						</td>
						<td>
							<label for="mouseBarcode" class="entryLabel">Mouse ID/Barcode</label>

						</td>
						<td>
							<form:input path="mouseBarcode" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateBarcode(this, 'mouseId','mouse');setTimeout('submitIfValid()',1000);"/>
							<form:hidden path="mouseId" />
						</td>
						<td>
							<label for="experimentDate" class="entryLabel">Experiment Date </label>
						</td>
						<td>
							<form:input cssClass="date" path="experimentDate" onblur="validateDateTime(this, true, false);"/>
							<gui:dateTimePicker path="experimentDate" datePicker="true" timePicker="false" autoPopUp="both" />
						</td>
						</tr>
						<tr>
						<td>
						<label for="status" class="entryLabel">Analysis Status</label>
						</td>
						<td>
						<form:select path="status">
								<option value="">&nbsp;</option>
									<form:options items="${statuses}"/>
								</form:select>
						</td>
						<td>
						<label for="status" class="entryLabel">Genotype</label>
						</td>
						<td>
						<form:select path="wildtype">
							<option value="">&nbsp;</option>
							<form:options items="${wildtypes}"/>
						</form:select>
						</td>
						<td>
						<label for="includeExperiment" class="entryLabel">Experiment Included</label>
						</td>
						<td>
						<form:select path="includeExperiment">
							<option value="">&nbsp;</option>
							<form:options items="${include}"/>
						</form:select>
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" onclick="setNewQuery('true'); setPaginated('true');" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear" title="Clear search fields" onclick="location.href='search_abr_mice.do?newQuery=true&bypassForm=true&orderBy=id&orderDesc=true';" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
			<div class="listPaginated" style="margin-top: 10px;">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty abrMiceExp}">
				<table class="listPaginated" id="guiTableNameRequestDetails" style="border: 1px solid #777;">
					<thead class="listPaginatedHeader">
						<tr>
							<th align="center">
								Options
							</th>
							<th>
								<gui:paginate-order-by orderBy="id" bean="${searchBean}">
                                 Experiment ID
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="mouse_name" bean="${searchBean}">
                                Mouse Name
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="rfid_tag" bean="${searchBean}">
                             	RFID
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="ear_clip" bean="${searchBean}">
                             	Ear Clip
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="colony_prefix" bean="${searchBean}">
                              	Colony
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="gene_primary_name" bean="${searchBean}">
                              	Gene
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="short_allele_symbol" bean="${searchBean}">
                              	Allele
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="genotype" bean="${searchBean}">
								Genotype
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="experiment_date" bean="${searchBean}">
								Experiment Date
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="process_status" bean="${searchBean}">
								Analysis Status
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="include_experiment" bean="${searchBean}">
								Include Experiment
								</gui:paginate-order-by>
							</th>
						</tr>
					</thead>
					<c:forEach items="${abrMiceExp}" var="exp">
						<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${exp.experimentId}"/>
						<tr valign="top" class="${rowClass}">
							<td width="150px" align="center" nowrap="nowrap">
								<gui:link-button style="width: 70px" href="analysis_abr_mouse.do?expId=${exp.experimentId}" text="Analyse" />
								<gui:link-button style="width: 70px" href="download_binary_file.do?id=${exp.binaryFileId}" text="Download" />
							</td>
							<td>
								${exp.experimentId}
							</td>
							<td>
								${exp.mouseName}
							</td>
							<td>
							  	${exp.rfidTag}
							</td>
							<td>
							  	${exp.earClip}
							</td>
							<td>
							  	${exp.colonyPrefix}
							</td>
							<td>
							  	${exp.genePrimaryName}
							</td>
							<td>
							<span class="alleleNameABR">${exp.shortAlleleSymbol}</span>
							<sup class="alleleNameSuperABR">${exp.officialNameSuperscript}</sup>
							</td>
							<td>
							  	${exp.genotype}
							</td>
							<td>
								<fmt:formatDate value="${exp.experimentDate}" pattern="dd-MMM-yyyy" />
							</td>
							<td>
							${exp.processStatus}
							</td>
							<td>
							${exp.includeExperiment}
							</td>
						</tr>
					</c:forEach>
				</table>
				<gui:paginate-navigation-bar bean="${searchBean}" />
			    </c:if>
			</div>
    		</form:form>
    	</gui:page>
	</body>
</html>
