<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/graph_reporting.css" rel="stylesheet" />
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<style>
			div.summaryTables {
				margin-top: 15px;
				width: 100%;
			}
			td.summaryTable {
				vertical-align: top;
				width: 100%;
				padding: 0px;
			}
			table.description {
				margin-bottom: 20px;
			}
			table.mutant, table.control {
			    width: 100%;
			    font-size: 9pt;
			    border: 1px solid gray;
			}
			table.mutant td, table.control td {
			    font-size: 9pt;
			}
			td.age, td.values, td.valuesSummary {
			    text-align: right;
			    padding-right: 5px;
			}
			td.valuesSummary, td.headingSummary {
				font-weight: bold;
			}
			td.sex {
			    text-align: center;
			}
			span.tableHeaderControl, span.tableHeaderMutant {
			    text-align: left;
			    border: 1px solid gray;
			    border-top: 1px solid gray;
			    border-bottom: 0px;
			    width: 62px;
			    padding: 2px;
			    padding-right: 4px;
			    padding-bottom: 0px;
			    font-weight: bold;
			    font-size: 11pt;
			}
			thead.controlHeader {
				text-align: center;
			}
			div.centralContainer {
				width: 1220px;
			}
			@media print {
				div.centralContainer {
					width: 910px;
				}
				table.mutant, table.control {
			 		border: 1px solid black;
					font-size: 6pt;
					color: black;
				}
				table.mutant td, table.control td {
				    font-size: 6pt;
				}
				th {
					color: black;
					font-size: 6pt;
					border: 0px;
				}
				span.tableHeaderControl, span.tableHeaderMutant {
					border: 1px solid black;
					border-bottom: 0px;
				}
				img {
					width: 900px;
				}
				a, a:link, a:visited {
					color: black;
					font-weight: normal;
				}
				div.summaryTables {
					width: 900px;
				}
			}
		</style>
	</head>
	<body>
		<gui:page>
			<div class="centralContainer"><span class="title">Auditory Brainstem Response(ABR) measurement for <i>${gene} - ${allele}</i></span>
				<table class="description">
					<tr>
						<td class="description">${abr.description}</td>
					</tr>
				</table>
				<div>
					<c:if test="${! empty mgpGraph}">
					<img src='<%=response.encodeURL("getchart.chart?img=linechart_")%>${graphIdP2}'	usemap="#map_${graphIdP2}" border="0">
					<map name="map_${graphIdP2}">${imageMap2}</map>
					<div class="summaryTables">
						<table style="width: 100%" cellpadding="0" cellspacing="0">
							<tbody>
								<tr>
									<%@ include file="mgpSummaryTable.jspf"%>
								</tr>
							</tbody>
						</table>
					</div>
					</c:if>
					<c:if test="${! empty t27Graph}">
					<img src='<%=response.encodeURL("getchart.chart?img=linechart_")%>${graphIdP27}' usemap="#map_${graphIdP27}" border="0">
					<map name="map_${graphIdP27}">${imageMap27}</map>
					<div class="summaryTables">
						<table style="width: 100%" cellpadding="0" cellspacing="0">
							<tbody>
								<tr>
									<%@ include file="t27SummaryTable.jspf"%>
								</tr>
							</tbody>
						</table>
					</div>
					</c:if>
				</div>
			</div>
		</gui:page>
	</body>
</html>

