<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Allele Information Record</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/toggleVisibility.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
		<script type="text/javascript">
			function initElements() {

				addParent("allele.multiGeneRegion");
				addChild("allele.multiGeneRegionDescrip","true","${form.allele.multiGeneRegionDescrip}","","toggleMultiGeneRegion");
				addChild("allele.multipleGeneName","true","${form.allele.multipleGeneName}","","toggleMultiGeneName");
				addChild("allele.locus.chromosomeName","true","${form.allele.locus.chromosomeName}","","toggleLocus");
				addChild("allele.locus.chromosomeStart","true","${form.allele.locus.chromosomeStart}","","toggleLocus");
				addChild("allele.locus.chromosomeEnd","true","${form.allele.locus.chromosomeEnd}","","toggleLocus");
				addChild("allele.locus.buildId","true","${form.allele.locus.buildId}","","toggleLocus");
				addChild("ensemblOrVega","false","${form.ensemblOrVega}","","toggleSingleGene");
				addChild("primaryName","false","${form.primaryName}","","toggleSingleGene");

				addParent("allele.hasAssociatedPhenotype");
				addChild("allele.phenotypeDescription","Yes","${form.allele.phenotypeDescription}","","togglePhenotypeDescription");

				initElementVisibility();

			}

			function refreshAlleleNameSpan(field) {
				var alleleNameSpan = document.getElementById("span_alleleName");
				var alleleName = field.value;
				if(alleleName == "") alleleName = "(no allele)";
				alleleNameSpan.innerHTML = alleleName;
			}

			function refreshGeneNameSpan(field) {
				var geneNameSpan = document.getElementById("span_geneName");
				var geneName = field.value;
				if(geneName == "") geneName = "(no gene)";
				geneNameSpan.innerHTML = geneName;
			}

			function lookupListPostProcessing() {
				var field = document.getElementById("primaryName");
				refreshGeneNameSpan(field);
			}

			function updateMutationClass(mutationNature, recordId) {

				var mutationClass = document.getElementById("allele.mutationClassDictId");
				// only change field if it's blank
				if(recordId == "") {
					if(mutationNature == 1 || mutationNature == 2 || mutationNature == 3) {
						mutationClass.selectedIndex = 1;
					}
					else if(mutationNature == 4 || mutationNature == 5)  {
						mutationClass.selectedIndex = 2;
					}

					return true;
				}
				else {
					return false;
				}
			}

			function deleteFile(fileId) {

				if(confirm("This operation will be performed immediately and cannot be undone.\nClick OK to proceed.")) {
					document.forms[0].changeForm.value = "deleteFile";
					document.forms[0].changeFormValue.value = fileId;
					document.forms[0].submit();
				}
			}

			function addSynonym() {
				var alleleSynonym = document.getElementById("alleleSynonymInput");
				document.forms[0].changeForm.value = "addSynonym";
				document.forms[0].submit();
			}

			function deleteSynonym(alleleSynonym) {
				document.forms[0].changeForm.value = "deleteSynonym";
				document.forms[0].changeFormValue.value = alleleSynonym;
				document.forms[0].submit();
			}
		</script>
	</head>

	<body onLoad="initElements()">
		<gui:page>
			<gui:pageHeader>
				<c:if test="${form.allele.id == null}">
					Enter New Allele
				</c:if>
				<c:if test="${form.allele.id > 0}">
					Edit Allele:
					<span class="alleleName">${form.allele.htmlAlleleSymbol}</span>
        </c:if>
			</gui:pageHeader>

			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />

			<form:form commandName="form" action="edit_allele_info.do" enctype="multipart/form-data">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<table width="100%" cellpadding="0" cellspacing="0">
					<tr valign="top">
						<td style="padding: 0px 8px 0px 0px; width: 50%;">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td class="entryLabel" width="120px">
											Allele Maker:
										</td>
										<td class="entryData">
											<gui:formPopup path="personName" cssClass="person" onclick="openLookupList('lookup_person.do','personId=allele.alleleMakerId')" />
											<form:hidden path="allele.alleleMakerId" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="120px">
											OR External Maker:
										</td>
										<td class="entryData">
											<form:input path="allele.externalMakerName" size="40" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td style="padding: 0px; width: 50%;">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td class="pageHeader" align="center">
											<span id="span_geneName" class="alleleName"> <c:out value="${form.allele.migGene.primaryName}" default="(no gene)" /> </span>
											<sup>
												<span id="span_alleleName" class="alleleName"> <c:out value="${form.allele.officialNameSuperscript}" default="(no allele)" /> </span>
											</sup>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td style="width: 50%; vertical-align: top;">
								<table>
									<tr>
										<td class="entryLabel" width="40%">
											Official Allele Name
											<span class='formError'>*</span>:
										</td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" path="allele.officialNameSuperscript" onkeyup="refreshAlleleNameSpan(this)" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="40%">
											Short Allele Symbol
                      <span class='formError'>*</span>:
										</td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" path="allele.shortAlleleSymbol" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="40%">
											Internal Name:
										</td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" path="allele.internalName" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="40%">
											Nature of Mutation
											<span class='formError'>*</span>:
										</td>
										<td class="entryData">
											<form:select path="allele.mutationNatureDictId" onchange="updateMutationClass(this.value, '${form.allele.id}')">
												<option value=''>
													Please Select Nature of Mutation
												</option>
												<form:options items="${mutationNatures}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="40%">
											Mutation Class
											<span class='formError'>*</span>:
										</td>
										<td class="entryData">
											<control:if roles="admin">
												<control:then>
													<c:if test="${!empty form.allele.id}">
														<c:set var="disableMutationClass" value="false" />
													</c:if>
												</control:then>
												<control:else>
													<c:if test="${!empty form.allele.id}">
														<c:set var="disableMutationClass" value="true" />
													</c:if>
												</control:else>
											</control:if>
											<form:select path="allele.mutationClassDictId" disabled="${disableMutationClass}">
												<option value=''>
													Please Select Mutation Class
												</option>
												<form:options items="${mutationClasses}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="40%">
											Does this allele affect multiple genes?
										</td>
										<td class="entryData">
											<form:select path="allele.multiGeneRegion" onchange="toggleChildElementVisibility(this)">
												<form:options items="${yesNo}" />
											</form:select>
										</td>
									</tr>
									<tr id="toggleMultiGeneName">
										<td class="entryLabel" width="40%">
											Enter multi-gene region name:
										</td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" path="allele.multipleGeneName" onkeyup="refreshGeneNameSpan(this)" />
										</td>
									</tr>
									<tr id="toggleMultiGeneRegion">
										<td class="entryLabel" width="40%">
											Multiple Gene Description:
										</td>
										<td class="entryData">
											<form:textarea path="allele.multiGeneRegionDescrip" rows="4" cssStyle="width: 90%" />
										</td>
									</tr>
									<tr id="toggleSingleGene">
										<td class="entryLabel" width="40%">
											Single Gene:
										</td>
										<td class="entryData">
											<gui:formPopup path="ensemblOrVega" size="40"
												onclick="openLookupList('lookup_miggene.do', 'geneId=allele.migGeneId,buildGenePrimaryName=ensemblOrVega,primaryName=primaryName,locusId=allele.locusId,chromosome=allele.locus.chromosomeName,start=allele.locus.chromosomeStart,end=allele.locus.chromosomeEnd,buildId=allele.locus.buildId');" />
											<form:hidden path="allele.migGeneId" />
											<form:hidden path="primaryName" />
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table width="100%">
									<tr>
										<td class="entryLabel" style="text-align: left;">
											Allele Synonyms:
										</td>
									</tr>
									<tr>
										<c:if test="${!empty form.allele.alleleSynonyms}">
											<td>
												<div align="left">
													<table class="listNonPaginated" id="guiTableAlleleSynonyms" style="width: 50%;">
														<c:forEach items="${form.allele.alleleSynonyms}" var="synonym">
															<tr class="${rowClass}">
																<td>
																	${synonym.alleleSynonymText}
																</td>
																<td width="15px">
																	<img src="images/delete.gif" border="0" title="Delete this allele synonym" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';"
																		onclick="deleteSynonym('${synonym.alleleSynonymText}')" />
																</td>
															</tr>
														</c:forEach>
													</table>
												</div>
											</td>
										</c:if>
										<c:if test="${empty form.allele.alleleSynonyms}">
											<td>
												No synonyms specified.
											</td>
										</c:if>
									</tr>
									<tr>
										<td style="padding: 0px;">
											<table cellpadding="0" cellspacing="0">
												<tr>
													<td style="width: 400px;">
														<form:input cssClass="migFormTextField" path="alleleSynonym" cssStyle="width: 260px;" id="alleleSynonymInput" />
														&nbsp;
														<gui:link-button text="add synonym(s)" style="width: 100px;" onclick="addSynonym()" />
													</td>
													<td>
														For multiple synonyms please
														<br />
														enter a comma separated list.
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="text-align: left;" />
											Allele Description:
										</td>
									</tr>
									<tr>
										<td rowspan="6" >
											<form:textarea path="allele.alleleDescription" cssStyle="height: 120px; width: 99%;" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div id="toggleLocus">
					<gui:mig-box label="Locus Information (if known)">
						<form:hidden path="allele.locusId" />
						<table class="migBoxInner">
							<tr>
								<td class="entryLabel">
									Chromosome:
								</td>
								<td class="entryData">
									<form:select path="allele.locus.chromosomeName">
										<option value="">
											Please Select Chromosome
										</option>
										<c:forTokens items="${chromosomeList}" delims="," var="token">
											<form:option value="${token}" />
										</c:forTokens>
									</form:select>
								</td>
								<td class="entryLabel">
									Start Coordinate:
								</td>
								<td class="entryData">
									<form:input cssStyle="width: 100px" cssClass="migFormTextField" path="allele.locus.chromosomeStart" />
								</td>
								<td class="entryLabel">
									End Coordinate:
								</td>
								<td class="entryData">
									<form:input cssStyle="width: 100px" cssClass="migFormTextField" path="allele.locus.chromosomeEnd" />
								</td>
								<td class="entryLabel">
									Ensembl/Vega Build:
								</td>
								<td class="entryData">
									<form:select path="allele.locus.buildId">
										<option value="">
											Please Select Ensembl/Vega Build
										</option>
										<form:options items="${allGeneBuilds}" itemValue="id" itemLabel="geneBuildDescription" />
									</form:select>
								</td>
							</tr>
						</table>
					</gui:mig-box>
				</div>

				<gui:mig-box label="Genotyping Information">
					<table class="migBoxInner">
						<tr>
							<td width="700px" valign="top">
								<table>
									<tr>
										<td width="140px" class="migBoxInnerHeading">
											PCR Primers
										</td>
										<td align="left" width="250px" colspan="2" class="migBoxInnerSubHeading">
											Wildtype
										</td>
										<td width="15px"></td>
										<td align="left" width="250px" colspan="2" class="migBoxInnerSubHeading">
											Allele
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											5'&nbsp;Forward:
										</td>
										<td class="entryData" colspan="2">
											<form:input cssClass="migFormTextField" cssStyle="width: 250px;" path="allele.genotypeTest.wildtypePrimerPair.fivePrimeForward" />
										</td>
										<td></td>
										<td class="entryData" colspan="2">
											<form:input cssClass="migFormTextField" cssStyle="width: 250px;" path="allele.genotypeTest.allelePrimerPair.fivePrimeForward" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											3'&nbsp;Reverse:
										</td>
										<td class="entryData" colspan="2">
											<form:input cssClass="migFormTextField" cssStyle="width: 250px;" path="allele.genotypeTest.wildtypePrimerPair.threePrimeReverse" />
										</td>
										<td></td>
										<td class="entryData" colspan="2">
											<form:input cssClass="migFormTextField" cssStyle="width: 250px;" path="allele.genotypeTest.allelePrimerPair.threePrimeReverse" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="140px">
											Melt&nbsp;Temp:
										</td>
										<td class="entryData" width="80px" style="padding-right: 0px;">
											<form:input cssClass="migFormTextField" cssStyle="width: 90px;" path="allele.genotypeTest.wildtypePrimerPair.meltTemp" />
										</td>
										<td class="entryData" style="padding-left: 0px;" width="185px">
											&deg;C
										</td>
										<td></td>
										<td class="entryData" width="80px" style="padding-right: 0px;">
											<form:input cssClass="migFormTextField" cssStyle="width: 90px;" path="allele.genotypeTest.allelePrimerPair.meltTemp" />
										</td>
										<td class="entryData" style="padding-left: 0px;" width="160px">
											&deg;C
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Expected&nbsp;Size:
										</td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" cssStyle="width: 90px;" path="allele.genotypeTest.wildtypePrimerPair.expectedSize" />
										</td>
										<td class="entryData" style="padding-left: 0px;">
											Bases
										</td>
										<td></td>
										<td class="entryData">
											<form:input cssClass="migFormTextField" cssStyle="width: 90px;" path="allele.genotypeTest.allelePrimerPair.expectedSize" />
										</td>
										<td class="entryData" style="padding-left: 0px;">
											Bases
										</td>
									</tr>

								</table>
							</td>
							<td valign="top">
								<table style="width: 100%;">
									<tr>
										<td class="migBoxInnerSubHeading" style="text-align: left;">
											Genotyping Description:
										</td>
									</tr>
									<tr>
										<td class="entryData">
											<form:textarea path="allele.genotypeTest.description" cssStyle="height: 129px; width: 99%;" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<table width="100%">
					<tr valign="top">
						<td width="50%">
							<gui:mig-box label="Phenotyping Information">
								<table class="migBoxInner">
									<tr>
										<td class="entryLabel" width="200px">
											Mode of Inheritance
											<span class='formError'>*</span>:
										</td>
										<td class="entryData">
											<form:select path="allele.inheritanceModeDictId">
												<option value="">
													Please Select Mode of Inheritance
												</option>
												<form:options items="${inheritanceModes}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>

									</tr>
									<tr>
										<td class="entryLabel">
											Homozygous Lethal?
											<span class='formError'>*</span>
										</td>
										<td class="entryData">
											<form:select path="allele.whetherHomozygousLethal">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${yesNoUnknown}" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Has Associated Phenotype?
											<span class='formError'>*</span>
										</td>
										<td class="entryData">
											<form:select path="allele.hasAssociatedPhenotype" onchange="toggleChildElementVisibility(this)">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${yesNoUnknown}" />
											</form:select>
										</td>
									</tr>
									<tr id="togglePhenotypeDescription">
										<td class="entryLabelT">
											Phenotype Description:
										</td>
										<td class="entryData" colspan="2">
											<form:textarea path="allele.phenotypeDescription" rows="4" cssStyle="width: 99%;" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td>
							<gui:mig-box label="Uploaded Gel Images">
								<table class="migBoxInner">
									<tr>
										<td class="entryLabel" width="120px">
											File Location:
										</td>
										<td>
											<input type="file" name="uploadFile" size="60" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" width="120px">
											File Description:
										</td>
										<td class="entryData">
											<form:input path="binaryFile.fileDescription" size="75" />
										</td>
									</tr>
									<c:forEach items="${form.allele.gelImages}" var="file">
										<tr>
											<td align="right">
												<gui:link-button text="delete" onclick="deleteFile('${file.id}')" />
											</td>
											<td class="viewData">
												${file.fileDescription} (${file.fileName})
											</td>
										</tr>
									</c:forEach>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>

				<div class="submitButtons">
					<input type="submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" name="_finish" value="Submit" onclick='style="cursor:wait"; return true;' />
					<input type="reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" value="Reset"
						onclick="toggleMultiGeneRegionDescrip('${form.allele.multiGeneRegion}', '${form.allele.locusId}', 'false');togglePhenotypeDescrip('${form.allele.hasAssociatedPhenotype}')" />
					<input type="button" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" name="_cancel" value="Cancel" onclick="history.back()" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
