<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Allele Information</title>
		<meta http-equiv="Content-Type"	content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">
			function clearSearch() {
				document.getElementById("allele.mutationNatureDictId").selectedIndex = 0;
				document.getElementById("allele.inheritanceModeDictId").selectedIndex = 0;
				document.getElementById("filterByOption").selectedIndex = 0;
				document.getElementById("filterByValue").value = "";
				setNewQuery('true');
				setPaginated('true');
				setOrderBy('ID');
				submitForm();
			}
			
			function scrollToID()
			{
				var query = window.location.search.substring(1);
				var vars = query.split("&");
				for (var i=0;i<vars.length;i++) {
					var pair = vars[i].split("=");
					if (pair[0] == 'currentRecordId') {
						document.location = '#' + pair[1];
					}
				}
			}
		</script>
	</head>
	<body onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Allele Information" />
			<form:form commandName="searchBean" action="list_allele_info.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">
							Filter by 								
						</td>
						<td class="filterData">
							<form:select path="filterByOption">
								<option value="">-- Choose Option --</option>
								<form:options items="${filterOptions}" itemLabel="displayText" itemValue="name"/>
							</form:select>
							<form:input path="filterByValue" />
						</td>
						<td class="filterLabel">
							Mutation Nature
						</td>
						<td class="filterData">
							<form:select path="allele.mutationNatureDictId"
								onchange="setNewQuery('true');setPaginated('true');submitForm();">
								<option value="">
									All
								</option>
								<form:options items="${mutationNatures}" itemValue="id"
									itemLabel="name" />
							</form:select>
						</td>
						<td class="filterLabel">
							Inheritance Modes
						</td>
						<td class="filterData">
							<form:select path="allele.inheritanceModeDictId"
								onchange="setNewQuery('true');setPaginated('true');submitForm();">
								<option value="">
									All
								</option>
								<form:options items="${inheritanceModes}" itemValue="id"
									itemLabel="name" />
							</form:select>
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="button" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true'); submitForm();" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick="clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
					
			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty alleles}">
					<table class="listPaginated" id="guiAlleleListView">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
										ID<br />
									</gui:paginate-order-by>
								</th>
								<th>
									Options
								</th>
								<th>
									<gui:paginate-order-by orderBy="GENE_NAME||OFFICIAL_NAME_SUPERSCRIPT" bean="${searchBean}">
										Official Name<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ALLELE_SYNONYMS" bean="${searchBean}">
										Allele Synonyms<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="INTERNAL_NAME" bean="${searchBean}">
										Internal Name<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="GENE_NAME" bean="${searchBean}">
										Gene Name<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ENSEMBL_ID" bean="${searchBean}">
										Ensembl ID<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="MULTI_GENE_REGION" bean="${searchBean}">
										Affects <br />Multi-Gene<br />Region?
									</gui:paginate-order-by>
								</th>
								<th>
									Region Name
								</th>
								<th>
									Mutation<br />Nature / Class
								</th>
								<th>
									<gui:paginate-order-by orderBy="HAS_ASSOCIATED_PHENOTYPE" bean="${searchBean}">
										Has Assoc.<br />Phenotype?<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="IS_HOMOZYGOUS_LETHAL" bean="${searchBean}">
										Homozygous<br />Lethal?<br />
									</gui:paginate-order-by>
								</th>
								<th>
									Inheritance<br />Mode
								</th>
								<th>
									<gui:paginate-order-by orderBy="ALLELE_MAKER_NAME" bean="${searchBean}">
										Owner<br />(Maker)<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="CREATOR_NAME" bean="${searchBean}">
										Record<br />Entered By<br />
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<c:forEach items="${alleles}" var="record">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}"	recordId2="${record.id}" />
							<tr class="${rowClass}">
								<td id="${record.id}">
									${record.id}
								</td>
								<td align="center">
									<a href="view_one_allele_info.do?id=${record.id}" title="View Allele"> 
										<img src="images/view.gif" title="View Allele">&nbsp; </a>
									<control:if roles="admin,mgp-admin,team87-admin" recordOwnerId="${record.alleleMakerId}">
										<control:then>
											<a href="edit_allele_info.do?id=${record.id}" title="Edit Allele">
												<img src="images/edit.gif" title="Edit Allele">
											</a>
										</control:then>
										<control:else>
											<img src="images/cancelIcon.jpg" style="margin-bottom: 2px">
										</control:else>
									</control:if>
								</td>
								<td>
									${record.htmlAlleleSymbol}
								</td>
								<td>
									${record.alleleSynonyms}
								</td>
								<td>
									${record.internalName}
								</td>
								<td>
									<c:if test="${!empty record.geneId}">
										<a href="view_one_miggene.do?migGeneId=${record.geneId}" title="View Gene">${record.geneName}</a>
									</c:if>
								</td>
								<td>
									${record.ensemblId}
								</td>
								<td>
									<gui:format-boolean booleanValue="${record.multiGeneRegion}"/>											
								</td>
								<td>
									${record.multipleGeneRegionName}
								</td>
								<td>
									${record.mutationNature}
									<c:if test="${!empty record.mutationClass}">
										/ ${record.mutationClass}
									</c:if>
								</td>
								<td>
									${record.hasAssociatedPhenotype}
								</td>
								<td>
									${record.isHomozygousLethal}
								</td>
								<td>
									${record.inheritanceMode}
								</td>
								<td>
									${record.alleleMakerName}
									<c:if test="${!empty record.externalMakerName}">
									(${record.externalMakerName})
									</c:if>
								</td>
								<td>
									${record.creatorName}
								</td>
							</tr>
						</c:forEach>
					</table>
				</c:if>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
