<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>View Allele Information Record</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/frameNavigation.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				View Allele: <span class="alleleName">${allele.htmlAlleleSymbol}</span>
			</gui:pageHeader>

			<control:accessControl roles="admin,mgp-admin,team87-admin">
				<table class=pageView>
					<tr>
						<td class="pageView" valign="top">
							<a href="#" onclick="goPage('edit_allele_info.do?id=${allele.id}', 'alleles');"
								title="Edit Allele Information"><img
									style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
						</td>
					</tr>
				</table>
			</control:accessControl>

			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td style="padding: 0px;">
						<gui:mig-box>
							<table class="migBoxInner">
								<tr>
									<td class="viewLabel" width="120px">
										Allele Maker:
									</td>
									<td class="viewData">
										${allele.alleleMaker.fullName}
									</td>
									<td class="viewLabel" width="120px">
										Team:
									</td>
									<td class="viewData">
										${allele.alleleMaker.team.teamNumber}
									</td>

									<td class="viewLabel" width="120px">
										Team Leader:
									</td>
									<td class="viewData">
										${allele.alleleMaker.team.teamLeader}
									</td>
									<td class="viewLabel" width="120px">
										External Maker:
									</td>
									<td class="viewData">
										${allele.externalMakerName}
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td style="width: 50%; vertical-align: top;">
							<table>
								<tr>
									<td class="viewLabel" width="300px">
										Official Allele Name:
									</td>
									<td class="viewData">
										${allele.officialNameSuperscript}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Short Allele Symbol:
									</td>
									<td class="viewData">
										${allele.shortAlleleSymbol}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Internal Name:
									</td>
									<td class="viewData">
										${allele.internalName}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Nature of Mutation:
									</td>
									<td class="viewData">
										${allele.mutationNature.displayText}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Mutation Class:
									</td>
									<td class="viewData">
										${allele.mutationClass.displayText}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Does this allele affect multiple genes?
									</td>
									<td class="viewData" id="allele.multiGeneRegion">
										<gui:format-boolean booleanValue="${allele.multiGeneRegion}" />
									</td>
								</tr>
								<c:if test="${allele.multiGeneRegion}">
									<tr id="toggleMultiGeneName">
										<td class="viewLabel">
											Multi-gene region name:
										</td>
										<td class="viewData">
											${allele.multipleGeneName}
										</td>
									</tr>
									<tr id="toggleMultiGeneRegion">
										<td class="viewLabel">
											Multiple Gene Description:
										</td>
										<td class="viewData" colspan="7">
											${allele.multiGeneRegionDescrip}
										</td>
									</tr>
								</c:if>
								<c:if test="${!allele.multiGeneRegion}">
									<tr id="toggleSingleGene">
										<td class="viewLabel">
											Single Gene:
										</td>
										<td class="viewData">
											<a href="view_one_miggene.do?migGeneId=${allele.migGene.id}">${allele.migGene.primaryBuildGene.primaryName}</a>
										</td>
									</tr>
								</c:if>
							</table>
						</td>
						<td style="vertical-align: top;">
							<table width="100%">
								<tr>
									<td class="viewLabel" style="text-align: left;">
										Allele Synonyms:
									</td>
								</tr>
								<tr>
									<c:if test="${!empty allele.alleleSynonyms}">
										<td>
											<div align="left">
												<table class="listNonPaginated" id="guiTableAlleleSynonyms" style="width: 50%;">
													<c:forEach items="${allele.alleleSynonyms}" var="synonym">
														<tr class="${rowClass}">
															<td>
																${synonym.alleleSynonymText}
															</td>
														</tr>
													</c:forEach>
												</table>
											</div>
										</td>
									</c:if>
									<c:if test="${empty allele.alleleSynonyms}">
										<td>
											No synonyms speified.
										</td>
									</c:if>
								</tr>
								<tr>
									<td class="viewLabel" style="text-align: left;" width="20%">
										Allele Description:
									</td>
								</tr>
								<tr>
									<td class="viewData">
										<textarea readonly class="readOnly" rows="4" style="width: 99%;" type="_moz">${allele.alleleDescription}</textarea>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>

			</gui:mig-box>
			<div id="toggleLocus">
				<c:choose>
					<c:when test="${!empty allele.locus}">
						<c:set var="locus" scope="page" value="${allele.locus}" />
						<c:set var="build" scope="page" value="${allele.locus.build}" />
					</c:when>
					<c:otherwise>
						<c:set var="locus" scope="page"
							value="${allele.migGene.primaryBuildGene.locus}" />
						<c:set var="build" scope="page"
							value="${allele.migGene.primaryBuildGene.build}" />
					</c:otherwise>
				</c:choose>
				<gui:mig-box label="Locus Information">
					<table class="migBoxInner">
						<tr>
							<td class="viewLabel">
								Chromosome:
							</td>
							<td class="viewData">
								${locus.chromosomeName}
							</td>
							<td class="viewLabel">
								Start Coordinate:
							</td>
							<td class="viewData">
								${locus.chromosomeStart}
							</td>
							<td class="viewLabel">
								End Coordinate:
							</td>
							<td class="viewData">
								${locus.chromosomeEnd}
							</td>
							<td class="viewLabel">
								Ensembl/Vega Build:
							</td>
							<td class="viewData">
								${build.source}&nbsp;${build.version}
							</td>
						</tr>
					</table>
				</gui:mig-box>
			</div>

			<gui:mig-box label="Genotyping Information">
				<table class="migBoxInner">
					<tr>
						<td width="700px" valign="top">
							<table>
								<tr>
									<td width="140px" class="migBoxInnerHeading">
										PCR Primers
									</td>
									<td align="left" width="250px" colspan="2"
										class="migBoxInnerSubHeading">
										Wildtype
									</td>
									<td width="15px"></td>
									<td align="left" width="250px" colspan="2"
										class="migBoxInnerSubHeading">
										Allele
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										5'&nbsp;Forward:
									</td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.wildtypePrimerPair.fivePrimeForward}
									</td>
									<td></td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.allelePrimerPair.fivePrimeForward}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										3'&nbsp;Reverse:
									</td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.wildtypePrimerPair.threePrimeReverse}
									</td>
									<td></td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.allelePrimerPair.threePrimeReverse}
									</td>
								</tr>
								<tr>
									<td class="viewLabel" width="140px">
										Melt&nbsp;Temp:
									</td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.wildtypePrimerPair.meltTemp} &deg;C
									</td>
									<td></td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.allelePrimerPair.meltTemp} &deg;C
									</td>
								</tr>

								<tr>
									<td class="viewLabel">
										Expected&nbsp;Size:
									</td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.wildtypePrimerPair.expectedSize} Bases
									</td>
									<td></td>
									<td class="viewData" colspan="2">
										${allele.genotypeTest.allelePrimerPair.expectedSize} Bases
									</td>
								</tr>

							</table>
						</td>
						<td valign="top">
							<table>
								<tr>
									<td class="migBoxInnerSubHeading" style="text-align: left;">
										Genotyping Description:
									</td>
								</tr>
								<tr>
									<td class="viewData">
										<textarea readonly class="readOnly"
											style="height: 95px; width: 475px" type="_moz">${allele.genotypeTest.description}</textarea>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<table width="100%">
				<tr valign="top">
					<td width="50%">
						<gui:mig-box label="Phenotyping Information">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabel" width="30%">
										Mode of Inheritance:
									</td>
									<td class="viewData">
										${allele.inheritanceMode.displayText}
									</td>

								</tr>
								<tr>
									<td class="viewLabel">
										Homozygous Lethal?
									</td>
									<td class="viewData">
										${allele.whetherHomozygousLethal}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Has Associated Phenotype?
									</td>
									<td class="viewData">
										${allele.hasAssociatedPhenotype}
									</td>
								</tr>
								<c:if test="${allele.hasAssociatedPhenotype == 'Yes'}">
									<tr id="togglePhenotypeDescription">
										<td class="viewLabel top">
											Phenotype Description:
										</td>
										<td class="viewData">
											<textarea readonly class="readOnly"	rows="4" style="width: 100%" type="_moz">${allele.phenotypeDescription}</textarea>
										</td>
									</tr>
								</c:if>
							</table>
						</gui:mig-box>
					</td>
					<td>
						<gui:mig-box label="Gel Images">
							<table class="migBoxInner">
								<c:choose>
									<c:when test="${empty allele.gelImages}">
										<tr>
											<td class="viewData">
												No records found.
											</td>
										</tr>
									</c:when>
									<c:otherwise>
										<c:forEach items="${allele.gelImages}" var="file">
											<tr>
												<td class="viewData">
													<a href="download_binary_file.do?id=${file.id}"> <c:if
															test="${fn:contains(file.contentType,'image')}">
															<img src="download_binary_file.do?id=${file.id}"
																alt="${file.fileDescription}"
																title="${file.fileDescription}" height="100px" />
														</c:if> ${file.fileDescription} (${file.fileName}) </a>
												</td>
											</tr>
										</c:forEach>
									</c:otherwise>
								</c:choose>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
