<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType />
<html>
	<head>
		<title>Allele Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<style>
			ol {
				margin-top: 5px;
				margin-bottom: 0px;
			}
			td.statusTitle {
				padding: 20px 0px 10px 2px;
				font-weight: bold;
				font-size: 18px;
				color: #621700;
			}
			td.status {
				font-weight: bold;
				font-size: 14px;
				padding: 0px 0px 0px 0px;
				margin: 0px 0px 0px 0px;
			}
			td.statusDescription {
				font-weight: normal;
				padding: 0px 0px 10px 30px;
			}
		</style>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Allele Requests - Explanation of the different stages in the construction of a requested allele" />
			<table width="100%">
				<tr>
					<td class="statusTitle" colspan="3">Status Descriptions:
					</td>
				</tr>
				<tr>
					<td width="48%" valign="top">
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td class="status" id="onhold">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=1">On Hold</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The default stage when the request is entered into the tracking database.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationRequested">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=2">Vega: Annotation Requested</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The first step in the process of making an allele is to manually annotate the gene.  This is carried out by the Havana group and the annotation is made publicly available on the Vega website at the next release: <a href="http://vega.sanger.ac.uk/index.html" target="_blank">http://vega.sanger.ac.uk/index.html</a>.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationComplete">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=4">Vega: Annotation Complete</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene has been annotated by the Vega group and if it is not already present on the Vega site, it will be included in the next Vega release.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaNotAnnotatedNoEvidence">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=3">Vega: Not Annotated - No Evidence</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene could not be annotated as there was not enough evidence to do so.  Allele requests are usually put on hold in this status as annotation is required for the design of an allele.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationCompleteDesignRequested">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=34">Vega: Annotation Complete - Design Requested</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene has been annotated and has yet to enter the automated design process.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationCompleteDesignIncomplete">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=35">Vega: Annotation Complete - Design Incomplete</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene has been annotated by the Vega group. Designing a conditional allele is possible; however, the automatic design process did not provide all necessary oligos. Manual intervention with custom design software is needed in order to obtain the complete set of oligos required.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationCompleteDesignComplete">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=30">Vega: Annotation Complete - Design Complete</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene has been annotated and has passed the automated design process.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationCompleteConditionalDesignNotPossible">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=31">Vega: Annotation Complete - Conditional Design Not Possible</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene has been annotated by the Vega group.  Designing a conditional allele has not been possible.  Reasons for no design being possible include the exons all being in phase, too few exons (our automated vector design strategy requires the presence of at least three coding exons), the spacing between exons being too small, etc.  This is an indication that the preferred design of conditional allele is not possible, but the allele may still be generated using an alternative design approach.  An allele request will be put on hold if several design approaches for the same allele fail.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotatedasPseudogene">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=20">Vega: Annotated as Pseudogene</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Manual annotation of the gene sequence by the Vega group indicates that this is a pseudogene.  Allele requests are usually put on hold in this status as the annotation has indicated that the Ensembl predicted gene is not a real gene.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaNotAnnotatedAssemblyProblems">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=15">Vega: Not Annotated - Assembly Problems</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The gene could not be annotated due to problems with the assembly of the sequence.  Allele requests are usually put on hold in this status as annotation is required for the design of an allele.
								</td>
							</tr>
							<tr>
								<td class="status" id="vegaAnnotationCompleteDesign">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=21">T87: Design Requested</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									This status will be phased out as the Havana team clear the genes that were annotated before the new allele design system was implemented at the beginning of November 2006.  Currently it is roughly equivalent to Vega annotation complete.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87DesignCompleted">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=22">T87: Design Completed</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									This status will be phased out as the Havana team clear the genes that were annotated before the new automated design system was implemented at the beginning of November 2006.
								</td>
							</tr>
						</table>
					</td>
					<td width="4%"></td>
					<td width="48%" valign="top">
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td class="status" id="t87OligosOrdered">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=26">T87: Oligos Ordered</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Oligos for recombineering have been ordered for the construction of the targeting vectors.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87IntermediateVectorAvailable">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=27">T87: Intermediate Vector Available</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									A vector has been constructed with gateway cloning sites that has passed QC.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87IntermediateVectorUnsuccessful">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=28">T87: Intermediate Vector Unsuccessful</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The intermediate vector constructed did not pass QC.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87TargetingVectorInitialAttemptUnsuccessful">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=36">T87: Targeting Vector: Initial Attempt Unsuccessful</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									A post gateway targeting vector has been constructed but did not pass the quality control, pending second attempt.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87TargetingVectorAvailable">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=6">T87: Targeting Vector Available</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									A targeting vector (post gateway) has been constructed, has passed quality control and is available for use in ES cells.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87TargetingVectorUnsuccessful">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=29">T87: Targeting Vector Unsuccessful</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									The targeting vector constructed did not pass QC.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87ESCellsAvailable">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=7">T87: ES Cells; Targeting Confirmed</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Targeting events confirmed in ES cells by long-range PCR and sequence verification of 3 loxP site.
								</td>
							</tr>
							<tr>
								<td class="status" id="t87ESCellTargetingUnsuccessful">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=33">T87: ES Cell Promotorless Targeting Unsuccessful</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									First attempt at targeting the locus in ES cells with a promoterless neomycin cassette was unsuccessful.  Re-targeting with a promoter-driven neomycin cassette is in progress.
								</td>
							</tr>
							<tr>
								<td class="status" id="MGPMIRequested">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=8">MGP: MI Requested</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Micro-injection of ES cells for this allele has been requested.  Alleles will have this status even after the first chimaeric pups have been born.  It is not until the pups have proven that they can generate F1 mice with the gene correctly targeted that the status will change to MI Complete.
								</td>
							</tr>
							<tr>
								<td class="status" id="MGPMICompleted">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=9">MGP: MI Completed</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Micro-injection of the ES cells with this allele has yielded mice that carry the allele of interest in their germline.
								</td>
							</tr>
							<tr>
								<td class="status" id="MGPF1mice">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=10">MGP: F1 mice</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Confirmed F1 heterozygous mice have been generated.
								</td>
							</tr><tr>
								<td class="status" id="MGPF2mice">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=11">MGP: F2 mice</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									Confirmed F2 homozygous mice have been generated.
								</td>
							</tr><tr>
								<td class="status" id="MGPPhenotypingComplete">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=13">MGP: Phenotyping Complete</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									A phenotyping dataset is available following the MGP screen.
								</td>
							</tr>
							<tr>
								<td class="status" id="cancelled">
									<a href="list_allele_requests.do?bypassForm=true&alleleRequest.status.id=24">Cancelled</a>
								</td>
							</tr>
							<tr>
								<td class="statusDescription">
									A rarely used status!  This is where the request for an allele has been withdrawn before work has been commenced on it.
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="3" class="statusTitle">
						The steps taken by a successful allele request are as follows:
					</td>
				</tr>
				<tr>
					<td>
						<ol>
							<li>On Hold</li>
							<li>Vega: Annotation Requested</li>
							<li>Vega: Annotation Complete</li>
							<li>Vega: Annotation Complete - Design Complete</li>
							<li>T87: Oligos Ordered</li>
							<li>T87: Intermediate Vector Available</li>
							<li>T87: Targeting Vector Available</li>
							<li>T87: ES Cells Available</li>
						</ol>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
		