<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Allele Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<form:form commandName="form">
			<gui:page>
				<c:if test="${empty form.alleleRequest.id}">
					<gui:pageHeader name="Enter New Allele Requests" showBackUrl="false" />
				</c:if>
				<c:if test="${!empty form.alleleRequest.id}">
					<gui:pageHeader	name="Edit Allele Request #${form.alleleRequest.id}" showBackUrl="false" nameWidth="400px"
						right="<input type='submit' class='submit' name='_finish' value='Submit' onclick='style=\"cursor:wait\"; return true;' />
								<input type='reset' class='reset' value='Reset' />
								<input type='button' class='cancel' name='_cancel' value='Cancel' onclick='history.back();' />">

						<td class="pageHeader">Status:	<form:select cssStyle='statusSelect' path="alleleRequest.status.id">
										<form:options items="${statuses}" itemValue="id" itemLabel="name" />
									</form:select>
					</gui:pageHeader>
				</c:if>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="30%" >
								Gene Name or Ensembl Id:
							</td>
							<td class="entryData" width="50%">
								<form:input cssStyle="width: 150px" path="geneLookupTerm" />
							</td>
							<td width="20%">
								<form:errors path="geneLookupTerm" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Nature of Allele:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.modType.id">
									<form:options items="${modTypes}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Nature of Allele (if 'Other' selected above):
							</td>
							<td class="entryData">
								<form:input path="alleleRequest.modTypeOtherExplanation" cssStyle="width: 700px" maxlength="4000" />
							</td>
							<td>
								<form:errors path="alleleRequest.modTypeOtherExplanation" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Endpoint:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.targetEndpoint.id">
									<form:options items="${targetEndpoints}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Does a knockout mouse exist?:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.knockoutAvailable">
									<form:options items="${knockoutExists}" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								References (including PubMed ID's):
							</td>
							<td class="entryData">
								<form:input path="alleleRequest.knockoutReference" cssStyle="width: 700px" maxlength="4000" />
							</td>
							<td>
								<form:errors path="alleleRequest.knockoutReference" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabelT">
								Comments about the gene (e.g. important domains, splicing etc.):
							</td>
							<td class="entryData">
								<form:textarea path="alleleRequest.comments" cssStyle="height: 50px; width: 700px" />
							</td>
							<td>
								<form:errors path="alleleRequest.comments" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Researcher to work on allele:
							</td>
							<td class="entryData">
								<form:input path="alleleRequest.researcherName" cssStyle="width: 700px" maxlength="4000" />
							</td>
							<td>
								<form:errors path="alleleRequest.researcherName" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabelT">
								Please list your publications on this gene:
							</td>
							<td class="entryData">
								<form:textarea path="alleleRequest.genePublications" cssStyle="height: 50px; width: 700px" />
							</td>
							<td>
								<form:errors path="alleleRequest.genePublications" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabelT">
								Your reasons for requesting allele, e.g. in-house supporting data, experimental rationale:
							</td>
							<td class="entryData">
								<form:textarea path="alleleRequest.reasoning" cssStyle="height: 50px; width: 700px" />
							</td>
							<td>
								<form:errors path="alleleRequest.reasoning" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabelT">
								Your experimental plan for mutant line:
							</td>
							<td class="entryData">
								<form:textarea path="alleleRequest.mutationPlan" cssStyle="height: 50px; width: 700px" />
							</td>
							<td>
								<form:errors path="alleleRequest.mutationPlan" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabelT">
								Please list your publications for any mouse/ES cell mutants:
							</td>
							<td class="entryData">
								<form:textarea path="alleleRequest.mousePublications" cssStyle="height: 50px; width: 700px" />
							</td>
							<td>
								<form:errors path="alleleRequest.mousePublications" cssClass="formError" />
							</td>
						</tr>
						
						<tr>
							<td class="entryLabelT">
								See Also (Team87 Only):
							</td>
							<td class="entryData">
								<form:input path="alleleRequest.seeAlso" maxlength="40" />
							</td>
							<td>
								<form:errors path="alleleRequest.seeAlso" cssClass="formError" />
							</td>
						</tr>
						
						<tr>
							<td class="entryLabel">
								Will you still request the mouse if it has an unexpected phenotype?:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.unexpectedPhenotypeOk">
									<form:options items="${yesNo}" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Request Source:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.source.id">
									<form:options items="${sources}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								MGP Phenotyping Required:
							</td>
							<td class="entryData" colspan="2">
								<form:select path="alleleRequest.mgpPhenotypingRequired">
									<form:options items="${yesNo}" />
								</form:select>
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" name="_finish" value="Submit" onclick='style="cursor:wait"; return true;' />
					<input type="reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" value="Reset" />
					<c:if test="${empty form.alleleRequest.id}">
					<input type="button" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" name="_cancel" value="Cancel" onclick="document.location = 'allele_request_main.do';" />
					</c:if>
					<c:if test="${!empty form.alleleRequest.id}">
					<input type='button' class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" name='_cancel' value='Cancel' onclick='history.back();' />
					</c:if>
				</div>
			</gui:page>
		</form:form>
	</body>
</html>
