<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType />
<html>
	<head>
		<title>Allele Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
   		<script type="text/javascript" src="js/listViewUtils.js"></script>
		<script type="text/javascript" >

		function showMessage(){
			var filterValue = document.getElementById("filterValue");
			var filterBy = document.getElementById("filterBy");

			if (document.getElementById("filterBy").selectedIndex != 0) {
				document.getElementById("searchStringSpan").style.visibility = "visible";

				if(filterBy.value!="") {
					filterValue.value="<Please enter "+filterBy.value+">";
				}else {
				 	filterValue.value="";
				}
				document.getElementById("alleleRequest.status.id").selectedIndex = 0;
				document.getElementById("alleleRequest.source.id").selectedIndex = 0;
				document.getElementById("filterValue").select();
				document.getElementById("filterValue").focus();
			}
			else {
				document.getElementById("filterValue").value = '';
				document.getElementById("searchStringSpan").style.visibility = "hidden";
			}
		}

		function validateInput(){
	    	var filterValue = document.getElementById("filterValue");
			var filterBy = document.getElementById("filterBy");
		 	var isNumber = true;

	      	if(filterBy.value=="Request Number"){
	     	   for (var x = 0; x < filterValue.value.length; x++) {
			      var c = filterValue.value.charAt(x);
			      if ((c >= '0') && (c <= '9')) {
			        continue;
			      } else {
			        isNumber = false;
			        break;
			      }
			   }
			   if(!isNumber){
			   		filterValue.value="<Please enter a valid request number.>";
			   		document.getElementById("filterValue").select();
					document.getElementById("filterValue").focus();
	      	   }
			}
			if (filterValue.value=="<Please enter "+filterBy.value+">") {
				filterValue.focus();
				return false;
			}
			return isNumber;
		}

		function clearFindBy() {
			document.getElementById("filterBy").selectedIndex = 0;
			document.getElementById("filterValue").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}

		function clearSearch() {
			document.getElementById("alleleRequest.status.id").selectedIndex = 0;
			document.getElementById("alleleRequest.source.id").selectedIndex = 0;
			document.getElementById("filterBy").selectedIndex = 0;
			document.getElementById("filterValue").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}

		function submitSearch() {
			if (validateInput()) {
				setNewQuery('true');
				setPaginated('true');
				return true
			}
			else {
				return false;
			}
		}

		function emptyField(){
			var filterValue = document.getElementById("filterValue");
			var c = filterValue.value.charAt(0);
			if(c=='<'){
				filterValue.value = "";
			}
		}

		function scrollToID()
		{
			var query = window.location.search.substring(1);
			var vars = query.split("&");
			for (var i=0;i<vars.length;i++) {
				var pair = vars[i].split("=");
				if (pair[0] == 'currentRecordId') {
					document.location = '#' + pair[1];
				}
			}
		}
		</script>
	</head>
	<body id="body" onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Allele Requests&nbsp;" showPrintFrame="true" right="(<a href='allele_request_statuses.do'>Explanation of statuses</a>)" />
			<form:form commandName="searchBean" action="list_allele_requests.do" method="get" onsubmit="return (submitSearch());">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />

			<%
			if (request.getParameter("filterValue") == null || request.getParameter("filterValue").equals("")) {
				%><c:set var="filterValue" value="hidden"></c:set><%
			} else {
				%><c:set var="filterValue" value="visible"></c:set><%
			}%>

			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">Status</td>
						<td class="filterData">
							<form:select path="alleleRequest.status.id" onchange="clearFindBy(); setFormParam('excel','false');setNewQuery('true');setPaginated('true');submitForm();">
								<option value="">All</option>
								<form:options items="${statuses}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td class="filterLabel">Source</td>
						<td class="filterData">
							<form:select path="alleleRequest.source.id" onchange="clearFindBy(); setFormParam('excel','false');setNewQuery('true');setPaginated('true');submitForm();">
								<option value="">All</option>
								<form:options items="${sources}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td width="20px" align="center" style="font-weight: bold">OR</td>
						<td class="filterLabel">Find by</td>
						<td class="filterData">
							<form:select path="filterBy" onchange="showMessage();">
								<option value=""></option>
								<form:options items="${filters}"/>
							</form:select>
						</td>
						<td class="filterData">
							<span id="searchStringSpan" style="visibility: ${filterValue}">
								<form:input path="filterValue" id="filterValue" cssStyle="width: 200px" onclick="emptyField();"/>
							</span>
						</td>
					</tr>
				</table>
			</gui:filterBox>

			<div class="submitButtons">
				<input type="submit" value="Search" title="Search" onclick="setFormParam('excel','false'); setNewQuery('true');setPaginated('true'); return validateInput();" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>

			<div class="listPaginated" style="margin-top: 10px;">
			<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty results}">

					<table class="listPaginated" id="guiTableNameRequestDetails" style="border: 1px solid #777;">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
										Req.<br />No.<br />
									</gui:paginate-order-by>
								</th>
								<th valign=middle>Options</th>
								<th>
									<gui:paginate-order-by orderBy="status_dict_id" bean="${searchBean}">
									Status<br />
									</gui:paginate-order-by>
								</th>
								<control:accessControl roles="admin,mgp-admin,mgwg">
								<th>
									<gui:paginate-order-by orderBy="user_name" bean="${searchBean}">
									Submitter<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="RESEARCHER_NAME" bean="${searchBean}">
									Researcher<br />
									</gui:paginate-order-by>
								</th>
								</control:accessControl>
								<th>
									<gui:paginate-order-by orderBy="GENE_NAME" bean="${searchBean}">
									Gene<br />Name<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ENSEMBL_ID" bean="${searchBean}">
									Ensembl ID<br />
									</gui:paginate-order-by>
								</th>
								<th class='listView'>
									<gui:paginate-order-by orderBy="vega_id" bean="${searchBean}">
									Vega ID<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="target_endpoint" bean="${searchBean}">
									Endpoint<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="MOD_TYPE" bean="${searchBean}">
									Allele Nature<br />
									</gui:paginate-order-by>
								</th>

								<control:accessControl hideHtml="true" roles="norcomm">
								    <th>
									    <gui:paginate-order-by orderBy="score" bean="${searchBean}">
									    MIG<br />Score<br />
									    </gui:paginate-order-by>
								    </th>

								    <th>
									    <gui:paginate-order-by orderBy="CREATED_DATE" bean="${searchBean}">
									    Requested<br />
									    </gui:paginate-order-by>
								    </th>

								    <th>
									    <gui:paginate-order-by orderBy="edit_date" bean="${searchBean}">
									    Last<br />Updated<br />
									    </gui:paginate-order-by>
								    </th>
								    <th>
									    <gui:paginate-order-by orderBy="MGP_PHENOTYPING_REQUIRED" bean="${searchBean}">
									    MGP<br />Phenotyping<br />
									    </gui:paginate-order-by>
								    </th>
								    <th>
									    <gui:paginate-order-by orderBy="source" bean="${searchBean}">
									    Request<br />Source<br />
									    </gui:paginate-order-by>
								    </th>

								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin,mgwg,norcomm">
									<control:accessControl hideHtml="true" roles="norcomm">
									<th>
										<!-- "&nbsp;" added to force set width, making the field more readable -->
										<gui:paginate-order-by orderBy="REQUEST_REASONING" bean="${searchBean}">
										Reasoning&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />
										</gui:paginate-order-by>
									</th>
									</control:accessControl>
									<th>
										<gui:paginate-order-by orderBy="DESIGN_COUNT" bean="${searchBean}">
										No. of<br />Designs<br />
										</gui:paginate-order-by>
									</th>
								</control:accessControl>

								<control:accessControl roles="admin,team87,team87-admin">
								    <th>
									    <gui:paginate-order-by orderBy="SEE_ALSO" bean="${searchBean}">
									    See&nbsp;Also<br />
									    </gui:paginate-order-by>
								    </th>
								</control:accessControl>
							</tr>
						</thead>
						<c:forEach items="${results}" var="record">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
							<tr class="${rowClass}">
							<td id="${record.id}">${record.id}</td>
							<td align="center">
								<control:accessControl roles="admin,mgp-admin,team110,team87-admin,mgp,mgwg,norcomm" recordOwnerId="${record.requestOwnerId}">
								<a href="view_one_allele_request.do?id=${record.id}" title="View Allele Request">
									<img src="images/view.gif" title="View Allele Request">&nbsp;
								</a>
								</control:accessControl>
								<control:accessControl roles="admin,mgp-admin,team87-admin,team110,mgp,mgwg,norcomm" recordOwnerId="${record.requestOwnerId}" hideHtml="true">
									<img src="images/cancelIcon.jpg">&nbsp;
								</control:accessControl>
								<control:accessControl roles="admin,mgp-admin,team87-admin" recordOwnerId="${record.requestOwnerId}">
									<a href="edit_allele_request.do?id=${record.id}" title="Edit Allele Request">
										<img src="images/edit.gif" title="Edit Allele Request">
									</a>
								</control:accessControl>
								<control:accessControl roles="admin,mgp-admin,team87-admin" recordOwnerId="${record.requestOwnerId}" hideHtml="true">
									<img src="images/cancelIcon.jpg">
								</control:accessControl>
							</td>
								<td><i><span title="${record.statusDescription}">${record.statusName}</span></i></td>

								<control:accessControl roles="admin,mgp-admin,mgwg">
									<td>${record.userName}</td>
									<td>${record.researcherName}</td>
								</control:accessControl>

								<td><a href="view_one_miggene.do?migGeneId=${record.geneId}">${record.geneName}</a></td>
								<td><a href="view_one_miggene.do?migGeneId=${record.geneId}">${record.ensemblId}</a></td>
								<td><a href="view_one_miggene.do?migGeneId=${record.geneId}">${record.vegaId}</a></td>
								<td>${record.targetEndpointName}</td>
								<td>${record.modTypeName}</td>

								<control:accessControl hideHtml="true" roles="norcomm">
								    <td>${record.score}</td>
								    <td width="80px"><fmt:formatDate value="${record.createdDate}" pattern="dd-MMM-yyyy"/></td>
								    <td width="80px"><fmt:formatDate value="${record.editDate}" pattern="dd-MMM-yyyy"/></td>
								    <td>${record.mgpPhenotypingRequiredValue}</td>
								    <td>${record.sourceName}</td>
								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin,mgwg,norcomm">
									<control:accessControl hideHtml="true" roles="norcomm">
									    <td>${record.reasoning}</td>
									</control:accessControl>

									<td>${record.countDesigns}</td>
								</control:accessControl>

								<control:accessControl roles="admin,team87,team87-admin">
								    <td><c:out value="${record.seeAlso}" /></td>
								</control:accessControl>
							</tr>
						</c:forEach>
					</table>

					<div class="exportlinks">Export options
						<a href="#"onclick="setFormParam('excel',true);setPaginated('false');submitForm();"><img src="images/ico_file_excel.png"/>&nbsp;Excel</a>
					</div>
				</c:if>
			<input type="hidden" id="excel" name="excel" value="false"/>
			</div>

			</form:form>
		</gui:page>
	</body>
</html>
