<% response.setHeader("Content-Disposition:", "attachment; filename=AlleleRequests.xls"); %>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<%@ page contentType="application/vnd.ms-excel" pageEncoding="utf-8" %>
<?xml version="1.0"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
xmlns:o="urn:schemas-microsoft-com:office:office"
xmlns:x="urn:schemas-microsoft-com:office:excel"
xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
xmlns:html="http://www.w3.org/TR/REC-html40">
 
<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
            <WindowHeight>8700</WindowHeight>
            <WindowWidth>14235</WindowWidth>
            <WindowTopX>480</WindowTopX>
            <WindowTopY>30</WindowTopY>
            <ProtectStructure>False</ProtectStructure>
            <ProtectWindows>False</ProtectWindows>
</ExcelWorkbook>
 
<Styles>
            <Style ss:ID="Default" ss:Name="Normal">
                        <Alignment ss:Vertical="Bottom"/>
                        <Borders/>
                        <Font/>
                        <Interior/>
                        <NumberFormat/>
                        <Protection/>
            </Style>
            <Style ss:ID="sBold">
                        <Font ss:Bold="1"/>
            </Style>
</Styles>

<Worksheet ss:Name="Allel Requests">
<Table>
                     <Row>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Request Number</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Status</Data></Cell>
                                  <control:accessControl roles="admin,mgp-admin,team110,mgp,mgwg">
                                      <Cell ss:StyleID="sBold"><Data ss:Type="String">Submitter</Data></Cell>
                                      <Cell ss:StyleID="sBold"><Data ss:Type="String">Researcher</Data></Cell>
                                  </control:accessControl>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Gene Name</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Ensembl ID</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Vega ID</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Endpoint</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Allele Nature</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">MIG Score</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Requested</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Last Updated</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">MGP Phenotyping</Data></Cell>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Request Source</Data></Cell>
                                  <control:accessControl roles="admin,team87,team87-admin">
                                       <Cell ss:StyleID="sBold"><Data ss:Type="String">See Also</Data></Cell>
                                  </control:accessControl>
                                  <control:accessControl roles="admin,mgp-admin,team110,mgp,mgwg">
                                      <Cell ss:StyleID="sBold"><Data ss:Type="String">Reasoning</Data></Cell>
                                  </control:accessControl>
                                  <Cell ss:StyleID="sBold"><Data ss:Type="String">Number of Designs</Data></Cell>
                                
                      </Row>
                      
                      <c:forEach items="${results}" var="record">
				<Row>
				<Cell><Data ss:Type="String"><c:out value="${record.id}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.statusName}" /></Data></Cell>
				<control:accessControl roles="admin,mgp-admin,team110,mgp,mgwg">
				    <Cell><Data ss:Type="String"><c:out value="${record.userName}" /></Data></Cell>
				    <Cell><Data ss:Type="String"><c:out value="${record.researcherName}" /></Data></Cell>
				</control:accessControl>
				<Cell><Data ss:Type="String"><c:out value="${record.geneName}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.ensemblId}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.vegaId}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.targetEndpointName}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.modTypeName}" /></Data></Cell>
				<Cell><Data ss:Type="Number"><c:out value="${record.score}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.createdDate}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.editDate}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.mgpPhenotypingRequiredValue}" /></Data></Cell>
				<Cell><Data ss:Type="String"><c:out value="${record.sourceName}" /></Data></Cell>
				<control:accessControl roles="admin,team87,team87-admin">
					<Cell><Data ss:Type="String"><c:out value="${record.seeAlso}" /></Data></Cell>
				</control:accessControl>
				<control:accessControl roles="admin,mgp-admin,team110,mgp,mgwg">
				    <Cell><Data ss:Type="String"><c:out value="${record.reasoning}" /></Data></Cell>
				</control:accessControl>
				<Cell><Data ss:Type="Number"><c:out value="${record.countDesigns}" /></Data></Cell>
			
			</Row>
		</c:forEach>
</Table>
</Worksheet>
</Workbook>

