<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Allele Request Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				Allele Request #${model.alleleRequest.id}
			</gui:pageHeader>
			<control:accessControl roles="admin,mgp-admin,team87-admin">
			<table class=pageView>
				<tr>
					<td class="pageView" valign="top">
						<a href="edit_allele_request.do?id=${model.alleleRequest.id}" title="Edit Allele Request"><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
					</td>
				</tr>
			</table>
			</control:accessControl>

			<gui:mig-box label="">
				<table class="migBoxInner" id="alleleRequestDetailTable">
					<control:accessControl roles="admin,mgp-admin,mgwg,norcomm">
					<tr>
						<td class="viewLabel" width="270px">
							Researcher:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.researcherName}" />&nbsp;
						</td>
					</tr>
					<control:accessControl hideHtml="true" roles="norcomm">
					<tr>
						<td class="viewLabel">
							Submitter:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.requestOwner.fullName}" />&nbsp;
						</td>
					</tr>
					</control:accessControl>
					</control:accessControl>
					<tr>
						<td class="viewLabel" width="270px">
							Gene Name:
						</td>
						<td class="viewData">
							<c:out value="${model.gene.primaryName}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Ensembl ID:
						</td>
						<td class="viewData">
							<c:out value="${model.gene.primaryEnsemblBuildGene.primaryName}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Target Endpoint:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.targetEndpoint.name}" />&nbsp;
						</td>
					</tr>
					<control:accessControl hideHtml="true" roles="norcomm">
					<tr>
						<td class="viewLabel">
							Last Updated:
						</td>
						<td class="viewData">
							<fmt:formatDate value="${model.alleleRequest.editDate}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
					</control:accessControl>
					<tr>
						<td class="viewLabelT">
							Comments:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.comments}" />&nbsp;
						</td>
					</tr>
					<control:accessControl roles="admin,mgp-admin,mgwg">
					<tr>
						<td class="viewLabelT">
							Reasoning:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.reasoning}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Phenotyping Plan:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.mutationPlan}" />&nbsp;
						</td>
					</tr>
					</control:accessControl>
					<tr>
						<td class="viewLabel">
							Unexpected Phenotype Acceptable:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${model.alleleRequest.unexpectedPhenotypeOk}">Yes</c:when>
								<c:otherwise>No</c:otherwise>
							</c:choose>&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Knockout Exists:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.knockoutAvailable}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Chromosome:
						</td>
						<td class="viewData">
							${model.gene.primaryBuildGene.locus.chromosomeName}&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Knockout Reference:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.knockoutReference}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Allele Nature:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.modType.name}" />
							<c:if test="${model.alleleRequest.modTypeOtherExplanation != ''}">									
								&nbsp;&nbsp;${model.alleleRequest.modTypeOtherExplanation}
							</c:if>&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Requester Assigned Priority:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.priority}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Review Comments:
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.reviewComments}" />&nbsp;
						</td>
					</tr>
					<control:accessControl hideHtml="true" roles="norcomm">
					<tr>
						<td class="viewLabel">
							Mgp Phenotyping Required:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${model.alleleRequest.mgpPhenotypingRequired}">Yes</c:when>
								<c:otherwise>No</c:otherwise>
							</c:choose>&nbsp;
						</td>
					</tr>
					</control:accessControl>
					
					<control:accessControl roles="admin,team87,team87-admin">
					<tr>
						<td class="viewLabel">
							See Also (Team87 Only):
						</td>
						<td class="viewData">
							<c:out value="${model.alleleRequest.seeAlso}" />&nbsp;
						</td>
					</tr>
					</control:accessControl>
					
				    <tr>
						<td class="viewLabel">
							Design Ids fulfilling Request:
						</td>
						<td class="viewData">
							<c:forEach items="${model.alleleRequest.designs}" var="record">
							   <a href="view_one_design.do?id=${record.designId}"><c:out value="${record.designId}" /></a>&nbsp;
							</c:forEach>
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>	
	</body>
</html>
