<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring" %>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c" %>
<gui:docType />
<html>
	<head>
		<title>Request Form for Wildtype Mice</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
	    	function toggleSelectionCriteria(selectedRadio) {
	        //try { //don't break if browser doesn't like our syntax, but try debug;
	    		var embryoAge = document.getElementById('embryoAge');
	    		var ageOrWeight = document.getElementById('ageOrWeight');
				var ageOrWeightUnits = document.getElementById('ageOrWeightUnits');
	    		var ageOrWeightUnitsLabel = document.getElementById('ageOrWeightUnitsLabel');
	    		var embryoAgeLabel = document.getElementById('embryoAgeLabel');
	    		var ageOrWeightLabel = document.getElementById('ageOrWeightLabel');
	    		//alert(selectedRadio);
	    		if(selectedRadio == 'ageOrWeight') {
	    			//disable embryoAge, enable ageOrWeight
					//NOTE: radio button array must be accessed via document.myForm.buttonName!
					embryoAge.value = "- Choose Embryonic Day -";
					embryoAge.disabled = true;
					embryoAge.style.backgroundColor = '#eee';
					embryoAge.style.border = '#B0B0B0 solid 1px';
					embryoAgeLabel.style.color = '#999';
	    			ageOrWeight.disabled = false;
	    			ageOrWeight.style.backgroundColor = '#fff';
	    			ageOrWeight.style.border = '#7F9DB9 solid 1px';
	    			ageOrWeightUnits.disabled = false;
	    			ageOrWeightUnits.style.backgroundColor = '#fff';
	    			ageOrWeightUnits.style.border = '#7F9DB9 solid 1px';
	    			ageOrWeightUnitsLabel.disabled = false;
	    			ageOrWeightUnitsLabel.style.color = '#000';
	    			ageOrWeightLabel.style.color = '#000';
	    		} else if(selectedRadio == 'embryoAge')  {
	    			//disable ageOrWeight, enable embryoAge
					embryoAge.disabled = false;
					embryoAge.style.backgroundColor = '#fff'
					embryoAge.style.border = '#7F9DB9 solid 1px';
					embryoAgeLabel.style.color = '#000';
	    			ageOrWeight.value = '';
	    			ageOrWeight.disabled = true;
	    			ageOrWeight.style.backgroundColor = '#eee';
	    			ageOrWeight.style.border = '#B0B0B0 solid 1px';
	    			ageOrWeightUnits.value = "- Select Unit -";
	    			ageOrWeightUnits.disabled = true;
	    			ageOrWeightUnits.style.backgroundColor = '#eee';
	    			ageOrWeightUnits.style.border = '#B0B0B0 solid 1px';
	    			ageOrWeightUnitsLabel.disabled = true;
	    			ageOrWeightUnitsLabel.style.color = '#999';
	    			ageOrWeightLabel.style.color = '#999';
	    		} else {
	     			//disable ageOrWeight, disable embryoAge - reset all
	     			//and wait for user to choose
					embryoAge.disabled = true;
					embryoAge.value = "- Choose Embryonic Day -";
					embryoAge.style.backgroundColor = '#eee'
					embryoAge.style.border = '#B0B0B0 solid 1px';
					embryoAgeLabel.style.color = '#999';
	    			ageOrWeight.disabled = true;
	    			ageOrWeight.value = "";
	    			ageOrWeight.style.backgroundColor = '#eee';
	    			ageOrWeight.style.border = '#B0B0B0 solid 1px';
	    			ageOrWeightUnits.disabled = true;
	    			ageOrWeightUnits.value = "- Select Unit -";
	    			ageOrWeightUnits.style.backgroundColor = '#eee';
	    			ageOrWeightUnits.style.border = '#B0B0B0 solid 1px';
	    			ageOrWeightUnitsLabel.disabled = true;
	    			ageOrWeightUnitsLabel.style.color = '#999';
	    			ageOrWeightLabel.style.color = '#999';
	    	     }
	    	 //} catch(err)  {alert('err: '+err);}
	    	}

			function toggleStandingOrderDay(frequency) {
	    		//try { //don't break if browser doesn't like our syntax, but try debug
	    		var standingOrderDay = document.getElementById('standingOrderDay');
	    		var standingOrderDayLabel = document.getElementById('standingOrderDayLabel');
	    		var endDate = document.getElementById('animalRequest.endDate');
	    		var endDateLabel = document.getElementById('endDateLabel');
	    		var endDateCalendar = document.getElementById('endDateCalendarSpan');
	  			if( frequency == '' || frequency == 'Daily' || frequency == 'One-time order') {
				//disable week/month day textfield
					standingOrderDay.value = '';
					standingOrderDay.disabled= true;
					standingOrderDay.style.backgroundColor = '#eee';
					standingOrderDay.style.border = '#B0B0B0 solid 1px';
					standingOrderDayLabel.style.color = '#999';
				} else {
				//enable week/month day textfield
					standingOrderDay.disabled = false;
					standingOrderDay.style.backgroundColor = '#fff';
					standingOrderDay.style.border = '#7F9DB9 solid 1px';
					standingOrderDayLabel.style.color = '#000';
				}

				if(frequency == '' || frequency == 'One-time order') {
					endDate.value = '';
					endDate.disabled = true;
					endDate.style.backgroundColor = '#eee';
					endDate.style.border = '#B0B0B0 solid 1px';
					endDateLabel.style.color = '#999';
					endDateCalendar.style.disabled = 'true';
				}
				else {
					endDate.disabled = false;
					endDate.style.backgroundColor = '#fff';
					endDate.style.border = '#7F9DB9 solid 1px';
					endDateLabel.style.color = '#000';
					endDateCalendar.style.display = '';
				}
	    		//} catch(err) {alert('err: '+err);}
			}
		</script>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body onLoad="toggleSelectionCriteria('<c:out value="${form.animalRequest.developmentEndpoint}" />'); toggleStandingOrderDay('<c:out value="${form.animalRequest.standingOrderFrequency}" />');">
		<gui:page>
			<form:form commandName="form" method="post" action="edit_animal_request.do">
				<c:if test="${form.animalRequest.id == null}">
					<gui:pageHeader name="Create New Wildtype Request" />
				</c:if>
				<c:if test="${form.animalRequest.id > 0}">
					<gui:pageHeader
						name="Edit Wildtype Request #${form.animalRequest.id} "
						nameWidth="280px"
						right="<input type='submit' class='submit' name='_finish' value='Submit' onclick=&quot;document.body.style.cursor = 'wait'; return true;&quot; />
						<input type='reset' class='reset' value='Reset' />
						<input type='button' class='cancel' name='_cancel' value='Cancel' onclick='history.back()' />">
						</td>
							<td class="pageHeader">
								Created <fmt:formatDate value="${form.animalRequest.createdDate}" pattern="dd-MMM-yyyy"/>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Status
									<form:select cssStyle="statusSelect" path="animalRequest.statusDictId">
										<form:options items="${statuses}" itemValue="id" itemLabel="name" />
									</form:select>
					</gui:pageHeader>
				</c:if>

				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td colspan="2" class="info">
								<p>By using this form you acknowledge and understand that:</p>
			      				<ul>
									<!--<li class='plainText' style='color:black;'>Micro-injections and cryo-preservations can only be requested by WTSI faculty members and team leaders.</li>-->
			        				<li class="info">Any strains not available within the RSF must be rederived.</li>
			        				<li class="info">Rederivation must be coordinated with the Mouse Core (mousecore@sanger.ac.uk).</li>
			        				<li class="info">This form must be submitted at least 1 day prior to requested delivery.</li>
			        				<li class="info">Mouse requests will be dealt with on a first come, first served basis.</li>
			        				<li class="info">When there are conflicting requests they will be resolved by the Mouse Genetics Working Group. Concerns should be communicated to mgwg@sanger.ac.uk</li>
			        				<li class="info">Requests for more than 10 mice in any 30 day period must be signed off by the Team Leader (online via the central mouse database).</li>
		      					</ul>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<gui:mig-box>
					<table class="migBoxInner" id="guiTableNameRequesterDetails">
						<tr>
							<td class="entryLabel" width="150px">
								Requester Name:
							</td>
							<td class="entryData">
								<c:out value="${form.animalRequest.requestOwner.firstName}" />
								&nbsp;
								<c:out value="${form.animalRequest.requestOwner.lastName}" />
							</td>
							<td class="entryLabel">
								Requester PIL:
							</td>
							<td class="entryData">
								<c:choose>
									<c:when test="${!empty form.animalRequest.requestOwner.personalLicence}">
										<c:out value="${form.animalRequest.requestOwner.personalLicence.licenceNumber}" />&nbsp;
  									</c:when>
									<c:otherwise>
										<span class='formError'>None Available</span>
									</c:otherwise>
								</c:choose>
							</td>

							<td class="entryLabel">
								Room:
							</td>
							<td class="entryData">
								<c:out value="${form.animalRequest.requestOwner.roomNumber}" />
							</td>
							<td class="entryLabel">
								Phone:
							</td>
							<td class="entryData">
								<c:out value="${form.animalRequest.requestOwner.phoneNumber}" />
							</td>
							<td class="entryLabel">
								Team #:
							</td>
							<td class="entryData">
								<c:out value="${form.animalRequest.requestOwner.team.teamNumber}" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Available PPL(s):
							</td>
							<td class="entryData" width="710px">
								<spring:bind path="form.animalRequest.projectLicenceId">
									<select name='${status.expression}' id='projectLicenceNumber'>
										<option value=''>
											- Please select a Project Licence -
										</option>

										<c:forEach items="${availablePpls}" var="ppl">

											<option value="${ppl.id}" <c:if test="${ppl.id == status.value}">
					            			<c:out value=" SELECTED "/>
						            		</c:if>>
												${ppl.licenceNumber}&nbsp;-&nbsp;${ppl.responsiblePerson.firstName}&nbsp;${ppl.responsiblePerson.lastName}
											</option>
										</c:forEach>
									</select>
								</spring:bind>
							</td>
							<td align="left" cssClass="formError">
								<form:errors path="animalRequest.projectLicenceId" cssClass="formError" />
							</td>
							<td align="left" class="formError">
								${status.errorMessage}
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Funding Source:
							</td>
							<td class="entryData">
								<spring:bind path="form.animalRequest.fundingSource">
									<gui:radio-buttons name="${status.expression}" tokens="Sanger;Other" textPosition="right" defaultValue="Sanger" selectedValue="${status.value}" />
								</spring:bind>
							</td>
							<td></td>
						</tr>
						<tr>
							<td style="vertical-align: top;" class="entryLabel">
								Reason for Request:
							</td>
							<td class="entryData">
								<form:textarea cssStyle="height: 80px; width: 700px;" id="requestReason" path="animalRequest.requestReason" />
							</td>
							<td align="left" cssClass="formError">
								<form:errors path="animalRequest.requestReason" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<gui:mig-box label="Animal Information">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Strain:
							</td>
							<td class="entryData" width="300px">
								<form:select path="animalRequest.strainId">
									<option value="">
										- Choose Wildtype Strain -
									</option>
									<form:options items="${strains}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td class="entryLabel" width="130px">
								Number of Females:
							</td>
							<td class="entryData" width="150px">
								<form:input path="animalRequest.numFemalesNeeded" cssStyle="width: 50px;" />
							</td>
							<td class="entryLabel" width="150px">
								Number of Males:
							</td>
							<td class="entryData" width="200px">
								<form:input path="animalRequest.numMalesNeeded" cssStyle="width: 50px;" />
							</td>
							<td></td>
						</tr>
						<tr>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.strainId" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.numFemalesNeeded" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.numMalesNeeded" cssClass="formError" />
							</td>
						</tr>
					</table>
					<table class="migBoxInner" style="margin: 10px 0px 0px 0px">
						<tr>
							<td colspan="9" class="entryLabel" style="text-align: center;">
								<b>Check &amp; enter either Age/Weight OR Plugged Day</b>
							</td>
						</tr>
						<tr>
							<td style="text-align: right; padding: 0px 0px 0px 0px;" class="entryData" width="40px">
								<form:radiobutton path="animalRequest.developmentEndpoint" id="developmentEndpoint" value="ageOrWeight" onclick="toggleSelectionCriteria(this.value);" />
							<td class="entryLabel" id="ageOrWeightLabel" width="100px">
								Age or Weight:
							</td>
							<td class="entryData" width="110px">
								<form:input path="animalRequest.ageOrWeight" id="ageOrWeight" cssStyle="width: 110px;" />
							</td>
							<td class="entryData" width="160px" id="ageOrWeightUnitsLabel">
								in days, weeks or grams
							</td>
							<td class="entryData" width="80px">
								<form:select path="animalRequest.ageOrWeightUnits" id="ageOrWeightUnits">
									<option value="- Select Unit -">- Select Unit -</option>
						            <form:option value="days"/>
						            <form:option value="weeks"/>
						            <form:option value="grams"/>
						        </form:select>
							</td>
							<td style="text-align: center;" width="170px">
								<b>OR</b>
							</td>
							<td style="text-align: right; padding: 0px 0px 0px 0px;" class="entryData" width="40px">
								<form:radiobutton path="animalRequest.developmentEndpoint" id="developmentEndpoint" value="embryoAge" onclick="toggleSelectionCriteria(this.value);" />
							</td>
							<td class="entryLabel" align="left" id="embryoAgeLabel"  width="160px">
								Plugged Embryonic Day:
							</td>
							<td align="left" width="240" style="padding: 0; vertical-align: middle;">
								<form:select path="animalRequest.embryoAge" id="embryoAge">
									<option value="- Choose Embryonic Day -">- Choose Embryonic Day -</option>
						            <form:option value="E0.5"/>
						            <form:option value="E1.5"/>
						            <form:option value="E2.5"/>
						            <form:option value="E3.5"/>
						            <form:option value="E4.5"/>
						            <form:option value="E5.5"/>
						            <form:option value="E6.5"/>
						            <form:option value="E7.5"/>
						            <form:option value="E8.5"/>
						            <form:option value="E9.5"/>
						            <form:option value="E10.5"/>
						            <form:option value="E11.5"/>
						            <form:option value="E12.5"/>
						            <form:option value="E13.5"/>
						            <form:option value="E14.5"/>
						            <form:option value="E15.5"/>
						            <form:option value="E16.5"/>
						            <form:option value="E17.5"/>
						            <form:option value="E18.5"/>
						        </form:select>

							</td>
						</tr>
						<tr>
							<td></td>
							<td colspan="3" align="center">
								<form:errors path="animalRequest.ageOrWeight" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.ageOrWeightUnits" cssClass="formError" />
							</td>
							<td></td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.embryoAge" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Date Required:
							</td>
							<td class="entryData" width="180px">
								<form:input path="animalRequest.dateRequired" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="animalRequest.dateRequired" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td class="entryLabel" width="120px">
								Mice Per Cage:
							</td>
							<td class="entryData" width="180px">
								1<form:radiobutton path="animalRequest.numberInCage" value="1" />
								2<form:radiobutton path="animalRequest.numberInCage" value="2" />
								3<form:radiobutton path="animalRequest.numberInCage" value="3" />
								4<form:radiobutton path="animalRequest.numberInCage" value="4" />
								5<form:radiobutton path="animalRequest.numberInCage" value="5" />
							</td>
							<td class="entryLabel">
								Destination&nbsp;Room
							</td>
							<td class="entryData">
								<spring:bind path="form.animalRequest.destinationRoomId">
									<select name="${status.expression}">
										<option value=''>
											- Specify Location -
											<c:forEach items="${rooms}" var="localRoom">
												<option value="${localRoom.id}" <c:if test="${localRoom.id == status.value}">
									       			<c:out value=" selected "/>
										       		</c:if>>
													Bld. ${localRoom.buildingName}, Cor. ${localRoom.corridor}, Rm. ${localRoom.roomNumber}
												</option>
											</c:forEach>
									</select>

								</spring:bind>
							</td>
						</tr>
						<tr>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.dateRequired" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.numberInCage" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.destinationRoomId" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<gui:mig-box label="Standing Order Information (optional)">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Frequency:
							</td>
							<td class="entryData" width="350px">
								<form:radiobutton path="animalRequest.standingOrderFrequency" value="One-time order" onclick="toggleStandingOrderDay(this.value);" />One-time order
								<form:radiobutton path="animalRequest.standingOrderFrequency" value="Daily" onclick="toggleStandingOrderDay(this.value);" />Daily
								<form:radiobutton path="animalRequest.standingOrderFrequency" value="Weekly" onclick="toggleStandingOrderDay(this.value);" />Weekly
								<form:radiobutton path="animalRequest.standingOrderFrequency" value="Monthly" onclick="toggleStandingOrderDay(this.value);" />Monthly
							</td>
							<td class="entryLabel" id="standingOrderDayLabel" width="200px">
								Recurring Day of Week/Month:
							</td>
							<td class="entryData" width="120px">
								<form:input id="standingOrderDay" path="animalRequest.standingOrderDay" />
							</td>
							<td class="entryData">
								(<i>e.g.,</i> 'Tuesday' or '21st' )
							</td>
						</tr>
						<tr>
							<td colspan="2" align="center">
								<form:errors path="animalRequest.standingOrderFrequency" cssClass="formError" />
							</td>
							<td colspan="3" align="center">
								<form:errors path="animalRequest.standingOrderDay" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td colspan="2">
								&nbsp;
							</td>
							<td class="entryLabel" id="endDateLabel" width="200px">
								End Date for Standing Order:
							</td>
							<td class="entryData" width="120px">
								<form:input path="animalRequest.endDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<span id="endDateCalendarSpan">
								<gui:dateTimePicker path="animalRequest.endDate" datePicker="true" timePicker="false" autoPopUp="button" />
								</span>
							</td>
							<td class="entryData">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td colspan="2">
								&nbsp;
							</td>
							<td colspan="3" align="center">
								<form:errors path="animalRequest.endDate" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<gui:mig-box label="Special Requirements">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Rederivation Needed?
							</td>
							<td class="entryData" colspan=2>
								<spring:bind path="form.animalRequest.rederivationReq">
									Yes<input type='radio' <c:if test="${status.value}"> CHECKED </c:if> name='${status.expression}' value='1'>
									&nbsp;
									No<input type='radio' <c:if test="${!status.value}"> CHECKED </c:if> name='${status.expression}' value='0'>
								</spring:bind>
							</td>
						</tr>
						<tr>
							<td style="vertical-align: top;" class="entryLabel" >
								Comments:
							</td>
							<td class="entryData">
								<form:textarea cssStyle="height: 80px; width: 700px;" path="animalRequest.comments" />
							</td>
							<td>
								<form:errors path="animalRequest.comments" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
	<%--				<input type="submit" name="_finish" value="Submit" onclick="document.body.style.cursor='wait'; return true;" />--%>
					<input type="submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" name="_finish" value="Submit" onclick='style="cursor:wait"; return true;' />
					<input type="reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" value="Reset" />
					<input type="button" name="_cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" value="Cancel" onclick="history.back()" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
