<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<gui:docType />
<html>
	<head>
		<title>Wildtype Mouse Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	  <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader name="Wildtype Mouse Requests" />
			<form:form commandName="searchBean" action="list_animal_requests.do" method="get">
				<input type="hidden" name="bypassForm" value="true" />
				<gui:filterBox>
					<table>
						<tr>
							<td class="filterLabel">Status</td>
							<td class="filterData">
								<form:select cssClass='statusSelect' path="animalRequest.statusDictId" onchange="setNewQuery('true');setOrderDesc('true');submitForm();">		
									<option value="">All</option>
									<form:options items="${statuses}" itemValue="id" itemLabel="name"/>
								</form:select>	
							</td>
							
							<td class="filterLabel">Purpose</td>
							<td class="filterData">
								<form:select cssClass='statusSelect' path="animalRequest.groupDictId" onchange="setNewQuery('true');setOrderDesc('true');submitForm();">		
									<option value="">All</option>
									<form:options items="${groups}" itemValue="id" itemLabel="name"/>
								</form:select>	
							</td>
						</tr>
					</table>
				</gui:filterBox>
					
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}"/>
					<c:if test="${!empty results}">			
						<table class="listPaginated" id="guiTableNameRequestList">
							<thead class="listPaginatedHeader">
								<tr>
									<th>Options</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="ID">ID</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="STRAIN">Strain</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="DATE_REQUIRED">Date Required</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="REQUESTER">Requester</gui:paginate-order-by>										
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="TEAM_NUMBER">Team</gui:paginate-order-by>																				
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="GROUP_DICT_NAME">Purpose</gui:paginate-order-by>										
									</th>	
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="PPL_HOLDER">PPL Holder</gui:paginate-order-by>										
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="FUNDING_SOURCE">Funding Source</gui:paginate-order-by>										
									</th>
									<th>	
										<gui:paginate-order-by bean="${searchBean}" orderBy="DESTINATION_ROOM">Destination Room</gui:paginate-order-by>										
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="STANDING_ORDER_FREQ">Order Type</gui:paginate-order-by>										
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="STATUS">Status</gui:paginate-order-by>										
									</th>
								</tr>
							</thead>
							<c:forEach items="${results}" var="record">
								<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}"/>		
								<tr class="${rowClass}">
									<td align="center">
										<a href="view_one_animal_request.do?id=${record.id}">
											<img src="images/view.gif" title="View Wildtype Request">
										</a>&nbsp;
										<control:if roles="admin,mgp-admin,Senior-RSF" test="${sessionScope.user.id eq record.requestOriginatorId and record.statusDictId eq 1}">
											<control:then>
												<a href="edit_animal_request.do?id=${record.id}"><img src="images/edit.gif" title="Edit Wildtype Request"></a>
											</control:then>
											<control:else>
												<img src="images/cancelIcon.jpg" style="margin-left: 2px; margin-right: 4px; margin-bottom: 2px">
											</control:else>
										</control:if>
									</td>
									<td>${record.id}</td>
									<td>${record.strain}</td>	
									<td width="80px"><fmt:formatDate value="${record.dateRequired}" pattern="dd-MMM-yyyy"/></td>
									<td>${record.requester}</td>
									<td>${record.teamNumber}</td>
									
									<c:choose>
									  <c:when test="${record.groupDictId == 1}">
									  <td class="miCompleted" style="border:0;">${record.groupDictName}</td>
									  </c:when>
									  <c:when test="${record.groupDictId == 2}">
									  <td class="miEmbryoTransferCompleted" style="border:0;">${record.groupDictName}</td>
									  </c:when>
									  <c:otherwise>
									  <td align='center'>--</td>
									  </c:otherwise>
									</c:choose>
									
									<td>${record.pplHolder}</td>
									<td>${record.fundingSource}</td>
									<td>${record.destinationRoom}</td>
									<td>
										${record.standingOrderFreq}
										<c:if test="${!empty record.endDate}">
											until <fmt:formatDate value="${record.endDate}" pattern="dd-MMM-yyyy"/>
										</c:if>
									</td>
									<td>${record.status}</td>
								</tr>
							</c:forEach>
						</table>
					</c:if>
				</div>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
