<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType />
<html>
	<head>
		<title>Animal Request Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Wildtype Request #${animalRequest.id}" />
			<control:accessControl roles="admin,mgp-admin,Senior-RSF">
			<table class=pageView>
				<tr>
					<td class="pageView" valign="top">
						<a href="edit_animal_request.do?id=${animalRequest.id}" title='Edit Wildtype Request'><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
					</td>
				</tr>
			</table>
			</control:accessControl>
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" width="250px">
							Requester:
						</td>
						<td class="viewData">
	   						${animalRequest.requestOwner.fullName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">PIL:</td>
						<td class="viewData">
							${animalRequest.requestOwner.personalLicence.licenceNumber}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Team:</td>
						<td class="viewData">
							${animalRequest.requestOwner.team.teamNumber}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">PPL Holder:</td>
						<td class="viewData"> 
							${animalRequest.projectLicence.responsiblePerson.fullName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">PPL Number:</td>
						<td class="viewData">
							${animalRequest.projectLicence.licenceNumber}
						</td>
					</tr>
							<tr>
						<td class="viewLabel">Funding Source:</td>
						<td class="viewData">
							${animalRequest.fundingSource}
						</td>
					</tr>
					<tr>
						<td class="viewLabelT">Reason for Request:</td>
						<td class="viewData">
							${animalRequest.requestReason}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Strain:</td>
						<td class="viewData">
							${animalRequest.strain.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Number of Females:</td>
						<td class="viewData">
							${animalRequest.numFemalesNeeded}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Number of Males:</td>
						<td class="viewData">
							${animalRequest.numMalesNeeded}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Age/Weight:</td>
						<td class="viewData">
							${animalRequest.ageOrWeight}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Age/Weight Units:</td>
						<td class="viewData">
							${animalRequest.ageOrWeightUnits}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Plugged Embryonic Day:</td>
						<td class="viewData">
							${animalRequest.embryoAge}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Date Requested:</td>
						<td class="viewData">
							<fmt:formatDate value="${animalRequest.createdDate}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Date Required:</td>
						<td class="viewData">
							<fmt:setLocale value="en" />
							<fmt:formatDate value="${animalRequest.dateRequired}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Destination Room:</td>
						<td class="viewData">
							${animalRequest.destinationRoom.completeRoomAddress}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Mice Per Cage:</td>
						<td class="viewData">
							${animalRequest.numberInCage}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Standing Order?</td>
						<td class="viewData">
						  <gui:format-boolean booleanValue="${animalRequest.standingOrderFrequency != 'One-time order'}"/>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Standing Order Frequency:</td>
						<td class="viewData">
							${animalRequest.standingOrderFrequency}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Standing Order Day:</td>
						<td class="viewData">
							${animalRequest.standingOrderDay}
						</td>
					</tr>
					<c:if test="${!empty animalRequest.endDate}">
						<tr>
							<td class="viewLabel">Standing Order End Date:</td>
							<td class="viewData">
								<fmt:formatDate value="${animalRequest.endDate}" pattern="dd-MMM-yyyy"/>
							</td>
						</tr>
					</c:if>
					<tr>
						<td class="viewLabel">Rederivation Needed?</td>
						<td class="viewData">
							<gui:format-boolean booleanValue="${animalRequest.rederivationReq}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabelT">Comments:</td>
						<td class="viewData">
							<c:out value="${animalRequest.comments}" />&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Status:</td>
						<td class="viewData">
							${animalRequest.status.name} 
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
</body>
</html>