<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/toggleVisibility.js"></script>
		<script type="text/javascript">
			function initElements() {
				addParent("colonyContact.contactTypeDictId");
				addChild("colonyContact.reason","3","${form.colonyContact.contactTypeDictId}","","toggleOtherDetails");
				initElementVisibility();
			}		
		</script>		
	</head>
	<body onload="initElements();">
		<gui:page>
			<form:form commandName="form">
			<gui:pageHeader name="Add Colony Contact" />
				<gui:error-list commandName="form"><br /></gui:error-list>
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>	
							<td class="entryLabel" width="150px">
								Person <span class="requiredField">*</span>
							</td>
							<td class="entryData">
								<gui:formPopup path="personName" onclick="openLookupList('lookup_person.do')" cssClass="person" />
								<form:hidden path="personId" />
							</td>
						</tr>
						<tr>	
							<td class="entryLabel">
								Contact Reason <span class="requiredField">*</span>
							</td>
							<td class="entryData">
								<form:select path="colonyContact.contactTypeDictId" onchange="toggleChildElementVisibility(this)">
									<option value="">&nbsp;</option>
									<form:options items="${contactTypes}" itemValue="id" itemLabel="name"/> 
								</form:select>
							</td>
						</tr>						
						<tr id="toggleOtherDetails">	
							<td class="entryLabel">
								Reason Details <span class="requiredField">*</span>
							</td>
							<td class="entryData">
								<form:input path="colonyContact.reason" size="80"/>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div class="submitButtons">
					<input type="submit" value="Submit" onclick="style='cursor:wait';return true;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyContact.colonyId}'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>	
	
