<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/toggleVisibility.js"></script>
		<script type="text/javascript">
			function initElements() {

				addParent("colonyInfo.welfareAssessmentPerformed");
				addChild("colonyInfo.welfareAssessment","true","${form.colonyInfo.welfareAssessment}","","toggleWelfareAssessment");

				addParent("colonyInfo.wtsiOrigin");
				addChild("colonyInfo.placeOfOrigin","false","${form.colonyInfo.placeOfOrigin}","","toggleColonyOrigin");
				addChild("colonyInfo.dateOfImport","false","${form.colonyInfo.dateOfImport}","","toggleColonyOrigin");

				initElementVisibility();
			}
		</script>
	</head>
	<body onload="initElements();">
		<gui:page>
			<form:form commandName="form">
				<gui:pageHeader>
					Edit <c:if test="${empty form.colonyInfo.id}">New</c:if> Colony Information Sheet <c:if test="${!empty form.colonyInfo.colonyName}">${form.colonyInfo.colonyName}</c:if>
				</gui:pageHeader>

				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td colspan="4" class="info">
			     				<p>After completing this form you will have the opportunity to add data for alleles, rooms, contacts etc on the proceeding page.</p>
		      				</td>
		      			</tr>
					</table>
				</gui:mig-box>

				<gui:error-list commandName="form"><br /></gui:error-list>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="240px">Colony Name:<span class="formError">*</span></td>
							<td class="entryData">
								<form:input path="colonyInfo.colonyName" size="60" />
								<form:errors path="colonyInfo.colonyName" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<c:choose>
								<c:when test="${!empty form.colonyInfo.id}">
									<c:set var="colonyPrefixReadonly" scope="page" value="readonly"></c:set>
								</c:when>
								<c:otherwise>
									<c:set var="colonyPrefixReadonly" scope="page" value=""></c:set>
								</c:otherwise>
							</c:choose>
							<td class="entryLabel">Colony Prefix:<span class="formError">*</span></td>
							<td class="entryData">
								<form:input path="colonyInfo.colonyPrefix" size="10" maxlength="4" readonly="${colonyPrefixReadonly}" cssClass="${colonyPrefixReadonly}"/>
								<form:errors path="colonyInfo.colonyPrefix" cssClass="formError"/>
								(Prefix must be 2-4 letters only and cannot end with "i")
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Card Colour:</td>
							<td class="entryData">
								<form:select path="colonyInfo.cardColourDictId">
									<option value="">&nbsp;</option>
									<form:options items="${cardColours}" itemValue="id" itemLabel="name" />
								</form:select>
								<form:errors path="colonyInfo.cardColourDictId" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">PPL:</td>
							<td class="entryData">
								<form:select path="colonyInfo.projectLicenceId">
									<option value="">&nbsp;</option>
									<form:options items="${ppls}" itemValue="id" itemLabel="licenceNumber" />
								</form:select>
								<form:errors path="colonyInfo.projectLicenceId" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabelT">Colony Management:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.colonyManagement" cssStyle="height: 35px; width: 500px;" />
								<form:errors path="colonyInfo.colonyManagement" cssClass="formError"/>
							</td>
						</tr>

						<tr valign="top">
							<td class="entryLabel">Average Litter Size:</td>
							<td class="entryData">
								<form:input path="colonyInfo.averageLitterSize" size="3" />
								<form:errors path="colonyInfo.averageLitterSize" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Breeding Lifespan (weeks):</td>
							<td class="entryData">
								<form:input path="colonyInfo.breedingLifespanWeeks" size="3" />
								<form:errors path="colonyInfo.breedingLifespanWeeks" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Immune Status:</td>
							<td class="entryData">
								<form:input path="colonyInfo.immuneStatus" size="10" />
								<form:errors path="colonyInfo.immuneStatus" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabelT">Non-behavioural trait abnormalities:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.otherAbnormalities" cssStyle="height: 35px; width: 500px;" />
								<form:errors path="colonyInfo.otherAbnormalities" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">
								Welfare assessment performed?
							</td>
							<td class="entryData">
								<form:select path="colonyInfo.welfareAssessmentPerformed"
									onchange="toggleChildElementVisibility(this)">
									<form:options items="${yesNo}"/>
								</form:select>
								(Was a structured welfare assessment carried out for the period
								that adults are normally maintained?)
								<form:errors path="colonyInfo.welfareAssessmentPerformed" cssClass="formError"/>
							</td>
						</tr>
						<tr id="toggleWelfareAssessment" valign="top">
							<td class="entryLabel">Welfare Assessment:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.welfareAssessment" cssStyle="height: 35px; width: 500px;" />
								<form:errors path="colonyInfo.welfareAssessment" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabelT">Assessing Phenotype:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.assessingPhenotype" cssStyle="height: 35px; width: 500px;" />
								<form:errors path="colonyInfo.assessingPhenotype" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabelT">Husbandry Recommendations:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.husbandryRecommendations" cssStyle="height: 35px; width: 500px;" />
								<form:errors path="colonyInfo.husbandryRecommendations" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">What diet are the mice fed on?:</td>
							<td class="entryData">
								<form:input path="colonyInfo.diet" size="40" />
								<form:errors path="colonyInfo.diet" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Housing System (e.g. IVCs):</td>
							<td class="entryData">
								<form:input path="colonyInfo.housingSystem" size="40" />
								<form:errors path="colonyInfo.housingSystem" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Colony Originator:</td>
							<td class="entryData">
								<form:input path="colonyInfo.colonyOrigin" size="80" />
								<form:errors path="colonyInfo.colonyOrigin" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Is Colony Subject to MTA?:</td>
							<td class="entryData">
								<form:select path="colonyInfo.subjectToMta">
									<form:options items="${yesNo}"/>
								</form:select>
								<form:errors path="colonyInfo.subjectToMta" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Was colony from WTSI?:</td>
							<td class="entryData">
								<form:select path="colonyInfo.wtsiOrigin"
								onchange="toggleChildElementVisibility(this)">
									<form:options items="${yesNo}"/>
								</form:select>
								<form:errors path="colonyInfo.wtsiOrigin" cssClass="formError"/>
							</td>
						</tr>
						<tbody id="toggleColonyOrigin">
							<tr valign="top">
								<td class="entryLabel">Place of Origin</td>
								<td class="entryData">
									<form:input path="colonyInfo.placeOfOrigin" size="80" />
									<form:errors path="colonyInfo.placeOfOrigin" cssClass="formError"/>
								</td>
							</tr>
							<tr valign="top">
								<td class="entryLabel">Date of import:</td>
								<td class="entryData">
									<form:input path="colonyInfo.dateOfImport" cssClass="date" onblur="validateDateTime(this, true, false);" />
									<gui:dateTimePicker path="colonyInfo.dateOfImport" datePicker="true" timePicker="false" autoPopUp="button" />
									<form:errors path="colonyInfo.dateOfImport" cssClass="formError"/>
								</td>
							</tr>
						</tbody>
						<tr valign="top">
							<td class="entryLabel">Date of rederivation:</td>
							<td class="entryData">
								<form:input path="colonyInfo.dateOfRederivation" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="colonyInfo.dateOfRederivation" datePicker="true" timePicker="false" autoPopUp="button" />
								<form:errors path="colonyInfo.dateOfRederivation" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Rederivation method:</td>
							<td class="entryData">
								<form:input path="colonyInfo.rederivationMethod" size="40" />
								<form:errors path="colonyInfo.rederivationMethod" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabelT">Miscellaneous Notes:</td>
							<td class="entryData">
								<form:textarea path="colonyInfo.miscNotes" rows="2" cols="100" />
								<form:errors path="colonyInfo.miscNotes" cssClass="formError"/>
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">Auto-fill Genetic Background</td>
							<td class="entryData">
								<form:select path="colonyInfo.autofillStrain">
									<form:options items="${yesNo}"/>
								</form:select>
								<form:errors path="colonyInfo.autofillStrain" cssClass="formError"/>
								If this is 'Yes' offspring will automatically inherit the default genetic background (strain) of this colony.
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" name="_finish" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" value="Submit" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<c:if test="${!empty form.colonyInfo.id}">
						<input type="button" name="_cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" value="Cancel" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyInfo.id}'" />
					</c:if>
					<c:if test="${empty form.colonyInfo.id}">
						<input type="button" name="_cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" value="Cancel" onclick="document.location='list_colony_infos.do?newQuery=true&bypassForm=true&orderBy=colony_prefix'" />
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>

