<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheets</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>		
		<script type="text/javascript">
		function clearSearch() {
			document.getElementById("colonyInfo.projectLicenceId").selectedIndex = 0;
			document.getElementById("stringMatchMode").selectedIndex = 0;
			document.getElementById("colonyNameOrPrefix").value = "";
			document.getElementById("contactName").value = "";
			document.getElementById("contactId").value = "";
		}

		</script>
	</head>
	<body onload="document.getElementById('colonyNameOrPrefix').focus();">
		<gui:page>
			<gui:pageHeader name="Colony Information Sheets"/>
			<form:form commandName="searchBean" action="list_colony_infos.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<gui:filterBox>
					<table>
						<tr>
							<td class="filterLabel" width="35px">Colony<br />Prefix/Name</td>
							<td class="filterData">
								<form:select cssClass="listFilter" path="stringMatchMode">
									<form:options items="${stringMatchModes}" />
								</form:select>
								<form:input cssClass="searchString" cssStyle="width: 95px;" path="colonyNameOrPrefix" onkeydown="if(event.keyCode==13) {setNewQuery('true'); setPaginated('true'); return true;}"/>
							</td>
							<td class="filterLabel" width="20px">PPL</td>
							<td class="filterData">
								<form:select cssClass="listFilter" path="colonyInfo.projectLicenceId" onchange="setNewQuery('true'); setPaginated('true'); submitForm();">
									<option value="">
										All
									</option>
									<form:options items="${ppls}" itemValue="id" itemLabel="displayText" />
								</form:select>				
							</td>
							<td class="filterLabel" width="35px">Colony Contact</td>
							<td class="filterData" style="width: 200px; padding: 0px;">
								<gui:formPopup path="contactName" cssClass="person" onclick="openLookupList('lookup_person.do','personName=contactName,personId=contactId');return false;" />
								<form:hidden path="contactId" />
							</td>
						</tr>
					</table>
				</gui:filterBox>
				<div class="submitButtons">
					<input type="submit" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true'); return true;" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>			
			
				<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty colonies}">			
					<table class="listPaginated" id="guiColonyListTable">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									<gui:paginate-order-by orderBy="id" bean="${searchBean}">
										ID<br />
									</gui:paginate-order-by>
								</th>
								<th>Options</th>										
								<th>
									<gui:paginate-order-by orderBy="colony_name" bean="${searchBean}">
										Colony Name<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="colony_prefix" bean="${searchBean}">
										Colony Prefix<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ppl_holder" bean="${searchBean}">
										PPL Holder<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="card_colour" bean="${searchBean}">
										Card Colour<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="colony_origin" bean="${searchBean}">
										Colony Origin<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="place_of_origin" bean="${searchBean}">
										Place of Origin<br />
									</gui:paginate-order-by>
								</th>						
								<th>
									<gui:paginate-order-by orderBy="date_of_import" bean="${searchBean}">
										Date of Import<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="date_of_rederivation" bean="${searchBean}">
										Date of Rederivation<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="rederivation_method" bean="${searchBean}">
										Rederivation Method<br />
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<c:forEach items="${colonies}" var="record">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>${record.id}</td>
								<td align="center">
									<a href="view_one_colony_info.do?id=${record.id}">
										<img src="images/view.gif" title="View Colony Information" />
									</a>&nbsp;
									<control:if roles="admin, mgp-admin, senior-mouse-user" recordOwnerId="${record.createdBy}">														
										<control:then>
											<a href="view_one_colony_info_for_edit.do?id=${record.id}"><img src="images/edit.gif" title="Edit Colony Information"></a>
										</control:then>
										<control:else>
											<img src="images/cancelIcon.jpg" style="margin-bottom: 2px"/>
										</control:else>
									</control:if>
								</td>
								<td>${record.colonyName}</td>
								<td>${record.colonyPrefix}</td>
								<td>${record.pplHolder}</td>
								<td>${record.cardColour}</td>
								<td>${record.colonyOrigin}</td>
								<td>${record.placeOfOrigin}</td>
								<td width="80px"><fmt:formatDate value="${record.dateOfImport}" pattern="dd-MMM-yyyy"/></td>
								<td width="80px"><fmt:formatDate value="${record.dateOfRederivation}" pattern="dd-MMM-yyyy"/></td>	
								<td>${record.rederivationMethod}</td>
							</tr>
						</c:forEach>
					</table>
					<gui:paginate-navigation-bar bean="${searchBean}"/>
				</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
