<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/delete.js"></script>
		<style>
			@media print {
				div.migBoxOverflow {
					height: auto;
				}
				div.migBoxHeading, table.nonBorderedGrid td, th {
					font-size: 12px;
				}
				td, table.migBox, td.migBox, table.listNonPaginated, table.listNonPaginated td, a.alleles, sup {
					font-size: 10px;
				}
				td.migBox {
					padding: 0px;
				}
				td.viewLabelT, td.viewLabel, td.viewData, td.entryData, pre {
					font-size: 10px;
				}
				table.pageView, #editLink, img.printFrame {
					visibility: hidden;
					width: 0px;
					height: 0px;
					padding: 0px;
				}
				div.migBoxHeading {
					padding-left: 2px;
				}
				table.listNonPaginated {
					border: 0px;
					padding: 0px;
				}
				table.migBoxInner, div.migBoxOverflow {
					border-color: black;
				}
				td.viewLabelT {
					width: 110px;
				}
			}
			@media screen {
				#editLink {
					font-size: 14px;
				}
				div.migBoxOverflow {
					height: 100px;
				}
				td.viewLabelT {
					width: 170px;
				}
			}
		</style>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Colony ${colonyInfo.colonyName}" showPrintFrame="true" />
			<control:accessControl roles="admin, mgp-admin">
			<p id="editLink"><a href="view_one_colony_info_for_edit.do?id=${colonyInfo.id}" title="Edit Colony Information"><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a></p>
			</control:accessControl>
			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="40%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Information">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT">
										Database ID:
									</td>
									<td class="viewData">
										${colonyInfo.id}
									</td>
								</tr>
								<tr>
									<td class="viewLabelT" width="150px">
										Colony Name (Prefix):
									</td>
									<td class="viewData">
										${colonyInfo.colonyName}
										<c:if test="${!empty colonyInfo.colonyPrefix}">
											(${colonyInfo.colonyPrefix})
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Card Colour:
									</td>
									<td class="viewData">
										${colonyInfo.cardColour.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										PPL:
									</td>
									<td class="viewData">
										${colonyInfo.projectLicence.licenceNumber}
										<c:if test="${!empty colonyInfo.projectLicence.responsiblePerson}">
											(${colonyInfo.projectLicence.responsiblePerson.fullName})
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Subject To MTA:
									</td>
									<td class="viewData">
										<gui:format-boolean booleanValue="${colonyInfo.subjectToMta}"/>
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="20%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Rooms">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.rooms}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Room</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.rooms}" var="colonyRoom">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyRoom.room.roomNumber}</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.rooms}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="38%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Contacts">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.contacts}">
													<table class="listNonPaginated">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Name</th>
																<th>Ext</th>
																<th>Reason</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.contacts}" var="colonyContact">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyContact.person.firstName}&nbsp;${colonyContact.person.lastName}</td>
															<td>${colonyContact.person.phoneNumber}</td>
															<td>
																${colonyContact.contactType.name}
																<c:if test="${!empty colonyContact.reason}">
																	- ${colonyContact.reason}
																</c:if>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.contacts}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="25%" style="padding: 0px 0px 0px 0px; vertical-align: top;">
						<gui:mig-box label="Alleles">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.alleles}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Official Symbol</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.alleles}" var="colonyAllele">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td><a href="view_one_allele_info.do?id=${colonyAllele.modifiedAllele.id}" class="alleles" title="View Allele Data">${colonyAllele.modifiedAllele.htmlAlleleSymbol}</a></td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.alleles}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="45%" style="padding: 0px 0px 0px 0px; vertical-align: top;">
						<gui:mig-box label="Crosses">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.crosses}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Phenotype</th>
																<th>Genotype</th>
																<th>Lethal</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.crosses}" var="colonyCross">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyCross.phenotypeText}</td>
															<td>${colonyCross.genotypeText}</td>
															<td>${colonyCross.lethal}</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.crosses}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="28%" style="padding: 0px 0px 0px 0px; vertical-align: top;">
						<gui:mig-box label="Behavioural Traits">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.behaviours}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Trait</th>
																<th>Remedial Action</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.behaviours}" var="colonyBehaviour">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyBehaviour.trait}</td>
															<td>${colonyBehaviour.remedialAction}</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.behaviours}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<c:if test="${!empty colonyInfo.otherAbnormalities}">
			<gui:mig-box label="Other Abnormalities">
				<table class="migBoxInner">
					<tr>
						<td>
							${colonyInfo.otherAbnormalities}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="60%" style="padding: 0px 0px 0px 0px; vertical-align: top;">
						<gui:mig-box label="Genetic Background">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<th>
											Auto-fill Offspring Genetic Background: <gui:format-boolean booleanValue="${colonyInfo.autofillStrain}"/>
										</th>
									</tr>
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.strains}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Name</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.strains}" var="colonyStrain">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>
																${colonyStrain.strain.name}
																<c:if test="${!empty colonyStrain.comments}">
																	<pre>${colonyStrain.comments}</pre>
																</c:if>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.strains}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="39%" style="padding: 0px 0px 0px 0px; vertical-align: top;">
						<gui:mig-box label="Coat Colours">
							<div class="migBoxOverflow">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.coatColours}">
													<table class="listNonPaginated" >
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Expected Colour</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.coatColours}" var="colonyCoatColour">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyCoatColour.coatColour.name}</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.coatColours}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="40%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Origin">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT">
										Colony Originator:
									</td>
									<td class="viewData">
										${colonyInfo.colonyOrigin}
									</td>
								</tr>
								<tr>
									<td class="viewLabelT">
										Place of Origin:
									</td>
									<td class="viewData">
										<c:choose>
											<c:when test="${colonyInfo.wtsiOrigin}">WTSI</c:when>
											<c:otherwise>${colonyInfo.placeOfOrigin}</c:otherwise>
										</c:choose>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Date of Import:
									</td>
									<td class="viewData">
										<fmt:formatDate value="${colonyInfo.dateOfImport}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Date of Rederivation:
									</td>
									<td class="viewData">
										<fmt:formatDate value="${colonyInfo.dateOfRederivation}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
								<tr>
									<td class="viewLabelT">
										Rederivation Method:
									</td>
									<td class="viewData">
										${colonyInfo.rederivationMethod}
									</td>
								</tr>
							</table>
						</gui:mig-box>
						<br />
						<gui:mig-box label="Associated Files">
							<table class="migBoxInner">
								<c:forEach items="${colonyInfo.files}" var="file">
									<c:if test="${!empty colonyInfo.files}">
										<tr>
											<td class="viewData">
												<a href="download_binary_file.do?id=${file.id}">${file.fileDescription}</a>
											</td>
										</tr>
									</c:if>
								</c:forEach>
								<c:if test="${empty colonyInfo.files}">
									<tr><td>No records found.</td></tr>
								</c:if>
							</table>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="59%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Management">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT">
										Notes:
									</td>
									<td class="viewData">
										${colonyInfo.colonyManagement}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Average Litter Size:
									</td>
									<td class="viewData">
										${colonyInfo.averageLitterSize}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Breeding Lifespan:
									</td>
									<td class="viewData">
										<c:if test="${!empty colonyInfo.breedingLifespanWeeks}">
											${colonyInfo.breedingLifespanWeeks}&nbsp;weeks
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Immune Status:
									</td>
									<td class="viewData">
										${colonyInfo.immuneStatus}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Diet:
									</td>
									<td class="viewData">
										${colonyInfo.diet}
									</td>
								</tr>
								<tr>
									<td class="viewLabelT">
										Husbandry:
									</td>
									<td class="viewData">
										${colonyInfo.husbandryRecommendations}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Housing System:
									</td>
									<td class="viewData">
										${colonyInfo.housingSystem}
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<c:if test="${!empty colonyInfo.welfareAssessment}">
			<gui:mig-box label="Welfare Assessment">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.welfareAssessment}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<c:if test="${!empty colonyInfo.assessingPhenotype}">
			<gui:mig-box label="Assessing Phenotype">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.assessingPhenotype}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<c:if test="${!empty colonyInfo.miscNotes}">
			<gui:mig-box label="Other Notes">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.miscNotes}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
