<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Edit Colony ${colonyInfo.colonyName}" />
			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="40%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Information" links="Edit Colony Summary|edit_colony_info.do?id=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT" width="150px">
										Database ID:
									</td>
									<td class="viewData">
										${colonyInfo.id}
									</td>
								</tr>
								<tr>
									<td class="viewLabelT" width="150px">
										Colony Name (Prefix):
									</td>
									<td class="viewData">
										${colonyInfo.colonyName}
										<c:if test="${!empty colonyInfo.colonyPrefix}">
											(${colonyInfo.colonyPrefix})
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Card Colour:
									</td>
									<td class="viewData">
										${colonyInfo.cardColour.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										PPL:
									</td>
									<td class="viewData">
										${colonyInfo.projectLicence.licenceNumber}
										<c:if test="${!empty colonyInfo.projectLicence.responsiblePerson}">
											(${colonyInfo.projectLicence.responsiblePerson.fullName})
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Subject To MTA:
									</td>
									<td class="viewData">
										<gui:format-boolean booleanValue="${colonyInfo.subjectToMta}"/>
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="20%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Rooms" links="Add Room|edit_colony_room.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 97px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.rooms}">
													<table class="listNonPaginated" id="guiTableNameRooms">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Room</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.rooms}" var="colonyRoom">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyRoom.room.roomNumber}</td>
															<td width="20px">
																<img src="images/delete.gif" border="0" title="Delete this colony room" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony room','delete_colony_child.do?childElement=room&id=${colonyRoom.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.rooms}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="38%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Contacts" links="Add Contact|edit_colony_contact.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 97px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.contacts}">
													<table class="listNonPaginated" id="guiTableNameContacts">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Name</th>
																<th>Ext</th>
																<th>Reason</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.contacts}" var="colonyContact">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyContact.person.firstName}&nbsp;${colonyContact.person.lastName}</td>
															<td>${colonyContact.person.phoneNumber}</td>
															<td>
																${colonyContact.contactType.name}
																<c:if test="${!empty colonyContact.reason}">
																	- ${colonyContact.reason}
																</c:if>
															</td>
															<td width="20px">
																<img src="images/delete.gif" border="0" title="Delete this colony contact" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony contact','delete_colony_child.do?childElement=contact&id=${colonyContact.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.contacts}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="30%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Alleles" links="Add Allele|edit_colony_allele.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 88px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.alleles}">
													<table class="listNonPaginated" id="guiTableNameAlleles">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Official Symbol</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.alleles}" var="colonyAllele">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td><a href="view_one_allele_info.do?id=${colonyAllele.modifiedAllele.id}" title="View Allele Data">${colonyAllele.modifiedAllele.htmlAlleleSymbol}</a></td>
															<td>
																<img src="images/delete.gif" border="0" title="Delete this allele" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony allele','delete_colony_child.do?childElement=allele&id=${colonyAllele.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.alleles}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="40%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Crosses" links="Add Colony Cross|edit_colony_cross.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 88px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.crosses}">
													<table class="listNonPaginated" id="guiTableNameCrosses">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Phenotype</th>
																<th>Genotype</th>
																<th>Lethal</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.crosses}" var="colonyCross">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyCross.phenotypeText}</td>
															<td>${colonyCross.genotypeText}</td>
															<td>${colonyCross.lethal}</td>
															<td width="20px">
																<img src="images/delete.gif" border="0" title="Delete this colony cross" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony cross','delete_colony_child.do?childElement=cross&id=${colonyCross.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.crosses}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="30%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Behavioural Traits" links="Add Behavioural Trait|edit_colony_behaviour.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 88px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.behaviours}">
													<table class="listNonPaginated" id="guiTableNameBehaviours">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Trait</th>
																<th>Remedial Action</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.behaviours}" var="colonyBehaviour">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyBehaviour.trait}</td>
															<td>${colonyBehaviour.remedialAction}</td>
															<td width="20px">
																<img src="images/delete.gif" border="0" title="Delete this behavioural trait" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony behaviour','delete_colony_child.do?childElement=behaviour&id=${colonyBehaviour.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.behaviours}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<c:if test="${!empty colonyInfo.otherAbnormalities}">
			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="100%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Other Abnormalities">
							<table class="migBoxInner">
								<tr>
									<td>${colonyInfo.otherAbnormalities}&nbsp;</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>
			</c:if>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="60%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Genetic Background" links="Add Genetic Background|edit_colony_strain.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 88px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<th>
											Auto-fill Offspring Genetic Background: <gui:format-boolean booleanValue="${colonyInfo.autofillStrain}"/>
										</th>
									</tr>
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.strains}">
													<table class="listNonPaginated" id="guiTableNameStrains">
														<thead class="listNonPaginatedHeader">

															<tr>
																<th>Name</th>
																<th width="40px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.strains}" var="colonyStrain">
														<gui:toggle-row-class />
														<tr class="${rowClass}" valign="top">
															<td>
																${colonyStrain.strain.name}
																<c:if test="${!empty colonyStrain.comments}">
																	<pre>${colonyStrain.comments}</pre>
																</c:if>
															</td>
															<td width="40px">
																<img src="images/delete.gif" border="0" title="Delete this strain" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony strain','delete_colony_child.do?childElement=strain&id=${colonyStrain.id}&colonyInfoId=${colonyInfo.id}')"/>
																<a href="edit_colony_strain.do?colonyInfoId=${colonyInfo.id}&colonyStrainId=${colonyStrain.id}"><img src="images/edit.gif" border="0" title="Edit this strain" /></a>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.strains}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="39%" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Coat Colours" links="Add Coat Colour|edit_colony_coat_colour.do?colonyInfoId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<div class="migBoxOverflow" style="height: 88px;">
								<table class="migBoxInner" style="border: 0px;">
									<tr>
										<td>
											<div align="left">
												<c:if test="${!empty colonyInfo.coatColours}">
													<table class="listNonPaginated" id="guiTableNameCoatColours">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>Expected Colour</th>
																<th width="20px">&nbsp;</th>
															</tr>
														</thead>
														<c:forEach items="${colonyInfo.coatColours}" var="colonyCoatColour">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>${colonyCoatColour.coatColour.name}</td>
															<td width="20px">
																<img src="images/delete.gif" border="0" title="Delete this colony coat colour" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('a colony coat colour','delete_colony_child.do?childElement=coatColour&id=${colonyCoatColour.id}&colonyInfoId=${colonyInfo.id}')"/>
															</td>
														</tr>
														</c:forEach>
													</table>
												</c:if>
												<c:if test="${empty colonyInfo.coatColours}">
													<tr><td>No records found.</td></tr>
												</c:if>
											</div>
										</td>
									</tr>
								</table>
							</div>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<table width="100%" cellpadding="0px" cellspacing="0px">
				<tr>
					<td width="40%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Origin" links="Edit Colony Origin|edit_colony_info.do?id=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT" width="170px">
										Colony Originator:
									</td>
									<td class="viewData">
										${colonyInfo.colonyOrigin}
									</td>
								</tr>
								<tr>
									<td class="viewLabelT">
										Place of Origin:
									</td>
									<td class="viewData">
										<c:choose>
											<c:when test="${colonyInfo.wtsiOrigin}">WTSI</c:when>
											<c:otherwise>${colonyInfo.placeOfOrigin}</c:otherwise>
										</c:choose>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Date of Import:
									</td>
									<td class="viewData">
										<fmt:formatDate value="${colonyInfo.dateOfImport}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Date of Rederivation:
									</td>
									<td class="viewData">
										<fmt:formatDate value="${colonyInfo.dateOfRederivation}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
								<tr>
									<td class="viewLabelT">
										Rederivation Method:
									</td>
									<td class="viewData">
										${colonyInfo.rederivationMethod}
									</td>
								</tr>
							</table>
						</gui:mig-box>
						<br />
						<gui:mig-box label="Associated Files" links="Add File|edit_colony_file.do?binaryFile.foreignKeyId=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<table class="migBoxInner">
								<c:forEach items="${colonyInfo.files}" var="file">
									<c:if test="${!empty colonyInfo.files}">
										<tr>
											<td class="viewData">
												<a href="download_binary_file.do?id=${file.id}">${file.fileDescription}</a>
											</td>
											<td width="40px">
												<img src="images/delete.gif" border="0" title="Delete this file" onMouseOver="style.cursor = 'hand'; style.cursor = 'pointer';" onclick="deleteAlert('an associated file','delete_colony_child.do?childElement=file&id=${file.id}&colonyInfoId=${colonyInfo.id}')"/>
												<a href="edit_colony_file.do?binaryFile.foreignKeyId=${colonyInfo.id}&fileId=${file.id}"><img src="images/edit.gif" border="0" title="Edit file details" /></a>
											</td>
										</tr>
									</c:if>
								</c:forEach>
								<c:if test="${empty colonyInfo.files}">
									<tr><td>No records found.</td></tr>
								</c:if>
							</table>
						</gui:mig-box>
					</td>
					<td width="1%"></td>
					<td width="59%" valign="top" style="padding: 0px 0px 0px 0px;">
						<gui:mig-box label="Colony Management" links="Edit Colony Management|edit_colony_info.do?id=${colonyInfo.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelT" width="150px">
										Notes:
									</td>
									<td class="viewData">
										${colonyInfo.colonyManagement}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Average Litter Size:
									</td>
									<td class="viewData">
										${colonyInfo.averageLitterSize}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Breeding Lifespan:
									</td>
									<td class="viewData">
										<c:if test="${!empty colonyInfo.breedingLifespanWeeks}">
											${colonyInfo.breedingLifespanWeeks}&nbsp;weeks
										</c:if>
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Immune Status:
									</td>
									<td class="viewData">
										${colonyInfo.immuneStatus}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Diet:
									</td>
									<td class="viewData">
										${colonyInfo.diet}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Husbandry:
									</td>
									<td class="viewData">
										${colonyInfo.husbandryRecommendations}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Housing System:
									</td>
									<td class="viewData">
										${colonyInfo.housingSystem}
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>

			<c:if test="${!empty colonyInfo.welfareAssessment}">
			<gui:mig-box label="Welfare Assessment">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.welfareAssessment}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<c:if test="${!empty colonyInfo.assessingPhenotype}">
			<gui:mig-box label="Assessing Phenotype">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.assessingPhenotype}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<c:if test="${!empty colonyInfo.miscNotes}">
			<gui:mig-box label="Other Notes">
				<table class="migBoxInner">
					<tr>
						<td class="viewData">
							${colonyInfo.miscNotes}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
