<%@taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Cancel/Fail Scheduled Cryo Preservation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function confirmExit(frozenDownSamples) {
				if(frozenDownSamples > 0) {
					if(confirm('This will cancel the samples associated with this job and you need remove the samples from the freezers. Submit anyway?')) {
						return true;
					} else
					{
						return false;
					}
				}
				return true;
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cancel Scheduled Cryo Preservation" />
			<form:form commandName="form" action="deactivate_scheduled_cryo_preservation.do">
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<gui:mig-box>
					<table border=0 cellspacing=10 class="migBoxInner">
						<tr>
							<td class="entryLabelT" width="150px">
								<b>Reason</b>
								<span class="formError">*</span>
							</td>
							<td>
								<form:select path="cancelReasonDictId">
									<form:option value="" label="Please select the reason" />
									<form:options items="${cancelReasons}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<c:if test="${!empty form.scheduledCryoPreservationJob.cryoRequestId}">
						<tr>
							<td class="entryLabelT" width="240px">
								<b>Reschedule Needed</b>
							</td>
							<td>
								<form:checkbox path="needReschedule"/>
							</td>
						</tr>
						</c:if>
						<tr>
							<td class="entryLabelT">
								<b>Comments</b>
							</td>
							<td class="entryData">
								<form:textarea path="cancelComments" cssStyle="text-align:left;border:1px solid #777;width:70%" cols="100" rows="5" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onClick="return confirmExit(${samplesCount})" style="width:100px;"/>&nbsp;&nbsp;
					<input type="button" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onClick="history.back()" style="width: 100px;" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>