<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Embryo Harvest Record</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">

		<script src="js/formValidator.js"></script>
		<script src="js/jquery.js"></script>
	    <script src="js/jquery-calendar.js"></script>
	    <link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/thickbox.js"></script>
		<script src="js/mouse_tracking/cohort.js"></script>

		<script type="text/javascript">
		var sum = 0;

		function sumTotal() {
			var sixteenCell = parseInt( (document.getElementById('embryoHarvest.cellCount16').value) ? document.getElementById('embryoHarvest.cellCount16').value : 0);
			var eightCell = parseInt(document.getElementById('embryoHarvest.cellCount8').value ? document.getElementById('embryoHarvest.cellCount8').value : 0);
			var fourCell = parseInt(document.getElementById('embryoHarvest.cellCount4').value ? document.getElementById('embryoHarvest.cellCount4').value : 0);
			var twoCell = parseInt(document.getElementById('embryoHarvest.cellCount2').value ? document.getElementById('embryoHarvest.cellCount2').value : 0);
			var oneCell = parseInt(document.getElementById('embryoHarvest.cellCount1').value ? document.getElementById('embryoHarvest.cellCount1').value : 0);
			var dead = parseInt(document.getElementById('embryoHarvest.deadCount').value ? document.getElementById('embryoHarvest.deadCount').value : 0);
			var fragmented = parseInt(document.getElementById('embryoHarvest.fragmentedCount').value ? document.getElementById('embryoHarvest.fragmentedCount').value : 0);
			var other = parseInt(document.getElementById('embryoHarvest.otherEmbryoTypeCount').value ? document.getElementById('embryoHarvest.otherEmbryoTypeCount').value : 0);
			sum = sixteenCell+eightCell+fourCell+twoCell+oneCell+dead+fragmented+other;
			document.getElementById('embryoTotal').innerHTML = sum;
		}

		function viableSum(){
			var sixteenCell = parseInt( (document.getElementById('embryoHarvest.cellCount16').value && document.getElementById('embryoHarvest.use16Cell').checked ) ? document.getElementById('embryoHarvest.cellCount16').value : 0);
			var eightCell = parseInt( (document.getElementById('embryoHarvest.cellCount8').value && document.getElementById('embryoHarvest.use8Cell').checked ) ? document.getElementById('embryoHarvest.cellCount8').value : 0);
			var fourCell = parseInt( (document.getElementById('embryoHarvest.cellCount4').value && document.getElementById('embryoHarvest.use4Cell').checked ) ? document.getElementById('embryoHarvest.cellCount4').value : 0);
			var twoCell = parseInt( (document.getElementById('embryoHarvest.cellCount2').value && document.getElementById('embryoHarvest.use2Cell').checked ) ? document.getElementById('embryoHarvest.cellCount2').value : 0);

			sum = sixteenCell+eightCell+fourCell+twoCell;
			document.getElementById('embryoTotalViable').innerHTML = sum;;
		}

		function clearField(countField){
			if(countField.value == "0") {
				countField.value="";
			}
		}

		function isNumberKey(evt)
		{
			var charCode = (evt.which) ? evt.which : event.keyCode;
			if ((charCode > 47 && charCode < 58) || (charCode == 8)) {
		    	return true;
		    }
			return false;
		}

		</script>
	</head>

	<body onload="sumTotal();viableSum();">
		<gui:page>
			<gui:pageHeader name="Scheduled Cryo Preservation Embryo Harvest Page" />
			<c:if test="${!empty cryoRequest.id}">
			<%@ include file="../cryo_request/cryo_preservation_request_header.jspf" %>
			</c:if>
			<form:form commandName="form">
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<br />
				<gui:mig-box>
					<table class="migBoxInner" border=0>
						<tr>
							<td style="padding:12px; border-right:1px dotted #777;"	valign=top>
								<div class="greenSubjectHeader" nowrap=nowrap align=center>
									Donor Flush
								</div>
								<table>
									<tr>
										<td class="entryLabel" nowrap=nowrap>
											Flush date
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:input cssClass="date" path="embryoHarvest.flushDate" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="embryoHarvest.flushDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Technician
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<gui:formPopup path="embryoHarvest.technician.displayText" cssClass="person" title="Lookup Technician" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=embryoHarvest.technicianId,personName=embryoHarvest.technician.displayText')" />
											<form:hidden path="embryoHarvest.technicianId" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Number superovulated
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.numberSuperovulated">
												<option value=''>-- Please specify no. of superovulated mice--</option>
													<form:options items="${superOvulatedRange}"/>
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Number Plugged&nbsp;
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.numberPlugged">
												<option value=''>-- Please specify no. of plugged Mice--</option>
													<form:options items="${superOvulatedRange}"/>
											</form:select>
										</td>
									</tr>

									<tr>
										<td class="entryLabel">
										Female Strain &nbsp;
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.femaleStrainDictId">
												<option value=''>-- Please specify the female strain--</option>
													<form:options items="${femaleStrains}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
                                  <tr>
										<td class="entryLabel">
											Female Strain Comments
										</td>
										<td class="entryData">
											<form:textarea id="embryoHarvest.femaleStrainComments" path="embryoHarvest.femaleStrainComments"/>
										</td>

									</tr>

								</table>
							</td>

							<td style="padding:12px; border-right:1px dotted #777;"	width="350px" valign=top>
								<div class="greenSubjectHeader" align=center>
									Embryo Grading
									<br />
								</div>
								Please tick the ones which are viable for cryo preservation.
								<table style="margin-top:20px;" cellpadding=0 cellspacing=0 border=0>
									<tr>
										<td class="entryLabel" style='text-align: left; border-top:1px #777 solid;'>
											<form:checkbox path="embryoHarvest.use16Cell" id="embryoHarvest.use16Cell"
												onclick="viableSum()"/> 16 Cell
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.cellCount16" onclick = "clearField(this);" onchange="sumTotal();viableSum();" cssStyle='width:60px;'
												onkeypress="javascript: return isNumberKey(event)" path="embryoHarvest.cellCount16"/>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style='text-align: left; border-top:1px #777 solid;'>
											<form:checkbox path="embryoHarvest.use8Cell" id="embryoHarvest.use8Cell"
												onclick="viableSum()"/> 8 Cell
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.cellCount8" onchange="sumTotal();viableSum();" cssStyle='width:60px;'
												onclick="clearField(this);" onkeypress="return isNumberKey(event)" path="embryoHarvest.cellCount8"/>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style='text-align: left; border-top:1px #777 solid;'>
											<form:checkbox path="embryoHarvest.use4Cell" id="embryoHarvest.use4Cell"
												onclick="viableSum()"/> 4 Cell
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.cellCount4" onchange="sumTotal();viableSum();" cssStyle='width:60px;'
												onclick="clearField(this);" onkeypress="return isNumberKey(event)" path="embryoHarvest.cellCount4"/>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style='text-align: left; border-top:1px #777 solid;'>
											<form:checkbox path="embryoHarvest.use2Cell" id="embryoHarvest.use2Cell"
												onclick="viableSum()"/> 2 Cell
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.cellCount2" onchange="sumTotal();viableSum();" cssStyle='width:60px;'
												onclick="clearField(this);" onkeypress="return isNumberKey(event)" path="embryoHarvest.cellCount2"/>
										</td>

									</tr>
									<tr>
										<td style="border-top:1px #777 solid;">
											1-cell
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.cellCount1" onclick = "clearField(this);" onchange="sumTotal();" cssStyle='width:60px;'
												onkeypress="return isNumberKey(event)" path="embryoHarvest.cellCount1"/>
										</td>
									</tr>
									<tr>
										<td style="border-top:1px #777 solid;">
											Dead
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;;'>
											<form:input id="embryoHarvest.deadCount" onclick = "clearField(this);" onchange="sumTotal();" cssStyle='width:60px;'
												onkeypress="return isNumberKey(event)" path="embryoHarvest.deadCount"/>
										</td>
									</tr>
									<tr>
										<td style="border-top:1px #777 solid;">
											Fragmented
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.fragmentedCount" onclick = "clearField(this);" onchange="sumTotal();" cssStyle='width:60px;'
												onkeypress="return isNumberKey(event)" path="embryoHarvest.fragmentedCount"/>
										</td>
									</tr>
									<tr>
										<td style="border-top:1px #777 solid;">
											Other
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:input id="embryoHarvest.otherEmbryoTypeCount" onclick = "clearField(this);" onchange="sumTotal();" cssStyle='width:60px;'
												onkeypress="return isNumberKey(event)" path="embryoHarvest.otherEmbryoTypeCount"/>
										</td>
									</tr>
									<tr>
										<td style="border-top: 1px #777 solid;" valign="top">
											Comments
										</td>
										<td class="entryData"  style='border-top:1px #777 solid;'>
											<form:textarea id="embryoHarvest.comments" path="embryoHarvest.comments"/>
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="border-top: 1px silver solid; font-weight: bold;">
											Total =
										</td>
										<td id="embryoTotal" style="border-top: 1px silver solid; font-weight: bold;">
											&nbsp;
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="font-weight: bold;">
											Total Viable =
										</td>
										<td id="embryoTotalViable" style="font-weight: bold;">
											&nbsp;
										</td>
									</tr>
								</table>
							</td>
							<td rowspan=10 valign=top width="250px" align=left style="padding:12px;padding-right:16px;">
								<div class="greenSubjectHeader" align=center>
									Save &amp; Exit
								</div>
								<div class="submitButtons" style="text-align: center; margin-top: 20px;">
									<input type="submit" name="_finish" value="Save &amp; Exit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" style="width: 110px;" />
									&nbsp;
									<input type="reset" value="Reset Fields" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" style="width: 110px;" />
								</div>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<center>
					<span class="formError">*</span> Required field.
				</center>
			</form:form>
		</gui:page>
	</body>
</html>
