<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Thaw Test</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">

			function toggleStufferStrain() {

				var stuffersRight = document.getElementById('embryoTransferProcedure.numberRightStuffers');
				var stuffersLeft = document.getElementById('embryoTransferProcedure.numberLeftStuffers');
				var stufferStrain = document.getElementById('embryoTransferProcedure.stufferStrainDictId');
				var stufferStrainLabel = document.getElementById('stufferStrainLabel');

				try {
					if(stuffersRight.value != 0 || stuffersLeft.value != 0) {
						stufferStrain.style.visibility = 'visible';
						stufferStrainLabel.style.visibility = 'visible';

					} else {

						stufferStrain.style.visibility = 'hidden';
						stufferStrainLabel.style.visibility = 'hidden';
					}
				}
				catch (e) {
				}
			}

			function toggleAnalgesia() {
				var analgesiaDose = document.getElementById('embryoTransferProcedure.doseAnalgesia');
				var analgesiaDictId = document.getElementById('embryoTransferProcedure.analgesiaDictId');
				var analgesiaDoseLabel = document.getElementById('analgesiaDoseLabel');
				var analgesiaDoseValue = document.getElementById('analgesiaDoseValue');

				try {
					if(analgesiaDictId.value == 1 ) {
						analgesiaDoseLabel.style.visibility = 'visible';
						analgesiaDoseValue.style.visibility = 'visible';
						if(analgesiaDose.value == -1){
						     analgesiaDose.value=100;
						}
					} else {
						analgesiaDoseLabel.style.visibility = 'hidden';
						analgesiaDoseValue.style.visibility = 'hidden';
						analgesiaDose.value = -1;
					}
				}
				catch (e) {
				}
			}

			function getEarmarks() {
				document.getElementById('onFormChangeOnAdd').value = false;
				document.getElementById('saveAll').value = false;
				document.getElementById('saveThawTestOnly').value = false;
				var changeEarmarks = document.getElementById('changeEarmarks');
				changeEarmarks.value = 'true';
				document.forms[0].action += "#embryoTransfer";
				document.forms[0].submit();
			}

			function toggleNewCage(newCage) {

				var cageElement = document.getElementById('cageElement');
				var rackElement = document.getElementById('rackElement');

				if(newCage === "true") {
					cageElement.style.display = 'none';
					rackElement.style.display = 'block';

				} else {
					cageElement.style.display = 'block';
					rackElement.style.display = 'none';
				}
			}

			function deleteTransfer(id) {
				if (confirm('Are you sure you want to permanently delete Embryo Transfer record #' + id + '?'))
				{
					document.location = 'edit_embryo_transfer_procedure.do?embryoTransferProcedure.id=' + id + '&delete=true';
				}
			}

			function toggleEarmark() {
				var earmarkDictId = document.getElementById('embryoTransferProcedure.mouse.earmarkDictId');
				var embryoTransferCageOrRackId = document.getElementById('embryoTransferCageOrRackId');

				try {
					if(!embryoTransferCageOrRackId.value) {
						earmarkDictId.disabled = true;
					} else {
					    earmarkDictId.disabled = false;
					}
				}
				catch (e) {
				}

			}

			function resetEarmarks() {
					document.getElementById('changeEarmarks').value = false;
			}

			function addEmbryoTransfer(){
				document.getElementById('onFormChangeOnAdd').value = true;
				resetEarmarks();
				document.forms[0].action += "#edit";
				document.forms[0].submit();
			}

			function editAddedET(){
				document.getElementById('editAddedEmbryoTransfer').value = true;
				resetExitParams();
				resetEarmarks();
				document.forms[0].submit();
			}

			function editExistET(){
				document.getElementById('editExistEmbryoTransfer').value = true;

				resetEarmarks();
				document.forms[0].submit();
			}
			function resetValidation(){

			document.getElementById('onFormChangeOnAdd').value = false;
			document.getElementById('editExistEmbryoTransfer').value = false;
			document.getElementById('saveAll').value = false;
			document.getElementById('saveThawTestOnly').value = false;
			}

			function clearPPL() {
				document.getElementById('embryoTransferProcedure.mouseProcedure.protocol.projectLicenceId').value = "";
				document.getElementById('embryoTransferProcedure.mouseProcedure.protocol.projectLicence.displayText').value = "";
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="toggleStufferStrain(); toggleEarmark();toggleAnalgesia();">
		<gui:page>
			<c:choose>
				 <c:when test="${empty form.thawTestId}">
					<gui:pageHeader  name="New Thaw Test" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Edit Thaw Test" />
				</c:otherwise>
			</c:choose>
			<%@ include file="../cryo_request/cryo_preservation_request_header.jspf"%>
			<gui:error-list title="Incomplete Form:" id="edit" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />

			<c:set var="recoveryCage" value="Recovery Rack/Cage Barcode" />
			<c:set var="addOrSaveButton" value="add" />
			<c:choose>
				<c:when test="${empty form.thawTestId}">
					<c:set var="display" value="block" />
					<c:set var="step1Label" value="STEP 1: General Information" />
					<c:set var="step2Label" value="STEP 2: Select the Samples" />
					<c:set var="step3Label" value="STEP 3: Add Embryo Transfer" />
					<c:if test="${form.editAddedEmbryoTransferId >-1}">
						<c:set var="addOrSaveButton" value="save" />
						<c:set var="recoveryCage" value="Recovery Cage Barcode" />
						<c:set var="step3Label" value="Step 3: Editing Embryo Transfer (${form.embryoTransferProcedure.mouse.earmark.name} in ${form.embryoTransferProcedure.mouse.location.cageBarcode})" />
					</c:if>
				</c:when>
				<c:otherwise>
					<c:set var="step1Label" value="General Information" />
					<c:set var="step2Label" value="Samples Selected" />
					<c:set var="step3Label" value="Embryo Transfers" />
					<c:set var="display" value="none" />
					<c:if test="${! empty form.embryoTransferProcedure.id}">
						<c:set var="addOrSaveButton" value="save" />
						<c:set var="step3Label" value="Editing Embryo Transfer in ${form.embryoTransferProcedure.mouse.name}" />
					</c:if>
					<c:set var="recoveryCage" value="Recovery Cage Barcode" />
				</c:otherwise>
			</c:choose>
			<br />
			<form:form commandName="form" action="edit_thaw_test.do">
				<gui:mig-box label="${step1Label}" divId="step1">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel top" style="width: 120px;">
								Thaw Date <span class='formError'>*</span>
							</td>
							<td class="entryData top" style="width: 150px;">
								<form:input path="dateCompleted" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="dateCompleted" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td class="entryLabel top" style="width: 120px;">
								Retrieval Number
							</td>
							<td class="entryData top" style="width: 150px;">
							<form:select path="thawTest.retrievalNumber">
									<option value="0">
									-- Select if any --
									</option>
									<form:options items="${retrievalRange}" />
							</form:select>
							</td>
							<td class="entryLabel top" style="width: 120px;">
								Comments
							</td>
							<td class="entryData">
								<form:textarea path="thawTest.comments" cssStyle="width: 99%; height: 40px;" />
							</td>

						</tr>
					</table>
				</gui:mig-box>
				<c:if test="${empty form.thawTestId}">
					<gui:mig-box  label="${step2Label}">
					 	<%@ include file="list_samples_for_request.jspf" %>
					</gui:mig-box>
				</c:if>
				<c:if test="${!empty form.thawTestId}">
				<gui:mig-box  label="${step2Label}">
					<%@ include file="list_samples_for_thaw_test.jspf" %>
				</gui:mig-box>
				</c:if>

				<gui:mig-box label="${step3Label}" divId="edit">
					<div style="display:${display};">
						<ul style="margin-top: 6px; font-size: 13px; margin-left: 20px; margin-bottom: 12px;">
							<li>
								Complete the form below then click 'add' for each Embryo Transfer performed in connection with this Thaw Test. Note that default field values have been pre-populated.
							</li>
							<li>
								First, scan (or type followed by tab) a Rack Barcode to place recipient into a newly created cage within that rack. A new Cage Barcode will appear in the temperate Embryo Transfer list below after
								having creating your first Embryo Transfer.
							</li>
							<li>
								You may add subsequent recipients to the same cage by clicking on the [copy] option next to the existing cage barcode, or add them to their own newly created cages by
								entering a Rack ID again.
							</li>
							<li>
								After you have finished adding Embryo Transfers, click on submit to complete the Thaw Test for the request.
							</li>
						</ul>
					</div>
					<c:if test="${!empty form.embryoTransfers}">
						<%@ include file="added_embryo_transfers.jspf"%>
					</c:if>
					<c:if test="${!empty form.thawTest.embryoTransfers}">
						<%@ include file="existing_embryo_transfers.jspf"%>
					</c:if>
					<c:choose>
						<c:when test="${(!empty form.thawTestId)&&(empty form.embryoTransferProcedure.id)}">
						</c:when>
						<c:otherwise>
							<%@ include file="embryo_transfer.jspf"%>
						</c:otherwise>
					</c:choose>
				</gui:mig-box>

				<input type="hidden" name="saveThawTestOnly" id="saveThawTestOnly" value="false">
				<input type="hidden" name="saveAll" id="saveAll" value="false">
				<div class="submitButtons">
					<c:if test="${!empty form.thawTestId}">
						<input type="submit" style="width: 140px;" onclick="document.getElementById('saveAll').value=false; document.getElementById('saveThawTestOnly').value=true;" value="Finish Editing" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
						<input type="button" name="_cancel" value="Cancel" style="width: 100px;" onclick="document.location='view_one_cryo_request.do?id=${form.thawTest.cryoRequestId}&showSampleList=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
					</c:if>
					<c:if test="${empty form.thawTestId}">
						<input type="submit" style="width: 140px;" onclick="document.getElementById('saveThawTestOnly').value=false; document.getElementById('saveAll').value=true;" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
						<input type="button" name="_cancel" value="Cancel" style="width: 100px;" onclick="document.location='list_cryo_requests.do?retrieveFromSession=true&newQuery=false&bypassForm=true&currentRecordId=${form.cryoRequest.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
