<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Freeze Down Sample</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		
		<style>
			td.boxCell {
 				font-family: Arial;
 				font-size: 8pt;
 				width: 26px;
 				height: 27px;
 				text-align: center;
 				background: white;
 				cursor: pointer;
 				border: 1px solid black;
 			}
 			td.boxCellUsed {
 				font-family: Arial;
 				font-size: 8pt;
 				width: 26px;
 				height: 27px;
 				text-align: center;
 				background: red;
 				cursor: not-allowed;
 				border: 1px solid black;
 			}
 			td.boxCellSelected {
 				font-family: Arial;
 				font-size: 8pt;
 				width: 26px;
 				height: 27px;
 				text-align: center;
 				background: chartreuse;
 				border: 1px solid black;
 			}
		</style>
		<script type="text/javascript">
			function boxChange() {
				//Change box selection
				clearBox();
				
				if (document.getElementById('box').selectedIndex != 0) {
					document.getElementById('boxDisplay').style.display = 'block';
					document.getElementById('currentBox').innerHTML = "Box " + document.getElementById('box').selectedIndex + ": Vial positions";
					document.getElementById('vial').selectedIndex = 0;
					document.getElementById('legend').style.display = 'block';
				}
				else {
					document.getElementById('boxDisplay').style.display = 'none';
					document.getElementById('currentBox').innerHTML = "";
					document.getElementById('vial').selectedIndex = 0;
					document.getElementById('legend').style.display = 'none';
				}
			}
	
			function changeCursor(wedge, cursorType) {
				document.body.style.cursor = cursorType;
			}
			
			function clearBox() {
				for (x = 1; x <= 100; x++) {
					document.getElementById('boxPosition' + x).className = 'boxCell';
				}
			}
	
			function clickBox(vialCell) {
				//Select box position to use
				
				//Only allow if unused:
				if (document.getElementById('boxPosition' + vialCell).className == 'boxCell') {
					if (document.getElementById('vialPosition').selectedIndex != 0) {
						//document.getElementById('boxPosition' + vialCell).className = 'boxCellSelected';
						document.getElementById('boxPosition' + document.getElementById('vialPosition').options[document.getElementById('vialPosition').selectedIndex].value).className = 'boxCell';
					}
					document.getElementById('boxPosition' + vialCell).className = 'boxCellSelected';
				}
				setVial(vialCell);
			}
	
			function confirmComplete(frozenDownEmbryos) {
				
				document.getElementById('completeOnExit').value = true;
				document.getElementById('exitOnly').value = false;
				
				if(frozenDownEmbryos == 0) {
					if(confirm('Total frozen down embryo is 0, complete the attempt anyway?')) {
						return true;
					} else
					{
						return false;
					}
				}
				
			}
	
			function confirmExit(frozenDownEmbryos) {
				document.getElementById('exitOnly').value = true; 
				document.getElementById('completeOnExit').value = false;
				if(frozenDownEmbryos == 0) {
					if(confirm('You have not added any freeze down sample for this scheduled job. Exit anyway?')) {
						return true;
					} else
					{
						return false;
					}
				}
				return true;
			}
	
			function hideElement(elementID) {
				if (document.getElementById(elementID)) {
					document.getElementById(elementID).style.display = 'none';
				}
			}
			
			function resetDropDown(dropDownName) {
				if (document.getElementById(dropDownName)) {
					document.getElementById(dropDownName).selectedIndex = 0;
				}
			}
			
			function resetExitParams() {
				document.getElementById('completeOnExit').value = false;
				document.getElementById('exitOnly').value = false; 
			}
			
			function resetOnFormChange() {
				document.getElementById('onFormChange').value = false;
				document.forms[0].submit();
			}
			
			function setHiddenFields() {
				if (document.getElementById('freezeDownSample.id')) {
					document.getElementById('freezeDownDetails').style.display = 'inline';
				}
				//if (document.getElementById('strawSystem').options[document.getElementById('strawSystem').selectedIndex].value == 'true') {
				if (document.getElementById('storageSystem').value == 'true') {
					//Straw
					hideElement('boxDisplay');
					
					if (document.getElementById('freezerId').selectedIndex != 0) {
						document.getElementById('canisterLabel').style.display = 'block';
						document.getElementById('canisterId').style.display = 'block';
						if (document.getElementById('canisterId').selectedIndex != 0) {
							document.getElementById('gobletLabel').style.display = 'block';
							document.getElementById('gobletId').style.display = 'block';
							if (document.getElementById('gobletId').selectedIndex != 0) {
								document.getElementById('wedgeLabel').style.display = 'block';
								document.getElementById('wedgeId').style.display = 'block';
								showElement('gobletDisplay');
							}
						}
					}
				//} else if (document.getElementById('strawSystem').options[document.getElementById('strawSystem').selectedIndex].value == 'false') {
				} else if (document.getElementById('storageSystem').value == 'false') {
					//Vial
					hideElement('gobletDisplay');
	
					if (document.getElementById('freezerId').selectedIndex != 0) {
						document.getElementById('towerLabel').style.display = 'block';
						document.getElementById('towerId').style.display = 'block';
						if (document.getElementById('towerId').selectedIndex != 0) {
							document.getElementById('boxLabel').style.display = 'block';
							document.getElementById('boxId').style.display = 'block';
							if (document.getElementById('boxId').selectedIndex != 0) {
								document.getElementById('vialLabel').style.display = 'block';
								document.getElementById('vialPosition').style.display = 'block';
								
								//Display box
								document.getElementById('currentBox').innerHTML = '';
								document.getElementById('legend').style.display = 'block';
								
								var vialPositions = document.getElementById('vialPosition');
								
								//Set available positions
								var availableVialPositions = document.getElementById('vialPosition').length;
								for(var x = 1; x < availableVialPositions; x++) {
									document.getElementById('boxPosition' + document.getElementById('vialPosition').options[x].value).className = 'boxCell';
								}
								document.getElementById('boxDisplay').style.display = 'block';
								document.getElementById('boxDisplayDiagram').style.display = 'block';
								
								//Set selected vial
								setSelected();
							}
							else {
								document.getElementById('vialPosition').selectedIndex = 0;
								document.getElementById('boxDisplay').style.display = 'none';
								document.getElementById('currentBox').innerHTML = '';
								document.getElementById('legend').style.display = 'none';
							}
						}
						else {
							document.getElementById('boxLabel').style.display = 'none';
							document.getElementById('boxId').style.display = 'none';
							document.getElementById('boxId').selectedIndex = 0;
						}
					}
				} else {
					hideElement('boxDisplay');
					hideElement('gobletDisplay');
				}
			}
			
			function setOnFormChange() {
				var onFormChange = document.getElementById('onFormChange');
				onFormChange.value = 'true';
				document.forms[0].submit();
			}
			
			function setPagePosition() {
				//Scroll down to freeze down sample section if adding/editing
				var queryString = window.location.search.substring(1);
	
				if (queryString == '') {
					location.hash = 'edit';
				}
			}
			
			function setStrawSys() {
				var isStraw = document.getElementById('strawSystem');
				var onFormChange = document.getElementById('onFormChange');
			//	var strawRadioButton = document.getElementById('storageTypeStraw');
				
				onFormChange.value = 'true';
				isStraw.value = 'true';
				document.forms[0].submit();
			}
			
			function setSelected() {
				//Clear selected
				var position = document.getElementById('vialPosition').options[document.getElementById('vialPosition').selectedIndex].value;
				
				for (x = 1; x <= 100; x++) {
					if (document.getElementById('boxPosition' + x).className == 'boxCellSelected') {
						document.getElementById('boxPosition' + x).className = 'boxCell';
					}
				}
				
				if (position != '') {
					document.getElementById('boxPosition' + position).className = 'boxCellSelected';
				}
			}
			
			function setVial(vialCell) {
				//Set vialdrop-down to clicked vial
				var vialNumbers = document.getElementById('vialPosition').options.length;
								
				for (var i=0; i < vialNumbers; i++) {
					if (document.getElementById('vialPosition').options[i].value == vialCell) {
						document.getElementById('vialPosition').selectedIndex = i;
					}
				}
			}
			
			function setWedge(wedge) {
				//Set wedge-down to clicked wedge
				var wedgeNumbers = document.getElementById('wedgeId').options.length;
								
				for (var i=0; i < wedgeNumbers; i++) {
					if (document.getElementById('wedgeId').options[i].value == wedge) {
						document.getElementById('wedgeId').selectedIndex = i;
					}
				}
			}
			
			function showWedgeInfo(colour, strain, strawCount) {
				var straws = ' straw';
				if (strawCount > 1 || strawCount == 0) {straws = ' straws'}
				if (strain == '') {
					document.getElementById('strainInfo').value = colour + ' wedge: ' + strawCount + straws;
				} else {
					document.getElementById('strainInfo').value = colour + ' wedge: ' + strawCount + straws + '\nStrain: ' + strain;
				}
			}
			
			function showElement(elementID) {
				if (document.getElementById(elementID)) {
					document.getElementById(elementID).style.display = 'block';
				}
			}
		</script>
	</head>

	<body onload="setHiddenFields();setPagePosition();">
		<gui:page>
			<c:choose>
				<c:when test="${!empty form.scheduledCryoPreservationJob.cryoRequest.id}">
				<gui:pageHeader name="Scheduled Cryo Preservations Freeze Down Page" />
				<%@ include file="../cryo_request/cryo_preservation_request_header.jspf" %>
				</c:when>
				<c:otherwise>
				<gui:pageHeader name="Scheduled Cryo Preservations Freeze Down Page (WT flush)" />
				</c:otherwise>
			</c:choose>

			<form:form commandName="form" action="edit_freeze_down_sample.do">
				<%@ include file="list_freeze_down_samples_summary.jspf" %>
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<c:choose>
					<c:when test="${empty form.freezeDownSample.id}">
						<c:set var="label" value="Add Freeze Down Sample"></c:set>
					</c:when>
					<c:otherwise>
						<c:if test="${form.strawSystem}">
						<c:set var="label" value="Edit Freeze Down Sample Straw #${form.freezeDownSample.strawLocation.strawId}"></c:set>
						</c:if>
						<c:if test="${!form.strawSystem}">
						<c:set var="label" value="Edit Freeze Down Sample Vial #${form.freezeDownSample.vialLocation.vialId}"></c:set>
						</c:if>
					</c:otherwise>
				</c:choose>
				
				<c:choose>
					<c:when test="${form.scheduledCryoPreservationJob.attemptCompleted}">
						<c:if test="${!empty form.freezeDownSample.id}">
							<div id="freezeDownDetails" style="display: inline">
						</c:if>
						<c:if test="${empty form.freezeDownSample.id}">
							<div id="freezeDownDetails" style="display: none">
						</c:if>
					</c:when>
					<c:otherwise>
						<c:if test="${form.scheduledCryoPreservationJob.flushComplete}">
							<div id="freezeDownDetails" style="display: inline;">
						</c:if>
					</c:otherwise>
				</c:choose>
				
				<a id="edit"></a>
				<gui:mig-box divId="editEntity" label="${label}">
					<table class="migBoxInner">
					<form:hidden path="scheduledCryoPreservationJob.id" />
				
					<form:hidden path="onFormChange" />
						<tr>
							<td style='height: 365px; width: 420px; padding: 10px 10px 0px 8px; border-right: 1px dotted #777;' valign=top>
								<table>
									<c:if test="${form.scheduledCryoPreservationJob.newFreezeDown}">
									<tr>
										<td class="entryLabel">
											<b>Storage type<span class='formError'> *</span></b>
										</td>
										<td class="entryData">
											<form:select path="strawSystem" onchange="setOnFormChange();">
												<option value=''>
													-- Specify the system --
												</option>		
												<form:options items="${strawSystemMap}"/>
											</form:select>
										</td>
									</tr>
									</c:if>
									<tr>
										<td class="entryLabel">
											Technician<span class='formError'> *</span>
										</td>
										<td class="entryData">
											<gui:formPopup path="freezeDownSample.technician.fullName" cssClass="person" title="Lookup Technician" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=freezeDownSample.technicianId,personName=freezeDownSample.technician.fullName')" />
											<form:hidden path="freezeDownSample.technicianId" /> 
											<form:hidden path="freezeDownSample.technician.fullName" /> 
										</td>
									</tr>
									<tr>
										<td id="embryosPerText" class="entryLabel">
											Embryos Count <span class='formError'>*</span>
										</td>
										<td class="entryData">
											<form:select path="freezeDownSample.embryoCount">
												<option value="">
													-- Specify the number of Embryos--
												</option>		
												<form:option value="0" />
												<form:option value="1" />
												<form:option value="2" />
												<form:option value="3" />
												<form:option value="4" />
												<form:option value="5" />
												<form:option value="6" />
												<form:option value="7" />
												<form:option value="8" />
												<form:option value="9" />
												<form:option value="10" />
												<form:option value="11" />
												<form:option value="12" />
												<form:option value="13" />
												<form:option value="14" />
												<form:option value="15" />
												<form:option value="16" />
												<form:option value="17" />
												<form:option value="18" />
												<form:option value="19" />
												<form:option value="20" />
												<form:option value="21" />
												<form:option value="22" />
												<form:option value="23" />
												<form:option value="24" />
												<form:option value="25" />
												<form:option value="26" />
												<form:option value="27" />
												<form:option value="28" />
												<form:option value="29" />
												<form:option value="30" />
												<form:option value="31" />
												<form:option value="32" />
												<form:option value="33" />
												<form:option value="34" />
												<form:option value="35" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Grade
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="freezeDownSample.embryoGradeDictId" >
									 		<option value=''>-- Specify the Grade --</option>
											<form:options items="${cellGrades}" itemValue="id" itemLabel="name"/>
											</form:select>		
								         </td>
									</tr>
									<tr>
										<td class="entryLabel" nowrap=nowrap>
											Freeze Down Date
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:input cssClass="date" path="freezeDownSample.freezeDownDate" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="freezeDownSample.freezeDownDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="entryLabelT">
											Comments
										</td>
										<td class="entryData">
											<form:textarea cssStyle="height: 160px; width: 260px;" id="comments" path="freezeDownSample.comments"/>
										</td>	
									</tr>
								</table>
							</td>
							<td style="width: 340px; padding: 10px 0px 0px 8px; border-right: 1px dotted #777;" valign="top">
								<table width="100%" >
									<tr>
										<td valign="top" height="220px">
											<table>
												<tr>
													<td class="entryLabel" id="freezerLabel" width="100px" valign="top">
														Freezer <span class='formError'>*</span>
													</td>
													<td class="entryData" valign="top">
														<form:select path="freezerId" onchange="setOnFormChange();">
								 							<option value=''>-- Specify Freezer --</option>
								 							<form:options items="${form.freezers}" itemValue="id" itemLabel="name"/>
														</form:select>		
													</td>
												</tr>
												<c:if test="${!form.strawSystem}">
												<tr>  
													<td class="entryLabel" id="towerLabel" style="display: none;" height="22px" valign="top">
														Tower <span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="towerId" cssStyle="display: none;" onchange="setOnFormChange();">
									 						<option value=''>-- Specify Tower --</option>
									 						<form:options items="${form.towers}" itemValue="id" itemLabel="name"/>
														</form:select>		
													</td>
												</tr>
												<tr>
													<td class="entryLabel" id="boxLabel"  style="display: none;" height="22px" valign="top">
														Box <span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="boxId" cssStyle="display: none;" onchange="setOnFormChange();">
									 						<option value=''>-- Specify Box --</option>
									 						<form:options items="${form.boxes}" itemValue="id" itemLabel="name"/>
														</form:select>		
													</td>
												</tr>
												<tr>
													<td class="entryLabel" id="vialLabel" style="display: none;" height="22px" valign="top">
														Vial Position<span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="vialPosition" cssStyle="display: none;" onchange="setSelected();">
									 						<option value=''>-- Specify Vial Position --</option>
									 						<form:options items="${form.availableVialPosition}"/>
														</form:select>		
													</td>
												</tr>
												</c:if>
												<c:if test="${form.strawSystem || form.scheduledCryoPreservationJob.strawSystem}">
												<tr>
													<td class="entryLabel" id="canisterLabel" style="display: none;" width="100px" valign="top">
														Canister <span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="canisterId" cssStyle="display: none;" onchange="setOnFormChange();">
									 						<option value=''>-- Canister --</option>
									 						<form:options items="${form.canisters}" itemValue="id" itemLabel="name"/>
														</form:select>		
													</td>
												</tr>
												<tr>
													<td class="entryLabel" id="gobletLabel" style="display: none;" width="100px" valign="top">
														Goblet <span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="gobletId" cssStyle="display: none;" onchange="setOnFormChange();">
									 						<option value=''>-- Specify Goblet --</option>
									 						<form:options items="${form.goblets}" itemValue="id" itemLabel="name"/>
														</form:select>		
													</td>
												</tr>
												<tr>
													<td class="entryLabel" id="wedgeLabel" style="display: none;" height="22px" valign="top">
														Wedge<span class='formError'>*</span> 
													</td>
													<td class="entryData" valign="top">
														<form:select path="wedgeId" cssStyle="display: none;">
									 						<option value=''>-- Specify Wedge --</option>
									 						<c:forEach items="${wedgesDropDown}" var="record">
									 							<c:choose>
									 								<c:when test="${record.id == form.wedgeId}">
										 								<c:choose>
											 								<c:when test="${record.colour == 'Black' || record.colour == 'Blue'}">
											 									<option style="background-color: ${record.colour}; color: white;" value="${record.id}" selected>${record.colour}</option>
											 								</c:when>
											 								<c:when test="${record.colour == 'Grey'}">
											 									<option style="background-color: gray;" value="${record.id}" selected>${record.colour}</option>
											 								</c:when>
											 								<c:otherwise>
											 									<option style="background-color: ${record.colour};" value="${record.id}" selected>${record.colour}</option>
											 								</c:otherwise>
										 								</c:choose>
									 								</c:when>
										 							<c:otherwise>
																		<c:choose>
											 								<c:when test="${record.colour == 'Black' || record.colour == 'Blue'}">
											 									<option style="background-color: ${record.colour}; color: white;" value="${record.id}">${record.colour}</option>
											 								</c:when>
											 								<c:when test="${record.colour == 'Grey'}">
											 									<option style="background-color: gray;" value="${record.id}">${record.colour}</option>
											 								</c:when>
											 								<c:otherwise>
											 									<option style="background-color: ${record.colour};" value="${record.id}">${record.colour}</option>
											 								</c:otherwise>
										 								</c:choose>
									 								</c:otherwise>
																</c:choose>
															</c:forEach>
														</form:select>
													</td>
												</tr>
												</c:if>
											</table>
										</td>
									</tr>
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td align="center">
														<br />
														<!-- SUBMIT COMPLETED FORM does post, form submission -->
														<input type="button" class="smallButton" onmouseover="this.className='smallButtonYellow'" 
														onmouseout="this.className='smallButton'" style="color:#444;font-weight:bold;" name="_finish" value="save" onclick="resetOnFormChange();"/>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
							<td style="padding: 0px 4px 10px 12px;" valign=top align="center">
								<div id="boxDisplay">
									<span id="currentBox" style="font-weight: bold;"></span>
									<input type="hidden" value="" id="currentPosition">
									<div id="legend" style="display: none; margin-top: 10px;">
										<table>
											<tr>
												<td width="10px" style="border: 1px solid black; background: white;">&nbsp;</td>
												<td>Available&nbsp;&nbsp;</td>
												<td width="10px" style="border: 1px solid black; background: chartreuse;">&nbsp;</td>
												<td>Selected&nbsp;&nbsp;</td>
												<td width="10px" style="border: 1px solid black; background: red;">&nbsp;</td>
												<td>In use</td>
											</tr>
										</table>
									</div>
									<c:if test="${!form.strawSystem && !empty form.boxId}">
									<table id="boxDisplayDiagram" style="display: none; margin-top: 10px; width: 360px; border-collapse: collapse; " onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='default';">
										<%
											int cellCounter = 1;
											for (int row = 1; row <= 10; row++) {
												out.write("<tr>\n");
												for (int x = 1; x <= 10; x++) {
													out.write("<td id='boxPosition" + cellCounter + "' class='boxCellUsed' onclick='clickBox(" + cellCounter + ");'>" + cellCounter + "</td>\n");
													cellCounter++;
												}
												out.write("</tr>\n");
											}
										%>
									</table>
									</c:if>
								</div>
								<c:if test="${!empty form.gobletId && !empty form.canisterId && !empty form.freezerId}">
								<div id="gobletDisplay" style="display: none">
									<table>
										<tr>
											<td align="center">
												<textarea style="height: 35px; width: 380px; overflow: hidden" id="strainInfo" class="readonly" readonly></textarea>
												<br /><font color="gray">Hover over wedge to see strain information. Click to select.
												<br />Wedges in light grey cannot be selected as they contain a different strain</font><br />
											</td>
										</tr>
									</table>
									<c:url var="imageUrl" value="getchart.chart?img=${imageId}" />
									<img src='${imageUrl}' usemap="#chartImageMap" />
									<map name="chartImageMap">
										${imageMap}
									</map>
								</div>
								</c:if>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<input type='hidden' name='storageSystem' id='storageSystem' value='${form.strawSystem}'>	
				<input type='hidden' name='exitOnly' id='exitOnly' value='false'>
				<input type='hidden' name='completeOnExit' id='completeOnExit' value='false' >
				<c:if test="${form.scheduledCryoPreservationJob.flushComplete}">
				<div>
					<input type='submit' style='font-weight:bold; margin-left:8px;font-size:13px; width:200px;' onclick="return confirmComplete(${form.scheduledCryoPreservationJob.totalFrozenDownEmbryos});" value='Complete Attempt'>
					<input type='submit' style='font-weight:bold; margin-left:8px;font-size:13px; width:200px;' onclick="return confirmExit(${form.scheduledCryoPreservationJob.totalFrozenDownEmbryos});" value='Exit without Complete'>
				</div>
				</c:if>
				<c:if test="${form.scheduledCryoPreservationJob.attemptCompleted}">
					<div>
						<input type="submit" style="font-weight:bold; margin-left:8px; font-size:13px; width:200px;' onclick="document.getElementById('exitOnly').value=true; document.getElementById('completeOnExit').value=false;" value='Exit'>
					</div>
				</c:if>
			</form:form>
		</gui:page>
	</body>
</html>
