<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Cryo Preservation Request Shipping</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
	    <script src="js/jquery.js"></script>
	    <script src="js/jquery-calendar.js"></script>
	    <script src="js/lookupList.js"></script>
	    <script type="text/javascript" src="js/thickbox.js"></script>
	    <script type="text/javascript">
			function toggle(checkBox){
				$(".toggleable").attr("checked", checkBox.checked);
			}
		</script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cryo Preservation Request Shipping Page" />
                    <%@ include file="cryo_shipping_header.jspf" %>
				<form:form commandName="form" action="edit_ship.do" method="post">
				    <gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
					<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
					<input type="hidden" id="cryoRequestId" name="cryoRequestId" value="${cryoRequest.id}"/>

					<gui:mig-box label="Freeze Down Samples">
						<table class="migBoxInner">
							<tr>
								<td>
									<div style="border-left: 0px; border-bottom: 0px; border-right: 0px;	border-top: 0px;">
										<table class="listPaginated" id="guiListCryoRequestsTable">
											<thead class="listPaginatedHeader">
												<tr>
													<th>
														<input type="checkbox" checked="checked" onclick="toggle(this);"/>
													</th>
													<th>
														Storage Type<br />
													</th>
													<th>
														ID<br />
													</th>
													<th>
														Female Strain<br />
													</th>
													<th>
														Comments<br />
													</th>
													<th>
														Freeze Down Date<br />
													</th>
													<th>
														Embryo Grade<br />
													</th>
													<th>
														Embryo Count<br />
													</th>
													<th>
														Location<br />
													</th>
													<th>
														Technician<br />
													</th>
												</tr>
											</thead>
											<c:forEach items="${form.checkBoxes}" var="checkbox" varStatus="loopStat">
												<c:set var="rootPath" value="checkBoxes[${loopStat.index}]" />
												<c:set var="sample" value="${checkbox.sampleListView}" />
												<gui:toggle-row-class />

												<tr valign="top" class="${rowClass}">
                                                    <td width="50px">
												   <form:checkbox path="${rootPath}.checked" cssClass="toggleable"/>
													</td>
													<td>${sample.storageType}</td>
													<td>${sample.id}</td>
													<td>${sample.femaleStrainName}</td>
													<td>${sample.comments}</td>
													<td><fmt:formatDate value="${sample.freezeDownDate}" pattern="dd-MMM-yyyy"/></td>
													<td>${sample.embryoGrade}</td>
													<td>${sample.embryoCount}</td>
													<td>${sample.locationName}</td>
													<td>${sample.technician}</td>
												</tr>
											</c:forEach>
										</table>
									</div>
								</td>
							</tr>
						</table>
				</gui:mig-box>

                <gui:mig-box>
                <table class="migBoxInner">
                <tr>
                <td class="entryLabel">
                Ship to <span class='formError'>*</span>
                </td>
                <td>
                <form:input path="shipTo" maxlength="30"/>
                </td>
                </tr>
                <tr>
                <td class="entryLabel">
					Date <span class='formError'>*</span>
				</td>
				<td class="entryData">
					<form:input path="shippingDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
					<gui:dateTimePicker path="shippingDate" datePicker="true" timePicker="false" autoPopUp="button" />
				</td>
                </tr>


                </table>
                </gui:mig-box>
                <div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" onclick="setOrderBy(''); return true;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				<input type="button" name="_cancel" value="Cancel" onclick="document.location = 'list_cryo_requests.do?bypassForm=true&newQuery=true&cryoRequest.statusDictId=&paginated=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>

			</form:form>
		</gui:page>
	</body>
</html>
