<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>List Sampels</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
		<gui:pageHeader name="List Samples" />
		<form:form commandName="searchBean" action="simple_search_samples.do" method="get">
		<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
		<div class="listPaginated">
		<gui:paginate bean="${searchBean}" />
			<c:if test="${!empty samples}">
			<table class="listPaginated" id="guiListCryoRequestsTable">
				<thead class="listPaginatedHeader">
					<tr>
						<th>Options</th>
						<th>
						<gui:paginate-order-by orderBy="storage_type" bean="${searchBean}">
							Storage Type<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="id" bean="${searchBean}">
							ID<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="request_id" bean="${searchBean}">
							Cryo Request ID<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="colony_name" bean="${searchBean}">
							Colony Name<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="female_strain_name" bean="${searchBean}">
							Female Strain Name<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="requested_female_strain_name" bean="${searchBean}">
							Requested Female <br />Strain Name
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="comments" bean="${searchBean}">
							Comments <br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="freeze_down_date" bean="${searchBean}">
							Freeze Down Date<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="embryo_grade_dict_id" bean="${searchBean}">
							Embryo Grade<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="embryo_count" bean="${searchBean}">
							Embryo Count<br />
						</gui:paginate-order-by>
						</th>

						<th>
						<gui:paginate-order-by orderBy="location_name" bean="${searchBean}">
							Location<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="technician_name" bean="${searchBean}">
							Technician<br />
						</gui:paginate-order-by>
						</th>
					</tr>
				</thead>

					<c:forEach items="${samples}" var="sample">
						<gui:toggle-row-class recordId3="${sample.requestedFemaleStrainId}" recordId4="${sample.femaleStrainId}"/>
						<tr valign="top" class="${rowClass}">
						<td width=50px;>
						<c:choose>
							<c:when test="${!sample.jobCompleted || empty sample.requestId }">
								<c:if test="${sample.storageType=='straw'}">
								<a href="cancel_sample.do?id=${sample.id}&referrer=sampleList&scheduledCryoPreservationJob.id=0&strawSystem=true&freezeDownPageRefer=" title="Delete this Freeze Down Sample">
									<img src="images/mouse_tracking/delete.gif" title="Cancel Straw">
								</a>
								</c:if>
								<c:if test="${sample.storageType=='vial'}">
								<a href="cancel_sample.do?id=${sample.id}&referrer=sampleList&scheduledCryoPreservationJob.id=0&strawSystem=false&freezeDownPageRefer=" title="Delete this Freeze Down Sample">
									<img src="images/mouse_tracking/delete.gif" title="Cancel Vial">
								</a>
								</c:if>
							</c:when>
							<c:otherwise>
								<img src="images/blank.gif" width="17px;" />
							</c:otherwise>
						</c:choose>
						&nbsp;&nbsp;
						<a href="edit_freeze_down_sample.do?freezeDownSample.id=${sample.sampleId}&scheduledCryoPreservationJob.id=${sample.scheduledJobId}&cryoRequestId=${sample.requestId}&refer=sampleList#edit" title="Edit Sample">
							<img src="images/edit.gif" title="Edit Sample">
						</a>
							</td>
							<td>${sample.storageType}</td>
							<td>${sample.id}</td>
							<td>${sample.requestId}</td>
							<td>${sample.colonyName}</td>
							<td>${sample.femaleStrainName}</td>
							<td>${sample.requestedFemaleStrainName}</td>
							<td>${sample.comments}</td>
							<td><fmt:formatDate value="${sample.freezeDownDate}" pattern="dd-MMM-yyyy"/></td>
							<td>${sample.embryoGrade}</td>
							<td>${sample.embryoCount}</td>
							<td>${sample.locationName}</td>
							<td>${sample.technician}</td>
						</tr>
					</c:forEach>
			</table>
		</c:if>
		</div>
		</form:form>
		</gui:page>
	</body>
</html>