<%@ page import="java.util.Date"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Scheduled Cryo Preservations</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">

		<script type="text/javascript">
		function clearSearch() {
			document.getElementById("statusDictId").selectedIndex = 0;
			document.getElementById("startTargetDate").value = "";
			document.getElementById("endTargetDate").value = "";
			document.getElementById("cryoRequestId").value = "";
		}
		function setTodaysJobTrue(){
			var showTodaysJob = document.getElementById('getTodaysJobs');
			document.getElementById("getTodaysJobs").value = true;
		}
		function setTodaysJobFalse(){
			var showTodaysJob = document.getElementById('getTodaysJobs');
			document.getElementById("getTodaysJobs").value = false;
		}
		function validateInput(){
	    	var cryoReqId = document.getElementById("cryoRequestId");
		 	var isNumber = true;

			for (var x = 0; x < cryoReqId.value.length; x++) {
				var c = cryoReqId.value.charAt(x);
				if ((c >= '0') && (c <= '9')) {
					continue;
				} else {
					isNumber = false;
					break;
				}
			}
			if(!isNumber){
				cryoReqId.value="<Please enter a valid number.>";
				document.getElementById("cryoRequestId").select();
				document.getElementById("cryoRequestId").focus();
				return false;
			} else {
				setTodaysJobFalse();
				setNewQuery(true);
				return true;
			}
		}
		function emptyField(){
			var cryoReqId = document.getElementById("cryoRequestId");
			var c = cryoReqId.value.charAt(0);
			if(c=='<'){
				cryoReqId.value = "";
			}
		}
		function doSearch() {
			document.forms[0].submit();
		}
		</script>
	</head>

	<body>
		<gui:page>
		<form:form commandName="searchBean" action="list_scheduled_cryo.do?bypassForm=true&newQuery=true&paginated=true" method="GET">
		<form:hidden path="getTodaysJobs"/>
			<gui:pageHeader name="Scheduled Cryo Preservations Work Page" />
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">
							Status
						</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="statusDictId" onchange="setTodaysJobFalse();setNewQuery('true');setPaginated('true');doSearch();">
								<option value="">All</option>
								<form:options items="${statuses}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td class="filterLabel">
							Target Date from
						</td>
						<td class="filterData">
							<form:input cssClass="date" path="startTargetDate" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="startTargetDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
						<td class="filterLabel">
							Target Date to
						</td>
						<td class="filterData">
							<form:input cssClass="date" path="endTargetDate" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="endTargetDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
						<td class="filterLabel">
							Cryo Req. ID
						</td>
						<td class="filterData">
							<form:input path="cryoRequestId" onclick="emptyField();" cssStyle="width: 180px"/>
						</td>
					</tr>
				</table>
			</gui:filterBox>

			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" onclick="return validateInput();" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				<input type="submit" value="Today's Jobs" onclick="setTodaysJobTrue(); clearSearch();" />
			</div>

			<div class="listPaginated">
			<c:if test="${!firstTimeAccess}">
				<gui:mig-box label="Filtered Job List">
					<c:if test="${!empty filteredJobList}">
					<table class="migBoxInner">
						<tr>
							<td valign="bottom">
								<gui:paginate bean="${searchBean}" />
							</td>
							<td>
								<table align="right" width="100%">
									<tr>
										<td align="left">
										</td>
										<td width="230px" align="right">
											<table align="left">
												<tr>
													<td class="miCompleted"style="text-align: center; vertical-align: middle; border-right: dotted 1px #999; font-size: 10px; width: 22px; border: 0px;">
														&nbsp;
													</td>
													<td style="font-size: 11px; width: 82px">
														Flush
													</td>
													<td class="miEmbryoTransferCompleted" style="text-align: center; vertical-align: middle; border-right: dotted 1px #999; font-size: 10px; width: 22px; border: 0px;">
														&nbsp;
													</td>
													<td style="font-size: 11px; width: 80px">
														Freeze Down
													</td>
												</tr>
												<tr>
													<td colspan=4 style="text-align: center; border-bottom: 2px #999 solid; margin-bottom:0px; letter-spacing: 0.2em; font-size: 15px; font-weight: bold; color: #777;">
														WORK COMPLETED:
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan=2>
								<table class="listPaginated" id="guiTableNameRequestDetails">
									<thead class="listPaginatedHeader">
										<tr>
											<th align="middle">
												Cancel<br />Option
											</th>
											<th>
												<gui:paginate-order-by orderBy="JOB_NAME" bean="${searchBean}">
												Job #<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="CRYO_REQUEST_ID" bean="${searchBean}">
												Cryo Req.<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="COLONY_NAME" bean="${searchBean}">
												Colony Name<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="FEMALE_STRAIN_NAME" bean="${searchBean}">
												Female Strain Requested<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="JOB_STATUS" bean="${searchBean}">
												Status<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="COMMENTS" bean="${searchBean}">
												Comments<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="TOTAL_FROZEN_COUNT" bean="${searchBean}">
												Total<br />Frozen<br />
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="AVERAGE_FROZEN_COUNT" bean="${searchBean}">
												Average Yield<br />(Tot. Frozen /<br />No. Plugged)
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="TARGET_SCHEDULED_DATE" bean="${searchBean}">
												Target Date<br />
												</gui:paginate-order-by>
											</th>
											<!-- MILESTONES -->
										<th	style='width: 110px; font-size:14px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;'>
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />
											<u>Flush</u>
										</th>
										<th	style='width: 110px; font-size:14px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;'>
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />
											<u>Freeze&nbsp;Down</u>
										</th>
										</tr>
									</thead>
									<c:forEach items="${filteredJobList}" var="filteredJob">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td nowrap style="text-align: center; padding: 2px 0px 2px 0px;" width="50px">
											<!-- Show Cancel if Scheduled or flush completed -->
											<c:if test="${(filteredJob.scheduled || filteredJob.flushComplete)}">
												<a href="deactivate_scheduled_cryo_preservation.do?id=${filteredJob.id}&referrer=filteredList&wtcancel=false" title="Cancel">
													<img src='images/mouse_tracking/delete.gif'>
												</a>
											</c:if>
										</td>
										<td>
											${filteredJob.jobName}
										</td>
										<td align = "middle">
											<c:if test="${!filteredJob.wildType}">
												<a href="view_one_cryo_request.do?id=${filteredJob.cryoRequestId}&showSampleList=true" title="View cryo preservation request">${filteredJob.cryoRequestId}</a>
											</c:if>
										</td>
										<td>
											<c:if test="${filteredJob.wildType}">
												Wildtype flush for viability test
											</c:if>
											<c:if test="${!filteredJob.wildType}">
												${filteredJob.colonyName}
											</c:if>
										</td>
										<td>
											<c:if test="${!filteredJob.wildType}">
												${filteredJob.femaleStrain}
											</c:if>
										</td>
										<td width="165px">
											<c:if test="${filteredJob.cancelled}">
												<b>${filteredJob.status}</b> <a onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='default'" title="${filteredJob.cancelReason}" >(hover for reason)</a>
											</c:if>
											<c:if test="${!filteredJob.cancelled}">
												<b>${filteredJob.status}</b>
											</c:if>
										</td>
										<td>
											${filteredJob.comments}
										</td>
										<td>
											${filteredJob.totalFrozenCount}
										</td>
										<td>
											${filteredJob.averageFrozenCount}
										</td>
										<td width="80px">
											<fmt:formatDate value="${filteredJob.targetDate}" pattern="dd-MMM-yyyy"/>
										</td>
										<c:if test="${filteredJob.scheduled}">
										<td title="To Complete" align="middle" class="miBlankFirst">
											<input onclick="location.href='edit_embryo_harvest_cryo.do?id=${filteredJob.embryoHarvestId}&jobId=${filteredJob.id}&cryoRequestId=${filteredJob.cryoRequestId}&isFilterList=true'"
												type='button' value='To Complete' class='smallButton'
												onMouseOver="this.className='smallButtonYellow';"
												onMouseOut="this.className='smallButton';" style="width:90px;" />
										</td>
										<td class="miBlank">

										</td>
								</c:if>
								<c:if test="${filteredJob.flushComplete}">
										<td class="miCompleted" title="Flush Completed">
											<a href="edit_embryo_harvest_cryo.do?id=${filteredJob.embryoHarvestId}&jobId=${filteredJob.id}&cryoRequestId=${filteredJob.cryoRequestId}&isFilterList=true">
												<img src="images/edit.gif" title="Edit Flush">
											</a>
										</td>
										<td title="To Complete" align="middle" class="miBlank">
											<input onclick="location.href='edit_freeze_down_sample.do?scheduledCryoPreservationJob.id=${filteredJob.id}&cryoRequestId=${filteredJob.cryoRequestId}&refer=filterList'"
												type='button' value='To Complete' class='smallButton'
												onMouseOver="this.className='smallButtonYellow';"
												onMouseOut="this.className='smallButton';" style="width:90px;" />
										</td>
								</c:if>
								<c:if test="${filteredJob.attemptComplete}">
										<td class="miCompleted" title="Flush Completed">
											<a href="edit_embryo_harvest_cryo.do?id=${filteredJob.embryoHarvestId}&jobId=${filteredJob.id}&cryoRequestId=${filteredJob.cryoRequestId}&isFilterList=true">
												<img src="images/edit.gif" title="Edit Flush">
											</a>
										</td>
										<td class="miEmbryoTransferCompleted" title="Freeze Down Completed">
											<a href="edit_freeze_down_sample.do?scheduledCryoPreservationJob.id=${filteredJob.id}&cryoRequestId=${filteredJob.cryoRequestId}&refer=filterList">
												<img src="images/edit.gif" title="Edit Freeze down">
											</a>
										</td>
								</c:if>
								<c:if test="${filteredJob.cancelled}">
										<td align="middle" class="miBlankFirst">
											&nbsp;
										</td>
										<td class="miBlank">
										</td>
								</c:if>
									</tr>
									</c:forEach>
								</table>
							</td>
						</tr>
					</table>
					</c:if>
					<c:if test="${empty filteredJobList}">
						<b>There are no jobs conforming to the filter criteria</b>
						<gui:paginate bean="${searchBean}" hideDisplayText="true" />
					</c:if>
				</gui:mig-box>
			</c:if>

			<c:if test="${firstTimeAccess}">
			<gui:paginate bean="${searchBean}" hideDisplayText="true" />
			<%@ include file="overdue_jobs.jspf" %>
			<br />
			<%@ include file="today_jobs.jspf" %>
			</c:if>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
