<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript">
		function emptyField(field){
			var c = field.value.charAt(0);
			if(c=='<'){
				field.value = "";
			}
		}
		
		function submitSearch() {
			if (validateInput()) {
				return true
			}
			else {
				return false;
			}
		}
		
		function validateInput(){
			var validateRequestID = true;
			var validateStrawID = true;
			
			validateRequestID = validateId("requestId");
			validateID = validateId("id");
			
			if (!validateRequestID || !validateID) {
				return false;
			} else {
				return true;
			}
		}
		
		function validateId(fieldName) {
			var isNumber = true;
			var field = document.getElementById(fieldName);
			var fieldValue = field.value;
			
			for (var x = 0; x < fieldValue.length; x++) {
				var c = fieldValue.charAt(x);
				
				if ((c >= '0') && (c <= '9')) {
					continue;
				} else {
					isNumber = false;
					break;
				}
			}
			if(!isNumber){
				field.value="<Invalid id!>";
				field.select();
				field.focus();
				return false;
			}
			else {
				return true;
			}
		}
		
		function clearColonyField(){
			document.getElementById("colonyName").value="";
			document.getElementById("colonyId").value="";
		}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Sample Quick Search" />
			<form:form commandName="form" method="get" action="simple_search_samples.do" onsubmit="return submitSearch();">
			<input type="hidden" id="processForm" name="processForm" value="true" />		
			<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">
							Straw/Vial ID
						</td>
						<td class="filterData">
							<form:input path="id" size="8" onclick="emptyField(this);"/>
						</td>
						<td class="filterLabel">
							Colony Name
						</td>
		    			<td class="filterData">
							<gui:formPopup path="colonyName" cssStyle="width: 350px" onclick="openLookupList('lookup_colony.do','colonyInfoId=colonyId')" title="Find Colony Names"/>
							<form:hidden path="colonyId" id = "colonyId"/>
						</td>
						<td class="filterData">
							<input type="button" value="clear" style="width: 40px;" class="smallbutton" onclick="clearColonyField()"/>
						</td>
		    			<td class="filterLabel">
							Request ID
						</td>
		    			<td class="filterData">
							<form:input path="requestId" cssStyle="width: 80px" onclick="emptyField(this);" />
						</td>
						</tr>
						<tr>
						<td class="filterLabel">
							Female Strain
						</td>
						<td class="filterData">
						<form:select path="femaleStrainName">
							<option value=''>
								-- Please specify female strain --
							</option>
						<form:options items="${femaleStrains}"/>
						</form:select>
		</td>
						<td class="filterLabel">
							Frozen Down Date
						</td>
		    			<td class="filterData">
		    				<form:input cssClass="date" path="freezeDownDate" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="freezeDownDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
		    		</tr>
		    	</table>
		    </gui:filterBox>
	    	<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick="document.location='simple_search_samples.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
			</form:form>
		</gui:page>
	</body>
</html>