<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Micro-Injection Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cryo Preservation Request" />
			<gui:mig-box >
				<table class="migBoxInner">
					<tr>
						<td>
							<p>
								Genotyping must be compatible with the MGP pipeline.
							</p>
							<p>
								Genotyping is done by multiplexed short tange PCR (no more than 800bp amplicons).
							</p>
							<p>
								Amplicons should differ in size by at least 50bp.
							</p>
							<p>
								Please provide three primers as follows:
							</p>
							<p>
								One common genomic DNA primer compatible with one primer from the deleted region (detects native allele) and one primer from the targeting cassett (detects modified allele).
							</p>
							<p>
								In addition to this, please include a primer pair that detects the presence of the targeting cassette that works multiplexed with the other primers.
							</p>
							<p>
								The diagram below illustrates the required locations for the primer pairs.
							</p>
							<p align="center">
								<img src="images/primer_req.png" width="335" height="158" />
							</p>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<div class="submitButtons">
				<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="history.back()" />
			</div>
			
		</gui:page>
	</body>
</html>
