<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Cryo Preservation Request</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript">
		function toggleFemaleMessage(srcObj) {
			var fo = document.getElementById('female_other');
			if(srcObj.value == '12') {
				fo.style.visibility = 'visible';
			}
			else {
				fo.style.visibility = 'hidden';
			}
		}

		function openPplForPerson() {
			var requesterId = document.getElementById("cryoRequest.requesterId");

			if(requesterId.value == "") {
				alert("Please specify a requester first");
			}
			else {
				openLookupList('lookup_project_licence.do?recordType=PPL&personId='+requesterId.value ,'projectLicenceId=cryoRequest.projectLicenceId');
			}
		}
		function cancelRequest(requestId){
			 <c:if test = "${form.cryoRequest.request||form.cryoRequest.rescheduleNeeded}">
			document.location = 'cancel_cryo_request.do?id=' + requestId + '&newStatus=CANCELLED';
			</c:if>
			 <c:if test = "${!form.cryoRequest.request && ! form.cryoRequest.rescheduleNeeded}">
			  alert('This request is in process. Please contact cryo team for cancellation.');
			 </c:if>
		}


		function openPersonLookupList() {
		  if(document.getElementById("cryoRequest.projectLicenceId").value != "") {
		  	 document.getElementById("cryoRequest.projectLicenceId").value = "";
		  	 document.getElementById("projectLicenceDisplayText").value = "";
		  }
		  openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=cryoRequest.requesterId');
		}

		function lookupListPostProcessing(){
				var d = document.forms[0];
				d.changeForm.value = 'addAllele';
				document.forms[0].submit();
		}

		</script>
	</head>
	<body>
		<gui:page>

		<form:form commandName="form" method="post" action="edit_cryo_request.do">
			<c:choose>
				<c:when test="${empty form.cryoRequest.id}">
					<gui:pageHeader name="Enter New Cryo Preservation Request" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Edit Cryo Preservation Request">
					<c:if test="${(! empty form.cryoRequest) &&(! empty form.cryoRequest.id)}">
						<c:if test="${!form.cryoRequest.cancelled&&!form.cryoRequest.completed}">
						<td class="pageHeader">
						<input type="button" value="Cancel Request" onClick="return cancelRequest(${form.cryoRequest.id})" style="font-weight: bold;" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
						</td>
					</c:if>
					</c:if>
					</gui:pageHeader>
				</c:otherwise>
			</c:choose>

			<gui:mig-box >
				<table class="migBoxInner">
					<tr>
						<td colspan="4" class="info">
	      					<b>Cryo Preservation Request Terms and Conditions</b>
							<ul>
								<li class="info">If het x wt breeding, we will freeze 600 embryos and require a minimum of 80 females at 3-4 weeks old ideally.
								<li class="info">If homozygous x wt breeding, we will freeze 300 embryos and require a minimum of 40 females at 3-4 weeks old ideally.
								<li class="info">Mouse transfer should be coordinated with MGP following submission of this form.
								<li class="info">Please note that approximately 1-2 straws will be test thawed.
								<li class="info">Genotyping to be done by requester unless genotyping alleles can be provided as described <a href="view_cryo_primers.do"><b>here</b></a>.
							</ul>
	      				</td>
	      			</tr>
				</table>
			</gui:mig-box>

			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>

				 <c:if test = "${(empty form.cryoRequest.id) ||form.cryoRequest.request||form.cryoRequest.rescheduleNeeded}">
				 <input type="hidden" name="changeForm" />
				<table class="migBoxInner">

					<tr>
						<td class="entryLabel" width="12%">
							Requester name:<span class='formError'>*</span>
						</td>
						<td class="entryData">
							<gui:formPopup path="personName" cssClass="person" onclick="openPersonLookupList()" title="Lookup Person" />
							<form:hidden path="cryoRequest.requesterId" />
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Project Licence:<span class='formError'>*</span>
						</td>
						<td class="entryData">
							<gui:formPopup path="projectLicenceDisplayText" cssStyle="width:400px" onclick="openPplForPerson();" title="Lookup Project Licence" />
							<form:hidden path="cryoRequest.projectLicenceId" />
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Colony Name:<span class='formError'>*</span>
						</td>
						<td class="entryData">
							<gui:formPopup path="colonyName" cssStyle="width: 400px"
							onclick="openLookupList('lookup_colony.do?recordType=colony','colonyInfoId=cryoRequest.colonyInfoId');" title="Lookup Colony" />
							<form:hidden path="cryoRequest.colonyInfoId" />
							</td>
                    </tr>
					<c:if test="${form.addAllele}">
					<tr>
						<td class="entryLabel">
								Modified Allele:<span class='formError'>*</span>
						</td>
						<td class="entryData" valign="middle" align="left" width="450px" onclick="openLookupList('lookup_allele.do','alleleId=modifiedAlleleId');">
								<div style="border: #B0B0B0 solid 1px; background-color: #ffffdd; height: 32px; cursor: pointer;" >
									<gui:formPopup path="primaryName" cssStyle="position: relative; top: 10px; left: 0px; width: 135px; text-align: right; border-right: 0px; margin: 0px; padding: 0px; border: 0px;" noimage="true" onclick="" />
									<gui:formPopup path="officialNameSuperscript" cssStyle="position: relative; left: -2px; width: 140px; border-left: 0px; margin: 0px; padding: 0px; border: 0px;" onclick="" noimage="true" />
								</div>
						</td>
						<td align="left">
								<img src="images/lookup.gif" onclick="openLookupList('lookup_allele.do','alleleId=modifiedAlleleId');" style="cursor: pointer;" />
								<form:hidden path="modifiedAlleleId" />
								<form:errors path="modifiedAlleleId" cssClass="formError" />
						</td>
					</tr>
                    </c:if>
					<tr>
						<td class="entryLabel">
							Female Strain:<span class='formError'>*</span>
						</td>
						<td class="entryData">
						<form:select path="cryoRequest.femaleStrainDictId" onchange="toggleFemaleMessage(this)">
								<option value="">&nbsp;</option>
								<form:options items="${femaleStrains}" itemValue="id" itemLabel="name" />
						</form:select>
					   </td>
					</tr>

					<tr>

						<td class="entryLabel">
							Funding:<span class='formError'>*</span>
						</td>

						<td class="entryData">
									<form:select path="cryoRequest.fundingSourceDictId">
									<option value="">&nbsp;</option>
									<form:options items="${fundingSource}" itemValue="id" itemLabel="name" />
									</form:select>
						</td>

					</tr>
					<tr>
					<control:accessControl roles="admin,mgp-admin,cryo-admin">
						<td class="entryLabel">
							Target Count:
						</td>
						<td class="entryData">
							<form:input path="cryoRequest.targetNumber"></form:input>
						</td>
					</control:accessControl>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td class="entryData">
							<span id="female_other" style="visibility: hidden">If Unknown, females to be provided by requester.</span>
						</td>
					</tr>
				</table>
				</c:if>
			<c:if test="${!(form.cryoRequest.request||form.cryoRequest.rescheduleNeeded ||empty form.cryoRequest.id)}">
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel" width="15%">
							Requester name:<span class='formError'>*</span>
						</td>
						<td class="entryData">
							<gui:formPopup path="personName" cssStyle="width: 200px" onclick="openPersonLookupList()" title="Lookup Person" />
							<form:hidden path="cryoRequest.requesterId" />
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Project Licence:<span class='formError'>*</span>
						</td>
						<td class="entryData">
							<gui:formPopup path="projectLicenceDisplayText" cssStyle="width: 600px" onclick="openPplForPerson();" title="Lookup Project Licence" />
							<form:hidden path="cryoRequest.projectLicenceId" />
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Colony Name:<span class='formError'>*</span>
						</td>
						<control:if roles="admin">
							<control:then>
							<td class="entryData">
							<gui:formPopup path="colonyName" cssStyle="width: 400px" onclick="openLookupList('lookup_colony.do?recordType=colony','colonyInfoId=cryoRequest.colonyInfoId');" title="Lookup Colony" />
							<form:hidden path="cryoRequest.colonyInfoId" />
							</td>
							</control:then>
							<control:else>
							<td class="entryData">
							<gui:formPopup path="colonyName" cssStyle="width: 400px" onclick="alert('Request is in process now. Please contact Cryo group if changes are required!')" title="Lookup Colony" />
							<form:hidden path="cryoRequest.colonyInfoId" />
							</td>
							</control:else>
						</control:if>
					</tr>
					<tr>
						<td class="entryLabel">
							Female Strain:<span class='formError'>*</span>
						</td>
						<control:if roles="admin">
							<control:then>
								<td class="entryData">
									<form:select path="cryoRequest.femaleStrainDictId" onchange="toggleFemaleMessage(this)">
									<option value="">&nbsp;</option>
									<form:options items="${femaleStrains}" itemValue="id" itemLabel="name" />
									</form:select>
								</td>
							</control:then>
							<control:else>
							<td class="entryData">
									<form:select path="cryoRequest.femaleStrainDictId" onchange="toggleFemaleMessage(this)" disabled="true">
									<option value="">&nbsp;</option>
									<form:options items="${femaleStrains}" itemValue="id" itemLabel="name" />
									</form:select>
								</td>
							</control:else>
						</control:if>
					</tr>
					<tr>
						<td class="entryLabel">
							Funding Source:<span class='formError'>*</span>
						</td>
						<control:if roles="admin,cryo-admin">
							<control:then>
								<td class="entryData">
									<form:select path="cryoRequest.fundingSourceDictId">
									<option value="">&nbsp;</option>
									<form:options items="${fundingSource}" itemValue="id" itemLabel="name" />
									</form:select>
								</td>
							</control:then>
							<control:else>
							<td class="entryData">
									<form:select path="cryoRequest.fundingSourceDictId" disabled="true">
									<option value="">&nbsp;</option>
									<form:options items="${fundingSource}" itemValue="id" itemLabel="name" />
									</form:select>
								</td>
							</control:else>
						</control:if>
					</tr>
					<tr>
					<control:accessControl roles="admin,mgp-admin,cryo-admin">
						<td class="entryLabel">
							Target Count:
						</td>
						<td class="entryData">
							<form:input path="cryoRequest.targetNumber" maxlength="5"></form:input>
						</td>
					</control:accessControl>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td class="entryData">
							<span id="female_other" style="visibility: hidden">If Unknown, females to be provided by requester.</span>
						</td>
					</tr>
				</table>
				</c:if>
			</gui:mig-box>
			<div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				<input type="submit" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>
		</form:form>
		</gui:page>
	</body>
</html>
