<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create Scheduled Cryo Preservation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery-calendar.js"></script>
	</head>
	<body>
		<gui:page>
		<form:form commandName="form">
			<gui:pageHeader name="Schedule New Cryo Preservation" />
			<%@ include file="cryo_preservation_request_header.jspf" %>

			<div class="listPaginated">	
			<gui:paginate bean="${form}" hideDisplayText="true" />
			<gui:mig-box label="Previous Scheduled Cryo Preservations for this Request" >
				<table class="migBoxInner" border=0>
					<tr>
						<td>
					<c:choose>		   	
						<c:when test="${!empty scheduledJobList}">
							<table class="listPaginated" id="guiTableNameRequestDetails">
								<thead class="listPaginatedHeader">
									<tr>
										<th align="middle">
											Cancel<br />Option
										</th>
										<th>
											<gui:paginate-order-by orderBy="JOB_NAME" bean="${form}">
												Job #
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="TOTAL_FROZEN_COUNT" bean="${form}">
												Total Frozen
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="JOB_STATUS" bean="${form}">
												Status
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="TARGET_SCHEDULED_DATE" bean="${form}">
												Target Date
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="COMMENTS" bean="${form}">
												Comments
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="CANCEL_COMMENTS" bean="${form}">
												Cancel Comments
											</gui:paginate-order-by>
										</th>
									</tr>
								</thead>
								<c:forEach items="${scheduledJobList}" var="scheduledJob">
								<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td nowrap style="text-align: center; padding: 2px 0px 2px 0px;" width="60px">
										<!-- Show Cancel if Scheduled or flush completed -->
										<c:if test="${scheduledJob.scheduled || scheduledJob.flushComplete}">
											<a href="deactivate_scheduled_cryo_preservation.do?id=${scheduledJob.id}&referrer=editScheduledPage" title="Cancel">
												<img src='images/mouse_tracking/delete.gif'>
											</a>
										</c:if>
										</td>
										<td>
											${scheduledJob.jobName}
										</td>
										
										<td>
											${scheduledJob.totalFrozenCount}
										</td>
										<td width="165px">
											<c:if test="${scheduledJob.cancelled}">
												<b>${scheduledJob.status}</b> 
											</c:if>
											<c:if test="${!scheduledJob.cancelled}">
												<b>${scheduledJob.status}</b>
											</c:if>
										</td>
										<td width="80px">
											<fmt:formatDate value="${scheduledJob.targetDate}" pattern="dd-MMM-yyyy"/>
										</td>
										<td>
											${scheduledJob.comments}
										</td>
										<td>
											${scheduledJob.cancelComments}
										</td>
									</tr>
								</c:forEach>
							</table>
						</c:when>
						<c:otherwise>
								No records found
						</c:otherwise>
					</c:choose>
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</div>
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel">
							Scheduled Date <span class='formError'>*</span> 
						</td>
						<td class="entryData">
							<form:input path="nextScheduleDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="nextScheduleDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
					</tr>
					<tr>
						<td class="entryLabelT">
							Comments:
						</td>
						<td class="entryData">
							<form:textarea cssClass="migFormTextField" cssStyle="height: 60px; width: 750px;" path="comments" />
						</td>
					</tr>
				</table>
			</gui:mig-box>
			
			<div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" onclick="setOrderBy(''); return true;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				<input type="button" name="_cancel" value="Cancel" onclick="document.location = 'list_cryo_requests.do?bypassForm=true&newQuery=true&cryoRequest.statusDictId=&paginated=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>
			</form:form>
		</gui:page>
	</body>
</html>		