<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Cryo Preservation Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
		function clearSearch() {
			document.getElementById("cryoRequest.statusDictId").selectedIndex = 0;
			document.getElementById("startRequestDate").value = "";
			document.getElementById("endRequestDate").value = "";
			clearColonyField();
		}
		function doSearch(){
			document.forms[0].submit();
		}
		function option(action){
			document.forms[0].action = action;
			document.forms[0].submit();
		}
		function clearColonyField(){
			document.getElementById("colonyName").value="";
			document.getElementById("colonyId").value="";
		}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cryo Preservation Requests" />
			<form:form commandName="searchBean" action="list_cryo_requests.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">Status</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="cryoRequest.statusDictId" onchange = "setNewQuery(true);doSearch();">
								<option value="">All</option>
								<form:options items="${statuses}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td width="40px" class="filterLabel">
							Colony Name
						</td>
		    			<td class="filterData" style="padding-right: 6px">
		    				<gui:formPopup path="colonyName" cssStyle="width: 260px" onclick="openLookupList('lookup_colony.do','colonyInfoId=colonyId')" title="Lookup Colony" />
		    				<form:hidden path="colonyId" id = "colonyId"/>
						</td>
						<td class="filterData" width="30px" style="padding: 0px 4px">
							<input type="button" value="Clear" style="margin-left:3px; width: 40px;" class="smallButton" onclick="clearColonyField()" />
						</td>
						<td class="filterLabel">
							Request<br />Date from
						</td>
						<td class="filterData" style="padding-right: 8px">
							<form:input path="startRequestDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="startRequestDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
						<td class="filterLabel">
							Request<br />Date to
						</td>
						<td class="filterData" style="padding: 0px">
							<form:input path="endRequestDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="endRequestDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" onclick="setNewQuery('true');setPaginated('true');submitForm()" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" title="Clear Filter" onclick="clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>

			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty cryoRequests}">
					<table class="listPaginated" id="guiListCryoRequestsTable">
						<thead class="listPaginatedHeader">
						<tr>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
									ID<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								Options&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="STATUS" bean="${searchBean}">
								Status<br />
								</gui:paginate-order-by>
							</th>
							<th colspan="2" style="text-align: center;">
								Requester
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="CREATED_DATE" bean="${searchBean}">
								Request<br />Date<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="TOTAL_ATTEMPTS" bean="${searchBean}">
								No.<br />Attempts<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="COLONY_NAME" bean="${searchBean}">
								Colony Name<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="COLONY_PREFIX" bean="${searchBean}">
								Colony<br />Prefix<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								Colony<br />Background Strain
							</th>
							<th rowspan="2">
								Colony<br />Allele
							</th>
							<th rowspan="2">
								Homozygous<br />Lethal?
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="FEMALE_STRAIN" bean="${searchBean}">
								Female Strain<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="TOTAL_SUPEROVULATED" bean="${searchBean}">
								No.<br />Super<br />ovul.<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="TOTAL_PLUGGED" bean="${searchBean}">
								No.<br />Plug.<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="TOTAL_FROZEN" bean="${searchBean}">
								No.<br />Frozen<br />Down<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="TARGET_COUNT" bean="${searchBean}">
								Target<br />No.<br />
								</gui:paginate-order-by>
							</th>
							<th rowspan="2">
								<gui:paginate-order-by orderBy="FUNDING_SOURCE" bean="${searchBean}">
								Funding<br />
								</gui:paginate-order-by>
							</th>

						</tr>
						<tr>
							<th>
								<gui:paginate-order-by orderBy="REQUESTER_NAME" bean="${searchBean}">
								Name<br />
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="TEAM_NUMBER" bean="${searchBean}">
								Team<br />
								</gui:paginate-order-by>
							</th>
						</tr>
						</thead>
						<c:forEach items="${cryoRequests}" var="record">
						<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}"/>
						<tr class="${rowClass}">
							<td>
								<control:if roles="admin,mgp-admin,senior-tgx,cryo-admin">
									<control:then>
										<a href="view_one_cryo_request.do?id=${record.id}&showSampleList=true" title="Cryo Preservation Request Work Page">${record.id}</a>
									</control:then>
									<control:else>
										${record.id}
									</control:else>
								</control:if>
							</td>
							<td>
								<control:if roles="admin,mgp-admin,senior-tgx,cryo-admin" recordOwnerId="${record.personId}">
									<control:then>
										<input type="button" class="smallButton" value="Edit" title="Edit Cryo Preservation Request" onmouseover="this.className='smallButtonYellow'" onmouseout="this.className='smallButton'" style="width: 33px; margin-right: 1px;" onclick="document.location='edit_cryo_request.do?id=${record.id}';" />
									</control:then>
									<control:else>
										<input type="button" disabled="disabled" class="smallButtonDisabled" value="Edit" style="width: 33px; margin-right: 1px;"/>
									</control:else>
								</control:if>
								<control:accessControl roles="admin,mgp-admin,senior-tgx,cryo-admin" >

								<c:choose>
									<c:when test="${!record.cancelled && !record.completed}">
										<input type="button" class="smallButton" value="Schedule" title="Schedule Cryo Preservation Job" onmouseover="this.className='smallButtonYellow'" onmouseout="this.className='smallButton'" style="width: 60px; margin-right: 1px;" onclick="document.location='edit_scheduled_cryo_preservation.do?cryoRequestId=${record.id}';" />
									</c:when>
									<c:otherwise>
										<img src="images/blank.gif" style="width: 60px; margin-right: 1px; height: 10px;">
									</c:otherwise>
								</c:choose>
								<c:choose>
								<c:when test="${!record.cancelled && record.totalFrozen>0}">
										<input type="button" class="smallButton" value="Thaw" title="Thaw Test" onmouseover="this.className='smallButtonYellow'" onmouseout="this.className='smallButton'" style="width: 38px; margin-right: 1px;" onclick="document.location='edit_thaw_test.do?cryoRequestId=${record.id}&editThaw=false#step1';" />
										<input type="button" class="smallButton" value="Ship" title="Ship" onmouseover="this.className='smallButtonYellow'" onmouseout="this.className='smallButton'" style="width: 33px;" onclick="document.location='edit_ship.do?cryoRequestId=${record.id}';" />
								</c:when>
								<c:otherwise>
									&nbsp;<img src="images/blank.gif" width="16px">
								</c:otherwise>
								</c:choose>
								</control:accessControl>
							</td>
							<td>
							<c:choose>
							<c:when test="${record.status == 'Cancelled'}">
								<a onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='default'" title="${record.cancelReason}" >Cancelled (hover for reason)</a>
							</c:when>
							<c:otherwise>
							${record.status}
							</c:otherwise>
							</c:choose>
							</td>
							<td>${record.requesterName}</td>
							<td>${record.teamNumber}</td>
							<td>
								<fmt:formatDate value="${record.requestDate}" pattern="dd-MMM-yyyy"/>
							</td>
							<td>
								${record.totalAttempts}
							</td>
							<td>
								<a href="view_one_colony_info.do?id=${record.colonyInfoId}">${record.colonyName}</a>
							</td>
							<td>${record.colonyPrefix}</td>
							<td>
								${record.appendedStrains}
							</td>
							<td>
								${record.appendedAlleles}
							</td>
							<td>
								${record.appendedHomozygousLethal}
							</td>
							<td>
								${record.femaleStrain}
							</td>
							<td>
								${record.totalSuperOvulated}
							</td>
							<td>
							${record.totalPlugged}
							</td>
							<td>
								${record.totalFrozen}
							</td>
							<td>
								${record.targetCount}
							</td>
							<td>
								${record.fundingSource}
							</td>
						</tr>
					</c:forEach>
					</table>
				</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
