<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Cryo Preservation Request</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	  <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cryo Preservation Request Work Page" />
				<%@ include file="cryo_request_details.jspf" %>

				<form:form commandName="searchBean" action="view_one_cryo_request.do" method="get">
					<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
					<input type="hidden" id="cryoRequestId" name="cryoRequestId" value="${cryoRequest.id}"/>
					<c:if test="${!empty samples}">
					<gui:mig-box label="Freeze Down Samples">
						<table class="migBoxInner">
							<tr>
								<td valign="bottom">
									<gui:paginate bean="${searchBean}" />
								</td>
							</tr>
							<tr>
								<td>
									<div style="border-left: 0px; border-bottom: 0px; border-right: 0px;	border-top: 0px;">
										<table class="listPaginated" id="guiListCryoRequestsTable">
											<thead class="listPaginatedHeader">
												<tr>
													<th>Options<br /><img src="images/blank.gif" height="16px;" /></th>
													<th>
													<gui:paginate-order-by orderBy="storage_type" bean="${searchBean}">
														Storage Type<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="id" bean="${searchBean}">
														ID<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="request_id" bean="${searchBean}">
														Female Strain<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="colony_name" bean="${searchBean}">
														Comments<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="freeze_down_date" bean="${searchBean}">
														Freeze Down Date<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="embryo_grade_dict_id" bean="${searchBean}">
														Embryo Grade<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="embryo_count" bean="${searchBean}">
														Embryo Count<br />
													</gui:paginate-order-by>
													</th>

													<th>
													<gui:paginate-order-by orderBy="location_name" bean="${searchBean}">
														Location<br />
													</gui:paginate-order-by>
													</th>
													<th>
													<gui:paginate-order-by orderBy="technician_name" bean="${searchBean}">
														Technician<br />
													</gui:paginate-order-by>
													</th>
												</tr>
											</thead>
											<c:forEach items="${samples}" var="sample">
												<gui:toggle-row-class />
												<tr valign="top" class="${rowClass}">
													<td width="50px">
													<!--Cancel-->
													<c:if test="${sample.jobCompleted}">
														<img src="images/blank.gif" width="8px;" />&nbsp;&nbsp;
														<a href="edit_freeze_down_sample.do?freezeDownSample.id=${sample.sampleId}&scheduledCryoPreservationJob.id=${sample.scheduledJobId}&cryoRequestId=${sample.requestId}&refer=viewOneRequest" title="Edit Sample">
															<img src="images/edit.gif" style="margin-left: 12px" title="Edit Sample">
														</a>
													</c:if>
													<c:if test="${!sample.jobCompleted}">
														<c:if test="${sample.storageType=='straw'}">
														<a href="cancel_sample.do?id=${sample.id}&referrer=viewOneRequest&cryoRequestId=${sample.requestId}&scheduledCryoPreservationJob.id=0&strawSystem=true&freezeDownPageRefer=" title="Delete this Freeze Down Sample">
															<img src="images/mouse_tracking/delete.gif" title="Cancel Straw">
														</a>
														</c:if>
														<c:if test="${sample.storageType=='vial'}">
														<a href="cancel_sample.do?id=${sample.id}&referrer=viewOneRequest&cryoRequestId=${sample.requestId}&scheduledCryoPreservationJob.id=0&strawSystem=false&freezeDownPageRefer=" title="Delete this Freeze Down Sample">
															<img src="images/mouse_tracking/delete.gif" title="Cancel Vial">
														</a>
														</c:if>
														&nbsp;&nbsp;
														<a href="edit_freeze_down_sample.do?freezeDownSample.id=${sample.sampleId}&scheduledCryoPreservationJob.id=${sample.scheduledJobId}&cryoRequestId=${sample.requestId}" title="Edit Sample">
															<img src="images/edit.gif" title="Edit Sample">
														</a>
													</c:if>
													</td>
													<td>${sample.storageType}</td>
													<td>${sample.id}</td>
													<td>${sample.femaleStrainName}</td>
													<td>${sample.comments}</td>
													<td><fmt:formatDate value="${sample.freezeDownDate}" pattern="dd-MMM-yyyy"/></td>
													<td>${sample.embryoGrade}</td>
													<td>${sample.embryoCount}</td>
													<td>${sample.locationName}</td>
													<td>${sample.technician}</td>
												</tr>
											</c:forEach>
										</table>
									</div>
								</td>
							</tr>
						</table>
				</gui:mig-box>
				</c:if>
				<c:if test="${empty samples}">
					<br />
					No freeze down Samples
					<br />
					<br />
				</c:if>
				<c:if test="${!empty thawTests}">

					<gui:mig-box label="Thaw Tests" >
						<table class="listNonPaginated" style="border: 0px;">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>User Options</th>
								<th>Thaw Test Id</th>
								<th>Thaw Date</th>
								<th>Due Date</th>
								<th>Number Transferred</th>
								<th>Comments</th>
							</tr>
						</thead>
						<c:forEach items="${thawTests}" var="record">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>
									<a href="edit_thaw_test.do?cryoRequestId=${cryoRequest.id}&thawTestId=${record.id}" title="Edit Thaw Test">
										<img src="images/edit.gif" style="margin-left: 12px" title="Edit Thaw Test">
									</a>
								</td>
								<td>${record.id}</td>
								<td><fmt:formatDate value="${record.dateCompleted}" pattern="dd-MMM-yyyy"/></td>
								<td><fmt:formatDate value="${record.dueDate}" pattern="dd-MMM-yyyy"/></td>
								<td>${record.numberTransferred}</td>
								<td>${record.comments }</td>
							</tr>
						</c:forEach>
						</table>
					</gui:mig-box>
				</c:if>
			</form:form>
		</gui:page>
	</body>
</html>
