<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Custom Query</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/cqi.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script>

			$(document).ready(function() {
				$("table.migBoxInner tbody tr").hover(
          			function() {$(this).addClass("highlight")},
          			function() {$(this).removeClass("highlight")}
        		);
			});

			function validateSelected() {
				var selectedCount = parseInt($("#selectedRecordCount").html());
				if(selectedCount == 0) {
					alert("Please make one or more selections and try again");
					return false;
				}
				return true;
			}

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				${customQuery.queryTitle}
				&nbsp;
				<a class="thickbox" href="custom_query.do?customQueryId=${searchBean.customQueryId}&retrieveFromSession=true&sessionObjectName=stored_session_customQuery_${searchBean.uniqueName}&_dummy=false&TB_iframe=true&KeepThis=true&height=600&width=700"><input type="button" class="smallButton" value="Filter Records"/></a>
				&nbsp;
				<a href="#" onclick="setAllRecords('true');setFormParam('excel','true');submitForm();"><input type="button" class="smallButton" value="Download Records"></a>
			</gui:pageHeader>

			<form:form commandName="searchBean" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<form:hidden path="excel"/>

				<table>
					<tr valign="top">
						<td>
							<gui:paginate bean="${searchBean}" />
						</td>
						<c:if test="${customQuery.selectableRecords}">
							<td valign="top">
								<b>(<span id="selectedRecordCount">${searchBean.selectedRecordCount}</span> selected)</b>
							</td>
							<td>
								<c:forEach items="${customQuery.selectedRecordActions}" var="action">
									<c:choose>
										<c:when test="${fn:contains(action.actionUrl,'?')}">
											<c:set var="queryStringAppender" value="&" />
										</c:when>
										<c:otherwise>
											<c:set var="queryStringAppender" value="?" />
										</c:otherwise>
									</c:choose>

                  <c:set var="actionUrl" value="${action.actionUrl}${queryStringAppender}queryName=${searchBean.queryName}"/>
                  <!-- Roles: ${action.permittedRoles} Empty? ${empty action.permittedRoles}  -->

               	   <c:choose>
                    <c:when test="${empty action.permittedRoles}">
                      <gui:link-button text="${action.actionTitle}" href="${actionUrl}" onclick="if(!validateSelected()) { return false; }"/>&nbsp;
                    </c:when>
                    <c:otherwise>
                      <control:accessControl roles="${action.permittedRoles}">
                        <gui:link-button text="${action.actionTitle}" href="${actionUrl}" onclick="if(!validateSelected()) { return false; }"/>&nbsp;
                      </control:accessControl>
                    </c:otherwise>
                   </c:choose>
								</c:forEach>
							</td>
						</c:if>
					</tr>
				</table>

				<gui:mig-box>
					<cqi:customListView customQuery="${customQuery}">
						<cqi:customListViewHeader />
						<cqi:customListViewBody />
					</cqi:customListView>
				</gui:mig-box>

				<gui:paginate-navigation-bar bean="${searchBean}"/>
			</form:form>
		</gui:page>
	</body>
</html>