<% response.setHeader("Content-Disposition:", "attachment; filename=data_output.xls"); %>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ page contentType="application/vnd.ms-excel" pageEncoding="utf-8" %>

<?xml version="1.0"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
	xmlns:o="urn:schemas-microsoft-com:office:office"
	xmlns:x="urn:schemas-microsoft-com:office:excel"
	xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
	xmlns:html="http://www.w3.org/TR/REC-html40">

	<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
		<WindowHeight>8700</WindowHeight>
		<WindowWidth>14235</WindowWidth>
		<WindowTopX>480</WindowTopX>
		<WindowTopY>30</WindowTopY>
		<ProtectStructure>False</ProtectStructure>
		<ProtectWindows>False</ProtectWindows>
	</ExcelWorkbook>

	<Styles>
		<Style ss:ID="Default" ss:Name="Normal">
			<Alignment ss:Vertical="Bottom"/>
			<Borders/>
			<Font/>
			<Interior/>
			<NumberFormat/>
			<Protection/>
		</Style>
		<Style ss:ID="sBold">
			<Font ss:Bold="1"/>
		</Style>
	</Styles>

	<Worksheet ss:Name="Data">
		<Table>
			<Row>
				<c:forEach items="${customQuery.displayColumns}" var="column">
					<Cell ss:StyleID="sBold"><Data ss:Type="String"><c:out value="${column.columnTitle}" /></Data></Cell>
				</c:forEach>
			</Row>

			<c:forEach items="${customQuery.results}" var="rowData">
				<Row>
					<c:forEach items="${customQuery.displayColumns}" var="column">
						<c:choose>
							<c:when test="${column.datatype eq 'NUMBER'}"><c:set var="ssType" value="Number"/></c:when>
							<c:when test="${column.datatype eq 'Date'}"><c:set var="ssType" value="Date"/></c:when>
							<c:otherwise><c:set var="ssType" value="String"/></c:otherwise>
						</c:choose>
						<Cell>
							<Data ss:Type="${ssType}"><cqi:customQueryField column="${column}" row="${rowData}" excel="true"/></Data></Cell>
					</c:forEach>
				</Row>
			</c:forEach>
		</Table>
	</Worksheet>
</Workbook>

