<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Custom Queries</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<link type="text/css" href="css/uiTabs.css" rel="stylesheet" />
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
		<script>
			$(document).ready(function() {
				// set up tabs
				$('#tabsEx1 > ul').tabs({
				fx: { opacity: 'toggle', duration: 'fast' }
				});

				$("table.migBoxInner tbody tr").hover(
          			function() {$(this).addClass("highlight")},
          			function() {$(this).removeClass("highlight")}
        		);
			});
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>Ad-Hoc Reports</gui:pageHeader>

			<div id="tabsEx1">
				<ul class="ui-tabs-nav">
					<li class="">
						<a href="#fragment-0"><span>&nbsp;</span></a>
					</li>
					<c:forEach items="${categorisedQueries}" var="category" varStatus="categoryLoop">
						<li class="">
							<a href="#fragment-${categoryLoop.count}"><span>${category.key}</span></a>
						</li>
					</c:forEach>
				</ul>

				<div id="fragment-0" class="ui-tabs-panel ui-tabs-hide">
					<h2>Select a category to see the list of available reports.</h2>
				</div>

				<c:forEach items="${categorisedQueries}" var="category" varStatus="categoryLoop">
					<div id="fragment-${categoryLoop.count}" class="ui-tabs-panel ui-tabs-hide">
						<table class="migBoxInner">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th width="5%">&nbsp;</th>
									<th width="25%">Name</th>
									<th>Description</th>
									<th>Last Refreshed</th>
								</tr>
							</thead>
							<gui:toggle-row-reset/>
							<c:forEach items="${category.value}" var="query">
								<gui:toggle-row-class/>
								<tr class="${rowClass}">
									<td align="center">
										<gui:link-button text="run query" href="custom_query.do?customQueryId=${query.id}&bypassForm=${!query.startWithFilter}&newQuery=true&sessionObjectName=stored_session_customQuery_${query.uniqueName}"/>
									</td>
									<td>
										<c:out value="${query.queryTitle}" />
									</td>
									<td>
										<c:out value="${query.description}" />
									</td>
									<td>
										<c:choose>
											<c:when test="${empty query.lastRefresh}">Live</c:when>
											<c:otherwise><fmt:formatDate value="${query.lastRefresh}" pattern="dd-MMM-yyyy HH:mm:ss"/></c:otherwise>
										</c:choose>
									</td>
								</tr>
							</c:forEach>
						</table>
					</div>
				</c:forEach>

			</div>

		</gui:page>
	</body>
</html>