<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Custom Query</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script src="js/toggleVisibility.js"></script>
		<script type="text/javascript">
			function submitChangeForm(changeFormValue) {
				document.getElementById("changeForm").value = changeFormValue;

				if(changeFormValue == "addFilter") {
					document.getElementById("changeFormValue").value = document.getElementById("addFilterField").value;
				}
				else if(changeFormValue == "addSort") {
					document.getElementById("changeFormValue").value = document.getElementById("addSortField").value;
				}

				document.forms[0].submit();
			}

			function redrawCalendar(fieldId) {
				var inputField = document.getElementById(fieldId);
				$(inputField).calendar({
						autoPopUp: 'button',
						datePicker: true,
						timePicker: false,
						buttonImage: 'images/calendar.gif',
						buttonImageOnly: true
					});
				$(inputField).siblings("img").show();
			}

			function toggleTextArea(selectField) {
				var field1Id = selectField.id.replace(".comparator",".testValue");
				var field1 = document.getElementById(field1Id);
				var datatypeFieldId = selectField.id.replace(".comparator",".datatype");
				var datatype = document.getElementById(datatypeFieldId).value;

				//don't do anything for select lists
				if(field1.type != "select-one") {
					var span1Id = selectField.id.replace(".comparator",".testValueSpan");
					var span1 = document.getElementById(span1Id);

					var field1Width;
					if(field1.type == "textarea") {
						field1Width = field1.cols;
					}
					else {
						field1Width = field1.size;
					}

					if(selectField.value == "IN") {
						span1.innerHTML = "<textarea id='" + field1.id + "' name='" + field1.name + "' rows='2' cols='" + field1Width + "' style=''>" + field1.value + "</textarea>";
					}
					else {
						var field1Value = field1.value.replace(/\n+|\t+/g, ",");
						span1.innerHTML = "<input type='text' id='" + field1.id + "' name='" + field1.name + "' size='" + field1Width + "' value='" + field1Value + "'>";
					}

					if(datatype == "DATE") {
						redrawCalendar(field1Id);
					}
				}
			}

			function initElements() {
			<c:forEach items="${form.filters}" var="field" varStatus="formLoop">
			 	<c:forEach items="${field.conditions}" var="condition" varStatus="fieldLoop">
				addParent("filters${formLoop.index}.conditions${fieldLoop.index}.comparator");
				addChild("filters${formLoop.index}.conditions${fieldLoop.index}.testValue","EQUALS;STARTS_WITH;CONTAINS;GREATER;LESS;BETWEEN;IN","","","testValue_div_${formLoop.index}_${fieldLoop.index}");
				addChild("filters${formLoop.index}.conditions${fieldLoop.index}.testValue2","BETWEEN","","","testValue2_div_${formLoop.index}_${fieldLoop.index}");
				</c:forEach>
			</c:forEach>

				initElementVisibility();
			}

			function submitToTarget() {
				if(window.name.indexOf("TB_iframe") ==0) {
					document.forms[0].target='_parent';
				}
				document.forms[0].submit();
			}

			function recallLastQuery() {
				document.getElementById("retrieveFromSession").value = "true";
				submitChangeForm('retrieveFromSession');
			}
		</script>
	</head>
	<body onload="initElements();">
		<gui:page>
			<gui:pageHeader showBackUrl="false">
				${customQuery.queryTitle}
				&nbsp;
				<gui:link-button text="recall last query" onclick="recallLastQuery();"/>
			</gui:pageHeader>

			<gui:error-list commandName="form"><br></gui:error-list>

			<form:form commandName="form" method="post">

				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="retrieveFromSession" name="retrieveFromSession" value="false" />
				<input type="hidden" id="sessionObjectName" name="sessionObjectName" value="stored_session_customQuery_${form.uniqueName}" />
				<input type="hidden" id="excel" name="excel" value="false" />
				<form:hidden path="changeForm" />
				<form:hidden path="changeFormValue" />

				<gui:mig-box-label>
					Filtering
					<select id="addFilterField" onchange="submitChangeForm('addFilter')">
						<option value="">&nbsp;</option>
						<c:forEach items="${filterFields}" var="field">
							<option value="${field.columnName}"><c:out value="${field.columnTitle}" /></option>
						</c:forEach>
					</select>
				</gui:mig-box-label>

				<gui:mig-box>
					<table class="migBoxInner">
						<c:if test="${empty form.filters}">
							<tr>
								<td>No filters added yet.</td>
							</tr>
						</c:if>
						<c:forEach items="${form.filters}" var="field" varStatus="formLoop">
							<c:forEach items="${field.conditions}" var="condition" varStatus="fieldLoop">
							<tr valign="top">
								<td style="text-align:right;font-weight:bold;" nowrap="nowrap">
									<c:choose>
										<c:when test="${fieldLoop.first}">
												<c:forEach items="${filterFields}" var="tempField">
													<c:if test="${form.filters[formLoop.index].fieldName eq tempField.columnName}">
														<c:out value="${tempField.columnTitle}" />
													</c:if>
												</c:forEach>
												<form:hidden path="filters[${formLoop.index}]" />
										</c:when>
										<c:otherwise>
											or
										</c:otherwise>
									</c:choose>
								</td>
								<td>
									<c:choose>
										<c:when test="${form.filters[formLoop.index].column.datatype eq 'EXISTS'}">
											<b>is</b>
										</c:when>
										<c:otherwise>
											<form:select path="filters[${formLoop.index}].conditions[${fieldLoop.index}].negativeQualifier">
												<c:forEach items="${qualifiers}" var="qualifier">
													<form:option value="${qualifier.value}" label="${qualifier.key}" />
												</c:forEach>
											</form:select>
										</c:otherwise>
									</c:choose>
								</td>
								<td>
									<input type="hidden" id="filters${formLoop.index}.conditions${fieldLoop.index}.datatype" value="${form.filters[formLoop.index].column.datatype}" />
									<form:select path="filters[${formLoop.index}].conditions[${fieldLoop.index}].comparator" onchange="toggleChildElementVisibility(this);toggleTextArea(this);">
										<c:forEach items="${comparators}" var="comparator">
											<form:option value="${comparator.key}" label="${comparator.value}" />
										</c:forEach>
									</form:select>
								</td>
								<td>
									<div id="testValue_div_${formLoop.index}_${fieldLoop.index}" style='white-space:nowrap;'>
										<c:choose>
											<c:when test="${!empty validValues[field.fieldName]}">
												<form:select path="filters[${formLoop.index}].conditions[${fieldLoop.index}].testValue">
													<option value="">&nbsp;</option>
													<form:options items="${validValues[field.fieldName]}" itemValue="value" itemLabel="displayText"/>
												</form:select>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${form.filters[formLoop.index].column.datatype eq 'DATE'}">
														<c:set var="filterFieldSize" value="12" />
													</c:when>
													<c:otherwise>
														<c:set var="filterFieldSize" value="40" />
													</c:otherwise>
												</c:choose>
												<span id="filters${formLoop.index}.conditions${fieldLoop.index}.testValueSpan">
													<c:choose>
														<c:when test="${form.filters[formLoop.index].conditions[fieldLoop.index].comparator eq 'IN'}">
															<form:textarea path="filters[${formLoop.index}].conditions[${fieldLoop.index}].testValue" cols="${filterFieldSize}" rows="2" />
														</c:when>
														<c:otherwise>
															<form:input path="filters[${formLoop.index}].conditions[${fieldLoop.index}].testValue" size="${filterFieldSize}"/>
														</c:otherwise>
													</c:choose>
												</span>
												<c:if test="${form.filters[formLoop.index].column.datatype eq 'DATE'}">
													<gui:dateTimePicker path="filters${formLoop.index}.conditions${fieldLoop.index}.testValue" />
												</c:if>
											</c:otherwise>
										</c:choose>
									</div>&#32;
								</td>
								<td>
									<div id="testValue2_div_${formLoop.index}_${fieldLoop.index}" style='white-space:nowrap;'>
										and
										<c:choose>
											<c:when test="${!empty validValues[field.fieldName]}">
												<form:select path="filters[${formLoop.index}].conditions[${fieldLoop.index}].testValue2">
													<option value="">&nbsp;</option>
													<form:options items="${validValues[field.fieldName]}" itemValue="value" itemLabel="displayText"/>
												</form:select>
											</c:when>
											<c:otherwise>
												<form:input path="filters[${formLoop.index}].conditions[${fieldLoop.index}].testValue2" size="12"/>
												<c:if test="${form.filters[formLoop.index].column.datatype eq 'DATE'}">
													<gui:dateTimePicker path="filters${formLoop.index}.conditions${fieldLoop.index}.testValue2" />
												</c:if>
											</c:otherwise>
										</c:choose>
									</div>&#32;
								</td>
								<td width="100%">
									&nbsp;
								</td>
								<td>
									<gui:link-button text="remove" onclick="submitChangeForm('removeFilter_${formLoop.index}_${fieldLoop.index}')"/>
								</td>
							</tr>
							</c:forEach>
						</c:forEach>
					</table>
				</gui:mig-box>

				<table width="100%">
					<tr valign="top">
						<td width="70%">
							<gui:mig-box-label>
								Sorting
								<select id="addSortField" onchange="submitChangeForm('addSort')">
									<option value="">&nbsp;</option>
									<c:forEach items="${displayFields}" var="field">
										<option value="${field.columnName}"><c:out value="${field.columnTitle}" /></option>
									</c:forEach>
								</select>
							</gui:mig-box-label>
							<gui:mig-box>
								<table class="migBoxInner">
									<c:if test="${empty form.sorts}">
										<tr>
											<td>No sorts added yet.</td>
										</tr>
									</c:if>
									<c:forEach items="${form.sorts}" var="sort" varStatus="loop">
										<tr>
											<td>
												<form:select path="sorts[${loop.index}].fieldName">
													<option value="">&nbsp;</option>
													<c:forEach items="${displayFields}" var="field">
														<form:option value="${field.columnName}" label="${field.columnTitle}" />
													</c:forEach>
												</form:select>
											</td>
											<td>
												<form:select path="sorts[${loop.index}].descending">
													<c:forEach items="${sortOrder}" var="sortOrderVar">
														<form:option value="${sortOrderVar.value}" label="${sortOrderVar.key}" />
													</c:forEach>
												</form:select>
											</td>
											<td>
												<form:select path="sorts[${loop.index}].nullsFirst">
													<c:forEach items="${nullOrder}" var="nullOrderVar">
														<form:option value="${nullOrderVar.value}" label="${nullOrderVar.key}" />
													</c:forEach>
												</form:select>
											</td>
											<td width="100%">
												&nbsp;
											</td>
											<td>
												<gui:link-button text="remove" onclick="submitChangeForm('removeSort_${loop.index}')"/>
											</td>
										</tr>
									</c:forEach>
								</table>
							</gui:mig-box>
						</td>
						<td>
							<gui:mig-box label="Query Mode">
								<table class="migBoxInner">
									<tr>
										<td>
											AND <form:radiobutton path="orMode" value="false"/>
											OR <form:radiobutton path="orMode" value="true"/>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>

				<br>
				<div>
					<gui:link-button text="run query" onclick="submitToTarget();" />
					<gui:link-button text="column prefs" href="edit_custom_query_column_preferences.do?customQueryId=${form.customQueryId}" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>