<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Design Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>
		<script src="js/design_request/getGeneBuildGene.js"></script>
		<script src="js/delete.js"></script>
		<script type="text/javascript">
		var xmlHttp=null;

		function lookupListPostProcessing(){
			
			var f = document.forms[0];
			var x = f.changeForm;
			x.value="yes";
			var y = f.IdGeneBuild;
			y.value = f.geneBuildId.value;
			f.submit();
			x.value="";
		}
		
		function newGeneBuild() {
		    var f = document.forms[0];
		    
		    if (f.geneBuildId.value === "" || f.geneBuildGeneId.value ==="") {
		        return true;
		    } else {
		        if (confirm("Press OK to select new GeneBuild.\n\n(All other fields will be cleared.)\n")) {
		            f.geneBuildGeneId.value="";
		            f.startExonId.value="";
		            f.endExonId.value="";
		            document.getElementById('designRequest.buildGene.primaryName').value = "";
		            document.getElementById('designRequest.startExon.primaryName').value = "";
		            document.getElementById('designRequest.endExon.primaryName').value = "";
		            document.getElementById('designRequest.targetStart').value = "";
		            document.getElementById('designRequest.targetEnd').value = "";
		            return true;
		        } else {
		            return false;
		        }
		    }
		}		
		
		function newGeneBuildGene() {
		    var f = document.forms[0];
		    if (f.geneBuildGeneId.value === "" || (f.startExonId.value ==="" && f.endExonId.value === "")) {
		        return true;
		    } else {
		        if (confirm("Press OK to select new GeneBuildGene.\n\n(Exon and Target fields will be cleared.)\n")) {
		            f.startExonId.value="";
		            f.endExonId.value="";
		            document.getElementById('designRequest.startExon.primaryName').value = "";
		            document.getElementById('designRequest.endExon.primaryName').value = "";
		            document.getElementById('designRequest.targetStart').value = "";
		            document.getElementById('designRequest.targetEnd').value = "";
		            return true;
		        } else {
		            return false;
		        }
		    }
		}		
		
		function validationAlert(uri){
		
		if(document.getElementById('designRequest.min5pExonFlanks').value
			+ document.getElementById('designRequest.min3pExonFlanks').value
			+ document.getElementById('designRequest.targetEnd').value
			- document.getElementById('designRequest.targetStart').value + 1
			> 1000)
		{
			var msg ="Min3p exon + Min 5p exon flank + target length > 1k base pairs \n\n";
				msg+= "Do you wish to continue";
			if(confirm(msg)){
				return true;
			}
			else {
				return false;
			}	
		}
		}
		
		function checkForNumber(inputBox){
		
			var inputValue = inputBox.value;
			if(inputValue == ""){
			return true;
			}
				for(var i=0; i<inputValue.length; i++){
					var x = inputValue.charAt(i);
				if((x>'9' || x<'0') && x!= ''){
					alert("Only numeric fields allowed");
					inputBox.value="";
					return true;
				}
			}
			return true;
		}
		
		function foundGeneBuildGene() {
		
		    if (xmlHttp.readyState == 4) {
		     	alert('complete');
		        
		        var xmlDoc = xmlHttp.responseXML;
		        
		        if(xmlDoc == null) {
		        	alert('xmlDoc null');
		        	return false;
		        }
		        
		        var objectId = "";
		        var objectName = "";
		        var objectDescription = "";
		        var errorText = "";
		        
		        try {
		            errorText = xmlDoc.getElementsByTagName("errorText")[0].firstChild.nodeValue;
		        }
		        catch (e) {//no errorText tag found
		        }
		        
		        if (errorText != "OK") {
		        	alert('response not OK');
		        	clearGeneBuildGeneField();
		            return false;
		        } else {
			        try {
			            objectId = xmlDoc.getElementsByTagName("objectId")[0].firstChild.nodeValue;
			            var x = document.getElementById("geneBuildGeneId");
		 			    alert(objectId);
		 			    x.value = objectId;
			        }
			        catch (e) {//no objectId tag found
			        }       
			        
			        try {
				        objectName = xmlDoc.getElementsByTagName("objectGeneBuildGeneName")[0].firstChild.nodeValue;
						alert(objectName);
						var x = document.getElementById("designRequest.buildGene.primaryName");
						x.value=objectName;
			        }
			        catch (e) {
		        }           
		            return true;
		        }
		    }
		}
		</script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
			<input type="hidden" name="changeForm" />
			<input type="hidden" name="IdGeneBuild" />
				<c:choose>
					<c:when test="${empty form.designRequest.id}">
						<gui:pageHeader name="Edit Design Request" />
					</c:when>
					<c:otherwise>
						<gui:pageHeader
							showBackUrl = "false"
							name="Edit Design Request #${form.designRequest.id}"
							nameWidth="400px"
							right="<input type='submit' name='_finish' value='Submit' 
									onclick = 'return validationAlert();' class='submit'/>
								<input type='submit' name='_cancel' value='Cancel' class='cancel'/>">
							<td class="pageHeader">
								Status:
								<form:select path='designRequest.status.id'>
									<form:options items='${statuses}' itemValue='id' itemLabel='name' />
								</form:select>
						</gui:pageHeader>

					</c:otherwise>
				</c:choose>
				
				<gui:error-list title="Incomplete Form:" titleFont="16px" titleColor = "Red" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />				
				<gui:mig-box label="New/Current Gene Identifier">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="170px">
								ENSEMBL ID:
							</td>
							<td class="entryData" width="180px">
								${form.designRequest.ensemblId}
							</td>
							<td class="entryLabel" width="150px">
								OTTMUSG ID:
							</td>
							<td class="entryData" width="180px">
								${form.designRequest.alleleRequest.havanaRequest.vegaId}
							</td>
							<td class="entryLabel" width="150px">
								Created By:
							</td>
							<td class="entryData" width="180px">
								${form.designRequest.creator.firstName}
							</td>
						</tr>
						<tr>
							<td colspan="2" align="center">
								<form:errors path="designRequest.ensemblId" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="designRequest.vegaId" cssClass="formError" />
							</td>
							<td colspan="2" align="center">
								<form:errors path="designRequest.vegaId" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<c:if test='${hasDesigns==1}'>
				<gui:mig-box label="Design info">
					<table class="migBoxInner">
						<tr>
							<td>
								<div align="left">		
									<table class="listNonPaginated" >
										<thead class="listNonPaginatedHeader">
											<tr>
												<th>Design#</th>
												<th>Fulfills Request</th>
												<th>Status</th>
												<th>Target Name</th>
												<th>Design Parameter</th>
												<th>Eucomm DesignId</th>
												<th>Delete</th>
											</tr>
										</thead>
										<c:set var="index" value="1"/>
										<c:set var="fulfillsR" value="fulfillsR"/>
										<c:forEach items="${form.designListViews}" var="record">
											<gui:toggle-row-class />
							     			<c:set var="ischecked" value=""/>
											<c:if test = "${record.fulfillsRequest}">
											  <c:set var="ischecked" value="checked"/>
											</c:if>  
											<tr class="${rowClass}">
												<td >${index}</td>
						      			        <td><input type="checkbox" name = "${index}" value="${record.fulfillsRequest}" ${ischecked}/></td>
						                        <td >${record.status}</td>                        
												<td >${record.target}</td>
												<td >${record.designParameterName}</td>
												<td><a href="view_one_design.do?id=${record.designId}"><c:out value="${record.designId}" /></a></td>
												<td><img src="images/mouse_tracking/delete.gif" title="Delete design" onmouseover="style.cursor='pointer';" onmouseout="style.cursor='default';" onclick="deleteAlert('a Design','delete_design.do?&id=${record.designId}&designRequestId=${form.designRequest.id}&referrer=${form.referrer}&havanaId=${form.havanaIdOfReferrerPage}')"></td>
											</tr>
											<c:set var="index" value="${index + 1}"/>
										</c:forEach>
									</table>
								</div>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				</c:if>

				<gui:mig-box label="Design Request Parameters">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="250px">
								Gene Build:
							</td>
							<td class="entryData">
								<gui:formPopup path="designRequest.build.name" cssStyle="width: 180px" onclick="if(newGeneBuild()) {openLookupList('lookup_geneBuild.do?recordType=gene','name=designRequest.build.name, geneBuildId=geneBuildId')}" />
								<form:hidden path="designRequest.build.id" id="geneBuildId"/>
							</td>
							<td class="entryLabel" width="250px">
								Gene Build Gene:
							</td>
							<td class="entryData">
								<gui:formPopup path="designRequest.buildGene.primaryName" cssStyle="width: 180px" onclick="if(newGeneBuildGene()) {openDependentLookupList('lookup_geneBuildGene.do?recordType=geneBuildGene&id=${form.designRequest.id}&geneBuildId=','geneBuildId','Please select a Gene Build first', 'primaryname=designRequest.buildGene.primaryName, geneBuildGeneId=geneBuildGeneId')}" />
								<form:hidden path="designRequest.buildGene.id" id="geneBuildGeneId"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Start Exon:
							</td>
							<td class="entryData">
								<gui:formPopup path="designRequest.startExon.primaryName" cssStyle="width: 180px" onclick="openDependentLookupList('lookup_exon.do?recordType=exon&geneBuildGeneId=','geneBuildGeneId','Please select a Gene Build Gene first', 'primaryname=designRequest.startExon.primaryName,chromosomestart=designRequest.targetStart,exonId=startExonId')" />
								<form:hidden path="designRequest.startExon.id" id="startExonId"/>
							</td>
							<td class="entryLabel">
								End Exon:
							</td>
							<td class="entryData">
								<gui:formPopup path="designRequest.endExon.primaryName" cssStyle="width: 180px" onchange="populateTargetEnd();" onclick="openDependentLookupList('lookup_exon.do?recordType=exon&geneBuildGeneId=','geneBuildGeneId','Please select a Gene Build Gene first', 'primaryname=designRequest.endExon.primaryName,chromosomeend=designRequest.targetEnd,exonId=endExonId')" />
								<form:hidden path="designRequest.endExon.id" id="endExonId"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Target Start:
							</td>
							<td class="entryData">
								<form:input path="designRequest.targetStart" onkeyup="checkForNumber(this);"/>
							</td>
							<td class="entryLabel">
								Target End:
							</td>
							<td class="entryData">
								<form:input path="designRequest.targetEnd" onkeyup="checkForNumber(this);"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Min 5p Exon Flanks:
							</td>
							<td class="entryData">
								<form:input path="designRequest.min5pExonFlanks" onkeyup="checkForNumber(this);"/>
							</td>
							<td class="entryLabel">
								Min 3p Exon Flanks:
							</td>
							<td class="entryData">
								<form:input path="designRequest.min3pExonFlanks" onkeyup="checkForNumber(this);"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Split Target Seq Length:
							</td>
							<td class="entryData">
								<form:input path="designRequest.splitTargetSeqLength" onkeyup="checkForNumber(this);"/>
							</td>
							<td class="entryLabel">
								Multi Region Offset Shim:
							</td>
							<td class="entryData">
								<form:input path="designRequest.multiRegionOffsetShim" onkeyup="checkForNumber(this);"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								5' Retrieval Primer Offset:
							</td>
							<td class="entryData">
								<form:input path="designRequest.retrievalPrimerOffset5p" onkeyup="checkForNumber(this);"/>
							</td>
							<td class="entryLabel">
								3' Retrieval Primer Offset:
							</td>
							<td class="entryData">
								<form:input path="designRequest.retrievalPrimerOffset3p" onkeyup="checkForNumber(this);"/>
							</td>
							
						</tr>
						<tr>
							<td class="entryLabel">
								5' Retrieval Primer Length:
							</td>
							<td class="entryData">
								<form:input path="designRequest.retrievalPrimerLength5p" onkeyup="checkForNumber(this);"/>
							</td>								
							
							<td class="entryLabel">
								3' Retrieval Primer Length:
							</td>
							<td class="entryData">
								<form:input path="designRequest.retrievalPrimerLength3p" onkeyup="checkForNumber(this);"/>
							</td>								
						</tr>
						<tr>
							<td class="entryLabel">
								Primer Length:
							</td>
							<td class="entryData"> 
								<form:input path="designRequest.primerLength" onkeyup="checkForNumber(this);"/>
							</td>
							<td class="entryLabel">
								Score	
							</td>
							<td class="entryData">
								<form:input path ="designRequest.score" onkeyup="checkForNumber(this);"/>
							</td>
						</tr>
					</table>
				</gui:mig-box>
						
				<gui:mig-box label="Additional Information">
					<table class="migBoxInner">
						<tr>
							<td class="viewLabelT" width="150px">
								Comments:
							</td>
							<td class="viewData" width="760px">
								<form:textarea cssClass="migFormTextField" cssStyle="height: 60px; width: 750px;" path="designRequest.comments" />
							</td>
							<td align="left" valign="top">
								<form:errors path="designRequest.comments" cssClass="formError" />
							</td>
							<td></td>
						</tr>
					</table>
				</gui:mig-box>
				
				<div class="submitButtons">
					<input type="submit" name="_finish" value="Submit" onclick="return validationAlert();" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="submit" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
