<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType />
<html>
	<head>
		<title>Design Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">
		function setSortOrder(column)	{
			if (document.forms[0].sortOrder.value == "ASC")	{
				document.forms[0].sortOrder.value = "DESC";
			}
			else	{
				document.forms[0].sortOrder.value = "ASC";
			}
			document.forms[0].sortColumn.value = column;
			document.forms[0].submit();
		}
		
		function clearSearch() {
			document.getElementById("designRequest.statusDictId").selectedIndex = 0;
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}
		
		function clearFindBy() {
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}
		
		function validateInput() {

			var inputForm = document.getElementById('form');
			var searchString = document.getElementById("searchString").value;
			var choice = document.getElementById("searchBy").value;

			if(choice=="Id" || choice == "ID"){
	     	    var isNumber = true;
			    for (var x = 0; x < searchString.length; x++) {      
				var c = searchString.charAt(x);
				if ((c >= '0') && (c <= '9')) {
					continue;
				} else {
					isNumber = false;
					break;
					}
				}
				if(!isNumber){
					document.getElementById("searchString").value="<Please enter valid id!>";
					document.getElementById("searchString").select();
					document.getElementById("searchString").focus();
				}
			}
			return isNumber;
	   	}
	   
		function showMessage(){

			var searchString = document.getElementById("searchString");
			var searchBy = document.getElementById("searchBy");
			
			if (document.getElementById("searchBy").selectedIndex != 0) {
				document.getElementById("searchStringSpan").style.visibility = "visible";
			
				if(searchBy.value!="") {
			    	searchString.value="<Please enter "+searchBy.options[searchBy.selectedIndex].text+">";
				}else {
				 searchString.value="";
				}
				document.getElementById("designRequest.statusDictId").selectedIndex = 0;
				document.getElementById("searchString").select();
				document.getElementById("searchString").focus();
			}
			else {
				document.getElementById("searchString").value = '';
				document.getElementById("searchStringSpan").style.visibility = "hidden";
			}
		}
		
		function emptyField(){
			var filterValue = document.getElementById("searchString");
			var c = filterValue.value.charAt(0);
			if(c=='<'){
				filterValue.value = "";
			}
		}
		
		function scrollToID()
		{
			var query = window.location.search.substring(1);
			var vars = query.split("&");
			for (var i=0;i<vars.length;i++) {
				var pair = vars[i].split("=");
				if (pair[0] == 'currentRecordId') {
					document.location = '#' + pair[1];
				}
			}
		}
		</script>
	</head>
	<body onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Design Requests" />
			<form:form commandName="searchBean" action="list_design_requests.do" method="GET">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			
			<%
			if (request.getParameter("searchString") == null || request.getParameter("searchString").equals("")) {
				%><c:set var="filterValue" value="hidden"></c:set><%
			} else {
				%><c:set var="filterValue" value="visible"></c:set><%
			}%>
			
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">Filter by Status</td>
						<td class="filterData">
							<form:select cssClass="statusSelect" path="designRequest.statusDictId" onchange="clearFindBy(); setNewQuery('true'); setPaginated('true'); submitForm();">		
								<option value="">All</option>
								<form:options items="${statuses}" itemValue="id" itemLabel="name"/>
							</form:select>		
						</td>
						<td width="70px" align="center" style="font-weight: bold">OR</td>
						<td class="filterLabel">Find by</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="searchBy" id="searchBy" onchange="showMessage();">
								<option></option>
								<form:options items="${searchByColumns}" />
							</form:select>
						</td>
						<td class="filterData">
							<span id="searchStringSpan" style="visibility: ${filterValue};">
								<form:input cssClass="searchString" cssStyle="width: 200px" path="searchString" id="searchString" onclick="emptyField();" />
							</span>
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons">
				<input type="submit" value="Search" title="Search" onclick="setNewQuery('true'); setPaginated('true'); return validateInput(); " class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>

			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty results}">			
					<table class="listPaginated">
						<thead class="listPaginatedHeader">
							<tr>	
								<th>
									<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
									Request<br />Number<br />
									</gui:paginate-order-by>
								</th>
								<th>Options</th>
								<th>
									<gui:paginate-order-by orderBy="status" bean="${searchBean}">
										Status<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="allele_request_id" bean="${searchBean}">
										Allele Request<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="havana_request_id" bean="${searchBean}">
										Havana Request<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="vega_id" bean="${searchBean}">
										Vega Id<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="primary_name" bean="${searchBean}">
										Gene<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ensembl_id" bean="${searchBean}">
										Ensembl ID<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="build_name" bean="${searchBean}">
										Build<br />
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="created_date" bean="${searchBean}">
										Created<br />
									</gui:paginate-order-by>								</th>
								<th>
									<gui:paginate-order-by orderBy="comments" bean="${searchBean}">
										Comments<br />
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<c:forEach items="${results}" var="record">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}"/>
							<tr class="${rowClass}">
								<td id="${record.id}">${record.id}</td>
								<td align="center">
									<a href="view_one_design_request.do?id=${record.id}">
										<img src="images/view.gif" title="View Design Request" />
									</a>&nbsp;
								<control:if roles="admin,team87-admin">
									<control:then>
										<a href="edit_design_request.do?id=${record.id}&referrer=listDesignRequest&searchBy=${form.searchBy}&searchString=${form.searchString}"><img src="images/edit.gif" title="Edit Design Request"></a>
									</control:then>
									<control:else>
										<img src="images/cancelIcon.jpg" style="margin-bottom: 2px">
									</control:else>
								</control:if>
								</td>
								<td>${record.status}</td>
								<td><a href="view_one_allele_request.do?id=${record.alleleRequestId}">${record.alleleRequestId}</a></td>
								<td><a href="view_one_havana_request.do?id=${record.havanaRequestId}">${record.havanaRequestId}</a></td>
							    <td>${record.vegaId}</td>
								<td>${record.geneName}</td>
								<td>${record.ensemblId}</td>	
								<td>${record.buildName}</td>	
								<td width="80px"><fmt:formatDate value="${record.createdDate}" pattern="dd-MMM-yyyy"/></td>
								<td>${record.comments}</td>							
							</tr>
						</c:forEach>
					</table>
				</c:if>
			</div>
	       	</form:form>
		</gui:page>
	</body>
</html>
