<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Design Details</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Design" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" width="200px">
							Design Name:
						</td>
						<td class="viewData">
							<c:out value="${model.designName}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Design Plate:
						</td>
						<td class="viewData">
							<c:out value="${model.plate}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Well Location:
						</td>
						<td class="viewData">
							<c:out value="${model.wellLoc}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Design Status:
						</td>
						<td class="viewData">
							<c:out value="${model.eucommStatus}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Exon Name:
						</td>
						<td class="viewData">
							<c:out value="${model.exonName}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Gene Build Name:
						</td>
						<td class="viewData">
							<c:out value="${model.geneBuildName}" />
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Gene Build Version:
						</td>
						<td class="viewData">
							<c:out value="${model.geneBuildVersion}" />
							&nbsp;
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<c:if test='${model.countDesignInstances != "0"}'>
				<gui:mig-box label="Design Instances">
					<div class="migBoxOverflow" style="height: 180px; margin: 0px 0px 0px 0px">
						<table class="listNonPaginated" style="border: 0px;">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Plate
									</th>
									<th>
										Well
									</th>
									<th>
										Latest Status
									</th>
									<th>
										Bacs
									</th>
								</tr>
							</thead>
							<tbody style="overflow: auto;">
								<c:forEach var="designInstance" items="${model.designInstances}">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td>
											<c:out value="${designInstance.plate}" />
										</td>
										<td>
											<c:out value="${designInstance.well}" />
										</td>
										<td>
											<c:out value="${designInstance.currentDesignInstanceStatus.status.name}" />
										</td>
										<td>
											<c:forEach var="designInstanceBac" items="${designInstance.designInstanceBacs}">
												<c:out value="${designInstanceBac.bac.cloneLib.name}" />
												<c:out value="(${designInstanceBac.bac.remoteCloneId})"></c:out>
												<c:out value="," />
											</c:forEach>
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
				</gui:mig-box>
			</c:if>

			<c:if test='${model.countValidatedFeatures != "0"}'>
				<gui:mig-box label="Validated Features">
					<div class="migBoxOverflow" style="height: 180px; margin: 0px 0px 0px 0px">
						<table class="listNonPaginated" style="border: 0px;">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Feature Type
									</th>
									<th>
										Feature Start
									</th>
									<th>
										Feature End
									</th>
									<th>
										Feature Length
									</th>
									<th>
										Sequence (only shows first ~110. Double-Click and copy to paste whole sequence elsewhere)
									</th>
								</tr>
							</thead>
							<tbody style="overflow: auto;">
								<c:forEach begin="0" end="${model.countValidatedFeatures}" var="record">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td>
											<c:out value="${model.featureTypes[record]}" />
										</td>
										<td>
											<c:out value="${model.featureStarts[record]}" />
										</td>
										<td>
											<c:out value="${model.featureEnds[record]}" />
										</td>
										<td>
											<c:out value="${model.featureLengths[record]}" />
										</td>
										<td width="900px">
											<textarea style="height: 15px; width: 890px; background-color: transparent; border: 0px; overflow: hidden" onclick="this.select;" type="_moz">${model.featureSequences[record]}</textarea>
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
				</gui:mig-box>
			</c:if>

			<c:if test='${model.countDesignNotes != "0"}'>
				<gui:mig-box label="Design Notes">
					<div class="migBoxOverflow" style="height: 180px; margin: 0px 0px 0px 0px">
						<table class="listNonPaginated" style="border: 0px;">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Note Type
									</th>
									<th>
										Note
									</th>
								</tr>
							</thead>
							<tbody style="overflow: auto;">
								<c:forEach begin="0" end="${model.countDesignNotes}" var="record">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td>
											<c:out value="${model.designNoteTypes[record]}" />
										</td>
										<td>
											<c:out value="${model.designNotes[record]}" />
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
				</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
