<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Add Tissue To Plate</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<link type="text/css" href="css/genotyping.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/genotyping/add_tissue_to_plate.js"></script>
		<script src="js/mouse_tracking/licensing.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Add Tissue To Plate"/>
			<gui:error-list commandName="form" />
			<form:form commandName="form">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<table width="100%" cellpadding="0" cellspacing="0">
					<tr valign="top">
						<td width="50%">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall">
											Scan Sheet barcode<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="sheetBarcode" onchange="if(this.value != '') {submitChangeForm('scanSheetBarcode');}"/>
										</td>
									</tr>
									<c:if test="${!empty form.sheetBarcode}">
										<tr>
											<td class="viewLabelSmall">
												Scan Plate barcode<span class="requiredField">*</span>
											</td>
											<td>
												<form:input path="plateBarcode"  onchange="if(this.value != '') {submitChangeForm('scanPlateBarcode');}"/>
											</td>
										</tr>
									</c:if>
									<c:if test="${!empty form.plateBarcode}">
										<tr>
											<td class="viewLabelSmall">
												Tissue Type<span class="requiredField">*</span>
											</td>
											<td>
												<c:if test="${form.plate.sampleCount gt 0 and !empty form.plate.sampleTypeDictId}">
													<c:set var="sampleTypeSelectDisabled" value="true" />
												</c:if>
												<form:select path="plate.sampleTypeDictId" id="sampleType" disabled="${sampleTypeSelectDisabled}" onchange="submitChangeForm('selectSampleType');">
													<form:options items="${sampleTypes}" itemLabel="name" itemValue="id"/>
												</form:select>
											</td>
										</tr>
										<tr>
											<td class="viewLabelSmall">
												Post Mortem<span class="requiredField">*</span>
											</td>
											<td>
												<c:if test="${form.plate.sampleCount gt 0 and !empty form.plate.postMortem}">
													<c:set var="postMortemSelectDisabled" value="true" />
												</c:if>
												<form:select path="plate.postMortem" disabled="${postMortemSelectDisabled}"  onchange="submitChangeForm('selectPostMortem');">
													<option value="">&nbsp;</option>
													<form:options items="${yesNo}"/>
												</form:select>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td style="padding-left: 10px;">
							<c:if test="${!empty form.plate.postMortem}">
								<gui:mig-box>
									<table class="migBoxInner">
										<tr>
											<td class="viewLabelSmall">
												PIL No<span class='requiredField'>*</span>
											</td>
											<td>
												<gui:formPopup path="procedureSubform.personalLicenceDisplayText" size="50" onclick="openPersonalLicenceLookupList();" />
												<form:hidden path="procedureSubform.personalLicenceId" />
												<gui:link-button text="My PIL" onclick="populateMyPil('${user.personalLicence.id}','${user.personalLicence.displayText}')"/>
											</td>
										</tr>
										<c:if test="${form.projectLicenceDefaultRequired}">
											<tr>
												<td class="viewLabelSmall">
													PPL No<span class="requiredField">*</span>
												</td>
												<td>
													<gui:formPopup path="procedureSubform.projectLicenceDisplayText" size="50" onclick="openProjectLicenceLookupList();" />
													<form:hidden path="procedureSubform.projectLicenceId" />
												</td>
											</tr>
										</c:if>
										<tr>
											<td class="viewLabelSmall">Collection Date<span class='requiredField'>*</span></td>
											<td>
												<form:input path="procedureSubform.procedureStartDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
												<gui:dateTimePicker path="procedureSubform.procedureStartDate" datePicker="true" timePicker="false" autoPopUp="button" />
												<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('procedureSubform.procedureStartDate')" />
											</td>
										</tr>
									</table>
								</gui:mig-box>
							</c:if>
						</td>
					</tr>
					<c:if test="${!empty form.plate.postMortem}">
						<tr>
							<td colspan="2">
								<div class="submitButtonsMouseTracking">
									<input type="submit" value="Submit" />
									<input type="button" value="Reset" onclick="document.location='add_tissue_to_assay_plate.do?id=${form.plate.id}'" />
								</div>
							</td>
						</tr>
					</c:if>
				</table>

				<br />
				<c:if test="${!empty form.plate.postMortem}">
					<gui:mig-box>
						<span class="formError">Untick checkbox if sample has NOT been collected</span>
						<table class="plate" style="border-collapse: collapse; text-align: center;">
							<c:forEach items="${form.plate.wellArray}" var="row" varStatus="rowLoop">
								<c:if test="${rowLoop.first}">
									<tr class="theadList">
										<th>&nbsp;</th>
										<c:forEach begin="1" end="${fn:length(row)}" var="column">
											<th>${column}</th>
										</c:forEach>
									</tr>
								</c:if>
								<tr>
									<c:forEach items="${row}" var="well" varStatus="columnLoop">
										<c:if test="${columnLoop.first}">
											<th style="width: 30px;"><gui:format-char value="${65 + rowLoop.index}" /></th>
										</c:if>

										<c:choose>
											<c:when test="${well.locked eq true}">
												<c:set var="lockedStyle" value="background-image: url(images/locked.gif);background-repeat: no-repeat; background-position: 2px 3px;" />
											</c:when>
											<c:otherwise>
												<c:set var="lockedStyle" value="" />
											</c:otherwise>
										</c:choose>

										<td style="width: 100px; height: 60px; padding: 2px 0px 4px 0px; text-align: center; vertical-align: middle; ${lockedStyle}" class="plateWell plateWellColour${well.wellTypeDictId}">
											<span class="plateWellText">
												 <c:choose>
													<c:when test="${well.wellTypeDictId eq 1}">
														Blank
													</c:when>
													<c:when test="${well.wellTypeDictId eq 2}">
														Control
													</c:when>
													<c:otherwise>
														<c:out value="${well.mouse.name}" />
														<br>
														<c:choose>
															<c:when test="${!well.locked && well.mouse.unsexed}">
																	<form:select path="plate.wellArray[${rowLoop.index}][${columnLoop.index}].mouse.genderDictId" >
																	<form:options items="${gender}" itemValue="id" itemLabel="name" />
																</form:select>
															</c:when>
															<c:otherwise>
																<c:out value="${well.mouse.gender.name}" />
															</c:otherwise>
														</c:choose>
														<br>
														<fmt:formatDate value="${well.mouse.birthDate}" pattern="dd-MMM-yyyy"/><br>
														<c:choose>
															<c:when test="${well.locked == true}">
																<c:out value="${well.earmark.name}" />
															</c:when>
															<c:otherwise>
																<div style="white-space: nowrap;">
																	<form:checkbox path="plate.wellArray[${rowLoop.index}][${columnLoop.index}].sampleCollected" onclick="updateDropdown(this,'earclip_${rowLoop.index}_${columnLoop.index}')" title="Leave checked to indicate sample collected"/>
																	<form:select path="plate.wellArray[${rowLoop.index}][${columnLoop.index}].earmarkDictId" id="earclip_${rowLoop.index}_${columnLoop.index}" >
																		<option value="">&nbsp;</option>
																		<form:options items="${earmarks}" itemValue="id" itemLabel="name" />
																	</form:select>
																</div>
															</c:otherwise>
														</c:choose>
													</c:otherwise>
												</c:choose>
											</span>
										</td>
									</c:forEach>
								</tr>
							</c:forEach>
						</table>
					</gui:mig-box>
				</c:if>
			</form:form>
		</gui:page>
		<script>
		$("input[type='checkbox']").each(function () {
			if(!$(this).is(':checked')) {
	    		$(this).nextAll("select").css("visibility","hidden");
			}

		});
		</script>
	</body>
</html>
