<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<c:set var="pageName" value="Genotyping Assay Results Upload" />

<gui:docType />
<html>
	<head>
		<title><c:out value="${pageName}" /></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/genotyping/edit_assay.js"></script>

	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="${pageName}" />
			<gui:error-list commandName="form" />

			<form:form commandName="form" enctype="multipart/form-data">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<table width="100%">
					<tr valign="top">
						<td width="60%">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall" style="width: 300px;">
											Sheet/Plate barcode<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="barcode" onblur="if(this.value != '') {submitChangeForm('scanBarcode');}"/>
											<c:if test="${!empty form.barcode}">
												&nbsp;<gui:link-button text="New Plate" href="edit_assay.do"/>
											</c:if>
										</td>
									</tr>
									<c:if test="${!empty form.assayPlate}">
										<tr>
											<td class="viewLabelSmall">
												Assay Date<span class="requiredField">*</span>
											</td>
											<td>
												<form:input path="assayDate" size="12" onblur="validateDateTime(this, true, false)" />
												<gui:dateTimePicker path="assayDate" />
												<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('assayDate')" />
											</td>
										</tr>
									</c:if>
									<c:if test="${!empty form.assayDate}">
										<tr>
											<td class="viewLabelSmall">
												Assay<span class="requiredField">*</span>
											</td>
											<td>
												<form:select path="selectedAssay" onchange="submitChangeForm('selectAssay')">
													<option value="">&nbsp;</option>
													<c:forEach items="${assayOptions}" var="assayOption">
														<form:option value="${assayOption.key}" label="${assayOption.value}" />
													</c:forEach>
												</form:select>
											</td>
										</tr>
									</c:if>
									<c:if test="${!empty form.selectedAssay}">
										<tr valign="top">
											<td class="viewLabelSmall">
												Assay Comments
											</td>
											<td>
												<form:textarea path="assay.comments" cssStyle="width:95%" rows="2" />
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td rowspan="2">
							<c:if test="${!empty assayPlateResultSummary.results}">
								<gui:mig-box-label>Existing Results for <fmt:formatDate value="${form.assayDate}" pattern="dd-MMM-yyyy"/></gui:mig-box-label>
								<gui:mig-box>
									<cqi:customListView customQuery="${assayPlateResultSummary}">
										<cqi:customListViewHeader />
										<cqi:customListViewBody />
									</cqi:customListView>
								</gui:mig-box>
								<br>
							</c:if>

							<c:if test="${!empty form.assayPlate}">
								<gui:assayFileTable label="Plate Files" files="${form.plateFiles}" prefix="plateFiles" />
								<br>
							</c:if>

							<c:if test="${!empty form.selectedWells}">
								<gui:assayFileTable label="Assay Files" files="${form.assayFiles}" prefix="assayFiles" />
								<br>
							</c:if>
						</td>
					</tr>
					<tr valign="top">
						<td width="60%">
							<c:if test="${!empty form.selectedWells}">
								<c:choose>
									<c:when test="${empty form.assay.allele}">
										<c:set var="assayText" value="${form.assay.assayType.name}" />
									</c:when>
									<c:otherwise>
										<c:set var="assayText" value="${form.assay.allele.htmlAlleleSymbol} (${form.assay.assayType.name})" />
									</c:otherwise>
								</c:choose>


								<gui:mig-box label="${fn:length(form.selectedWells)} ${assayText} Assay Results">
									<table class="migBoxInner">
										<thead class="listNonPaginatedHeader">
											<tr>
												<th>&nbsp;</th>
												<th>Mouse ID</th>
												<c:forEach items="${resultOptions}" var="resultOption" varStatus="loopIndex">
													<th>
														<input type="radio" name="allSelectedWells" value="${resultOption.id}" onclick="updateAllRadios('selectedWells','.assayResult.assayResultDictId${loopIndex.count}',${fn:length(form.selectedWells)})" />
														<c:out value="${resultOption.name}" />
													</th>
												</c:forEach>
												<th>Comments</th>
											</tr>
										</thead>
										<gui:toggle-row-reset/>
										<tbody class="highlightable">
											<c:forEach items="${form.selectedWells}" var="well" varStatus="wellLoop">
												<gui:toggle-row-class/>
												<tr class="${rowClass}">
													<td>
														<c:choose>
															<c:when test="${!empty form.selectedWells[wellLoop.index].assayResult.assayResultDictId}">
																<c:set var="tickVisibility" value="visible" />
															</c:when>
															<c:otherwise>
																<c:set var="tickVisibility" value="hidden" />
															</c:otherwise>
														</c:choose>
														<img src="images/mouse_tracking/tick.gif" id="tickForWell${wellLoop.index}" style="visibility:${tickVisibility}" />
													</td>
													<td>
														<a href="view_one_mouse.do?id=${well.assayPlateWell.mouse.id}"><c:out value="${well.assayPlateWell.mouse.name}" /></a>
													</td>
													<c:forEach items="${resultOptions}" var="resultOption" varStatus="resultLoop">
														<td>
															<form:radiobutton path="selectedWells[${wellLoop.index}].assayResult.assayResultDictId" value="${resultOption.id}" onclick="tickRow(${wellLoop.index})" cssStyle="cursor:pointer" />
															<form:label path="selectedWells[${wellLoop.index}].assayResult.assayResultDictId" for="selectedWells[${wellLoop.index}].assayResult.assayResultDictId${resultLoop.count}" onclick="tickRow(${wellLoop.index})" cssStyle="cursor:pointer" ><c:out value="${resultOption.name}" /></form:label>
														</td>
													</c:forEach>
													<td>
														<c:choose>
															<c:when test="${empty form.selectedWells[wellLoop.index].assayResult.assayResultDictId}">
																<c:set var="disabledComments" value="true" />
															</c:when>
															<c:otherwise>
																<c:set var="disabledComments" value="false" />
															</c:otherwise>
														</c:choose>
														<form:input id="assayResultComment${wellLoop.index}" path="selectedWells[${wellLoop.index}].assayResult.comments" cssStyle="width:95%" disabled="${disabledComments}"/>
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</gui:mig-box>
							</c:if>
						</td>
					</tr>
					<c:if test="${!empty form.selectedWells}">
						<tr>
							<td>
								<div class="submitButtonsMouseTracking">
									<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
									<input type="button" value="Reset" onclick="document.location='edit_assay.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
								</div>
							</td>
							<td>
								&nbsp;
							</td>
						</tr>
					</c:if>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>