<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Edit Assay Plates</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<link type="text/css" href="css/uiTabs.css" rel="stylesheet">
		<link type="text/css" href="css/genotyping.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
		<script type="text/javascript" src="js/jquery-selectboxes.js"></script>
		<script type="text/javascript" src="js/genotyping/edit_assay_plate.js"></script>
		<style>
			table.migBox {
				background-color: white;
				padding: 0px;
			}
			table.migBox td {padding: 0px;}
			div.migBox {
				border: 1px solid #B0B0B0;
				overflow: auto;
				height: expression( this.scrollHeight > 649 ? "650px" : "auto" );
				max-height: 650px;
				width: 100%;
			}
			table.migBoxInner {border: 0px; padding: 0px;}
		</style>
	</head>
	<body>
		<gui:page>
			<div style="display: none">
				<select id="masterWellOptionList">
					<option value="">&nbsp;</option>
					<c:forEach items="${wellSelectOptions}" var="wellOption">
						<option value="${wellOption.key}">${wellOption.value}</option>
					</c:forEach>
				</select>
			</div>
			<gui:pageHeader>Edit Assay Plates</gui:pageHeader>

			<gui:error-list commandName="form"><br /></gui:error-list>
			<form:form commandName="form" method="post" action="edit_assay_plates.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<form:hidden path="selectedPlateIndex" />

				<table>
					<tr style="vertical-align: top;">
						<td style="padding-right: 15px; width: 145px;">
							<div>
								<span class="inverseTab">Category</span>&nbsp;<span class="requiredField">*</span>
								<gui:mig-box >
									<table class="migBoxInner" cellpadding="0" cellspacing="0">
										<tr>
											<td>
												<form:select path="plateCategoryId" >
													<option value="">&nbsp;</option>
													<form:options items="${categoryOptions}" itemLabel="name"  itemValue="id"/>
												</form:select>
											</td>
										</tr>
									</table>
								</gui:mig-box>
							</div>
							<div style="padding-top: 10px;">
								<span class="inverseTab">Mouse</span>
								<gui:mig-box>
									<table class="migBoxInner" cellpadding="0" cellspacing="0">
									<gui:toggle-row-class />
									<c:forEach items="${form.arrayedPlates}" var="plate" varStatus="plateLoop">
										<c:forEach items="${plate.wellArray}" var="row" varStatus="rowLoop">
											<c:forEach items="${row}" var="well" varStatus="columnLoop">
											<c:if test="${!empty well.mouse.name && well.mouse.name != 'Control'}">
											<tr class="${rowClass}">
												<td style="padding: 0px;">
													<a id="${well.mouse.name}" class="findable" style="cursor: pointer;"><c:out value="${well.mouse.name}" /></a>
												</td>
											</tr>
											</c:if>
											</c:forEach>
										</c:forEach>
									</c:forEach>
									</table>
								</gui:mig-box>
							</div>
						</td>
						<td>
							<div id="tabsEx1">
								<ul class="ui-tabs-nav">
									<c:forEach items="${form.arrayedPlates}" var="plate" varStatus="plateLoop">
										<li class="">
											<a href="#fragment-${plateLoop.count}">
												<c:choose>
													<c:when test="${!empty plate.sheetBarcode}">
														<span>Plate : ${plate.sheetBarcode}</span>
													</c:when>
													<c:otherwise>
														<span>Plate : ${plateLoop.count}</span>
													</c:otherwise>
												</c:choose>
											</a>
										</li>
									</c:forEach>
									<li class="">
										<a href="#" class="addPlate" onclick="submitChangeForm('addPlate'); return false;"><span>Add Plate</span></a>
									</li>
								</ul>
								<c:forEach items="${form.arrayedPlates}" var="plate" varStatus="plateLoop">
									<div id="fragment-${plateLoop.count}" class="ui-tabs-panel ui-tabs-hide">
										<table class="plate" style="border-collapse: collapse;" id="assayPlate_${plateLoop.index}" >
											<c:forEach items="${plate.wellArray}" var="row" varStatus="rowLoop">
												<c:if test="${rowLoop.first}">
													<tr class="theadList">
														<th>&nbsp;</th>
														<c:forEach begin="1" end="${fn:length(row)}" var="column">
															<th>${column}</th>
														</c:forEach>
													</tr>
												</c:if>
												<tr>
													<c:forEach items="${row}" var="well" varStatus="columnLoop">
														<c:if test="${columnLoop.first}">
															<th>
																<gui:format-char value="${65 + rowLoop.index}" />
															</th>
														</c:if>
														<c:choose>
															<c:when test="${well.locked eq true}">
																<c:set var="lockedStyle" value="background-image: url(images/locked.gif);background-repeat: no-repeat; background-position:  2px 3px;" />
															</c:when>
															<c:otherwise>
																<c:set var="lockedStyle" value="" />
															</c:otherwise>
														</c:choose>
														<td style="width: 82px; height: 70px; text-align: center; vertical-align: middle; ${lockedStyle}" class="plateWell plateWellColour${well.wellTypeDictId}" id="${well.mouse.name}">
															<span class="plateWellText">
																<c:choose>
																	<c:when test="${well.wellTypeDictId eq 1}">
																		Blank
																	</c:when>
																	<c:when test="${well.wellTypeDictId eq 2}">
																		Control
																	</c:when>
																	<c:otherwise>
																		<c:choose>
																			<c:when test="${!empty well.mouseName}">
																				<c:out value="${well.mouseName}" />
																			</c:when>
																			<c:otherwise>
																				<c:out value="${well.mouse.name}" />
																			</c:otherwise>
																		</c:choose>
																	</c:otherwise>
																</c:choose>
															</span>
															<c:if test="${!well.locked}">
																<div class="plateWellOptionsDiv">
															    	<select class="plateSelect" onchange="selectWellOption(this)"></select>
																    <span class="plateWellMouseName"><form:hidden path="arrayedPlates[${plateLoop.index}].wellArray[${rowLoop.index}][${columnLoop.index}].mouseName" /></span>
																	<span class="plateWellMouseId"><form:hidden path="arrayedPlates[${plateLoop.index}].wellArray[${rowLoop.index}][${columnLoop.index}].mouseId" /></span>
																	<span class="plateWellType"><form:hidden path="arrayedPlates[${plateLoop.index}].wellArray[${rowLoop.index}][${columnLoop.index}].wellTypeDictId" /></span>
																</div>
														   	</c:if>
														</td>
													</c:forEach>
												</tr>
											</c:forEach>
										</table>
									</div>
								</c:forEach>
							</div>
							<br />
							<input type="submit" value="Submit" />
							&nbsp;
							<input type="button" value="Reset" onclick="location.replace('edit_assay_plates.do?id=${form.cohortId}')" />
							<c:if test="${!form.dataPersisted}">
								&nbsp;
								<input type="button" value="Clear Plates" onclick="submitChangeForm('clearPlates')" />
								<span class="requiredField">Plate data has not been saved yet</span>
							</c:if>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
