<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<c:set var="pageName" value="Genotyping Assignment" />

<gui:docType />
<html>
	<head>
		<title><c:out value="${pageName}" /></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/genotyping/edit_genotype_assignment.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="${pageName}" />
			<gui:error-list commandName="form" />

			<form:form commandName="form">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<c:set var="todayDate" value="${form.todaysDateAsString}"/>

				<table width="100%">
					<tr valign="top">
						<td width="60%">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall">
											Sheet/Plate barcode<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="barcode" onblur="if(this.value != '') {submitChangeForm('scanBarcode');}"/>
											<c:if test="${!empty form.barcode}">
												&nbsp;<gui:link-button text="New Plate" href="edit_genotype_assignment.do"/>
											</c:if>
										</td>
									</tr>
									<c:if test="${!empty form.assayPlate}">
										<tr>
											<td class="viewLabelSmall">
												Allele<span class="requiredField">*</span>
											</td>
											<td>
												<form:select path="selectedAlleleId" onchange="submitChangeForm('selectAllele')">
													<option value="">&nbsp;</option>
													<form:options items="${allelesInPlate}" itemValue="id" itemLabel="displayText"/>
												</form:select>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td>
							<c:if test="${!empty param['prevUpdatedRecords']}">
								<h2>Records Last Updated: ${param['prevUpdatedRecords']}</h2>
							</c:if>

							<c:if test="${!empty form.assayPlate}">
								<gui:mig-box label="Alleles On Plate">
									<cqi:customListView customQuery="${genotypeHistoryToday}">
										<cqi:customListViewHeader />
										<cqi:customListViewBody />
									</cqi:customListView>
								</gui:mig-box>
							</c:if>
						</td>
					</tr>
					<c:if test="${!empty form.selectedMice}">
						<tr>
							<td colspan="2">
								<gui:mig-box>
									<div>
										<table width="100%">
											<tr>
											<td align="left">
												<b>Total Records: ${fn:length(form.selectedMice)}</b>
											</td>
											<td align="right">
												<b><img align="top" src="images/mouse_tracking/tick.gif"/> indicates genotypes assigned today</b>
											</td>
											</tr>
										</table>
									</div>
									<table class="migBoxInner">
										<thead class="listNonPaginatedHeader">
											<tr>
												<th nowrap="nowrap">Mouse ID</th>
												<c:forEach items="${form.assays}" var="assay">
													<th align="right">
														${assay.value.assayType.name}
													</th>
													<th>
														<select class="assayFilter" id="assayType_${assay.value.assayTypeDictId}" onchange="filterRows(this)">
															<option value="">&nbsp;</option>
															<c:forEach items="${assayResultOptions}" var="assayResultOption">
																<option value="assayResult_${assayResultOption.id}"><c:out value="${assayResultOption.name}" /></option>
															</c:forEach>
														</select>
													</th>
												</c:forEach>
												<th colspan="3">
													Current Genotype
												</th>
												<th>
													New Genotype<br>
													<select id="globalGenotypeSelect" onchange="copyGenotype(this)">
														<option value="">&nbsp;</option>
														<c:forEach items="${genotypeOptions}" var="genotypeOption">
															<option value="${genotypeOption.id}"><c:out value="${genotypeOption.name}" /></option>
														</c:forEach>
													</select>
												</th>
												<th>
													Comments<br>
													<input type="text" maxlength="1024" onchange="copyComments(this)" />
												</th>
												<th>
													Lock Genotype<br>
													<input type="checkbox" onclick="copyLockStatus(this)" />
												</th>
											</tr>
										</thead>
										<gui:toggle-row-reset/>
										<tbody class="highlightable">
											<c:forEach items="${form.selectedMice}" var="mouseSubform" varStatus="miceLoop">
												<gui:toggle-row-class/>
												<tr class="genotypeResultRow ${rowClass}">
													<td>
														<a href="view_one_mouse.do?id=${mouseSubform.mouse.id}"><c:out value="${mouseSubform.mouse.name}" /></a>
													</td>
													<c:forEach items="${form.assays}" var="assay">
														<c:set var="result" value="${mouseSubform.assayResults[assay.key]}" />
														<td nowrap="nowrap">
															<c:if test="${!empty result}">
																<fmt:formatDate value="${result.assay.assayDate}" pattern="dd-MMM-yyyy"/>
															</c:if>
														</td>
														<c:set var="tdClass" value="assayType_${assay.value.assayTypeDictId} assayResult_${result.assayResult.id}" />
														<td class="${tdClass}">
															<c:if test="${!empty result}">
																<a class="thickbox" href="view_genotyping_attachments.do?id=${result.assay.id}&TB_iframe=true&height=700&width=960"><c:out value="${result.assayResult.name}" /></a>
															</c:if>
														</td>
													</c:forEach>
													<fmt:formatDate var="editDate" value="${form.selectedMice[miceLoop.index].selectedMouseAllele.editDate}" pattern="dd-MMM-yyyy"/>
													<c:set var="editedToday" value=""/>

													<td>
														${editDate}
													</td>
													<td>
														<c:if test="${editDate eq todayDate}">
															<img src="images/mouse_tracking/tick.gif" align="right"/>
														</c:if>
													</td>
													<td>
														<c:out value="${form.selectedMice[miceLoop.index].selectedMouseAllele.genotype.name}" />
													</td>
													<td>
														<c:if test="${!form.selectedMice[miceLoop.index].selectedMouseAllele.lockedForUpdate}">
															<form:select path="selectedMice[${miceLoop.index}].newGenotypeDictId">
																<option value="">&nbsp;</option>
																<form:options items="${genotypeOptions}" itemValue="id" itemLabel="name"/>
															</form:select>
														</c:if>
													</td>
													<td>
														<form:input path="selectedMice[${miceLoop.index}].comments" maxlength="1024" />
													</td>
													<td>
														<c:choose>
															<c:when test="${form.selectedMice[miceLoop.index].selectedMouseAllele.lockedForUpdate}">
																<img src="images/locked.gif" title="Locked Record"/>
															</c:when>
															<c:otherwise>
																<form:checkbox path="selectedMice[${miceLoop.index}].finalAssignment"/>
															</c:otherwise>
														</c:choose>
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</gui:mig-box>
							</td>
						</tr>
						<tr>
							<td>
								<div class="submitButtonsMouseTracking">
									<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
									<input type="button" value="Reset" onclick="document.location='edit_genotype_assignment.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
								</div>
							</td>
							<td>
								&nbsp;
							</td>
						</tr>
					</c:if>
				</table>

			</form:form>
		</gui:page>
	</body>
</html>