<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<c:set var="title" value="View Genotyping History : ${mouse.name}"/>
	<head>
		<title><c:out value="${title}"/></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<style type="text/css">
			table.list{border: 1px solid #B0B0B0;background: #fff;}
			table.list thead{font-size: 12px; vertical-align: bottom; text-align: left; background-color: #e7edf3;}
			table.migBoxInner td{vertical-align: top;}
		</style>
	</head>
	<body>
		<gui:page >
			<gui:pageHeader name="${title}">
				&nbsp;<gui:link-button text="view mouse" href="view_one_mouse.do?id=${mouse.id}"/>
			</gui:pageHeader>

			<c:forEach items="${alleleResults}" var="alleleResult">
				<c:set var="mouseAllele" value="${alleleResult.key}"/>
				<c:set var="allele" value="${mouseAllele.allele}"/>
				<c:set var="assayHistory" value="${alleleResult.value}"/>

				<gui:mig-box-label>Allele: ${allele.htmlAlleleSymbol}</gui:mig-box-label>
					<gui:mig-box>
						<table class="migBoxInner">
							<tr>
								<td>
									<table class="list" width="100%">
										<thead>
											<tr>
												<th>Tissue Sample</th>
												<th>Assay</th>
												<th>Result</th>
												<th>Date</th>
												<th>&nbsp;</th>
												<th width="50%">Comments</th>
											</tr>
										</thead>
										<tbody>
											<gui:toggle-row-reset/>
											<c:if test="${empty assayHistory}">
												<tr class="even"><td colspan="5">No assay history</td></tr>
											</c:if>
											<c:forEach items="${assayHistory}" var="assayResult">
												<gui:toggle-row-class />
												<tr class="${rowClass}">
													<td><c:out value="${assayResult.sheetBarcode} ${assayResult.wellPosition}"/></td>
													<td><c:out value="${assayResult.assayType}"/></td>
													<td><c:out value="${assayResult.assayResult}"/></td>
													<td><fmt:formatDate value="${assayResult.assayDate}" pattern="dd-MMM-yyyy" /></td>
													<td><gui:link-button text="Attachments" href="view_genotyping_attachments.do?id=${assayResult.assayId}"/></td>
													<td><c:out value="${assayResult.assayResultComments}"/></td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
									<br/>
									<table class="list" width="100%">
										<thead>
											<tr>
												<th>Genotype</th>
												<th>Assignment Date</th>
												<th>Assigned By</th>
												<th>Source</th>
												<th width="50%">Comments</th>
											</tr>
										</thead>
										<tbody>
											<c:if test="${empty mouseAllele.historyAndAlles}">
												<tr class="even">
													<td colspan="2">No genotype assigned</td>
												</tr>
											</c:if>
											<gui:toggle-row-reset/>
											<c:forEach items="${mouseAllele.historyAndAlles}" var="entry">
												<gui:toggle-row-class />
												<c:set var="history" value="${entry.key}"/>
												<c:set var="historicMouseAllele" value="${entry.value}"/>
												<tr class="${rowClass}">
													<td><c:out value="${historicMouseAllele.genotype.name}"/></td>
													<td><fmt:formatDate value="${history.assignmentDate}" pattern="dd-MMM-yyyy" /></td>
													<td><c:out value="${history.editedBy}" /></td>
													<td><c:out value="${history.source.name}"/></td>
													<td><c:out value="${history.comments}"/></td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</td>
							</tr>
						</table>
					</gui:mig-box>
					<br/>
			</c:forEach>
		</gui:page>
	</body>
</html>