<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<c:choose>
	<c:when test="${fn:length(plates) < 2}">
		<c:set var="title" value="View Genotype Plate"/>
	</c:when>
	<c:otherwise>
		<c:set var="title" value="View Genotype Plates"/>
	</c:otherwise>
</c:choose>
<html>
	<head>
		<title><c:out value="${title}"/></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/uiTabs.css" rel="stylesheet">
		<link type="text/css" href="css/genotyping.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/ui.core.packed.js"></script>
		<script type="text/javascript" src="js/ui.tabs.packed.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
		<script type="text/javascript">
			$(document).ready(
				function()
				{
					$('#tabsEx1 > ul').tabs({
					fx: { opacity: 'toggle', duration: 'fast' },
					selected: 0
				});
			});
		</script>
	</head>
	<body>
	<gui:page>
		<gui:pageHeader><c:out value="${title}"/></gui:pageHeader>

		<c:if test="${!empty plates}">
			<table>
				<tr>
					<td>
						<div id="tabsEx1">
							<ul class="ui-tabs-nav">
								<c:forEach items="${plates}" var="plate" varStatus="iter">
									<li class="">
										<a href="#fragment-${iter.index}">
											<span>
												<c:choose>
													<c:when test="${empty plate.plateBarcode}">
														<c:out value="${plate.sheetBarcode}"/>
													</c:when>
													<c:otherwise>
														<c:out value="${plate.sheetBarcode} / ${plate.plateBarcode}" />
													</c:otherwise>
												</c:choose>
											</span>
										</a>
									</li>
								</c:forEach>
							</ul>

							<c:forEach items="${plates}" var="plate" varStatus="iter">
							<div id="fragment-${iter.index}" class="ui-tabs-panel ui-tabs-hide">
								<table>
									<tr>
										<td>
											<gui:assayPlate plate="${plate}" index="${iter.index}" />
										</td>
									</tr>
								</table>
								<c:set var="cageMap" value="${gui:getCageIdsByColony(plate)}" />
								<gui:assayPlateTasks cageMap="${cageMap}" />
							</div>
							</c:forEach>
						</div>
					</td>
				</tr>
			</table>
		</c:if>
	</gui:page>
	</body>
</html>
