<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Havana Annotation Requests </title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script LANGUAGE="JavaScript">
			function setAutoRefresh() {
				var refreshForm = document.getElementById('form');
				refreshForm.submit();
			}
			function saveAndGo(designRequestId, havanaId, referrer){
				var refreshForm = document.getElementById('form');
				var destinationPage = document.getElementById('destinationPage');
				destinationPage.value = 'edit_design_request';
				var designRequestIdToGo = document.getElementById('designRequestIdToGo');
				designRequestIdToGo.value = designRequestId;
				var doValidate = document.getElementById('doValidation');
				doValidate.value = 'no';
				
				//document.forms[0].submit();
				//document.location="edit_design_request.do?id="+designrequestId+"&referrer="+referrer+"&havanaId="+havanaId; 
			}
		</script>
	</head>
	<body>
		<form:form commandName="form">
			<form:hidden path="destinationPage" />
			<form:hidden path="designRequestIdToGo"/>
			<form:hidden path="doValidation"/>
			
			<gui:page>
				<c:choose>
					<c:when test="${empty form.havanaRequest.id}">
						<gui:pageHeader name="Edit Havana Annotation Request" showBackUrl="false" />
					</c:when>
					<c:otherwise>
						<gui:pageHeader name="Edit Havana Annotation Request #${form.havanaRequest.id}" nameWidth="400px" showBackUrl="false"
							right="<input type='submit' class='submit' name='_finish' value='Submit' />
									<input type='reset' class='reset' value='Reset' />
									<input type='submit' class='cancel' name='_cancel' value='Cancel' />">

							<td class="pageHeader">Status:	<form:select path="havanaRequest.status.id">
								<form:options items="${statuses}" itemValue="id" itemLabel="name" />
								</form:select>
									
						</gui:pageHeader>
					</c:otherwise>
				</c:choose>
				<br />
				<form:errors path="havanaRequest.status.id" cssClass="formError" />
				<br />
				<gui:mig-box label="New/Current Gene Identifier">
					<table class="migBoxInner">
						<tr>
							<td width="200px" class="entryLabel">
								Gene:
							</td>
							<td width="150px" class="entryData">
								<a href="view_one_miggene.do?migGeneId=${gene.id}">${gene.primaryName}</a>
							</td>
							<td width="200px" class="entryLabel">
								OTTMUSG ID:
							</td>
							<td width="160px" class="entryData">
								<form:input cssStyle="width: 145px" path="havanaRequest.vegaId" />
								<form:errors path="havanaRequest.vegaId" cssClass="formError" />
							</td>
							<td class="viewData">
								<c:if test='${pageNum != 1}'>
									<input type="submit" name="_target1" value="Import Otterlace Data">
								</c:if>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				
				<c:if test='${hasImportResults ==1}'>
					<gui:mig-box label="Import Result">
						<table class="migBoxInner" id="guiImportResultTable">
							<tr>
								<td>
									<div class="migBoxOverflow" style="height: 120px; margin: 0px 0px 0px 0px">
										<table>
											<c:forEach items="${importToJsPPageResults}" var="record">
												<tr>
													<td>
														${record}
													</td>
												</tr>
											</c:forEach>
										</table>
									</div>
								</td>
							</tr>
						</table>
					</gui:mig-box>
				</c:if>
				
				<c:if test='${hasDesignRequests ==1}'>
					<gui:mig-box label="Design Details">
						<!--  The refresh button that would resubmit the current page -->
						<table class="migBoxInner">
							<tr>
								<td>
									<input type="button" value="Refresh" onclick="setAutoRefresh()" />
									<div class="migBoxOverflow" style="max-height: 120px; margin: 5px 0px 5px 0px">
										<table class="listNonPaginatedOverflow" id="guiDesignDetailsTable">
											<thead class="listPaginatedHeader">
												<tr>
													<th align="center">
														Select
													</th>
													<th align="center">
														DesignRequest
													</th>
													<th align="center">
														Design
													</th>
													<th align="center">
														Design Status
													</th>
													<th align="center">
														Allele<br />Request
													</th>
													<th>
														Score
													</th>
													<th align="center">
														Comments
													</th>
													<th>
														Fulfills Request
													</th>
													<th>
														Promoter Inclusion
													</th>
													<th>
														Conserved Elements
													</th>
													<th>
														Critical&nbsp;Exon<br />has ATG
													</th>
													<th>
														Possible <br /> Reinitiation
													</th>
													<th>
														No NMD
													</th>
												</tr>
											</thead>
											<c:set var="index" value="1" />
											<c:set var="alpha" value="99" />
											<c:set var="beta" value="199" />
											<c:set var="gamma" value="299" />
											<c:set var="delta" value="399" />
											<c:set var="psi" value="499" />
											<c:set var="epselon" value="599" />
											<c:forEach items="${form.designDesignRequestList}" var="record">
												<gui:toggle-row-class />
												<c:set var="isfulfillschecked" value="" />
												<c:set var="ispromoterinclusion" value="" />
												<c:set var="isconservedelements" value="" />
												<c:set var="iscontainingATG" value="" />
												<c:set var="isReinitiation" value="" />
												<c:set var="noNMDInduced" value="" />
												
												<c:if test="${record.fulfillsRequest}">
													<c:set var="isfulfillschecked" value="checked" />
												</c:if>
												<c:if test="${record.promoterInclusion}">
													<c:set var="ispromoterinclusion" value="checked" />
												</c:if>
												<c:if test="${record.conservedElements}">
													<c:set var="isconservedelements" value="checked" />
												</c:if>
												<c:if test="${record.criticalExonContainsATG}">
													<c:set var="iscontainingATG" value="checked" />
												</c:if>
												<c:if test="${record.possibleReinitiation}">
													<c:set var="isReinitiation" value="checked" />
												</c:if>
												<c:if test="${record.noNMDInduced}">
													<c:set var="noNMDInduced" value="checked" />
												</c:if>
												<tr class="${rowClass}">
													<td align = center>
														<input type="checkbox" name="${delta}"/>
													</td>
													<td align = center>
														<input type="submit" onclick="saveAndGo(${record.designRequestId}, ${form.havanaRequest.id}, 'editHavanaRequest')" value="${record.designRequestId}" name="_finish" />
													</td>
													<td align = center>
														<a href="view_one_design.do?id=${record.designId}"><c:out value="${record.designId}" /></a>
													</td>
													<td align = center>
														${record.status}
													</td>
													<td align = center>
														<a href="view_one_allele_request.do?id=${record.alleleRequestId}">${record.alleleRequestId}</a>
													</td>
													<td align = center>
														${record.score}
													</td>
													<td>
														${record.designRequestComments}
													</td>
													<td>
														<input type="checkbox" name="${index}" value="${record.fulfillsRequest}" ${isfulfillschecked}/>
													</td>
													<td>
														<input type="checkbox" name="${alpha}" value="${record.promoterInclusion}" ${ispromoterinclusion}/>
													</td>
													<td>
														<input type="checkbox" name="${beta}" value="${record.conservedElements}" ${isconservedelements}/>
													</td>
													<td>
														<input type="checkbox" name="${gamma}" value="${record.criticalExonContainsATG}" ${iscontainingATG}/>
													</td>
													<td>
														<input type="checkbox" name="${psi}" value="${record.possibleReinitiation}" ${isReinitiation}/>
													</td>
													<td>
														<input type="checkbox" name="${epselon}" value="${record.noNMDInduced}" ${noNMDInduced}/>
													</td>
												</tr>
												<c:set var="index" value="${index + 1}" />
												<c:set var="alpha" value="${alpha + 1}" />
												<c:set var="beta" value="${beta + 1}" />
												<c:set var="gamma" value="${gamma + 1}" />
												<c:set var="delta" value="${delta + 1}" />
												<c:set var="psi" value="${psi + 1}" />
												<c:set var="epselon" value="${epselon + 1}" />
											</c:forEach>
										</table>
									</div>
									
									<input type="submit" align='right' name="_target2" value="Run for Designs">
								</td>
							</tr>
						</table>
					</gui:mig-box>
				</c:if>
				
				<c:if test='${hasDesignResults ==1}'>
					<gui:mig-box label="Design Run Info">
						<div class="migBoxOverflow">
							<table class="listNonPaginated">
								<c:forEach items="${designRunResults}" var="record">
									<tr>
										<td width="20%" align="left">
											${record}
										</td>
									</tr>
								</c:forEach>
							</table>
						</div>
					</gui:mig-box>
				</c:if>

				<table width="100%" cellpadding="0px" cellspacing="0px">
					<tr>
						<td width="49%">
							<gui:mig-box label="Changed gene info" height="112px">
								<table class="migBoxInner" style="height: 100px">
									<tr>
										<td width="200px" class="entryLabel">
											Updated Gene Symbol:
										</td>
										<td class="entryData">
											<form:input path="havanaRequest.updatedGeneName" />
											<form:errors path="havanaRequest.updatedGeneName" cssClass="formError" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Chromosome:
										</td>
										<td class="entryData">
											<form:input path="havanaRequest.updatedChromosomeName" />
											<form:errors path="havanaRequest.updatedChromosomeName" cssClass="formError" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Pseudo gene:
										</td>
										<td class="entryData">
											<form:checkbox path="havanaRequest.pseudogene" />
											<form:errors path="havanaRequest.pseudogene" cssClass="formError" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td width="10px"></td>
						<td width="49%">
							<gui:mig-box label="Locus Info" height="112px">
								<table class="migBoxInner" style="height: 100px">
									<tr>
										<td class="entryLabel" width="200px">
											Signal Peptide
										</td>
										<td class="entryData">
											<form:checkbox path="havanaRequest.signalPeptide" />
											<form:errors path="havanaRequest.signalPeptide" cssClass="formError" />
										</td>											
									</tr>
									<tr>
										<td class="entryLabel">
											TransMembrane Domain:
										</td>
										<td class="entryData">
											<form:checkbox path="havanaRequest.transMembraneDomain" />
											<form:errors path="havanaRequest.transMembraneDomain" cssClass="formError" />
										</td>											
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>

				<gui:mig-box label="Reasons for rejecting Conditional Knockout Design">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="200px">
								Small Introns:
							</td>
							<td class="entryData" width="100px">
								<form:checkbox path="havanaRequest.smallIntrons" />
								<form:errors path="havanaRequest.smallIntrons" cssClass="formError" />
							</td>
							<td class="entryLabel" width="300px">
								Multiple Coding Transcripts:
							</td>
							<td class="entryData" width="100px">
								<form:checkbox path="havanaRequest.multipleCodingTrancripts" />
								<form:errors path="havanaRequest.multipleCodingTrancripts" cssClass="formError" />
							</td>
							<td class="entryLabel" width="300px">
								Less than three coding exons:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.lessThanThreeCodingExons" />
								<form:errors path="havanaRequest.lessThanThreeCodingExons" cssClass="formError" />
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">
								Symmetrical Exons:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.symmetricalExons" />
								<form:errors path="havanaRequest.symmetricalExons" cssClass="formError" />
							</td>
							<td class="entryLabel">
								Start Not Found:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.startNotFound" id="first"/>
								<form:errors path="havanaRequest.startNotFound" cssClass="formError" />
							</td>
							<td class="entryLabel">
								End Not Found:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.endNotFound" />
								<form:errors path="havanaRequest.endNotFound" cssClass="formError" />
							</td>
						</tr>
						<tr valign="top">
							<td class="entryLabel">
								Large Coding Exon:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.largeCodingExon" />
								<form:errors path="havanaRequest.largeCodingExon" cssClass="formError" />
							</td>
							<td class="entryLabel">
								Critical Exon too 3':
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.criticalExonToo3" />
								<form:errors path="havanaRequest.criticalExonToo3" cssClass="formError" />
							</td>
							<td class="entryLabel">
								Overlapping Loci:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.overlappingLoci" />
								<form:errors path="havanaRequest.overlappingLoci" cssClass="formError" />
							</td>
						</tr>	
						<tr valign="top">
							<td class="entryLabel">
								Gene Cluster:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.geneCluster" />
								<form:errors path="havanaRequest.geneCluster" cssClass="formError" />
							</td>																
							<td class="entryLabel">
								Repeat Region
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.repeatRegion" />
								<form:errors path="havanaRequest.repeatRegion" cssClass="formError" />
							</td>
							<td class="entryLabel">
								No NMD induced:
							</td>
							<td class="entryData">
								<form:checkbox path="havanaRequest.noNMDInduced" />
								<form:errors path="havanaRequest.noNMDInduced" cssClass="formError" />
							</td>
						</tr>
						<tr valign="top">
						</tr>
					</table>
				</gui:mig-box>
				
	
				<gui:mig-box label="Additional Information">
					<table class="migBoxInner">
						<tr>
							<td width="200px" class="entryLabelT">
								Comments:
							</td>
							<td class="enrtyData">
								<form:textarea cssClass="migBox" cssStyle="height: 68px; width: 100%" path="havanaRequest.comments" />
								<form:errors path="havanaRequest.comments" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div class="submitButtons">
					<input type="submit" name="_finish" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="submit" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</gui:page>
		</form:form>
	</body>
</html>
