<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Havana Annotation Requests</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">

		function validateInput(){
			var inputForm = document.getElementById('form');
			var searchString = document.getElementById("searchString").value;
			var choice = document.getElementById("searchBy").options[document.getElementById("searchBy").selectedIndex].text;

			if(choice=="Request Number" || choice == "ID"){

				var isNumber = true;
				for (var x = 0; x < searchString.length; x++) {
					var c = searchString.charAt(x);

					if ((c >= '0') && (c <= '9')) {
					  continue;
					} else {
					  isNumber = false;
					  break;
					}
				}

				if(!isNumber){
					document.getElementById("searchString").value="<Please enter valid id!>";
					document.getElementById("searchString").select();
					document.getElementById("searchString").focus();
					return false;
				}
				else {
					return true;
				}
			}
			if (document.getElementById("searchString").value=="<Please enter "+document.getElementById("searchBy").options[document.getElementById("searchBy").selectedIndex].text+">") {
				document.getElementById("searchString").focus();
				return false;
			}
			return true;
		}
		function viewSwitchAndOpen(openurl, fetchMethod, switchurl, bswitchurl) {
			openWin(openurl, fetchMethod, 1024, 768, 1);

			<control:accessControl roles="admin,mgp-admin">
				if (bswitchurl)
				{
					document.location = switchurl;
				}
			</control:accessControl>
		}
		function openWin(url, fetchMethod, w, h, r) {
		    var scrollbars = 1;
		    var status = 1;
		    var nw = null;  //ref to popup window

		    //fetch method either "externalGet" or "externalPost"
			if (fetchMethod != "externalPost") {    //normal GET query fetch
				nw = window.open(url, fetchMethod, 'width=' + w + ',height=' + h + ',resizable=' + r +', scrollbars, status=yes, toolbar=yes, location=yes, top=10, left=10');
			}
			else { 	//translate HTTP GET to POST
			    var baseUrlQueryString = url.split("?");
			    var baseUrl = baseUrlQueryString[0];
			    var queryString = baseUrlQueryString[1];
			    var nameValuePairs = queryString.split("&");

			    //as work around to ie access denied err when talking across windows, need to load non-null/blank
			    //url document--in this case, index.html, which is pretty universal anyway.
			    nw = window.open('index.html', fetchMethod, 'width=' + w + ',height=' + h + ',resizable=' + r +', scrollbars, status=yes, toolbar=yes, location=yes, top=10, left=10');
			    nw.document.writeln("<html><meta http-equiv='refresh' content='3'>");
			    nw.document.writeln("<br /><br /><br /><center><h4>Posting HTTP params to "+baseUrl+"...<br /><br /><div style='color:red;'>Click the reload button in your browser if page does not load within a few seconds.</div><br /><br /></h4>");

			    var frm = nw.document.createElement('form');
			    frm.setAttribute('method','post');
			    frm.setAttribute('action', baseUrl);

			    for(var x = 0; x < nameValuePairs.length; x++) {
			         var pair = nameValuePairs[x].split("=");
			    	 var inputTag = nw.document.createElement('input');
			    	 inputTag.setAttribute('type','text');
			    	 inputTag.setAttribute('name',pair[0]);
			    	 inputTag.setAttribute('value',pair[1]);
			    	 frm.appendChild(inputTag);
			    }
		        var divTag = nw.document.createElement('div');
		        divTag.setAttribute('align','center');
		        divTag.appendChild(frm);
		        nw.document.body.appendChild(divTag);
		        frm.submit();
		    }
			if(nw != null) nw.focus();
		}

		function showMessage(){

			var searchString = document.getElementById("searchString");
			var searchBy = document.getElementById("searchBy");

			if (document.getElementById("searchBy").selectedIndex != 0) {
				document.getElementById("searchStringSpan").style.visibility = "visible";

				if(searchBy.value!="") {
			    	searchString.value="<Please enter "+searchBy.options[searchBy.selectedIndex].text+">";
				}else {
				 searchString.value="";
				}
				document.getElementById("havanaRequest.statusDictId").selectedIndex = 0;
				document.getElementById("havanaRequest.alleleRequest.source.id").selectedIndex = 0;
				document.getElementById("havanaRequest.chromosomeName").selectedIndex = 0;
				document.getElementById("searchString").select();
				document.getElementById("searchString").focus();
			}
			else {
				document.getElementById("searchString").value = '';
				document.getElementById("searchStringSpan").style.visibility = "hidden";
			}
		}

		function clearFindBy() {
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}

		function clearSearch() {
			document.getElementById("havanaRequest.statusDictId").selectedIndex = 0;
			document.getElementById("havanaRequest.alleleRequest.source.id").selectedIndex = 0;
			document.getElementById("havanaRequest.chromosomeName").selectedIndex = 0;
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}

		function submitSearch() {
			if (validateInput()) {
				setNewQuery('true');
				setPaginated('true');
				document.body.style.cursor = 'wait';
				return true
			}
			else {
				return false;
			}
		}

		function emptyField(){
			var searchString = document.getElementById("searchString");
			var c = searchString.value.charAt(0);
			if(c=='<'){
				searchString.value = "";
			}
		}

		function scrollToID()
		{
			var query = window.location.search.substring(1);
			var vars = query.split("&");
			for (var i=0;i<vars.length;i++) {
				var pair = vars[i].split("=");
				if (pair[0] == 'currentRecordId') {
					document.location = '#' + pair[1];
				}
			}
		}
		</script>
	</head>
	<body onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Havana Annotation Requests" />
			<form:form commandName="searchBean" action="list_havana_requests.do" method="get" onsubmit="return submitSearch();">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />

				<%
				if (request.getParameter("searchString") == null || request.getParameter("searchString").equals("")) {
					%><c:set var="searchString" value="hidden"></c:set><%
				} else {
					%><c:set var="searchString" value="visible"></c:set><%
				}%>

				<gui:filterBox>
					<table>
						<tr>
							<td class="filterLabel" width="80px">Status</td>
							<td class="filterData">
								<form:select cssClass="listFilter" path="havanaRequest.statusDictId" onchange="clearFindBy();">
									<option value="">
										All
									</option>
									<form:options items="${statuses}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td class="filterLabel" width="100px">Source</td>
							<td class="filterData">
								<form:select cssClass="listFilter" path="havanaRequest.alleleRequest.source.id" onchange="clearFindBy();">
									<option value="">
										All
									</option>
									<form:options items="${sources}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td class="filterLabel" width="100px">Chromosome</td>
							<td class="filterData">
								<form:select cssClass='listFilter' path="havanaRequest.chromosomeName" onchange="clearFindBy();">
									<option value="">
										All
									</option>
									<form:options items="${chromosomes}" itemValue="name" itemLabel="name"/>
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="filterLabel"><b>OR</b>&nbsp;&nbsp;&nbsp;&nbsp;Find&nbsp;by</td>
							<td class="filterData" colspan=6>
								<form:select cssClass="listFilter" path="searchBy" id="searchBy" onchange="showMessage();">
									<option></option>
									<form:options items="${searchByColumns}" />
								</form:select>
								<span id="searchStringSpan" style="visibility: ${searchString};">
									<form:input cssClass="searchString" cssStyle="width: 200px" path="searchString" id="searchString" onclick="emptyField();" />
								</span>
							</td>
						</tr>
					</table>
				</gui:filterBox>
				<div class="submitButtons">
					<input type="submit" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true'); return validateInput();" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
						<c:if test="${!empty results}">
							<table class="listPaginated" id="guiTableNameRequestDetails">
								<thead class="listPaginatedHeader">
									<tr>
										<th>
											<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
											Request<br />Number<br />
											</gui:paginate-order-by>
										</th>
										<th align="center">Options</th>
										<th>
											<gui:paginate-order-by orderBy="status" bean="${searchBean}">
											Status<br />
											</gui:paginate-order-by>
										</th>
										<control:accessControl roles="admin,mgp-admin,mgwg,havana-admin,norcomm">
										<th>
											<gui:paginate-order-by orderBy="allele_request_id" bean="${searchBean}">
											Allele<br />Request<br />
											</gui:paginate-order-by>
										</th>
										</control:accessControl>
										<th>
											<gui:paginate-order-by orderBy="source" bean="${searchBean}">
											Source<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="submit_to_queue_date" bean="${searchBean}">
											Source<br />Modified Date<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="vega_id" bean="${searchBean}">
											Vega ID<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="primary_name" bean="${searchBean}">
											Gene<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="ensembl_id" bean="${searchBean}">
											Ensembl ID<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="chromosome_name" bean="${searchBean}">
											Chromosome<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="UNIQUE_EXON_COUNT" bean="${searchBean}">
											Unique/Total<br />Exon Count<br />
											</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by orderBy="EDITED_DATE" bean="${searchBean}">
											Last Edit<br />Date<br />
											</gui:paginate-order-by>
										</th>
										<th>Build</th>
										<th>Comments</th>
									</tr>
								</thead>
								<c:forEach items="${results}" var="record">
									<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
									<tr class="${rowClass}">
										<td id="${record.id}">
											${record.id}
										</td>
										<td align="center">
											<a href="view_one_havana_request.do?id=${record.id}">
												<img src="images/view.gif" title="View Havana Request"/>&nbsp;
											</a>
										<control:if roles="admin,mgp-admin,havana-admin">
											<control:then>
												<a href="edit_havana_request.do?id=${record.id}"><img src="images/edit.gif" title="Edit Havana Request"> </a>
											</control:then>
											<control:else>
												<img src="images/cancelIcon.jpg" style="margin-bottom: 2px">
											</control:else>
										</control:if>
										<td>
											${record.status}
										</td>
										<control:if roles="admin,mgp-admin,mgwg,havana-admin,norcomm" recordOwnerId="${record.alleleRequesterId}">
											<control:then>
												<td>
													<a href="view_one_allele_request.do?id=${record.alleleRequestId}">${record.alleleRequestId}</a>
												</td>
											</control:then>
											<control:else>
												<td>${record.alleleRequestId}</td>
											</control:else>
										</control:if>
										<td>${record.source}</td>
										<td><fmt:formatDate value="${record.submitToQueueDate}" pattern="dd-MMM-yyyy"/></td>
										<td>${record.vegaId}</td>
										<td>${record.primaryName}</td>
										<td>
										<a href="#" onclick="viewSwitchAndOpen('http://www.ensembl.org/Mus_musculus/geneview?gene=${record.primaryName}', 'externalGet');">${record.ensemblId}</a>
										</td>
										<td>
											${record.chromosomeName}
											[${record.chromosomeStart}-${record.chromosomeEnd}]
										</td>
										<td>${record.uniqueExonCount}/${record.totalExonCount}</td>
										<td><fmt:formatDate value="${record.editedDate}" pattern="dd-MMM-yyyy"/></td>
										<td>
											${record.buildName}&nbsp;${record.buildVersion}
										</td>
										<td>${record.comments}</td>
									</tr>
								</c:forEach>
							</table>
							<gui:paginate-navigation-bar bean="${searchBean}"/>
						</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
