<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Havana Annotation Request</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Havana Annotation Request #${model.havanaRequest.id}" nameWidth="400px" middle="Status: ${model.havanaRequest.status.name}" />
			<control:accessControl roles="admin,mgp-admin,havana-admin">
			<table class=pageView>
				<tr>
					<td class="pageView" valign="top">
						<a href="edit_havana_request.do?id=${model.havanaRequest.id}" title="Edit Havana Request"><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
					</td>
				</tr>
			</table>
			</control:accessControl>
			<form:form commandName="form">
				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="viewLabel" width="230px">Status:</td>
							<td class="viewData">${model.havanaRequest.status.name}</td>
						</tr>
						<tr>
							<td class="viewLabel">Vega ID:</td>
							<td class="viewData">${model.havanaRequest.vegaId}</td>
						</tr>
						<c:if test="${!empty model.havanaRequest.updatedGeneName}">
							<tr>
								<td class="viewLabel">Updated Gene name:</td>
								<td class="viewData">${model.havanaRequest.updatedGeneName}</td>
							</tr>
						</c:if>
						<c:if test="${!empty model.havanaRequest.updatedChromosomeName}">
							<tr>
								<td class="viewLabel">Updated Chromosome name:</td>
								<td class="viewData">${model.havanaRequest.updatedChromosomeName}</td>
							</tr>
						</c:if>
						<c:if test="${model.havanaRequest.startNotFound}">
							<tr>
								<td class="viewLabel">Start not found:</td>
								<td class="viewData">${model.havanaRequest.startNotFound}</td>
							</tr>
						</c:if>
						<c:if test="${model.havanaRequest.endNotFound}">
						<tr>
							<td class="viewLabel">End not found:</td>
							<td class="viewData">${model.havanaRequest.endNotFound}</td>
						</tr>
						</c:if>
						<tr>
							<td class="viewLabel">Request Source:</td>
							<td class="viewData">${model.havanaRequest.alleleRequest.source.name}</td>
						</tr>
						<tr>
							<td class="viewLabel">Gene:</td>
							<td class="viewData"><a href="view_one_miggene.do?migGeneId=${model.gene.id}">${model.gene.primaryName}</a></td>
						</tr>
						<tr>
							<td class="viewLabel">Ensembl ID:</td>
							<td class="viewData">${model.gene.primaryEnsemblBuildGene.primaryName}</td>
						</tr>
						<tr>
							<td class="viewLabel">Chromosome:</td>
							<td class="viewData">${model.gene.primaryBuildGene.locus.chromosomeName} [${model.gene.primaryBuildGene.locus.chromosomeStart} - ${model.gene.primaryBuildGene.locus.chromosomeEnd}]</td>
						</tr>
						<tr>
							<td class="viewLabel">Build:</td>
							<td class="viewData">${model.gene.primaryBuildGene.build.name}&nbsp;${model.gene.primaryBuildGene.build.version}</td>
						</tr>
						<tr>
							<td class="viewLabelT">InterPro Domains:</td>
							<td class="viewData">
								<c:forEach items="${model.gene.interproSymbols}" var="symbol">
									${symbol}<br />
								</c:forEach>
							</td>
						</tr>
						<tr>
							<td class="viewLabel">Is Finished:</td>
							<td class="viewData">${model.gene.primaryBuildGene.finishingStatus}</td>
						</tr>
						<tr>
							<td class="viewLabelT">Comments:</td>
							<td class="viewData">${model.havanaRequest.comments}</td>
						</tr>
						<tr>
							<td class="viewLabel">Request Created:</td>
							<td class="viewData">${model.havanaRequest.creator.fullName} <fmt:formatDate value="${model.havanaRequest.createdDate}" pattern="dd-MMM-yyyy"/></td>
						</tr>
						<tr>
							<td class="viewLabel">Last Edited:</td>
							<td class="viewData">${model.havanaRequest.editedBy} <fmt:formatDate value="${model.havanaRequest.editDate}" pattern="dd-MMM-yyyy"/></td>
						</tr>
					</table>
				</gui:mig-box>
			</form:form>
		</gui:page>
	</body>
</html>
