<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
			var rowClass = 'odd';
			var rowNumber = 1;
			var editMode = '';

			function clearFields() {
				document.getElementById('necropsyInfo').value = '';
				document.getElementById('tissueType').selectedIndex = 0;
				document.getElementById('rowID').value = '';
				editMode = '';
			}

			function editRow(rowId) {
				var infoCell = eval('document.getElementById("info" + rowId)');
				var tissueType = eval('document.getElementById("tissueType" + rowId)');

				setTissueType(tissueType.innerHTML);
				document.getElementById('necropsyInfo').value = infoCell.innerHTML;
				document.getElementById('rowID').value = rowId;
				editMode = 'edit';
			}


			function reformatTable() {
				var necropsyListTable = document.getElementById('necropsyList');
				rowClass = 'odd';

				for (var i = 0; i < necropsyListTable.tBodies[0].rows.length; i++) {
					necropsyListTable.tBodies[0].rows[i].className = rowClass;
					rowClass = (rowClass == "odd" ? "even" : "odd");
				}
			}

			function setTissueType(tissueType) {
				for (i = 0; i < document.getElementById('tissueType').options.length; i++) {
					if (document.getElementById('tissueType').options[i].text == tissueType) {
						document.getElementById('tissueType').selectedIndex = i;
						break;
					}
				}
			}

			function setAddNewTissue() {
				if (document.getElementById('tissueId').value == '' || document.getElementById('tissueComments').value == '') {
					alert('Please specify a tissue type and enter comments');
				} else {
					document.forms[0].submit();
				}
			}

			function setAddBlock() {
				if (document.getElementById('blockTypeDictId').value == '' || document.getElementById('blockComments').value == '') {
					alert('Please specify a block type and enter comments');
				} else {
					document.forms[0].submit();
				}
			}

			function setAddEvent() {
				if (document.getElementById('eventDictId').value == '') {
					alert('Please specify an event option');
				} else {
					document.forms[0].action = 'edit_histology_necropsy.do#associateEvent';
					document.forms[0].submit();
				}
			}

			function submitChangeForm(action,value1,value2) {
				var d = document.forms[0];
				d.changeForm.value = action;

				if(action == "addEvent"){
					setAddEvent();
				}else if(action == "addExtraBlock"){
				    setAddBlock();
				}else if(action == "addNewTissue"){
				    setAddNewTissue();
				}else if(action == "deleteEvent"){
					deleteEvent(value1);
				}else if(action == "deleteExtraBlock"){
                    deleteExtraBlock(value1, value2);
				}else if(action == "deleteTissue"){
				    deleteTissue(value1);
				}else{
					document.forms[0].submit();
				}
			}

			function deleteEvent(id) {
				var eventDictId = document.getElementById('deleteEventId');
				eventDictId.value = id;
				document.forms[0].action = 'edit_histology_necropsy.do#associateEvent';
				document.forms[0].submit();
			}

			function deleteTissue(id) {
				var tissueId = document.getElementById('deleteTissueId');
				tissueId.value = id;
				document.forms[0].submit();
			}

			function deleteExtraBlock(blockTypeId, comments) {
				var deleteBlockTypeId = document.getElementById('deleteExtraBlockTypeId');
				var blockComments = document.getElementById('deleteComments');
				deleteBlockTypeId.value = blockTypeId;
				blockComments.value = comments;
				document.forms[0].submit();
			}



			function lookupListPostProcessing(){
				var d = document.forms[0];
				d.changeForm.value = 'getTeam';
				document.forms[0].submit();
			}

			var months = new Array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
			function setFixationTimeNow() {
				var now = new Date();
				var mon = months[now.getMonth()];

				var nowText = ''+pad(now.getDate())+'-'+mon+'-'+now.getFullYear()+" "
					+ pad(now.getHours())+':'+pad(now.getMinutes());

				$('#fixationStartDateTime').val(nowText);
			}

			function pad(number) {
				if (number < 10)
					return "0"+number;
				else {
					return number;
				}
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Enter Necropsy Data" />
			<form:form commandName="form" action="edit_histology_necropsy.do">
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
		    <c:if test="${!empty form.mouse}">
				<%@ include file="necropsy_report_header.jspf" %>
			</c:if>
			<c:if test="${empty form.mouse}">
			<gui:mig-box label="Scan the Mouse Barcode or Enter Mouse Name">
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel" width="220px">
							<label for="mouseBarcode" class="entryLabel">
								Mouse Barcode <span class='formError'>*</span>
							</label>
						<td class="entryData" width="180px">
							<form:input path="mouseBarcode" onkeydown="if(event.keyCode==13) {this.blur()}"  tabindex="5" onblur="submitChangeForm('mouseBarcode')" />
						</td>
						<td class="formError">
							<c:out value="${form.barcodeErrorMessage}" />
						</td>
					</tr>
				</table>
			</gui:mig-box>
			</c:if>

			<form:hidden path="deleteEventId" />
			<form:hidden path="deleteTissueId" />
			<form:hidden path="deleteExtraBlockTypeId"/>
			<form:hidden path="deleteComments"/>
			<form:hidden path="deleteBlockId"/>
			<input type="hidden" name="changeForm" />
			<input type="hidden" name="changeFormValue" />
			<br/>
			<c:if test="${!empty form.mouse}">
			<gui:mig-box label="General Information">
				<table class="migBoxInner">
					<tr>
						<td class="entryLabelT" width="90px">
							Technician:
							<span class="formError">*</span>
						</td>
						<td class="entryDataT" width="180px">
							<gui:formPopup path="displayText" size="20"
								onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=technicianId,personName=displayText');" />
							<form:hidden path="technicianId" />
						</td>
						<td class="entryLabelT">
							Team:
							<span class="formError">*</span>
						</td>
						<td class="entryDataT">
							<form:select path="necropsy.team.id">
								<option value="">
									&nbsp;
								</option>
								<form:options items="${teams}" itemValue="id"
									itemLabel="teamNumberAndName" />
							</form:select>
						</td>
						<td class="entryLabelT" width="140px">
							Fixation Start Time:
							<span class="formError">*</span>
						</td>
						<td class="entryDataT" width="190px" align="right" nowrap="nowrap">
							<form:input path="fixationStartDateTime"
								onblur="validateDateTime(this, true, true)"
								cssStyle="text-align: left; width: 120px" />
							<gui:dateTimePicker path="fixationStartDateTime"
								datePicker="true" timePicker="true" autoPopUp="button"></gui:dateTimePicker>
						  <gui:link-button onclick="setFixationTimeNow()" text="now"/>
            			</td>
					</tr>
					<tr>
						<td class="entryLabelT">
							Reason:
						</td>
						<td class="entryDataT">
							<form:select path="necropsy.reasonDictId">
								<option value="">
									&nbsp;
								</option>
								<form:options items="${reasons}" itemValue="id"	itemLabel="name" />
							</form:select>
						</td>
						<td class="entryLabelT">
							General Comments:
						</td>
						<td class="entryDataT" colspan=3 align="left">
							<form:textarea path="comments" cssStyle="width: 99.5%; height: 35px; -moz-box-sizing: border-box;"></form:textarea>
						</td>
					</tr>
				</table>
		    </gui:mig-box>
		    <br />
			<gui:mig-box label="Add Abnormal Necropsy Tissue Information">
				<table class="migBoxInner">
					<tr>
						<td class="entryLabelT" width="100px">
							Tissue Type:
						</td>
						<td class="entryData" style="vertical-align: top" rowspan="2" width="290px">
							<form:select path="tissueId">
								<option value=''>
									-- Specify the tissue--
								</option>
								<form:options items="${form.dropDownTissues}" itemLabel="name" itemValue="id"/>
							</form:select>
						</td>
						<td class="entryLabelT" rowspan="2">
							Comments:
						</td>
						<td class="entryDataT" rowspan="2" style="text-align: right; width: 705px;">
							<form:textarea path="tissueComments" cssStyle="width: 700px; height: 50px;"></form:textarea>
						</td>
					</tr>
					<tr>
						<td>
							<input type="button" name="add" title="Add Tissue" value="+" onclick="submitChangeForm('addNewTissue')" style="width:30px; font-weight: bold;">
						</td>
					</tr>
					<tr>
						<td colspan="4">
						<div>
						<c:if test="${!empty form.displayNecTissues}">
							<table class="listPaginated" style="width: 100%; margin-top: 10px" align="left">
								<thead class="listPaginatedHeader">
									<tr>
										<th width="40px">
											Options
										</th>
										<th>
											Tissue
										</th>
										<th>
											Comments
										</th>
									</tr>
								</thead>
								<c:forEach items="${form.displayNecTissues}" var="tissue">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td><a href="#" onclick="submitChangeForm('deleteTissue',${tissue.tissueId})" title="Delete this Tissue"><img src="images/mouse_tracking/delete.gif" title="Delete this Tissue"></td>
										<td>${tissue.tissue.name}</td>
										<td>${tissue.comments}</td>
									</tr>
								</c:forEach>
							</table>
						</c:if>
						</td>
						</div>
					</tr>
				</table>
			</gui:mig-box>
			<gui:mig-box label="Add Extra Blocks">
				<table class="migBoxInner" id="addBlock">
					<tr>
						<td class="entryLabelT" width="100px">
							Block Type:
						</td>
						<td class="entryData" style="vertical-align: top" width="290px">
							<form:select path="blockTypeDictId">
								<option value=''>
									-- Specify the block type--
								</option>
								<form:options items="${type}" itemLabel="description" itemValue="id"/>
							</form:select>
						</td>
						<td class="entryLabelT" rowspan=2>
							Comments:
						</td>
						<td class="entryDataT" rowspan=2 style="text-align: right; width: 705px;">
							<form:textarea path="blockComments" cssStyle="width: 700px; height: 50px;"></form:textarea>
						</td>
					</tr>
					<tr>
						<td colspan=2>
							<input type="button" name="add" title="Add Extra Block" value="+" onclick="submitChangeForm('addExtraBlock');" style="width:30px; font-weight: bold;">
						</td>
					</tr>
					<tr>
						<td colspan=4>
							<c:if test="${!empty form.displayBlocks}">
							<table class="listPaginated" style="width:100%; margin-top: 10px" align="left">
								<thead class="listPaginatedHeader">
									<tr>
										<th width="40px">
											Options
										</th>
										<th width="150px">
											Block Barcode
										</th>
										<th>
											Block Type
										</th>
										<th>
											Comments
										</th>
									</tr>
								</thead>
								<tbody>
								<c:forEach items="${form.displayBlocks}" var="block">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<c:if test="${empty block.id}">
										<td>
										<a href="#" onclick="submitChangeForm('deleteExtraBlock',${block.blockTypeId},'${block.comments}');" title="Delete this Block">
										<img src="images/mouse_tracking/delete.gif" title="Delete this Tissue"></td>
										</c:if>
										<c:if test="${!empty block.id}">
										<td>
										</td>
										</c:if>
										<td>${block.barcode}</td>
										<td>${block.blockTypeDesc}</td>
										<td>${block.comments}</td>
									</tr>
								</c:forEach>
								</tbody>
							</table>
							</c:if>
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<br />
			<gui:mig-box label="Add Associated Event">
				<table class="migBoxInner" width="100px" id="associateEvent">
					<tr>
						<td width="50px" valign="top">
							<input type="button" name="add" title="Add Associate Event" value="+" onclick="submitChangeForm('addEvent');" style="width:30px; font-weight: bold;">
						</td>
						<td class="entryLabelT" width="100px">
							Event Options:
						</td>
						<td class="entryData" style="vertical-align: top" width="250px">
							<form:select path="eventDictId">
								<option value=''>
									-- Specify the event--
								</option>
								<form:options items="${form.dropDownEvents}" itemLabel="name" itemValue="id"/>
							</form:select>
						</td>
						<td align="right">
							<c:if test="${!empty form.displayNecropsyEvents}">
								<table class="listPaginated" style='width:100%;' align="left">
									<thead class="listPaginatedHeader">
										<tr>
											<th width="40px">
												Options
											</th>
											<th width="260px">
												Event
											</th>
										</tr>
									</thead>
									<c:forEach items="${form.displayNecropsyEvents}" var="event">
										<gui:toggle-row-class />
										<tr class="${rowClass}">
											<td><a href="#" onclick="submitChangeForm('deleteEvent',${event.necropsyEventDictId});" title="Delete this Tissue"><img src="images/mouse_tracking/delete.gif" title="Delete this Tissue"></a></td>
											<td>${event.necropsyEventDict.name}</td>
										</tr>
									</c:forEach>

								</table>
							</c:if>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<div class="submitButtons">
				<input type="submit" name="submit_old" value="Submit" style="width: 100px;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<c:if test="${form.mainView}">
					<input type="button" name="_cancel" value="Cancel" style="width: 100px;" onclick="document.location='view_old_menu.do'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</c:if>
				<c:if test="${! form.mainView}">
					<input type="button" name="_cancel" value="Cancel" style="width: 100px;" onclick="document.location='histology_batch_work.do?id=${form.cohortId}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</c:if>
			</div>
			</c:if>
			</form:form>
		</gui:page>
	</body>