<%@ taglib uri="AccessControl.tld" prefix="control" %>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>
<%@ taglib uri="spring" prefix="spring" %>
<%@ taglib uri="jstl/fmt" prefix="fmt" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType/>
<html>
	<head>
		<title>Annotate/QC Scan Regions</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/jquery.autocomplete.css" rel="stylesheet" />
		<link type="text/css" href="css/examine-crop-basic.css" rel="stylesheet" />
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/jquery.js" type="text/javascript"></script>
		<script src='js/jquery.autocomplete.js' type='text/javascript'></script>
		<script src="js/gsv.js" type="text/javascript"></script>

		<script type="text/javascript">

			var imageHeight;
			var cropScale;

			function submitAndGotoPrevious() {

				$("#advance").val("prev");
				submitForm();
			}

			function submitAndGotoNext() {

				$("#advance").val("next");
				submitForm();
			}

			function submitAndExit() {

				$("#advance").val("exit");
				submitForm();
			}

			function submitForm() {

				prepSelectedTermsForPost();
				document.forms[0].submit();
			}

			function cancelAndExit() {

				$("#advance").val("exit");
				$("#cancel").val("true");
				document.forms[0].submit();
			}

			function toggleQcFailActions(show) {

				var qcFailActions;

				try {

					qcFailActions = document.getElementById('qcFailActions');

				} catch(err) {return;}

				if (qcFailActions != null) {
					if(show === 'true') {

						qcFailActions.style.display = 'block';

					} else {

						qcFailActions.style.display = 'none';

					}
				}
			 }

			$(function() {

				$(".imageViewer").each(function () {

					prepareViewer(this, 'fetch_tile.do?cropId=${form.crop.id}', ${form.crop.tileEdge}, ${form.crop.maxZoomDepth}, ${form.crop.cropWidth},${form.crop.cropHeight}, ${scan.pixelWidthRounded});

				});

				$(".imageViewer > .zoom > .up").click(function(){
	     		   zoomImageUp(this.parentNode.parentNode);
	               adjustScale(this.parentNode.parentNode, ${scan.pixelWidthRounded});
	               return false;

	    		});

				$(".imageViewer > .zoom > .down").click(function(){
	     		   zoomImageDown(this.parentNode.parentNode);
	     		   adjustScale(this.parentNode.parentNode,  ${scan.pixelWidthRounded});
	               return false;

	    		});

				$(".imageViewer > .zoom > .dump").click(function(){
	     		   dumpAllInfo();
	               return false;

	    		});

			});

			function prepSelectedTermsForPost() {
				var index = 0;
				$(".termItem").each( function() {
					var termId            	= $(this).attr("id"	         );
					var termName         	= $(this).attr("termName");
					var ontologyName 		= $(this).attr("ontologyName");
					var inputTermId       	= '<input type="hidden" name="selectedAnnotations[' + index + '].termId"                value="' + termId       + '" />';
					var inputTermName     	= '<input type="hidden" name="selectedAnnotations[' + index + '].termName"              value="' + termName     + '" />';
					var inputOntologyName 	= '<input type="hidden" name="selectedAnnotations[' + index + '].ontologyDict.name" value="' + ontologyName + '" />';

					$("form").append( inputTermId       );
					$("form").append( inputTermName     );
					$("form").append( inputOntologyName );

					index++;
				});
			}

			$(document).ready(function() {

 				toggleQcFailActions('${!empty form.crop.qcPass && !form.crop.qcPass}');

				var MIN_CHARS = 3;
		 		var ac = $("#selectedTerm").autocomplete("ontology_lookup.do", {width:275, maxItemsToShow:20, minChars: MIN_CHARS, onItemSelect : onItemSelect });
         		var ontologyNameSelector = "input[name='ontologyName']";
         		var ontologyNameSelected = ontologyNameSelector + ":checked";
         		var extraParams = { ontologyName : $(ontologyNameSelected).val(), reverseKeyOrder : true  };
				var autocompleter = ac[0].autocompleter;

         		autocompleter.setExtraParams( extraParams );//initialize ontology name and key/val order

				$(ontologyNameSelector).click(function() {

					if ($(ontologyNameSelected).val() ) {

						$("#selectedTerm").val("");
						autocompleter.setExtraParams(  { ontologyName : $(ontologyNameSelected).val(), reverseKeyOrder : true  } );
						autocompleter.flushCache();//clear out stuff from lookup under last ontology name
					}

					$(this).blur();
				});

				$("#MP, #MPATH").bind("click", function(){
					$("#selectedTerm").focus();
				});

				$(".removeTermButton").bind("click", function() {
					$(this).parent().remove();
					return false;
				});

				$(".moreDetailButton").bind("click", function() {
					var termId = $(this).parent().attr("Id");
					var ols = window.open('http://www.ebi.ac.uk/ontology-lookup/?termId=' + termId);
					return false;
				});

				$('#selectedTerm').keypress(function(e) {
					if(e.keyCode == 13) {
						return false;
					}
				});

 			});


			function onItemSelect(listItem) {

				var termName = listItem.selectValue;
				var termId =   listItem.extra[0]; //hidden
				var selectedTerm = $("input[name='ontologyName']:checked");
				var ontologyName = selectedTerm.val();
				var moreDetailID = "more" + termId.replace(":","");

				if( termId && termName && ontologyName ) {

					$("#termList").append("<div class='termItem' termName=\""+termName+"\" ontologyName=\""+ontologyName+"\" id='"+termId+"'><span title='Remove' class='removeTermButton'>-</span><span title='More Term Detail' class='moreDetailButton' id='"+moreDetailID+"'>?</span></a>"+termName+"</div>");

					$(".removeTermButton").bind("click", function() {
						$(this).parent().remove();
						return false;
					});

					$("#"+moreDetailID).bind("click", function() {
						var ols = window.open('http://www.ebi.ac.uk/ontology-lookup/?termId=' + termId);
						return false;
					});

					$("#selectedTerm").val("");
				}
			}

		</script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form" method="post" action="examine_crop_basic.do">
				<c:forEach items="${form.mouseCropIds}" varStatus="status">
					<form:hidden path="mouseCropIds[${status.count - 1}]"/>
				</c:forEach>
				<gui:pageHeader name="Image Regions of Interest - Basic QC &amp; Annotation"/><!-- JSPF EXPECTS MOUSE WITH ALLELE AND COLONY ATTACHED and MOUSEAGE--><c:set var="mouse" value="${scan.slide.block.fixation.necropsy.mouse}"/>
				<table cellpadding="0" cellspacing="0" style="width: 100%">
					<tr style="">
						<td style="padding: 0px; vertical-align: top; padding: 0px 9px 0px 0px; width: 285px;">
							<table style="width: 100%" cellpadding="0" cellspacing="0">
								<tr>
									<td style="padding: 0px;">
										<fieldset class="filterBox" style="padding: 5px; margin: 0px; font-size: 14px; ">
											<table class="scans" style="width: 100%; text-align: left;">
												<tr>
													<td class="scanImage" style="text-align: center; padding: 0px;" valign="top">
														<table style="width: 260px; display: none;" cellpadding="0" cellspacing="0">
															<tr>
																<td style="padding: 0px;">
																	<c:set var="thumbMaxHeight" value="380"/><c:set var="thumbScreenScale" value="1"/><c:set var="thumbHeight" value="${scan.thumbHeight}"/><c:set var="thumbWidth" value="${scan.thumbWidth}"/>
																	<c:if test="${scan.thumbHeight > thumbMaxHeight}">
																		<c:set var="thumbScreenScale" value="${thumbMaxHeight/thumbHeight}"/><c:set var="thumbHeight" value="${thumbMaxHeight}"/><c:set var="thumbWidth" value="${scan.thumbWidth*thumbScreenScale}"/>
																	</c:if>
																	<dl class="scanImage" style="height: ${thumbHeight}px; width: ${thumbWidth}px;">
																		<img src="stream_binary_file.do?id=${scan.thumbnailId}" style="height: ${thumbHeight}px; width: ${thumbWidth}px;">
																		<c:forEach items="${scan.cropJobs}" var="cropJob">
																			<c:forEach items="${cropJob.crops}" var="crop">
																				<c:set var="status" value="notworkedon"/><c:set var="borderOffset" value="0"/>
																				<c:choose>
																					<c:when test="${crop.qcPass == true}">
																						<c:set var="status" value="passed"/>
																					</c:when>
																					<c:when test="${crop.qcPass == false}">
																						<c:set var="status" value="failed"/>
																					</c:when>
																					<c:when test="${crop.qcPass == null}">
																						<c:set var="status" value="notworkedon"/>
																					</c:when>
																				</c:choose>
																				<c:if test="${crop.id == form.crop.id}">
																					<c:set var="borderOffset" value="0"/><c:set var="status" value="${status} workingon"/>
																				</c:if>
																				<dd>
																					<a class="${status}" style="width: ${(crop.cropWidth*scan.thumbWidthScale*thumbScreenScale)-borderOffset}px; height: ${(crop.cropHeight*scan.thumbHeightScale*thumbScreenScale)-borderOffset}px; left: ${crop.x*scan.thumbWidthScale*thumbScreenScale}px; top: ${crop.y*scan.thumbHeightScale*thumbScreenScale}px;" title="Show crop" href="examine_crop_basic.do?cropId=${crop.id}&referencePage=${form.referencePage}"></a>
																				</dd>
																			</c:forEach>
																		</c:forEach>
																	</dl>
																</td>
															</tr>
														</table>
														<table style="width: 100%; border: 2px solid #eee; background: #f4f4f4;">
															<tr>
																<td class="viewLabel top" style="width: 125px; text-align: left; padding: 3px 0px 0px 3px; font-size: 13px; color: #888;">
																	Block ${scan.slide.block.name} Tissue(s)
																</td>
																<td style="vertical-align: top; text-align: left; padding: 0px;">
																	<table cellpadding="0" cellspacing="0">
																		<c:set var="counter" value="1" />
																		<c:forEach items="${scan.slide.block.blockType.tissues}" var="tissue">
																			<tr>
																				<td style="text-align: left; padding-top:3px;">
																					<label for="crop.tissueId${counter}" style="font-weight: normal;">
																						<form:radiobutton path="crop.tissueId" value="${tissue.id}" cssStyle="margin-left: 0px; margin-right: 5px;" />
																						${tissue.name}
																					</label>
																				</td>
																			</tr>
																			<c:set var="counter" value="${counter+1}" />
																		</c:forEach>
																	</table>

																	<input type="hidden" name="cropId" value="${form.crop.id}" />
																</td>
															</tr>
															<c:if test="${scan.slide.stainingTypeDictId == 2}">
																<tr>
																	<td class="viewLabel" style='padding-top:4px; font-size:13px;color:#888;'>
																		LacZ Staining Present?
																	</td>
																	<td class="entryData" style="padding: 0px">
																		<form:radiobutton path="crop.stainingPresent" value="true"/>&nbsp;Yes &nbsp;&nbsp;<form:radiobutton path="crop.stainingPresent" value="false"/>&nbsp;No
																	</td>
																</tr>
															</c:if>

															<tr>
																<td class="viewLabel top" style="padding-right: 0px; padding-top: 15px; text-align: left; font-size: 13px; color: #888;" colspan=2>
																	<table style="width: 100%;" cellpadding=0 cellspacing=0>
																		<tr>
																			<td style="vertical-align: bottom; padding: 0px;">
																				<a href="http://www.ebi.ac.uk/ontology-lookup/init.do" target="_blank">
																					<img height=35 src="images/ols-logo-small.jpg" title="Click here for full ontology term lookup." />
																				</a>
																			</td>
																			<td style="width: 190px; text-align: left;">
																		   		<div style="color: #555; font-size: 13px; padding-bottom: 4px;">Lookup/Add OLS Term:</div>
																			    <label for="MP" title="Mammalian Phenotype">
																			    	<input type="radio" name="ontologyName" checked="checked" id="MP" value="MP" />
																			    	MP
																			    </label>
																			    <label for="MPATH" title="Mouse Pathology">
																			    	<input type="radio" name="ontologyName" id="MPATH" value="MPATH" />
																			    	MPATH
																			    </label>
																			</td>
																		</tr>
																		<tr>
																			<td colspan=2 style="padding: 5px 0px 0px 0px; vertical-align: bottom; white-space: nowrap;">
																				<input id="selectedTerm"></input>
																			</td>
																		</tr>
																	</table>

																	<input type="hidden" id="keyValueSeparator" value="${keyValueSeparator}" />

																	<div id="termList" style="padding-right: 4px;">
																		<c:if test="${!empty form.crop.annotations}">
																			<c:forEach var="annotation" items="${form.crop.annotations}">
																				<div class='termItem' id="${annotation.termId}" termName="${annotation.termName}" ontologyName="${annotation.ontologyDict.name}">
																					<span class="removeTermButton" title="Remove">-</span><span class="moreDetailButton" title="More Term Detail">?</span>${annotation.termName}
																				</div>
																			</c:forEach>
																		</c:if>
																	</div>
																</td>
															</tr>
															<tr>
																<td class="viewLabel top" style="padding-right: 0px; padding-top: 15px; text-align: left; font-size: 13px; color: #888;" colspan=2>
																	Comments:<br /><form:textarea cssStyle="border: 1px solid #AAAAAA; width: 245px; height: 40px;" path="crop.comments"/>
																</td>
															</tr>

															<c:choose>
																<c:when test="${!form.crop.qcLocked}">
																	<tr>
																		<td colspan=2 style="text-align: left; color: #888; white-space: nowrap; padding-top:4px; font-size: 13px; font-weight: bold;">
																			QC&nbsp;
																			<label for="crop.qcPass1">
																				<form:radiobutton path="crop.qcPass" value="true" onclick="toggleQcFailActions('false');"/>Pass
																			</label>
																			<label for="crop.qcPass2">
																				<form:radiobutton path="crop.qcPass" value="false" onclick="toggleQcFailActions('true');"/>Fail
																			</label>
																		</td>
																	</tr>
																	<tr>
																		<td style="text-align: left; font-size:11px; padding-top:6px;" colspan=2>
																			<div id="qcFailActions">
																				<u>
																					QC Fail Actions
																				</u>
																				<br>
																				<c:set var="counter" value="1" />
																				<c:forEach var="choice" items="${qcFailActions}">
																					<label for="qcFailAction${counter}" title="${choice.description}">
																						<form:radiobutton path="qcFailAction" value="${choice.enumString}"/>&nbsp;${choice.label}
																					</label>
																					<br/>
																					<c:set var="counter" value="${counter + 1}" />
																				</c:forEach>
																			</div>
																		</td>
																	</tr>
																</c:when>
																<c:otherwise>
																	<tr>
																		<td colspan=2 style="text-align: left; color: red; white-space: nowrap; padding-top: 4px; font-size: 13px; font-weight: bold;">
																			QC Locked
																		</td>
																	</tr>
																</c:otherwise>
															</c:choose>
														</table>
														<table style="text-align: center; width: 100%;" cellspacing="0" cellpadding="0">
															<tr>
																<td style="color: blue; padding-top: 10px;">
																	${form.currentCropIndex + 1}
																	of ${form.totalMouseCrops}
																	Image Regions for this Mouse
																</td>
															</tr>
															<tr>
																<td style="width: 100%; vertical-align: top; text-align: center; white-space: nowrap; padding: 0px 0px 3px 0px;">
																	<c:set var="disableNext" value=""/><c:set var="disablePrev" value=""/>
																	<c:set var="classNext" value="smallButton"/><c:set var="classPrev" value="smallButton"/>
																	<c:if test="${form.previousId == form.crop.id}">
																		<c:set var="disablePrev" value="disabled='disabled'"/>
																		<c:set var="classPrev" value="smallButtonDisabled"/>
																	</c:if>
																	<c:if test="${form.nextId == form.crop.id}">
																		<c:set var="disableNext" value="disabled='disabled'"/>
																		<c:set var="classNext" value="smallButtonDisabled"/>
																	</c:if><form:hidden path="advance"/><form:hidden path="referencePage"/>
																	<input type="hidden" name="cancel" id="cancel" class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';"/>
																	<input onclick="submitAndGotoPrevious();" type="button" ${disablePrev} title="Save and go to previous Scan Region" style="width: 131px; margin: 4px 5px 4px 0px;" class='${classPrev}' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" id="prev" value="<< Save & Previous"/>
																	<input onclick="submitAndGotoNext();" type="button" ${disableNext} title="Save and go to Next Scan Region" style="width: 131px; margin: 4px 0px;" class='${classNext}' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" id="next" value=" Save & Next >> "/>
																</td>
															</tr>
															<tr>
																<td style="width: 100%; vertical-align: top; text-align: center; white-space: nowrap; padding: 0px;">
																	<input onclick="submitAndExit();" type="button" style="width: 101px; margin: 0px;" class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" id="saveExit" value="Save & Exit"/>
																	<input type="reset" style="width: 54px; margin: 0px 4px;" class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" value="Reset"/>
																	<input onclick="cancelAndExit();" type="button" style="width: 101px; margin: 0px;" class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" id="cancelbutton" value="Exit w/out Save"/>
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</fieldset>
										<br/>
										<table class="migBoxInner" cellpadding="0" cellspacing="0">
											<tr>
												<td style="padding: 6px;">
													<table cellpadding=0 cellspacing=0>
														<tr>
															<td class="mouseDetail">
																Mouse:
															</td>
															<td class="mouseDetailData">
																<a href="view_one_mouse.do?id=${mouse.id}">${mouse.barcode}</a>
															</td>
														</tr>
														<tr>
															<td class="mouseDetail">
																Genotype:
															</td>
															<td class="mouseDetailData">
																<gui:mouseGenotype mouse="${mouse}"/>
															</td>
														</tr>
														<tr>
															<td class="mouseDetail">
																Colony:
															</td>
															<td class="mouseDetailData">
																<c:choose>
																	<c:when test="${empty mouse.colonyInfo.colonyName}">
																		(none)
																	</c:when>
																	<c:otherwise>
																		<a href="view_one_colony_info.do?id=${mouse.colonyInfoId}">${mouse.colonyInfo.colonyName}</a>
																	</c:otherwise>
																</c:choose>
															</td>
														</tr>
														<tr>
															<td class="mouseDetail">
																Age:
															</td>
															<td class="mouseDetailData">
																${mouseAge}
															</td>
														</tr>
														<tr>
															<td class="mouseDetail">
																Gender:
															</td>
															<td class="mouseDetailData">
																${mouse.gender.name}
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</td>
								</tr>

							</table>
						</td>
						<td style="padding: 0px; vertical-align: top;">
							<table cellpadding="0" cellspacing="0" style="width: 100%;">
								<tr>
									<td style="padding: 0px; vertical-align: top;">
										<fieldset class="filterBox" style="margin: 0px; height: 740px;">
											<table width="100%">
												<tr>
													<td valign="top" style="padding: 0px;">
														<table cellpadding="0" cellspacing="0" style="margin: 0px 0px 10px 0px; padding: 0px; width: 60%; text-align: ${align}">
															<tr>
																<td class="scanLabel" style='${bg}color:#888; white-space: nowrap; vertical-align: top;'>
																	Region&nbsp;WxH:
																</td>
																<td class="scanData" vAlign="top" style='${bg}vertical-align: top; white-space: nowrap;'>
																	<fmt:formatNumber var="micronWidth" maxFractionDigits="0" value="${form.crop.cropWidth * scan.pixelWidth}"/><fmt:formatNumber var="micronHeight" maxFractionDigits="0" value="${form.crop.cropHeight * scan.pixelHeight}"/>${micronWidth}
																	x ${micronHeight} &micro;
																</td>
																<td class="scanLabel" vAlign=top style="${bg}color:#888; vertical-align: top; white-space: nowrap;">
																	Staining:
																</td>
																<td class="scanData" vAlign=top style="${bg}vertical-align: top; white-space: nowrap;">
																	${scan.slide.stainingTypeDict.displayText}
																</td>
																<td class="scanLabel" vAlign=top style="${bg}vertical-align :top; color: #888; white-space: nowrap;">
																	Parent Scan:
																</td>
																<td class="scanData" vAlign=top style="${bg}vertical-align:top;white-space:nowrap;">
																	#${scan.versionNumber} of Slide ${scan.slide.barcode}
																</td>
															</tr>
														</table>

														<div style="font-size: 11px; vertical-align: center; text-align: center;">

															<div class="imageViewer">
																<div class="well">
																</div>
																<div class="surface">
																</div>
																<p class="zoom">
																	<a class="up" id="up" href="#">+</a>
																	<a class="down" id="down" href="#">-</a>
																	<!--  <a class="dump" href="#">?</a>-->
																</p>
																<div id="scale">
																</div>
																<div id="labels">

																</div>
															</div>
															<c:set var="align" value="left"/>
														</div>
													</td>
												</tr>
											</table>
										</fieldset>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</form:form>
			<div id="debug">
			</div>
		</gui:page>
	</body>
</html>
