<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="jstl/fmt" prefix="fmt" %>
<%@ taglib uri="AccessControl.tld" prefix="control" %>
<%@ taglib uri="spring/form" prefix="form" %>
<gui:docType/>
<html>
	<head>
		<title>Histology Regions of Interest</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript">

			function lookupListPostProcessing(){

			    setNewQuery('true');
			    submitForm();
			}

			function clearFilters(){

				$(".filterData input").val("");
				$(".filterData select").val("");
			}

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Histology Regions of Interest"/>
			<form:form commandName="searchBean" action="crop_search.do">
				<gui:filterBox>
					<table>
						<tr>
							<td class="filterLabel">
								QC Status
							</td>
							<td class="filterData">
								<form:select path="qcSearchCategory" onchange="setNewQuery('true');submitForm();">
									<option value="">All</option>
									<form:options items="${qcStatusOptions}" itemValue="enumString" itemLabel="label"/>
								</form:select>
							</td>
							<td class="filterLabel">
								Allele
							</td>
							<td class="filterData" onclick="openLookupList('lookup_allele.do', 'primaryName=geneName,officialNameSuperscript=alleleName');">
								<form:input path="geneName" readonly="true" cssStyle="width: 150px;" cssClass="popup"  />
								<sup>
									<form:input path="alleleName" readonly="true" cssStyle="width: 160px;" cssClass="popup" />
								</sup><img src="images/lookup.gif" style="cursor: pointer;"/>
								<form:hidden id="alleleId" path="alleleId"/>
							</td>
							<td class="filterLabel">
								Genotype
							</td>
							<td class="filterData">
								<form:select path="genotypeDictId" onchange="setNewQuery('true');submitForm();">
									<option value="">All</option>
									<form:options items="${genotypeOptions}" itemValue="id" itemLabel="name"/>
								</form:select>
							</td>
							<td class="filterLabel">
								Gender
							</td>
							<td class="filterData">
								<form:select path="genderDictId" onchange="setNewQuery('true');submitForm();">
									<option value="">All</option>
									<form:options items="${genderOptions}" itemValue="id" itemLabel="name"/>
								</form:select>
							</td>
							<td class="filterLabel">
								Mouse Barcode
							</td>
							<td class="filterData">
								<form:input path="mouseBarcode" cssStyle="width:120px;"/>
							</td>
						</tr>
					</table>
					<table border=0>
						<tr>
							<td class="filterLabel">
								Block Type
							</td>
							<td class="filterData">
								<form:select path="sourceBlockId" onchange="setNewQuery('true');submitForm();">
									<option value="">All</option>
									<form:options items="${blockOptions}" itemValue="id" itemLabel="description"/>
								</form:select>
							</td>
							<td class="filterLabel">
								Slide Barcode
							</td>
							<td class="filterData">
								<form:input path="slideBarcode" cssStyle="width:120px;" />
							</td>
							<td class="filterLabel">
								Pipeline
							</td>
							<td class="filterData">
								<form:input path="pipeline"/>
							</td>

							<td class="filterLabel">
								Annotations
							</td>
							<td class="filterData">
								<form:input path="annotations" cssStyle="width: 200px;" />
							</td>

						</tr>
						<tr>
							<td colspan=8 class="filterLabel">
								Comments

								<form:input path="comments" cssStyle="width: 200px;" />
							</td>
						</tr>
					</table>
				</gui:filterBox>

				<div class="submitButtons" style="margin-bottom: 10px">
					<input type="button" value="Submit" onclick="setNewQuery('true');submitForm();"/>
					<input type="button" value="Clear" onclick="clearFilters();"/>
				</div>

				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td colspan=2>
							<div class="listPaginated">
								<gui:paginate bean="${searchBean}"/>
								<c:if test="${!empty records}">
								<table class="listPaginated">
									<thead class="listPaginatedHeader">
										<tr>
											<th>
												Region
												<br/>
												of Interest
											</th>
											<th>
												<gui:paginate-order-by orderBy="qc_Pass" bean="${searchBean}">
													QC Status<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="ALLELE_NAME" bean="${searchBean}">
													Allele<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="GENOTYPE_NAME" bean="${searchBean}">
													Genotype<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="GENDER" bean="${searchBean}">
													Gender<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="MOUSE_BARCODE" bean="${searchBean}">
													Mouse<br>
												</gui:paginate-order-by>
											</th>
											<th style='width:100px;'>
												<gui:paginate-order-by orderBy="source_block_description" bean="${searchBean}">
													Block Type<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="tissue_Name" bean="${searchBean}">
													Tissue<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="staining" bean="${searchBean}">
													Staining<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="slide_barcode" bean="${searchBean}">
													Slide<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="pipeline" bean="${searchBean}">
													Cohort
													<br>
													Pipeline(s)<br>
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="annotations" bean="${searchBean}">
													Anotations
												</gui:paginate-order-by>
											</th>
											<th>
												<gui:paginate-order-by orderBy="comments" bean="${searchBean}">
													Comments
												</gui:paginate-order-by>
											</th>
										</tr>
									</thead>
									<c:forEach items="${records}" var="record">
										<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}"/>
										<tr class="${rowClass}">
											<td style="">
												<c:set var="cropWidth" value="${record.width}"/><c:set var="cropHeight" value="${record.height}"/><c:set var="cropsMaxWidth" value="100"/><c:set var="cropsMaxHeight" value="100"/><c:set var="cropScale" value="${cropWidth/cropsMaxWidth > cropHeight/cropsMaxHeight ? cropWidth/cropsMaxWidth : cropHeight/cropsMaxHeight}"/><c:set var="cropHeight" value="${cropHeight/cropScale}"/><c:set var="cropWidth" value="${cropWidth/cropScale}"/>
												<c:choose>
													<c:when test="${!empty record.resizedImagePath}">
														<a title="QC/Annotate Region" href="examine_crop_basic.do?cropId=${record.id}&referencePage=${referencePage}"><img src="fetch_resized_crop.do?id=${record.id}" style="height: ${cropHeight}px; width: ${cropWidth}px; border:1px blue solid;"/></a>
													</c:when>
													<c:otherwise>
														<div style="padding:4px;border:1px #aaa solid; color:#aaa;padding-top:4px;font-weight:bold;font-size:11px;text-align:center; width:${cropWidth};height:${cropHeight};background:#f5f5f5;">
															Image Awaiting Extraction
														</div>
													</c:otherwise>
												</c:choose>
											</td>
											<td>
												${record.qcStatus}
											</td>
											<td>


												<c:if test="${!empty record.geneName}">
												  ${record.geneName}&lt;${record.alleleName}&gt;
												</c:if>

											</td>
											<td>
												${record.genotypeName}
											</td>
											<td>
												${record.gender}
											</td>
											<td>
												${record.mouseBarcode}
												<br>
												<a style='font-size:10px; font-weight:plain;' title="View Mouse Histology Work Report" href="mouse_work_report.do?mouseId=${record.mouseId}">Work Report</a>
											</td>
											<td>
												${record.sourceBlockDescription}
											</td>
											<td>
												${record.tissueName}
											</td>
											<td>
												${record.staining}
											</td>
											<td>
												${record.slideBarcode}
											</td>
											<td>
												${record.pipeline}
											</td>
											<td>
												${record.annotations}
											</td>
											<td>
												${record.comments}
											</td>
										</tr>
									</c:forEach>
								</table>
								<gui:paginate-navigation-bar bean="${searchBean}"/>
								</c:if>
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>