<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
	    <title>List Histology Batches</title>
	    <link type="text/css" href="css/migMain.css" rel="stylesheet">
	    <link type="text/css" href="css/thickbox.css" rel="stylesheet">
	    <link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
	    <script type="text/javascript" src="js/jquery.js"></script>
	    <script type="text/javascript" src="js/jquery-calendar.js"></script>
	    <script type="text/javascript" src="js/lookupList.js"></script>
	    <script type="text/javascript" src="js/thickbox.js"></script>
	    <script type="text/javascript" src="js/listViewUtils.js"></script>
	
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="List Histology Batches" />
			<form:form commandName="searchBean" action="list_histology_batch.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<%-- Same underlying logic as list_cohorts - can use any of its options --%>
			<gui:filterBox>
				<table class="filterBox">
					<tr>
						<td>
							<label for="mouseIdentifier" class="entryLabel">Mouse</label>
						</td>
						<td>
							<form:input path="mouseIdentifier"/>
						</td>
						<td>
							<label for="creatorName" class="entryLabel">Creator</label>
						</td>
						<td>
							<gui:formPopup path="creatorName" cssClass="person"	onclick="openLookupList('lookup_person.do','personName=creatorName,personId=creatorId');" />
							<form:hidden path="creatorId" />
						</td>
						<td>
							<label for="filterPeriodStart" class="entryLabel">Necropsy Date from</label>
						</td>
						<td>
							<form:input cssClass="date" path="filterPeriodStart" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="filterPeriodStart" datePicker="true" timePicker="false" autoPopUp="both" />
						</td>
						<td>
							<label for="filterPeriodEnd" class="entryLabel">Necropsy Date to</label>
						</td>
						<td>
							<form:input cssClass="date" path="filterPeriodEnd" onblur="validateDateTime(this, true, false);"/>
							<gui:dateTimePicker path="filterPeriodEnd" datePicker="true" timePicker="false" autoPopUp="both" />
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" onclick="setNewQuery('true'); setPaginated('true');" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear" title="Clear search fields" onclick="location.href='list_histology_batch.do?bypassForm=true&orderBy=end_date&orderDesc=true&newQuery=true';" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
			<div class="listPaginated" style="margin-top: 10px;">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty cohorts}">
				<table class="listPaginated" id="guiTableNameRequestDetails" style="border: 1px solid #777;">
					<thead class="listPaginatedHeader">
						<tr>
							<th align="center">
								Options
							</th>
							<th>
								<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
								ID
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="total_mice" bean="${searchBean}">
								# Mice
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="creator_name" bean="${searchBean}">
								Creator
								</gui:paginate-order-by>
							</th>
							<th>
								<gui:paginate-order-by orderBy="end_date" bean="${searchBean}">
								Necropsy Date
								</gui:paginate-order-by>
							</th>
						</tr>
					</thead>

					<c:forEach items="${cohorts}" var="cohort">
						<gui:toggle-row-class />
						<tr valign="top" class="${rowClass}">
							<td width="120px" align="center">
								<gui:link-button style="width: 45px" href="histology_batch_work.do?id=${cohort.id}" text="work" />
								&nbsp;
								<gui:link-button style="width: 60px" href="manage_histology_batch.do?id=${cohort.id}" text="manage" />
							</td>
							<td>
								${cohort.id}
							</td>
							<td>
							  ${cohort.totalMice}
							</td>
							<td>
							  ${cohort.creatorName}
							</td>
							<td>
								<fmt:formatDate value="${cohort.endDate}" pattern="dd-MMM-yyyy" />
							</td>
						</tr>
					</c:forEach>
				</table>
				<gui:paginate-navigation-bar bean="${searchBean}" />
			    </c:if>
			</div>
    		</form:form>
    	</gui:page>
	</body>
</html>
