<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>

<html>
	<head>
		<title>Mouse Histology Work Report</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body>

		<gui:page migFooter="true">

			<gui:pageHeader name="Histology Work Report">

			<span style="font-size:13px;color:#aaa;">
			<a href="show_crop_job_page.do">Select Scan Regions</a>
			|
		 	<a href="rework_slides.do">Re-Work Slides<a/>
			</span>

			</gui:pageHeader>

			<!-- JSPF EXPECTS MOUSE WITH ALLELE AND COLONY ATTACHED and MOUSEAGE-->
			<c:set var="mouse" value="${mouse}" />
			<c:set var="mouseAge" value="${mouseAge}" />
			<%@ include file="histology_mouse_header.jspf"%>

			<!-- CHECK FOR HISTOLOGY WORK -->

			<c:set var="necropsy" value="${mouse.experimentData.necropsy}" />

			<c:choose>

				<c:when test="${empty necropsy}">

					<div style='font-family:arial;font-weight:bold; font-size:20px;color:#990000;text-align:center;padding:20px;'>

						No histology work has been performed on this mouse.<br>
						Necropsy not found.

					</div>

				</c:when>

				<c:otherwise>

				  <fieldset style="margin:10px 0px 14px 0px; padding:0px 0px 4px 0px;">
					<legend style="font-weight:bold;color:#777;font-size:17px;padding:0px 4px 0px 4px;">
					Necropsy</legend>


						<table border=0 class="migBoxInner" style="border:0;">

							<tr>
								<td class="viewLabel top" style="color:#777">
									Reason:
								</td>
								<td class="viewData top" >
									${necropsy.reasonDict.name}
								</td>

								<td colspan=1 class="viewLabel top" style="color:#777">
									Abnormalities:
								</td>
								<td colspan=1 class="viewData top" style="padding: 0px">

									<!-- CHECK IF ANY ABNORMAL TISSUES -->

									<c:choose>

									<c:when test="${empty necropsy.necropsyTissues}">
										<div style="padding: 4px 4px 0px 0px;">
										No abnormal tissues.
										</div>
									</c:when>

									<c:otherwise>

										<table cellpadding="0" cellspacing="0">
											<c:forEach items="${necropsy.necropsyTissues}"	var="necropsyTissue">
												<tr>
													<td class="viewData top" style="padding: 4px 4px 0px 0px;">
														${necropsyTissue.tissue.name}:
													</td>
													<td class="viewData top" style="padding: 4px 4px 0px 0px;">
														${necropsyTissue.comments}
													</td>
												</tr>
											</c:forEach>
										</table>

									</c:otherwise>

									</c:choose>

								</td>

							<td colspan=1 class="viewLabel top" style="color:#777">
								 Comments:
							</td>

							<td colspan=1 class="viewData top">
								 <c:choose>
								 	<c:when test="${empty necropsy.comments}">(none entered)</c:when>
								 	<c:otherwise>${necropsy.comments}</c:otherwise>
								 </c:choose>
							</td>

							</tr>

							<tr>

								<td class="viewLabel top" style="color:#777">
									Technician:
								</td>
								<td class="viewData top" >
									${necropsy.technician.fullName}
								</td>
								<td class="viewLabel top" style="color:#777">
									PIL:
								</td>
								<td width=25% class="viewData top" >
									${necropsy.technician.personalLicence.licenceNumber}
								</td>
								<td class="viewLabel top" style="color:#777">
									Date:
								</td>
								<td class="viewData top" >
									${necropsy.createdDate}
								</td>

							</tr>

						</table>
				   </fieldset>

					<!-- CHECK FOR BLOCKS -->

					<c:set var="blocks" value="${necropsy.fixation.blocks}" />

						<c:choose>
							<c:when test="${empty blocks}">

								<div style='font-family:arial;font-weight:bold; font-size:20px;color:#777;text-align:center;padding:20px;'>

									No Blocks are available for this mouse.

								</div>

							</c:when>
							<c:otherwise>

							<c:set var="fixation" value="${necropsy.fixation}" />

							<fieldset width=100% >

								<legend style="font-weight:bold;color:#777; font-size:17px;padding:0px 4px 0px 4px;">

									${fixation.blockCount} Blocks / ${fixation.slideCount} Slides
								</legend>

								<table border=0 class="listNonPaginated" style="border:0;" cellpadding=0 cellspacing=0>
								<tr>

									<th colspan=6>&nbsp;</th>
									<th colspan=2 style="padding-bottom:16px;padding-right:20px;text-align:right;font-weight:normal;font-size:12px;">

									<table cellpadding=0 cellspacing=0>
									<tr>
									<td style='font-size:13px;font-weight:bold;padding-right:12px;'>
										Progress Legend:
									</td>

									<td class='passedHistWork' style="width:18px; height:20px;">
									&nbsp;
									</td>

									<td style="padding-right:12px;">
										Success
									</td>

									<td class='failedHistWork' style="width:18px; height:20px;">
									&nbsp;
									</td>
									<td style="padding-right:12px;">
										Failure
									</td>

										<td class='mixedHistWork' style="width:18px; height:20px;">
									&nbsp;
									</td>
									<td style="padding-right:12px;">
										Mixed
									</td>


									</tr>
									</table>


									</th>

								</tr>


								<tr>
									 <th colspan="4" style="padding:4px;padding-top:0px;text-align:left;color:#888;">

				 							&nbsp;
									 </th>

										<th style="width:170px;font-size:14px; padding:4px;padding-top:0px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">
										Scans
										<span style="color:#000;;font-size:12px;color:#777;">(Tot. ${fixation.scanCount})</span>
										</th>
										<th  style="width:170px;font-size:14px;padding:4px;padding-top:0px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">Scan QC</th>
										<th style="width:170px;font-size:14px;padding:4px;padding-top:0px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">
										Regions
										<span style="color:#000;;font-size:12px;color:#777;">(Tot. ${fixation.cropCount})</span>
										</th>
										<th  style="width:170px;font-size:14px;padding:4px;padding-top:0px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">Region QC</th>

									</tr>





								<c:forEach var="block" items="${blocks}">

									<tr>
										<th colspan="4" class="listNonPaginatedHeader" style="padding:4px;color:#555;font-size:13px;">

											<c:if test="${!empty block.slides}">
										 		<a href="view_slides_by_block.do?blockId=${block.id}" title="View Slides by Block">
										 		<img border=1 src="images/lookup.gif"></a>
										 	</c:if>

										     Block ${block}
										</th>

										<th class="listNonPaginatedHeader" style="padding:4px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">&nbsp;</th>
										<th class="listNonPaginatedHeader" style="padding:4px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">&nbsp;</th>
										<th class="listNonPaginatedHeader" style="padding:4px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">&nbsp;</th>
										<th class="listNonPaginatedHeader" style="padding:4px;border-left: dotted 1px b0b0b0;text-align:center;color:#990000;">&nbsp;</th>


									<c:choose>
							   		<c:when test="${empty block.slides}">

									    <tr>
										<td colspan=7>
											<div style='font-family:arial;font-weight:bold; font-size:14px;color:#777;text-align:center;padding:2px;'>

												No Slides are available for this Block.

											</div>
											</td>
										 </tr>
									</c:when>
									<c:otherwise>

										<c:forEach var="slide" items="${block.slides}">

											<c:choose>
												<c:when test="${slide.statusDictId == 3}">

													<c:set var="slideStatus" value="QC Failed" />

													<c:set var="flaggedForRecreateQcFailColor" value="red" />

												</c:when>
												<c:otherwise>

													<c:set var="flaggedForRecreateQcFailColor" value="black" />
													<c:set var="slideStatus" value="--" />

												</c:otherwise>

											</c:choose>

											<tr style="color:${flaggedForRecreateQcFailColor}; ">

												<td style="border-top:solid 1px #ccc;">${slide}</td>

												<td style="border-top:solid 1px #ccc;">${slideStatus}</td>
												<td style="border-top:solid 1px #ccc;">sectioned ${slide.createdDate}</td>
												<td style="border-top:solid 1px #ccc;">${slide.creator.fullName}</td>


												<!-- CHECK IF SCANNED -->

												<c:set var="scanCount"     value="${slide.scanCount}" />

												<c:choose>

													<c:when test="${scanCount == 0}">

														<td style="border-top:solid 1px #ccc; width:150px; color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
														  &nbsp;
														</td>
														<td style=" border-top:solid 1px #ccc;width:150px;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
														  &nbsp;
														</td>

														<td style="border-top:solid 1px #ccc; width:150px;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
														  &nbsp;
														</td>

														<td style="border-top:solid 1px #ccc; width:150px;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
														  &nbsp;
														</td>

													</c:when>
													<c:otherwise>



														<td class="passedHistWork" style="padding:0px;padding-top:3px;border-top:solid 1px #ccc; text-align:center; border-left: dotted 1px b0b0b0;">

															<a title="View Scans" href="view_scans_by_slide.do?slideId=${slide.id}&supressCrops=true">
															<img border=1 src="images/lookup.gif" width=15>
															${scanCount}
															</a>
														</td>

														<!-- CHECK SCAN QC -->
														<c:set var="scansQcPassCount"     value="${slide.scansQcPassCount}" />
														<c:set var="scansQcFailCount"     value="${slide.scansQcFailCount}" />
														<c:set var="scansAwaitingQcCount" value="${scanCount - scansQcPassCount - scansQcFailCount}" />

														<c:choose>

															<c:when test="${scanCount == scansAwaitingQcCount}">

																<td style="border-top:solid 1px #ccc;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
																  &nbsp;
																</td>

																<td style="border-top:solid 1px #ccc;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
																  &nbsp;
																</td>

																<td style="border-top:solid 1px #ccc;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
																  &nbsp;
																</td>

															</c:when>
															<c:otherwise>



																	<c:choose>

																		<c:when test="${scanCount > 0 && scanCount == scansQcPassCount}">
																			<td class="passedHistWork" style="border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">

																				${scanCount} pass

																			</td>
																		</c:when>

																		<c:when test="${scanCount > 0 && scanCount == scansQcFailCount}">
																			<td  class="failedHistWork" style="color:black;border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">

																				${scanCount} fail

																			</td>
																		</c:when>

																		<c:otherwise>

																			<td class="mixedHistWork" style="border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">

																			${scansQcPassCount} pass,
																			${scansQcFailCount} fail,
																			${scansAwaitingQcCount} await

																			</td>

																		</c:otherwise>

																	</c:choose>


																	<!-- CHECK IF CROPS EXIST-->

																	<c:set var="cropCount"     value="${slide.cropCount}" />

																	<c:choose>

																		<c:when test="${cropCount == 0}">

																			<td style="border-top:solid 1px #ccc;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
																			  &nbsp;
																			</td>

																			<td style="border-top:solid 1px #ccc;color:white;background:#f5f5f5;text-align:center;border-left: dotted 1px b0b0b0;">
																			  &nbsp;
																			</td>

																		</c:when>
																		<c:otherwise>

																			<td class="passedHistWork" style="padding:0px;padding-top:3px;border-top:solid 1px #ccc; text-align:center; border-left: dotted 1px b0b0b0;">

																				<a title="View Scans" href="view_scans_by_slide.do?slideId=${slide.id}">

																				<img border=1 src="images/lookup.gif" width=15>
																				${cropCount}
																				</a>

																			</td>



																			<!-- CHECK IF CROPS QC-ed-->

																			<c:set var="cropsQcFailCount"	  value="${slide.cropsQcFailCount}" />
																			<c:set var="cropsQcPassCount" 	  value="${slide.cropsQcPassCount}" />
																			<c:set var="cropsAwaitingQcCount" value="${cropCount - cropsQcPassCount - cropsQcFailCount}" />

																			<c:choose>

																				<c:when
																					test="${cropCount > 0 && cropCount == cropsQcPassCount}">
																					<td class="passedHistWork"
																						style="border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">
																					${cropCount} pass</td>
																				</c:when>

																				<c:when
																					test="${cropCount > 0 && cropCount == cropsQcFailCount}">
																					<td class="failedHistWork"
																						style="border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">
																					${cropCount} fail</td>
																				</c:when>

																				<c:otherwise>
																					<td class="mixedHistWork"
																						style="border-top:solid 1px #ccc;text-align:center; border-left: dotted 1px b0b0b0;">
																					${cropsQcPassCount} pass, ${cropsQcFailCount} fail,
																					${cropsAwaitingQcCount} await</td>
																				</c:otherwise>

																			</c:choose>






																	</c:otherwise>

																	</c:choose>


															</c:otherwise>

														</c:choose>


													</c:otherwise>

												</c:choose>

											</tr>
										</c:forEach>


								</c:otherwise>
								</c:choose>



								</c:forEach>

								</table>
							</fieldset>
							</c:otherwise>
						</c:choose>


				</c:otherwise>
			</c:choose>


		</gui:page>
	</body>
</html>
