<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Slide Label Printing" />
			<form:form commandName="form" method="POST"	action="print_histology_slides.do">
				<form:hidden path="formChanged" />
				<%--<form:hidden path="stainSelected" /> --%>
				<c:if test="${!empty form.printingMessage}">
				<table>
					<tr>
						<td class="formError">
							${form.printingMessage}
						</td>
					</tr>
				</table>
				</c:if>
				<gui:mig-box label="Scan the Mouse Barcode or Enter Mouse/Slide/Block Name">
					<table class="migBoxInner">
						<tr>
							<td width="220px" class="entryLabel">
								<label for="barcode" class="entryLabel">
									Block/Slide/Mouse <span class='formError'>*</span>
								</label>
							</td>
							<td class="entryData" width="180px">
								<form:input path="barcode" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="5"	onblur="setOnFormChange()" />
							</td>
							<td class="formError">
								<c:out value="${form.errorMessage}" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<c:if test="${!empty form.slideSelection && empty form.errorMessage}">
					<%@ include file="necropsy_report_header.jspf"%>
          
					<gui:mig-box label="Slide Printing Selection">
						<table id="slides" class="migBoxInner slidePrinting">
              <tr>
                <td align="right">
                  <label for="masterSwitch" style="font-weight: bold">Select/Deselect All</label>
                  <input type="checkbox" id="masterSwitch" checked="checked" onClick="slideCheckManipulator(this)"/>
                </td>
              </tr>
							<c:forEach items="${form.groupedCheckBoxes}" var="entry">
								<c:set var="cassetteType" value="${entry.key}" />
								<c:set var="checkboxesByBlock" value="${entry.value}" />
								<c:set var="cassCss" value="cassetteType_${cassetteType.id}" />
								<c:set var="tissueCss" value="tissueTypeHeader_${cassetteType.id}" />
								<tr>
									<td>
										<table width="100%" class="${cassCss}" cellpadding="0" cellspacing="0">
											<thead>
												<tr>
													<td class="${tissueCss}">
														<c:out value="${cassetteType.name}" />
													</td>
													<td class="tissueBlockSelect">
														Block No.
													</td>
													<td class="tissueBlockTissue">
														Tissues
													</td>
													<c:forEach items="${form.stains}" var="stain">
														<td class="stainHeader">
															<c:set var="stainManipulator" value="${cassCss}_s${stain.id}" />
															<input type="checkbox" id="${stainManipulator}"	class="masterSwitch" onclick="slideCheckManipulator(this)" />
															<c:out value="${stain.name}" />
														</td>
													</c:forEach>
												</tr>
											</thead>
											<tbody>
												<gui:toggle-row-reset />
												<c:forEach items="${checkboxesByBlock}" var="blockEntry">
													<c:set var="block" value="${blockEntry.key}" />
													<c:set var="checkboxes" value="${blockEntry.value}" />
													<gui:toggle-row-class />
													<tr class="${rowClass}">
														<td class="${tissueCss}"></td>
														<td class="tissueBlockSelect">
															<c:out value="${block.blockType.name}" />
														</td>
														<td class="tissueBlockTissue">
															<c:forEach var="tissue"	items="${block.blockType.tissues}" varStatus="loopStat">
																<c:out value="${tissue.name}" /><c:if test="${!loopStat.last}">, </c:if>
															</c:forEach>
															${block.comments}
														</td>
														<c:forEach items="${checkboxes}" var="slideCheckBox">
															<c:set var="rootPath" value="slideSelection[${slideCheckBox.indexInList}]" />
															<td class="stainHeader">
																<c:set var="stainManipulatorTarget"	value="masterSwitch ${cassCss}_s${slideCheckBox.stainId}" />
																<form:checkbox path="${rootPath}.checked"
																	cssClass="${stainManipulatorTarget}" />
																${slideCheckBox.displayText}
																<form:hidden path="${rootPath}.stainId" />
																<form:hidden path="${rootPath}.blockId" />
															</td>
														</c:forEach>
													</tr>
												</c:forEach>
											</tbody>
										</table>
									</td>
								</tr>
							</c:forEach>
						</table>
					</gui:mig-box>
					<div class="submitButtons">
						<input type="submit" name="print" value="Print Slide Labels" style="width: 150px; font-weight: bold;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" >
						<input type="reset" name="reset" style="width:150px; font-weight: bold;" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" >
					</div>
				</c:if>
			</form:form>
		</gui:page>
	</body>
	<script src="js/jquery.js"></script>
	<script type="text/javascript">
	function setOnFormChange() {
		var formChanged = document.getElementById('formChanged');
		formChanged.value = 'true';
		document.forms[0].submit();
    }
    
    function slideCheckManipulator(checkBox){
		var targetClass = checkBox.id;
		$("."+targetClass).attr("checked", checkBox.checked);          
	}
	</script>
</html>
