<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Print Labels & Worksheets</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	</head>

	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
		<gui:pageHeader name="Print Labels & Worksheets" />
		<br />
		<c:choose>
			<c:when test="${!empty cohort.mice}">
				<gui:mig-box>
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>
									Options
								</th>
								<th>
									Mouse Barcode
								</th>
								<th>
									Ear Mark
								</th>
								<th>
									Gender
								</th>
								<th>
									Age
								</th>
								<th>
									Colony
								</th>
							</tr>
						</thead>

						<c:forEach items="${cohort.mice}" var="mouse">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>
									<gui:link-button text="view"
										href="view_one_mouse.do?id=${mouse.id}" />
									<gui:link-button text="Label"
										onclick="printLabels('FAIL','-1')" />
									<gui:link-button text="Worksheet"
										onclick="printLabels('FAIL','-1')" />
								</td>
								<td>
									${mouse.barcode}
								</td>
								<td>
									${mouse.earmark.name}
								</td>
								<td>
									${mouse.gender.name}
								</td>
								<td>
									${mouse.ageString}
								</td>
								<td>
									<c:if test="${!empty mouse.colonyInfo}">
                    ${mouse.colonyInfo.colonyName} (${mouse.colonyInfo.colonyPrefix})
                  </c:if>
								</td>
							</tr>
						</c:forEach>
					</table>
				</gui:mig-box>

				<center>
					<gui:link-button text="Print All Pot Labels"
						onclick="printLabels('FAIL','-1')" />
					<gui:link-button text="Print All Necropsy Worksheets"
						onclick="printLabels('FAIL','-1')" />
				</center>
			</c:when>
			<c:otherwise>
				<h2>
					No mice in batch
				</h2>
			</c:otherwise>
		</c:choose>
		</gui:page>
	</body>
</html>


