<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<style type="text/css"> label{ font-weight: bold;} </style>
		<script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript">

			function setOnFormChange() {
				var formChanged = document.getElementById('formChanged');
				formChanged.value = 'true';
				document.forms[0].submit();
			}
			function setRequestNewBlock(){
				var newBlockRequested = document.getElementById('newBlockRequested');

				if (document.getElementById('blockTypeDictId').value == '' || document.getElementById('comments').value == '') {
					alert('Please specify a block type and enter comments');
				} else {
					newBlockRequested.value = 'true';
					document.forms[0].action = 'edit_cassettes.do#newBlock';
					document.forms[0].submit();
				}
			}

			function saveCassettesTest() {
				var saveCassettes = document.getElementById('saveCassettes');
				saveCassettes.value = 'true';
				document.forms[0].submit();
			}

			function deleteExtraBlock(blockTypeId, comments) {
				var deleteBlockTypeId = document.getElementById('deleteExtraBlockTypeId');
				var blockComments = document.getElementById('deleteComments');
				var onFormChange = document.getElementById('formChanged');
				onFormChange.value = 'true';
				deleteBlockTypeId.value = blockTypeId;
				blockComments.value = comments;
				document.forms[0].action = 'edit_cassettes.do#newBlock';
				document.forms[0].submit();
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Generate Cassettes" />
			<form:form commandName="form" method="post" action="edit_cassettes.do">
				<form:hidden path="formChanged" />
				<form:hidden path="newBlockRequested" />
				<form:hidden path="saveCassettes" />
				<form:hidden path="deleteExtraBlockTypeId" />
				<form:hidden path="deleteComments" />
				<c:if test="${!empty printErrorMessage}">
					<table>
						<tr>
							<td class="formError">
								<c:out value="${printErrorMessage}" />
							</td>
						</tr>
					</table>
				</c:if>
				<gui:mig-box label="Scan the Mouse Barcode or Enter Mouse Name">
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="220px">
								<label for="barcode" class="entryLabel">
									Mouse/Cassette Barcode
									<span class='formError'>*</span>
								</label>
							</td>
							<td class="entryData" width="180px">
								<form:input path="barcode" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="5" onblur="setOnFormChange()" />
							</td>
							<td class="formError">
								<c:out value="${form.errorMessage}" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<c:if test="${!empty form.mouse}">
					<%@ include file="necropsy_report_header.jspf"%>

					<gui:mig-box>
						<table class="migBoxInner">
							<tr>
								<td class="viewLabel">
									Soft Tissue
								</td>
								<td class="tissueTypeHeader_1" style="border: 1px solid #B0B0B0">
									&nbsp;
								</td>
								<td class="viewLabel">
									Hard Tissue
								</td>
								<td class="tissueTypeHeader_2" style="border: 1px solid #B0B0B0">
									&nbsp;
								</td>
								<td class="viewLabel">
									Brain Tissue
								</td>
								<td class="tissueTypeHeader_3" style="border: 1px solid #B0B0B0">
									&nbsp;
								</td>
								<td class="viewLabel">
									Embryonic Tissue
								</td>
								<td class="tissueTypeHeader_4" style="border: 1px solid #B0B0B0">
									&nbsp;
								</td>
							</tr>
						</table>
					</gui:mig-box>

					<c:if test="${!empty form.standardBlocks}">
						<gui:mig-box label="Standard Blocks">
							<table class="migBoxInner linedTable" id="tissues" style="border-collapse: collapse; border: 1px solid #d6d6d6" cellpadding="0" cellspacing="0">
								<thead class="linedTableHeader">
									<tr>
										<th>
											Select
										</th>
										<th>
											Block Name
										</th>
										<th>
											Block Barcode
										</th>
										<th>
											Description
										</th>
									</tr>
								</thead>
								<tbody>
									<c:forEach items="${form.standardBlocks}" var="record" varStatus="status">
										<c:set var="tissueCss" value="tissueTypeHeader_${record.cassetteTypeDictId}" />
										<gui:toggle-row-class />
										<tr class="${rowClass}">
											<td width="50px">
												<form:checkbox path="standardBlocks[${status.index}].selected" />
											</td>
											<td class="${tissueCss}" style="width: 110px;">
												${record.blockName}
											</td>
											<td width="200px">
												${record.barcode}
											</td>
											<td>
												${record.blockTypeDesc}
											</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</gui:mig-box>
					</c:if>
					<c:if test="${!empty form.extraExistingBlocks}">
						<gui:mig-box label="Extra Blocks">
							<table class="migBoxInner linedTable" id="extratissues" style="border-collapse: collapse; border: 1px solid #d6d6d6" cellpadding="0" cellspacing="0">
								<thead class="linedTableHeader">
									<tr>
										<th>
											Select
										</th>
										<th>
											Block Name
										</th>
										<th>
											Block Barcode
										</th>
										<th>
											Description
										</th>
										<th>
											Comments
										</th>
									</tr>
								</thead>
								<tbody>
									<c:forEach items="${form.extraExistingBlocks}" var="record" varStatus="status">
										<gui:toggle-row-class />
										<c:set var="tissueCss" value="tissueTypeHeader_${record.cassetteTypeDictId}" />
										<tr class="${rowClass}">
											<td width="50px">
												<form:checkbox path="extraExistingBlocks[${status.index}].selected" />
											</td>
											<td class="${tissueCss}" style="width: 110px;">
												${record.blockName}
											</td>
											<td width="200px">
												${record.barcode}
											</td>
											<td width="200px">
												${record.blockTypeDesc}
											</td>
											<td>
												${record.comments}
											</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</gui:mig-box>
					</c:if>
          <table>
          	<tr>
		          <td>
	          	<c:forEach items="${cassettePrinters}" var="cp">
								<form:label path="cassettePrinterName">
									<c:out value="${cp.printerName}"/>
									<form:radiobutton path="cassettePrinterName" value="${cp.value}"/>
								</form:label>
	          	</c:forEach>
	          	</td>
	            <td>
	              <input type="submit" name="_submit" value="Print Cassettes" style="width: 140px; font-weight: bold;" />
	            </td>
	            <c:if test="${!empty form.extraBlocks}">
	              <td align="centre">
	                <input type="button" name="save" value="Save Added Blocks" onclick="saveCassettesTest();" style="width: 140px; font-weight: bold;" />
	              </td>
	            </c:if>
            </tr>
          </table>
          <br/>
					<gui:mig-box label="Add Extra Blocks">
						<table class="migBoxInner" id="newBlock">
							<tr>
								<td class="entryLabelT" width="100px">
									Block Type:
								</td>
								<td class="entryData" style="vertical-align: top" width="250px">
									<form:select path="blockTypeDictId">
										<option value=''>
											-- Specify the block type--
										</option>
										<form:options items="${tissueTypes}" itemLabel="description" itemValue="id" />
									</form:select>
								</td>
								<td class="entryLabelT" rowspan="2" width="90px">
									Comments:
								</td>
								<td class="entryDataT" rowspan="2" align="right">
									<form:textarea path="comments" cssStyle="width: 99.5%; height: 50px; -moz-box-sizing: border-box;"></form:textarea>
								</td>
							</tr>
							<tr>
								<td colspan=2>
									<input type="button" name="add" title="Add Extra Block" value="+" onclick="setRequestNewBlock();" style="width:30px; font-weight: bold;">
								</td>
							</tr>
							<tr>
								<td colspan="4">
									<c:if test="${!empty form.extraBlocks}">
										<table class="listPaginated" style="width:100%; margin-top: 10px" align="left">
											<thead class="listPaginatedHeader">
												<tr>
													<th width="40px">
														Options
													</th>
													<th width="260px">
														Extra Blocks
													</th>
													<th>
														Comments
													</th>
												</tr>
											</thead>
											<c:forEach items="${form.extraBlocks}" var="block">
												<gui:toggle-row-class />
												<tr class="${rowClass}">
													<td>
														<a href="#" onclick="deleteExtraBlock(${block.blockTypeId},'${block.comments}');"> <img src="images/mouse_tracking/delete.gif" title="Delete this Tissue"> </a>
													</td>
													<td>
														${block.blockType.description}
													</td>
													<td>
														${block.comments}
													</td>
												</tr>
											</c:forEach>
										</table>
									</c:if>
								</td>
							</tr>
						</table>
					</gui:mig-box>
				</c:if>

			</form:form>
		</gui:page>
	</body>