<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>

<html>
	<head>
		<title>Histology Scans Grouped By Slide</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">

		<script>

			function loadScansBySlide( slideId ) {

				location.href = "view_scans_by_slide.do?&supressCrops=${supressCrops}&slideId=" + slideId;

			}

		</script>

	</head>
	<body>
		<gui:page migFooter="true">


			<gui:pageHeader name="Histology Scans Grouped By Slide">

			</gui:pageHeader>

			<!-- JSPF EXPECTS MOUSE WITH ALLELE AND COLONY ATTACHED and MOUSEAGE-->
			<c:set var="mouse" value="${slide.block.fixation.necropsy.mouse}" />
			<c:set var="mouseAge" value="${mouseAge}" />

			<%@ include file="histology_mouse_header.jspf"%>


				<div style="padding:0;">

							<div style="font-size:8px">&nbsp;</div>

				<!-- JSPF EXPECTS SLIDE AND A BLOCK -->
				<c:set var="slide" value="${slide}" />
				<c:set var="block" value="${slide.block}" />

							<table width="100%" border=0 cellpadding=0 cellspacing=0>
								<tr>
									<td class="viewLabel" style="text-align: left; font-weight:normal;color:#555;">

								<table border=0 width=100% cellpadding=0 cellspacing=0>
								<tr>

								<td style="padding-bottom:2px;font-size:18px;font-weight:bold;color:#aaa;white-space:nowrap;" vAlign="bottom">
									Block
									${block}

									<div style="font-size:8px;">&nbsp;</div>

										Slide
										<form:select cssStyle="padding-bottom:2px;font-size:18px;font-weight:bold;color:#aaa;white-space:nowrap;" path="slide.id" onchange="loadScansBySlide( options[selectedIndex].value );">

											<form:options items="${allBlockSlides}" itemValue="id" />

										</form:select>
									</td>



										 </tr>
										</table>

									</td>

								<td class="viewLabel" style="text-align: center; width: 200px;">

									<c:if test="${slide.cropCount > 0}">

										<c:choose>

												<c:when test="${supressCrops == true}">

													<gui:link-button text="Show Regions" href="view_scans_by_slide.do?slideId=${slide.id}&supressCrops=false"/>
													<div style="font-size:6px;">&nbsp;</div>
												</c:when>
												<c:otherwise>
													<gui:link-button text="Hide Regions" href="view_scans_by_slide.do?slideId=${slide.id}&supressCrops=true"/>
													<div style="font-size:6px;">&nbsp;</div>
												</c:otherwise>

										</c:choose>

									</c:if>

										<gui:link-button text="&nbsp;Work Report&nbsp;" href="mouse_work_report.do?mouseId=${mouse.id}"/>

									</td>

									<td class="viewLabel" style="vertical-align:bottom;padding-bottom:10px;">
										Regions Legend:
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom;padding-bottom:12px;">
										<span><a class="passed"	style="position: relative; width: 25px; height: 25px;" href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:12px;">
										Passed QC
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom; padding-bottom:12px;">
										<span><a class="failed"	style="position: relative; width: 25px; height: 25px;" href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:12px;">
										Failed QC
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom;padding-bottom:12px;">
										<span><a class="notworkedon" style="position: relative; width: 25px; height: 25px;"	href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:12px;">
										Await QC
									</td>
								</tr>
							</table>

						<div style="width:100%;margin-top:6px;">



							<table width=25% cellpadding="0" cellspacing="10">

								<c:set var="count" value="0" />

									<c:choose>
										<c:when test="${!empty slide.scans}">
											<c:set var="scansPerSlideCount" value="1" />

											<c:forEach items="${slide.scans}" var="scan">

												<c:if test="${count % 4 == 0}">
													<tr>
												</c:if>

												<td vAlign=top style="border:1px solid #dedede;" vAlign="top">
													<table>
														<tr>
															<td class="scanLabel" vAlign="top">
																Scan:
															</td>
															<td class="scanData" vAlign="top">
																${scansPerSlideCount} of
																${slide.scanCount}
															</td>
														</tr>




														<tr>
															<td class="scanLabel" vAlign="top">
																Created:
															</td>
															<td class="scanData" vAlign="top">
																<fmt:formatDate value="${scan.scanDate}"
																	pattern="dd-MMM-yyyy" />
																&nbsp;
															</td>
														</tr>
														<tr>
															<td class="scanLabel" vAlign="top">
																Thumbnail OK?
															</td>
															<td class="scanData" vAlign="top">
																<c:choose>
																	<c:when
																		test="${scan.statusDict.id == 6 || scan.statusDict.id == 7}">
																		<span style='color:red;font-weight:bold;'>No</span>
																	</c:when>
																	<c:otherwise>
																		Yes
																	</c:otherwise>
																</c:choose>
															</td>
														</tr>


														<tr>
															<td class="scanLabel" vAlign="top">
															 Width x Height:
															</td>
															<td class="scanData" vAlign="top">

															${scan.width * scan.pixelWidth}
															x ${scan.height * scan.pixelHeight}
															&micro;
															</td>
														</tr>

														<tr>
															<td class="scanLabel" vAlign="top">
																Regions:
															</td>
															<td class="scanData" vAlign="top">
																${scan.cropCount}

															</td>
														</tr>
														<tr>
															<td colspan=2 class="scanImage" style='padding-top:6px;' vAlign='top'>

																<%@ include file="scan_thumbnail.jspf"%>

															</td>
														</tr>
													</table>
												</td>
												<c:set var="count" value="${count + 1}" />

												<c:set var="scansPerSlideCount" value="${scansPerSlideCount + 1}" />

												<c:if test="${count % 4 == 0}">
													</tr>
												</c:if>
											</c:forEach>
										</c:when>
										<c:otherwise>

											<c:if test="${count % 4 == 0}">
												<tr>
											</c:if>
											<td vAlign=top width="25%" class="singleScan">
												<table>
													<tr>
														<td colspan=2 class="scanImage" vAlign='top'>
															<div style="padding-top:225px;color:#aaa;font-weight:bold;font-size:14px;text-align:center;height:480px; width:280px;background:#f5f5f5;">
																No Scan Available
															</div>
														</td>
													</tr>
												</table>
											</td>

											<c:set var="count" value="${count + 1}" />
										</c:otherwise>
									</c:choose>

							</table>
						</div>
				</div>

		</gui:page>
	</body>
</html>
