<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>

<html>
	<head>
		<title>Histology Slides Grouped By Block</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">

		<script>

			function loadSlidesByBlock( blockId ) {

				location.href = "view_slides_by_block.do?supressCrops=${supressCrops}&blockId=" + blockId;

			}

		</script>

	</head>
	<body>
		<gui:page migFooter="true">


			<gui:pageHeader name="Histology Slides Grouped By Block" />



			<!-- JSPF EXPECTS MOUSE WITH ALLELE AND COLONY ATTACHED and MOUSEAGE-->
			<c:set var="mouse" value="${block.fixation.necropsy.mouse}" />
			<c:set var="mouseAge" value="${mouseAge}" />

			<%@ include file="histology_mouse_header.jspf"%>

				<c:set var="slides" value="${block.slides}"/>

				<div style="padding:0;">
					<c:choose>
						<c:when test="${empty slides}">

							<br>
							<div style='font-size:14px; font-weight:bold;'>
								No Slides Available.
							</div>


						</c:when>
						<c:otherwise>

							<div style="font-size:8px">&nbsp;</div>

							<table width="100%" border=0 cellpadding=0 cellspacing=0>
								<tr>
									<td class="viewLabel" style="vertical-align:bottom;padding-bottom:4px; white-space:nowrap; font-size:18px;font-weight:bold;color:#aaa;">
										Block
										<form:select cssStyle="font-size:18px;font-weight:bold;color:#aaa;" path="block.id" onchange="loadSlidesByBlock( options[selectedIndex].value );">

											<form:options items="${allFixationBlocks}" itemValue="id" />

										</form:select>
									</td>

								<td class="viewLabel" style="text-align: center; width: 200px;padding-bottom:4px;">

									<c:if test="${block.cropCount > 0}">

										<c:choose>

												<c:when test="${supressCrops == true}">

													<gui:link-button text="Show Regions" href="view_slides_by_block.do?blockId=${block.id}&supressCrops=false"/>
													<div style="font-size:6px;">&nbsp;</div>
												</c:when>
												<c:otherwise>
													<gui:link-button text="Hide Regions" href="view_slides_by_block.do?blockId=${block.id}&supressCrops=true"/>
													<div style="font-size:6px;">&nbsp;</div>
												</c:otherwise>

										</c:choose>

									</c:if>

										<gui:link-button text="&nbsp;Work Report&nbsp;" href="mouse_work_report.do?mouseId=${mouse.id}"/>

									</td>

									<td class="viewLabel" style="vertical-align:bottom;padding-bottom:6px;">
										Regions Legend:
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom;padding-bottom:6px;">
										<span><a class="passed"	style="position: relative; width: 25px; height: 25px;" href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:6px;">
										Passed QC
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom;padding-bottom:6px;">
										<span><a class="failed"	style="position: relative; width: 25px; height: 25px;" href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:6px;">
										Failed QC
									</td>
									<td style="text-align: left; width: 30px;vertical-align:bottom;padding-bottom:6px;">
										<span><a class="notworkedon" style="position: relative; width: 25px; height: 25px;"	href="#"></a>
									</td>
									<td style="text-align: left; width: 90px;vertical-align:bottom;padding-bottom:6px;">
										Await QC
									</td>
								</tr>
							</table>

							<div style="width:100%;margin-top:12px;padding-top:0px;">

							<table width="25%"  cellpadding="0" cellspacing="4">
								<c:set var="count" value="0" />
								<c:forEach var="slide" items="${slides}">
									<c:choose>
										<c:when test="${!empty slide.scans}">
											<c:set var="scansPerSlideCount" value="1" />
											<c:forEach items="${slide.scans}" var="scan">

												<c:if test="${count % 4 == 0}">
													<tr>
												</c:if>

												<td vAlign=top width="25%" vAlign="top">


													<fieldset style='border:1px solid #dedede;'>

													<legend style='padding:0px 4px 0px 4px; font-weight:bold; font-size:16px; color:#999;'>
													${slide.barcode}
													- Scan ${scansPerSlideCount} of ${slide.scanCount}
													</legend>
													<table>


													<c:choose>
													<c:when test="${scansPerSlideCount < 2}">
														<tr>
															<td class="scanLabel" vAlign="top">
																Staining:
															</td>
															<td class="scanData" vAlign="top">
																${slide.stainingTypeDict.displayText}
															</td>
														</tr>


														<tr>
															<td class="scanLabel" vAlign="top">
																Technician:
															</td>
															<td class="scanData" vAlign="top">
																${slide.creator.fullName}
															</td>
														</tr>

														<tr>
															<td class="scanLabel" vAlign="top">
																Sectioned:
															</td>
															<td class="scanData" vAlign="top">


															<fmt:formatDate value="${slide.createdDate}" pattern="dd-MMM-yyyy" />


															</td>
														</tr>

													</c:when>
													<c:otherwise>
																											<tr>
													<td class="scanLabel"  vAlign="top">
																--
															</td>
															<td class="scanData"   vAlign="top">
																--
															</td>
														</tr>

														<tr>
															<td class="scanLabel"  vAlign="top">
																--
															</td>
															<td class="scanData"   vAlign="top">
																--
															</td>
														</tr>

																										<tr>
															<td class="scanLabel"   vAlign="top">
																--
															</td>
															<td class="scanData"  vAlign="top">
																--
															</td>
														</tr>
													</c:otherwise>
													</c:choose>

														<tr>
															<td class="scanLabel" vAlign="top">
																Scanned:
															</td>
															<td class="scanData" vAlign="top">
																<fmt:formatDate value="${scan.scanDate}"
																	pattern="dd-MMM-yyyy" />
																&nbsp;
															</td>
														</tr>
														<tr>
															<td class="scanLabel" vAlign="top">
																Thumbnail OK?
															</td>
															<td class="scanData" vAlign="top">
																<c:choose>
																	<c:when
																		test="${scan.statusDict.id == 6 || scan.statusDict.id == 7}">
																		<span style='color:red;'>No</span>
																	</c:when>
																	<c:otherwise>
																		Yes
																	</c:otherwise>
																</c:choose>
															</td>
														</tr>


														<tr>
															<td class="scanLabel" vAlign="top">
															 Width x Height:
															</td>
															<td class="scanData" vAlign="top">

															${scan.width * scan.pixelWidth}
															x ${scan.height * scan.pixelHeight}
															&micro;
															</td>
														</tr>

														<tr>
															<td class="scanLabel" vAlign="top">
																Regions:
															</td>
															<td class="scanData" vAlign="top">
																${scan.cropCount}
															</td>
														</tr>




														<tr>
															<td colspan=2 class="scanImage"  style='padding-top:6px;' vAlign='top'>
																<%@ include file="scan_thumbnail.jspf"%>
															</td>
														</tr>
													</table>

													</fieldset>


												</td>
												<c:set var="count" value="${count + 1}" />

												<c:set var="scansPerSlideCount" value="${scansPerSlideCount + 1}" />

												<c:if test="${count % 4 == 0}">
													</tr>
												</c:if>
											</c:forEach>
										</c:when>
										<c:otherwise>

											<c:if test="${count % 4 == 0}">
												<tr>
											</c:if>
											<td vAlign=top width="25%">

											<fieldset style='border:1px solid #dedede;'>

											<legend style='padding:0px 4px 0px 4px; font-weight:bold; font-size:16px; color:#999;'>${slide.barcode}</legend>


												<table>

													<tr>
														<td class="scanLabel" vAlign="top">
															Staining:
														</td>
														<td class="scanData" vAlign="top">
															${slide.stainingTypeDict.displayText}
														</td>
													</tr>



													<tr>
														<td class="scanLabel" vAlign="top">
															Technician:
														</td>
														<td class="scanData" vAlign="top">
															${slide.creator.fullName}
														</td>
													</tr>



													<tr>
														<td colspan=2 class="scanImage" vAlign='top'>
															<div style="margin-top:8px;padding-top:225px;color:#aaa;font-weight:bold;font-size:14px;text-align:center;height:480px; width:280px;background:#f5f5f5;">
																No Scan Available
															</div>
														</td>
													</tr>
												</table>
												</fieldset>
											</td>

											<c:set var="count" value="${count + 1}" />
										</c:otherwise>
									</c:choose>
								</c:forEach>
							</table>


						</c:otherwise>
					</c:choose>
						</div>
				</div>

		</gui:page>
	</body>
</html>
