<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
	    <script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	    <script type="text/javascript" src="js/jquery.js"></script>
	    <script type="text/javascript" src="js/jquery-calendar.js"></script>
	    <script type="text/javascript" src="js/thickbox.js"></script>
	    <script type="text/javascript">
			function toggle(checkBox){
				$(".toggleable").attr("checked", checkBox.checked);
			}
			function showProgrammeDescription() {
				var programmeId = $('#programmeTypeId').val();

				$('.programmeTypeDesc').hide();
				$('#programmeTypeDesc_'+programmeId).show();
			}
			function printCassettes(mouseId,batchId,standard) {
				var printName = $(".cassPrinter:checked").val();

				window.location = "print_cassettes.do?cohortId="+batchId
													+ "&standard=" + standard
													+ "&mouseId=" + mouseId
													+ "&printer=" + printName;

			}
			$(document).ready(function(){showProgrammeDescription();});
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Histology Batch #${form.batch.id}" />
			<c:choose>
				<c:when test="${!empty form.batch.mice}">
					<form:form commandName="form" action="histology_batch_work.do"	method="post">
						<gui:mig-box-label>
							Necropsy Date: <fmt:formatDate value="${form.batch.endDate}" pattern="dd-MMM-yyyy" />
						</gui:mig-box-label>

						<table><tr>
							<td valign="top">
							<gui:filterBox title="Print Control">
								<gui:link-button text="print all pot labels" style="width: 150px" onclick="printLabels('PRINT_HISTOLOGY_POT_LABEL_LIST','${form.batch.id}')" />
								<br/>
								<gui:link-button disabled="${!form.anyNonStandardCassettesExist}" text="print all extra cassettes" style="width: 150px" href="print_cassettes.do?cohortId=${form.batch.id}&standard=false"	 />

								<c:forEach items="${cassettePrinters}" var="cp">
									<br/>
									<form:label path="cassettePrinterName">
										<c:out value="${cp.printerName}"/>
										<form:radiobutton path="cassettePrinterName" value="${cp.value}" cssClass="cassPrinter"/>
									</form:label>
								</c:forEach>
							</gui:filterBox>
							</td>
							<td valign="top">
							<gui:filterBox title="Processing Information">
								<c:set var="disableProcessingForm" value="${!form.anyCassettesExist}" />
								<table>
									<tr>
										<td>
											<label for="cassetteTypeId" class="viewLabel">
												Tissue Type
											</label>
										</td>
										<td>
											<form:select path="cassetteTypeId"
												disabled="${disableProcessingForm}">
												<option value="0">
													Choose a tissue type...
												</option>
												<form:options items="${form.cassetteTypes}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td>
											<label for="fixationEnd">
												Fixation End
											</label>
										</td>
										<td>
											<form:input cssClass="dateTime" path="fixationEnd" disabled="${disableProcessingForm}" onblur="validateDateTime(this, true, true)" />
											<c:if test="${!disableProcessingForm}">
												<gui:dateTimePicker path="fixationEnd" datePicker="true"	timePicker="true" autoPopUp="button" />(dd-mmm-yyyy hh:mm)
											</c:if>
										</td>
									</tr>
									<tr>
										<td>
											<label for="programmeStart">
												Programme Start
											</label>
										</td>
										<td width="300px">
											<form:input cssClass="dateTime" path="programmeStart" disabled="${disableProcessingForm}" onblur="validateDateTime(this, true, true)" />
											<c:if test="${!disableProcessingForm}">
												<gui:dateTimePicker path="programmeStart" datePicker="true" timePicker="true" autoPopUp="button" />(dd-mmm-yyyy hh:mm)
											</c:if>
										</td>
										<td>
											<label for="programmeTypeId">
												Programme Type
											</label>
										</td>
										<td>
											<form:select path="programmeTypeId"
												disabled="${disableProcessingForm}"
												onchange="showProgrammeDescription()">
												<option value="0">
													Choose a programme...
												</option>
												<form:options items="${form.programmeTypes}" itemValue="id"
													itemLabel="name" />
											</form:select>
										</td>
										<td>
											<form:errors path="programmeTypeId" cssClass="formError" />
										</td>
										<td>
											<c:forEach items="${form.programmeTypes}" var="pt">
												<span id="programmeTypeDesc_${pt.id}"
													class="programmeTypeDesc" style="display: none">
													${pt.description} </span>
											</c:forEach>
										</td>
									</tr>
								</table>
							<br />
							<c:choose>
								<c:when test="${disableProcessingForm}">
									<input type="submit" disabled="disabled" value="Submit"/>
								</c:when>
								<c:otherwise>
									<input type="submit" value="Submit"/>
								</c:otherwise>
							</c:choose>
							</gui:filterBox>

							</td>
						</tr></table>






						<gui:histologyBatchSizeWarning batch="${form.batch}" />
						<gui:error-list title="Incomplete Form:" titleFont="14px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
						<br />

						<table>
							<tr>
								<td class="formError">
									${form.reportPrintingMessage}
								</td>
							</tr>
						</table>
							<div class="listPaginated">
							<table class="listPaginated linedTable" style="border-collapse: collapse; border: 2px solid #d6d6d6" cellpadding="0" cellspacing="0">
								<thead class="linedTableHeader">
									<tr>
										<th>
											<input type="checkbox" onclick="toggle(this);"/>
										</th>
										<th>
											Links
										</th>
										<th>
											Print
										</th>
										<th>
											Mouse
										</th>
										<th>
											Ear Mark
										</th>
										<th>
											Gender
										</th>
										<th>
											Age
										</th>
										<th>
											Colony
										</th>
										<th>
											Fixation Start
										</th>
										<th>
											Tissue Type
										</th>
										<th>
											Fixation End
										</th>
										<th>
											Programme Type
										</th>
										<th>
											Programme Start
										</th>
										<c:set var="count" value="0" />
										<c:forEach items="${form.cassetteTypes}" var="cassetteType">
											<c:set var="count" value="${count+1}" />
										</c:forEach>
									</tr>
								</thead>

								<c:forEach items="${form.checkboxes}" var="checkbox" varStatus="loopStat">
									<c:set var="rootPath" value="checkboxes[${loopStat.index}]" />
									<c:set var="mouse" value="${checkbox.mouse}" />
									<gui:toggle-row-class />

									<c:choose>
										<c:when test="${!empty mouse.experimentData.necropsy.fixation.fixationStartTime}">
											<c:set var="currRowClass" value="${rowClass}Complete"/>
										</c:when>
										<c:otherwise>
											<c:set var="currRowClass" value="${rowClass}"/>
										</c:otherwise>
									</c:choose>

									<tr class="${currRowClass}">
										<td rowspan="${count}">
											<form:checkbox path="${rootPath}.checked" disabled="${!checkbox.cassettesExist}" cssClass="toggleable"/>
											<form:errors path="${rootPath}.mouse" cssClass="formError" />
										</td>
										<td rowspan="${count}" width="90px" align="center">
											<c:url value="/generate_histology_block_cassettes.do"
												var="cassLink">
												<c:param name="mouseId" value="${mouse.id}" />
											</c:url>
											<c:url value="/print_histology_slides.do" var="slideLink">
												<c:param name="mouseId" value="${mouse.id}" />
											</c:url>
											<c:url value="/edit_histology_necropsy.do" var="necroLink">
												<c:param name="mouseId" value="${mouse.id}" />
												<c:param name="cohortId" value="${form.batch.id}" />
											</c:url>

											<gui:link-button text="mouse" style="width: 80px; margin-bottom: 2px; height: 19px; font-size: 8pt;" href="view_one_mouse.do?id=${mouse.id}" />
											<br />
											<gui:link-button text="necropsy" style="width: 80px; margin-bottom: 2px; height: 19px; font-size: 8pt;" href="edit_histology_necropsy.do?&mouseId=${mouse.id}&cohortId=${form.batch.id}" />
											<br />
											<gui:link-button text="cassettes" style="width: 80px; margin-bottom: 2px; height: 19px; font-size: 8pt;" href="edit_cassettes.do?mouseId=${mouse.id}&cohortId=${form.batch.id}" />
											<br />
											<%-- disable if there aren't any blocks in the system (not necessarily printed) --%>
											<gui:link-button text="slide labels" style="width: 80px; height: 19px; font-size: 8pt;" href="print_histology_slides.do?mouseId=${mouse.id}&cohortId=${form.batch.id}"	disabled="${!checkbox.cassettesExist}" />
											<br />
										</td>
										<td rowspan="${count}" width="130px" align="center">
											<gui:link-button text="label" style="width: 120px; margin-bottom: 2px; height: 19px; font-size: 8pt;" onclick="printLabels('PRINT_HISTOLOGY_POT_LABEL_SINGLE','${mouse.id}')" />
											<br />
											<gui:link-button
												text="default cassettes"
												style="width: 120px; margin-bottom: 2px; height: 19px; font-size: 8pt;"
												onclick="printCassettes(${mouse.id},${form.batch.id},true)"
											/>
											<!-- disable if there aren't any blocks, or if there are special blocks -->
											<br />
											<gui:link-button text="default slide labels" style="width: 120px; height: 19px; font-size: 8pt;" href="print_histology_default_slides.do?mouseId=${mouse.id}&cohortId=${form.batch.id}" disabled="${!checkbox.cassettesExist || nonStandardCassettesExist}" />
											<br />
										</td>
										<td rowspan="${count}">
											${mouse.name}
											<br/>
											(${mouse.barcode})
										</td>
										<td rowspan="${count}">
											${mouse.earmark.name}
										</td>
										<td rowspan="${count}">
											${mouse.gender.name}
										</td>
										<td rowspan="${count}">
											${mouse.ageString}
										</td>
										<td rowspan="${count}">
											<c:if test="${!empty mouse.colonyInfo}">
												${mouse.colonyInfo.colonyName} (${mouse.colonyInfo.colonyPrefix})
											</c:if>
										</td>
										<td rowspan="${count}">
											<fmt:formatDate value="${mouse.experimentData.necropsy.fixation.fixationStartTime}" pattern="dd-MMM-yyyy HH:mm" />
										</td>
									<c:set var="cassetteNumber" value="0" />
									<c:forEach items="${form.cassetteTypes}" var="cassetteType">
										<c:if test="${cassetteNumber == 0}">
												<td height="27px">
													${form.cassetteTypes[0].name}
												</td>
												<td>
													<fmt:formatDate value="${checkbox.processingSummaries[0].fixationEnd}" pattern="dd-MMM-yyyy HH:mm" />
												</td>
												<td>
													${checkbox.processingSummaries[0].programmeType.name}
												</td>
												<td>
													<fmt:formatDate value="${checkbox.processingSummaries[0].programmeStart}" pattern="dd-MMM-yyyy HH:mm" />
												</td>
											</tr>
										</c:if>
										<c:if test="${cassetteNumber != 0}">
											<tr class="${currRowClass}" height="27px">
												<td>
													${cassetteType.name}
												</td>
												<td>
													<fmt:formatDate value="${checkbox.processingSummaries[cassetteNumber].fixationEnd}" pattern="dd-MMM-yyyy HH:mm" />
												</td>
												<td>
													${checkbox.processingSummaries[cassetteNumber].programmeType.name}
												</td>
												<td>
													<fmt:formatDate value="${checkbox.processingSummaries[cassetteNumber].programmeStart}" pattern="dd-MMM-yyyy HH:mm" />
												</td>
											</tr>
										</c:if>
										<c:set var="cassetteNumber" value="${cassetteNumber+1}" />
									</c:forEach>

								</c:forEach>
							</table>
						</div>
					</form:form>
				</c:when>
				<c:otherwise>
					<h2>
						No mice in batch
					</h2>
				</c:otherwise>
			</c:choose>
		</gui:page>
	</body>

</html>
