<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Project Licences</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="WTSI Project Licences" showBackUrl="false" />

			<div class="listNonPaginated">
				<table width="80%">
					<tr>
						<td valign="top">
							<c:if test="${!empty allPpls}">			
								<table class="listNonPaginated" width="100%">
									<thead class="listNonPaginatedHeader">
										<tr>
											<th>Options</th>
											<th>Licence Number</th>
											<th>Responsible Person</th>											
											<th>Title</th>
											<th>Start Date</th>
											<th>End Date</th>
										</tr>
									</thead>
									<c:forEach items="${allPpls}" var="record">
										<gui:toggle-row-class />		
										<tr class="${rowClass}">
											<td>
												<gui:link-button text="protocols" href="view_one_project_licence.do?id=${record.id}"/>
											</td>
											<td>
												${record.licenceNumber}
												<c:if test="${record.expired}">
													(expired)
												</c:if>
											</td>
											<td>${record.responsiblePerson.fullName}</td>
											<td>${record.title}</td>
											<td width="80px"><fmt:formatDate value="${record.startDate}" pattern="dd-MMM-yyyy"/></td>
											<td width="80px"><fmt:formatDate value="${record.endDate}" pattern="dd-MMM-yyyy"/></td>
										</tr>
									</c:forEach>
								</table>
							</c:if>
						</td>
					</tr>
				</table>
			</div>
		</gui:page>
	</body>
</html>