<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Procedure to Protocol Mapping</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Procedure to Protocol Mapping" showBackUrl="true" />
			
			<div class="listNonPaginated">
				<table class="listNonPaginated">
					<thead class="listPaginatedHeader">
						<tr>
							<control:accessControl roles="admin">
								<th>Options</th>
							</control:accessControl>
							<th>Procedure</th>
							<th align="right">Project Licence</th>
							<th>19b Protocol</th>
							<control:accessControl roles="admin">
								<th>&nbsp;</th>
							</control:accessControl>
						</tr>
					</thead>	
					<tbody class="tbody">
						<c:forEach items="${mappedProcedures}" var="procedure">
							<gui:toggle-row-class/>
							<tr class="${rowClass}">
								<control:accessControl roles="admin">
									<td rowspan="${fn:length(procedure.value) + 1}">
										<gui:link-button text="add 19b" href="add_procedure_mapping.do?procedureDictId=${procedure.key.id}" />
									</td>
								</control:accessControl>
								<td rowspan="${fn:length(procedure.value) + 1}">
									${procedure.key.name} 
								</td>
								<c:if test="${empty procedure.value}">
										<td>
											&nbsp;
										</td>
										<td>
											&nbsp;
										</td>
										<td>
											&nbsp;
										</td>
								</c:if>
								<c:forEach items="${procedure.value}" var="protocol">
									<tr class="${rowClass}">
										<td align="right">
											${protocol.projectLicence.licenceNumber}
										</td>
										<td>
											${protocol.displayText}
										</td>
										<control:accessControl roles="admin">
											<td>
												<gui:link-button text="remove" onclick="deleteAlert('a prototol-procedure link','delete_procedure_mapping.do?procedureDictId=${procedure.key.id}&protocolId=${protocol.id}')" />
											</td>
										</control:accessControl>
									 </tr>
								</c:forEach>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</div>			
		</gui:page>
	</body>
</html>