<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib  uri="gui" prefix="g" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<g:docType />
<g:menu-page
	title="WTSI - Mouse Database"
	userName="${user.firstName}"
	mainFrame="MOUSE_DATABASE_MAIN_FRAME"
	menuFrame="MOUSE_DATABASE_MENU_FRAME"
	stylesheet="migMenu">

<control:accessControl roles="admin,mgp-admin,team110,mgp,mgwg,faculty,mouse-user,senior-tgx,senior-mouse-user,guest,havana-admin,team87,team87-admin,senior-tgx,junior-tgx,norcomm,mts-user,cryo-admin">

<g:menu-grid height="20px" bgcolor="#000000">

	<g:menu-item name="home" href="view_old_menu.do" menu="view_main_menu.do">
		<span style='cursor:pointer'>&nbsp;&nbsp; Home &nbsp;&nbsp;</span>
	</g:menu-item>

	<g:menu-item name="genes" onclick="go('view_main_menu.do?menuItem=genes', 'miggene_search.do')" menu="view_main_menu.do">
		&nbsp;&nbsp; Genes &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="allelerequests" onclick="go('view_main_menu.do?menuItem=allelerequests', 'allele_request_main.do')" menu="view_main_menu.do">
		&nbsp;&nbsp; Allele Requests &nbsp;&nbsp;
	</g:menu-item>

	<control:accessControl roles="admin,mgp-admin,havana-admin,team87,team87-admin,norcomm">
		<g:menu-item name="havana" href="list_havana_requests.do?bypassForm=true&havanaRequest.statusDictId=2&newQuery=true&paginated=true&orderBy=id" menu="view_main_menu.do">
			&nbsp;&nbsp; Havana Annotation Requests &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,team87-admin,senior-tgx,junior-tgx,mi-list-reader">
		<g:menu-item name="microinjection" onclick="go('view_main_menu.do?menuItem=microinjection', 'mi_request_main.do')" menu="view_main_menu.do">
			&nbsp;&nbsp; Microinjections &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,team87,team87-admin">
		<g:menu-item name="escells" onclick="go('view_main_menu.do?menuItem=escells', 'es_cells.do')" menu="view_main_menu.do">
			&nbsp;&nbsp; ES Cells &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<control:accessControl hideHtml="true" roles="norcomm">
	<g:menu-item name="alleles" onclick="go('view_main_menu.do?menuItem=alleles', 'allele_main.do')" menu="view_main_menu.do">
		&nbsp;&nbsp; Alleles &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

	<control:accessControl hideHtml="true" roles="norcomm">
	<g:menu-item name="designs" onclick="go('view_main_menu.do?menuItem=designs', 'list_design_requests.do?bypassForm=true&designRequest.statusDictId=21&newQuery=true&paginated=true&orderBy=id');" menu="view_main_menu.do">
		&nbsp;&nbsp; Designs &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="admin,mgp-admin">
	<g:menu-item name="vectors" onclick="go('view_main_menu.do?menuItem=vectors', 'vector_main.do');" menu="view_main_menu.do">
		&nbsp;&nbsp; Vectors &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="faculty,mgwg,admin,team110,mgp-admin,senior-mouse-user,mouse-user">
		<g:menu-item name="colonies" onclick="go('view_main_menu.do?menuItem=colonies', 'list_colony_infos.do?bypassForm=true&newQuery=true&orderBy=colony_prefix')" menu="view_main_menu.do">
			&nbsp;&nbsp; Colonies &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx,mts-user">
	<g:menu-item name="mice" onclick="go('view_main_menu.do?menuItem=mice', 'animal_request_main.do')" menu="view_main_menu.do">
		&nbsp;&nbsp; Mice &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>


	<control:accessControl roles="admin,mgp-admin,histology">
	<g:menu-item name="histology" onclick="go('view_main_menu.do?menuItem=histology', 'list_histology_batch.do?bypassForm=true&orderBy=end_date&orderDesc=true&newQuery=true')" menu="view_main_menu.do">
		&nbsp;&nbsp; Histology &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

	<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx,junior-tgx,cryo-admin">
	<g:menu-item name="cryo" onclick="go('view_main_menu.do?menuItem=cryo', 'cryo_request_main.do')" menu="view_main_menu.do">
		&nbsp;&nbsp; Cryo Preservation &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

  <control:accessControl roles="admin,mgp-admin">
    <g:menu-item name="sops" href="list_sops.do?bypassForm=true" menu="view_main_menu.do">
		  &nbsp;&nbsp; SOPs &nbsp;&nbsp;
	 </g:menu-item>
  </control:accessControl>

	<control:accessControl roles="admin,mgp-admin">
	<g:menu-item name="admin" href="list_users.do" menu="view_main_menu.do">
		&nbsp;&nbsp; Admin &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

	<!--
	<control:accessControl roles="admin,mgp-admin">
		<g:menu-item name="mouseTracking" href="open_mouse_tracking_frameset.do" menu="view_main_menu.do">
			&nbsp;&nbsp; Mouse Tracking &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>
	 -->

</g:menu-grid>

<g:menu-grid bgcolor="#cbdced">

	<g:submenu parentMenu="genes">
		<g:submenu-item href="miggene_search.do" target = "MOUSE_DATABASE_MAIN_FRAME" >Search</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="miggene_search.do?bypassForm=true&migGeneSetId=121&newQuery=true" target = "MOUSE_DATABASE_MAIN_FRAME" >Core Gene List - 2006</g:submenu-item>

		<control:accessControl roles="admin,mgp-admin">
			<g:submenu-spacer />
			<g:submenu-item href="import_miggene_set.do" target = "MOUSE_DATABASE_MAIN_FRAME" >Import Gene Set</g:submenu-item>
		</control:accessControl>
		<control:accessControl hideHtml="true" roles="norcomm">
			<g:submenu-spacer />
			<g:submenu-item href="list_miggene_sets.do?bypassForm=true&newQuery=true" target = "MOUSE_DATABASE_MAIN_FRAME" >All Gene Sets</g:submenu-item>
		</control:accessControl>
	</g:submenu>

	<g:submenu parentMenu="allelerequests">
		<control:accessControl roles="admin,mgp-admin,havana-admin,team87,team87-admin,faculty,norcomm">
			<g:submenu-item href="edit_allele_request.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Allele Request</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>

		<g:submenu-item href="list_allele_requests.do?bypassForm=true&newQuery=true&paginated=true&orderBy=ID" target = "MOUSE_DATABASE_MAIN_FRAME">List Allele Requests</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="microinjection">

		<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,team87-admin,senior-tgx,junior-tgx">
			<g:submenu-item href="edit_mi_request.do" target = "MOUSE_DATABASE_MAIN_FRAME">New Microinjection Request</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>

		<g:submenu-item href="list_mi_requests.do?bypassForm=true&newQuery=true&orderBy=id&amp;orderDesc=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Microinjection Requests</g:submenu-item>

		<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx,mi-list-reader">
			<g:submenu-spacer />
			<g:submenu-item
				href="list_scheduled_micro_injections.do?bypassForm=true&newQuery=true&customFilterId=0&orderBy=target_schedule_date&defaultDateRange=true"
				target = "MOUSE_DATABASE_MAIN_FRAME">Scheduled Microinjections</g:submenu-item>
			<g:submenu-spacer />
			</control:accessControl>
	    <control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx">
			<g:submenu-item href="edit_embryo_harvest.do" target = "MOUSE_DATABASE_MAIN_FRAME">Add Embryo Harvest</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="list_embryo_harvests.do?bypassForm=true&paginated=true&orderBy=flush_date&orderDesc=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Embryo Harvests</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="batch_wildtype_request.do" target = "MOUSE_DATABASE_MAIN_FRAME">Batch Wildtype Request</g:submenu-item>
		</control:accessControl>

	</g:submenu>

	<g:submenu parentMenu="escells">
		<g:submenu-item href="edit_cell_line.do" id="newESCell" target = "MOUSE_DATABASE_MAIN_FRAME">Enter New Cell Line</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="list_cell_lines.do?bypassForm=true&newQuery=true&paginated=true&orderBy=id" target = "MOUSE_DATABASE_MAIN_FRAME">List Cell Lines</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="alleles">
		<control:accessControl roles="admin,mgp-admin,havana-admin,team87,team87-admin,allele-maker">
			<g:submenu-item href="edit_allele_info.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Modified Allele</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<g:submenu-item href="list_allele_info.do?bypassForm=true&newQuery=true&paginated=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Modified Alleles</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="colonies">
		<g:submenu-item href="edit_colony_info.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Colony Information</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="list_colony_infos.do?newQuery=true&bypassForm=true&orderBy=colony_prefix" target = "MOUSE_DATABASE_MAIN_FRAME">List Colony Information Sheets</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="mice">
		<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,senior-tgx">
			<g:submenu-item href="edit_animal_request.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Wildtype Request</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx">
			<g:submenu-item href="list_animal_requests.do?bypassForm=true&newQuery=true&paginated=true&orderBy=id&amp;orderDesc=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Wildtype Requests</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<control:accessControl roles="admin,mgp-admin,mts-user,senior-tgx">
			<g:submenu-item href="open_mouse_tracking_frameset.do" target = "MOUSE_DATABASE_MAIN_FRAME">Mouse Tracking</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="custom_query_list.do" target = "MOUSE_DATABASE_MAIN_FRAME">Reports</g:submenu-item>
		</control:accessControl>
	</g:submenu>

	<g:submenu parentMenu="histology">
    <control:accessControl roles="histology,admin,mgp-admin">
      <g:submenu-item href="list_histology_batch.do?bypassForm=true&orderBy=end_date&orderDesc=true&newQuery=true" target="MOUSE_DATABASE_MAIN_FRAME">List Batches</g:submenu-item>
      <g:submenu-spacer />
      <g:submenu-item href="manage_histology_batch.do" target="MOUSE_DATABASE_MAIN_FRAME">Create Batch</g:submenu-item>
      <g:submenu-spacer />
  		<g:submenu-item href="edit_histology_necropsy.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Necropsy</g:submenu-item>
  		<g:submenu-spacer />
  		<g:submenu-item href="edit_cassettes.do" target = "MOUSE_DATABASE_MAIN_FRAME">Print Cassettes</g:submenu-item>
  		<g:submenu-spacer />
  		<g:submenu-item href="print_histology_slides.do" target = "MOUSE_DATABASE_MAIN_FRAME">Print Slide Labels</g:submenu-item>


	<g:submenu-spacer />
  		<g:submenu-item href="rework_slides.do" target = "MOUSE_DATABASE_MAIN_FRAME">Re-work Slides</g:submenu-item>


	<g:submenu-spacer />
  		<g:submenu-item href="sweep_scans.do" target = "MOUSE_DATABASE_MAIN_FRAME">Sweep Scans</g:submenu-item>

	<g:submenu-spacer />
  		<g:submenu-item href="show_crop_job_page.do" target = "MOUSE_DATABASE_MAIN_FRAME">Select Regions</g:submenu-item>

	<g:submenu-spacer />
  		<g:submenu-item href="crop_search.do?bypassForm=true&paginated=true" target = "MOUSE_DATABASE_MAIN_FRAME">Browse Regions</g:submenu-item>


	<g:submenu-spacer />
  		<g:submenu-item href="setup_custom_query.do?name=histologyMiceWorkReport" target = "MOUSE_DATABASE_MAIN_FRAME">Work Report</g:submenu-item>



	 </control:accessControl>
  </g:submenu>



	<g:submenu parentMenu="cryo">
		<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,senior-tgx,cryo-admin">
			<g:submenu-item href="edit_cryo_request.do" target = "MOUSE_DATABASE_MAIN_FRAME">Enter Cryo Preservation Request</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx,junior-tgx,cryo-admin">
			<g:submenu-item href="list_cryo_requests.do?bypassForm=true&amp;newQuery=true&amp;cryoRequest.statusDictId=&amp;paginated=true&amp;orderBy=ID&orderDesc=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Cryo Preservation Requests</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx,cryo-admin">
			<g:submenu-item href="list_scheduled_cryo.do?newQuery=true&bypassForm=true&firstAccess=true&orderBy=TARGET_SCHEDULED_DATE" target = "MOUSE_DATABASE_MAIN_FRAME">Scheduled Cryo Preservations</g:submenu-item>
			<g:submenu-spacer />
		</control:accessControl>
		<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx,cryo-admin">
			<g:submenu-item href="simple_search_samples.do" target = "MOUSE_DATABASE_MAIN_FRAME">Sample Quick Search</g:submenu-item>
		</control:accessControl>
	</g:submenu>


  <control:accessControl roles="admin,mgp-admin">
    <g:submenu parentMenu="sops">
        <g:submenu-item href="list_sops.do?bypassForm=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Standard Operating Procedures</g:submenu-item>
        <g:submenu-spacer />
        <g:submenu-item href="list_observation_types.do?bypassForm=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Observation Types</g:submenu-item>
    </g:submenu>
  </control:accessControl>


	<g:submenu parentMenu="admin">
		<control:accessControl roles="admin,mgp-admin">
		  <g:submenu-item href="list_users.do" target = "MOUSE_DATABASE_MAIN_FRAME">Current User Sessions</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="setup_custom_query.do?name=userAccounts&allRecords=true" target = "MOUSE_DATABASE_MAIN_FRAME">List User Accounts</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="edit_person.do" target = "MOUSE_DATABASE_MAIN_FRAME">Add New Account</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="manage_quartz_jobs.do" target = "MOUSE_DATABASE_MAIN_FRAME">Manage Quartz Jobs</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="list_project_licences.do" target = "MOUSE_DATABASE_MAIN_FRAME">List Project Licences</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="view_procedure_mappings.do" target = "MOUSE_DATABASE_MAIN_FRAME">View Procedure/19b Mappings</g:submenu-item>

		  <g:submenu-spacer />
		  <g:submenu-item href="list_printers.do?bypassForm=true&newQuery=true&orderBy=id&orderDesc=true" target = "MOUSE_DATABASE_MAIN_FRAME">List Printers</g:submenu-item>
		  <g:submenu-spacer />
		  <g:submenu-item href="edit_printer.do" target = "MOUSE_DATABASE_MAIN_FRAME">Add Printer</g:submenu-item>


		</control:accessControl>
	</g:submenu>




	<g:submenu parentMenu="vectors">

		<control:accessControl roles="admin,mgp-admin">
			<g:submenu-item href="list_intermediate_vectors.do?bypassForm=true&newQuery=true&paginated=true&orderBy=ID" target = "MOUSE_DATABASE_MAIN_FRAME">List Intermediate Vectors</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="list_targeting_vectors.do?bypassForm=true&newQuery=true&paginated=true&orderBy=ID" target = "MOUSE_DATABASE_MAIN_FRAME">List Targeting Vectors</g:submenu-item>
		</control:accessControl>

	</g:submenu>
</g:menu-grid>

</control:accessControl>

</g:menu-page>
