<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Microinjection Daily Batch Wildtype Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">

    	function addDailyRequests() {
    		var add = document.getElementById('add');
    		var del = document.getElementById('delete');
    		add.value = 'true';
    		del.value = 'false';
    		document.forms[0].submit();
    	}

    	function removeDailyRequests(removeDate) {
    		var dateRequired = document.getElementById('dateRequired');
    		var del = document.getElementById('delete');
    		var add = document.getElementById('add');
    		add.value = 'false';
    		del.value = 'true';
    		dateRequired.value = removeDate;
    		document.forms[0].submit();
    	}

    	function confirmExit() {
    		if ( confirm('Are you sure you want to exit without completing?') ) {
    			location.href='mi_request_main.do';
    		}
    	}

    	function confirmSubmit() {
    		return confirm('Are you sure you want to submit these requests? A summary email will be sent to RSF staff.');
    	}

    	</script>
		<style>
		    th {font-size:13px;font-family:arial;vertical-align:bottom;}
		    .addButton {border:1px solid #990000;background:#fff; font-size:13px; background:#efefef; font-weight:bold;}
   		 </style>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Microinjection Batch Wildtype Requests" />
			<table>
				<tr>
					<td>
						<gui:error-list title="Incomplete Form:" titleFont="16px"
							formErrorClass="formError" borderClass="borderTable"
							commandName="form" />
						<br />
						<form:form commandName="form" action="batch_wildtype_request.do">
							<div style="border: 1px solid #ccc; padding: 20px;">
								<table border=0 cellpadding=10 cellspacing=0 width="900px">
									<tr>
										<th>
											&nbsp;
										</th>
										<th style="text-align: left;">
											Mice
											<br />
											<u>Required On</u>
										</th>
										<th>
											C57BL/6 c-/c- (CALB)
											<br />
											<u>Albino E3.5 Donor Plugs</u>
										</th>
										<th>
											C57BL/6J (CBLJ)
											<br />
											<u>Black E3.5 Donor Plugs</u>
										</th>
										<th>
											CBA &amp; C57BL/6J (BXCB)
											<br />
											<u>F1 E2.5 Recipient Plugs</u>
										</th>
									</tr>
									<tr>
										<td align=center>
											<gui:link-button text="add +" onclick="addDailyRequests();" />
											<form:hidden path="add" />
											<form:hidden path="delete" />
										</td>
										<td>
											<form:input path="dateRequired" cssClass="date" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="dateRequired" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
										<td align=center>
											<form:select path="albinoDonorCount">
												<form:options items="${mouseCount}" />
											</form:select>
										</td>
										<td align=center>
											<form:select path="blackDonorCount">
												<form:options items="${mouseCount}" />
											</form:select>
										</td>
										<td align=center>
											<form:select path="recipientCount">
												<form:options items="${mouseCount}" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td>
											&nbsp;
										</td>
										<td colspan=4 style="padding: 6px;">
											<div style="font-weight: bold; font-size: 13px; padding-bottom: 6px;">
												Additional Request Info.
											</div>
											<form:textarea path="additionalEmailNotes" cols="160" rows="7"
												cssStyle="border:1px solid #777;"
												title="Additional Batch Request Detail" />
										</td>
									</tr>
								</table>
							</div>
							<br />

							<c:if test="${batchCount > 0}">
								<div style="width: 1000px; border: 1px dotted #777; padding: 20px;">
									<img src="images/email.jpg">
									&nbsp;
									<span style="font-famaily: arial; font-weight: bold; font-size: 14px;">
										Recipient Email View
									</span>
									<br />
									<br />
									<table style="border: 1px solid #dddddd; width: 900px;">
										<tr>
											<td colspan=5 style="padding: 8px; font-weight: bold; font-family: arial; font-size: 16px; color: #004869;">
												Microinjection Suite Wildtype Requests for
												<fmt:formatDate value="${velocityReportEmail.fromDate}"
													pattern="d MMMM" />
												-
												<fmt:formatDate value="${velocityReportEmail.toDate}"
													pattern="d MMMM yyyy" />
												<br />

												Requested by: ${velocityReportEmail.requester.fullName}
												<br />
												Phone: ${velocityReportEmail.requester.phoneNumber}
												<br />
												Email:
												<a href="mailto:${velocityReportEmail.requester.email}">${velocityReportEmail.requester.email}</a>
											</td>
										</tr>
										<tr>
											<td style="padding: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565; vertical-align: bottom;">
												<u>Date Required</u>
											</td>
											<td	style="padding: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565; text-align: center;">
												C57BL/6 c-/c- (CALB)
												<br />
												<u>Donor Plugs</u>
											</td>
											<td	style="padding: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565; text-align:center;">
												C57BL/6J (CBLJ)
												<br />
												<u>Donor Plugs</u>
											</td>
											<td	style="padding: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565; text-align: center;">
												CBA &amp; C57BL/6J (BXCB)
												<br />
												<u>F1 Recipient Plugs</u>
											</td>
											<td	style="padding: 8px; font-weight: bold; font-family: arial; font-size: 2px; color: #656565; text-align: center;">
												Remove
											</td>
										</tr>

										<c:forEach var="day" items="${velocityReportEmail.dailyRequestsCache}">
											<tr>
												<td	style="padding: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565;">
													<fmt:formatDate value="${day.key}" pattern="EEEE, d MMMM" />
												</td>
												<c:set var="requestList" value="${velocityReportEmail.dailyRequestsCache[day.key]}" />
												<c:forEach var="request" items="${requestList}">
													<td	style="text-align: center; padding: 8px; font-family: arial; font-size: 14px; color: #656565;">
														<c:choose>
															<c:when test="${!request.blank}">
																&nbsp
																<b>${request.numFemalesNeeded}</b>&nbsp;/&nbsp;${request.embryoAge}
																<c:if test="${request.id}">
																/&nbsp;
																Req. #$request.id
																</c:if>
															</c:when>
															<c:otherwise>
																--
															</c:otherwise>
														</c:choose>
													</td>
												</c:forEach>
												<td align="center">
													<fmt:formatDate var="removeDate" value="${day.key}" pattern="dd-MMM-yyyy" />
													<a href="#" onclick="removeDailyRequests('${removeDate}');">
														<img src="images/delete.gif" width="10" height="10" /></a>
												</td>
											</tr>
										</c:forEach>
										<c:if test="${!empty velocityReportEmail.additionalEmailNotes}">
											<tr>
												<td colspan=5 style="padding: 10px; font-family: arial; font-size: 14px; color: #000000;">
													<div style="font-famaily: arial; font-weight: bold; font-size: 14px; color: #004869; margin-bottom: 6px;">
														Additional Request Information
													</div>
													${velocityReportEmail.additionalEmailNotes}
												</td>
											</tr>
										</c:if>
									</table>
								</div>
							</c:if>
							<br />
							<br />
							<div style="padding-top: 8px; font-weight: bold; font-family: arial; font-size: 14px; color: #656565;">
								WTSI Mouse Database
							</div>
							<div class="submitButtons">
								<br />
								<hr size=1>
								<br />
								<c:if test="${batchCount > 0}">
									<input style="font-weight: bold; font-size: 15px; font-family: arial;"
										title="Submit Batch Request Emailing RSF" type="submit"
										value="submit" onclick="return confirmSubmit();" />
									&nbsp;
								</c:if>
								<input style="font-weight: bold; font-size: 15px; font-family: arial; width: 76px;"
									title="Exit without submitting" type="button" name="_cancel"
									value="exit" onclick="return confirmExit();" />
							</div>
						</form:form>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
