<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Create Scheduled Microinjection</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/thickbox.js"></script>
	</head>

	<body>
		<gui:page>
			<gui:pageHeader name="Microinjection Request #${miRequest.id} - <span style='font-size: 18px; color: #656565; font-weight: bold; text-transform: uppercase;'>${miRequest.externalStatusDict.name}</span>" />
			<%@ include file="../mi_request/mi_request_details.jspf" %>
			
			<form:form commandName="form" action="create_scheduled_micro_injection.do">
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel">
							Target Date
						</td>
						<td class="entryData">
							<form:input path="scheduledMicroInjection.anchorDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="scheduledMicroInjection.anchorDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Actual Cell Line Provider
						</td>
						<td class="entryData">
							<gui:formPopup path="cellLineProviderName" cssClass="person" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=cellLineProviderId,personName=cellLineProviderName');" title="Cell Line Provider" />
							<form:hidden path="cellLineProviderId"/> 
						</td>
					</tr>
					<tr>
						<td class="entryLabelT">
							Comments:
						</td>
						<td class="entryData">
							<form:textarea cssStyle="text-align:left" cols="100" rows="5" path="scheduledMicroInjection.comments"/>
						</td>
					</tr>
				</table>
			</gui:mig-box>
			
			<div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="button" name="_cancel" value="Cancel" onclick="document.location = 'list_mi_requests.do?bypassForm=true&newQuery=true&orderBy=id&amp;orderDesc=true';" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>
			</form:form>
		</gui:page>
	</body>
</html>		
