<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Embryo Harvest Record</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/validateBarcode.js"></script>
		<script src="js/formValidator.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript">
		var sum = 0;

		function sumTotal() {
			var blastocystCount = parseInt( (document.getElementById('blastocystCount').value) ? document.getElementById('blastocystCount').value : 0);
			var moralaeCount = parseInt(document.getElementById('moralaeCount').value ? document.getElementById('moralaeCount').value : 0);
			var eightCellCompCount = parseInt(document.getElementById('eightCellCompCount').value ? document.getElementById('eightCellCompCount').value : 0);
			var eightCellNonCompCount = parseInt(document.getElementById('eightCellNonCompCount').value ? document.getElementById('eightCellNonCompCount').value : 0);
			var fourCellCount = parseInt(document.getElementById('fourCellCount').value ? document.getElementById('fourCellCount').value : 0);
			var hatchedCount = parseInt(document.getElementById('hatchedCount').value ? document.getElementById('hatchedCount').value : 0);
			var deadOrFragmentedCount = parseInt(document.getElementById('deadOrFragmentedCount').value ? document.getElementById('deadOrFragmentedCount').value : 0);
			var otherEmbryoTypeCount = parseInt(document.getElementById('otherEmbryoTypeCount').value ? document.getElementById('otherEmbryoTypeCount').value : 0);
			sum = blastocystCount+moralaeCount+eightCellCompCount+eightCellNonCompCount+fourCellCount+hatchedCount+deadOrFragmentedCount+otherEmbryoTypeCount;
			var tot = document.getElementById('total');
			tot.innerHTML = sum;
		}
		function injectableSum(){
			var blastocystCount = parseInt( (document.getElementById('blastocystCount').value && document.getElementById('embryoHarvest.useBlastocysts').checked ) ? document.getElementById('blastocystCount').value : 0);
			var moralaeCount = parseInt( (document.getElementById('moralaeCount').value &&  document.getElementById('embryoHarvest.useMoralae').checked) ? document.getElementById('moralaeCount').value : 0);
			var eightCellCompCount = parseInt( (document.getElementById('eightCellCompCount').value && document.getElementById('embryoHarvest.useEightCells').checked )? document.getElementById('eightCellCompCount').value : 0);
			var eightCellNonCompCount = parseInt( (document.getElementById('eightCellNonCompCount').value && document.getElementById('embryoHarvest.useEightCellNonComp').checked )? document.getElementById('eightCellNonCompCount').value : 0);
			var fourCellCount = parseInt( (document.getElementById('fourCellCount').value && document.getElementById('embryoHarvest.useFourCell').checked ) ? document.getElementById('fourCellCount').value : 0);
			var hatchedCount = parseInt( (document.getElementById('hatchedCount').value && document.getElementById('embryoHarvest.useHatched').checked )? document.getElementById('hatchedCount').value : 0);
			var deadOrFragmentedCount = parseInt( (document.getElementById('deadOrFragmentedCount').value && document.getElementById('embryoHarvest.useDeadOrFragmented').checked )? document.getElementById('deadOrFragmentedCount').value : 0);
			var otherEmbryoTypeCount = parseInt( (document.getElementById('otherEmbryoTypeCount').value && document.getElementById('embryoHarvest.useOther').checked ) ? document.getElementById('otherEmbryoTypeCount').value : 0);
			sum = blastocystCount+moralaeCount+eightCellCompCount+eightCellNonCompCount+fourCellCount+hatchedCount+deadOrFragmentedCount+otherEmbryoTypeCount;
			var tot = document.getElementById('total_injectable');
			tot.innerHTML = sum;
		}

		function clearField(countField){
			if(countField.value == "0") {
				countField.value="";
			}
		}

		function addCage() {

			var cageBarcode = document.getElementById('cageBarcode');

			if( (!cageBarcode || cageBarcode.value.length < 9) ) {
				alert('Please scan or type Cage Barcode.');
			} else {
				var formChange = document.getElementById('formChange');
				formChange.value = 'true';
				document.forms[0].submit();
			}
		}

		function removeCage(barcode) {

			var formChange = document.getElementById('formChange');
			var removeCage= document.getElementById('removeCage');
			var cageBarcode = document.getElementById('cageBarcode');
			cageBarcode.value = barcode;
			formChange.value = 'true';
			removeCage.value = 'true';
			document.forms[0].submit();

		}

		function isNumberKey(evt)
		{
			var charCode = (evt.which) ? evt.which : event.keyCode;
			if ((charCode > 47 && charCode < 58) || (charCode == 8)) {
		    	return true;
		    }
			return false;
		}

		function validationAlert()
		{

			if(document.getElementById('embryoHarvest.useBlastocysts').checked == false
				&&
				document.getElementById('embryoHarvest.useMoralae').checked == false
				&&
				document.getElementById('embryoHarvest.useEightCells').checked == false
				&&
				document.getElementById('embryoHarvest.useEightCellNonComp').checked == false
				&&
				document.getElementById('embryoHarvest.useFourCell').checked == false
				&&
				document.getElementById('embryoHarvest.useHatched').checked == false
				&&
				document.getElementById('embryoHarvest.useDeadOrFragmented').checked == false
				&&
				document.getElementById('embryoHarvest.useOther').checked == false
				) {
				var msg ="No embryo grade is tick marked as suitable for micro-injection. \n\n";
				msg+= "This affects injectable count. Do you wish to continue?";
				if(confirm(msg)){
					return true;
				}
				else {
					return false;
				}
			}
		}

		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="sumTotal();injectableSum();">
		<gui:page>
			<c:choose>
				<c:when test="${empty form.embryoHarvest.id}">
					<gui:pageHeader name="Add New Embryo Harvest" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Edit Embryo Harvest" />
				</c:otherwise>
			</c:choose>

			<form:form commandName="form" action="edit_embryo_harvest.do" method="POST">
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td style="width: 39%; padding: 12px 6px 6px 6px; border-right: 1px dotted #777; vertical-align: top;">
								<div class="greenSubjectHeader" nowrap=nowrap align=center>
									Donor Mice
								</div>
								<table id="guiDonorMiceTable" cellpadding=0 cellspacing=0>
									<tr>
										<td class="entryLabel" style="width: 160px;">
											Plug Found
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:input path="embryoHarvest.plugCheckDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="embryoHarvest.plugCheckDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Technician
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<gui:formPopup path="embryoHarvest.technician.displayText" cssClass="person"
												onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=embryoHarvest.technicianId,personName=embryoHarvest.technician.displayText')"
												title="Lookup Technician" />
											<form:hidden path="embryoHarvest.technicianId" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Number Females Flushed&nbsp;
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.totalDonors">
												<option value=''>
													-- Please specify number of donors --
												</option>
												<form:options items="${donorCount}" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="entryLabel">
											Maternal Strain
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.motherStrainId">
												<option value="">
													-- Please specify donor strain --
												</option>
												<form:options items="${strains}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>

									<tr>
										<td class="entryLabel">
											Paternal Strain&nbsp;
											<span class="formError">*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.fatherStrainId">
												<option value=''>
													-- Please specify father strain --
												</option>
												<form:options items="${strains}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<!--
									<tr>
										<td class="entryLabel">
											Maternal Coat Colour <span class='formError'>*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.motherCoatColourDictId">
												<option value=''>-- Please specify donor coat clolour --</option>
												<form:options items="${coatColours}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
									</tr>

									<tr>
										<td class="entryLabel">
											Paternal Coat Colour <span class='formError'>*</span>
										</td>
										<td class="entryData">
											<form:select path="embryoHarvest.fatherCoatColourDictId">
												<option value=''>-- Please specify father coat colour--</option>
												<form:options items="${coatColours}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
									</tr>
									-->
								</table>
							</td>

							<td style="width: 41%; padding: 12px; border-right: 1px dotted #777;vertical-align: top">
								<div class="greenSubjectHeader" align=center>
									Embryo Grading
									<br />
								</div>
								Please also tick the ones selected for microinjection.
								<table style="margin-top: 20px;" cellpadding=0 cellspacing=0 id="guiEmbryoGradingTable">
									<tr>
										<td class="entryLabel" style="border-top: 1px #777 solid; border-bottom: 1px #777 solid; width: 120px;">
											<form:checkbox path="embryoHarvest.useBlastocysts" id="embryoHarvest.useBlastocysts" onchange="injectableSum()" />
											Blastocysts
											<span class="formError">*</span>
										</td>
										<td class="entryData" style="border-top:1px #777 solid; border-bottom: 1px #777 solid; width: 80px;">
											<form:input id="blastocystCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.blastocystCount" />
										</td>
										<td class="entryLabel" style="border-top: 1px #777 solid; border-bottom: 1px #777 solid; width: 190px;">
											<form:checkbox path="embryoHarvest.useMoralae" id="embryoHarvest.useMoralae" onchange="injectableSum()" />
											Morulae
											<span class='formError'>*</span>
										</td>
										<td class="entryData" style="border-top: 1px #777 solid; border-bottom: 1px #777 solid;">
											<form:input id="moralaeCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.moralaeCount" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="border-bottom: 1px #777 solid;">
											<form:checkbox path="embryoHarvest.useEightCells" id="embryoHarvest.useEightCells" onchange="injectableSum()" />
											Eight Cells
											<span class='formError'>*</span>
										</td>
										<td class="entryData" style="border-bottom: 1px #777 solid;">
											<form:input id="eightCellCompCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.eightCellCompCount" />
										</td>
										<td class="entryLabel" style="border-bottom: 1px #777 solid;">
											<form:checkbox path="embryoHarvest.useEightCellNonComp" id="embryoHarvest.useEightCellNonComp" onchange="injectableSum()" />
											Eight Cell Non-Comps
											<span class='formError'>*</span>
										</td>
										<td class="entryData" style="border-bottom: 1px #777 solid;">
											<form:input id="eightCellNonCompCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.eightCellNonCompCount" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="border-bottom: 1px #777 solid;">
											<form:checkbox path="embryoHarvest.useFourCell" id="embryoHarvest.useFourCell" onchange="injectableSum()" />
											Four Cells
											<span class="formError">*</span>
										</td>
										<td class="entryData" style="border-bottom: 1px #777 solid;">
											<form:input id="fourCellCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.fourCellCount" />
										</td>
										<td class="entryLabel" style="border-bottom: 1px #777 solid;">
											<form:checkbox path="embryoHarvest.useHatched" id="embryoHarvest.useHatched" onchange="injectableSum()" />
											Hatched
											<span class="formError">*</span>
										</td>
										<td class="entryData" style="border-bottom: 1px #777 solid;">
											<form:input id="hatchedCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.hatchedCount" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" style="border-bottom: 2px #777 solid;">
											<form:checkbox path="embryoHarvest.useDeadOrFragmented" id="embryoHarvest.useDeadOrFragmented" onchange="injectableSum()" />
											Dead/Frag.
											<span class="formError">*</span>
										</td>
										<td class="entryData" style="border-bottom: 2px #777 solid;">
											<form:input id="deadOrFragmentedCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.deadOrFragmentedCount" />
										</td>
										<td class="entryLabel" style="border-bottom: 2px #777 solid;">
											<form:checkbox path="embryoHarvest.useOther" id="embryoHarvest.useOther" onchange="injectableSum()" />
											Other
											<span class="formError">*</span>
										</td>
										<td class="entryData" style="border-bottom: 2px #777 solid;">
											<form:input id="otherEmbryoTypeCount" onclick="clearField(this);" onchange="sumTotal();injectableSum();" cssStyle="width:50px;" onkeypress="return isNumberKey(event)"
												path="embryoHarvest.otherEmbryoTypeCount" />
										</td>
									</tr>
									<tr>
										<td class="entryLabel" colspan=2 style="padding-bottom: 4px; padding-top: 8px; vertical-align: top;">
											&nbsp;
										</td>
										<td class="entryLabel" style="padding-bottom: 4px; padding-top: 8px; font-weight: bold; vertical-align: top;">
											Total =
										</td>
										<td id="total" style="padding-bottom: 4px; padding-top: 8px; font-weight: bold; vertical-align: top;">
											&nbsp;
										</td>
									</tr>
									<tr>
										<td class="entryLabel" colspan=2 style="padding-bottom: 16px; padding-top: 8px; ertical-align: top;">
											&nbsp;
										</td>
										<td class="entryLabel" style="padding-bottom: 16px; padding-top: 8px; font-weight: bold; vertical-align: top;">
											Total Injectable =
										</td>
										<td id="total_injectable" style="padding-bottom: 16px; padding-top: 8px; font-weight: bold; ertical-align: top;">
											&nbsp;
										</td>
									</tr>
									<tr>
										<td colspan=4 valign="top" width="100%">
											<table style="margin-top: 10px;" border=0 cellpadding=0 cellspacing=0>
												<tr>
													<td class="entryLabel" nowrap=nowrap width="85px">
														Flush Date
														<span class="formError">*</span>
													</td>
													<td width="140px">
														<form:input path="embryoHarvest.flushDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
														<gui:dateTimePicker path="embryoHarvest.flushDate" datePicker="true" timePicker="false" autoPopUp="button" />
													</td>
													<td class="entryLabel">
														Incubate Overnight?
													</td>
													<td class="entryData" style="vertical-align: bottom;">
														<form:checkbox path="embryoHarvest.overnightIncubation" />
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colspan=4 valign="top">
											<table style="margin-top: 10px; width: 100%;" cellpadding=0 cellspacing=0>
												<tr>
													<td class="entryLabelT" style="textpadding-top: 10px;" width="85px">
														Comments:
													</td>
													<td class="entryLabelT" style="textpadding-top: 10px;">
														<form:textarea cssStyle="width: 100%" rows="5" id="comments" path="embryoHarvest.comments" />
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
						</td>
						<td rowspan="10" valign="top" align="left" style="padding: 12px; padding-right: 16px;">
							<div class="greenSubjectHeader" align="center">
								Save &amp; Exit
							</div>
							<div class="submitButtons" style="text-align: center; margin-top: 20px;">
								<input type="submit" name="_finish" value="Save &amp; Exit" style="width: 110px;" onclick="return validationAlert();" class="submit" onmouseover="this.className = 'submitHover'"
									onmouseout="this.className = 'submit'" />
								&nbsp;
								<input type="reset" value="Reset Fields" onclick="document.getElementById('total').innerHTML = ''" style="width: 110px;" class="reset" onmouseover="this.className = 'resetHover'"
									onmouseout="this.className = 'reset'" />
								<div style="font-size: 16px">
									&nbsp;
								</div>
								<img src="images/mi.jpg" width="230px">
							</div>
							<div style="font-size: 16px">
								&nbsp;
							</div>
						</td>
						</tr>
					</table>
				</gui:mig-box>
			</form:form>
			<center>
				<span class="formError">*</span> Required field.
			</center>
		</gui:page>
	</body>
</html>
