<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit EmbryoTransferProcedure Record</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/validateBarcode.js"></script>
		<script src="js/formValidator.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
		function confirmExit(availableEmbryos, completeOnExit) {

			document.getElementById('completeOnExit').value = completeOnExit;
			document.getElementById('exit').value = true;
			document.getElementById('changeEarmarks').value = false;


			if(availableEmbryos && availableEmbryos > 0) {

				if(confirm("There are " + availableEmbryos
					+ " unused microinjected embryos remaining.  Are you sure you would like to exit?")) {

					if(completeOnExit == true) {
						if(document.getElementById('embryoTransferCount').value == 0)
							{return confirm('You have not added any Embryo Transfers. Exit anyway?');}
					}

				} else {
					return false;
				}
			}


			return true;
		}

		function toggleStufferStrain() {

			var stuffersRight = document.getElementById('embryoTransferProcedure.numberRightStuffers');
			var stuffersLeft = document.getElementById('embryoTransferProcedure.numberLeftStuffers');
			var stufferStrain = document.getElementById('embryoTransferProcedure.stufferStrainDictId');
			var stufferStrainLabel = document.getElementById('stufferStrainLabel');

			if(stuffersRight.value != 0 || stuffersLeft.value != 0) {
				stufferStrain.style.visibility = 'visible';
				stufferStrainLabel.style.visibility = 'visible';

			} else {

				stufferStrain.style.visibility = 'hidden';
				stufferStrainLabel.style.visibility = 'hidden';
			}
		}

		function toggleAnalgesia() {

			var analgesiaDose = document.getElementById('embryoTransferProcedure.doseAnalgesia');
			var analgesiaDictId = document.getElementById('embryoTransferProcedure.analgesiaDictId');
			var analgesiaDoseLabel = document.getElementById('analgesiaDoseLabel');
			var analgesiaDoseValue = document.getElementById('analgesiaDoseValue');

			if(analgesiaDictId.value == 1 ) {
				analgesiaDoseLabel.style.visibility = 'visible';
				analgesiaDoseValue.style.visibility = 'visible';
				if(analgesiaDose.value ==  -1){
				   analgesiaDose.value = 100;
				}

			} else {
				analgesiaDoseLabel.style.visibility = 'hidden';
				analgesiaDoseValue.style.visibility = 'hidden';
				analgesiaDose.value = -1;

			}
		}

		function getEarmarks() {
			var changeEarmarks = document.getElementById('changeEarmarks');
			changeEarmarks.value = 'true';
			document.forms[0].submit();
		}

		function toggleNewCage(newCage) {
			var cageElement = document.getElementById('cageElement');
			var rackElement = document.getElementById('rackElement');

			if(newCage === "true") {
				cageElement.style.display = 'none';
				rackElement.style.display = 'block';

			} else {
				cageElement.style.display = 'block';
				rackElement.style.display = 'none';
			}
		}

		function deleteTransfer(id) {
			if (confirm('Are you sure you want to permanently delete Embryo Transfer record #' + id + '?'))
			{
				document.location = 'edit_embryo_transfer_procedure.do?embryoTransferProcedure.id=' + id + '&delete=true';
			}
		}

		function toggleEarmark() {
			var earmarkDictId = document.getElementById('embryoTransferProcedure.mouse.earmarkDictId');
			var embryoTransferCageOrRackId = document.getElementById('embryoTransferCageOrRackId');

			if(!embryoTransferCageOrRackId.value) {
				earmarkDictId.disabled = true;
			} else {
			    earmarkDictId.disabled = false;
			}
		}

		function resetExitParams() {
			document.getElementById('completeOnExit').value = false;
			document.getElementById('exit').value = false;
		}

		function resetEarmarks() {
			document.getElementById('changeEarmarks').value = false;
		}

		function clearPPL() {
			document.getElementById('embryoTransferProcedure.mouseProcedure.protocol.projectLicenceId').value = "";
			document.getElementById('embryoTransferProcedure.mouseProcedure.protocol.projectLicence.displayText').value = "";
		}

		function changeDoseLabel( selectObjectValue ) {

			if( selectObjectValue  == 2 )
			  label = "&#956;l(10mg/ml Ketamine/ 0.1% Xylazine)";
			else if( selectObjectValue  == 1 )
			  label = "&#956;l(1.25%)";

			document.getElementById('anastheticDoseLabel').innerHTML = label;

		}

		</script>

	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="changeDoseLabel( 2 ); toggleStufferStrain(); toggleEarmark();toggleAnalgesia();">
		<gui:page>
			<c:choose>
				<c:when test="${!completed}">
					<gui:pageHeader name="New Embryo Transfers" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Edit Embryo Transfers" />
				</c:otherwise>
			</c:choose>

			<%@ include file="schedule_micro_injection_details.jspf"%>

			<gui:error-list title="Incomplete Form:" titleFont="16px"
				formErrorClass="formError" borderClass="borderTable"
				commandName="form" />

			<c:if test="${smi.embryoTransferCount > 0}">
				<gui:mig-box>
					<%@ include file="list_embryo_transfers.jspf"%>
				</gui:mig-box>
			</c:if>

			<c:set var="recoveryCage" value="Recovery Rack/Cage Barcode" />
			<c:set var="step1Label" value="STEP 1: Add Embryo Transfer" />
			<c:set var="addOrSaveButton" value="add" />
			<c:choose>
				<c:when test="${completed}">
					<c:set var="addOrSaveButton" value="save" />
					<c:if test="${! empty form.embryoTransferProcedure.id}">
						<c:set var="step1Label"
							value="Editing Embryo Transfer into ${form.embryoTransferProcedure.mouse.name} (${form.embryoTransferProcedure.mouse.earmark.name})" />
						<c:set var="display" value="block" />
					</c:if>
					<c:if test="${empty form.embryoTransferProcedure.id}">
						<c:set var="step1Label"
							value="Click 'edit' to modify one of the Embryo Transfers above." />
						<c:set var="display" value="none" />
					</c:if>

				</c:when>
				<c:otherwise>
					<c:if test="${! empty form.embryoTransferProcedure.id}">
						<c:set var="step1Label"
							value="STEP 1: Edit Embryo Transfer into ${form.embryoTransferProcedure.mouse.name} (${form.embryoTransferProcedure.mouse.earmark.name})" />
						<c:set var="addOrSaveButton" value="save" />
					</c:if>
					<c:if test="${smi.embryoTransferCount == 0}">
						<c:set var="recoveryCage" value="Recovery Rack Barcode" />
					</c:if>
				</c:otherwise>
			</c:choose>
			<br />
			<form:form commandName="form" action="edit_embryo_transfer_procedure.do">
				<div style="display: ${display};">
					<a name="edit"></a>
					<gui:mig-box label="${step1Label}">
						<c:if test="${!edit}">
							<ul	style="margin-top: 6px; font-size: 13px; margin-left: 20px; margin-bottom: 12px;">
								<li>
									Complete the form below then click 'save' for each Embryo
									Transfer performed in connection with this Microinjection. Note
									that default field values have been pre-populated.
								</li>
								<div style="font-size: 2px;">
									&nbsp;
								</div>
								<li>
									First, scan (or type followed by tab) a Rack Barcode to place
									recipient into a newly created cage within that rack. A new
									Cage Barcode will appear in the Embryo Transfer list above
									after having creating your first Embryo Transfer.
								</li>
								<div style="font-size: 2px;">
									&nbsp;
								</div>
								<li>
									You may add subsequent recipients to the same cage by copying
									&amp; pasting an existing Cage Barcode into the 'Recovery
									Rack/Cage ID' field, or add them to their own newly created
									cages by entering a Rack ID again.
								</li>
								<div style="font-size: 2px;">
									&nbsp;
								</div>
								<li>
									After you have finished adding Embryo Transfers, proceed to
									<a href="#step2">STEP 2 below</a> to complete the Embryo
									Transfer phase of this Scheduled Microinjection.
								</li>
							</ul>
						</c:if>
						<form:hidden path="embryoTransferProcedure.scheduledMicroInjectionId" />
						<form:hidden path="changeEarmarks" />
						<table class="migBoxInner">
							<tr>
								<td class="entryLabel" style="padding-top: 12px">
									${recoveryCage}
									<span class="formError">*</span>
								</td>
								<td class="entryData" style="padding-top: 12px">
									<form:input path="embryoTransferBarcode"
										cssStyle="width: 90px" onchange="toggleEarmark()"
										onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="5"
										onblur="validateBarcode(this, 'embryoTransferCageOrRackId','cage or rack', 'embryoTransferBarcodeDescription','embryoTransferBarcodeType');setTimeout('getEarmarks()',500);" />
									<form:input path="embryoTransferBarcodeDescription"	readonly="true" cssClass="readonly" />
									<form:hidden path="embryoTransferCageOrRackId" />
									<form:hidden path="embryoTransferBarcodeType" />
								</td>
								<td class="entryLabel" style="padding-top: 12px">
									PIL Holder
									<span class="formError">*</span>
								</td>
								<td class="entryData" style="padding-top: 12px">
									<gui:formPopup cssStyle="width: 200px"
										title="Lookup Licence Holder"
										path="embryoTransferProcedure.mouseProcedure.personalLicence.person.fullName"
										onclick="clearPPL(); openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=embryoTransferProcedure.mouseProcedure.personalLicence.personId,personName=embryoTransferProcedure.mouseProcedure.personalLicence.person.fullName')" />
									<form:hidden path="embryoTransferProcedure.mouseProcedure.personalLicence.personId" />
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Earmark
									<span class="formError">*</span>
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.mouse.earmarkDictId">
										<option value="">
											-- Please specify earmark --
										</option>
										<form:options items="${form.earmarks}" itemValue="id"
											itemLabel="name" />
									</form:select>
								</td>
								<td class="entryLabel">
									PPL
									<span class="formError">*</span>
								</td>
								<td class="entryData" nowrap="nowrap">
									<gui:formPopup
										path="embryoTransferProcedure.mouseProcedure.protocol.projectLicence.displayText"
										title="Lookup Project Licence" cssStyle="width: 525px"
										onclick="openDependentLookupList('lookup_project_licence.do?personId=','embryoTransferProcedure.mouseProcedure.personalLicence.personId','PIL Holder is empty','projectLicenceDisplayText=embryoTransferProcedure.mouseProcedure.protocol.projectLicence.displayText,projectLicenceId=embryoTransferProcedure.mouseProcedure.protocol.projectLicenceId')" />
									<form:hidden path="embryoTransferProcedure.mouseProcedure.protocol.projectLicenceId" />
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Recipient Female Weight
									<span class="formError">*</span>
								</td>
								<td class="entryData">
									<form:input path="embryoTransferProcedure.recipientWeight" cssStyle=" width: 50px;" />
									<span style="font-size: 13px; font-weight: bold;">g</span>
								</td>
								<td class="entryLabel">
									Plugged
									<span class="formError">*</span>
								</td>
								<td class="entryData">
									2.5 days
									<form:radiobutton path="embryoTransferProcedure.daysFromPlug" value="${daysFromPlugChoices[0]}" />
									0.5 days
									<form:radiobutton path="embryoTransferProcedure.daysFromPlug" value="${daysFromPlugChoices[1]}" />
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Embryos Left Horn
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.numberLeft">
										<option value="0">
											-- Select if any --
										</option>
										<form:options items="${embryoRange}" />
									</form:select>
								</td>
								<td class="entryLabel">
									Embryos Right Horn
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.numberRight">
										<option value="0">
											-- Select if any --
										</option>
										<form:options items="${embryoRange}" />
									</form:select>
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Stuffers Left Horn
								</td>
								<td class="entryData">
									<form:select onchange="toggleStufferStrain();"
										path="embryoTransferProcedure.numberLeftStuffers">
										<option value="0">
											-- Select if any --
										</option>
										<form:options items="${embryoRange}" />
									</form:select>
								</td>
								<td class="entryLabel">
									Stuffers Right Horn
								</td>
								<td class="entryData">
									<form:select onchange="toggleStufferStrain();"
										path="embryoTransferProcedure.numberRightStuffers">
										<option value="0">
											-- Select if any --
										</option>

										<form:options items="${embryoRange}" />
									</form:select>
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									&nbsp;
								</td>
								<td class="entryData">
									&nbsp;
								</td>
								<td class="entryLabel" id="stufferStrainLabel">
									Stuffer Strain
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.stufferStrainDictId">
										<option value="">
											-- Please specify stuffer strain --
										</option>
										<form:options items="${stufferStrains}" itemValue="id"
											itemLabel="name" />
									</form:select>
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Anaesthetic Used
									<span class='formError'>*</span>
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.anaestheticDictId" onchange="changeDoseLabel( this.options[this.selectedIndex].value );">
										<option value="">
											-- Please specify anaesthetic --
										</option>
										<form:options items="${anaesthetics}" itemValue="id"
											itemLabel="name" />
									</form:select>
								</td>
								<td class="entryLabel">
									Anaesthetic Dose
									<span class="formError">*</span>
								</td>
								<td class="entryData">
									<form:input path="embryoTransferProcedure.doseAnaesthetic" cssStyle=" width: 50px;" />
									<span style="font-size: 13px; font-weight: bold;" id="anastheticDoseLabel">

									</span>
								</td>
							</tr>
							<tr>
								<td class="entryLabel">
									Analgesia Used
								</td>
								<td class="entryData">
									<form:select onchange="toggleAnalgesia();"
										path="embryoTransferProcedure.analgesiaDictId">
										<option value=''>
											-- Please specify analgesia --
										</option>
										<form:options items="${analgesics}" itemValue="id"
											itemLabel="name" />
									</form:select>
								</td>
								<td class="entryLabel" id="analgesiaDoseLabel">
									Analgesia Dose
								</td>
								<td class="entryData" id="analgesiaDoseValue">
									<form:input path="embryoTransferProcedure.doseAnalgesia" cssStyle=" width: 50px;" />
									<span style="font-size: 13px; font-weight: bold;">&#956;l(0.3mg/ml)
									</span>
								</td>

							</tr>
							<tr>
								<td class="entryLabel">
									Transfer Type
									<span class='formError'>*</span>
								</td>
								<td class="entryData">
									<form:select path="embryoTransferProcedure.transferTypeDictId">
										<option value="">
											-- Please specify transfer type --
										</option>
										<form:options items="${transferTypes}" itemValue="id"
											itemLabel="name" />
									</form:select>
								</td>
								<td class="entryLabel">
									Date Completed
									<span class='formError'>*</span>
								</td>
								<td class="entryData">
									<form:input path="dateCompleted" cssClass="date" onblur="validateDateTime(this, true, false);" />
									<gui:dateTimePicker path="dateCompleted" datePicker="true" timePicker="false" autoPopUp="button" />
								</td>
							</tr>
							<tr>
								<td colspan="4" align="center">
									<div class="submitButtons" style="text-align: center; margin-bottom: 8px;">

										<!-- SUBMIT COMPLETED FORM does post, form submission -->

										<input type="submit" class="smallButton"
											onmouseover="this.className='smallButtonYellow'"
											onmouseout="this.className='smallButton'"
											style="color: #444; font-weight: bold; width: 54px;"
											name="_finish" value="${addOrSaveButton}"
											onclick="resetEarmarks(); resetExitParams();" />

										<div style="padding-top: 6px;">
											<span class='formError'>*</span> required field
										</div>
									</div>
								</td>
							</tr>
						</table>
					</gui:mig-box>

					<input type="hidden" name="exit" id="exit" value="false">
					<input type="hidden" name="embryoTransferCount"	id="embryoTransferCount" value='${smi.embryoTransferCount}'>
					<input type="hidden" name="completeOnExit" id="completeOnExit" value="false">
					<c:if test="${!edit}">
						<a name="step2"></a>
						<gui:mig-box label="STEP 2: Complete Embryo Transfers">
							<ul	style="margin-top: 6px; font-size: 13px; margin-left: 20px; margin-bottom: 12px">
								<li>
									When you have finished adding Embryo Transfers, click
									'Complete' to complete the Embryo Transfer phase of the
									Scheduled Microinjection.
									<div style="font-size: 2px;">
										&nbsp;
									</div>
								<li>
									If you have more Embryo Transfers to add, click 'Exit without
									Completing' to save the Embryo
									<br />
									Transfers added and come back to complete the Embryo Transfer
									phase at a later time.
							</ul>
							<table class="migBoxInner">
								<tr>
									<td style="padding: 8px;">
										<!-- EXIT (and complete ET if Collection > 0) -->

										<c:if test="${smi.embryoTransferCount > 0}">
											<input type="submit"
												style="font-weight: bold; font-size: 13px; width: 200px;"
												onclick="return confirmExit(${smi.availableEmbryos}, true);"
												value='Complete'>
										</c:if>

										<input type="submit"
											style="font-weight: bold; margin-left: 8px; font-size: 13px; width: 200px;"
											onclick="return confirmExit(${smi.availableEmbryos}, false);"
											value="Exit">
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</c:if>
				</div>
				<c:if test="${edit}">
					<input type="submit"
						style="font-weight: bold; margin-left: 8px; font-size: 13px; width: 200px;"
						onclick="document.getElementById('exit').value=true; document.getElementById('completeOnExit').value=false;"
						value="Finish Editing">
				</c:if>
			</form:form>
		</gui:page>
	</body>
</html>
