<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Microinjection</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
		function afterValidateDate(field) {
			var updateEmbryoHarvestList =  document.getElementById("updateEmbryoHarvestList");
			updateEmbryoHarvestList.value = 'true';
			document.forms[0].submit();
		}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13) {return false;}">
		<gui:page>
			<c:choose>
				<c:when test="${empty form.microInjection.id}">
					<gui:pageHeader name="New Microinjection" />				
				</c:when>
				<c:otherwise>
				    <fmt:formatDate var="date" value="${form.microInjection.dateCompleted}" pattern="EEEEEE, d MMMMM yyyy" />
				    <gui:pageHeader name="Edit Microinjection (completed ${date})" />
				</c:otherwise>
			</c:choose>
			
			<%@ include file="schedule_micro_injection_details.jspf" %>
		 	
		 	<br />
			<form:form commandName="form" action="edit_micro_injection.do?">
			<input type="hidden" id="updateEmbryoHarvestList" name = "updateEmbryoHarvestList" value = ""/>	
			<gui:error-list title="Error:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>	
				<table class="migBoxInner">
					<tr>
						<td colspan="2">
							<%@ include file="list_embryo_harvest_summary.jspf" %>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Technician <span class='formError'>*</span> 
						</td>
						<td class="entryData">
							<gui:formPopup path="microInjection.technician.displayText" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=microInjection.technicianId,personName=microInjection.technician.displayText')" cssClass="person" />
							<form:hidden path="microInjection.technicianId"/> 
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Embryos Injected <span class="formError">*</span> 
						</td>
						<td class="entryData">
							<form:input path="microInjection.injectedEmbryoCount"/>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Embryo Stage <span class="formError">*</span> 
						</td>
						<td class="entryData">
							<form:select path="microInjection.embryoStageDictId">
								<option value=''>-- Please specify embryo stage --</option>
								<form:options items="${embryoStages}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							<div style="padding-bottom: 3px;">ES Cells Per Embryo From <span class="formError">*</span> </div>
						</td>
						<td class="entryData">
							<form:select path="microInjection.esCellsPerEmbryoFrom">
								<option value="">-- Please specify range from--</option>
								<form:options items="${range}"/>
							</form:select>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							<div style="padding-bottom: 3px;">ES Cells Per Embryo To <span class="formError">*</span> </div>
						</td>
						<td class="entryData">
							<form:select path="microInjection.esCellsPerEmbryoTo">
								<option value=''>-- Please specify range to--</option>
								<form:options items="${range}"/>
							</form:select>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Date Completed <span class="formError">*</span> 
						</td>
						<td class="entryData">
							<form:input path="microInjection.dateCompleted" cssClass="date" onblur="validateDateTime(this, true, false);" onchange="afterValidateDate(this);" />
							<gui:dateTimePicker path="microInjection.dateCompleted" datePicker="true" timePicker="false" autoPopUp="button" />
							<input type="button" value="refresh" class="smallButton" style="font-size: 9px; height: 18px; margin-bottom: 2px; margin-left: 1px;" />	
						</td>
					</tr>
					<tr>
						<td class="entryLabelT">
							Comments
						</td>
						<td class="entryData">
							<form:textarea cssStyle="text-align:left" cols="100" 
								rows="5" id="comments" path="microInjection.comments"/>
						
						<div style='font-size:6px;'>&nbsp;</div>
						 <span class="formError">*</span> required field
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<div class="submitButtons">										
				<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="button" name="_cancel" value="Cancel" onclick="history.back();" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>
			</form:form>
		</gui:page>
	</body>
</html>