<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Available Embryo Harvests</title>
		<meta http-equiv="Content-Type"	content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
		function submitSearch() {
			if (validateInput()) {
				setNewQuery('true');
				setPaginated('true');
				return true
			}
			else {
				return false;
			}
		}
		</script>
	</head>
	<body>
		<gui:page>
			<c:choose>
				<c:when test="${!empty searchBean.flushDate}">
					<fmt:formatDate var="flushDate" value="${searchBean.flushDate}"
						pattern="EEEEEE, d MMMMM yyyy" />
					<gui:pageHeader
						name="Details of Embryo Harvests Flushed on ${flushDate}" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Details of All Embryo Harvests"></gui:pageHeader>
				</c:otherwise>
			</c:choose>

			<form:form commandName="searchBean"
				action="list_embryo_harvests.do?bypassForm=true&paginated=true&orderBy=id"
				method="GET" onsubmit="return submitSearch();">

				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td valign="top" width="290px">
							<gui:filterBox>
								<table>
									<tr>
										<td class="filterLabel">
											Flush Date
										</td>
										<td class="filterData">
											<form:input path="flushDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="flushDate" datePicker="true" timePicker="false" autoPopUp="button" />
											<input type="button" value="refresh" class="smallButton"
												onclick="setNewQuery('true'); setPaginated('true'); submitForm();" />
										</td>
									</tr>
								</table>
							</gui:filterBox>
						</td>
						<td align=right>
							<img src='images/embryoHarvest.jpg' height="70px">
						</td>
					</tr>
					<tr>
						<td colspan=2>
							<div class="listPaginated">
								<c:choose>
									<c:when test="${!empty availableEmbryoHarvestList}">
										<gui:paginate bean="${searchBean}" />
										<table class="listPaginated">
											<thead class="listPaginatedHeader">
												<tr>
													<th>
														Options
													</th>
													<th>
														<gui:paginate-order-by orderBy="FLUSH_DATE"
															bean="${searchBean}">Flush Date<br />
														</gui:paginate-order-by>
													</th>
													<th>
														Technician
													</th>
													<th>
														Paternal
														<br />
														Strain
													</th>
													<!-- 
											<th>Paternal<br />Coat Colour</th>
											-->
													<th>
														<b>Number<br />Injectable</b>
													</th>
													<th>
														<gui:paginate-order-by orderBy="TOTAL_DONORS"
															bean="${searchBean}">Total<br />Donors<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="BLASTOCYST_COUNT"
															bean="${searchBean}">Blastocysts<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="MORALAE_COUNT"
															bean="${searchBean}">Morulae<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="EIGHT_CELL_COMP_COUNT"
															bean="${searchBean}">8-Cell<br />Comps.<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="EIGHT_CELL_NON_COMP_COUNT"
															bean="${searchBean}">8-Cell<br />Non-Comps.<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="FOUR_CELL_COUNT"
															bean="${searchBean}">4-Cell<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="HATCHED_COUNT"
															bean="${searchBean}">Hatched<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="DEAD_OR_FRAGMENTED_COUNT"
															bean="${searchBean}">Dead or<br />Frag.<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="OTHER_EMBRYO_TYPE_COUNT"
															bean="${searchBean}">Other<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="PLUG_CHECK_DATE"
															bean="${searchBean}">Plug Date<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="OVERNIGHT_INCUBATION"
															bean="${searchBean}">Overnight<br />Incubation?<br />
														</gui:paginate-order-by>
													</th>
													<th>
														<gui:paginate-order-by orderBy="COMMENTS"
															bean="${searchBean}">Comments</gui:paginate-order-by>
													</th>
												</tr>
											</thead>
											<c:forEach items="${availableEmbryoHarvestList}" var="record">
												<gui:toggle-row-class
													recordId1="${searchBean.currentRecordId}"
													recordId2="${record.id}" />
												<tr class="${rowClass}">
													<td align="center">
														<a href="edit_embryo_harvest.do?embryoHarvestId=${record.id}&redirect=${redirect}&smiId=${smiId}&redirectId=${redirectId}">
															<img src="images/edit.gif" title="Edit Embryo Harvest">
														</a>
													</td>
													<td nowrap=nowrap style='color: #990000;'>
														<fmt:formatDate value="${record.flushDate}"
															pattern="dd-MMM-yyyy" />
													</td>
													<td>
														${record.technician.fullName}
													</td>
													<td nowrap=nowrap>
														${record.fatherStrain.name}
													</td>
													<!-- 
													<td>
														${record.fatherCoatColourDict.name}
													</td>
													-->
													<td>
														${record.injectableHarvestCount}
													</td>
													<td>
														${record.totalDonors}
													</td>
													<td>
														${record.blastocystCount}
													</td>
													<td>
														${record.moralaeCount}
													</td>
													<td>
														${record.eightCellCompCount}
													</td>
													<td>
														${record.eightCellNonCompCount}
													</td>
													<td>
														${record.fourCellCount}
													</td>
													<td>
														${record.hatchedCount}
													</td>
													<td>
														${record.deadOrFragmentedCount}
													</td>
													<td>
														${record.otherEmbryoTypeCount}
													</td>
													<td nowrap=nowrap>
														<fmt:formatDate value="${record.plugCheckDate}"	pattern="dd-MMM-yyyy" />
													</td>
													<td>
														<c:choose>
														<c:when test="${record.overnightIncubation == true}">
														Yes
														</c:when>
														<c:otherwise>
														No
														</c:otherwise>
														</c:choose>
													</td>
													<td>
														${record.comments}
													</td>
												</tr>
											</c:forEach>
										</table>
									</c:when>
									<c:otherwise>
										<gui:paginate hideDisplayText="true" bean="${searchBean}" />
											No Embryo Harvests available for <fmt:formatDate value="${searchBean.flushDate}" pattern="dd-MMM-yyyy" />.<br />
										<br />
										Click <a href="edit_embryo_harvest.do">here</a> to add new Embryo Harvest to use for microinjection.
									</c:otherwise>
								</c:choose>
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
