<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Scheduled Microinjections</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
	
			function completeSmi(id) {
				if (confirm('Are you certain you would like to complete this Scheduled Microinjection?'))
				{
					document.location = 'complete_scheduled_micro_injection.do?id=' + id;
				}
			}
		
		</script>
		<style>
			.progressButton {width:130px; height:30px; border: 1px solid #999; background:#d1d1d1;color:#111;}
		</style>
	</head>

	<body>
		<gui:page>
			<gui:pageHeader name="Scheduled Microinjection Jobs" />
			<form:form commandName="searchBean" action="list_scheduled_micro_injections.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />

				<c:choose>
					<c:when test="${!viewOne}">
						<gui:filterBox>
							<table>
								<tr>
									<td class="filterLabel" style="background: #fff;">
										Status
									</td>
									<td class="filterData" style="background: #fff;">
										<form:select cssClass="statusSelect" path="customFilterId" onchange="setNewQuery('true');submitForm();">
											<option value="">
												---- All ----
											</option>
											<form:option value="0" label="Active" />
											<form:option value="1" label="Cancelled/Failed" />
											<form:option value="2" label="Endpoint Reached" />
										</form:select>
									</td>
									<td class="filterLabel">
										Next task to complete
									</td>
									<td class="filterData">
										<form:select cssClass="statusSelect" path="nextTaskToCompleteId" onchange="setNewQuery('true');setOrderBy('target_schedule_date');submitForm();">
											<option value="">
												---- All ----
											</option>
											<form:option value="0" label="Microinjection" />
											<form:option value="1" label="Embryo Transfer" />
											<form:option value="2" label="F0 Weaning" />
											<form:option value="3" label="F1 Genotying" />
										</form:select>
									</td>
								</tr>
								<tr>
									<td class="filterLabel">
										Date from
									</td>
									<td class="filterData">
										<form:input path="targetScheduleDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
										<gui:dateTimePicker path="targetScheduleDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
										<input type="button" value="refresh" class="smallButton" style="font-size: 9px; height: 18px; margin-bottom: 2px; margin-left: 1px;" onclick="setNewQuery('true');submitForm();" />
									</td>
									<td class="filterLabel" style="text-align: right;">
										Date to
									</td>
									<td class="filterData">
										<form:input path="targetScheduleDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
										<gui:dateTimePicker path="targetScheduleDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
										<input type="button" value="refresh" class="smallButton" style="font-size: 9px; height: 18px; margin-bottom: 2px; margin-left: 1px;" onclick="setNewQuery('true');submitForm();" />
									</td>
								</tr>
							</table>
						</gui:filterBox>

						<c:if test="${!empty searchBean.targetScheduleDateFrom}">
							<fmt:formatDate var="fromDate" value="${searchBean.targetScheduleDateFrom}" pattern="EEEEEE, d MMMMM yyyy" />
							<c:set var="fromMsg" value="${fromDate} " />
						</c:if>
						<c:if test="${!empty searchBean.targetScheduleDateTo}">
							<fmt:formatDate var="toDate" value="${searchBean.targetScheduleDateTo}" pattern="EEEEEE, d MMMMM yyyy" />
							<c:set var="toMsg" value="${toDate}" />
						</c:if>

						<c:choose>
							<c:when test="${!empty fromMsg  && !empty toMsg}">
								<c:set var="label" value="Scheduled Microinjection Jobs <span style='font-size: 15px; color: #656565; font-weight: bold; text-transform: uppercase;'>${fromMsg} - ${toMsg}</span>" />
							</c:when>
							<c:otherwise>
								<c:set var="label" value="Scheduled Microinjection Jobs" />
							</c:otherwise>
						</c:choose>

					</c:when>

					<c:otherwise>
						<c:set var="label" value="Scheduled Microinjection ${smiList[0].jobId}" />
					</c:otherwise>
				</c:choose>

				<div class="listPaginated">
					<gui:paginate hideDisplayText="false" bean="${searchBean}" />
					<gui:mig-box label="${label}">
						<table class="migBoxInner">
							<tr>
								<c:if test="${empty smiList}">
									<td class="migBoxStatement">
										No Scheduled Microinjections were found for these filter criteria.
										<br />
								</c:if>
								<c:if test="${!empty smiList}">
									<td>
										<table align="right" width="50%">
											<tr>
												<td>
													&nbsp;
												</td>
												<td width="485px" align="right">
													<table align="right">
														<tr>
															<td class="miCompleted" style="font-size: 11px; width: 17px; border: 0px;">
																&nbsp;
															</td>
															<td style="font-size: 11px; width: 76px">
																Microinjection Complete
															</td>
															<td class="miEmbryoTransferCompleted" style="width: 17px; border: 0px;"></td>
															<td style="font-size: 11px; width: 84px">
																Embryo Transfer Complete
															</td>

															<td class="miF0sWeanedComplete" style="width: 17px; border: 0px;">
																&nbsp;
															</td>
															<td style="font-size: 11px; width: 75px">
																F0s Weaned
															</td>

															<td class="miF1sGenotypedComplete" style="width: 17px; border: 0px;">
																&nbsp;
															</td>
															<td style="font-size: 11px; width: 72px">
																F1s Genotyped
															</td>
														</tr>
													</table>
												</td>
											</tr>
											<tr>
												<td>
													&nbsp;
												</td>
												<td>
													<table cellpadding=0 cellspacing=0 border=0 align="right" width="437px">
														<tr>
															<td style="text-align: center; border-bottom: 2px #999 solid; margin-bottom:0px; letter-spacing: 0.2em; font-size: 15px; font-weight: bold; color: #777;">
																WORK COMPLETED:
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</td>
							</tr>
							<tr>
								<td>
									<table class="listPaginated" id="guiTableNameRequestDetails">
										<thead class="listPaginatedHeader">
											<tr>
												<control:accessControl roles="admin,mgp-admin,senior-tgx">
													<th style="vertical-align: bottom; text-align: center; font-weight: bold;">
														Options
													</th>
												</control:accessControl>
												<th>
													<gui:paginate-order-by orderBy="job_id" bean="${searchBean}">
													 Job #<br />
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="internal_status_id" bean="${searchBean}">
													Status<br />
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="TARGET_SCHEDULE_DATE" bean="${searchBean}">
													Target<br />MI Date
												</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="micro_injection_request_id" bean="${searchBean}">
													MI Req.<br />
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="requester_name" bean="${searchBean}">
													Requester<br />
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="cell_line_name" bean="${searchBean}">
													Cell Line<br />
													Name<b style='font-size:14px;'> / </b> Clone
												</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="cell_line_provider_name_no" bean="${searchBean}">
													Actual Cell<br />Line Provider
												</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="endpoint_id" bean="${searchBean}">
													Endpoint<br />
													</gui:paginate-order-by>
												</th>

												<!-- MILESTONES -->
												<th style="font-size:13px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;border-left: dotted 1px #999;">
													&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<br />
													<u>Microinjection</u>
												</th>
												<th style="font-size:13px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;">
													&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<br />
													<u>Embryo&nbsp;Transfer</u>
												</th>
												<th style="font-size:13px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;">
													&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<br />
													<u>F0s&nbsp;Weaned</u>
												</th>
												<th style="font-size:13px; color:#777; text-align:center; background:#fff; border-right:dotted 1px #999;">
													&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
													<br />
													<u>F1s&nbsp;Genotyped</u>
												</th>
											</tr>
										</thead>

										<c:forEach items="${smiList}" var="record">
											<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
											<tr class="${rowClass}">
												<control:accessControl roles="admin,mgp-admin,senior-tgx">
													<td nowrap style="text-align: center;">
														<c:if test="${record.active && !record.endpointReached}">
															<!-- ABORT (CANCEL/FAIL) -->
															<a href="deactivate_scheduled_micro_injection.do?id=${record.id}" title="Cancel or Fail"> <span style='font-size:10px;'>abort</span> </a>
														</c:if>
													</td>
												</control:accessControl>
												<td>
													<b> ${record.jobId} </b>
												</td>
												<td>
													${record.internalStatusName}
												</td>
												<td style='color: #990000;'>
													<fmt:formatDate value="${record.targetScheduleDate}" pattern="dd-MMM-yyyy" />
												</td>
												<td height=25 style='font-weight:bold;'>
													<a href="view_one_mi_request.do?id=${record.miRequestId}"> ${record.miRequestId} </a>
												</td>
												<td>
													${record.requesterName}
												</td>

												<td>
													${record.cellLineName}
													<b style='font-size:14px;'> / </b> ${record.cellLineClone}
												</td>
												<td>
													${record.cellLineProviderNameNo}
												</td>
												<td style='text-transform: uppercase; font-weight: bold;color:#777;'>
													${record.endpointName}
												</td>

												<control:if roles="admin,mgp-admin,senior-tgx,junior-tgx">
													<control:then>

														<!-- MILESTONES miCompletionDate -->
														<c:if test="${!empty record.miCompletionDate}">
															<c:choose>
																<c:when test="${!record.active}">
																	<td width="100px" class="miCompleted" title="Microinjection Complete">
																		&nbsp;
																		<!--<fmt:formatDate value="${record.miCompletionDate}" pattern="dd-MMM-yyyy"/> -->
																		&nbsp;
																	</td>
																</c:when>
																<c:otherwise>
																	<td class="miCompleted" width="100px" title="MI Completed">
																		<!-- <br /><fmt:formatDate value="${record.miCompletionDate}" pattern="dd-MMM-yyyy"/> -->
																		<a href="edit_micro_injection.do?microInjection.scheduledMicroInjectionId=${record.id}&id=${record.microInjectionId}"> <img src="images/edit.gif" title="Edit Microinjection">
																		</a>
																	</td>
																</c:otherwise>
															</c:choose>
														</c:if>

														<c:if test="${empty record.miCompletionDate}">
															<c:choose>
																<c:when test="${record.active && record.microinjectionNextTaskToComplete}">
																	<td class="miBlank" width="100px" style="border-left: dotted 1px #999;">
																		<gui:link-button href="edit_micro_injection.do?microInjection.scheduledMicroInjectionId=${record.id}" text="to complete" mouseOverColor="yellow" />
																	</td>
																</c:when>
																<c:otherwise>
																	<td class="miBlankFirst" width="100px">
																		&nbsp;
																	</td>
																</c:otherwise>
															</c:choose>
														</c:if>

														<!-- MILESTONES embryoTransferCompletionDate -->
														<c:if test="${!empty record.embryoTransferCompletionDate}">
															<c:choose>
																<c:when test="${!record.active}">
																	<td class="miEmbryoTransferCompleted" width="105px" title="Embryo Transfer Completed">
																		&nbsp;
																		<!-- <br /><fmt:formatDate value="${record.embryoTransferCompletionDate}" pattern="dd-MMM-yyyy"/> -->
																	</td>
																</c:when>
																<c:otherwise>
																	<td class="miEmbryoTransferCompleted" width="105px" title="Embryo Transfer Completed">
																		<!-- <br /><fmt:formatDate value="${record.embryoTransferCompletionDate}" pattern="dd-MMM-yyyy"/> -->
																		<a href="edit_embryo_transfer_procedure.do?embryoTransferProcedure.scheduledMicroInjectionId=${record.id}"> <img src="images/edit.gif" title="Edit Embryo Transfer"> </a>
																	</td>
																</c:otherwise>
															</c:choose>
														</c:if>

														<c:if test="${empty record.embryoTransferCompletionDate}">
															<c:choose>
																<c:when test="${record.active && record.embryoTransfertNextTaskToComplete}">
																	<td class="miBlank" width="105px">
																		<gui:link-button href="edit_embryo_transfer_procedure.do?embryoTransferProcedure.scheduledMicroInjectionId=${record.id}" text="to complete" mouseOverColor="yellow" />
																	</td>
																</c:when>
																<c:otherwise>
																	<td class="miBlank" width="105px">
																		&nbsp;
																	</td>
																</c:otherwise>
															</c:choose>
														</c:if>

														<!-- MILESTONES f0CompletionDate -->
														<c:choose>

															<c:when test="${!record.embryonicChimeraEndpoint}">
																<c:choose>
																	<c:when test="${!empty record.f0CompletionDate}">
																		<td class="miF0sWeanedComplete" width="100px" title="F0 Wean Completed">
																			${record.f0Status}
																		</td>
																	</c:when>
																	<c:otherwise>
																		<c:choose>
																			<c:when test="${record.active && record.f0WeanNextTaskToComplete}">
																				<td class="miBlank" width="100px" style="font-size:10px;">
																					awaiting RSF
																					<br />
																					completion
																			</c:when>
																			<c:otherwise>
																				<td class="miBlank" width="100px" style='background:#eaeaea;'>
																					&nbsp;
																				</td>
																			</c:otherwise>
																		</c:choose>
																	</c:otherwise>
																</c:choose>

															</c:when>

															<c:otherwise>
																<td class="miNotUsed" width="100px" title="Not applicable">
																	<img src="images/mibarNA.gif">
																</td>
															</c:otherwise>

														</c:choose>

														<!-- MILESTONES f1CompletionDate -->
														<c:choose>
															<c:when test="${record.f1Endpoint}">
																<c:choose>
																	<c:when test="${!empty record.f1CompletionDate}">
																		<td class="miF1sGenotypedComplete" width="100px" title="Genotyping Completed">
																			${record.f1Status}
																		</td>
																	</c:when>
																	<c:otherwise>
																		<c:choose>
																			<c:when test="${record.active && record.f1GenotypeNextTaskToComplete}">
																				<td class="miBlank" width="100px" style="font-size:10px;line-height:0.9;">
																					awaiting RSF
																					<br />
																					completion
																				</td>
																			</c:when>
																			<c:otherwise>
																				<td class="miBlank" width="100px">
																					&nbsp;
																				</td>
																			</c:otherwise>
																		</c:choose>
																	</c:otherwise>
																</c:choose>
															</c:when>

															<c:otherwise>
																<td class="miNotUsed" width="100px" title="Not applicable">
																	<img src="images/mibarNA.gif">
																</td>
															</c:otherwise>
														</c:choose>

													</control:then>

													<control:else>

														<!-- For non-priveleged users we present read-only data with the actual dates of completion -->

														<!-- MILESTONES miCompletionDate -->
														<c:if test="${!empty record.miCompletionDate}">
															<td width="100px" class="miCompleted" title="Microinjection Complete">
																&nbsp;
																<fmt:formatDate value="${record.miCompletionDate}" pattern="dd-MMM-yyyy" />
																&nbsp;
															</td>
														</c:if>

														<c:if test="${empty record.miCompletionDate}">
															<td class="miBlankFirst" width="100px">
																&nbsp;
															</td>
														</c:if>

														<!-- MILESTONES embryoTransferCompletionDate -->
														<c:if test="${!empty record.embryoTransferCompletionDate}">
															<td class="miEmbryoTransferCompleted" width="105px" title="Embryo Transfer Completed">
																&nbsp; &nbsp;
																<fmt:formatDate value="${record.embryoTransferCompletionDate}" pattern="dd-MMM-yyyy" />
																&nbsp;
															</td>
														</c:if>

														<c:if test="${empty record.embryoTransferCompletionDate}">
															<td class="miBlank" width="105px">
																&nbsp;
															</td>
														</c:if>

														<!-- MILESTONES f0CompletionDate -->
														<c:if test="${!record.embryonicChimeraEndpoint}">

															<c:if test="${!empty record.f0CompletionDate}">
																<td class="miF0sWeanedComplete" width="100px" title="F0 Wean Completed">
																${record.f0Status}
																</td>
															</c:if>

															<c:if test="${empty record.f0CompletionDate}">
																<c:choose>
																	<c:when test="${record.active && record.f0WeanNextTaskToComplete}">
																		<td class="miBlank" width="100px" style="font-size:10px;">
																			awaiting RSF
																			<br />
																			completion
																	</c:when>
																	<c:otherwise>
																		<td class="miBlank" width="100px" style='background:#eaeaea;'>
																			&nbsp;
																		</td>
																	</c:otherwise>
																</c:choose>
															</c:if>
														</c:if>

														<c:if test="${record.embryonicChimeraEndpoint}">
															<td class="miNotUsed" width="100px" title="Not applicable">
																<img src="images/mibarNA.gif">
															</td>
														</c:if>

														<!-- MILESTONES f1CompletionDate -->
														<c:if test="${record.f1Endpoint}">
															<c:if test="${!empty record.f1CompletionDate}">
																<td class="miF1sGenotypedComplete" width="100px" title="Genotyping Completed">
																	${record.f1Status}
																</td>
															</c:if>
															<c:if test="${empty record.f1CompletionDate}">
																<c:choose>
																	<c:when test="${record.active && record.f1GenotypeNextTaskToComplete}">
																		<td class="miBlank" width="100px" style="font-size:10px;line-height:0.9;">
																			awaiting RSF
																			<br />
																			completion
																		</td>
																	</c:when>
																	<c:otherwise>
																		<td class="miBlank" width="100px">
																			&nbsp;
																		</td>
																	</c:otherwise>
																</c:choose>
															</c:if>
														</c:if>

														<c:if test="${!record.f1Endpoint}">
															<td class="miNotUsed" width="100px" title="Not applicable">
																<img src="images/mibarNA.gif">
															</td>
														</c:if>
													</control:else>
												</control:if>
											</tr>
										</c:forEach>
									</table>
									</c:if>
								</td>
							</tr>
						</table>
					</gui:mig-box>
			</form:form>
		</gui:page>
	</body>
</html>
