<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Meta Data</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<style type="text/css">
			#alleleControlWrapper{height: 100px;}
		</style>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript">
		var disableLookup = false;
		function lookup() {
			if (!disableLookup) { openLookupList('lookup_allele.do','primaryName=cellLine.modifiedAllele.migGene.primaryName,officialNameSuperscript=cellLine.modifiedAllele.officialNameSuperscript')};
		}
		var GENOTYPE_WILDTYPE = 1;

		function setAlleleControl(genotype) {
			if (genotype == GENOTYPE_WILDTYPE) {
				$('#alleleControl').fadeOut('normal');
				$('#cellLine\\.modifiedAllele\\.migGene\\.primaryName').attr('value','');
				$('#cellLine\\.modifiedAllele\\.officialNameSuperscript').attr('value','');
				$('#alleleId').attr('value','');
			}
			else {
				$('#alleleControl').fadeIn('normal');
			}
		}

		$(document).ready(function() {
			$('#cellLine\\.genotypeDictId').change(function() {
				setAlleleControl(this.value);
			});
		});
		</script>

	</head>
	<body>

		<gui:page>
			<gui:pageHeader>
				<c:if test="${form.cellLine.id == null}">
	            	Enter New Cell Line
				</c:if>
				<c:if test="${form.cellLine.id > 0}">
	            	Edit Cell Line: ${form.cellLine.cellLineName}
		            <c:if test="${!empty form.cellLine.cloneName}">
		            (${form.cellLine.cloneName})
					</c:if>
				</c:if>
			</gui:pageHeader>
			<form:form commandName="form" action="edit_cell_line.do">
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel" width="120px">
							Genotype:
						</td>
						<td class="entryData" width="320px">
							<form:select path="cellLine.genotypeDictId">
								<option value=''>-- Please specify cell line genotype --</option>
								<form:options items="${genotypes}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
						<td valign="top" rowspan=2>
							<c:if test="${form.cellLine.genotypeDictId == 1}">
								<c:set var="acDisplay" value="style='display: none;'"/>
							</c:if>

							<div id="alleleControlWrapper">
							<table id="alleleControl" cellspacing="0px" cellpadding="0px" ${acDisplay}>
								<tr id="alleleLabel">
									<td colspan=2>
										<b>Search &amp; Set Allele From MIG Database</b>
									</td>
								</tr>
								<tr>
									<td colspan=2>
										If unable to find desired allele, please click <a href="edit_allele_info.do?edit_cell_line=true">here</a> to add a new allele<br />to the MIG Database, then return to this page to complete form.
									</td>
								</tr>
								<tr>
									<td width="385px" valign="middle" align="left" onclick="lookup();">
										<div style="border: #B0B0B0 solid 1px; background-color: #ffffdd; height: 32px; cursor: pointer;">
											<gui:formPopup path="cellLine.modifiedAllele.migGene.primaryName" cssStyle="position: relative; top: 10px; left: 0px; width: 155px; text-align: right; border-right: 0px; margin: 0px; padding: 0px; border: 0px;" noimage="true" onclick="" />
											<gui:formPopup path="cellLine.modifiedAllele.officialNameSuperscript" cssStyle="position: relative; left: -2px; width: 180px; border-left: 0px; margin: 0px; padding: 0px; border: 0px;" onclick="" noimage="true" />
										</div>
									</td>
									<td align="left">
										<img src="images/lookup.gif" title="Lookup Allele" onclick="lookup();" style="cursor: pointer;" />
										<form:hidden id="alleleId" path="cellLine.modifiedAlleleId" />
									</td>

								</tr>
							</table>
							</div>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">
							Strain:
						</td>
						<td class="entryData">
							<form:select path="cellLine.cellLineStrainDictId">
								<option value="">-- Please specify cell line strain --</option>
								<form:options items="${cellLineStrains}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel" width="120px">Cell Line Name:</td>
						<td class="entryData">
							<form:input path="cellLine.cellLineName" cssStyle="width: 180px;" />
						</td>
						<td class="entryLabel">Clone ID:</td>
						<td class="entryData" width="210px">
							<form:input path="cellLine.cloneName" cssStyle="width: 180px;" />
						</td>
						<td class="entryLabel" width="170px">Expected Coat Colour:</td>
						<td class="entryData">
							<form:select path="cellLine.expectedCoatColorDictId">
								<option value=''>-- Please specify expected coat colour --</option>
								<form:options items="${expectedCoatColors}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
					</tr>
					<tr>
						<td class="entryLabel">Cell Line Source:</td>
						<td class="entryData">
							<form:select path="cellLine.cellLineSourceDictId">
								<option value=''>-- Please specify cell line source --</option>
								<form:options items="${cellLineSources}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
						<td class="entryLabel">
							Cell Line Provider:
						</td>
						<td class="entryData">
							<gui:formPopup path="cellLineProviderName" cssClass="person" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=cellLineProviderId,personName=cellLineProviderName');" title="Cell Line Provider"/>
							<form:hidden path="cellLineProviderId"/>
						</td>

						<td class="entryLabel">Funding:</td>
						<td class="entryData">
							<form:select path="cellLine.fundingDictId">
								<option value=''>-- Please specify funding source --</option>
								<form:options items="${fundings}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>

					</tr>
				</table>
			</gui:mig-box>

			<div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" onclick="style='cursor: wait'; return true;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />

				<c:if test="${form.cellLine.id == null}">
	            	<input type="button" name="_cancel" value="Cancel" onclick="document.location = 'list_cell_lines.do?bypassForm=true&newQuery=true&paginated=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</c:if>
				<c:if test="${form.cellLine.id > 0}">
	            	<input type="button" name="_cancel" value="Cancel" onclick="document.location = 'list_cell_lines.do?bypassForm=true&newQuery=true&paginated=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</c:if>
			</div>
		</form:form>
		</gui:page>

	</body>
</html>
