<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Microinjection Request Record</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/toggleVisibility.js"></script>

		<style>

			.autoModeValues {
				font-weight:bold;
				font-size:14px;
				color:#888;
			}

		</style>

		<script type="text/javascript">

			function initElements() {

				addParent("miRequest.endpointDictId");
				addChild("miRequest.donorEmbryoStageDictId","3","${form.miRequest.endpointDictId}","","toggleEmbryoStage");
				addChild("miRequest.chimeraMateStrainDictId","1","${form.miRequest.endpointDictId}","","toggleChimeraMateStrain");

				addParent("genotypeTestExists");
				addChild("toggleGenotypeTestMessage","false","${form.genotypeTestExists}","","toggleGenotypeTestMessage");

				initElementVisibility();
			}

			function lookupListPostProcessing() {
				initElementVisibility();
			}


			function trimToUpperCase(str) {

				return jQuery.trim ( str.toUpperCase() );
			}

			function autoCreate() {

				$("#epdId").val( trimToUpperCase( $("#epdId").val()) );
				$("#formChange").val( true );
				document.forms[0].submit();

			}

			$(document).ready(function() {

			   $("#automatedEpdMode1:checkbox").click(function() {

					 $(".manualMode").find("input").val(""); //clear input fields of manual mode
					 $(".autoModeValues").text(""); //clear vals of auto mode
					 $(".autoModeValues").val("");
					 toggleModeVisibility();
			   }),

			   toggleModeVisibility()

			});

			function toggleModeVisibility() {

			   if( $("#automatedEpdMode1").attr("checked") ) {

					$(".manualMode").hide();
					$(".autoMode").show();

			  	} else {

					$(".autoMode").hide();
					$(".manualMode").show();
			  	}

			}



		</script>
	</head>



	<body onload="initElements();">
		<gui:page>
			<c:choose>
				<c:when test="${empty form.miRequest.id}">
					<gui:pageHeader name="Submit New Microinjection Request" />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Edit Microinjection Request #${form.miRequest.id}" />
				</c:otherwise>
			</c:choose>

			<gui:error-list commandName="form"><br /></gui:error-list>

			<form:form commandName="form" action="edit_mi_request.do">
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td colspan="4" class="info">
			     				<p>By using this form you acknowledge and understand that:</p>
			      				<ul>
			        				<li class="info">ES cells that have been cultured outside the WTSI (Team 87) facility must have external testing results for MAP and mycoplasma status.</li>
			        				<li class="info">Chimeras &amp; F1 mice from projects not to be genotyped by the MGP will be transferred to the requester's space when the F1s reach six weeks. Mice not transferred on time will be culled.</li>
			        				<li class="info">Mice from projects genotyped by the MGP will be transferred when the confirmed F1 hets are 5 weeks. Animals not transferred by 6 weeks will be culled.</li>
			        				<li class="info">Up to 10 F1 hets will be transferred in addition to the chimeras.</li>
		      					</ul>
		      				</td>
		      			</tr>
					</table>
				</gui:mig-box>



				<gui:mig-box>
					<table class="migBoxInner">


						<tr>
						<td width="25%" class="viewLabelSmall">&nbsp;</td>
							<td>

							<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx">
							  <form:checkbox path="automatedEpdMode" />Auto-Create Allele, Cell Line & Colony?
							</control:accessControl>

							<input type="hidden" id="formChange" name="formChange" value="false"/>
							<form:hidden path="validEpdModelDerived"/>

							</td>
						</tr>

						<tr class="autoMode" >
							<td width="25%" class="viewLabelSmall">Team 87 EPD Identifier<span class="requiredField">*</span></td>
							<td>
								<form:input cssClass="autoModeValues" path="epdId" cssStyle="height:22px; width:200px;border:1px solid #aaa;height:22px;"/>

								&nbsp;
								<gui:link-button text="Auto-Create" onclick="autoCreate();" style='color:red;'  />
							</td>
						</tr>


						<tr class="autoMode">
							<td width="25%" class="viewLabelSmall">Colony Prefix</td>
							<td class="autoModeValues">
									${form.miRequest.colonyInfo.colonyPrefix}
							</td>
						</tr>
						<tr class="autoMode">
							<td class="viewLabelSmall">Cell Line/Clone</td>
							<td class="autoModeValues">

									${form.miRequest.cellLine.cellLineName}


								<c:if test="${!empty form.miRequest.cellLine.cloneName}">
									/ ${form.miRequest.cellLine.cloneName}
								</c:if>

								<c:if test="${form.validEpdModelDerived && !empty form.miRequest.cellLine.cellLineStrainDictId}">

										/ ${form.miRequest.cellLine.cellLineStrain.name}

								</c:if>

							</td>
						</tr>

						<tr class="manualMode">
							<td width="25%" class="viewLabelSmall">Colony <span class="requiredField">*</span></td>
							<td>
								<gui:formPopup path="miRequest.colonyInfo.colonyPrefix" onclick="openLookupList('lookup_colony.do','colonyPrefix=miRequest.colonyInfo.colonyPrefix,colonyName=miRequest.colonyInfo.colonyName,colonyInfoId=miRequest.colonyInfoId')" cssStyle="width: 50px" noimage="true" />
								<gui:formPopup path="miRequest.colonyInfo.colonyName" onclick="openLookupList('lookup_colony.do','colonyPrefix=miRequest.colonyInfo.colonyPrefix,colonyName=miRequest.colonyInfo.colonyName,colonyInfoId=miRequest.colonyInfoId')" cssStyle="width: 300px"/>
								<form:hidden path="miRequest.colonyInfoId"  />
							</td>
						</tr>
						<tr class="manualMode">
							<td class="viewLabelSmall">Cell Line /Clone<span class="requiredField">*</span></td>
							<td>
								<gui:formPopup path="miRequest.cellLine.cellLineName" onclick="openLookupList('lookup_cell_line.do', 'cellLineId=miRequest.cellLineId,cellLineName=miRequest.cellLine.cellLineName,cloneName=miRequest.cellLine.cloneName')" cssStyle="width: 155px" noimage="true"/>
								<gui:formPopup path="miRequest.cellLine.cloneName" onclick="openLookupList('lookup_cell_line.do', 'cellLineId=miRequest.cellLineId,cellLineName=miRequest.cellLine.cellLineName,cloneName=miRequest.cellLine.cloneName')" cssStyle="width: 195px" />
								<form:hidden path="miRequest.cellLineId" />
								<form:hidden path="genotypeTestExists" />
								&nbsp;
								Click <a href="edit_cell_line.do?edit_mi_request=true">here</a> to register a new cell line in the database
							</td>
						</tr>

						<tr id="toggleGenotypeTestMessage">
							<td class="viewLabelSmall">
								&nbsp;
							</td>
							<td>
								<span class="formError">No Genotyping Test is registered for the Cell Line</span>
							</td>
						</tr>

						<tr>
							<td class="viewLabelSmall">PPL <span class="requiredField">*</span></td>
							<td>
								<form:select path="miRequest.projectLicenceId">
									<option value="">&nbsp;</option>
									<form:options items="${availablePpls}" itemValue="id" itemLabel="labelName"/>
								</form:select>

								<c:if test="${empty availablePpls}">
								&nbsp;<span style="color:red">You do not have a Personal Licence associated with any Project Licence (PPL) to complete this form. Please contact team110dev@sanger.ac.uk</span>
								</c:if>

							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">Workflow Pipeline <span class="requiredField">*</span></td>
							<td>
								<form:select path="miRequest.workflowPipelineDictId">
									<option value="">&nbsp;</option>
									<form:options items="${mirWorkflowPipelines}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">Endpoint <span class="requiredField">*</span></td>
							<td>
								<form:select disabled="${form.miRequest.targetEndpointLocked}" path="miRequest.endpointDictId" onchange="toggleChildElementVisibility(this)">
									<option value="">&nbsp;</option>
									<form:options items="${mirEndpoints}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr id="toggleEmbryoStage">
							<td class="viewLabelSmall">Embryo Stage <span class="requiredField">*</span></td>
							<td>
								<form:select path="miRequest.donorEmbryoStageDictId">
			 						<option value="">&nbsp;</option>
									<form:options items="${mirStages}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr id="toggleChimeraMateStrain">
							<td class="viewLabelSmall">Chimera Mate Strain <span class="requiredField">*</span></td>
							<td>
								<form:select path="miRequest.chimeraMateStrainDictId">
									<option value="">&nbsp;</option>
									<form:options items="${chimeraMateStrains}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">Funding Source</td>
							<td class="entryData">
								<form:radiobutton path="miRequest.fundingSource" value="Sanger" />
								Sanger&nbsp;&nbsp;
								<form:radiobutton path="miRequest.fundingSource" value="Other" />
								Other
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">Genotyping Required?</td>
							<td class="entryData">
								<form:radiobutton path="miRequest.genotypingRequired" value="true" />
								Yes&nbsp;&nbsp;
								<form:radiobutton path="miRequest.genotypingRequired" value="false" />
								No
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">Requester Providing PCR/Genotyping?</td>
							<td class="entryData">
								<form:radiobutton path="miRequest.requesterProvidedGenotyping" value="true" />
								Yes&nbsp;&nbsp;
								<form:radiobutton path="miRequest.requesterProvidedGenotyping" value="false" />
								No
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" name="_finish" onclick="document.getElementById('formChange').value='false'; return true;" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>