<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<gui:docType />
<html>
	<head>
		<title>WTSI Cell Line Information</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">

		function clearFindBy() {
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}

		function clearSearch() {
			document.getElementById("cellLine.cellLineStrainDictId").selectedIndex = 0;
			document.getElementById("cellLine.expectedCoatColorDictId").selectedIndex = 0;
			document.getElementById("cellLine.genotypeDictId").selectedIndex = 0;
			document.getElementById("cellLine.fundingDictId").selectedIndex = 0;
		}

		function showMessage(){

			var searchString = document.getElementById("searchString");
			var searchBy = document.getElementById("searchBy");

			if (document.getElementById("searchBy").selectedIndex != 0) {
				document.getElementById("searchStringSpan").style.visibility = "visible";

				if(searchBy.value!="") {
			    	searchString.value="<Please enter "+searchBy.options[searchBy.selectedIndex].text+">";
				}else {
				 searchString.value="";
				}
				document.getElementById("searchString").select();
				document.getElementById("searchString").focus();
			}
			else {
				document.getElementById("searchString").value = '';
				document.getElementById("searchStringSpan").style.visibility = "hidden";
			}
		}
		function emptyField(){
			var searchString = document.getElementById("searchString");
			var c = searchString.value.charAt(0);
			if(c=='<'){
				searchString.value = "";
			}
		}
		function scrollToID()
		{
			var query = window.location.search.substring(1);
			var vars = query.split("&");
			for (var i=0;i<vars.length;i++) {
				var pair = vars[i].split("=");
				if (pair[0] == 'currentRecordId') {
					document.location = '#' + pair[1];
				}
			}
		}
		</script>
	</head>
	<body onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Cell Line Information" />
			<form:form commandName="searchBean" action="list_cell_lines.do" method="GET" onsubmit="return setNewQuery('true'); setPaginated('true');">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />

			<%
			if (request.getParameter("searchString") == null || request.getParameter("searchString").equals("")) {
				%><c:set var="filterValue" value="hidden"></c:set><%
			} else {
				%><c:set var="filterValue" value="visible"></c:set><%
			}%>

			<gui:filterBox>
				<table border=0>
					<tr>
						<td class="filterLabel">Filter by Strain</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="cellLine.cellLineStrainDictId" onchange="clearFindBy(); setNewQuery('true');setPaginated('true'); submitForm();">
								<option value="">All</option>
								<form:options items="${cellLineStrains}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td class="filterLabel">Expected<br />Coat Color</td>
						<td class="filterData">
							<form:select path="cellLine.expectedCoatColorDictId" onchange="clearFindBy(); setNewQuery('true');setPaginated('true'); submitForm();">
								<option value="">All</option>
								<form:options items="${coatColors}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						<td class="filterLabel">Genotype</td>
						<td class="filterData">
							<form:select path="cellLine.genotypeDictId" onchange="clearFindBy(); setNewQuery('true');setPaginated('true'); submitForm();">
								<option value="">All</option>
								<form:options items="${genotypes}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						
						<td class="filterLabel">Funding</td>
						<td class="filterData">
							<form:select path="cellLine.fundingDictId" onchange="clearFindBy(); setNewQuery('true');setPaginated('true'); submitForm();">
								<option value="">All</option>
								<form:options items="${fundings}" itemValue="id" itemLabel="name"/>
							</form:select>
						</td>
						
					</tr>	
						
					<tr>
						<td align="center" style="font-weight: bold">OR Find&nbsp;by</td>
						<td class="filterData" colspan=7>
							<form:select cssClass="listFilter" path="searchBy" id="searchBy" onchange="clearSearch(); showMessage();">
								<option></option>
								<form:options items="${searchByColumns}" />
							</form:select>

							

							<span id="searchStringSpan" style="visibility: ${filterValue};">
								<form:input cssClass="searchString" cssStyle="width: 185px" path="searchString" id="searchString" onclick="emptyField();" />
							</span>
						</td>
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons" style="margin-bottom: 10px">
				<input type="submit" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true');" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear" title="Clear search fields" onclick = "clearSearch();clearFindBy();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>

			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty cellLines}">
						<table class="listPaginated" id="guiTableNameRequestDetails">
								<thead class="listPaginatedHeader">
								<tr>
									<th align="center">Options</th>
									<th style="width: 40px;">
										<gui:paginate-order-by orderBy="id" bean="${searchBean}">
										ID
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="cell_line_name" bean="${searchBean}">
										Cell<br />Line Name
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="clone_name" bean="${searchBean}">
										Clone Name
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="lower(gene_name||allele_name)" bean="${searchBean}">
										Allele
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="strain_name" bean="${searchBean}">
										Strain Name
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="genotype" bean="${searchBean}">
										Genotype
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="coat_color_name" bean="${searchBean}">
										Expected <br /> Coat Color
										</gui:paginate-order-by>
									</th>

									<th>
										<gui:paginate-order-by orderBy="cell_line_provider_name_no" bean="${searchBean}">
										Cell Line <br /> Provider
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="funding" bean="${searchBean}">
										Funding
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="edit_date" bean="${searchBean}">
										Last Revised
										</gui:paginate-order-by>
									</th>
								</tr>
							</thead>
							<c:forEach items="${cellLines}" var="cellLine">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${cellLine.id}"/>
								<tr class="${rowClass}">
									<td align="center" id="${cellLine.id}">
										<a href="view_one_cell_line.do?id=${cellLine.id}">
											<img src="images/view.gif" title="View cell Line">
										</a>&nbsp;
										<control:accessControl roles="admin,mgp-admin" recordOwnerId="${cellLine.creatorId}">
											<a href="edit_cell_line.do?id=${cellLine.id}">
												<img src="images/edit.gif" title="Edit Cell Line">&nbsp;
											</a>
										</control:accessControl>
										<control:accessControl roles="admin,mgp-admin" recordOwnerId="${cellLine.creatorId}" hideHtml="true">
											<img src="images/cancelIcon.jpg" style="margin-left: 3px; margin-right: 3px; margin-bottom: 2px">
										</control:accessControl>
									</td>
									<td>${cellLine.id}</td>
									<td>${cellLine.cellLineName}</td>
									<td>${cellLine.cloneName}</td>
									<td>
										<a href="view_one_allele_info.do?id=${cellLine.modifiedAlleleId}">
										<i>${cellLine.geneName}<sup><font size='-1'>${cellLine.alleleName}</font></sup></i></a>
									</td>
									<td>${cellLine.strainName}</td>
									<td>${cellLine.genotype}</td>
									<td>${cellLine.coatColorName}</td>
									<!-- <td>${cellLine.cellLineSourceName}</td>-->
									<td>${cellLine.cellLineProviderNameNo}</td>
									<td>${cellLine.funding}</td>
									<td width="140px">${cellLine.editedDate}</td>
								</tr>
							</c:forEach>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
