<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form" %>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<gui:docType />
<html>
	<head>
		<title>Microinjection Requests</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
    <script src="js/jquery.js"></script>
		<script type="text/javascript">

		function clearSearch() {

			document.getElementById("miRequest.externalStatusDictId").selectedIndex = 0;
			document.getElementById("donorCellLineStrainDict.id").selectedIndex = 0;
			document.getElementById("miRequest.chimeraMateStrainDictId").selectedIndex = 0;
			document.getElementById("miRequest.donorEmbryoStageDictId").selectedIndex = 0;
			document.getElementById("miRequest.workflowPipelineDictId").selectedIndex = 0;
			document.getElementById("miRequest.endpointDictId").selectedIndex = 0;
			document.getElementById('cellLineName').value = "";
			document.getElementById('geneName').value = "";
			document.getElementById('miRequestId').value = "";
		}

		function doSearch() {

			setNewQuery('true');
			setPaginated('true');
			document.forms[0].submit();
		}


		function toggleMiRequestIdMode(){

			if( document.getElementById('miRequestId').value != "" ) {

				document.getElementById('cellLineName').value = "";
				document.getElementById('geneName').value = "";

			}
		}

		function toggleCellLineGeneMode(){

			if( document.getElementById('cellLineName').value != "" || document.getElementById('geneName').value != "") {

				document.getElementById('miRequestId').value = "";

			}
		}

		function doMiRequestSearch(){

			var miRequestId = document.getElementById('miRequestId');

			if( miRequestId.value ) {

				miRequestId.value = jQuery.trim( miRequestId.value );

				if(  miRequestId.value != "" && !isNaN( miRequestId.value ) ) {

					document.location = 'view_one_mi_request.do?id=' +  miRequestId.value;

				} else {

                    alert('Please enter a valid integer for MI request ID.');

				}

			} else {

				doSearch();

			}
		}

		function scrollToID()
		{
			var query = window.location.search.substring(1);
			var vars = query.split("&");
			for (var i=0;i<vars.length;i++) {
				var pair = vars[i].split("=");
				if (pair[0] == 'currentRecordId') {
					document.location = '#' + pair[1];
				}
			}
		}
		</script>
	</head>
	<body onload="scrollToID();">
		<gui:page>
			<gui:pageHeader name="Microinjection Requests" />
			<form:form commandName="searchBean" action="list_mi_requests.do?bypassForm=true&newQuery=true&paginated=true" method="GET">
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td valign="top" width="250px" style="padding-right: 10px">
							<gui:filterBox title="Search">
								<table width="250px">
									<tr>
										<td class="filterLabel">
											MI Req. ID
										</td>
										<td>
											<input type="text" name="miRequestId" id="miRequestId" style="width: 71px;" onkeyup="toggleMiRequestIdMode();" onkeypress="if(event.keyCode == 13){doMiRequestSearch();}"/>
										</td>
									</tr>

									<tr>
										<td class="filterLabel" align='center' colspan=2>

											OR

										</td>
									</tr>

									<tr>
										<td class="filterLabel">
											Cell Line Name
										</td>
										<td>
										<form:input path="cellLineName" size="20" onkeyup="toggleCellLineGeneMode();" onkeypress="if(event.keyCode == 13){doMiRequestSearch();}"/>
										</td>
									</tr>
									<tr>
										<td class="filterLabel">
											Gene Name
										</td>
										<td>
										<form:input path="geneName" size="20" onkeyup="toggleCellLineGeneMode();" onkeypress="if(event.keyCode == 13){doMiRequestSearch();}"/>
										</td>
									</tr>

									<tr>
										<td colspan=2>
											<input type="button" id="miRequestGoButton" tabindex="0" onclick="doMiRequestSearch();" value="Go" onkeypress="if(event.keyCode == 13){doMiRequestSearch();}" />
										</td>
									</tr>
								</table>
							</gui:filterBox>
						</td>
						<td valign="top">

							<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
							<gui:filterBox title="Filtering">
								<table>
									<tr>
										<td class="filterLabel">
											Status
										</td>
										<td class="filterData">
											<form:select cssClass="listFilter" path="miRequest.externalStatusDictId" onchange="setNewQuery('true');setPaginated('true'); doSearch();">
												<option value="">All</option>
												<form:options items="${mirStatus}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
										<td class="filterLabel">
											Cell Line Strain
										</td>
										<td class="filterData">
											<form:select path="donorCellLineStrainDict.id" onchange="setNewQuery('true');setPaginated('true'); doSearch();">
												<option value="">All</option>
												<form:options items="${donorCellLineStrains}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
										<td class="filterLabel">
											Chimera Mate Strain
										</td>
										<td class="filterData">
											<form:select cssClass='statusSelect' path="miRequest.chimeraMateStrainDictId" onchange="setNewQuery('true');setPaginated('true'); doSearch();">
												<option value="">All</option>
												<form:options items="${chimeraMateStrains}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="filterLabel">
											Stage
										</td>
										<td class="filterData">
											<form:select cssClass='statusSelect' path="miRequest.donorEmbryoStageDictId" onchange="setNewQuery('true');setPaginated('true'); doSearch();">
												<option value="">All</option>
												<form:options items="${mirStages}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
										<td class="filterLabel">
											Endpoint
										</td>
										<td class="filterData">
											<form:select cssClass='statusSelect' path="miRequest.endpointDictId" onchange="setNewQuery('true');setPaginated('true');doSearch();">
												<option value="">All</option>
												<form:options items="${mirEndpoints}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
										<td class="filterLabel">
											Workflow Pipeline
										</td>
										<td class="filterData">
											<form:select path="miRequest.workflowPipelineDictId" onchange="setNewQuery('true');setPaginated('true');doSearch();">
												<option value="">All</option>
												<form:options items="${mirWorkflows}" itemValue="id" itemLabel="name"/>
											</form:select>
										</td>
										<td colspan=4 class="filterLabel" align=right>
											&nbsp;
										</td>
									</tr>
								</table>
							</gui:filterBox>

							<div class="submitButtons">
								<input type="button" value="Clear Search & Filter" title="Clear search fields" onclick = "clearSearch(); doSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
							</div>
						</td>
					</tr>
					<tr>
						<td colspan=2>
							<div class="listPaginated">
							<gui:paginate hideDisplayText="false" bean="${searchBean}" />
							   	<c:if test="${!empty results}">
									<table class="listPaginated" id="guiTableNameRequestDetails" >
										<thead class="listPaginatedHeader">
											<tr>
												<th align=center>Options</th>
												<th>
													<gui:paginate-order-by orderBy="id" bean="${searchBean}">
														Req. ID<br />
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="EXTERNAL_STATUS_NAME" bean="${searchBean}">
													Request<br />Status
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="SMI_COUNT" bean="${searchBean}">
													Scheduled<br />
													Attempts
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="ENDPOINT_NAME" bean="${searchBean}">
														Endpoint
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="CREATED_DATE" bean="${searchBean}">
														Requested
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="WORKFLOW_PIPELINE" bean="${searchBean}">
													Workflow<br />Pipeline
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="REQUESTER_NAME" bean="${searchBean}">
													Requester
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="STRAIN_NAME" bean="${searchBean}">
													Cell Line<br />Strain
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="CELL_LINE_NAME" bean="${searchBean}">
													Cell Line<br />Name
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="CLONE_NAME" bean="${searchBean}">
													Clone
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="CHIMERA_MATE_STRAIN_NAME" bean="${searchBean}">
													Chimera<br />Mate Strain
													</gui:paginate-order-by>
												</th>
												<th>
													<gui:paginate-order-by orderBy="EMBRYO_STAGE_NAME" bean="${searchBean}">
													Embryo<br />Stage
													</gui:paginate-order-by>
												</th>
											</tr>
										</thead>
										<c:forEach items="${results}" var="record">
										<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}"/>
											<tr class="${rowClass}">

											<td align="left" style="white-space:nowrap;" id="${record.id}">

											<!-- 1.) VIEW REQUEST CONTROL-->
											<a href="view_one_mi_request.do?id=${record.id}">
											 <img src='images/view.gif' title='View Request Details'>
											</a>

										<c:choose>
										<c:when test="${record.requesterId == sessionScope.user.id && record.requested}">
											&nbsp;
											<!-- 2.) EDIT REQUEST CONTROL for requester-->
											<a href="edit_mi_request.do?id=${record.id}">
											 <img src='images/edit.gif' title='Edit Request Details'>
											</a>

											<c:if test="${record.active}">
												<control:accessControl roles="admin,mgp-admin,senior-tgx">
												&nbsp;
												<!-- 2.) SCHEDULE CONTROL for admin, senior-tgx-->
												<a href="create_scheduled_micro_injection.do?miRequestId=${record.id}">
											 	<img src='images/calendar.gif' title='Schedule Microinjection Job'>
												</a>
												</control:accessControl>
											</c:if>
										</c:when>

										<c:otherwise>
										 	<control:accessControl roles="admin,mgp-admin">
											&nbsp;
											<!-- 2.) EDIT REQUEST CONTROL for admin-->
											<a href="edit_mi_request.do?id=${record.id}">
											 <img src='images/edit.gif' title='Edit Request Details'>
											</a>
											</control:accessControl>

											<c:if test="${record.active}">
											<control:accessControl roles="admin,mgp-admin,senior-tgx">
											&nbsp;
											<!-- 2.) SCHEDULE CONTROL for admin, senior-tgx-->
											<a href="create_scheduled_micro_injection.do?miRequestId=${record.id}">
											 <img src='images/calendar.gif' title='Schedule Microinjection Job'>
											</a>
											</control:accessControl>
											</c:if>
										</c:otherwise>

										</c:choose>
												</td>
												<td style='font-weight:bold;'>${record.id}</td>
												<td><b>${record.externalStatusDictName}</b></td>
												<td>
													<a href="view_one_mi_request.do?id=${record.id}">
													${record.smiCount}
													</a>
												</td>
												<td>${record.endpointName}</td>
												<td width="75px"><fmt:formatDate value="${record.createdDate}" pattern="dd-MMM-yyyy"/></td>
												<td>${record.workflowPipeline}</td>
												<td>${record.requesterName}</td>
												<td>${record.donorCellLineStrainName}</td>
												<td><a href="view_one_cell_line.do?id=${record.cellLineId}">${record.cellLineName}</a></td>
												<td>${record.cloneName}</td>
												<td>${record.chimeraMateStrainName}</td>
												<td>${record.embryoName}</td>
											</tr>
										</c:forEach>
									</table>

								</c:if>
							</div>


					</td>
				</tr>
			</table>
			</form:form>
		</gui:page>
	</body>
</html>