<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Cell Line Request Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader >
				Cell Line: ${cellLine.cellLineName}
	            <c:if test="${!empty cellLine.cloneName}">
	            (${cellLine.cloneName})
				</c:if>
			</gui:pageHeader>

			<control:accessControl roles="admin,mgp-admin">
			<table class=pageView>
				<tr>
					<td class="pageView" valign="top">
						<a href="edit_cell_line.do?id=${cellLine.id}" title="Edit ES Cell Line"><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
					</td>
				</tr>
			</table>
			</control:accessControl>
			<gui:mig-box >
				<table class="migBoxInner">
					<tr>
						<td width="200px" class="viewLabel">
							Internal ID:
						</td>
						<td class="viewData">
							${cellLine.id}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Name:
						</td>
						<td class="viewData">
							${cellLine.cellLineName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Clone ID:
						</td>
						<td class="viewData">
							${cellLine.cloneName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Allele Name:
						</td>
						<td class="viewData">
							<a href="view_one_allele_info.do?id=${cellLine.modifiedAlleleId}">
							<i>${cellLine.modifiedAllelePrimaryGeneName}<sup><font size='-1'>${cellLine.alleleName}</font></sup></i></a>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Strain:
						</td>
						<td class="viewData">
							${cellLine.cellLineStrainName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Genotype:
						</td>
						<td class="viewData">
							${cellLine.genotype}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Expected Coat Color:
						</td>
						<td class="viewData">
							${cellLine.expectedCoatColor}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Cell Line Source:
						</td>
						<td class="viewData">
							${cellLine.cellLineSourceName}
						</td>
					</tr>

					<tr>
						<td class="viewLabel">
							Funding:
						</td>
						<td class="viewData">

							${cellLine.funding}
						</td>
					</tr>

					<tr>
						<td class="viewLabel">
							Team 87 ID:
						</td>
						<td class="viewData">
							${cellLine.team87RefId}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Record Originated By:
						</td>
						<td class="viewData">
							${cellLine.creatorName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Originated On:
						</td>
						<td class="viewData">
							<fmt:formatDate value="${cellLine.createdDate}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Edited By:
						</td>
						<td class="viewData">
							${cellLine.editedBy}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Edited On:
						</td>
						<td class="viewData">
							<fmt:formatDate value="${cellLine.editDate}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Comments:
						</td>
						<td class="viewData">
							${cellLine.comments}
						</td>
					</tr>

				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
