<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>WTSI - Microinjection Request Details</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">	
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Microinjection Request #${miRequest.id} - <span style='font-size:18px;color:#656565;font-weight:bold;text-transform:uppercase;'>${miRequest.externalStatusDict.name}</span>" />
			<%@ include file="mi_request_details.jspf" %>
		<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx,mi-list-reader">
			<c:choose>
			<c:when test="${!empty miRequest.scheduledMicroInjections}">	
				<gui:mig-box label="Scheduled Job(s)">
					<table cellspacing=0 cellpadding=10 class="listPaginated" id="guiTableNameRequestDetails">
						<thead class="listPaginatedHeader">	
							<tr>
								<control:accessControl roles="admin,mgp-admin">
								<th>
									SMI ID
								</th>
								</control:accessControl>
								<th>	
									Job #					
								</th>
						    	<th>
									Job Status 
								</th>
								<th>
									Target<br />MI Date
								</th>
								<th>
									Embryos<br />
									Injected
								</th>	
								<th>
									Recipients
								</th>							
								<th>
									Actual Cell<br />
									Line Provider<br />
								</th>
								<th>
									Edited By
								</th>								
								<th>
									Comments
								</th>
							</tr>
						</thead>
					
						<c:forEach items="${miRequest.scheduledMicroInjections}" var="record">
							<tr>	
						    <control:accessControl roles="admin,mgp-admin">
							    <td style="border-top: 1px solid #ddd; height: 30px;">
								    ${record.id}
							    </td>	
						    </control:accessControl>
								<td style="border-top: 1px solid #ddd;">
								<control:if roles="admin,mgp-admin,senior-tgx,junior-tgx">
									<control:then>
									<a href="list_scheduled_micro_injections.do?bypassForm=true&newQuery=true&id=${record.id}&viewOne=true">
										<b>${record.jobId}</b>&nbsp;	
									</a>
									</control:then>
									<control:else>
									<b>${record.jobId}</b>&nbsp;
									</control:else>
								</control:if>
								</td>
								<td style="border-top: 1px solid #ddd;">
									${record.scheduledMiStatusDict.name}
								</td>
								<td style="border-top: 1px solid #ddd;">
									<fmt:formatDate value="${record.anchorDate}" pattern="dd-MMM-yyyy"/>
								</td>
								<td style="border-top: 1px solid #ddd;">
								<c:choose>
								<c:when test="${!empty record.microInjection && record.injectedEmbryoCount > 0}">
									<control:if roles="admin,mgp-admin,senior-tgx,junior-tgx">
								    	<control:then>
								        	<a href="edit_micro_injection.do?microInjection.scheduledMicroInjectionId=${record.id}&id=${record.microInjection.id}">
												${record.injectedEmbryoCount}
											</a>
										</control:then>
										<control:else>
											${record.injectedEmbryoCount}
										</control:else>
									</control:if>
								</c:when>
								<c:otherwise>
									--
								</c:otherwise>
								</c:choose>								  
								</td>
								<td style="border-top: 1px solid #ddd;">
								<c:choose>
								<c:when test="${record.embryoTransferCount > 0}">
								   <control:if roles="admin,mgp-admin,senior-tgx,junior-tgx">
								       <control:then>								
								 	       <a href="edit_embryo_transfer_procedure.do?embryoTransferProcedure.scheduledMicroInjectionId=${record.id}">		
									       ${record.embryoTransferCount}
								 		   </a>
								 	   </control:then>
								       <control:else>
								           ${record.embryoTransferCount}
								       </control:else>
								    </control:if>
								</c:when>
								<c:otherwise>
									--
								</c:otherwise>
								</c:choose>
								</td>							
							    <td style="border-top: 1px solid #ddd;">
									${record.cellLineProvider.fullName}
								</td>	
								
								<td  style="border-top: 1px solid #ddd;">
									${record.editedBy}
									on
									${record.editDate}
								</td>	
								
								<td style="border-top: 1px solid #ddd;">
									${record.comments}&nbsp;
								</td>
							</tr>
						</c:forEach>
					</table>
				</gui:mig-box>
			</c:when>
		<c:otherwise>
				<gui:mig-box height="50px">
					<table style="background: #fff; vertical-align: middle; width: 100%; height: 100%; text-align: center;">
						<tr>
							<td style="color: #990000; font-weight: bold; font-size: 16px; text-align: center;">
								No jobs have been scheduled for this request.
							</td>
						</tr>
					</table>
				</gui:mig-box>		
		</c:otherwise>	
	</c:choose>
</control:accessControl>
		</gui:page>
	</body>
</html>

