<%@ taglib uri="spring/form" prefix="form"%>

<form:form id="postForm" action="edit_meta_data.do">
	<div id="imageContainer">
		<img id="image" src="${command.metaData.imageUrl}" width="800px" />
	</div>
	<form:hidden path="metaData.id" />
	<div id="imageAttributesContainer">
		<table class="imageData" style="width: 100%;">
			<tr>
				<td class="label">Tissue</td>
				<td>
					<form:select path="metaData.tissueDictId">
						<option value=""></option>
						<form:options items="${tissues}" itemLabel="name" itemValue="id" />
					</form:select>
				</td>
				<td class="label" style="text-align: right;">Description</td>
				<td>
					<form:select path="metaData.descriptionDictId">
					<option value=""></option>
					<form:options items="${descriptions}" itemLabel="name" itemValue="id" />
					</form:select>
				</td>
				<td style='white-space:nowrap;'>
					<label for="metaData.qcPass1">QC Pass</label><form:radiobutton path="metaData.qcPass" value="true" />
					&nbsp;&nbsp;&nbsp;<label for="metaData.qcPass2">QC Fail</label><form:radiobutton onclick="setPrimaryForTissueFalse();" path="metaData.qcPass" value="false" />
					&nbsp;&nbsp;&nbsp;<label for="metaData.primaryForTissue1">Publish for Tissue</label><form:checkbox path="metaData.primaryForTissue" onclick="checkFailed();" />
				</td>
			</tr>
			<tr>
				<td class="label">Comments</td>
				<td class="data" colspan=4>
					<form:textarea path="metaData.comments" cssStyle="width: 650px; height: 35px;" />
					&nbsp;&nbsp;&nbsp;
					<span style="font-size:15px;color:#777;">
					#${command.metaData.id}
					</span>
				</td>
			</tr>
		</table>
	</div>

	<script>

		function setPrimaryForTissueFalse() {
			var primaryForTissue = document.getElementById("metaData.primaryForTissue1");
			primaryForTissue.value = false;
			primaryForTissue.checked = "";
			primaryForTissue.blur();
		}

		function checkFailed() {
			var isQcFailed = document.getElementById("metaData.qcPass2");
			if( isQcFailed.checked ) {
				alert("You cannot select a QC-failed image for publication.");
				setPrimaryForTissueFalse();
			}
		}
	</script>
</form:form>