<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>List Meta Data</title>
		<link href="css/migMain.css"type="text/css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
	    <script src="js/jquery.form.js" type="text/javascript"></script>
	    <script src="js/jquery.mabox.js" type="text/javascript"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/thickbox.js"></script>
	</head>

	<style>
		td.singleContainer {
			height: 100%;
			width: 25%;
			vertical-align: top;
			margin: 0px;
			padding: 8px;
			border: 1px solid #aaaaaa;
			font-weight: bold;
			line-height: 1.5;
		}
		table.listImageSummary {
			vertical-align: top;
			font-size: 15px;
			color: #444;
			height: 100%;
			width: 100%;
			border: 4px solid #efefef;
			background-color: #efefef;
		}
		td.listImageSummary {
			vertical-align: top;
			height: 100%;
			font-weight: bold;
			line-height: 1.5;
			background-color: #efefef;
		}
		td.listImage {
			vertical-align: top;
			text-align:center;
			padding-top: 4px;
			background:#fff;
		}
		table.imageData td {
			font-weight: bold;
		}
		span.data {
			font-weight: normal;
			color: #191970;
		}

		span.Pass {
			color: green;
		}

		span.imageId {
			font-size:10px;
			color:#777;
			float:right;
		}

		span.Fail {
			color: red;
		}
		.header {font-size:28px; color:#000;}


		#MA_message {
			color: #990000;
			font-weight: bold;
			margin: 0px 6px 0px 6px;
		}

		#MA_overlay {
			display: none;
			position: fixed;
			z-index: 100;
			top: 0px;
			left: 0px;
			background-color: #000;
			filter: alpha(opacity=50);
			-moz-opacity: 0.50;
			opacity: 0.50;
			height: 100%;
			width: 100%;
		}

		* html #MA_overlay { /* ie6 hack */
			position: absolute;
			height:	expression(document.body.scrollHeight + 'px'); /*expression(document.body.scrollHeight > document.body.offsetHeight ? document.body.scrollHeight : document.body.offsetHeight + 'px');*/
			width: expression(document.body.scrollWidth + 'px');
		}

		* html #MA_container {
			position: absolute;
		}

		#MA_container {
			z-index: 101;
			display: none;
			position: fixed;
			top: 49%;
			left: 50%;
			font-weight: bold;
			font-size: 14px;
			padding: 4px;
			width: 800px;
			height: 730px;
			background-color: #dadada; /*#d7d7d7*/
			border: 2px #aaa solid;
			vertical-align: bottom;
		}
		#MA_target {
			height: 675px;
		}
		#imageContainer {
			height: 605px;
		}
	</style>

	<script>

		$(document).ready(function () {
			MA_init();
		});

		function MA_updateList() {
			var metaId = $("#metaData\\.id").val();
			var qc = "";
			if( ($("input[@name='metaData.qcPass']:checked").val() === "true")  ) {
				qc = "Pass";
			} else if( ($("input[@name='metaData.qcPass']:checked").val() === "false") ) {
				qc = "Fail";
			}
			var publish = (document.getElementById("metaData.primaryForTissue1").checked ? "&nbsp;<img src='images/ticktrans.gif' height=13/>" : "");
			$("#tissueDictMeta" + metaId).html( $("#metaData\\.tissueDictId :selected").text() );
			$("#descriptionDictMeta" + metaId).html( $("#metaData\\.descriptionDictId :selected").text() );
			$("#commentsMeta" + metaId).html( $("#metaData\\.comments").val() );
			$("#qcPassMeta" + metaId).html( qc );
			$("#qcPassMeta" + metaId).attr("class", "");
			$("#qcPassMeta" + metaId).attr("class", "data " + qc);
			//$("#qcPass" + metaId).removeClass("");
			//$("#qcPass" + metaId).addClass("data " + qc);
			$("#primaryForTissueMeta" + metaId).html(publish);
		}

		function validateForm() {
			if( !$("#alleleId").val() ) {
				alert("You must select an allele to work with.")
				return false;
			}
		}
	</script>

	<body>
		<gui:page>
			<div id="MA_overlay">
			</div>
			<div id="MA_container">
				<div id="MA_target"></div>
				<table style="width: 100%;">
					<tr>
						<td style="width: 180px; text-align: right;">
							<input class="smallButton" style="width: 60px;" type="button" onmouseout="this.className='smallButton';" onmouseover="this.className='smallButtonYellow';" value="< Prev" id="MA_prev" />
						</td>
						<td style="text-align: center;">
							<input class="smallButton" style="width: 110px;" type="button" onmouseout="this.className='smallButton';" onmouseover="this.className='smallButtonYellow';" value="< Save & Prev" id="MA_prevSave" />
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<b>image&nbsp;<span id='MA_currentIndex'></span>&nbsp;of&nbsp;<span id='MA_size'></span></b>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input class="smallButton" style="width: 110px;" type="button" onmouseout="this.className='smallButton';" onmouseover="this.className='smallButtonYellow';" value="Save & Next >" id="MA_nextSave" />
						</td>
						<td style="width: 180px; text-align: left;">
							<input class="smallButton" style="width: 60px;" type="button" onmouseout="this.className='smallButton';" onmouseover="this.className='smallButtonYellow';" value="Next >" id="MA_next" />
						</td>
					</tr>
				</table>
				<table style="width: 100%;" border=0>
					<tr>
						<td style="text-align: left; width: 40px;">
							<span id='MA_close'>&nbsp;&nbsp;<a href='#'>close</a></span>
						</td>
						<td style="text-align: right; width: 391px;">

							<input class="smallButton" style="width: 90px;"
								type="button" onmouseout="this.className='smallButton';"
								onmouseover="this.className='smallButtonYellow';"
								value="Save &amp; Exit" id="MA_exitSave" />
						</td>

						<td>
							<span id="MA_message"></span>
						</td>

					</tr>
				</table>
			</div>

			<gui:pageHeader>

				<table border="0" cellpadding=0 cellspacing=0>
				<tr>
					<td class="pageHeader" >

						<c:choose>
						<c:when test="${!empty allele}">
							${metasCount}&nbsp;Images for
							<a href="view_one_allele_info.do?id=${allele.id}" >
								<c:choose>
									<c:when test="${!empty allele.migGene}">
										${allele.migGene.primaryName}
									</c:when>
									<c:otherwise>
										(None)
									</c:otherwise>
								</c:choose>
								<sup>${allele.officialNameSuperscript}</sup>
							</a>
							<c:choose>
								<c:when test="${!empty pipeline}">
									in ${pipeline.name}
								</c:when>
								<c:otherwise>

								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
						 Search Images
						</c:otherwise>
						</c:choose>
					</td>
				    <form:form commandName="searchBean" action="list_meta_data.do" onsubmit="return validateForm(this);">
					<td class="filterLabel">
						&nbsp;&nbsp;&nbsp;&nbsp;Allele
					</td>
					<td class="filterData" onclick="openLookupList('lookup_allele.do', 'primaryName=geneName,officialNameSuperscript=alleleName');">
						<form:input path="geneName" readonly="true" cssStyle="width: 150px;" cssClass="popup"  />
						<sup>
							<form:input path="alleleName" readonly="true" cssStyle="width: 160px;" cssClass="popup" />
						</sup><img src="images/lookup.gif" style="cursor: pointer;"/>
						<form:hidden id="alleleId"   path="alleleId" />
					</td>
					<td class="filterLabel">
					Pipeline
					</td>
					<td class="filterData" colspan=2>

						 <form:select path="pipelineId">
						 	<option value="" selected="selected"></option>
						 		<option value="">Any Pipeline</option>
						 	<form:options items="${pipelines}" itemValue="id" itemLabel="name" />
						 </form:select>
						&nbsp;&nbsp;
						<input type="submit" value="search" />
					</td>

				</form:form>
			</tr>
			</table>

			</gui:pageHeader>

			<c:if test="${!empty metas}">
			<table style="width: 100%" cellpadding=0 cellspacing=10>
				<c:set var="index" value="0" />
				<c:forEach var="meta" items="${metas}">
					<c:if test="${index % 4 == 0}">
					<tr>
					</c:if>
						<td class="singleContainer">
							<table class="listImageSummary">
								<tr>
									<td class="listImageSummary">
										<span class="data imageId">#${meta.id}</span>
										Genotype: <span class="data">${meta.genotype}</span><br>
										Gender: <span class="data">${meta.gender}</span><br />
										Age at Death: <span class="data">${meta.ageAtDeath} weeks</span><br />
										Tissue:
										<span class="data" id="tissueDictMeta${meta.id}">
										 <c:if test="${!empty meta.tissueDict}">${meta.tissueDict.name}</c:if>
										</span>
										<br />
										Description:
										<span class="data" id="descriptionDictMeta${meta.id}">
										  <c:if test="${!empty meta.descriptionDict}">${meta.descriptionDict.name}</c:if>
										</span>
										&nbsp;
										<span class="data" id="commentsMeta${meta.id}">${meta.comments}</span>

										<br/>
										<c:set var="qc" value="" />
										<c:choose>
											<c:when test="${meta.qcPass == false}">
												<c:set var="qc" value="Fail" />
											</c:when>
											<c:when test="${meta.qcPass == true}">
												<c:set var="qc" value="Pass" />
											</c:when>
										</c:choose>
										QC: <span class="data ${qc}" id="qcPassMeta${meta.id}">
											${qc}
										</span>

										<span class="data publish" id="primaryForTissueMeta${meta.id}">
										<c:if test="${meta.primaryForTissue == true}">
											&nbsp;<img id="publishImage" src="images/ticktrans.gif" height=12/>
										</c:if>
										</span>
									</td>
								</tr>

								<tr>
									<td class="listImage">
										<a href="edit_meta_data.do?id=${meta.id}" class="meta">
											<img src="fetch_thumbnail.do?readOnlyMetaDataId=${meta.readOnlyMetaDataId}" />
										</a>
									</td>
								</tr>

							</table>
						</td>
						<c:set var="index" value="${index + 1}" />
					<c:if test="${index % 4 == 0}">
					</tr>
					</c:if>

				</c:forEach>
				</table>
			</c:if>
		</gui:page>
	</body>
</html>
