<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/overlib.js" type="text/javascript"></script>
		<script type="text/javascript">
		
			function airUnitSearch(period) {

			var date = new Date();

			var today = dt2dtstr2(date);
			document.getElementById('measurementDateTo').value = today;

			var to = document.getElementById('measurementDateFrom');			
			if(period === 'today') {
					to.value= today;
				}else if(period === 'week') {
					date.setDate(date.getDate()-7);
					to.value = dt2dtstr2(date);
				}else if(period === 'month'){
					date.setMonth(date.getMonth()-1);
					date.setDate(date.getDate());
					to.value = dt2dtstr2(date);	
				}else{
					date.setYear(date.getYear()-1 + 1900);
					date.setDate(date.getDate());
					to.value = dt2dtstr2(date);	
				}
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>
				Room: ${room.roomNumber} - AHU: ${airUnit.name}
			</gui:pageHeader>

			<form:form commandName="searchBean" method="post" action="view_one_air_unit.do">
				<%--<gui:error-list title="Form is incomplete:" titleFont="16px"
				formErrorClass="formError" borderClass="borderTable"
				commandName="searchBean" />
				--%>
				<input type="hidden" id="id" name="id" value="${airUnit.id}" />
				<gui:mig-box label="AHU Data Search">
					<gui:link-button text="Today" onclick="airUnitSearch('today')" />
					<gui:link-button text="Past Week" onclick="airUnitSearch('week')" />
					<gui:link-button text="Past Month" onclick="airUnitSearch('month')" />
					<gui:link-button text="Past Year" onclick="airUnitSearch('year')" />
					<table class="migBoxInner">
						<tr>
							<td class="viewLabelSmall" style="width: 150px;">
								Capture Date (from):
							</td>
							<td>
								<form:input path="measurementDateFrom" cssClass="date" tabindex="1" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="measurementDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="left">
								Capture Date (to):
							</td>
							<td>
								<form:input path="measurementDateTo" cssClass="date" tabindex="2" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="measurementDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='view_one_air_unit.do?id=${airUnit.id}'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>
				
			</form:form>
			<br />

			<c:if test="${!empty imageMap1}">
				<center>
					<img src='<%=response.encodeURL("getchart.chart?img=xychart")%>' usemap="#map1" border="0">
					<map name="map1">
						${imageMap1}
					</map>
				</center>
			</c:if>

			<c:if test="${!empty errors}">
				${errors}
			</c:if>
		</gui:page>
	</body>
</html>
