<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Add Mating Pair / Trio</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>

		<script>
			function disableReturn(evt) {
				var evt  = (evt) ? evt : ((window.event) ? window.event : null);
				var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
				if ((evt.keyCode == 13) && node.type=="text" ) { return false; }
			}

			document.onKeyPress = disableReturn;

			function focusStartElement() {
			  var startElement = document.getElementById('male.barcode');

			  if(startElement.value == '') {
			  	startElement.focus();
			  }
			}

			function submitChangeForm(changeFormValue) {
				document.forms[0].changeForm.value = changeFormValue;
				document.forms[0].submit();
			}

			function lookupListPostProcessing() {
				submitChangeForm("fetchMatingNumbers");
			}

			function validateBarcodePostProcess(barcodeFieldId) {
				if(barcodeFieldId.indexOf("male") != -1) { //triggers for male and female but not rack barcode
					submitChangeForm("parentScanned");
				}
			}
		</script>
	</head>
	<body onload="focusStartElement()">
		<gui:page>
		<gui:pageHeader name="Add Mating Pair / Trio" />
		<gui:error-list commandName="form"/>
		<br />
		<form:form commandName="form">
			<input type="hidden" name="changeForm" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabelSmall">
							Male ID / Cage Barcode<span class='requiredField'>*</span>
						</td>
						<td width="1%">
							<form:input path="male.barcode" cssClass="barcodeField" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="1" size="10" onblur="validateBarcode(this, 'male.id','mouse','male.barcodeDescription')" />
							<form:hidden path="male.id" />
							<form:input path="male.barcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width:300px" readonly="true" />
						</td>
						<td class="viewLabelSmall" style="text-align:left;">
							Mating number (Leave blank for auto-numbering)
						</td>
					</tr>
					<tr valign="top">
						<td class="viewLabelSmall">
							Female 1 ID / Cage Barcode<span class='requiredField'>*</span>
						</td>
						<td>
							<form:input path="females[0].barcode" cssClass="barcodeField" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="2" size="10" id="female0Barcode" onblur="validateBarcode(this, 'female0id','mouse','female0barcodeDescription')" />
							<form:hidden path="females[0].id" id="female0id" />
							<form:input path="females[0].barcodeDescription" id="female0barcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width:300px" readonly="true" />
						</td>
						<td>
							<form:input path="namePrefixes[0]" readonly="true" cssClass="readonly" size="4" cssStyle="font-size:18pt;height:32px;text-align:right"/>
							<c:choose>
								<c:when test="${!empty form.offspringColonyId}">
									<form:select path="breedingNumbers[0]" cssStyle="font-size:18pt;height:32px;">
										<option value="">&nbsp;</option>
										<form:options items="${breedingNumbers}" />
									</form:select>
								</c:when>
								<c:otherwise>
									To manually select a mating number first select colony of offspring
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr valign="top">
						<td class="viewLabelSmall">
							Female 2 ID / Cage Barcode
						</td>
						<td>
							<form:input path="females[1].barcode" cssClass="barcodeField" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="3" size="10" id="female1Barcode" onblur="validateBarcode(this, 'female1id','mouse','female1barcodeDescription')" />
							<form:hidden path="females[1].id" id="female1id" />
							<form:input path="females[1].barcodeDescription" id="female1barcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width:300px" readonly="true" />
						</td>
						<td>
							<form:input path="namePrefixes[1]" readonly="true" cssClass="readonly" size="4" cssStyle="font-size:18pt;height:32px;text-align:right"/>
							<c:choose>
								<c:when test="${!empty form.offspringColonyId}">
									<form:select path="breedingNumbers[1]" cssStyle="font-size:18pt;height:32px;">
										<option value="">&nbsp;</option>
										<form:options items="${breedingNumbers}" />
									</form:select>
								</c:when>
								<c:otherwise>
									To manually select a mating number first select colony of offspring
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Destination Cage or Rack<span class='requiredField'>*</span>
						</td>
						<td colspan="2">
							<form:input path="barcode" cssClass="barcodeField" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="4" size="10" onblur="validateBarcode(this, 'cageOrRackId','cage or rack', 'barcodeDescription','barcodeType')" />
							<form:hidden path="cageOrRackId" />
							<form:hidden path="barcodeType" />
							<form:input path="barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Date of Pairing<span class='requiredField'>*</span>
						</td>
						<td colspan="2">
							<form:input path="startDate" cssClass="date" cssStyle="font-size: 18pt; width: 150px;" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="startDate" />
							<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('startDate')" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Colony of Offspring
							<br />
							(Required only if parent colonies are different)
						</td>
						<td colspan="2">
							<gui:formPopup path="offspringColonyName" tabindex="6" cssStyle="font-size:18pt;height:32px;" size="40" onclick="openLookupList('lookup_colony.do','colonyInfoId=offspringColonyId,colonyName=offspringColonyName,colonyPrefix=offspringColonyPrefix')" />
							<form:hidden path="offspringColonyId" />
							<form:hidden path="offspringColonyPrefix" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Generation of Offspring
						</td>
						<td colspan="2">
							<form:input path="offspringGeneration" tabindex="7" cssStyle="font-size:18pt;height:32px;" size="4" onblur="validateGenerationField(this)" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" valign="top">
							Comments
						</td>
						<td colspan="2">
							<form:textarea tabindex="7" path="comments" rows="3" cssStyle="width: 98%; font-size:12pt;" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" valign="top">
							Timed mating
						</td>
						<td colspan="2">
							<form:checkbox path="timed" />
							Required Embryo Age
							<form:select path="timedEmbryoAge">
								<option value="">&nbsp;</option>
								<form:options items="${timedEmbryoAges}"/>
							</form:select>
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" valign="top">
							Mating Category
						</td>
						<td colspan="2">
							<form:select path="breedingCategoryDictId">
								<option value="">&nbsp;</option>
								<form:options items="${categories}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<div class="submitButtonsMouseTracking">
				<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="button" value="Cancel" onclick="document.location='search_breeding.do';" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>

		</form:form>
		</gui:page>
	</body>
</html>