<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Add Stud Breeding</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
	    <script type="text/javascript">

		    function useMyDetails(myId, myName) {
		    	document.getElementById("setupPerson.id").value = myId;
		    	document.getElementById("setupPerson.displayText").value = myName;
		    }

			function submitChangeForm(changeAction, changeValue) {
				document.forms[0].changeForm.value = changeAction;
				document.forms[0].changeFormValue.value = changeValue;
				document.forms[0].submit();
			}

			function lookupListPostProcessing() {
				submitChangeForm("addStudCohort");
			}

			function validateBarcodePostProcess(barcodeFieldId) {
				if(barcodeFieldId == "studCage.barcode") {
					submitChangeForm("addStudCage");
				}
				else if(barcodeFieldId == "poolCage.barcode") {
					submitChangeForm("addPoolCage");
				}
			}

			function updateSelectedStudCount(checkboxFieldValue) {
				var studCount = $("#selectedStudCount").text();
				if(checkboxFieldValue == true) {
					studCount++;
				}
				else {
					studCount--;
				}
				$("#selectedStudCount").text(studCount);
			}

			function toggleStudCheckboxes(checkBox) {
				$(".studCheckbox")
				.each(function() {
					if(this.checked != checkBox.checked) {
						this.checked = checkBox.checked;
						updateSelectedStudCount(this.checked);
					}
				});
			}
		</script>
		<style type="text/css">
			.mouseList{overflow: auto;max-height: 500px;}
		</style>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Stud Matings Setup" />

			<form:form commandName="form" method="post">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<table width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">
							<gui:error-list commandName="form" />
						</td>
					</tr>
					<tr valign="top">
						<td>
							<gui:mig-box label="Setup Details">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall">
											Date Paired<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="startDateTime" size="16" readonly="true" />
											<gui:dateTimePicker path="startDateTime" timePicker="true"/>
											<input class="smallButton" type="button" value="Now" onclick="getTodaysDate('startDateTime', true)" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Paired By<span class="requiredField">*</span>
										</td>
										<td>
											<gui:formPopup path="setupPerson.displayText" onclick="openLookupList('lookup_person.do','personName=setupPerson.displayText,personId=setupPerson.id')"/>
											<form:hidden path="setupPerson.id" />
											<input class="smallButton" type="button" value="Me" onclick="useMyDetails('${user.id}','${user.fullName}')" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr valign="top">
						<td width="50%" style="padding: 0px;">
							<gui:mig-box label="Female Pool(s)">
								<table class="migBoxInner">
									<tr>
										<td>
											Scan a pool cage
											<br />
											<form:input path="poolCage.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'poolCage.id', 'Cage')" />
											<form:hidden path="poolCage.id" />
										</td>
									</tr>
									<c:if test="${!empty form.pools}">
										<tr>
											<td>
												<table class="listNonPaginated">
													<thead class="listNonPaginatedHeader">
														<tr>
															<th>Colony</th>
															<th>Pooled D.O.B</th>
															<th># Females</th>
															<th># Used</th>
															<th>&nbsp;</th>
														</tr>
													</thead>
													<gui:toggle-row-reset/>
													<c:forEach items="${form.pools}" var="pool" varStatus="poolLoop">
														<gui:toggle-row-class/>
														<tr class="${rowClass}">
															<td>
																<c:out value="${pool.colony.colonyPrefix}" />
															</td>
															<td>
																<fmt:formatDate value="${pool.poolDate}" pattern="dd-MMM-yyyy" />
															</td>
															<td>
																<c:out value="${fn:length(pool.contents)}" />
															</td>
															<td>
																<form:input path="femalesToUse[${poolLoop.index}]" size="2" onblur="validateIntegerField(this,'0>')" />
															</td>
															<td align="right">
																<gui:link-button text="remove" onclick="submitChangeForm('removePool','${poolLoop.index}')"/>
															</td>
														</tr>
													</c:forEach>
												</table>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td>
							<gui:mig-box label="Studs">
								<div class="mouseList">
									<table class="migBoxInner">
										<tr>
											<td>
												Select Stud Bank
												<br />
												<gui:formPopup path="studCohortName" size="30" onclick="openLookupList('lookup_cohort.do?cohortTypeId=3','cohortName=studCohortName,cohortId=studCohortId')" />
												<form:hidden path="studCohortId" />
											</td>
											<td>
												Or Scan Cage
												<br />
												<form:input path="studCage.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'studCage.id', 'Cage')" />
												<form:hidden path="studCage.id" />
											</td>
										</tr>
										<c:if test="${!empty form.studs}">
											<tr>
												<td colspan="2">
													<table class="listNonPaginated">
														<thead class="listNonPaginatedHeader">
															<tr>
																<th>
																	<input type="checkbox" onclick="toggleStudCheckboxes(this)" />
																	Selected
																	(<span id="selectedStudCount"><c:out value="${form.totalStudsToUse}" /></span>)
																</th>
																<th>Stud</th>
																<th>Cage</th>
																<th>Earclip</th>
																<th>Genotype</th>
																<th>Vasecomised</th>
															</tr>
														</thead>
														<gui:toggle-row-reset/>
														<c:forEach items="${form.studs}" var="stud" varStatus="studLoop">
															<gui:toggle-row-class/>
															<tr class="${rowClass}">
																<td>
																	<form:checkbox cssClass="studCheckbox" path="studsToUse[${studLoop.index}]" value="${stud.id}" onclick="updateSelectedStudCount(this.checked);"/>
																</td>
																<td>
																	<c:out value="${stud.name}" />
																</td>
																<td>
																	<c:out value="${stud.location.description}" />
																</td>
																<td>
																	<c:out value="${stud.earmark.name}" />
																</td>
																<td>
																	<gui:mouseGenotype mouse="${stud}" />
																</td>
																<td>
																	<gui:format-boolean booleanValue="${stud.sterile}"/>
																</td>
															</tr>
														</c:forEach>
													</table>
												</td>
											</tr>
										</c:if>
									</table>
								</div>
							</gui:mig-box>
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="button" value="Reset" onclick="document.location='add_stud_breeding.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>