<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Edit Mating</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>
				Edit Mating ${form.breeding.breedingName}
			</gui:pageHeader>

			<gui:error-list commandName="form"><br /></gui:error-list>

			<form:form commandName="form" method="post" action="edit_breeding.do">
				<table width="100%">
					<tr valign="top">
						<td width="65%">
							<gui:cage cage="${cage}" readonly="true"></gui:cage>
						</td>
						<td>
							<gui:mig-box>
								<table class="migBoxInner">
									<tr valign="top">
										<td class="viewLabelSmall">Date Paired<span class="requiredField">*</span></td>
										<td>
											<form:input path="breeding.startDate" cssClass="date" tabindex="2" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="breeding.startDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Date Completed</td>
										<td>
											<form:input path="breeding.endDate" cssClass="date" tabindex="2" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="breeding.endDate" datePicker="true" timePicker="false" autoPopUp="button" />
											<br />
											Leave blank if you intend only to seperate the mice and re-pair them at a later date
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Offspring<br>Generation</td>
										<td>
											<form:input path="breeding.offspringGeneration" size="5" onblur="validateGenerationField(this)" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Colony<span class="requiredField">*</span></td>
										<td>
											<gui:formPopup path="breeding.offspringColony.colonyPrefix" size="5" onclick="openLookupList('lookup_colony.do','colonyName=breeding.offspringColony.colonyName,colonyInfoId=breeding.offspringColonyId,colonyPrefix=breeding.offspringColony.colonyPrefix')" noimage="true" />
											<gui:formPopup path="breeding.offspringColony.colonyName" size="30" onclick="openLookupList('lookup_colony.do','colonyName=breeding.offspringColony.colonyName,colonyInfoId=breeding.offspringColonyId,colonyPrefix=breeding.offspringColony.colonyPrefix')" />
											<form:hidden path="breeding.offspringColonyId" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Mating Notes</td>
										<td>
											<form:textarea path="breeding.comments" cssStyle="width:95%" rows="4"/>
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Timed mating
										</td>
										<td>
											<form:checkbox path="breeding.timed" />
											Required Embryo Age
											<form:select path="breeding.timedEmbryoAge">
												<option value="">&nbsp;</option>
												<form:options items="${timedEmbryoAges}"/>
											</form:select>
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Mating Category
										</td>
										<td>
											<form:select path="breeding.breedingCategoryDictId">
												<option value="">&nbsp;</option>
												<form:options items="${categories}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<c:if test="${form.breeding.male.alive or form.breeding.female.alive}">
							<br>
								<gui:mig-box>
									<table class="migBoxInner">
										<c:if test="${form.breeding.male.alive}">
											<tr>
												<td class="viewLabelSmall">
													Move male to cage or rack
												</td>
												<td>
													Leave blank to keep male in current cage
													<br />
													<form:input path="maleLocation.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'maleLocation.id','cage or rack', 'maleLocation.barcodeDescription','maleLocation.barcodeType')" />
													<form:hidden path="maleLocation.id" />
													<form:hidden path="maleLocation.barcodeType" />
													<form:input path="maleLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
												</td>
											</tr>
										</c:if>
										<c:if test="${form.breeding.female.alive}">
											<tr>
												<td class="viewLabelSmall">
													Move female to cage or rack
												</td>
												<td>
													Leave blank to keep female in current cage
													<br />
													<form:input path="femaleLocation.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'femaleLocation.id','cage or rack', 'femaleLocation.barcodeDescription','femaleLocation.barcodeType')" />
													<form:hidden path="femaleLocation.id" />
													<form:hidden path="femaleLocation.barcodeType" />
													<form:input path="femaleLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
												</td>
											</tr>
										</c:if>
									</table>
								</gui:mig-box>
							</c:if>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="reset" value="Reset" onclick="document.location='edit_breeding.do?id=${form.breeding.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
								<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
