<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Edit Stud Mating</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
		<script type="text/javascript" src="js/toggleVisibility.js"></script>
		<script>

		function initElements() {

			addParent("femaleOption");
			addChild("femaleLocation.barcode","MOVE_FEMALE","${form.femaleOption}","","toggleFemaleLocation");

			initElementVisibility();
		}

		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="initElements();">
		<gui:page>
			<gui:pageHeader>
				Edit Stud Mating
			</gui:pageHeader>

			<gui:error-list commandName="form"><br /></gui:error-list>

			<form:form commandName="form" method="post" action="edit_stud_breeding.do">
				<table width="100%">
					<tr>
						<td colspan="2">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr valign="top">
										<td>
											<h2>NOTE: You typically should not need to use this form. If you are unsure of how this form works, please exit and seek advice.</h2>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
					<tr valign="top">
						<td width="65%">
							<gui:cage cage="${cage}" readonly="true"></gui:cage>
						</td>
						<td>
							<gui:mig-box>
								<table class="migBoxInner">
									<tr valign="top">
										<td class="viewLabelSmall">Date Paired<span class="requiredField">*</span></td>
										<td>
											<form:input path="breeding.startDateTime" size="16" readonly="true"  />
											<gui:dateTimePicker path="breeding.startDateTime" datePicker="true" timePicker="true" autoPopUp="button" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Date Plugged</td>
										<td>
											<form:input path="breeding.plugDateTime" size="16" readonly="true" />
											<gui:dateTimePicker path="breeding.plugDateTime" datePicker="true" timePicker="true" autoPopUp="button" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Date Separated</td>
										<td>
											<form:input path="breeding.endDate" size="12" readonly="true"  />
											<gui:dateTimePicker path="breeding.endDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Required Embryo Age</td>
										<td>
											<form:select path="breeding.timedEmbryoAge">
												<option value="">&nbsp;</option>
												<form:options items="${embryoAgeOptions}"/>
											</form:select>
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Male Option</td>
										<td>
											<form:select path="maleOption">
												<c:forEach items="${maleOptions}" var="maleOption">
													<form:option value="${maleOption}" label="${maleOption.description}" />
												</c:forEach>
											</form:select>
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">Female Option</td>
										<td>
											<form:select path="femaleOption" onchange="toggleChildElementVisibility(this)">
												<c:forEach items="${femaleOptions}" var="femaleOption">
													<form:option value="${femaleOption}" label="${femaleOption.description}" />
												</c:forEach>
											</form:select>
										</td>
									</tr>
									<tr valign="top" id="toggleFemaleLocation">
										<td class="viewLabelSmall">Female Location</td>
										<td>
											<form:input path="femaleLocation.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'femaleLocation.id','cage or rack', 'femaleLocation.barcodeDescription','femaleLocation.barcodeType')"/>
											<form:hidden path="femaleLocation.barcodeType"/>
											<form:hidden path="femaleLocation.id"/>
											<br>
											<form:input path="femaleLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="reset" value="Reset" onclick="document.location='edit_stud_breeding.do?id=${form.breeding.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
								<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
