<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>List Matings</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Mating Pairs" />
			<form action="search_breeding.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty breedings}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										<gui:paginate-order-by orderBy="name_prefix,breeding_number" bean="${searchBean}">
											Mating Name
										</gui:paginate-order-by>
									</th>
									<th>
										Colony
									</th>
									<th>
										<gui:paginate-order-by orderBy="start_date" bean="${searchBean}">
											Date Paired
										</gui:paginate-order-by>
									</th>
									<th>Father</th>
									<th>Mother</th>
									<th>Status</th>
									<th>Category</th>
								</tr>
							</thead>
							<tbody class="listPaginated">
								<c:forEach items="${breedings}" var="breeding">
									<gui:toggle-row-class />
										<tr valign="top" class="${rowClass}">
											<td>
												<a href="view_one_breeding.do?id=${breeding.id}">${breeding.breedingName}</a>
											</td>
											<td>
												${breeding.offspringColony.colonyName}
											</td>
											<td>
												<fmt:formatDate value="${breeding.startDate}" pattern="dd-MMM-yyyy"/>
											</td>
											<td>
												<b>Name:</b> ${breeding.male.name}
												<br />
												<b>Genotype:</b> <gui:mouseGenotype mouse="${breeding.male}" />
												<br />
												<b>Location:</b> ${breeding.male.location.description}
												<br />
												<b>Gen.B'ground:</b> ${breeding.male.strain.name}
											</td>
											<td>
												<b>Name:</b> ${breeding.female.name}
												<br />
												<b>Genotype:</b> <gui:mouseGenotype mouse="${breeding.female}" />
												<br />
												<b>Location:</b> ${breeding.female.location.description}
												<br />
												<b>Gen.B'ground:</b> ${breeding.female.strain.name}
											</td>
											<td>
												${breeding.status}
												<c:if test="${breeding.pseudoBreeding}">
													<br />
													<b>(Pseudo Pregnant)</b>
												</c:if>
												<c:if test="${breeding.timed}">
													<br>
													<b>Timed Mating <c:out value="${breeding.timedEmbryoAge}" default="?"/>E</b>
												</c:if>
											</td>
											<td>
												<c:if test="${!empty breeding.breedingCategory}">
													<c:out value="${breeding.breedingCategory.name}" />
												</c:if>
												&nbsp;
											</td>
										</tr>
								</c:forEach>
							</tbody>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
				</div>
			</form>
		</gui:page>
	</body>
</html>