<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Mating Search</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/validateBarcode.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script src="js/formValidator.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>
				Mating Search
				<gui:link-button href="search_breeding.do?retrieveFromSession=true" text="recall last query" />
			</gui:pageHeader>
			<form:form commandName="form" action="search_breeding.do" method="get">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
				<gui:error-list commandName="form" />
				<br />
				<gui:mig-box>
					<table class="migBoxInner" cellpadding=5>
						<tr>
							<td width="15%" class="viewLabelSmall" align="right">
								Mating Name
							</td>
							<td>
								<form:input path="breedingName" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Date Paired (from)
							</td>
							<td>
								<form:input path="startDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="startDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Date Paired (to)
							</td>
							<td>
								<form:input path="startDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="startDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Status
							</td>
							<td>
								<form:select path="status">
									<option value="">
										&nbsp;
									</option>
									<form:options items="${status}" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Micro-injection #
							</td>
							<td>
								<form:input path="microinjectionId" onblur="validateIntegerField(this, '>0')" size="5" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">Timed Mating?</td>
							<td>
								<form:select path="timed">
									<option value="">
										&nbsp;
									</option>
								<form:options items="${yesNo}" />
							</form:select>
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" valign="right">
								Mating Category
							</td>
							<td>
								<form:select path="breedingCategoryDictId">
									<option value="">&nbsp;</option>
									<form:options items="${categories}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">Timed Mating Harvest Date</td>
							<td>
								<form:input path="timedHarvestDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="timedHarvestDate" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Offspring Colony
							</td>
							<td>
								<gui:formPopup path="offspringColonyPrefix" size="5" onclick="openLookupList('lookup_colony.do','colonyInfoId=offspringColonyId,colonyName=offspringColonyName,colonyPrefix=offspringColonyPrefix')" noimage="true" />
								<gui:formPopup path="offspringColonyName" size="40" onclick="openLookupList('lookup_colony.do','colonyInfoId=offspringColonyId,colonyName=offspringColonyName,colonyPrefix=offspringColonyPrefix')" />
								<form:hidden path="offspringColonyId" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Parent ID/Barcode
							</td>
							<td>
								<form:input cssClass="barcodeField" path="parentBarcode" tabindex="1" onblur="validateBarcode(this, 'parentId','mouse','parentBarcodeDescription')" />
								<form:input path="parentBarcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
								<form:hidden path="parentId" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Parent Cage Barcode
							</td>
							<td>
								<form:input cssClass="barcodeField" path="parentCageBarcode" onblur="validateBarcode(this,'parentCageId','cage','parentCageDescription')" />
								<form:input path="parentCageDescription" cssClass="barcodeDescriptionField" readonly="true" />
								<form:hidden path="parentCageId" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Number of Litters
							</td>
							<td>
								<form:select path="litterExpression">
									<form:options items="${litter}" />
								</form:select>
								<form:input path="litterNumber" size="4" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall" align="right">
								Room
							</td>
							<td>
								<gui:formPopup path="roomNumber" title="Lookup Room" cssStyle="width: 200px" onclick="openLookupList('lookup_room.do?recordType=room')" />
								<form:errors path="roomId" cssClass="form_error" />
								<form:hidden path="roomId" />
								<input onclick="clearFields('roomNumber','roomId');" type='button' value='clear' class='smallButton' />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_breeding.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
