<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Separate Stud Breedings</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
	    <script type="text/javascript">

		    function useMyDetails(myId, myName) {
		    	document.getElementById("checkPerson.id").value = myId;
		    	document.getElementById("checkPerson.displayText").value = myName;
		    }

			function submitChangeForm(changeAction, changeValue) {
				document.forms[0].changeForm.value = changeAction;
				document.forms[0].changeFormValue.value = changeValue;
				document.forms[0].submit();
			}

			function lookupListPostProcessing() {
				submitChangeForm("addStudCohort");
			}

			function updateAllStudBreedingPlugs(globalField, breedingCount) {
				for(var i=0; i<breedingCount; i++) {
					document.getElementById("studBreedingPlugs[" + i + "]" + globalField).checked = true;
				}
			}

			function validateBarcodePostProcess(barcodeFieldId) {
				if(barcodeFieldId == "studCage.barcode") {
					submitChangeForm("addStudCage");
				}
			}

			function tickRow(rowIndex) {
				document.getElementById("tickForWell" + rowIndex).style.visibility = "visible";
			}

			$(document).ready(function() {
				$("tbody.highlightable tr")
					.mouseover(function() {$(this).addClass("highlight");})
					.mouseout(function() {$(this).removeClass("highlight");})
				;
			});
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Separate Stud Matings" />

			<form:form commandName="form" method="post">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<table width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">
							<gui:error-list commandName="form" />
						</td>
					</tr>
					<tr valign="top">
						<td width="50%">
							<gui:mig-box label="Plug Check Details">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall" width="40%">
											Plug Check Date<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="checkDateTime" size="16" readonly="true" />
											<gui:dateTimePicker path="checkDateTime" timePicker="true"/>
											<input class="smallButton" type="button" value="Now" onclick="getTodaysDate('checkDateTime', true)" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Checked By<span class="requiredField">*</span>
										</td>
										<td>
											<gui:formPopup path="checkPerson.displayText" onclick="openLookupList('lookup_person.do','personName=checkPerson.displayText,personId=checkPerson.id')"/>
											<form:hidden path="checkPerson.id" />
											<input class="smallButton" type="button" value="Me" onclick="useMyDetails('${user.id}','${user.fullName}')" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Destination Rack for Plugged Females<span class="requiredField" style="color:blue;">*</span><br>
											<span style="font-weight:normal;">(only required if plugs present)</span>
										</td>
										<td>
											<form:input path="destinationRack.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'destinationRack.id', 'Rack', 'destinationRack.barcodeDescription')"/>
											<br>
											<form:input path="destinationRack.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" onfocus="this.blur();"/>
											<form:hidden path="destinationRack.id" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Required Embryo Age<span class="requiredField" style="color:blue;">*</span>
										</td>
										<td>
											<form:select path="timedEmbryoAge">
												<option value="">&nbsp;</option>
												<form:options items="${embryoAgeOptions}" itemValue="name" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Plugged Females Per Cage
										</td>
										<td>
											<form:input path="femalesPerCage" size="2" onblur="validateIntegerField(this, '>0');" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td>
							&nbsp;
						</td>
					</tr>
				</table>
				<table width="100%" cellspacing="0" cellpadding="0">
					<tr valign="top">
						<td width="70%">
							<gui:mig-box label="Studs">
								<table class="migBoxInner">
									<tr>
										<td>
											Select Stud Bank
											<br />
											<gui:formPopup path="studCohortName" size="30" onclick="openLookupList('lookup_cohort.do?cohortTypeId=3','cohortName=studCohortName,cohortId=studCohortId')" />
											<form:hidden path="studCohortId" />
										</td>
										<td>
											Or Scan Cage
											<br />
											<form:input path="studCage.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'studCage.id', 'Cage')" />
											<form:hidden path="studCage.id" />
										</td>
									</tr>
									<c:if test="${!empty form.studBreedings}">
										<tr>
											<td colspan="2">
												<table class="listNonPaginated">
													<thead class="listNonPaginatedHeader">
														<tr>
															<th>&nbsp;</th>
															<th>Plug</th>
															<th>No Plug</th>
															<th>Cull Female</th>
															<th>Ignore</th>
															<th>Stud</th>
															<th>Setup Date</th>
															<th>Cage</th>
															<th>Earclip</th>
															<th>Genotype</th>
														</tr>
													</thead>
													<tbody class="highlightable">
														<gui:toggle-row-reset/>
														<c:forEach items="${form.studBreedings}" var="studBreeding" varStatus="studLoop">
															<c:set var="stud" value="${studBreeding.male}" />
															<gui:toggle-row-class/>
															<tr class="${rowClass}">
																<td>
																	<c:choose>
																		<c:when test="${form.studBreedingPlugs[studLoop.index] ne plugState_default}">
																			<c:set var="tickVisibility" value="visible" />
																		</c:when>
																		<c:otherwise>
																			<c:set var="tickVisibility" value="hidden" />
																		</c:otherwise>
																	</c:choose>
																	<img src="images/mouse_tracking/tick.gif" id="tickForWell${studLoop.index}" style="visibility:${tickVisibility}" />
																</td>
																<td title="Plug">
																	<form:radiobutton path="studBreedingPlugs[${studLoop.index}]" value="${plugState_plugged}" onclick="tickRow(${studLoop.index})" cssStyle="cursor:pointer" />
																</td>
																<td title="No Plug">
																	<form:radiobutton path="studBreedingPlugs[${studLoop.index}]" value="${plugState_not_plugged}" onclick="tickRow(${studLoop.index})" cssStyle="cursor:pointer" />
																</td>
																<td title="Cull Female">
																	<form:radiobutton path="studBreedingPlugs[${studLoop.index}]" value="${plugState_cull}" onclick="tickRow(${studLoop.index})" cssStyle="cursor:pointer" />
																</td>
																<td title="Ignore">
																	<form:radiobutton path="studBreedingPlugs[${studLoop.index}]" value="${plugState_ignore}" onclick="tickRow(${studLoop.index})" cssStyle="cursor:pointer" />
																	<form:radiobutton path="studBreedingPlugs[${studLoop.index}]" value="${plugState_default}" cssStyle="display:none"/>
																</td>
																<td>
																	<c:out value="${stud.name}" />
																</td>
																<td>
																	<fmt:formatDate value="${studBreeding.startDateTime}" pattern="dd-MMM-yyyy"/>
																</td>
																<td>
																	<c:out value="${stud.location.description}" />
																</td>
																<td>
																	<c:out value="${stud.earmark.name}" />
																</td>
																<td>
																	<gui:mouseGenotype mouse="${stud}" />
																</td>
															</tr>
														</c:forEach>
													</tbody>
												</table>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="button" value="Reset" onclick="document.location='separate_stud_breedings.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>