<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>View Breeding Summary</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/print.css" rel="stylesheet" media="print" />
	</head>
	<body>
		<gui:page>
			<div style="width:800px">
				<gui:cage cage="${cage}" readonly="true"></gui:cage>
			</div>

			<gui:mig-box label="Offspring">
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>Animal ID</th>
							<th>D.O.B.</th>
							<th>Earmark</th>
							<th>Sex</th>
							<th>Genotype</th>
							<th>D.O.W.</th>
							<th>Comments</th>
							<th>Location / Fate</th>
						</tr>
					</thead>
					<c:forEach items="${litters}" var="litter">
						<c:forEach items="${litter.pups}" var="mouse">
							<gui:toggle-row-class/>
							<tr class="${rowClass}">
								<td>${mouse.name}</td>
								<td>
									<fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" />
								</td>
								<td>${mouse.earmark.name}</td>
								<td>${mouse.gender.name}</td>
								<td>
									<gui:mouseGenotype mouse="${mouse}" />
								</td>
								<td>
									<fmt:formatDate value="${mouse.weanDate}" pattern="dd-MMM-yyyy" />
								</td>
								<td>
									${mouse.comments}
								</td>
								<td>
									${mouse.location.description}
								</td>
							</tr>
						</c:forEach>
					</c:forEach>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
