<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<c:set var="model" value="${viewSeparatedStudBreedingsModel}" />
<html>
	<head>
		<title>View Separated Stud Breedings</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Separated Stud Matings" />

			<div style="width:50%">
				<gui:mig-box>
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>Options</th>
								<th>Detail</th>
								<th>Number of Cages</th>
								<th>Number of Mice</th>
							</tr>
						</thead>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								<c:choose>
									<c:when test="${!empty model.poolCageIds}">
										<gui:link-button text="print labels" onclick="printLabels('PRINT_CAGE','${gui:commaSeparate(model.poolCageIds, null)}')" />
										&nbsp;
										<gui:link-button text="view cages" href="view_cages.do?cageIds=${gui:commaSeparate(model.poolCageIds, null)}" />
									</c:when>
									<c:otherwise>
										&nbsp;
									</c:otherwise>
								</c:choose>
							</td>
							<td>
								Females returned to Pool Cage(s):
							</td>
							<td>
								<c:out value="${fn:length(model.poolCageIds)}" />
							</td>
							<td>
								<c:out value="${model.notpluggedFemaleCount}" />
							</td>
						</tr>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								<c:choose>
									<c:when test="${!empty model.newStockCageIds}">
										<gui:link-button text="print labels" onclick="printLabels('PRINT_CAGE','${gui:commaSeparate(model.newStockCageIds, null)}')" />
										&nbsp;
										<gui:link-button text="view cages" href="view_cages.do?cageIds=${gui:commaSeparate(model.newStockCageIds, null)}" />
									</c:when>
									<c:otherwise>
										&nbsp;
									</c:otherwise>
								</c:choose>
							</td>
							<td>
								Plugged Females:
							</td>
							<td>
								<c:out value="${fn:length(model.newStockCageIds)}" />
							</td>
							<td>
								<c:out value="${model.pluggedFemaleCount}" />
							</td>
						</tr>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								<c:choose>
									<c:when test="${!empty model.pluggedStudCageIds}">
										<gui:link-button text="print labels" onclick="printLabels('PRINT_CAGE','${gui:commaSeparate(model.pluggedStudCageIds, null)}')" />
										&nbsp;
										<gui:link-button text="view cages" href="view_cages.do?cageIds=${gui:commaSeparate(model.pluggedStudCageIds, null)}" />
									</c:when>
									<c:otherwise>
										&nbsp;
									</c:otherwise>
								</c:choose>
							</td>
							<td>
								Successful Stud Males:
							</td>
							<td>
								<c:out value="${fn:length(model.pluggedStudCageIds)}" />
							</td>
							<td>
								<c:out value="${model.pluggedStudCount}" />
							</td>
						</tr>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								<c:choose>
									<c:when test="${!empty model.failedStudCageIds}">
										<gui:link-button text="print labels" onclick="printLabels('PRINT_CAGE','${gui:commaSeparate(model.failedStudCageIds, null)}')" />
										&nbsp;
										<gui:link-button text="view cages" href="view_cages.do?cageIds=${gui:commaSeparate(model.failedStudCageIds, null)}" />
									</c:when>
									<c:otherwise>
										&nbsp;
									</c:otherwise>
								</c:choose>
							</td>
							<td>
								Failed Stud Males:
							</td>
							<td>
								<c:out value="${fn:length(model.failedStudCageIds)}" />
							</td>
							<td>
								<c:out value="${model.failedStudCount}" />
							</td>
						</tr>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								&nbsp;
							</td>
							<td>
								Culled Females:
							</td>
							<td>
								&nbsp;
							</td>
							<td>
								<c:out value="${model.culledFemaleCount}" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
			</div>
		</gui:page>
	</body>
</html>