<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>View Stud Mating Cages</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				<c:out value="Viewing ${fn:length(cages)} Stud Mating Cages" />
				&nbsp;
				<gui:link-button text="Print All Cage Cards" onclick="printLabels('PRINT_CAGE','${cageIds}')" />
			</gui:pageHeader>

			<mig:box>
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<th>Options</th>
						<th>Cage Barcode</th>
						<th>Stud</th>
						<th>Female</th>
					</thead>
					<gui:toggle-row-reset/>
					<c:forEach items="${cages}" var="cage">
						<c:forEach items="${cage.contents}" var="mouse">
							<c:if test="${mouse.stud}">
								<c:set var="stud" value="${mouse}"/>
							</c:if>
							<c:if test="${mouse.pooled}">
								<c:set var="female" value="${mouse}" />
							</c:if>
						</c:forEach>
						<gui:toggle-row-class/>
						<tr class="${rowClass}">
							<td>
								<gui:link-button text="print card" onclick="printLabels('PRINT_CAGE','${cage.id}')"/>
							</td>
							<td>
								<a href="view_one_cage.do?id=${cage.id}"><c:out value="${cage.barcode}" /></a>
							</td>
							<td>
								<c:out value="${stud.name}" />
							</td>
							<td>
								<c:out value="${female.name}" />
							</td>
						</tr>
					</c:forEach>
				</table>
			</mig:box>
		</gui:page>
	</body>
</html>