<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Edit Mice By Cage</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/formValidator.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
			function submitChangeForm(action) {
				var d = document.forms[0];
				d.changeForm.value = action;
				d.submit();
			}

			function afterValidateDate(field) {
				if(field.id == "defaultMouseValues.deathDate") {
					copyValueToArray(field,'mice\\d*.deathDate');
				}
			}

			function copyCauseOfDeath(field) {
				copyValueToArray(field,'mice\\d*.causeOfDeathDictId');
			}

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader right="${form.barcodes}">
				${form.description}
			</gui:pageHeader>
			<gui:error-list commandName="form"><br /></gui:error-list>
			<form:form commandName="form">
				<input type="hidden" name="changeForm" />
				<table width="99%" align="center">
					<tr valign="top">
						<td width="70%">
							<gui:mig-box>
								<table class="migBoxInner" width="99%">
									<c:if test="${!empty form.cage}">
										<gui:stockCageHeader cage="${form.cage}" />
									</c:if>
									<tr>
										<td colspan="3">
											<table class="listNonPaginated" width="99%">
												<thead class="listNonPaginatedHeader">
													<tr>
														<th>
															&nbsp;
														</th>
														<td>
															&nbsp;
														</td>
														<td>
															&nbsp;
														</td>
														<td>
															&nbsp;
														</td>
														<td>
															&nbsp;
														</td>
														<td>
															<form:input path="defaultMouseValues.deathDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
															<gui:dateTimePicker path="defaultMouseValues.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />

															<form:select path="defaultMouseValues.causeOfDeathDictId" onchange="copyCauseOfDeath(this)">
																<option value="">&nbsp;</option>
																<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name"/>
															</form:select>
														</td>
													</tr>
													<tr>
														<th>I.D.</th>
														<th>D.O.B.</th>
														<th>Earmark</th>
														<th>Colour</th>
														<th>Genotype</th>
														<th>Fate</th>
													</tr>
												</thead>
												<c:forEach items="${form.mice}" var="mouse" varStatus="mouseLoop">
													<gui:toggle-row-class />
													<tr class="${rowClass}">
														<td>
															<c:if test="${!empty form.cohort}">
																<gui:genderImage gender="${mouse.gender}" />
															</c:if>
															${mouse.name}
														</td>
														<td>
															<fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy"/>
														</td>
														<td>
															<form:select path="mice[${mouseLoop.index}].earmarkDictId">
																<option value="">&nbsp;</option>
																<form:options items="${earmark}" itemValue="id" itemLabel="name"/>
															</form:select>
														</td>
														<td>
															<form:select path="mice[${mouseLoop.index}].coatColourDictId">
																<option value="">&nbsp;</option>
																<form:options items="${coatColour}" itemValue="id" itemLabel="name"/>
															</form:select>
														</td>
														<td>
															<table width="100" cellspacing="0" cellpadding="0">
															<c:if test="${empty mouse.alleles}">
																${mouse.genotype}
															</c:if>
															<c:forEach items="${mouse.alleles}" varStatus="alleleLoop">
																<tr>
																	<td>
																		${form.mice[mouseLoop.index].alleles[alleleLoop.index].allele.htmlAlleleSymbol}
																	</td>
																	<td>
																		<c:choose>
																			<c:when test="${mouse.alleles[alleleLoop.index].lockedForUpdate}">
																				<c:out value="${mouse.alleles[alleleLoop.index].genotype.name}" />
																				<img src="images/locked.gif" title="Locked Record" />
																			</c:when>
																			<c:otherwise>
																				<form:select path="mice[${mouseLoop.index}].alleles[${alleleLoop.index}].genotypeDictId">
																					<form:options items="${genotype}" itemValue="id" itemLabel="name"/>
																				</form:select>
																			</c:otherwise>
																		</c:choose>
																	</td>
																</tr>
															</c:forEach>
															</table>
														</td>
														<td>
															<form:input path="mice[${mouseLoop.index}].deathDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
															<gui:dateTimePicker path="mice${mouseLoop.index}.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />

															<form:select path="mice[${mouseLoop.index}].causeOfDeathDictId">
																<option value="">&nbsp;</option>
																<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name"/>
															</form:select>
														</td>
													</tr>
												</c:forEach>
											</table>
										</td>
									</tr>
									<tr valign="top">
										<td>
											<gui:procedureSubform title="New Procedure / 19b"></gui:procedureSubform>
										</td>
										<td colspan="2">
											<gui:mig-box>
												<table class="migBoxInner">
													<tr>
														<td class="viewLabelSmall">
															Owner
														</td>
														<td nowrap="nowrap">
															<gui:formPopup path="defaultMouseValues.currentOwner.displayText" size="50" onclick="openLookupList('lookup_person.do','personId=defaultMouseValues.currentOwnerId,personName=defaultMouseValues.currentOwner.displayText')" />
															<form:hidden path="defaultMouseValues.currentOwnerId" />
														</td>
													</tr>
												</table>
											</gui:mig-box>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td>&nbsp;</td>
					</tr>
				</table>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<c:choose>
						<c:when test="${!empty form.cage}">
							<input type="button" value="Reset" onclick="document.location='edit_mice_by_cage.do?id=${form.cage.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
						</c:when>
						<c:when test="${!empty form.cohort}">
							<input type="button" value="Reset" onclick="document.location='edit_mice_by_cohort.do?id=${form.cohort.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
						</c:when>
					</c:choose>
					<c:choose>
						<c:when test="${!empty form.cage}">
							<input type="button" value="Cancel" onclick="document.location='view_one_cage.do?id=${form.cage.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
						</c:when>
						<c:when test="${!empty form.cohort}">
							<input type="button" value="Cancel" onclick="document.location='view_one_cohort.do?id=${form.cohort.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
						</c:when>
					</c:choose>
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
