<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Register Cages in Rack</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script src="js/formValidator.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script>
		function replaceTabWithCr() {
			var barcodeField = document.getElementById("listOfBarcodes");
			barcodeField.value = barcodeField.value + "\n";
		}

		function validateBarcodePostProcess(barcodeFieldId) {
			if(barcodeFieldId == "rack.barcode") {
				document.getElementById("listOfBarcodes").focus();
			}
		}

		function countBarcodes() {
			var barcodeArray = document.getElementById("listOfBarcodes").value.split("\n");
			var barcodeDuplicateArray = new Array();
			var barcodeCount = 0;
			var barcodeRegexp = RegExp("[cC]{1}\\d{8}");
			for(var i = 0; i < barcodeArray.length; i++) {
				if(barcodeArray[i].match(barcodeRegexp)) {
				    var duplicate = false;
					for(var j = 0; j < barcodeDuplicateArray.length; j++) {
				       if(barcodeArray[i] == barcodeDuplicateArray[j]) {
				       	duplicate = true;
				       	break;
				       }
					}
					if(!duplicate) {
						barcodeDuplicateArray[j] = barcodeArray[i];
						barcodeCount++;
					}
				}
			}
			document.getElementById("cageBarcodeCount_div").innerHTML = barcodeCount;
		}
		</script>
	</head>
	<body onload="countBarcodes()">
		<gui:page>
			<gui:pageHeader name="Register Cages In Rack" />
			<form:form commandName="form" action="register_cages.do">
				<gui:error-list commandName="form" />

				<table>
					<tr valign="top">
						<td width="50%">
							<gui:mig-box>
								<table class="migBoxInner">
									<tr valign="top">
										<td class="viewLabelSmall" rowspan="2">
											Rack Barcode<span class="requiredField">*</span>
										</td>
										<td>
											<form:input path="rack.barcode" cssClass="barcodeField" onblur="validateBarcode(this, 'rack.id','rack', 'rack.barcodeDescription')" />
											<form:hidden path="rack.id" />
										</td>
									</tr>
									<tr>
										<td>
											<form:input path="rack.barcodeDescription" cssClass="barcodeDescriptionField" size="40" readonly="true" />
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall">
											Cage Barcode(s)<span class="requiredField">*</span>
											<div style="height:60px"></div>
											<gui:mig-box>
												<div style="text-align:center">Cage Count</div>
												<table class="migBoxInner">
													<tr valign="top">
														<td style="height:150px" align="center" valign="middle">
															<div style="font-size:72pt;" id="cageBarcodeCount_div"></div>
														</td>
													</tr>
												</table>
											</gui:mig-box>
										</td>
										<td>
											<form:textarea path="listOfBarcodes" cols="9" rows="20" cssClass="barcodeField" onkeydown="if(event.keyCode == 9 || event.keyCode == 13){replaceTabWithCr();return false;}" onkeyup="countBarcodes();return true;"/>
										</td>
									</tr>
								</table>
							</gui:mig-box>

							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="button" value="Reset" onclick="document.location='register_cages.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
							</div>
						</td>
						<td>
							<gui:mig-box label="Instructions">
								<table class="migBoxInner">
									<tr>
										<td>
											Use this form to associate cages to a rack.<br>
											If the cage belonged to a different rack, it will be moved to this one.<br>
											<br>
											This is also a convenient way of moving whole groups of cages between racks.
											<ul>
												<li>Scan the rack to register cages in.</li>
												<li>Scan a cage or group of cages to register in the rack.</li>
												<li>Click submit.</li>
											</ul>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br>
							<gui:mig-box label="Optional Changes">
								<gui:procedureSubform hideRequiredFieldFlags="true">
									<tr>
										<td class="viewLabelSmall">
											Owner
										</td>
										<td>
											<gui:formPopup path="newOwner.displayText" size="50" onclick="openLookupList('lookup_person.do','personId=newOwner.id,personName=newOwner.displayText')" />
											<form:hidden path="newOwner.id" />
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<hr />
										</td>
									</tr>
								</gui:procedureSubform>
							</gui:mig-box>
							<gui:mig-box>
								<table class="migBoxInner">
									<tr>
										<td>
											Changing owner or licence information will affect ALL live mice in the scanned cages.
										</td>
									</tr>
							</gui:mig-box>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
