<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<c:set var="model" value="${sessionScope.registerCagesResultModel}" />
<html>
	<head>
		<title>Register Cages in Rack - Result</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Register Cages In Rack - Results" />
			<table width="100%">
				<tr valign="top">
					<td width="50%">
						<gui:mig-box label="${fn:length(model.passedCages)} Cages updated to ${model.rack.barcodeDescription}">
							<table class="migBoxInner">
								<gui:toggle-row-reset/>
								<c:forEach items="${model.passedCages}" var="mapEntry">
									<gui:toggle-row-class/>
									<tr class="${rowClass}">
										<td>
											<a href="view_one_cage.do?id=${mapEntry.value.id}">${mapEntry.key}</a>
										</td>
										<td>
											${mapEntry.value.cageType.description}
										</td>
									</tr>
								</c:forEach>
							</table>
						</gui:mig-box>
					</td>
					<td width="50%">
						<c:if test="${!empty model.failedCages}">
							<gui:mig-box label="${fn:length(model.failedCages)} Invalid Cage Barcodes">
								These cages <span class="formError">HAVE NOT</span> been moved or updated.
								<table class="migBoxInner">
									<gui:toggle-row-reset/>
									<c:forEach items="${model.failedCages}" var="mapEntry">
										<gui:toggle-row-class/>
										<tr class="${rowClass}">
											<td>
												<c:choose>
													<c:when test="${!empty mapEntry.value}">
														<a href="view_one_cage.do?id=${mapEntry.value.id}">${mapEntry.key}</a>
													</c:when>
													<c:otherwise>
														${mapEntry.key}
													</c:otherwise>
												</c:choose>
											</td>
											<td>
												<c:choose>
													<c:when test="${!empty mapEntry.value}">
														Empty Cage
													</c:when>
													<c:otherwise>
														Invalid Barcode
													</c:otherwise>
												</c:choose>
											</td>
										</tr>
									</c:forEach>
								</table>
							</gui:mig-box>
						</c:if>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
