<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Clean Cage</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/mouse_tracking/validateCageDetails.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
		<form:form commandName="form" method="post"	action="validate_cage_details.do">
			<gui:pageHeader right="${cage.rack.barcode}&nbsp;${cage.barcode}">
				Clean Cage - ${cage.rack.room.roomNumber}
				Rack ${cage.rack.name}
			</gui:pageHeader>

			<table width="99%" align="center">
				<tr valign="top">
					<td width="65%">
						<gui:cage cage="${cage}" readonly="true"></gui:cage>
					</td>
					<td>
						&nbsp;
					</td>
				</tr>
			</table>

			<br />
			<gui:mig-box label="Mice In Cage">
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr class="theadList">
							<th>Mouse ID</th>
							<th>Gender</th>
							<th>Earmark</th>
							<th>Colour</th>
							<th>OK <gui:link-button text="All OK" onclick="okAllMice()" hoverText="Click to confirm all mice ok."/></th>
							<c:if test="${form.toCullRequired}">
								<th>Culled</th>
							</c:if>
							<th>Found Dead</th>
							<th>Missing</th>
							<th>Fate Date</th>
							<th>Fate</th>

						</tr>
					</thead>
					<tbody class="listNonPaginated">
						<c:forEach items="${form.cage.contents}" var="mouse" varStatus="iterator">
							<input type="hidden" id="locations${iterator.index}" />
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>${mouse.name}</td>
								<td>${mouse.gender.name}</td>
								<td>${mouse.earmark.name}</td>
								<td>${mouse.coatColour.name}</td>
								<td>
									<input class="okRadioButton" type="radio" name="confirm_${iterator.index}" onclick="validateMouse(${iterator.index},'OK','${mouse.causeOfDeathDictId}')" />
								</td>
								<c:if test="${form.toCullRequired}">
									<td>
										<c:if test="${!empty mouse.causeOfDeath.name && empty mouse.deathDate}">
											<input type="radio" name="confirm_${iterator.index}" onclick="validateMouse(${iterator.index},'CULL','${mouse.causeOfDeathDictId}')" />
										</c:if>
									</td>
								</c:if>
								<td>
									<input type="radio" name="confirm_${iterator.index}" onclick="validateMouse(${iterator.index},'FDC','${foundDead.id}','${foundDead.name}')" />
								</td>
								<td>
									<input type="radio" name="confirm_${iterator.index}" onclick="validateMouse(${iterator.index},'MISSING','${missing.id}','${missing.name}')" />
								</td>
								<td>
									<form:input path="cage.contents[${iterator.index}].deathDate"  cssClass="date" onblur="validateDateTime(this, true, false);" />
									<gui:dateTimePicker path="cage.contents${iterator.index}.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />
								</td>
								<td>
									${mouse.causeOfDeath.name }
									<c:if test="${empty mouse.causeOfDeath.name}">
										<input type="text" readonly="readonly" id="cull_name_${iterator.index}" size="25">
									</c:if>
									<form:hidden path="cage.contents[${iterator.index}].causeOfDeathDictId" />
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</gui:mig-box>

			<div class="submitButtonsMouseTracking">
				<input type="button" value="Submit" onclick="validateCageContents()" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="button" value="Reset" onclick="document.location='validate_cage_details.do?id=${form.cage.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				<input type="button" value="Cancel" onclick="document.location='view_one_cage.do?id=${form.cage.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>

		</form:form>
		</gui:page>
	</body>
</html>
