<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Edit Cohort Set</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/uiTabs.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
		function addCohort(action, value, key, tabCount) {
			var d=document.getElementById('newCohort'+key+'.id');
			if(d != null && d.value>0){
				submitChangeForm(action, value, key, tabCount);
			}else{
				alert('Please select a cohort!');
			}
		}

		function submitChangeForm(action, value, key, tabCount) {
			var d = document.forms[0];
			d.changeForm.value = action;
			d.changeFormValue.value = value;
			d.currentPipeline.value = key;
			d.action += '#fragment-'+tabCount;
			d.submit();
		}

		function checkOnSubmit(newCohortsCount,deleteCohortsCount) {
			if(newCohortsCount==0 && deleteCohortsCount==0){
               	if(confirm('The cohort list for this pipeline is not changed, submit anyway?')){
               		document.forms[0].submit();
               	}else{
               	return false;
               	}
            }else{
					document.forms[0].submit();
		    }
		}

		$(document).ready(function() {
			// set up tabs
			$('#tabsEx1 > ul').tabs({
				fx: { opacity: 'toggle', duration: 100 }
			});
        	$('#tabsEx1 > ul').bind('tabsselect', function(event, ui) {
        		$("#currentPipeline").val(ui.tab.text);
  			});

  			//$("#tabsEx1 > ul").tabs("select", $("#tabsEx1 > ul").tabs("length")-1);
		});

  		</script>
	</head>
	<body>
		<gui:page>
			<c:choose>
				 <c:when test="${empty form.cohortSet.id}">
					<gui:pageHeader  name="New Cohort Set" />
					<c:set var="infTitle" value="Cohort Set Information"/>
				</c:when>
				<c:otherwise>
					<gui:pageHeader>
					Edit Cohort Set for <i>${form.allele.migGene.primaryName}<sup><font size=''-1''>${form.allele.officialNameSuperscript}</gui:pageHeader>
					<c:set var="infTitle" value=""/>
				</c:otherwise>
			</c:choose>
			<gui:error-list title="Incomplete Form:" id="edit" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />

			<form:form commandName="form" action="edit_one_cohort_set.do" >
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<form:hidden path="currentPipeline" />

				<gui:mig-box label="${infTitle}">
					<table class="migBoxInner">
						<tr>
						<c:if test="${empty form.cohortSet.id}">
							<td class="entryLabel" style="width: 150px;">
								Allele <span class='formError'>*</span>
							</td>
							<td class="entryData" style="width: 300px;" onclick="openLookupList('lookup_allele.do','alleleId=allele.id,officialNameSuperscript=allele.officialNameSuperscript,primaryName=allele.migGene.primaryName')">
								<form:input path="allele.migGene.primaryName" readonly="true" cssClass="popup" />
									<sup><form:input path="allele.officialNameSuperscript" readonly="true" size="10" cssClass="popup" /></sup>
								<form:hidden path="allele.id" />
								<img src="images/lookup.gif" />
							</td>
							</c:if>
							<td class="entryLabel" style="width: 150px;">
								Cohort Set Type <span class='formError'>*</span>
							</td>
							<td class="entryData">
								<form:select path="cohortSet.cohortSetTypeDictId">
									<option value=""></option>
									<form:options items="${cohrotSetTypes}" itemLabel="name" itemValue="id"/>
								</form:select>
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div id="tabsEx1" >
		            <ul class="ui-tabs-nav">
		            	<li class="">
							<a href="#fragment-0"><span>&nbsp;</span></a>
						</li>
						<c:forEach items="${pipelineDicts}" var="category" varStatus="categoryLoop">
						<li class="">
							<a href="#fragment-${categoryLoop.count}"><span>${category.name}</span></a>
						</li>
						</c:forEach>
					</ul>
					<div id="fragment-0" class="ui-tabs-panel ui-tabs-hide">
						<h2>Select a pipeline to add the cohorts for it.</h2>
					</div>
				<c:forEach items="${pipelineDicts}" var="category" varStatus="categoryLoop">
	            	<div id="fragment-${categoryLoop.count}" class="ui-tabs-panel ui-tabs-hide">
		           		<gui:mig-box label="${category.name} Cohorts List">
							<table class="listPaginated">
								<tr>
									<td class="entryLabel" style="width: 150px;">
										Cohort <span class='formError'>*</span>
									</td>
									<td style="width: 250px;">
										<gui:formPopup path="newCohort[${category.name}].cohortName" cssStyle="width: 220px;" title="Lookup Cohort" onclick="openLookupList('lookup_cohort.do?cohortPipelineId=${cohrotPipelines[category.name]}','cohortName=newCohort${category.name}.cohortName,cohortId=newCohort${category.name}.id')" />
										<form:hidden path="newCohort[${category.name}].id" />
									</td>
									<td class="entryLabel" style="width: 100px;" nowrap="nowrap">WT Mice only</td>
									<td class="entryData" style="width: 100px;">
								<form:select path="wtDictId[${category.name}]">
									<option value=""></option>
									<form:options items="${wtOnlys}" itemLabel="name" itemValue="id"/>
								</form:select>
							</td>
									<td>
										<gui:link-button onclick="addCohort('add',0,'${category.name}',${categoryLoop.count});" style="width: 40px;" text="add" />
									</td>
								</tr>
							</table>
							<c:if test="${!(empty form.alleleWarningMessage[category.name] && empty form.strainWarningMessage[category.name])}">
							<table style="margin-top: 15px;">
								<tr>
									<td>
		            					<ul class="warning">[Warning]
		            					<c:if test="${! empty form.alleleWarningMessage[category.name]}">
		            						<li class="warning">${form.alleleWarningMessage[category.name]}</li>
		            					</c:if>
					            		<c:if test="${!empty form.strainWarningMessage[category.name]}">
					            			<li class="warning">${form.strainWarningMessage[category.name]}</li>
					            		</c:if>
		            					</ul>
				            		</td>
								</tr>
							</table>
							</c:if>

		            	<c:if test="${!(empty form.pipelineCohortsElements[category.name] && empty form.newCohortsElements[category.name])}">
							<table class= "listPaginated" style="margin-top: 15px;">
								<thead class="listPaginatedHeader">
									<tr>
										<th>User Option</th>
										<th>Cohort Name</th>
										<th>Description</th>
										<th>WT mice only</th>
										<th>Genetic Backgroud</th>
										<th>Created Date</th>
									</tr>
								</thead>
							<c:if test="${!empty form.pipelineCohortsElements[category.name]}">
								<c:forEach items="${form.pipelineCohortsElements[category.name]}" var="cohort">
								<gui:toggle-row-class />
									<tr valign="top" class="${rowClass}">
										<td>
											<gui:link-button onclick="submitChangeForm('deleteExistingCohort',${cohort.cohortId},'${category.name}',${categoryLoop.count});" style="width: 40px;" text="delete" /> &nbsp;
										</td>
										<td>${cohort.cohortName}</td>
										<td>${cohort.reason}</td>
										<td>
											<c:if test="${empty cohort.wtOnlyName}">
											-
											</c:if>
											<c:if test="${! empty cohort.wtOnlyName}">
											${cohort.wtOnlyName}
											</c:if>
										</td>
										<td>
											${cohort.cohortStrain}
										</td>
										<td><fmt:formatDate value="${cohort.createdDate}" pattern="dd-MMM-yyyy"/></td>
									</tr>
								</c:forEach>
							</c:if>
							<c:if test="${!empty form.newCohortsElements[category.name]}">
							<c:forEach items="${form.newCohortsElements[category.name]}" var="cohort">
								<gui:toggle-row-class />
								<tr valign="top" class="${rowClass}">
									<td>
										<gui:link-button onclick="submitChangeForm('deleteNewCohort',${cohort.cohortId},'${category.name}',${categoryLoop.count});" style="width: 40px;" text="delete" /> &nbsp;
									</td>
									<td>${cohort.cohortName}</td>
									<td>${cohort.reason}</td>
									<td>
											<c:if test="${empty cohort.wtOnlyName}">
											-
											</c:if>
											<c:if test="${! empty cohort.wtOnlyName}">
											${cohort.wtOnlyName}
											</c:if>
									</td>
									<td>
										${cohort.cohortStrain}
									</td>
									<td>
										<fmt:formatDate value="${cohort.createdDate}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
							</c:forEach>
							</c:if>
							</table>
							</c:if>
						</gui:mig-box>
						<div class="submitButtonsMouseTracking"">
							<input type="button" value="Submit" onclick="checkOnSubmit(${fn:length(form.newCohortsElements[category.name])},${fn:length(form.deleteCohortElements)});" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'"/>
							<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
						</div>
				<br>
				<c:if test="${! empty form.miceList[category.name]}">
        		<%@ include file="cohort_set_mice_list.jspf"%>
				</c:if>
					</div>
				</c:forEach>
	       		</div>
			</form:form>
		</gui:page>
	</body>
</html>
