<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
<head>
<title>Cohort Sets List</title>
<link type="text/css" href="css/migMain.css" rel="stylesheet">
<link type="text/css" href="css/abr.css" rel="stylesheet">
<link type="text/css" href="css/thickbox.css" rel="stylesheet">
<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/jquery-calendar.js"></script>
<script type="text/javascript" src="js/lookupList.js"></script>
<script type="text/javascript" src="js/thickbox.js"></script>
<script type="text/javascript" src="js/listViewUtils.js"></script>
<script src="js/validateBarcode.js"></script>
</head>
<body>
<gui:page>
	<gui:pageHeader name="Cohort Sets List" />
	<form:form commandName="searchBean" action="list_cohort_sets.do">
		<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
		<gui:filterBox>
			<table class="filterBox">
				<tr>
					<td><label for="geneAlleleName" class="entryLabel">Gene/Allele Name/Short Allele Symbol</label></td>
					<td><form:input path="geneAlleleName" /></td>

				</tr>
			</table>
		</gui:filterBox>
		<div class="submitButtons" style="margin-bottom: 10px">
			<input type="submit" value="Search"
			onclick="setNewQuery('true'); setPaginated('true');" class="search"
			onmouseover="this.className = 'searchHover'"
			onmouseout="this.className = 'search'" />

			<input type="button" value="Clear" title="Clear search fields"
			onclick="location.href='list_cohort_sets.do?newQuery=true&bypassForm=true&orderBy=id&orderDesc=true';"
			class="clearAll" onmouseover="this.className = 'clearAllHover'"
			onmouseout="this.className = 'clearAll'" />
		</div>

		<div class="listPaginated" style="margin-top: 10px;">
		<gui:paginate bean="${searchBean}" />
		<c:if test="${!empty cohortSets}">
			<table class="listPaginated" id="cohortSets"
				style="border: 1px solid #777;">
				<thead class="listPaginatedHeader">
					<tr>
						<control:accessControl roles="admin,cohortset-admin">
						<th align="center">Options</th>
						</control:accessControl>
						<th><gui:paginate-order-by orderBy="id" bean="${searchBean}">ID</gui:paginate-order-by></th>
						<th><gui:paginate-order-by orderBy="gene_name" bean="${searchBean}">
                              	Allele
							</gui:paginate-order-by></th>
						<th><gui:paginate-order-by orderBy="gene_name"
							bean="${searchBean}">
                              	Gene
								</gui:paginate-order-by></th>
						<th><gui:paginate-order-by orderBy="cohorts_count"
							bean="${searchBean}">
                              	# Cohorts
								</gui:paginate-order-by></th>
						<th><gui:paginate-order-by orderBy="cohorts_name"
							bean="${searchBean}">
                              	Cohorts
								</gui:paginate-order-by></th>
						<th><gui:paginate-order-by orderBy="creator_name"
							bean="${searchBean}">
                              	Creator
								</gui:paginate-order-by></th>

						<th><gui:paginate-order-by orderBy="created_date"
							bean="${searchBean}">
                              	Created Date
								</gui:paginate-order-by></th>
					</tr>
				</thead>
				<c:forEach items="${cohortSets}" var="cohortSet">
					<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${cohortSet.id}" />
					<tr valign="top" class="${rowClass}">
						<control:accessControl roles="admin,cohortset-admin">
						<td align="center">
						<gui:link-button style="width: 40px" href="edit_one_cohort_set.do?id=${cohortSet.id}" text="Edit" /></td>
						</control:accessControl>
						<td>${cohortSet.id}</td>
						<td style='white-space:nowrap;'><a href="view_one_allele_info.do?id=${cohortSet.alleleId}"><span class="alleleNameABR">${cohortSet.htmlAlleleSymbol}</span>
						</td>
						<td><a href="view_one_miggene.do?migGeneId=${cohortSet.geneId}">
						${cohortSet.geneName}&nbsp; </a></td>
						<td>
						${cohortSet.cohortsCount}</td>
						<td>
						${cohortSet.cohortsName}</td>
						<td>
							${cohortSet.creatorName}</td>
						<td>
							<fmt:formatDate value="${cohortSet.createdDate}" pattern="dd-MMM-yyyy"/>
						</td>
					</tr>
				</c:forEach>
			</table>
			<gui:paginate-navigation-bar bean="${searchBean}" />
		</c:if></div>
	</form:form>
</gui:page>
</body>
</html>
