<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>List Cohorts</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/validateBarcode.js"></script>
    <script src="js/jquery.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cohorts" />
			<form:form commandName="searchBean" action="list_cohorts.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<gui:filterBox>
					<table>
						<tr>
							<td>
								Filter by Cohort Status
							</td>
							<td>
								<form:select path="mouseStatus" onchange="setNewQuery('true');setPaginated('true');submitForm();">
									<option value="">All</option>
									<form:options items="${mouseStatuses}" />
								</form:select>
							</td>
							<td>
								Genetic Background
							</td>
							<td>
								<form:select path="mouse.strainDictId" onchange="setNewQuery('true');setPaginated('true');submitForm();">
									<option value="">All</option>
									<form:options items="${strains}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td>
								Mouse
							</td>
							<td>
								<form:input path="mouseIdentifier" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="setNewQuery('true');setPaginated('true');submitForm();"/>
							</td>
							<td>
								Cage Barcode
							</td>
							<td>
								<form:input path="mouse.cage.barcode" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateBarcode(this, 'mouse.cageId','cage')" />
								<form:hidden path="mouse.cageId" />
							</td>
						</tr>
					</table>
				</gui:filterBox>

				<div class="submitButtons" style="margin-bottom: 10px">
					<input type="button" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true'); submitForm();" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear" title="Clear search fields" onclick="location.href='list_cohorts.do?bypassForm=true&newQuery=true'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />

					<c:if test="${!empty cohorts}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										<gui:paginate-order-by orderBy="cohort_name" bean="${searchBean}">
											Cohort Name
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="reason" bean="${searchBean}">
											Description
										</gui:paginate-order-by>
									</th>
                  					<th>
										<gui:paginate-order-by orderBy="pipeline" bean="${searchBean}">
											Pipeline
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="total_mice" bean="${searchBean}">
											# Mice
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="created_date" bean="${searchBean}">
											Date Created
										</gui:paginate-order-by>
									</th>
								</tr>
							</thead>

							<c:forEach items="${cohorts}" var="cohort">
								<gui:toggle-row-class />
								<tr valign="top" class="${rowClass}">
									<td style="width: 190px;">
										<gui:link-button href="view_one_cohort.do?id=${cohort.id}" style="width: 40px;" text="view" />
										&nbsp;
										<gui:link-button href="manage_cohort.do?id=${cohort.id}" style="width: 60px;" text="manage" />
										&nbsp;
										<gui:link-button text="edit mice" style="width: 65px;" href="edit_mice_by_cohort.do?id=${cohort.id}" />
									</td>
									<td>${cohort.cohortName}</td>
									<td>${cohort.reason}</td>
                  					<td>${cohort.pipeline}</td>
									<td>${cohort.totalMice}</td>
									<td>
										<fmt:formatDate value="${cohort.createdDate}" pattern="dd-MMM-yyyy"/>
									</td>
								</tr>
							</c:forEach>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>