<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<c:set var="cohortType" value="${form.cohort.cohortType.name}" />
<html>
	<head>
		<title>Manage <c:out value="${form.cohort.cohortType.name}"/></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/manage_cohort.js"></script>
		<script>
			function setMouseList() {
				if (jQuery.browser.msie) {
					$('.mouseList').each( function() { $(this).css("height", ($(this)[0].scrollHeight > 399 ? "400px" : "auto")) } )
				}
			}
		</script>
		<style type="text/css">
			.tips {font-weight: bold;}
			.mouseList {
				border: 1px solid #B0B0B0;
				overflow: auto;
				max-height: 400px;
			}
		</style>
	</head>
	<body>
		<gui:page>

			<gui:pageHeader name="Manage ${form.cohort.cohortType.name}">
				&nbsp;<gui:link-button text="New ${cohortType}" href="manage_cohort.do?cohortTypeId=${form.cohort.cohortTypeDictId}" />
			</gui:pageHeader>

			<gui:error-list commandName="form"><br /></gui:error-list>

			<form:form commandName="form" method="post" >
				<input type="hidden" name="changeForm" id="changeForm" />
				<input type="hidden" name="changeFormValue" id="changeFormValue"/>
				<table>
					<tr valign="top">
						<td width="50%">
							<gui:mig-box label="Select Mice" divId="mouseFinder">
								<table class="migBoxInner">
									<tr>
										<td nowrap="nowrap">Scan a cage, or enter a mouse, or litter</td>
										<td nowrap="nowrap">
											<form:input path="barcodeForm.barcode" cssClass="barcodeField" onblur="barcodeBlurred(this)" />
											<form:input path="barcodeForm.barcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width:12em" readonly="true" />
											<form:hidden path="barcodeForm.id" />
											<form:hidden path="barcodeForm.barcodeType" />
										</td>
									</tr>
									<tr>
										<td>Choose from another cohort</td>
										<td>
											<gui:formPopup path="chooserCohort.cohortName" onclick="lookupChooserCohort()" cssStyle="width: 200px;"/>
											<form:hidden path="chooserCohort.id"/>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br>

							<c:if test="${!empty form.miceToSelectFrom}">
								<gui:mig-box divId="addMouseList">
									<table class="migBoxInner"><tr><td style="padding-top: 5px;">

									<span class="inverseTab">${fn:length(form.miceToSelectFrom)} Mice to add to <c:out value="${form.cohort.cohortType.name}"/></span>
									<div class="mouseList" id="mouseList1">
										<table class="migBoxInner" style="border: 0px;">
											<thead class="listNonPaginatedHeader">
											    <tr>
											    	<th><input type="checkbox" onclick="toggle(this,'addableMice')" checked="checked"/></th>
												    <th>ID</th>
												    <th>Gender</th>
												    <th>Birth Date</th>
												    <th>Death Date</th>
												    <th>Genotype</th>
												    <th>Strain</th>
												</tr>
											</thead>
											<c:forEach items="${form.miceToSelectFrom}" var="mc" varStatus="loopStat">
												<c:set value="miceToSelectFrom[${loopStat.index}]" var="rootPath" />
												<c:set var="mouse" value="${mc.mouse}" />
												<gui:toggle-row-class />
												<tr class="${rowClass}">
													<td>
														<form:checkbox path="${rootPath}.checked" cssClass="addableMice"/>
														<form:hidden path="${rootPath}.mouse.id" />
													</td>
													<td>
														<c:out value="${mouse.name}" />
													</td>
													<td>${mouse.gender.name}</td>
													<td><fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" /></td>
													<td><fmt:formatDate value="${mouse.deathDate}" pattern="dd-MMM-yyyy" /></td>
													<td><gui:mouseGenotype mouse="${mouse}" nolink="true" /></td>
													<td>${mouse.strain.name}</td>
												</tr>
											</c:forEach>
										</table>
									</div>
									<p class="tips">Select mice to add</p>
								</td></tr></table>
								</gui:mig-box>
							</c:if>
						</td>

						<td width="50%">
							<gui:mig-box label="${cohortType}">
								<table class="migBoxInner" cellspacing="5">
									<tr>
										<td>
											<c:choose>
												<c:when test="${empty form.cohort.cohortName}">
													Enter name of <c:out value="${cohortType}" /> and press "GO" or use icon to lookup existing ones.
												</c:when>
												<c:otherwise>
													<c:out value="${cohortType}" /> Name <span class="requiredField">*</span>
												</c:otherwise>
											</c:choose>
										</td>
									</tr>
									<tr>
										<td valign="top">
											<img src="images/lookup.gif" onclick="lookupExistingCohort()" title="Find..." />
											<input type="hidden" id="cachedCohortName" value="${form.cohort.cohortName}" />
											<form:input path="cohort.cohortName" onfocus="focusCohortName()" onblur="validateCohort()" maxlength="70" size="70"/>
											&nbsp;
											<gui:link-button id="goButton" text="GO"/>
											<form:hidden path="newCohort" />
											<form:hidden path="cohort.cohortTypeDictId"/>
										</td>
									</tr>
									<c:if test="${!empty form.cohort.cohortName}">
										<tr>
											<td>
												<c:out value="${cohortType}" /> description
												<c:if test="${form.descriptionRequired}"><span class="requiredField">*</span></c:if>
												<br />
												<form:textarea path="cohort.reason" cssStyle="width: 90%;"/>
												<br />
												<c:if test="${form.pipelineRequired}">
													Phenotying Pipeline
													<form:select path="cohort.cohortPipelineDictId">
														<option value="">&nbsp;</option>
														<form:options items="${pipeline}" itemValue="id" itemLabel="name" />
													</form:select>
												</c:if>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
							<br>
							<c:if test="${!empty form.miceInCohort}">
								<gui:mig-box divId="currentMice">
									<table class="migBoxInner"><tr><td style="padding-top: 5px;">
									<span class="inverseTab">${fn:length(form.miceInCohort)} Mice currently in <c:out value="${form.cohort.cohortType.name}"/></span>
									<div class="mouseList" id="mouseList2">
										<table class="migBoxInner" style="border: 0px;">
											<thead class="listNonPaginatedHeader">
												<tr>
													<th><input type="checkbox" onclick="toggle(this,'removableMice')"/></th>
													<th>ID</th>
													<th>Gender</th>
													<th>Birth Date</th>
													<th>Genotype</th>
													<th>Strain</th>
												</tr>
											</thead>
											<c:forEach items="${form.miceInCohort}" var="mc" varStatus="loopStat">
												<c:set value="miceInCohort[${loopStat.index}]" var="rootPath" />
												<c:set value="${mc.mouse}" var="mouse" />
												<gui:toggle-row-class />
												<tr class="${rowClass}">
													<td>
														<form:checkbox path="${rootPath}.checked" cssClass="removableMice" />
														<form:hidden path="${rootPath}.mouse.id" />
													</td>
													<td>
														<c:out value="${mouse.name}" />
														<c:if test="${mouse.name != mouse.barcode}">(${mouse.barcode})</c:if>
													</td>
													<td>${mouse.gender.name}</td>
													<td><fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" /></td>
													<td><gui:mouseGenotype mouse="${mouse}" nolink="true" /></td>
													<td>${mouse.strain.name}</td>
												</tr>
											</c:forEach>
										</table>
									</div>
									<p class="tips">Select mice to remove</p>
								</td></tr></table>
								</gui:mig-box>
							</c:if>
	  					</td>
					</tr>
				</table>

				<c:if test="${!empty form.cohort.cohortName}">
					<div class="submitButtonsMouseTracking">
						<input id="submitButton" type="submit" value="Save ${cohortType}" />
					</div>
				</c:if>

			</form:form>
		</gui:page>
	</body>
</html>
