<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<c:set var="cohortType" value="${cohort.cohortType.name}" />
<html>
	<head>
		<title>View Cohort</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
    <link type="text/css" href="css/thickbox.css" rel="stylesheet">
    <script src="js/jquery.js"></script>
    <script src="js/thickbox.js"></script>
    <script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader showPrintFrame="true">
				<c:out value="${cohortType}: ${cohort.cohortName}"/>
				&nbsp;
				<gui:link-button text="manage ${cohortType}" href="manage_cohort.do?id=${cohort.id}" />
				&nbsp;
				<gui:link-button text="edit mice" href="edit_mice_by_cohort.do?id=${cohort.id}" />
        &nbsp;
        <c:choose>
          <c:when test="${empty cages}">
            <gui:link-button text="print cage cards" disabled="${true}" />
          </c:when>
          <c:otherwise>
            <c:set var="cageList" value="${gui:commaSeparate(cages,'id')}" />
            <gui:link-button text="print cage cards" onclick="printLabels('PRINT_CAGE','${cageList}')" />
          </c:otherwise>
        </c:choose>

  </gui:pageHeader>
			<br />
			<c:if test="${!empty cohort.reason}" >
			<gui:mig-box label="Description">
				<table class="migBoxInner">
					<tr>
						<td>
							<c:out value="${cohort.reason}"/>
							<c:if test="${!empty cohort.cohortPipeline}">
								(<c:out value="${cohort.cohortPipeline.name}"/>)
							</c:if>
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<br />
			</c:if>
			<c:choose>
				<c:when test="${!empty cohort.mice}">
					<gui:mig-box label="Number of mice: ${fn:length(cohort.mice)}">
						<table class="migBoxInner">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										Mouse ID
									</th>
									<th>
										Barcode
									</th>
									<th>
										Earmark
									</th>
									<th>
										Gender
									</th>
									<th>
										Birth Date
									</th>
									<th>
										Genotype
									</th>
									<th>
										Strain
									</th>
									<th>
										Status
									</th>
									<th>
										Location
									</th>
								</tr>
							</thead>

							<c:forEach items="${cohort.mice}" var="mouse">
								<gui:toggle-row-class />
								<tr class="${rowClass}">
									<td>
										<gui:link-button text="view" href="view_one_mouse.do?id=${mouse.id}" />
									</td>
									<td>
										<c:out value="${mouse.name}" />
									</td>
									<td>
										<c:out value="${mouse.barcode}" />
									</td>
									<td>
										<c:out value="${mouse.earmark.name}" />
									</td>
									<td>
										<c:out value="${mouse.gender.name}" />
									</td>
									<td>
										<fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" />
									</td>
									<td>
										<gui:mouseGenotype mouse="${mouse}" nolink="true" />
									</td>
									<td>
										<c:out value="${mouse.strain.name}" />
									</td>
									<td>
										<gui:mouseStatus mouse="${mouse}" />
									</td>
									<td>
										<c:out value="${mouse.location.description}" />
									</td>
								</tr>
							</c:forEach>

						</table>
					</gui:mig-box>
				</c:when>
				<c:otherwise>
					<h2>
						No mice in <c:out value="${cohortType}" />
					</h2>
				</c:otherwise>
			</c:choose>
		</gui:page>
	</body>
</html>
