<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Environment Report</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" >
			function clearFields() {
				var txtName = getCheckedElement().value;
				if(txtName === 'ahu') {txtName = 'air Unit';}
		 		txtName = txtName.substr(0, 1).toUpperCase() + txtName.substr(1);
				document.getElementById('reportType').firstChild.nodeValue = txtName + ' ID/Barcode';
				document.getElementById('reportBarcode').value = "";
				document.getElementById('reportBarcodeDesc').value = "";
				document.getElementById('foreignKeyId').value = "";
			}	
			
			function validateEnvironment(t) {
	      		var type = getCheckedElement().value;
				validateBarcode(t, 'foreignKeyId',type,'reportBarcodeDesc');	
			}
			
			function getCheckedElement() {
				var form = window.document.forms[0];
				for(var i=0; i<form.length; i++)
	      		{
	      			var temp = form.elements[i].type;
	      			if((temp == "radio") && (form.elements[i].checked)) {
	      				return 	form.elements[i];
	      			}
	      		}
			}
		</script>
	</head>

	<body onkeydown="if(event.keyCode == 13){return false;}" onLoad="document.forms[0].elements[0].checked = true;">
		<gui:page>
			<gui:pageHeader>
				<c:choose>
					<c:when test="${empty form.environmentReport.id}">
						Add New
					</c:when>
					<c:otherwise>
						Edit Existing
					</c:otherwise>
				</c:choose>
				Environment Report
			</gui:pageHeader>

			<form:form commandName="form" method="post" action="edit_environment_report.do">
				<gui:error-list commandName="form"><br /></gui:error-list>
				<gui:mig-box label="Report Fault">
					<table class="migBoxInner">
						<tr align="left">
							<td class="viewLabelSmall" width="160px">
								Report for
							</td>
							<c:choose>
								<c:when test="${empty form.environmentReport.id}">
									<td>
										<b> Room<form:radiobutton path="reportType" value="room" onclick="clearFields()" />&nbsp; Rack<form:radiobutton path="reportType" value="rack" onclick="clearFields()" />&nbsp; Cage<form:radiobutton
												path="reportType" value="cage" onclick="clearFields()" />&nbsp; Air Unit<form:radiobutton path="reportType" value="ahu" onclick="clearFields()" />&nbsp; </b>
									</td>
								</c:when>
								<c:otherwise>
									<td>
										${form.reportType} &nbsp; ${form.environmentReport.reportedItemName}
									</td>
								</c:otherwise>
							</c:choose>
						</tr>
						<c:if test="${empty form.environmentReport.id}">
							<tr>
								<td id="reportType" class="viewLabelSmall">
									Room Barcode/ID
									<span class='requiredField'>*</span>
								</td>
								<td>
									<form:input cssClass="barcodeField" path="reportBarcode" onblur="validateEnvironment(this);" />
									<form:input path="reportBarcodeDesc" cssClass="barcodeDescriptionField" readonly="true" />
									<form:hidden path="foreignKeyId" />
								</td>
							</tr>
						</c:if>
						<tr>
							<td class="viewLabelSmall">
								Reported Date
								<span class='requiredField'>*</span>
							</td>
							<td class="thead">
								<form:input path="environmentReport.reportedDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="environmentReport.reportedDate" datePicker="true" timePicker="false" autoPopUp="button" />
								&nbsp; (leave blank to use today's date)
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Resolved Date
							</td>
							<td>
								<form:input path="environmentReport.resolvedDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="environmentReport.resolvedDate" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall top">
								Description
								<span class='requiredField'>*</span>
							</td>
							<td rowspan="2" class="tbody" valign="top">
								<form:textarea rows="5" cols="60" path="environmentReport.description" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Reset" onclick="document.location='edit_environment_report.do?<c:if test="${!empty form.environmentReport.id}">id=${form.environmentReport.id}</c:if>'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" value="Cancel" onclick="document.location='search_environment_report.do'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
