<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>List Environment Reports</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	 <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader name="List Environment Reports" />
			<div class="listPaginated">
				<form action="search_environment_report.do" method="get">
					<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
					<gui:paginate bean="${searchBean}" />
				</form>
				<c:if test="${!empty reports}">
					<table class="listPaginated">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									Options
								</th>		
								<th>
									<gui:paginate-order-by orderBy="foreign_key_id" bean="${searchBean}">
									Reported For
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="reported_date" bean="${searchBean}">
									Date Reported
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="resolved_date" bean="${searchBean}">
									Date Resolved
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="creator_id" bean="${searchBean}">
									Reported By
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<tbody class="listPaginated">
							<c:forEach items="${reports}" var="rep">
							<gui:toggle-row-class />
								<tr valign="top" class="${rowClass}">
									<td>
										<gui:link-button href="view_one_environment_report.do?id=${rep.id}" text="view"/>	
										<c:if test="${empty rep.resolvedDate}">	
										<gui:link-button href="edit_environment_report.do?id=${rep.id}" text="edit"/>	
										</c:if>
									</td>
									<td>
										<c:choose> 
											<c:when test="${rep.foreignTableName == 'MTS_ROOM'}">
											<a href="view_one_room.do?id=${rep.foreignKeyId}">
												Room ${rep.reportedItemName}
											</a>
											</c:when>
											<c:when test="${rep.foreignTableName == 'MTS_RACK'}">
											<a href="view_one_rack.do?id=${rep.foreignKeyId}">
												Rack ${rep.reportedItemName}
											</a>
											</c:when>
											<c:when test="${rep.foreignTableName == 'MTS_AIR_HANDLING_UNIT'}">
											<a href="view_one_air_unit.do?id=${rep.foreignKeyId}">
												Air Handling Unit ${rep.reportedItemName}
											</a>
											</c:when>
											<c:when test="${rep.foreignTableName == 'MTS_CAGE'}">
											<a href="view_one_cage.do?id=${rep.foreignKeyId}">
												Cage ${rep.reportedItemName}
											</a>
											</c:when>
								
										</c:choose>	
									</td>
									<td>
										<fmt:formatDate value="${rep.reportedDate}" pattern="dd-MMM-yyyy"/>
									</td>
									<td>
										<fmt:formatDate value="${rep.resolvedDate}" pattern="dd-MMM-yyyy"/>
									</td>
									<td>
										${rep.reporter.fullName}
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
					<gui:paginate-navigation-bar bean="${searchBean}"/>
				</c:if>
			</div>
		</gui:page>
	</body>
</html>