<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Environment Report Search</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/validateBarcode.js" type="text/javascript"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/formValidator.js" type="text/javascript"></script>
		<script type="text/javascript">
			function resetField() {
				clearBarcodeFields();
				
				var txtName = getCheckedElement().value;
				if(txtName === 'ahu') {txtName = 'air Unit';}
		 		txtName = txtName.substr(0, 1).toUpperCase() + txtName.substr(1);
				
				document.getElementById('reportType').firstChild.nodeValue = txtName + ' ID/Barcode';
			}	
			
			function validateEnvironment(t) {
	      		var type = getCheckedElement().value;
				validateBarcode(t, 'foreignKeyId',type,'reportBarcodeDesc');	
			}
			
			function getCheckedElement() {
				var form = window.document.forms[0];
				for(var i=0; i<form.length; i++)
	      		{
	      			var temp = form.elements[i].type;
	      			if((temp == "radio") && (form.elements[i].checked)) {
	      				return 	form.elements[i];
	      			}
	      		}
			}
		</script>
	</head>
	
	<body onkeydown="if(event.keyCode == 13){return false;}" onLoad="document.forms[0].elements[0].checked = true;">
		<gui:page>
			<gui:pageHeader name="Environment Report Search" />
			<form:form commandName="searchBean" method="post" action="search_environment_report.do">
				
				<gui:error-list commandName="searchBean" />
				<br />	
				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="viewLabelSmall" style="width: 15%;">
								Report for
							</td>
							<td class="tbody">
								<b> Room<form:radiobutton path="reportType" value="room" onclick="resetField()" />&nbsp; 
									Rack<form:radiobutton path="reportType" value="rack" onclick="resetField()" />&nbsp;
									Cage<form:radiobutton path="reportType" value="cage" onclick="resetField()" />&nbsp; 
									Air Unit<form:radiobutton path="reportType" value="ahu" onclick="resetField()" />&nbsp; 
								</b>
							</td>
						</tr>
						<tr>
							<td id="reportType" class="viewLabelSmall" style="width: 15%;">
								Room Barcode/ID
							</td>
							<td style="width: 35%;">
								<form:input path="reportBarcode" onblur="validateEnvironment(this);" />
								<form:input path="reportBarcodeDesc" cssClass="barcodeDescriptionField" readonly="true" />
								<form:hidden path="foreignKeyId" />
							</td>
							<td class="viewLabelSmall" style="width: 15%;">
								Currently Unresolved
							</td>
							<td style="width: 35%;">
								<form:checkbox path="allOpenReports"/> 
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Reported Date (from):
							</td>
							<td>
								<form:input path="reportedDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="reportedDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td  class="viewLabelSmall">
								Resolved Date (from):
							</td>
							<td>
								<form:input path="resolvedDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="resolvedDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Reported Date (to):
							</td>
							<td>
								<form:input path="reportedDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="reportedDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td  class="viewLabelSmall">
								Resolved Date (to):
							</td>
							<td>
								<form:input path="resolvedDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="resolvedDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Reported By
							</td>
							<td>
								<gui:formPopup path="currentOwnerName" cssClass="person" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=currentOwnerId,personName=currentOwnerName')" />
								<form:hidden path="currentOwnerId" />
								<input onclick="clearFields('currentOwnerName','currentOwnerId');" type="button" value="clear" class="smallButton" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				
				<div class="submitButtonsMouseTracking"">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_environment_report.do'"class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>
				
			</form:form>
		</gui:page>
	</body>
</html>
