<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>View Environment Report</title>
		<meta http-equiv="Content-Typ content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>View Environment Report</gui:pageHeader>
			<gui:mig-box label="Report Details">
				<gui:link-button text="edit" href="edit_environment_report.do?id=${environmentReport.id}" />
				<table class="migBoxInner">
					<tr align="left">
						<td class="viewLabelSmall" style="width: 10%;">
							Report for:
						</td>
						<td>
							<c:choose>
								<c:when test="${reportType == 'Room'}">
									<a href="view_one_room.do?id=${environmentReport.foreignTableName}"> ${reportType}&nbsp; ${environmentReport.reportedItemName} </a>
								</c:when>
								<c:when test="${reportType == 'Rack'}">
									<a href="view_one_rack.do?id=${environmentReport.foreignTableName}"> ${reportType}&nbsp; ${environmentReport.reportedItemName} </a>
								</c:when>
								<c:when test="${reportType == 'Air Handling Unit'}">
									<a href="view_one_air_unit.do?id=${environmentReport.foreignTableName}"> ${reportType}&nbsp; ${environmentReport.reportedItemName} </a>
								</c:when>
								<c:when test="${reportType == 'Cage'}">
									<a href="view_one_cage.do?id=${environmentReport.foreignTableName}"> ${reportType}&nbsp; ${environmentReport.reportedItemName} </a>
								</c:when>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right">
							Reported Date:
						</td>
						<td>
							<fmt:formatDate value="${environmentReport.reportedDate}" pattern="dd-MMM-yyyy" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right">
							Resolved Date:
						</td>
						<td>
							<fmt:formatDate value="${environmentReport.resolvedDate}" pattern="dd-MMM-yyyy" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right">
							Description:
						</td>
						<td class="tbody">
							${environmentReport.description}
						</td>
					</tr>
					</tbody>
				</table>
			</gui:mig-box>
			<br />
			<c:if test="${!empty previous}">
				<gui:mig-box label="Previous Reports">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>
									Options
								</th>
								<th>
									Reported For
								</th>
								<th>
									Date Reported
								</th>
								<th>
									Date Resolved
								</th>
								<th>
									Reported By
								</th>
							</tr>
						</thead>

						<c:forEach items="${previous}" var="rep">
							<gui:toggle-row-class />
							<tr valign="top" class="${rowClass}">
								<td>
									<gui:link-button href="view_one_environment_report.do?id=${rep.id}" text="view" />
									<c:if test="${empty rep.resolvedDate}">
										<gui:link-button href="edit_environment_report.do?id=${rep.id}" text="edit" />
									</c:if>
								</td>
								<td>
									<c:choose>
										<c:when test="${rep.foreignTableName == 'MTS_ROOM'}">
											<a href="view_one_room.do?id=${rep.foreignKeyId}"> Room ${rep.reportedItemName} </a>
										</c:when>
										<c:when test="${rep.foreignTableName == 'MTS_RACK'}">
											<a href="view_one_rack.do?id=${rep.foreignKeyId}"> Rack ${rep.reportedItemName} </a>
										</c:when>
										<c:when test="${rep.foreignTableName == 'MTS_AIR_HANDLING_UNIT'}">
											<a href="view_one_air_unit.do?id=${rep.foreignKeyId}"> Air Handling Unit ${rep.reportedItemName} </a>
										</c:when>
										<c:when test="${rep.foreignTableName == 'MTS_CAGE'}">
											<a href="view_one_cage.do?id=${rep.foreignKeyId}"> Cage ${rep.reportedItemName} </a>
										</c:when>

									</c:choose>
								</td>
								<td>
									<fmt:formatDate value="${rep.reportedDate}" pattern="dd-MMM-yyyy" />
								</td>
								<td>
									<fmt:formatDate value="${rep.resolvedDate}" pattern="dd-MMM-yyyy" />
								</td>
								<td>
									${rep.reporter.fullName}
								</td>
							</tr>
						</c:forEach>
					</table>
				</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
