<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<c:set var="mouse" value="${form.mouseHealth.mouse}" />
<gui:docType />
<html>
	<head>
		<title>Edit Mouse Health</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript">
			function disableReturn(evt) {
				var evt  = (evt) ? evt : ((window.event) ? window.event : null);
				var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
				if ((evt.keyCode == 13) && node.type=="text" ) { return false; }
			}

			document.onKeyPress = disableReturn;
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Edit Mouse Health Record" />
				<gui:error-list commandName="form" />
				<form:form commandName="form" method="post" action="edit_mouse_health.do">

			<gui:mig-box label="Health Concern Details">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabelSmall" style="width: 150px;">
							Body System
							<span class="formError">*</span>
						</td>
						<td class="tbody" style="width: 250px;">
							<gui:formPopup path="mouseHealth.bodySystem.name" onclick="openLookupList('lookup_health_concern.do','bodySystemDictId=mouseHealth.bodySystemDictId,bodySystem=mouseHealth.bodySystem.name,bodySubsystem=mouseHealth.bodySubsystem.name,bodySubsystemDictId=mouseHealth.bodySubsystemDictId,healthConcern=mouseHealth.healthConcern.name,healthConcernDictId=mouseHealth.healthConcernDictId')"/>
							<form:hidden path="mouseHealth.bodySystemDictId" />
						</td>
						<td class="viewLabelSmall" style="text-align: left;">
							Notes:
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right">
							Body Sub-System
							<span class="formError">*</span>
						</td>
						<td class="tbody">
							<form:input path="mouseHealth.bodySubsystem.name" readonly="true" cssClass="readonly"/>
							<form:hidden path="mouseHealth.bodySubsystemDictId" />
						</td>
						<td rowspan="5" class="tbody top">
							<form:textarea cssStyle="width: 99%; height: 120px;" path="mouseHealth.comments" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right">
							Health Concern
							<span class="formError">*</span>
						</td>
						<td class="tbody">
							<form:input path="mouseHealth.healthConcern.name" readonly="true" cssClass="readonly"/>
							<form:hidden path="mouseHealth.healthConcernDictId" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right" valign="top">
							Start Date
							<span class="formError">*</span>
						</td>
						<td valign="top" class="tbody">
							<form:input path="mouseHealth.startDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
							<gui:dateTimePicker path="mouseHealth.startDate" datePicker="true" timePicker="false" autoPopUp="button" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall" align="right" valign="top">
							Status
							<span class="formError">*</span>
						</td>
						<td valign="top" class="tbody">
							<form:select path="mouseHealth.status">
								<option value="">
									&nbsp;
								</option>
								<form:options items="${concernStatus}" />
							</form:select>
						</td>
					</tr>
					<c:if test="${empty mouse.deathDate}">
						<tr>
							<td class="viewLabelSmall" align="right" valign="top">
								Cull Mouse Now?
							</td>
							<td>
								<form:checkbox path="cullMouse" />
							</td>
						</tr>
					</c:if>
				</table>
			</gui:mig-box>

			<div class="submitButtonsMouseTracking">
				<!-- make this a normal button and submit using javascript
				IE problem means that disabling the return key still works as
				it will focus on the submit button
				 -->
				<input type="submit" value="Submit" />
				<input type="reset" value="Reset" onclick="document.location='edit_mouse_health.do?mouseId=${mouse.id}&mouseId=${mouse.id}<c:if test="${!empty form.mouseHealth.id}">&id=${form.mouseHealth.id}</c:if>'" />
				<input type="button" value="Cancel" onclick="history.back()" />
			</div>
			<br />

			<table style="width: 100%; text-align: center; border: 0px" cellpadding="5">
				<tr valign="top">
					<td style="width: 32%; padding: 0px;">
						<gui:mig-box-label>Identification&nbsp;<gui:link-button href="view_one_mouse.do?id=${mouse.id}" text="view mouse" /></gui:mig-box-label>
						<gui:mig-box>
							<table class="migBoxInner">
								<tr>
									<td class="viewLabelSmall" style="width: 150px;">
										Mouse ID:
									</td>
									<td class="tbody">
										${mouse.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabelSmall">
										Barcode:
									</td>
									<td class="tbody">
										${mouse.barcode}
									</td>
								</tr>
								<tr>
									<td class="viewLabelSmall">
										Ear-Mark:
									</td>
									<td class="tbody">
										${mouse.earmark.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabelSmall">
										Colour:
									</td>
									<td class="tbody">
										${mouse.coatColour.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabelSmall">
										Gender:
									</td>
									<td class="tbody">
										${mouse.gender.name}
									</td>
								</tr>
								<tr>
									<td class="viewLabelSmall">
										Colony:
									</td>
									<td class="tbody">
										${mouse.colonyInfo.colonyName} (${mouse.colonyInfo.colonyPrefix})
									</td>
								</tr>

							</table>
						</gui:mig-box>
					</td>
					<td style="width: 1%; padding: 0px;"></td>
					<td style="width: 24%; padding: 0px;">
						<gui:mig-box label="Location">
							<table class="migBoxInner">
								<c:choose>
									<c:when test="${mouse.dead}">
										<tr>
											<td class="tbody">
												This mouse is Deceased.
											</td>
										</tr>
									</c:when>
									<c:otherwise>
										<tr>
											<td width="30%" class="viewLabelSmall" align="right">
												Room:
											</td>
											<td class="tbody">
												<a href="view_one_room.do?id=${mouse.location.roomId}">${mouse.location.roomName}</a>
											</td>
										</tr>
										<tr>
											<td width="30%" class="viewLabelSmall" align="right">
												Rack No.:
											</td>
											<td class="tbody">
												<a href="view_one_rack.do?id=${mouse.location.rackId}">${mouse.location.rackName}</a>
											</td>
										</tr>
										<tr>
											<td width="30%" class="viewLabelSmall" align="right">
												Rack Barcode:
											</td>
											<td class="tbody">
												${mouse.location.rackBarcode}
											</td>
										</tr>
										<tr>
											<td width="30%" class="viewLabelSmall" align="right">
												Cage No.:
											</td>
											<td class="tbody">
												<a href="view_one_cage.do?id=${mouse.location.cageId}">${mouse.location.cageName}</a>
											</td>
										</tr>
										<tr>
											<td width="30%" class="viewLabelSmall" align="right">
												Cage Barcode:
											</td>
											<td class="tbody">
												${mouse.location.cageBarcode}
											</td>
										</tr>
									</c:otherwise>
								</c:choose>

							</table>
						</gui:mig-box>
					</td>
					<td style="width: 1%; padding: 0px;"></td>
					<td style="width: 40%; padding: 0px;">
						<gui:mig-box label="Previous Health Concerns">
							<table class="migBoxInner">
								<thead class="listNonPaginatedHeader">
									<tr>
										<th>
											Start Date
										</th>
										<th>
											End Date
										</th>
										<th>
											Body System
										</th>
										<th>
											Body Sub-system
										</th>
										<th>
											Concern
										</th>
									</tr>
								</thead>
								<c:forEach items="${concerns}" var="previous">
									<c:if test="${previous.id != form.mouseHealth.id}">
									<gui:toggle-row-class />
										<tr class="${rowClass}">
											<td class="tbody">
												<fmt:formatDate value="${previous.startDate}" pattern="dd-MMM-yyyy" />
											</td>
											<td class="tbody">
												<fmt:formatDate value="${previous.endDate}" pattern="dd-MMM-yyyy" />
											</td>
											<td class="tbody">
												${previous.bodySystem.name}
											</td>
											<td class="tbody">
												${previous.bodySubsystem.name}
											</td>
											<td class="tbody">
												${previous.healthConcern.name}
											</td>
										</tr>
									</c:if>
								</c:forEach>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>

		</form:form>
		</gui:page>
	</body>
</html>
