<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Mouse Health Records</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/delete.js"></script>
    <script src="js/jquery.js"></script>
		<script type="text/javascript">
			function check_health_dates() {
				var d =  document.forms[0];
				
				var checknumber = d.editDates.length;
				var current_time = new Date().getTime();
			
				for(var i=1; i<checknumber; i++) {
					var date = d.editDates[i].value;
					var last_edit_time = str2sec(date);
			
					var status = d.status[i].value;
					var elem = "date_" + i;
					var image = "check_" + i;

					// red, no edit within 24hrs OR green, no edit within 7 days...
					if((status === 'Red' && last_edit_time < (current_time - 86400000)) ||
					(status === 'Green' && last_edit_time < (current_time - 604800000))) {
						document.getElementById(image).src = "images/mouse_tracking/warning.gif";
						document.getElementById(image).title = "Health Check Required";
					}else{
						document.getElementById(image).src = "images/mouse_tracking/tick.gif";
						document.getElementById(image).title = "Health Check Completed";
					}
				}				
			}
			
			function str2sec (str_datetime) {
			  	var re_date = /^(\d+)\-(\d+)\-(\d+)$/;
			  	if (!re_date.exec(str_datetime)) {
						alert("Invalid Datetime format: "+ str_datetime);
					    return null;
			  	}
				return(new Date(RegExp.$1, RegExp.$2-1, RegExp.$3).getTime());
			}
		</script>
	</head>
	<body onload="check_health_dates()" onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Mouse Health Records" />

			<form:form commandName="searchBean" action="search_mouse_health.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<div style="width: 100%;" align="right">
					<table style="border: 1px dotted #888;">
						<tr>
							<td width=200px class="tbody" style="padding: 5px; color: #555; background: #f3f3f3;">
								<b> <img src="images/mouse_tracking/warning.gif"> = Health check required
								<br /><img src="images/mouse_tracking/tick.gif"> = Health check complete </b>
							</td>
						</tr>
					</table>
				</div>
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty mice}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										Start Date
									</th>
									<th>
										Mouse ID
									</th>
									<th>
										Mouse Barcode
									</th>
									<th>
										Location
									</th>
									<th>
										Mouse Status
									</th>
									<th>
										Body System
									</th>
									<th>
										Body Sub-system
									</th>
									<th>
										Health Concern
									</th>
									<th>
										Last Edit
									</th>
									<th>
										Status
									</th>
								</tr>
							</thead>
							<tbody class="listNonPaginated">
								<input type="hidden" name="editDates" value="" />
								<input type="hidden" name="status" value="" />
								<c:forEach items="${mice}" var="health" varStatus="pos">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td class="optionIconList">
											<gui:link-button href="view_one_health.do?id=${health.id}" text="view" />
											&nbsp;&nbsp;
											<gui:link-button href="edit_mouse_health.do?recordId=${health.id}&id=${health.mouseId}" text="edit" />
											&nbsp;&nbsp;
											<c:if test="${health.mouseStatus != 'Deceased'}">
												<a target='_blank' href="<gui:oracle-report-url parameterString="healthcare+${health.mouseId}" />"><img src="images/mouse_tracking/printhealth.gif" title="Print healthcare sheet">
												</a>
											</c:if>
										</td>

										<td>
											<fmt:formatDate value="${health.startDate }" pattern="dd-MMM-yyyy" />
										</td>
										<td>
											${health.mouseName }
										</td>
										<td>
											${health.mouseBarcode }
										</td>

										<td>
											<c:if test="${!empty health.roomName}">
												${health.roomName} , Rack ${health.rackName} , Cage ${health.cageName}
											</c:if>
										</td>
										<td>
											${health.mouseStatus }
										</td>
										<td>
											${health.bodySystem }
										</td>
										<td>
											${health.bodySubsystem }
										</td>
										<td>
											${health.healthConcern }
										</td>
										<td id="date_${pos.count}">
											<fmt:formatDate value="${health.editDate}" pattern="dd-MMM-yyyy" />
											<input type="hidden" name="editDates" value="${health.editDate}" />
											<c:if test="${health.mouseStatus != 'Deceased'}">
												<img id="check_${pos.count}" src="images/mouse_tracking/blank.gif" />
											</c:if>
										</td>
										<td style="color:${health.status};" id="status_${pos.count}">
											${health.status}
											<input type="hidden" name="status" value="${health.status}" />
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}" />
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
