<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Mouse Health Search</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript">
			function submitIfValid() {
				if(document.getElementById('barcodeId').value != "") {
					document.forms[0].submit();
				}
			}
		</script>
	</head>
	<body onload="document.getElementById('barcode').focus(); onkeydown='if(event.keyCode== 13){returnfalse;}'">
		<gui:page>
			<gui:pageHeader name="Mouse Health Search">
				<span class="tbody"> <gui:link-button href="search_mouse_health.do?retrieveFromSession=true" text="recall last query" /> </span>
			</gui:pageHeader>

			<gui:error-list commandName="form"><br /></gui:error-list>
			<form:form commandName="form" method="get" action="search_mouse_health.do">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="thead">
								Room
							</td>
							<td class="thead">
								Mouse ID/Barcode
							</td>
							<td class="thead">
								Start Date (From)
							</td>
							<td class="thead">
								Start Date (To)
							</td>
							<td class="thead">
								Status
							</td>
						</tr>

						<tr>
							<td>
								<gui:formPopup path="roomNumber" tabindex="1" onclick="openLookupList('lookup_room.do?recordType=room')" />
								<form:errors path="roomId" cssClass="form_error" />
								<form:hidden path="roomId" />
								<input onclick="clearFields('roomNumber','roomId');" type='button' value='clear' class='smallButton' tabindex="2" />
							</td>
							<td>
								<form:input path="barcode" tabindex="3" cssClass="barcodeField" onblur="validateBarcode(this, 'barcodeId','mouse','barcodeDescription');setTimeout('submitIfValid()',500);" />
								<form:errors path="barcode" cssClass="formError" />
								<br />
								<form:hidden path="barcodeId" />
							</td>
							<td>
								<form:input path="startDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="startDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td>
								<form:input path="startDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="startDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td>
								<form:select path="status" tabindex="6">
									<option value="">
										&nbsp;
									</option>
									<form:options items="${concernStatus}" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp;
							</td>
							<td class="tbody">
								<form:input path="barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
							</td>
						</tr>
						<tr>
							<td class="thead">
								Body System
							</td>
							<td class="thead">
								Body Sub-system
							</td>
							<td class="thead">
								Health Concern
							</td>
							<td class="thead">
								Cage Barcode
							</td>
							<td class="thead">
								Mouse Status
							</td>
						</tr>
						<tr>
							<td>
								<gui:formPopup path="bodySystem" tabindex="7" onclick="openLookupList('lookup_body_system.do','id=bodySystemId,name=bodySystem')" />
								<form:errors path="bodySystemId" cssClass="form_error" />
								<form:hidden path="bodySystemId" />
								<input onclick="clearFields('bodySystem','bodySystemId');" type='button' value='clear' class='smallButton' tabindex="8" />
							</td>
							<td>
								<gui:formPopup path="bodySubsystem" title="Search & select body sub-system category" tabindex="9" onclick="openLookupList('lookup_body_sub_system.do','id=bodySubsystemId,name=bodySubsystem')" />
								<form:errors path="bodySubsystemId" cssClass="form_error" />
								<form:hidden path="bodySubsystemId" />
								<input onclick="clearFields('bodySubsystem','bodySubsystemId');" type='button' value='clear' class='smallButton' tabindex="10" />
							</td>
							<td>
								<gui:formPopup path="healthConcern" title="Search & select health concern category" tabindex="11" onclick="openLookupList('lookup_health_concern.do','id=healthConcernId,name=healthConcern')" />
								<form:errors path="healthConcernId" cssClass="form_error" />
								<form:hidden path="healthConcernId" />
								<input onclick="clearFields('healthConcern','healthConcernId');" type='button' value='clear' class='smallButton' tabindex="12" />
							</td>
							<td>
								<form:input path="cage" tabindex="13" cssClass="barcodeField" onblur="validateBarcode(this, 'cageId','cage','cageDescription')" />
								<form:errors path="cage" cssClass="formError" />
								<br />
								<form:hidden path="cageId" />
							</td>
							<td>
								<form:select path="mouseStatus">
									<option value="">
										&nbsp;
									</option>
									<form:options items="${mouseStatus}" />
								</form:select>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp;
							</td>
							<td>
								&nbsp;
							</td>
							<td>
								&nbsp;
							</td>
							<td class="tbody">
								<form:input path="cageDescription" cssClass="barcodeDescriptionField" readonly="true" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_mouse_health.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
