<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Edit Mouse Health</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
		<gui:pageHeader name="View Health Record: ${health.mouse.name}" />

			<gui:mig-box-label>Health Concern Details&nbsp;<gui:link-button  href="edit_mouse_health.do?id=${health.id}" text="edit" /></gui:mig-box-label>
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabelSmall" style="text-align: right; width: 150px;">
							Body System:
						</td>
						<td style="width: 250px;">
							${health.bodySystem.name }
						</td>
						<td class="viewLabelSmall" style="text-align: left;">
							Notes:
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Body Sub-System:
						</td>
						<td>
							${health.bodySubsystem.name}
						</td>
						<td rowspan="5" class="top">
							${health.comments }
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Health Concern:
						</td>
						<td>
							${health.healthConcern.name }
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Start Date:
						</td>
						<td>
							<fmt:formatDate value="${health.startDate }" pattern="dd-MMM-yyyy" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							End Date:
						</td>
						<td>
							<fmt:formatDate value="${health.endDate }" pattern="dd-MMM-yyyy" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Status:
						</td>
						<td>
							${health.status }
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<br />

			<table style="width: 100%; text-align: center; border: 0px" cellpadding="5">
				<tr valign="top">
					<td style="width: 49%; padding: 0px;">
						<gui:mig-box-label>Identification&nbsp;<gui:link-button href="view_one_mouse.do?id=${health.mouse.id}" text="view mouse" /></gui:mig-box-label>
						<gui:mig-box>
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall" align="right">
										Mouse ID:
									</td>
									<td class="tbody">
										${health.mouse.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall" align="right">
										Barcode:
									</td>
									<td class="tbody">
										${health.mouse.barcode}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall" align="right">
										Ear-Mark:
									</td>
									<td class="tbody">
										${health.mouse.earmark.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall" align="right">
										Colour:
									</td>
									<td class="tbody">
										${health.mouse.coatColour.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall" align="right">
										Gender:
									</td>
									<td class="tbody">
										${health.mouse.gender.name}
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
					<td style="width: 2%; padding: 0px;"></td>
					<td style="width: 49%; padding: 0px;">
						<gui:mig-box label="Location">
							<table class="migBoxInner">
							<c:choose>
								<c:when test="${health.mouse.dead}">
									<tr>
										<td class="viewLabelSmall">
										This mouse is Deceased.
										</td>
									</tr>
								</c:when>
								<c:otherwise>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Room:
									</td>
									<td>
										<a href="view_one_room.do?id=${health.mouse.location.roomId}">${health.mouse.location.roomName}</a>
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Rack No.:
									</td>
									<td>
										<a href="view_one_rack.do?id=${health.mouse.location.rackId}">${health.mouse.location.rackName}</a>
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Rack Barcode:
									</td>
									<td>
										${health.mouse.location.rackBarcode}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Cage No.:
									</td>
									<td>
										<a href="view_one_cage.do?id=${health.mouse.location.cageId}">${health.mouse.location.cageName}</a>
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Cage Barcode:
									</td>
									<td>
										${health.mouse.location.cageBarcode}
									</td>
								</tr>
								</c:otherwise>
							</c:choose>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>

		</gui:page>
	</body>
</html>

