<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Select Label Printer</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript">
			function choosePrinter(printerId) {
				document.getElementById("printerDiv").innerHTML="<div align='center'><h1>Please be patient while the labels are printed...</h1><br /><br />Depending on your location and the number of labels, this may take some time.<br /><br /><b>An error will be displayed if printing fails</b></div>";
				document.getElementById("printerId").value = printerId;
				document.forms[0].submit();
			}

			function closeTb(caller) {
				self.parent.tb_remove();
			}
		</script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form" action="print_labels.do">
				<gui:pageHeader showBackUrl="false">
					Choose Label Printer
					&nbsp;
					<span style="font-size:.5em;">Number of Copies
						<form:select path="copies">
							<c:forEach begin="1" end="5" var="count">
								<form:option value="${count}"/>
							</c:forEach>
						</form:select>
					</span>
				</gui:pageHeader>

				<form:hidden path="printerId" />
					<div id="printerDiv">
					<gui:mig-box>
						<table class="migBoxInner">
							<tr valign="top">
								<c:forEach items="${printerGroups}" var="group">
									<td>
										<table cellspacing=7>
											<tr>
												<th style="text-align: left; font-size: 12pt;">${group.key}</th>
											</tr>
											<c:forEach items="${group.value}" var="printer">
												<tr>
													<c:choose>
														<c:when test="${!empty form.printerId and form.printerId eq printer.id}">
															<c:set var="tdColour" value="red" />
														</c:when>
														<c:otherwise>
															<c:set var="tdColour" value="" />
														</c:otherwise>
													</c:choose>
													<td bgcolor="${tdColour}">
														<gui:link-button  style="width:180px" text="${printer.description}" onclick="choosePrinter(${printer.id})"/>
													</td>
												</tr>
											</c:forEach>
										</table>
									</td>
								</c:forEach>
							</tr>
						</table>
					</gui:mig-box>
					<div class="submitButtonsMouseTracking">
						<input type="button" class="regularButton" value="Close Window" onclick="closeTb(this);">
					</div>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>