<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Edit Litter</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
			function submitChangeForm(changeFormValue) {
				document.getElementById("submitButton").disabled = "true";
				document.forms[0].changeForm.value = changeFormValue;
				document.forms[0].submit();
			}

			function afterValidateDate(field) {
				if(field.id == "defaultPup.deathDate") {
					submitChangeForm('copyDeathDate');
				}
				else if(field.id == "defaultPup.weanDate") {
					submitChangeForm('copyWeanDate');
				}
			}

			function updateNumberBorn() {
				document.getElementById("updateNumberBornButton").style.display = "";
				document.getElementById("updateNumberBornButton").style.color = "#ff0000";
				document.getElementById("updateNumberBornButton").style.fontWeight = "bold";
				document.getElementById("submitButton").disabled = "true";
				return true;
			}

			function updateNumberHarvested() {
				document.getElementById("updateNumberHarvestedButton").style.display = "";
				document.getElementById("updateNumberHarvestedButton").style.color = "#ff0000";
				document.getElementById("updateNumberHarvestedButton").style.fontWeight = "bold";
				document.getElementById("submitButton").disabled = "true";
				return true;
			}

			function copyBarcode() {
				document.getElementById("femaleLocation.barcode").value = document.getElementById("maleLocation.barcode").value;
				document.getElementById("femaleLocation.barcodeType").value = document.getElementById("maleLocation.barcodeType").value;
				document.getElementById("femaleLocation.barcodeDescription").value = document.getElementById("maleLocation.barcodeDescription").value;
				document.getElementById("femaleLocation.id").value = document.getElementById("maleLocation.id").value;
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
		<gui:pageHeader>
			<c:choose>
				<c:when test="${empty form.litter.id}">
					Add New
				</c:when>
				<c:otherwise>
					Edit Existing
				</c:otherwise>
			</c:choose>
			Litter
		</gui:pageHeader>

		<gui:error-list commandName="form">
			<br />
		</gui:error-list>

		<form:form commandName="form">
			<form:hidden path="changeForm" />
			<input type="hidden" name="changeFormValue" value="" />
			<table width="100%">
				<tr valign="top">
					<td width="65%">
						<gui:cage cage="${cage}" readonly="true" />
					</td>
					<td>
						<c:if test="${form.additionalFieldsRequired}">
							<gui:mig-box label="Additional Information">
								<table class="migBoxInner">
									<c:if test="${form.colonyRequired}">
										<tr>
											<td class="viewLabelSmall">
												Colony
												<span class="requiredField">*</span>
											</td>
											<td>
												<gui:formPopup path="defaultPup.colonyInfo.colonyName" size="40"
													onclick="openLookupList('lookup_colony.do','colonyInfoId=defaultPup.colonyInfoId,colonyName=defaultPup.colonyInfo.colonyName')" />
												<form:hidden path="defaultPup.colonyInfoId" />
											</td>
										</tr>
									</c:if>
									<c:if test="${form.strainRequired}">
										<tr>
											<td class="viewLabelSmall">
												Genetic Background
												<span class='requiredField'>*</span>
											</td>
											<td>
												<gui:formPopup path="defaultPup.strain.name" size="40" onclick="openLookupList('lookup_mouse_strain.do','id=defaultPup.strainDictId,name=defaultPup.strain.name')" />
												<form:hidden path="defaultPup.strainDictId" />
											</td>
										</tr>
									</c:if>
									<c:if test="${form.generationRequired}">
										<tr>
											<td class="viewLabelSmall">
												Generation
											</td>
											<td>
												<form:input path="defaultPup.generation" size="4" onblur="validateGenerationField(this)" />
												(optional)
											</td>
										</tr>
									</c:if>
									<c:if test="${form.cullFemaleConfirmationRequired}">
										<tr>
											<td class="viewLabelSmall">
												Cull Recipient Female?
												<span class='requiredField'>*</span>
											</td>
											<td>
												<form:select path="cullFemaleRecipient">
													<option value=""></option>
													<form:options items="${yesNo}" />
												</form:select>
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
							<br />
						</c:if>
						<c:if test="${form.procedureRequired or form.addNewProcedure}">
							<gui:mig-box label="Licensing / Procedure">
								<gui:procedureSubform />
							</gui:mig-box>
						</c:if>
						<c:if test="${!empty form.litter.pups and !form.procedureRequired and !form.addNewProcedure}">
							<gui:mig-box label="Licensing / Procedure">
								<table class="migBoxInner">
									<tr>
										<td align="center">
											<gui:link-button text="Add new procedure / 19b" onclick="submitChangeForm('addNewProcedure')" />
										</td>
										<td align="center">
											<gui:link-button text="Earclip for ID" onclick="submitChangeForm('addNewProcedureEarclipForId')" />
										</td>
										<td align="center">
											<gui:link-button text="Earclip for Genotype" onclick="submitChangeForm('addNewProcedureEarclipForGenotype')" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</c:if>
						<c:if test="${form.anyLocationRequired}">
							<br />
							<gui:mig-box label="Location">
								<table class="migBoxInner">
									<c:if test="${form.maleLocationRequired or form.femaleLocationRequired}">
										<tr>
											<td colspan="2">
												Male
												<c:if test="${form.maleLocationRequired}">
													<span class="requiredField">*</span>
												</c:if>
											</td>
											<td>
												Female
												<c:if test="${form.femaleLocationRequired}">
													<span class="requiredField">*</span>
												</c:if>
											</td>
										</tr>
										<tr valign="top">
											<td>
												<form:input path="maleLocation.barcode" cssClass="barcodeField" onblur="validateBarcode(this,'maleLocation.id','cage or rack','maleLocation.barcodeDescription','maleLocation.barcodeType')" />
												<form:hidden path="maleLocation.id" />
												<form:hidden path="maleLocation.barcodeType" />
												<br />
												<form:input path="maleLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
											</td>
											<td>
												<gui:link-button text="copy barcode &gt;" onclick="copyBarcode()" />
											</td>
											<td>
												<form:input path="femaleLocation.barcode" cssClass="barcodeField" onblur="validateBarcode(this,'femaleLocation.id','cage or rack','femaleLocation.barcodeDescription','femaleLocation.barcodeType')" />
												<form:hidden path="femaleLocation.id" />
												<form:hidden path="femaleLocation.barcodeType" />
												<br />
												<form:input path="femaleLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
											</td>
										</tr>
									</c:if>
									<c:if test="${form.unsexedLocationRequired}">
										<tr>
											<td colspan="3">
												Unsexed
												<c:if test="${form.unsexedLocationRequired}">
													<span class="requiredField">*</span>
												</c:if>
											</td>
										</tr>
										<tr valign="top">
											<td colspan="3">
												<form:input path="unsexedLocation.barcode" cssClass="barcodeField"
													onblur="validateBarcode(this,'unsexedLocation.id','cage or rack','unsexedLocation.barcodeDescription','unsexedLocation.barcodeType')" />
												<form:hidden path="unsexedLocation.id" />
												<form:hidden path="unsexedLocation.barcodeType" />
												<br />
												<form:input path="unsexedLocation.barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</c:if>
					</td>
				</tr>
				<tr valign="top">
					<td colspan="2">
						<gui:mig-box label="${form.litter.litterName} Litter Summary">
							<table class="migBoxInner">
								<thead class="listNonPaginatedHeader">
									<tr>
										<th>
											Litter
										</th>
										<th>
											Plug Date
										</th>
										<c:if test="${form.mode != 'NEW'}">
											<th>
												Not Pregnant
											</th>
										</c:if>
										<c:choose>
											<c:when test="${form.mode eq 'HARVESTED'}">
												<th>
													# Harvested
												</th>
											</c:when>
											<c:when test="${form.mode eq 'BORN' or form.mode eq 'SPLIT'}">
												<th>
													Birth Date
												</th>
												<th>
													# Born
												</th>
											</c:when>
											<c:otherwise>
												<th>
													Options
												</th>
											</c:otherwise>
										</c:choose>
										<th>
											Comments
										</th>
									</tr>
								</thead>
								<tr valign="top">
									<td style="width: 80px">
										${form.litter.litterName}
									</td>
									<td style="width: 180px">
										<form:input path="litter.plugDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
										<gui:dateTimePicker path="litter.plugDate" datePicker="true" timePicker="false" autoPopUp="button" />
										<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('litter.plugDate')" />
									</td>
									<c:if test="${form.mode != 'NEW'}">
										<td style="width: 80px">
											<form:checkbox path="litter.notPregnant" />
										</td>
									</c:if>
									<c:choose>
										<c:when test="${form.mode eq 'HARVESTED'}">
											<td style="width: 120px">
												<form:input path="litter.numberHarvested" size="1" onblur="validateIntegerField(this,'0>');submitChangeForm('editNumberPups');" onkeyup="updateNumberHarvested()" />
												<input id="updateNumberHarvestedButton" style="display:none" class="smallButton" type="button" value="Update" onclick="return true;" />
											</td>
										</c:when>
										<c:when test="${form.mode eq 'BORN' or form.mode eq 'SPLIT'}">
											<td style="width: 180px">
												<form:input path="litter.birthDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
												<gui:dateTimePicker path="litter.birthDate" datePicker="true" timePicker="false" autoPopUp="button" />
												<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('litter.birthDate')" />
											</td>
											<td style="width: 120px">
												<form:input path="litter.numberBorn" size="1" onblur="validateIntegerField(this,'0>');submitChangeForm('editNumberPups');" onkeyup="updateNumberBorn()" />
												<input id="updateNumberBornButton" style="display:none" class="smallButton" type="button" value="Update" onclick="return true;" />
											</td>
										</c:when>
										<c:otherwise>
											<td style="width:220px">
												<gui:link-button text="Register Birth" style="width:105px" onclick="submitChangeForm('setModeBorn')" />
												<gui:link-button text="Harvest Embryos" style="width:105px" onclick="submitChangeForm('setModeHarvested')" />
											</td>
										</c:otherwise>
									</c:choose>
									<td>
										<form:input path="litter.comments" cssStyle="width: 98%" />
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
				<c:if test="${!empty form.litter.pups}">
					<tr valign="top">
						<td colspan="2">
							<gui:mig-box label="Pups">
								<table class="migBoxInner">
									<thead class="listNonPaginatedHeader">
										<tr>
											<th>
												&nbsp;
											</th>
											<th>
												<c:choose>
													<c:when test="${form.litter.weanable or form.litter.litterUnsexed}">
														<c:set var="disableMaleCount" value="false" scope="page" />
													</c:when>
													<c:otherwise>
														<c:set var="disableMaleCount" value="true" scope="page" />
													</c:otherwise>
												</c:choose>
												Male
												<form:select path="maleCountOnForm" onchange="submitChangeForm('setMaleCount')" disabled="${disableMaleCount}">
													<option value="">
														&nbsp;
													</option>
													<c:forEach begin="0" end="${form.litter.numberAliveInt}" var="qty">
														<form:option value="${qty}" label="${qty}" />
													</c:forEach>
												</form:select>
												Female
												<form:select path="femaleCountOnForm" disabled="true">
													<option value="">
														&nbsp;
													</option>
													<c:forEach begin="0" end="${form.litter.numberAliveInt}" var="qty">
														<form:option value="${qty}" label="${qty}" />
													</c:forEach>
												</form:select>
											</th>
											<th>
												&nbsp;
											</th>
											<th>
												&nbsp;
											</th>
											<c:if test="${form.mode eq 'BORN' or form.mode eq 'SPLIT'}">
												<th>
													<form:select path="defaultPup.coatColourDictId" onchange="submitChangeForm('copyCoatColour')">
														<option value="">
															&nbsp;
														</option>
														<form:options items="${coatColour}" itemValue="id" itemLabel="name" />
													</form:select>
												</th>
												<th>
													<form:input path="defaultPup.weanDate" cssClass="date" onblur="validateDateTime(this, true, false);" onchange="afterValidateDate(this);" />
													<gui:dateTimePicker path="defaultPup.weanDate" datePicker="true" timePicker="false" autoPopUp="button" />
													<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('defaultPup.weanDate')" />
												</th>
											</c:if>
											<th>
												&nbsp;
											</th>
											<th>
												<form:select path="defaultPup.causeOfDeathDictId" onchange="submitChangeForm('copyCauseOfDeath')">
													<option value="">
														&nbsp;
													</option>
													<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name" />
												</form:select>
												<form:input path="defaultPup.deathDate" cssClass="date" onblur="validateDateTime(this, true, false);" onchange="afterValidateDate(this);" />
												<gui:dateTimePicker path="defaultPup.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />
												<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('defaultPup.deathDate')" />
											</th>
										</tr>
										<tr>
											<th>
												Mouse ID
											</th>
											<th>
												Sex
											</th>
											<th>
												Earmark
											</th>
											<c:choose>
												<c:when test="${form.litter.fromMicroInjection}">
													<th>
														% Chimerism
													</th>
												</c:when>
												<c:otherwise>
													<th>
														Genotype
													</th>
												</c:otherwise>
											</c:choose>
											<c:if test="${form.mode eq 'BORN' or form.mode eq 'SPLIT'}">
												<th>
													Colour
												</th>
												<th>
													Wean Date
												</th>
											</c:if>
											<th>
												Comments
											</th>
											<th>
												Fate
											</th>
										</tr>
									</thead>
									<gui:toggle-row-reset />
									<c:forEach items="${form.litter.pups}" var="mouse" varStatus="mouseLoop">
										<c:if test="${!form.litter.pups[mouseLoop.index].flaggedForDelete}">
											<gui:toggle-row-class />
											<tr class="${rowClass}">
												<td>
													${mouse.name}
													<c:if test="${mouse.pooled}">(Pooled)</c:if>
													<c:if test="${mouse.stud}">(Stud)</c:if>
												</td>
												<td>
													<table width="100%" cellspacing="0" cellpadding="0">
														<tr>
															<td>
													<label for="genderMale${mouseLoop.index}" title="MALE"><img src="images/mouse_tracking/male_gender_symbol.gif" height="14px"/></label>
													<form:radiobutton id="genderMale${mouseLoop.index}" path="litter.pups[${mouseLoop.index}].genderDictId" value="2"/>
															</td>
															<td>
													<label for="genderFemale${mouseLoop.index}"><img src="images/mouse_tracking/female_gender_symbol.gif" height="14px"/></label>
													<form:radiobutton id="genderFemale${mouseLoop.index}" path="litter.pups[${mouseLoop.index}].genderDictId" value="1"/>
															</td>
															<td>
													<label for="genderUnknown${mouseLoop.index}">?</label>
													<form:radiobutton id="genderUnknown${mouseLoop.index}" path="litter.pups[${mouseLoop.index}].genderDictId" value="3"/>
															</td>
														</tr>
													</table>
												</td>
												<td>
													<form:select path="litter.pups[${mouseLoop.index}].earmarkDictId">
														<option value="">
															&nbsp;
														</option>
														<form:options items="${earmark}" itemValue="id" itemLabel="name" />
													</form:select>
												</td>
												<td>
													<c:choose>
														<c:when test="${form.litter.fromMicroInjection}">
															<form:input path="litter.pups[${mouseLoop.index}].chimericData.percentChimeric" size="5" onblur="validateIntegerField(this,'>0')" />
														</c:when>

														<c:otherwise>
															<table width="100" cellspacing="0" cellpadding="0">
																<c:if test="${empty mouse.alleles}">
																${mouse.genotype}
																</c:if>
																<c:forEach items="${mouse.alleles}" varStatus="alleleLoop">
																	<tr>
																		<td>
																			${form.litter.pups[mouseLoop.index].alleles[alleleLoop.index].allele.htmlAlleleSymbol}
																		</td>
																		<td>
																			<c:choose>
																				<c:when test="${mouse.alleles[alleleLoop.index].lockedForUpdate}">
																					<c:out value="${mouse.alleles[alleleLoop.index].genotype.name}" />
																					<img src="images/locked.gif" title="Locked Record" />
																				</c:when>
																				<c:otherwise>
																					<form:select path="litter.pups[${mouseLoop.index}].alleles[${alleleLoop.index}].genotypeDictId">
																						<form:options items="${genotype}" itemValue="id" itemLabel="name" />
																					</form:select>
																				</c:otherwise>
																			</c:choose>
																		</td>
																	</tr>
																</c:forEach>

															</table>
														</c:otherwise>
													</c:choose>
												</td>
												<c:if test="${form.mode eq 'BORN' or form.mode eq 'SPLIT'}">
													<td>
														<form:select path="litter.pups[${mouseLoop.index}].coatColourDictId">
															<option value="">
																&nbsp;
															</option>
															<form:options items="${coatColour}" itemValue="id" itemLabel="name" />
														</form:select>
													</td>
													<td>
														<form:input path="litter.pups[${mouseLoop.index}].weanDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
														<gui:dateTimePicker path="litter.pups${mouseLoop.index}.weanDate" datePicker="true" timePicker="false" autoPopUp="button" />
													</td>
												</c:if>
												<td>
													<form:input path="litter.pups[${mouseLoop.index}].comments" cssStyle="width:95%" maxlength="4000"/>
												</td>
												<td>
													<form:select path="litter.pups[${mouseLoop.index}].causeOfDeathDictId">
														<option value="">
															&nbsp;
														</option>
														<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name" />
													</form:select>
													<form:input path="litter.pups[${mouseLoop.index}].deathDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
													<gui:dateTimePicker path="litter.pups${mouseLoop.index}.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />
													<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('litter.pups${mouseLoop.index}.deathDate')" />
												</td>
											</tr>
										</c:if>
									</c:forEach>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</c:if>
			</table>

			<div class="submitButtonsMouseTracking">
				<input type="submit" value="Submit" id="submitButton"  class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'"/>
				<input type="reset" value="Reset" onclick="document.location='edit_litter.do?litter.breedingId=${form.litter.breedingId}<c:if test="${!empty form.litter.id}">&id=${form.litter.id}</c:if>'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'"/>
				<c:choose>
					<c:when test="${empty form.litter.id}">
						<input type="button" value="Cancel" onclick="document.location='view_one_breeding.do?id=${form.litter.breedingId}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
					</c:when>
					<c:otherwise>
						<input type="button" value="Cancel" onclick="document.location='view_one_litter.do?id=${form.litter.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
					</c:otherwise>
				</c:choose>
			</div>

		</form:form>
		</gui:page>
	</body>
</html>