<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>List Litters</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	 <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
		<gui:pageHeader name="Litters" />

		<form action="search_litter.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty litterViews}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>	
									<th valign="bottom">
										<gui:paginate-order-by orderBy="name" bean="${searchBean}">
											Litter Name
										</gui:paginate-order-by>
									</th>
									<th valign="bottom">
										Origin
									</th>
									<th valign="bottom">
										<gui:paginate-order-by orderBy="plug_date" bean="${searchBean}">
											Plug Date
										</gui:paginate-order-by>
									</th>
									<th valign="bottom">
										<gui:paginate-order-by orderBy="birth_date" bean="${searchBean}">
											Birth Date
										</gui:paginate-order-by>
									</th>
									<th valign="bottom">
										# Born
									</th>
									<th valign="bottom">
										# Weaned
									</th>
									<th valign="bottom">
										# Used/Died
									</th>
									<th valign="bottom">
										# Embryos
									</th>
									<th valign="bottom" style="width: 250px">
										Comments
									</th>
								</tr>
							</thead>
							<tbody class="listPaginated">
								<c:forEach items="${litterViews}" var="litterView">
									<gui:toggle-row-class />
										<tr valign="top" class="${rowClass}">
											<td>
												<a href="view_one_litter.do?id=${litterView.id}">${litterView.litterName}</a>
											</td>
											<td>
												<c:choose>
													<c:when test="${!empty litterView.microInjectionRequestId}">
														<a href="view_one_mi_request.do?id=${litterView.microInjectionRequestId}">MIR #${litterView.microInjectionRequestId}</a>
													</c:when>
													<c:otherwise>
														Father:
														<a href='view_one_mouse.do?id=${litterView.fatherId}'>
															${litterView.fatherName}
														</a>
														<br />
														Mother:
														<a href='view_one_mouse.do?id=${litterView.motherId}'>
															${litterView.motherName}
														</a>
													</c:otherwise>
												</c:choose>
											</td>
											<td valign="top">
												<fmt:formatDate value="${litterView.plugDate}" pattern="dd-MMM-yyyy"/>
												<c:if test="${!empty litterView.embryoAge and !litterView.notPregnant and litterView.numberEmbryos eq 0}">
													Embryo Age: ${litterView.embryoAge}
												</c:if>
											</td>
											<td valign="top">
												<c:choose>
													<c:when test="${litterView.notPregnant}">
														Not Pregnant
													</c:when>
													<c:otherwise>
														<fmt:formatDate value="${litterView.birthDate}" pattern="dd-MMM-yyyy"/>
													</c:otherwise>
												</c:choose>
											</td>
											<td valign="top">
												${litterView.numberBorn}
											</td>
											<td valign="top">
												${litterView.numberWeaned}
											</td>
											<td valign="top">
												${litterView.numberUsedOrDied}
											</td>
											<td valign="top">
												${litterView.numberEmbryos}
											</td>
											<td valign="top" style="width: 250px">
												${litterView.comments}
											</td>
										</tr>
								</c:forEach>
							</tbody>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
				</div>
			</form>
		</gui:page>
	</body>
</html>