<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Litter Search</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>
				Litter Search		
				<span class="tbody">
					<gui:link-button href="search_litter.do?retrieveFromSession=true" text="recall last query" />
				</span>	
			</gui:pageHeader>
			
			<form:form commandName="form" action="search_litter.do" method="get">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
				<gui:error-list commandName="form"><br /></gui:error-list>
				
				<gui:mig-box label="Search Options">
					<table class="migBoxInner" cellpadding="5">
						<tr>	
							<td width="15%" class="viewLabelSmall">
								Litter Name
							</td>
							<td>
								<form:input path="litterName" size="18"/>
							</td>	
						</tr>
						<tr>	
							<td class="viewLabelSmall">Plug Date</td>
							<td>
								From
								<form:input path="plugDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="plugDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
								To							
								<form:input path="plugDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="plugDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>								
						</tr>
						<tr>	
							<td class="viewLabelSmall">Birth Date</td>
							<td>
								From 
								<form:input path="birthDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="birthDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
								To							
								<form:input path="birthDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="birthDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>								
						</tr>
						<tr>						
							<td class="viewLabelSmall">Litter Status</td>
							<td>
								<form:select path="status">			
									<option value="">&nbsp;</option>
									<form:options items="${statuses}" />								
								</form:select>
							</td>	
						</tr>
						<tr>
							<td class="viewLabelSmall">Colony</td>
							<td>
								<gui:formPopup path="colonyPrefix" size="5" onclick="openLookupList('lookup_colony.do')" noimage="true" />
								<gui:formPopup path="colonyName" size="40" onclick="openLookupList('lookup_colony.do')" />
								<form:hidden path="colonyInfoId" />
							</td>
						</tr>	
						<tr>
							<td  class="viewLabelSmall">
								Parent ID/Barcode
							</td>
							<td>
								<form:input path="parentBarcode" onblur="validateBarcode(this, 'parentId','mouse','parentBarcodeDescription')" cssClass="barcodeField" />
								<form:input path="parentBarcodeDescription" cssClass="barcodeDescriptionField" readonly="true"/>
								<form:hidden path="parentId" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_litter.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>
				
			</form:form>
		</gui:page>
	</body>	
</html>