<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Blood Sample</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/cohort.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="initForm('bloodSamples[0].barcode')">
		<gui:page>
			<gui:pageHeader name="Blood Sample" />
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form">
				<br />
			</gui:error-list>
			<form:form commandName="form" method="post" action="blood_sample.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<c:choose>
					<c:when test="${empty form.cohort.mice}">
						<b>Scan cage of mice or lookup cohort</b>
						<br />
						<gui:formPopup path="cohort.cohortName" title="Find Cohorts" onchange="fetchCohortByName()" onclick="openLookupList('lookup_cohort.do','cohortName=cohort.cohortName,cohortId=cohort.id')" title="Find Cohorts" />
						<form:hidden path="cohort.id" />
					</c:when>
					<c:otherwise>
						<gui:link-button text="Choose Different Cohort" href="blood_sample.do" />
					</c:otherwise>
				</c:choose>

				<br />
				<br />

				<c:if test="${!empty form.cohort.mice}">
					<span class="inverseTab">Mice in Cohort</span>
					<table class="borderTable">
						<tr class="theadList">
							<td class="thead" colspan="6">
								Project Licence:
								<gui:formPopup path="projectLicenceDescription" title="Lookup Project Licence" onclick="openDependentLookupList('lookup_project_licence.do?personId=','personId','Person ID is empty','projectLicenceDisplayText=projectLicenceDescription,projectLicenceId=projectLicenceId')" />
								<input type="hidden" name="personId" id="personId" value="${user.id}" />
								<form:hidden path="projectLicenceId" />
							</td>
						</tr>
						<tr class="theadList">
							<td>
								Mouse ID
							</td>
							<td>
								Gender
							</td>
							<td>
								Earclip
							</td>
							<td>
								Cohort
							</td>
							<td>
								Blood Sample Barcode
							</td>
						</tr>
						<tbody class="tbody">
							<c:forEach items="${form.cohort.mice}" var="mouse" varStatus="i">
								<gui:toggle-row-class />
								<tr class="${rowClass}">
									<td>
										${mouse.name}
									</td>
									<td>
										${mouse.gender.name}
									</td>
									<td>
										${mouse.earmark.name}
									</td>
									<td>
										${mouse.colonyInfo.colonyName}
									</td>
									<td>
										<form:input path="bloodSamples[${i.index}].barcode" tabindex="${i.index + 1}" />
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</c:if>

				<divclass="submitButtonsMouseTracking">
				<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
