<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Edit Mouse</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Bulk Mouse Update (${fn:length(form.mouseIds)} mice)" />
			<form:form commandName="form" method="post">
				<table width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">
							<gui:error-list commandName="form" />
						</td>
					</tr>
					<tr valign="top">
						<td>
							<gui:mig-box label="Colony/Owner">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall" width="20%">
											Colony
										</td>
										<td>
											<gui:formPopup path="colonyPrefix" size="5" onclick="openLookupList('lookup_colony.do')" noimage="true" />
											&nbsp;
											<gui:formPopup path="colonyName" size="40" onclick="openLookupList('lookup_colony.do')" />
											<form:hidden path="colonyInfoId" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" width="20%">
											Owner
										</td>
										<td>
											<gui:formPopup path="currentOwnerDisplayText" cssClass="person" onclick="openLookupList('lookup_person.do','personId=currentOwnerId,personName=currentOwnerDisplayText')" />
											<form:hidden path="currentOwnerId" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br />
							<gui:mig-box label="Comments">
								<table class="migBoxInner">
									<tr>
										<td>
											<form:textarea path="comments" cssStyle="width:95%"/>
										</td>
									</tr>
									<tr>
										<td>
											<form:radiobutton path="overwriteComments" value="false"/> Append to existing comments.
											<br />
											<form:radiobutton path="overwriteComments" value="true"/> Replace existing comments.
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<control:accessControl roles="admin,mts_production">
								<br />
								<gui:mig-box label="Embryo Production Males">
									<table class="migBoxInner">
										<tr>
											<td class="viewLabelSmall" width="20%">
												Stud Male
											</td>
											<td>
												<form:select path="stud">
													<option value="">&nbsp;</option>
													<form:options items="${yesNo}" />
												</form:select>
											</td>
										</tr>
										<tr>
											<td class="viewLabelSmall" width="20%">
												Proven Stud
											</td>
											<td>
												<form:select path="provenStud">
													<option value="">&nbsp;</option>
													<form:options items="${yesNo}" />
												</form:select>
											</td>
										</tr>
										<tr>
											<td class="viewLabelSmall" width="20%">
												Vasectomised
											</td>
											<td>
												<form:select path="sterile">
													<option value="">&nbsp;</option>
													<form:options items="${yesNo}" />
												</form:select>
											</td>
										</tr>
									</table>
								</gui:mig-box>
							</control:accessControl>
						</td>
						<td>
							<gui:mig-box label="Licensing">
								<gui:procedureSubform hideRequiredFieldFlags="true" />
							</gui:mig-box>
							<control:accessControl roles="admin,gtp-manager">
								<br>
								<gui:mig-box label="Genotype Status">
									<table class="migBoxInner">
										<tr>
											<td>
												<form:checkbox path="mouseAlleleQcLock"/> Lock Genotype Status (this cannot be undone!)
											</td>
										</tr>
									</table>
								</gui:mig-box>
							</control:accessControl>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
