
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>

<%@page import="uk.ac.sanger.mig.mousetracking.forms.MouseForm"%>
<html>
	<head>
		<title>Edit Mouse</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
		<script type="text/javascript">
			function disableReturn(evt) {
			  	var evt  = (evt) ? evt : ((window.event) ? window.event : null);
			  	var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
			  	if ((evt.keyCode == 13) && node.type=="text" ) { return false; }
			}

			document.onkeypress = disableReturn;

			function submitChangeForm(action, value) {
				var d = document.forms[0];
				d.changeForm.value = action;
				d.changeFormValue.value = value;
				d.submit();
			}

			function toggleNewCage(newCage) {

				var cageElement = document.getElementById('cageElement');
				var rackElement = document.getElementById('rackElement');

				if(newCage === "true") {
					cageElement.style.display = 'none';
					rackElement.style.display = 'block';

				} else {
					cageElement.style.display = 'block';
					rackElement.style.display = 'none';
				}
			}

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				<c:choose>
					<c:when test="${empty form.mouse.id}">
						Add New Mice
						</c:when>
					<c:otherwise>
						Edit Existing Mouse
					</c:otherwise>
				</c:choose>

				<c:if test="${!empty persistentMouseForm and empty form.mouse.id}">
					<gui:link-button href="edit_mouse.do?usePreviousForm=true" text="Copy Previous Mouse"/>
				</c:if>
				<c:choose>
					<c:when test="${form.rfidRequired}">
						<c:set var="rfidText" value="No RFID Tags"/>
					</c:when>
					<c:otherwise>
						<c:set var="rfidText" value="Add RFID Tags"/>
					</c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test="${form.nameFromBarcode}">
						<c:set var="nameText" value="Named Mice"/>
					</c:when>
					<c:otherwise>
						<c:set var="nameText" value="Anonymous Mice"/>
					</c:otherwise>
				</c:choose>
			</gui:pageHeader>
			<gui:error-list commandName="form"><br /></gui:error-list>
			<form:form commandName="form" method="post" action="edit_mouse.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<table width="100%" align="center" border="0" cellpadding="5">
					<tr valign="top">
						<td width="33%">
							<c:set var="onclickText"></c:set>
							<gui:mig-box-label>
								Identification
								&nbsp;
								<gui:link-button text="${rfidText}" onclick="submitChangeForm('toggleRfidInput')"/>
								<c:if test="${empty form.mouse.id}">
									&nbsp;
									<gui:link-button text="${nameText}" onclick="submitChangeForm('toggleNameInput')"/>
								</c:if>
							</gui:mig-box-label>
							<gui:mig-box>
								<table class="migBoxInner">
									<c:choose>
										<c:when test="${empty form.mouse.id}">
											<tr>
												<td class="viewLabelSmall">
													QUANTITY<span class='requiredField'>*</span>
												</td>
												<td>
													<b>
														1<form:radiobutton path="numberOfMice" value="1" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
														2<form:radiobutton path="numberOfMice" value="2" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
														3<form:radiobutton path="numberOfMice" value="3" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
														4<form:radiobutton path="numberOfMice" value="4" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
														5<form:radiobutton path="numberOfMice" value="5" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
														6<form:radiobutton path="numberOfMice" value="6" onclick="submitChangeForm('specifyMouseCount')" />&nbsp;
													</b>
												</td>
											</tr>
											<c:if test="${!empty form.mouseNames}">
												<c:forEach items="${form.mouseNames}" var="mouseName" varStatus="loopStatus">
													<tr>
														<td class="viewLabelSmall" style="width: 100px;">
															Mouse ID ${loopStatus.index + 1}
															<c:if test="${!form.nameFromBarcode}">
																<span class="requiredField">*</span>
															</c:if>
														</td>
														<td>
															<c:if test="${!form.nameFromBarcode}">
																<form:input path="mouseNames[${loopStatus.index}]" />
															</c:if>
															<form:select path="earmarks[${loopStatus.index}]">
																<form:option value="" label=" "/>
																<form:options items="${earmark}" itemValue="id" itemLabel="name"/>
															</form:select>
														</td>
													</tr>
													<c:if test="${form.rfidRequired}">
													<tr>
														<td class="viewLabelSmall" style="width: 100px;">
															RFID ${loopStatus.index + 1}
														</td>
														<td>
															<form:input path="mouseRfidTags[${loopStatus.index}]" />
														</td>
													</tr>
													</c:if>
												</c:forEach>
											</c:if>
										</c:when>
										<c:otherwise>
											<tr>
												<td class="viewLabelSmall" style="width: 100px;">
													Mouse ID<span class="requiredField">*</span>
												</td>
												<td>
													<form:input path="mouse.name" />
													<form:select path="mouse.earmarkDictId">
														<option value="">
															&nbsp;
														</option>
														<form:options items="${earmark}" itemValue="id" itemLabel="name" />
													</form:select>
												</td>
											</tr>
											<c:if test="${form.rfidRequired}">
													<tr>
														<td class="viewLabelSmall" style="width: 100px;">
															RFID
														</td>
														<td>
															<form:input path="mouse.rfidTag" />
														</td>
													</tr>
											</c:if>
										</c:otherwise>
									</c:choose>
									<tr>
										<td class="viewLabelSmall">
											Gender<span class='requiredField'>*</span>
										</td>
										<td>
											<form:select path="mouse.genderDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${gender}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Coat Colour
										</td>
										<td>
											<form:select path="mouse.coatColourDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${coatColour}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Eye Colour
										</td>
										<td>
											<form:select path="mouse.eyeColourDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${eyeColour}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Colony<span class='requiredField'>*</span>
										</td>
										<td>
											<gui:formPopup path="mouse.colonyInfo.colonyPrefix" cssStyle="width: 240px;" onclick="openLookupList('lookup_colony.do','colonyName=mouse.colonyInfo.colonyName,colonyInfoId=mouse.colonyInfoId,colonyPrefix=mouse.colonyInfo.colonyPrefix')" />
											<form:hidden path="mouse.colonyInfoId" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Features">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall" style="width: 100px;">
											Genetic<span class='requiredField'>*</span><br />Background
										</td>
										<td>
											<gui:formPopup path="mouse.strain.name" cssStyle="width: 240px;" onclick="openLookupList('lookup_mouse_strain.do','id=mouse.strainDictId,name=mouse.strain.name')" />
											<form:hidden path="mouse.strainDictId" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Generation
										</td>
										<td>
											<form:input path="mouse.generation" size="4" onblur="validateGenerationField(this)" />
										</td>
									</tr>
									<c:if test="${form.mouse.chimera}">
										<tr>
											<td class="viewLabelSmall">
												% Chimeric
											</td>
											<td>
												<form:input path="mouse.chimericData.percentChimeric" size="3" maxlength="3" onblur="validateIntegerField(this,'0>')" />
											</td>
										</tr>
									</c:if>
									<tr>
										<td class="viewLabelSmall">
											Weight:
										</td>
										<td>
											<form:input path="mouse.currentWeight.weightValue" size="5" />g
											<form:input path="mouse.currentWeight.sampleDate" size="16" cssClass="readonly" readonly="true" />
											<gui:dateTimePicker path="mouse.currentWeight.sampleDate" timePicker="true" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>

						<td width="33%">
							<input type="hidden" name="addAllele" />
							<gui:mig-box-label>
								Alleles&nbsp;
								<gui:link-button text="Add Allele" onclick="submitChangeForm('addAllele');"/>
							</gui:mig-box-label>
							<gui:mig-box>
								<table class="migBoxInner">
									<c:choose>
										<c:when test="${empty form.alleles}">
											<tr>
												<td>None specified.</td>
											</tr>
										</c:when>
										<c:otherwise>
											<c:forEach items="${form.alleles}" var="mouseAllele" varStatus="iterator">
												<tr>
													<td class="viewDataSmall">
														<c:choose>
															<c:when test="${mouseAllele.lockedForUpdate}">
																<gui:link-button text="Locked" disabled="true" />
															</c:when>
															<c:when test="${mouseAllele.flaggedForDelete}">
																<gui:link-button text="Unremove" onclick="submitChangeForm('reinstateAllele', '${iterator.index}');" />
															</c:when>
															<c:otherwise>
																<gui:link-button text="Remove" onclick="submitChangeForm('removeAllele', '${iterator.index}');" />
															</c:otherwise>
														</c:choose>
													</td>
													<td class="viewDataSmall">
														<c:choose>
															<c:when test="${empty mouseAllele.id}">
															  	<span onclick="openLookupList('lookup_allele.do','alleleId=alleles${iterator.index}.alleleId,officialNameSuperscript=alleles${iterator.index}.allele.officialNameSuperscript,primaryName=alleles${iterator.index}.allele.migGene.primaryName')">
																  	<form:input path="alleles[${iterator.index}].allele.migGene.primaryName" readonly="true" size="10" cssClass="popup" />
																	<sup>
																		<form:input path="alleles[${iterator.index}].allele.officialNameSuperscript" readonly="true" size="8" cssClass="popup" />
																	</sup>
																	<form:hidden path="alleles[${iterator.index}].alleleId" />
																	<img src="images/lookup.gif" />
																</span>
															</c:when>
															<c:otherwise>
																<c:choose>
																	<c:when test="${mouseAllele.flaggedForDelete}">
																		<span id="mouse_allele_${iterator.index}" style='text-decoration:line-through;'>${mouseAllele.allele.htmlAlleleSymbol}</span>
																	</c:when>
																	<c:otherwise>
																		<span id="mouse_allele_${iterator.index}" style='text-decoration:none;'>${mouseAllele.allele.htmlAlleleSymbol}</span>
																	</c:otherwise>
																</c:choose>
															</c:otherwise>
														</c:choose>

													</td>
													<td>
														<c:choose>
															<c:when test="${mouseAllele.lockedForUpdate}">
																<c:out value="${mouseAllele.genotype.name}" />
																<img src="images/locked.gif" title="Locked Record" />
															</c:when>
															<c:otherwise>
																<form:select path="alleles[${iterator.index}].genotypeDictId">
																	<form:options items="${genotype}" itemValue="id" itemLabel="name"/>
																</form:select>
															</c:otherwise>
														</c:choose>
													</td>
												</tr>
											</c:forEach>
										</c:otherwise>
									</c:choose>
								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Dates">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall">
											Birth Date
										</td>
										<td>
											<form:input path="mouse.birthDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="mouse.birthDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Wean Date
										</td>
										<td>
											<form:input path="mouse.weanDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="mouse.weanDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Fate Date
										</td>
										<td>
											<form:input path="mouse.deathDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="mouse.deathDate" datePicker="true" timePicker="false" autoPopUp="button" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Fate
										</td>
										<td>
											<form:select path="mouse.causeOfDeathDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box-label>Location<span class='requiredField'>*</span></gui:mig-box-label>
							<gui:mig-box>
								<table class="migboxInner">
									<tr>
										<td>
											<table id="cageElement" align="center" width="100%">
												<tr>
													<td class="viewLabelSmall" rowspan="2" valign="top">
														Cage or Rack Barcode
													</td>
													<td>
														<form:input path="locationBarcode" cssClass="barcodeField" onblur="validateBarcode(this, 'locationId','cage or rack', 'locationBarcodeDescription','locationBarcodeType')" />
														<form:hidden path="locationId" />
														<form:hidden path="locationBarcodeType" />
														<input onclick="clearFields('locationBarcode','locationId','locationBarcodeType','locationBarcodeDescription');" type='button' value='clear' class='smallButton' />
													</td>
												</tr>
												<tr>
													<td>
														<form:input path="locationBarcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Comments">
								<table class="migBoxInner">
									<tr>
										<td>
											<form:textarea path="mouse.comments" cssStyle="width:100%" rows="4" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>

						<td width="33%">
							<gui:mig-box label="Current Licensing Information">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall">
											Owner<span class='requiredField'>*</span>
										</td>
										<td>
											<gui:formPopup path="mouse.currentOwner.displayText" cssClass="person" onclick="openLookupList('lookup_person.do','personId=mouse.currentOwnerId,personName=mouse.currentOwner.displayText')" />
											<form:hidden path="mouse.currentOwnerId" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<gui:mig-box>
							<c:choose>
								<c:when test="${form.addNewProcedure}">
									<gui:procedureSubform hideRequiredFieldFlags="true" />
								</c:when>
								<c:otherwise>
									<table class="migBoxInner">
										<tr valign="top">
											<td class="viewLabelSmall">
												Procedure
											</td>
											<td style="vertical-align: middle;">
												${form.mouse.currentLicencedProcedure.procedure.name}
											</td>
										</tr>
										<tr valign="top">
											<td class="viewLabelSmall">
												PIL No:
											</td>
											<td style="vertical-align: middle;">
												${form.mouse.currentLicencedProcedure.personalLicence.displayText}
											</td>
										</tr>
										<tr valign="top">
											<td class="viewLabelSmall">
												PPL No:
											</td>
											<td style="vertical-align: middle;">
												${form.mouse.currentLicencedProcedure.protocol.projectLicence.displayText}
											</td>
										</tr>
										<tr valign="top">
											<td class="viewLabelSmall">
												19b:
											</td>
											<td style="vertical-align: middle;">
												${form.mouse.currentLicencedProcedure.protocol.displayText}
											</td>
										</tr>
										<tr valign="top">
											<td class="viewLabelSmall">
												Start Date:
											</td>
											<td style="vertical-align: middle;">
												<fmt:formatDate value="${form.mouse.currentLicencedProcedure.startDate}" />
											</td>
										</tr>
										<tr valign="top">
											<td colspan="2" align="center">
												<gui:link-button text="New Procedure" onclick="submitChangeForm('addNewProcedure');"/>
											</td>
										</tr>
									</table>
								</c:otherwise>
							</c:choose>
							</gui:mig-box>

							<br />
							<gui:mig-box label="Procedures">
								<table class="migBoxInner">
								<c:if test="${empty experimentData.mouseProcedures}">
									<tr>
										<td class="viewDataSmall">There are no procedures for this mouse.</td>
									</tr>
								</c:if>
								<c:forEach items="${experimentData.mouseProcedures}" var="procedure">
									<gui:toggle-row-class/>
									<tr valign="top" class="${rowClass}">
										<td class="viewDataSmall">
											<fmt:formatDate value="${procedure.startDate}" pattern="dd-MMM-yyyy"/>
										</td>
										<td class="viewDataSmall">
											${procedure.procedure.name}
										</td>
										<td class="viewDataSmall">
											${procedure.protocol.projectLicence.licenceNumber}:${procedure.protocol.protocolCode}
										</td>
										<td class="viewDataSmall">
											${procedure.personalLicence.licenceNumber}
										</td>
									</tr>
								</c:forEach>
								</table>
							</gui:mig-box>

							<br />
							<gui:mig-box label="Flags">
								<table class="migBoxInner">
									<c:if test="${form.mouse.colonyInfo.poolable}">
										<tr>
											<td class="viewLabelSmall">
												<c:choose>
													<c:when test="${form.mouse.male}">Stud Male</c:when>
													<c:otherwise>Pooled Female</c:otherwise>
												</c:choose>
											</td>
											<td>
												<c:choose>
													<c:when test="${form.mouse.male}"><form:select path="mouse.stud" items="${yesNo}" /></c:when>
													<c:otherwise><form:select path="mouse.pooled" items="${yesNo}" /></c:otherwise>
												</c:choose>
											</td>
										</tr>
									</c:if>
									<tr>
										<td class="viewLabelSmall">
											Non-breeder
										</td>
										<td>
											<form:select path="mouse.nonBreeder" items="${yesNo}" />
										</td>
									</tr>
									<c:if test="${form.mouse.male}">
										<tr>
											<td class="viewLabelSmall">
												Proven Stud
											</td>
											<td>
												<form:select path="mouse.provenStud" items="${yesNo}" />
											</td>
										</tr>
									</c:if>
									<tr>
										<td class="viewLabelSmall">
											Sterile/Vasectomized
										</td>
										<td>
											<form:select path="mouse.sterile" items="${yesNo}" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall">
											Sentinel
										</td>
										<td>
											<form:select path="mouse.sentinel" items="${yesNo}" />
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Reset" onclick="document.location='edit_mouse.do?<c:if test="${!empty form.mouse.id}">id=${form.mouse.id}</c:if>'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
