<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>List Mice</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">
			function multiUpdate() {
        changeUrl('bulk_update_mice.do');
      }

      function changeUrl(url) {
        var selected = document.getElementById('selectedRecordCount').value;
        if(selected == 0) {
          alert("No Records Selected.");
        }
        else {
          document.location = url;
        }
      }

	  function addToCohort() {
			var url = "manage_cohort.do?addSelectedMice=true";
        	changeUrl(url);
	  }

      function addToReservation() {
        var url = "edit_reservation.do";
        changeUrl(url);
      }

      function deleteReservation() {
        var url = "delete_reservation.do";
        changeUrl(url);
      }

      function addToGenotypingCohort() {
			var url = "manage_cohort.do?addSelectedMice=true&cohortTypeId=4";
        	changeUrl(url);
	  }
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="List Mice ${pageHeader}" showPrintFrame="true" />

			<form:form commandName="searchBean" action="search_mice.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<table>
					<tr valign="top">
						<c:if test="${!empty mice}">
							<td>
								<table class="borderTable">
									<tr class="tbody">
										<td>
											<b>Records  Selected:</b>
											<input type="text" id="selectedRecordCount" value="${searchBean.selectedRecordCount}" size="4" readonly class="disabledWhite"/>
											<gui:link-button onclick="multiUpdate()" text="update selected" />&nbsp;
											<gui:link-button onclick="addToCohort()" text="add to cohort" />&nbsp;
                      <control:accessControl roles="admin,mgp-admin,senior-tgx">
                        <gui:link-button onclick="addToReservation()" text="add to reservation" />&nbsp;
                        <gui:link-button onclick="deleteReservation()" text="delete reservation" />&nbsp;
										  </control:accessControl>
										  <gui:link-button onclick="addToGenotypingCohort()" text="add to genotyping cohort" />&nbsp;
                    </td>
									</tr>
								</table>
							</td>
						</c:if>
					</tr>
				</table>
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty mice}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th><gui:paginatedCheckboxToggle searchBean="${searchBean}"/></th>
									<th width="120px">Options</th>
									<c:forEach items="${columnPrefs}" var="column">
										<th>
											<gui:paginate-order-by orderBy="${column.columnName}" bean="${searchBean}">
												${column.columnTitle}
											</gui:paginate-order-by>
										</th>
									</c:forEach>
								</tr>
							</thead>
							<tbody class="listPaginated">
								<c:forEach items="${mice}" var="mouse" varStatus="status">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td>
											<gui:paginate-checkbox bean="${searchBean}" value="${mouse.recordNumber}" checked="${mouse.selected}" />
										</td>
										<td nowrap="nowrap">
											<gui:link-button href="view_one_mouse.do?id=${mouse.id}" text="view" />
											&nbsp;
											<gui:link-button href="edit_mouse.do?id=${mouse.id}" text="edit" />
											&nbsp;
											<gui:link-button href="edit_mouse_health.do?mouseId=${mouse.id}" text="health" />
										</td>
										<c:forEach items="${columnPrefs}" var="column">
											<td nowrap="nowrap">
												<gui:display-field object="${mouse}" getter="${column.getterMethod}" datatype="${column.datatype}" />
											</td>
										</c:forEach>
									</tr>
								</c:forEach>
							</tbody>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>