<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Move Mouse</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
   		<script type="text/javascript">
	    	$(document).ready(function() {
				$("#originCageBarcode").focus();
			});

			function scanCage() {
			    if(document.forms[0].originCageId.value != "") {
					document.forms[0].changeForm.value = "scanCage";
					document.forms[0].changeFormValue.value = document.forms[0].originCageId.value;
					document.forms[0].submit();
				}
			}

			function toggleAllCageCheckboxes(checkBox) {
				$(".cageCheckbox").attr("checked", checkBox.checked).each(
					function() {toggleCageCheckboxes(this);}
				);
			}

			function toggleCageCheckboxes(checkBox) {
				var targetClass = checkBox.id;
				$("."+targetClass+" :checkbox").attr("checked", checkBox.checked);
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Move Mice" />
			<gui:error-list commandName="form"><br /></gui:error-list>

			<form:form commandName="form" method="post" action="move_mouse.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<table width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">
							<gui:mig-box label="Instructions">
								<table class="migBoxInner">
									<tr>
										<td>
											<ul>
												<li>Use this screen to consolidate mice into cages, or to separate mice into new cages.</li>
												<li>Do not use this screen to move cages. Click <a href="register_cages.do">HERE</a> if you want to move cages to a new rack or room.</li>
												<li>TIP: You can scan multiple Origin Cages to consolidate mice into one cage.</li>
											</ul>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
					</tr>
					<tr valign="top">
						<td width="50%" style="padding: 0px;">
							<gui:mig-box label="Origin Cages">
								<table style="height: 100px; vertical-align: top;" class="migBoxInner" cellspacing="5">
									<tr>
										<td style="vertical-align: top;">
											Scan cage(s) to move animals <b>from</b>
											<br />
											<form:input cssClass="barcodeField" path="originCageBarcode" onblur="validateBarcode(this,'originCageId','cage','originCageBarcodeDescription');setTimeout('scanCage()',500)" />
											<form:input path="originCageBarcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width: 400px" readonly="true"/>
											<form:hidden path="originCageId" />
											<br />
											<br />
											<c:if test="${form.totalScannedMice gt 0}">
												<b>Select all ${form.totalScannedMice} mice <input type="checkbox" onclick="toggleAllCageCheckboxes(this)" /></b>
												<br />
											</c:if>
											<c:forEach items="${form.cages}" var="cage">
												<span class="inverseTab">
													Cage ${cage.id} Rack ${cage.rack.name}
													<input type="checkbox" onclick="toggleCageCheckboxes(this)" class="cageCheckbox" id="cage${cage.id}" />
												</span>
												<table class="cage${cage.id} borderTable">
													<c:forEach items="${cage.contents}" var="mouse">
														<gui:toggle-row-class />
														<tr class="${rowClass}">
															<td>
																<form:checkbox path="movingMouseIds" value="${mouse.id}" />
																${mouse.barcodeDescription}
															</td>
														</tr>
													</c:forEach>
												</table>
												<br />
											</c:forEach>
										</td>
									</tr>
									<c:if test="${!empty form.cages}">
										<tr class="tbody">
											<td>
												Select mice to move and click submit to move to new cage.
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>
						</td>
						<td width="50%" style="padding: 0px 0px 0px 10px;">
							<gui:mig-box label="Destination Cage or Rack" height="100px;">
								<table style="height: 100px;" class="migBoxInner" cellspacing="5">
									<tr>
										<td style="vertical-align: top;">
											Scan cage or rack to move animals <b>to</b>
											<br />
											<form:input cssClass="barcodeField" path="destinationBarcode" onblur="validateBarcode(this,'destinationId','cage or rack','destinationBarcodeDescription','destinationBarcodeType')" />
											<form:input path="destinationBarcodeDescription" cssClass="barcodeDescriptionField" cssStyle="width: 400px" readonly="true"/>
											<form:hidden path="destinationId" />
											<form:hidden path="destinationBarcodeType" />
											<br />
										</td>
									</tr>
									<tr class="tbody">
										<td>
											Note: Scan a rack barcode to create a new cage in that rack.
										</td>
									</tr>
									<tr>
										<td>
											<form:checkbox path="singleHousing" /> Tick to put each mouse in its own individual cage.
										</td>
									</tr>
									<c:if test="${form.displayStudField}">
										<tr>
											<td>
												<form:checkbox path="stud" /> Tick to indicate that male is a production stud.
											</td>
										</tr>
									</c:if>
									<c:if test="${form.displayFemalePool}">
										<tr>
											<td>
												<form:checkbox path="femalePool" /> Tick to pool females.
											</td>
										</tr>
										<tr>
											<td>
												Pooled Birth Date:
												<form:input path="femalePoolDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
												<gui:dateTimePicker path="femalePoolDate" datePicker="true" timePicker="false" autoPopUp="button" />
											</td>
										</tr>
									</c:if>
								</table>
							</gui:mig-box>

							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
							</div>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
