<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Advanced Mouse Search</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/validateMouse.js"></script>
		<script type="text/javascript">
			function submitIfValid() {
				if(document.getElementById('id').value != "") {
					document.forms[0].submit();
				}
			}
		</script>
	</head>
	<body onload="document.getElementById('barcode').focus();" onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>
				Advanced Mouse Search
				<span class="tbody"> <gui:link-button href="search_mice.do?retrieveFromSession=true" text="recall last query" /> </span>
			</gui:pageHeader>

			<form:form commandName="form" method="get" action="search_mice.do">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
				<table width="100%" align="center" border="0" cellpadding="5">
					<tr>
						<td colspan="3" align="center">
							<gui:error-list commandName="form" />
						</td>
					</tr>

					<tr valign="top">
						<td width="33%">

							<gui:mig-box label="Identification">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right" width="20%">
											Mouse ID/Barcode
										</td>
										<td>
											<form:input cssClass="barcodeField" cssStyle="width: 130px;" path="barcode" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateBarcode(this, 'id','mouse','barcodeDescription');setTimeout('submitIfValid()',500);" />
											<form:input path="barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
											<form:hidden path="id" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											RFID:
										</td>
										<td class="viewDataSmall">
											<form:input path="rfidTag" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Gender
										</td>
										<td>
											<form:select path="genderDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${gender}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Colour
										</td>
										<td>
											<form:select path="coatColourDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${coatColour}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Earmark
										</td>
										<td>
											<form:select path="earmarkDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${earmark}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Eye Colour
										</td>
										<td>
											<form:select path="eyeColourDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${eyeColour}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Colony
										</td>
										<td>
											<gui:formPopup path="colonyName" cssStyle="width: 220px;" title="Lookup Colony" onclick="openLookupList('lookup_colony.do?excludeEmpty=true')" />
											<form:hidden path="colonyInfoId" />
											<input onclick="clearFields('colonyName','colonyInfoId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Cohort
										</td>
										<td>
											<gui:formPopup path="cohortName" cssStyle="width: 220px;" title="Lookup Cohort" onclick="openLookupList('lookup_cohort.do')" />
											<form:hidden path="cohortId" />
											<input onclick="clearFields('cohortName','cohortId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>

								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Features">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Genetic Background
										</td>
										<td>
											<gui:formPopup path="strainName" onclick="openLookupList('lookup_mouse_strain.do','id=strainId,name=strainName')" />
											<form:hidden path="strainId" />
											<input onclick="clearFields('strainName','strainId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Generation
										</td>
										<td>
											<form:input path="generation" size="4" onblur="validateGenerationField(this)" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Comments
										</td>
										<td>
											<form:input path="comments" />
										</td>
									</tr>

								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Family">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Father ID/Barcode
										</td>
										<td>
											<form:input path="fatherBarcode" cssClass="barcodeField" onblur="validateBarcode(this,'fatherId','mouse')" />
											<form:hidden path="fatherId" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Mother ID/Barcode
										</td>
										<td>
											<form:input path="motherBarcode" cssClass="barcodeField" onblur="validateBarcode(this,'motherId','mouse')" />
											<form:hidden path="motherId" />
										</td>
									</tr>

								</table>
							</gui:mig-box>

						</td>

						<td width="33%">
							<gui:mig-box label="Alleles">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Allele
										</td>
										<td onclick="openLookupList('lookup_allele.do','officialNameSuperscript=allele.officialNameSuperscript,primaryName=allele.migGene.primaryName')">
											<form:input path="allele.migGene.primaryName" readonly="true" cssClass="popup" />
											<sup>
												<form:input path="allele.officialNameSuperscript" readonly="true" size="10" cssClass="popup" />
											</sup>
											<form:hidden path="alleleId" />
											<img src="images/lookup.gif" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Genotype
										</td>
										<td>
											<form:select path="genotypeDictId">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${genotype}" itemLabel="name" itemValue="id" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											MI Request #
										</td>
										<td>
											<form:input path="microInjectionRequestId" size="5" onblur="validateIntegerField(this,'>0')" />
											<br />
											(finds F0 offspring from micro-injection)
										</td>
									</tr>

								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Dates">
								<table class="migBoxInner">

									<tr valign="top">
										<td class="viewLabelSmall" align="right">
											Birth Date
										</td>
										<td>
											<form:input path="birthDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="birthDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
											&nbsp;to
											<form:input path="birthDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="birthDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
											<br />
											<form:checkbox path="nullBirthDate" />
											No Birth Date
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall" align="right">
											Wean Date
										</td>
										<td>
											<form:input path="weanDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="weanDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
											&nbsp;to
											<form:input path="weanDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="weanDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
											<br />
											<form:checkbox path="nullWeanDate" />
											No Wean Date
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall" align="right">
											Fate Date
										</td>
										<td>
											<form:input path="deathDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="deathDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
											&nbsp;to
											<form:input path="deathDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
											<gui:dateTimePicker path="deathDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
											<br />
											<form:checkbox path="nullDeathDate" />
											No Death Date
										</td>
									</tr>
									<tr valign="top">
										<td class="viewLabelSmall" align="right">
											Fate
										</td>
										<td>
											<form:select path="causeOfDeathDictId">
												<option value="">
													&nbsp;
												</option>
												<option value="-1">
													Any Cause
												</option>
												<form:options items="${causeOfDeath}" itemValue="id" itemLabel="name" />
											</form:select>
										</td>
									</tr>
								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Location">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Cage Barcode
										</td>
										<td>
											<form:input path="cageBarcode" cssClass="barcodeField" onblur="validateBarcode(this, 'cageId','cage', 'cageBarcodeDescription')" />
											<form:hidden path="cageId" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Cage Description
										</td>
										<td>
											<form:input path="cageBarcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Rack Barcode
										</td>
										<td>
											<form:input path="rackBarcode" cssClass="barcodeField" onblur="validateBarcode(this, 'rackId','rack', 'rackBarcodeDescription')" />
											<form:hidden path="rackId" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Rack Description
										</td>
										<td>
											<form:input path="rackBarcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Room
										</td>
										<td>
											<gui:formPopup path="roomNumber" cssStyle="width: 200px;" onclick="openLookupList('lookup_room.do')" />
											<form:hidden path="roomId" />
										</td>
									</tr>

								</table>
							</gui:mig-box>
						</td>

						<td width="33%">
							<gui:mig-box label="Flags">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Non-breeder
										</td>
										<td>
											<form:select path="nonBreeder">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${yesNo}" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Sentinel
										</td>
										<td>
											<form:select path="sentinel">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${yesNo}" />
											</form:select>
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											Status
										</td>
										<td>
											<form:select path="status">
												<option value="">
													&nbsp;
												</option>
												<form:options items="${statuses}" />
											</form:select>
										</td>
									</tr>

								</table>
							</gui:mig-box>
							<br />

							<gui:mig-box label="Histology">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Work Progress
										</td>
										<td>
										<form:select path="histologyProgress">
												<option value="">
													&nbsp;
												</option>

													<form:options items="${histologyProgressOptions}" itemValue="enumString" itemLabel="label"/>


											</form:select>
										</td>
									</tr>

								</table>
							</gui:mig-box>

							<br />

							<gui:mig-box label="Other Details">
								<table class="migBoxInner">

									<tr>
										<td class="viewLabelSmall" align="right">
											Owner
										</td>
										<td>
											<gui:formPopup path="currentOwnerName" cssClass="person" title="Lookup Current Owner" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=currentOwnerId,personName=currentOwnerName')" />
											<form:hidden path="currentOwnerId" />
											<input onclick="clearFields('currentOwnerName','currentOwnerId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											PPL No.
										</td>
										<td>
											<gui:formPopup path="projectLicenceDisplayText" cssStyle="width: 210px;" title="Lookup Project Licence" onclick="openLookupList('lookup_project_licence.do?recordType=PPL')" />
											<form:hidden path="projectLicenceId" />
											<input onclick="clearFields('projectLicenceDisplayText','projectLicenceId','protocolDisplayText','protocolId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>
									<tr>
										<td class="viewLabelSmall" align="right">
											19b Protocol
										</td>
										<td>
											<gui:formPopup path="protocolDisplayText" cssStyle="width: 210px;" title="Lookup Project Licence Protocol" onclick="openDependentLookupList('lookup_protocol.do?recordType=protocol&projectLicenceId=','projectLicenceId','Please select a project licence first')" />
											<form:hidden path="protocolId" />
											<input onclick="clearFields('protocolDisplayText','protocolId');" type='button' value='clear' class='smallButton' />
										</td>
									</tr>
								</table>
							</gui:mig-box>

              <gui:mig-box label="Reservations">
                <table class="migBoxInner">
                  <tr>
                    <td class="viewLabelSmall" align="right">
                      Reserver
                    </td>
                    <td>
                      <gui:formPopup path="reserverName" cssClass="person" title="Lookup Reserver" onclick="openLookupList('lookup_person.do?recordType=person&bypassForm=true','personId=reserverId,personName=reserverName')" />
                      <form:hidden path="reserverId" />
                      <input onclick="clearFields('reserverName','reserverId');" type='button' value='clear' class='smallButton' />
                    </td>
                  </tr>
                  <tr>
                    <td class="viewLabelSmall" align="right">
                      Team
                    </td>
                    <td>
                      <gui:formPopup path="reservationTeamName" cssClass="person" title="Lookup Team" onclick="openLookupList('lookup_team.do','teamId=reservationTeamId,teamName=reservationTeamName')" />
                      <form:hidden path="reservationTeamId" />
                      <input onclick="clearFields('reservationTeamName','reservationTeamId');" type='button' value='clear' class='smallButton' />
                    </td>
                  </tr>
                  <tr>
                    <td class="viewLabelSmall" align="right">
                      Category
                    </td>
                    <td>
                      <form:select path="reservationCategoryId" cssStyle="width: 170px;" onchange="clearFields('reservationPurposeName','reservationPurposeId')">
                        <option value="">&nbsp;</option>
                        <form:options items="${reservationCategory}" itemValue="id" itemLabel="name"/>
                      </form:select>
                    </td>
                  </tr>
                  <tr>
                    <td class="viewLabelSmall" align="right">
                      Purpose
                    </td>
                    <td>
                      <gui:formPopup path="reservationPurposeName" cssClass="person" title="Lookup Purpose" onclick="openDependentLookupList('lookup_purpose.do?reservationCategoryId=','reservationCategoryId','Please select a category first','id=reservationPurposeId,name=reservationPurposeName')" />
                      <form:hidden path="reservationPurposeId" />
                      <input onclick="clearFields('reservationPurposeName','reservationPurposeId');" type='button' value='clear' class='smallButton' />
                    </td>
                  </tr>
                </table>
              </gui:mig-box></td>
					</tr>
				</table>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Search" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_mice.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
