<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript">
			function submitIfValid() {
				if(document.getElementById('id').value != "") {
					document.forms[0].submit();
				}
			}
		</script>
	</head>
	<body onload="document.getElementById('barcode').focus();" onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Mouse Quick Search" />
				<gui:error-list title="Form is incomplete:" commandName="form"><br /></gui:error-list>
			<form:form commandName="form" method="get" action="simple_search_mice.do">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
			    <gui:mig-box>
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>Mouse ID/Barcode</th>
								<th>Cohort</th>
								<th>Colony</th>
								<th>Genetic Background</th>
								<th>Mouse Status</th>
							</tr>
						</thead>
						<tbody class="listNonPaginated">
							<tr valign="top">
								<td width="13%">
									<form:input path="barcode" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateBarcode(this, 'id','mouse');setTimeout('submitIfValid()',500);" />
									<form:hidden path="id" />
								</td>
								<td width="25%">
									<gui:formPopup path="cohortName" cssStyle="width: 210px;" title="Find Cohort" onclick="openLookupList('lookup_cohort.do')" />
									<form:hidden path="cohortId" />
									<input style="margin-left: 3px;" onclick="clearFields('cohortName','cohortId');" type='button' value='clear' class='smallButton' />
								</td>
								<td width="25%">
									<gui:formPopup path="colonyName" cssStyle="width: 210px;" title="Find Colony" onclick="openLookupList('lookup_colony.do?excludeEmpty=true','id=colonyInfoId')" />
									<form:hidden path="colonyInfoId" />
									<input style="margin-left: 3px;" onclick="clearFields('colonyName','colonyInfoId');" type='button' value='clear' class='smallButton' />
								</td>
								<td width="25%">
									<gui:formPopup path="strainName" cssStyle="width: 210px;" title="Find Strains" onclick="openLookupList('lookup_mouse_strain.do','id=strainId,name=strainName')" />
									<form:hidden path="strainId"/>
									<input style="margin-left:3px;" onclick="clearFields('strainName','strainId');" type='button' value='clear' class='smallButton' />
								</td>
								<td width="12%">
									<form:select path="status">
										<option value="">&nbsp;</option>
										<form:options items="${statuses}"/>
									</form:select>
								</td>
							</tr>
						</tbody>
					</table>
			    </gui:mig-box>

				<div class="submitButtonsMouseTracking">
					<input type="button" value="Search" onclick="window.setTimeout('document.forms[0].submit()',1000)" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='simple_search_mice.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>