<%@ page import="uk.ac.sanger.mig.mousetracking.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<%
	
	FamilyTree ft = (FamilyTree)request.getAttribute("familyTree");

	int maxGen = ft.getMaxGeneration();
	int minGen = ft.getMinGeneration();

	int rows = 1 + (maxGen-minGen);
	double MAX_WIDTH = 1000;
	int cellWidth = 0;
%>
<html>
	<head>
		<title>View Mouse Pedigree</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function highlight(mouseId,gender) {
				var imgArray = document.getElementsByName("IMG"+mouseId);
				
				for(var i=0; i<imgArray.length; i++) {
					var image = imgArray[i];
					if(gender === 'Male') {
						image.parentNode.style.backgroundColor="#bacef2";
					}else{
						image.parentNode.style.backgroundColor="#ffc4fb";
					}
				}
			}
			
			function unhighlight(mouseId) {
				var imgArray = document.getElementsByName("IMG"+mouseId);
				
				for(var i=0; i<imgArray.length; i++) {
					var image = imgArray[i];
					image.parentNode.style.backgroundColor="#e1edf8";
					
				}
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Mouse Pedigree: ${mouse.name}" />
			<table width="100%" align="center" style="margin-top: 16px;" cellpadding="0" cellspacing="0" border="0">							
		<%
			for(int row=rows - 1; row > -1; row--) {
		%>
				<tr><td><table cellpadding="0" cellspacing="0" width="100%" align="center"><tr>
		<%
				Collection thisGeneration = ft.getGeneration(maxGen-row);
		
				double cols = Math.pow(2,(double)row);
				cellWidth = (int)(100d/cols);
				
				for(int col=0; col<cols; col++) {
		%>
				<td align="center" valign="top" width="<%=cellWidth%>%">		
		<%	
					Iterator j = thisGeneration.iterator();
					while(j.hasNext()) {
					  Mouse a	= (Mouse)j.next();
					  FamilyTreeMember x = (FamilyTreeMember)a;
					  if(x.getFamilyTreeRowIndex() == col) {
		
						if(row < 5) {%>
							<table cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td align="center" width="150px">
										<table class="treeBorder" cellpadding="0" cellspacing="0">
											<tr class="tbody">
												<td onmouseover="highlight('<%=a.getId()%>','<%=a.getGender().getName()%>')" onmouseout="unhighlight('<%=a.getId()%>')" style="text-align: center; padding: 4px; background: #e1edf8;">
													<%= (a.getGender().getName().equals("Male")) ? "<img name='IMG" + a.getId() + "' src='images/mouse_tracking/male_symbol.gif' style='cursor:default' align='left'>" : "<img name='IMG" + a.getId() + "' src='images/mouse_tracking/female_symbol.gif' style='cursor:default' align='left'>" %>
													<br />
													<b><%= (a.getName() != null && a.getName().length() > 0) ? a.getName() : "" %></b>											
													<% if(row < 4) { %>
														<%= (a.getStrain()!= null) ?  "<br />" + a.getStrain().getName() : "" %>
														<%= (a.getGenotype() != null) ? "<br />" + a.getGenotype() : "" %>
													<% }//if %>			
													<br />
													<% if(row !=0) { %>
														<span width="30%" style="margin-top: 6px; margin-right: 20%;" align="left">
															<a href="view_family_tree.do?id=<%=a.getId()%>" title="View Pedigree <%= (a.getName() != null && a.getName().length() > 0) ? a.getName() : "" %>">
															<img src="images/mouse_tracking/tree1.gif"></a>
														</span>
													<% }//if %>
													<span width="30%" style="text-align: cenetr; margin-top: 6px;">
														<a href="view_one_mouse.do?id=<%=a.getId()%>" title="View Mouse Details">
														<img src="images/mouse_tracking/view.gif"></a>
													</span>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>		
						<%	if(row > 0) {%>
								<img src="images/mouse_tracking/blue.gif" height="20" width="2" align="top">
								<table width="100%" cellpadding="0" cellspacing="0" border="0" bordercolor="red">	
									<tr>
										<td valign="top" width="50%" style="<%= (col % 2 != 0) ? "border-top: 2px solid blue; border-left: 1px solid blue;" : "" %>">
											&nbsp;
										</td>
										<td valign="top" width="50%" style="<%= (col % 2 == 0) ? "border-top: 2px solid blue; border-right: 1px solid blue;" : "" %>">
											&nbsp;
										</td>					
									</tr>
						 		 </table>
							<%}//if
						}//if			
						break; //while loop
					  }//if
				    }//while
		%>
					</td>
		<%
				}//for
		%>		
				</tr></table></td></tr>
		<%		
					
			}//for
		%>
			</table>
			<br /><br />
			<div align="center">
				<table style="border: 1px dotted #888;">
					<tr>
						<td width=200px  style="padding: 10px; font-size: 14px; color: #555; background: #f3f3f3;"><b>
							<img src="images/mouse_tracking/view.gif"> &nbsp;= View mouse details<br />
							<img src="images/mouse_tracking/tree1.gif"> = View mouse pedigree
							</b>
							<div style="margin-top: 8px; color: #004869; font-size: 13px;">
								If you hover over a particular mouse, all occurrences of that mouse 
								will be highlighted. 
							</div>
						</td>
					</tr>
				</table>
			</div>
		</gui:page>
	</body>
</html>
