<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<gui:docType />
<html>
	<head>
		<title>View Mouse</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="View Mouse ${mouse.name}" />
			<table width="100%" align="center" border="0" cellpadding="5">
				<tr valign="top">
					<td width="33%">
						<gui:mig-box label="Identification" links="edit|edit_mouse.do?id=${mouse.id}">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Mouse ID:
									</td>
									<td class="viewDataSmall">
										${mouse.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Barcode:
									</td>
									<td class="viewDataSmall">
										${mouse.barcode}
									</td>
								</tr>
								<c:if test="${!empty mouse.rfidTag}">
								<tr>
									<td width="30%" class="viewLabelSmall">
										RFID:
									</td>
									<td class="viewDataSmall">
										${mouse.rfidTag}
									</td>
								</tr>
								</c:if>
								<tr>
								<td width="30%" class="viewLabelSmall">
										Gender:
									</td>
									<td class="viewDataSmall">
										${mouse.gender.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Colour:
									</td>
									<td class="viewDataSmall">
										${mouse.coatColour.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Earmark:
									</td>
									<td class="viewDataSmall">
										${mouse.earmark.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Eye Colour:
									</td>
									<td class="viewDataSmall">
										${mouse.eyeColour.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Colony:
									</td>
									<td class="viewDataSmall">
										<c:if test="${!empty mouse.colonyInfo}">
											(${mouse.colonyInfo.colonyPrefix})&nbsp;
										</c:if>
										<a href="view_one_colony_info.do?id=${mouse.colonyInfoId}">${mouse.colonyInfo.colonyName}</a>
									</td>
								</tr>

							</table>
						</gui:mig-box>
						<br />

						<gui:mig-box label="Features">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Genetic Background:
									</td>
									<td class="viewDataSmall">
										${mouse.strain.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Generation:
									</td>
									<td class="viewDataSmall">
										${mouse.generation}
									</td>
								</tr>
								<c:if test="${!empty mouse.chimericData}">
									<tr>
										<td width="30%" class="viewLabelSmall">
											% Chimeric:
										</td>
										<td class="viewDataSmall">
											${mouse.chimericData.percentChimeric}%
										</td>
									</tr>
									<tr>
										<td width="30%" class="viewLabelSmall">
											ES Cell Line (Clone):
										</td>
										<td class="viewDataSmall">
											${mouse.chimericData.cellLine.cellLineName} (${mouse.chimericData.cellLine.cloneName})
										</td>
									</tr>
									<tr>
										<td width="30%" class="viewLabelSmall">
											ES Cell Line Background:
										</td>
										<td class="viewDataSmall">
											${mouse.chimericData.cellLineStrain.name}
										</td>
									</tr>
									<tr>
										<td width="30%" class="viewLabelSmall">
											ES Cell Line Coat Colour:
										</td>
										<td class="viewDataSmall">
											${mouse.chimericData.expectedCoatColour.name}
										</td>
									</tr>
								</c:if>
								<c:if test="${!empty mouse.currentWeight}">
									<tr>
										<td width="30%" class="viewLabelSmall">
											Weight:
										</td>
										<td class="viewDataSmall">
											${mouse.currentWeight.weightValue}${mouse.currentWeight.weightUnits}
											on
											<fmt:formatDate value="${mouse.currentWeight.sampleDate}" pattern="dd-MMM-yyyy" />
										</td>
									</tr>
								</c:if>
							</table>
						</gui:mig-box>
						<br />

						<gui:mig-box label="Origin" links="pedigree|view_family_tree.do?id=${mouse.id}">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Litter:
									</td>
									<td class="viewDataSmall">
										<a href="view_one_litter.do?id=${mouse.litterId}">${mouse.litter.litterName}</a>
									</td>
								</tr>
							</table>
						</gui:mig-box>

						<c:if test="${!empty experimentData.mouseWeights}">
							<gui:mig-box label="Weight History">
								<table class="migBoxInner">
									<thead class="listNonPaginatedHeader">
										<tr>
											<th>Date</th>
											<th>Weight</th>
											<th>Entered By</th>
										</tr>
									</thead>
									<gui:toggle-row-reset/>
									<c:forEach items="${experimentData.mouseWeights}" var="weight">
										<gui:toggle-row-class/>
										<tr class="${rowClass}">
											<td width="30%" class="viewDataSmall">
												<fmt:formatDate value="${weight.sampleDate}" pattern="dd-MMM-yyyy"/>
											</td>
											<td class="viewDataSmall">
												${weight.weightValue}${weight.weightUnits}
											</td>
											<td class="viewDataSmall">
												${weight.editedBy}
											</td>
										</tr>
									</c:forEach>
								</table>
							</gui:mig-box>
						</c:if>
					</td>

					<td width="33%">
						<gui:mig-box label="Dates">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Birth Date:
									</td>
									<td class="viewDataSmall">
										<fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" />
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Age:
									</td>
									<td class="viewDataSmall">
										${mouse.ageString}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Wean Date:
									</td>
									<td class="viewDataSmall">
										<fmt:formatDate value="${mouse.weanDate}" pattern="dd-MMM-yyyy" />
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Fate:
									</td>
									<td class="viewDataSmall">
										${mouse.causeOfDeath.name}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Fate Date:
									</td>
									<td class="viewDataSmall">
										<fmt:formatDate value="${mouse.deathDate}" pattern="dd-MMM-yyyy" />
									</td>
								</tr>
							</table>
						</gui:mig-box>
						<br />

						<gui:mig-box label="Genotype" links="details|view_genotyping_history.do?id=${mouse.id}">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Genotype:
									</td>
									<td class="viewDataSmall">
										<gui:mouseGenotype mouse="${mouse}" />
									</td>
								</tr>
								<c:forEach items="${mouseAlleles}" var="mouseAllele">
									<tr>
									  <td width="30%" class="viewLabelSmall">Allele:</td>
									  <td class="viewDataSmall" colspan="3"><c:out value="${mouseAllele.allele.shortAlleleSymbol}"/></td>
									</tr>
									<c:if test="${empty mouseAllele.historyAndAlles}">
										<tr>
											<td class="viewLabelSmall"/>
											<td class="viewDataSmall" colspan="3">No genotype history</td>
										</tr>
									</c:if>
									<c:forEach items="${mouseAllele.historyAndAlles}" var="entry">
										<c:set var="history" value="${entry.key}"/>
										<c:set var="historicMouseAllele" value="${entry.value}"/>
										<tr>
											<td class="viewLabelSmall"/>
											<td class="viewDataSmall"><c:out value="${historicMouseAllele.genotypeSymbol}"/></td>
											<td class="viewDataSmall"><c:out value="${history.source.name}" /></td>
											<td class="viewDataSmall"><gui:weeksElapsed start="${mouse.birthDate}" end="${history.assignmentDate}"/></td>
										</tr>
									</c:forEach>
								</c:forEach>
							</table>
						</gui:mig-box>
						<br/>

						<gui:mig-box label="Location">
							<table class="migBoxInner">
								<c:choose>
								<c:when test="${mouse.dead}">
									<tr>
										<td class="tbody">
										This mouse is Deceased.
										</td>
									</tr>
								</c:when>
								<c:otherwise>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Room:
									</td>
									<td class="viewDataSmall">
										<a href="view_one_room.do?id=${mouse.location.roomId}">${mouse.location.roomName}</a>
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Rack:
									</td>
									<td class="viewDataSmall">
										<a href="view_one_rack.do?id=${mouse.location.rackId}">${mouse.location.rackName}</a>
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Rack Barcode:
									</td>
									<td class="viewDataSmall">
										${mouse.location.rackBarcode}
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Cage:
									</td>
									<td class="viewDataSmall">
										<a href="view_one_cage.do?id=${mouse.location.cageId}">${mouse.location.cageName}</a>
										<gui:link-button text="print cage label" onclick="printLabels('PRINT_CAGE','${mouse.cageId}')" />
									</td>
								</tr>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Cage Barcode:
									</td>
									<td class="viewDataSmall">
										${mouse.location.cageBarcode}
									</td>
								</tr>
								</c:otherwise>
								</c:choose>
							</table>
						</gui:mig-box>

						<control:accessControl hideHtml="false" roles="admin,mgp-admin,histology">
		             	    <gui:mig-box label="Histology">
								<table class="migBoxInner">
									<tr>
										<td class="viewDataSmall">
											<a href="mouse_work_report.do?mouseId=${mouse.id}">
												Work Report
											</a>
										</td>
									</tr>
								</table>
					       </gui:mig-box>
						</control:accessControl>

						<c:if test="${!empty cohorts}">
							<br />
							<gui:mig-box label="Cohorts">
								<table class="migBoxInner">
									<c:forEach items="${cohorts}" var="cohort">
										<tr>
											<td class="viewDataSmall">
												<a href="view_one_cohort.do?id=${cohort.id}">${cohort.cohortName}</a>
											</td>
										</tr>
									</c:forEach>
								</table>
							</gui:mig-box>
						</c:if>

						<c:if test="${!empty mouse.comments}">
							<br />
							<gui:mig-box label="Comments">
								<table class="migBoxInner">
									<tr>
										<td class="viewDataSmall">
											<textarea style="width: 98%" rows="4" type="_moz">${mouse.comments}</textarea>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</c:if>
					</td>

					<td width="33%">
						<div class="migBox">
							<div class="migBoxHeading">Reservation
								<control:accessControl roles="admin,senior-tgx">
									<c:url value="/edit_reservation.do" var="resEditUrl">
										<c:param name="mouseId" value="${mouse.id}" />
									</c:url>
									<c:choose>
										<c:when test="${empty reservation}">
											<gui:link-button text="add" href="${resEditUrl}" />
										</c:when>
										<c:otherwise>
											<gui:link-button text="change" href="${resEditUrl}" />
											<c:url value="/delete_reservation.do" var="resDelUrl">
												<c:param name="mouseId" value="${mouse.id}" />
											</c:url>
											<gui:link-button text="delete" href="${resDelUrl}" />
										</c:otherwise>
									</c:choose>
								</control:accessControl>
							</div>
							<table class="migBox">
								<tbody>
									<tr>
										<td class="migBox">
											<table class="migBoxInner">
												<c:choose>
													<c:when test="${empty reservation}">
														<td>None specified</td>
													</c:when>
													<c:otherwise>
														<tr>
															<td width="30%" class="viewLabelSmall">Reserver:</td>
															<td class="viewDataSmall"><c:out
																value="${reservation.reserver.fullName}" /></td>
														</tr>
														<tr>
															<td width="30%" class="viewLabelSmall">Team:</td>
															<td class="viewDataSmall"><c:out
																value="${reservation.team.teamNumberAndName}" /></td>
														</tr>
														<tr>
															<td width="30%" class="viewLabelSmall">Category:</td>
															<td class="viewDataSmall"><c:out
																value="${reservation.purpose.category.name}" /></td>
														</tr>
														<tr>
															<td width="30%" class="viewLabelSmall">Purpose:</td>
															<td class="viewDataSmall"><c:out
																value="${reservation.purpose.name}" /></td>
														</tr>
														<tr>
															<td width="30%" class="viewLabelSmall">Reserved:</td>
															<td class="viewDataSmall"><fmt:formatDate
																value="${reservation.createdDate}" pattern="dd-MMM-yyyy" />
															</td>
														</tr>
													</c:otherwise>
												</c:choose>
											</table>
										</td>
									</tr>
								</tbody>
							</table>
						</div>

						<gui:mig-box label="Licensing Information">
							<table class="migBoxInner">
								<tr>
									<td width="30%" class="viewLabelSmall">
										Owner:
									</td>
									<td class="viewDataSmall">
										${mouse.currentOwner.fullName}
									</td>
								</tr>
								<tr valign="top">
									<td width="30%" class="viewLabelSmall">
										PPL:
									</td>
									<td class="viewDataSmall">
										${mouse.currentLicencedProcedure.protocol.projectLicence.displayText}
									</td>
								</tr>
								<tr valign="top">
									<td width="30%" class="viewLabelSmall">
										Protocol:
									</td>
									<td class="viewDataSmall">
										${mouse.currentLicencedProcedure.protocol.displayText}
									</td>
								</tr>
							</table>
						</gui:mig-box>

						<br />
						<gui:mig-box label="Procedures">
							<table class="migBoxInner">
							<c:if test="${empty experimentData.mouseProcedures}">
								<tr>
									<td class="viewDataSmall">There are no procedures for this mouse.</td>
								</tr>
							</c:if>
							<c:forEach items="${experimentData.mouseProcedures}" var="procedure">
								<gui:toggle-row-class/>
								<tr valign="top" class="${rowClass}">
									<td class="viewDataSmall">
										<fmt:formatDate value="${procedure.startDate}" pattern="dd-MMM-yyyy"/>
									</td>
									<td class="viewDataSmall">
										${procedure.procedure.name}
									</td>
									<td class="viewDataSmall">
										${procedure.protocol.projectLicence.licenceNumber}:${procedure.protocol.protocolCode}
									</td>
									<td class="viewDataSmall">
										${procedure.personalLicence.licenceNumber}
									</td>
								</tr>
							</c:forEach>
							</table>
						</gui:mig-box>

						<br />
						<gui:mig-box label="Current Health Concerns" links="add health record|edit_mouse_health.do?mouseId=${mouse.id}">
							<cqi:customListView customQuery="${currentHealthRecords}">
								<cqi:customListViewHeader />
								<cqi:customListViewBody />
							</cqi:customListView>
						</gui:mig-box>

						<br />
						<gui:mig-box label="Matings">
							<table class="migBoxInner">
								<c:if test="${empty breedings and empty studBreedings}">
									<tr>
										<td class="viewDataSmall">This mouse has not been in a mating.</td>
									</tr>
								</c:if>
								<gui:toggle-row-reset />
								<c:forEach items="${breedings}" var="breeding">
									<gui:toggle-row-class/>
									<tr class="${rowClass}">
										<td class="viewDataSmall">
											<a href="view_one_breeding.do?id=${breeding.id}">
												${breeding.breedingName}&#32;<fmt:formatDate value="${breeding.startDate}" pattern="dd-MMM-yyyy"/>&#32;
												(${breeding.status})
											</a>
										</td>
									</tr>
								</c:forEach>
								<c:forEach items="${studBreedings}" var="breeding">
									<gui:toggle-row-class/>
									<tr class="${rowClass}">
										<td class="viewDataSmall">
											<a href="view_one_stud_breeding.do?id=${breeding.id}">
												Embryo Production
												<c:choose>
													<c:when test="${breeding.pseudoBreeding}">
														Recipient
													</c:when>
													<c:otherwise>
														Donor
													</c:otherwise>
												</c:choose>
												<fmt:formatDate value="${breeding.startDateTime}" pattern="dd-MMM-yyyy"/>&#32;
												(${breeding.status})
											</a>
										</td>
									</tr>
								</c:forEach>
							</table>
						</gui:mig-box>
						<br />

						<gui:mig-box label="Flags">
							<table class="migBoxInner">
								<c:if test="${mouse.colonyInfo.poolable}">
									<tr>
										<td class="viewLabelSmall">
											<c:choose>
												<c:when test="${mouse.male}">Stud Male</c:when>
												<c:otherwise>Pooled Female</c:otherwise>
											</c:choose>
										</td>
										<td>
											<c:choose>
												<c:when test="${mouse.male}"><gui:format-boolean booleanValue="${mouse.stud}"/></c:when>
												<c:otherwise><gui:format-boolean booleanValue="${mouse.pooled}"/></c:otherwise>
											</c:choose>
										</td>
									</tr>
								</c:if>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Non-breeder:
									</td>
									<td class="viewDataSmall">
										<gui:format-boolean booleanValue="${mouse.nonBreeder}"/>
									</td>
								</tr>
								<c:if test="${mouse.male}">
									<tr>
										<td width="30%" class="viewLabelSmall">
											Proven Stud:
										</td>
										<td class="viewDataSmall">
											<gui:format-boolean booleanValue="${mouse.provenStud}"/>
										</td>
									</tr>
									<tr>
										<td width="30%" class="viewLabelSmall">
											Vasectomised:
										</td>
										<td class="viewDataSmall">
											<gui:format-boolean booleanValue="${mouse.sterile}"/>
										</td>
									</tr>
								</c:if>
								<tr>
									<td width="30%" class="viewLabelSmall">
										Sentinel:
									</td>
									<td class="viewDataSmall">
										<gui:format-boolean booleanValue="${mouse.sentinel}"/>
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
