<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib prefix="g" uri="gui" %>

<g:menu-page
	title="WTSI - Mouse Tracking"
	userName="${user.firstName}"
	mainFrame="MOUSE_TRACKING_MAIN_FRAME"
	menuFrame="MOUSE_TRACKING_MENU_FRAME">

<g:menu-grid height="20px" bgcolor="#000000">

	<g:menu-item name="home" href="view_mouse_tracking_user_home.do">
			<span style='cursor:pointer'>&nbsp;&nbsp; HOME &nbsp;&nbsp;</span>
	</g:menu-item>

	<g:menu-item name="mouse" href="simple_search_mice.do">
			&nbsp;&nbsp; MOUSE &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="cohorts" href="custom_query.do?customQueryId=12&bypassForm=true&newQuery=true&sessionObjectName=stored_session_customQuery_phenotypeCohorts">
			&nbsp;&nbsp; COHORTS &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="phenotyping" href="view_mouse_tracking_user_home.do">
			&nbsp;&nbsp;PHENOTYPING&nbsp;&nbsp;
	</g:menu-item>

	<control:accessControl roles="admin,gtp-manager,gtp-earclipper,gtp-genotyper">
		<g:menu-item name="genotyping" href="setup_custom_query.do?name=genotypeCohorts">
			&nbsp;&nbsp;GENOTYPING&nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<g:menu-item name="breeding" href="search_breeding.do">
			&nbsp;&nbsp; MATING &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="litters" href="search_litter.do">
			&nbsp;&nbsp; LITTERS &nbsp;&nbsp;
	</g:menu-item>

	<control:accessControl roles="admin, mts_production">
		<g:menu-item name="production" href="custom_query.do?uniqueName=productionStuds&bypassForm=true&newQuery=true&sessionObjectName=stored_session_customQuery_productionStuds">
			&nbsp;&nbsp; EMBRYO PRODUCTION &nbsp;&nbsp;
		</g:menu-item>
	</control:accessControl>

	<g:menu-item name="tracking" href="search_cage_rack.do">
			&nbsp;&nbsp; LOCATION &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="health" href="setup_custom_query.do?name=mouseHealth">
			&nbsp;&nbsp; HEALTH &nbsp;&nbsp;
	</g:menu-item>

	<g:menu-item name="reports" href="custom_query_list.do">
			&nbsp;&nbsp; REPORTS &nbsp;&nbsp;
	</g:menu-item>
	<control:accessControl roles="admin,abr-user">
	<g:menu-item name="abr" href="edit_abr_file.do">
			&nbsp;&nbsp; ABR &nbsp;&nbsp;
	</g:menu-item>
	</control:accessControl>

</g:menu-grid>

<g:menu-grid bgcolor="#cbdced">
	<g:submenu parentMenu="mouse">
		<g:submenu-item href="edit_mouse.do">Add New Mice</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="simple_search_mice.do" >Quick Search</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="search_mice.do" >Advanced Search</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="move_mouse.do" >Move Mice</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="setup_custom_query.do?name=repCullCohort" >Cull Lists</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="manage_cohort.do?cohortTypeId=5" >Manage Cull List</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="edit_person_column_prefs.do?tableName=mts_mouse_list_vw" >Column Preferences</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="cohorts">
		<g:submenu-item href="setup_custom_query.do?name=phenotypeCohorts">List Cohorts</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="manage_cohort.do">Manage Cohort</g:submenu-item>
		<control:accessControl roles="admin,cohortset-admin">
		<g:submenu-spacer />
		<g:submenu-item href="edit_one_cohort_set.do">Add New Cohort Set</g:submenu-item>
		</control:accessControl>
		<g:submenu-spacer />
		<g:submenu-item href="list_cohort_sets.do?bypassForm=true&paginated=true&newQuery=true&orderBy=id&orderDesc=true">List Cohort Sets</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="phenotyping">
    <control:accessControl roles="admin,phenotyper">
      <g:submenu-item href="list_experiment_sets.do?bypassForm=true" >List Phenotyping Work</g:submenu-item>
      <g:submenu-spacer />
  	  <g:submenu-item href="begin_phenotyping.do" >Begin Phenotyping</g:submenu-item>
      <g:submenu-spacer />
      <g:submenu-item href="upload_calorimetry_data.do" >Upload Calorimetry Results</g:submenu-item>
      <g:submenu-spacer />
      <g:submenu-item href="sop_menu.do" >View SOPs</g:submenu-item>
      <g:submenu-spacer />
    </control:accessControl>

    <g:submenu-item href="weigh_mice.do" >Weigh Mice</g:submenu-item>

	  <control:accessControl roles="admin,bloods-user">
      <g:submenu-spacer />
    	<g:submenu-item href="serum_chemistry2.do" >Serum Chemistry</g:submenu-item>
    	<g:submenu-spacer />
    	<g:submenu-item href="search_blood_sample.do" >Heamatology Results</g:submenu-item>
    	<g:submenu-spacer />
    	<g:submenu-item href="edit_blood_param_ranges.do" >Edit Ranges</g:submenu-item>
		<g:submenu-spacer />
    	<g:submenu-item href="add_manual_blood_data.do" >Add Blood Data</g:submenu-item>

    </control:accessControl>
  	</g:submenu>

	<control:accessControl roles="admin,gtp-manager,gtp-earclipper,gtp-genotyper">
		<g:submenu parentMenu="genotyping">
			<g:submenu-item href="setup_custom_query.do?name=genotypeCohorts">Genotype Lists</g:submenu-item>
			<control:accessControl roles="admin,gtp-manager">
				<g:submenu-spacer />
				<g:submenu-item href="manage_cohort.do?cohortTypeId=4">Manage Genotyping List</g:submenu-item>
			</control:accessControl>
			<g:submenu-spacer />
			<g:submenu-item href="setup_custom_query.do?name=genotypeAssayPlates">All Plates</g:submenu-item>
			<control:accessControl roles="admin,gtp-manager,gtp-earclipper">
				<g:submenu-spacer />
				<g:submenu-item href="add_tissue_to_assay_plate.do">Add Tissue To Plate</g:submenu-item>
			</control:accessControl>
			<control:accessControl roles="admin,gtp-manager,gtp-genotyper">
				<g:submenu-spacer />
				<g:submenu-item href="edit_assay.do">Enter Assay Results</g:submenu-item>
				<g:submenu-spacer />
				<g:submenu-item href="edit_genotype_assignment.do">Enter Genotypes</g:submenu-item>
			</control:accessControl>
		</g:submenu>
	</control:accessControl>

	<g:submenu parentMenu="breeding">
		<g:submenu-item href="add_breeding.do" >Add Mating Pair / Trio</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="setup_custom_query.do?name=mtsMatingSummary" >Mating Summary</g:submenu-item>
	</g:submenu>

	<control:accessControl roles="admin,mts_production">
		<g:submenu parentMenu="production">
			<g:submenu-item href="setup_custom_query.do?name=productionStudBanks">List Stud Banks</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="manage_cohort.do?cohortTypeId=3">Manage Stud Bank</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="setup_custom_query.do?name=productionStuds">Studs</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="setup_custom_query.do?name=productionPools">Pools</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="setup_custom_query.do?name=productionStudBreedings">All Matings</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="setup_custom_query.do?name=productionPluggedFemales">Plugged Females</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="add_stud_breeding.do" >Add Stud Pairs</g:submenu-item>
			<g:submenu-spacer />
			<g:submenu-item href="separate_stud_breedings.do" >Plug Check Stud Pairs</g:submenu-item>
		</g:submenu>
	</control:accessControl>

	<g:submenu parentMenu="tracking">
		<g:submenu-item href="move_mouse.do">Move Mice</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="register_cages.do">Register Cages In Rack</g:submenu-item>
	</g:submenu>

	<g:submenu parentMenu="abr">
		<g:submenu-item href="edit_abr_file.do">Upload ABR Results</g:submenu-item>
		<g:submenu-spacer />
		<g:submenu-item href="search_abr_mice.do?bypassForm=true&paginated=true&newQuery=true&orderBy=experiment_date&orderDesc=true">Analyse Thresholds</g:submenu-item>
		<g:submenu-spacer />
			<g:submenu-item href="search_abr_cohort_sets.do?bypassForm=true&paginated=true&newQuery=true&orderBy=id&orderDesc=true">ABR Results List</g:submenu-item>
	</g:submenu>


</g:menu-grid>

</g:menu-page>