<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<style>
			.heading {
				color: grey;
				font-weight: bold;
			}
			.range {
				font-family: arial;
				font-size: 9;
			}
		</style>
	</head>
	<body>
		<table style="padding: 0px; text-align: center;">
			<tr>
				<table class="borderTable" cellpadding="1" cellspacing="0" style="padding: 3px;">
					<tr class="thead">
						<td class="heading">
							Analysis Date:
						</td>
						<td>
							<fmt:formatDate pattern="dd-MMM-yyyy HH:mm" value="${abcData.analysisDate}" />
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							Sample ID:
						</td>
						<td>
							${abcData.sampleId}
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							Barcode:
						</td>
						<td>
							${abcData.barcodeId}
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							PLT Flags:
						</td>
						<td>
							${abcData.pltFlags}
						</td>
					</tr>
				</table>
			</tr>

			<tr>
				<table class="borderTable" cellpadding="1" cellspacing="0" style="padding: 3px;">
					<tr class="thead">
						<td class="heading">
							WBC:
						</td>
						<td>
							${abcData.WBC}
						</td>
						<td>
							${abcData.WBCError}
						</td>
						<td>
							10
							<sup>
								3
							</sup>
							/mm
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.WBCRange.refLo}&nbsp;-&nbsp;${abcData.WBCRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							MCV:
						</td>
						<td>
							${abcData.MCV}
						</td>
						<td>
							${abcData.MCVError}
						</td>
						<td>
							&micro;m
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.MCVRange.refLo}&nbsp;-&nbsp;${abcData.MCVRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							RBC:
						</td>
						<td>
							${abcData.RBC}
						</td>
						<td>
							${abcData.RBCError}
						</td>
						<td>
							10
							<sup>
								6
							</sup>
							m
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.RBCRange.refLo}&nbsp;-&nbsp;${abcData.RBCRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							MCH:
						</td>
						<td>
							${abcData.MCH}
						</td>
						<td>
							${abcData.MCHError}
						</td>
						<td>
							pg
						</td>
						<td class="range">
							<&nbsp;${abcData.MCHRange.refLo}&nbsp;-&nbsp;${abcData.MCHRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							HGB:
						</td>
						<td>
							${abcData.HGB}
						</td>
						<td>
							${abcData.HGBError}
						</td>
						<td>
							g/dl
						</td>
						<td class="range">
							<&nbsp;${abcData.HGBRange.refLo}&nbsp;-&nbsp;${abcData.HGBRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							MCHC:
						</td>
						<td>
							${abcData.MCHC}
						</td>
						<td>
							${abcData.MCHCError}
						</td>
						<td>
							g/dl
						</td>
						<td class="range">
							<&nbsp;${abcData.MCHCRange.refLo}&nbsp;-&nbsp;${abcData.MCHCRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							HCT:
						</td>
						<td>
							${abcData.HCT}
						</td>
						<td>
							${abcData.HCTError}
						</td>
						<td>
							%
						</td>
						<td class="range">
							<&nbsp;${abcData.HCTRange.refLo}&nbsp;-&nbsp;${abcData.HCTRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							RDW:
						</td>
						<td>
							${abcData.RDW}
						</td>
						<td>
							${abcData.RDWError}
						</td>
						<td>
							%
						</td>
						<td class="range">
							<&nbsp;${abcData.RDWRange.refLo}&nbsp;-&nbsp;${abcData.RDWRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							PLT:
						</td>
						<td>
							${abcData.PLT}
						</td>
						<td>
							${abcData.PLTError}
						</td>
						<td>
							10
							<sup>
								3
							</sup>
							/mm
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.PLTRange.refLo}&nbsp;-&nbsp;${abcData.PLTRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							MPV:
						</td>
						<td>
							${abcData.MPV}
						</td>
						<td>
							${abcData.MPVError}
						</td>
						<td>
							&micro;m
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.MPVRange.refLo}&nbsp;-&nbsp;${abcData.MPVRange.refHi}&nbsp;>
						</td>
					</tr>
				</table>
			</tr>
			<tr>
				<table class="borderTable" cellpadding="1" cellspacing="0" style="padding: 3px;">
					<c:if test="${!empty abcData.EOS}">
						<tr class="thead">
							<td colspan="10" class="heading">
								WBC Flags: EOS (${abcData.EOS})
							</td>
						</tr>
					</c:if>
					<tr class="thead">
						<td colspan="10" class="heading">
							DIFF:
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							%LYM:
						</td>
						<td>
							${abcData.percentLYM}
						</td>
						<td>
							${abcData.percentLYMError}
						</td>
						<td>
							%
						</td>
						<td class="range">
							<&nbsp;${abcData.percentLYMRange.refLo}&nbsp;-&nbsp;${abcData.percentLYMRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							#LYM:
						</td>
						<td>
							${abcData.numLYM}
						</td>
						<td>
							${abcData.numLYMError}
						</td>
						<td>
							10
							<sup>
								3
							</sup>
							/mm
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.numLYMRange.refLo}&nbsp;-&nbsp;${abcData.numLYMRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							%MON:
						</td>
						<td>
							${abcData.percentMON}
						</td>
						<td>
							${abcData.percentMONError}
						</td>
						<td>
							%
						</td>
						<td class="range">
							<&nbsp;${abcData.percentMONRange.refLo}&nbsp;-&nbsp;${abcData.percentMONRange.refHi}&nbsp;>
						</td>
						<td class="heading">
							#MON:
						</td>
						<td>
							${abcData.numMON}
						</td>
						<td>
							${abcData.numMONError}
						</td>
						<td>
							10
							<sup>
								3
							</sup>
							/mm
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.numMONRange.refLo}&nbsp;-&nbsp;${abcData.numMONRange.refHi}&nbsp;>
						</td>
					</tr>
					<tr class="thead">
						<td class="heading">
							%GRA:
						</td>
						<td>
							${abcData.percentGRA}
						</td>
						<td>
							${abcData.percentGRAError}
						</td>
						<td>
							%
						</td>
						<td class="range">
							<&nbsp;${abcData.percentGRARange.refLo}&nbsp;-&nbsp;${abcData.percentGRARange.refHi}&nbsp;>
						</td>
						<td class="heading">
							#GRA:
						</td>
						<td>
							${abcData.numGRA}
						</td>
						<td>
							${abcData.numGRAError}
						</td>
						<td>
							10
							<sup>
								3
							</sup>
							/mm
							<sup>
								3
							</sup>
						</td>
						<td class="range">
							<&nbsp;${abcData.numGRARange.refLo}&nbsp;-&nbsp;${abcData.numGRARange.refHi}&nbsp;>
						</td>
					</tr>
				</table>
			</tr>
			<tr>
				<table class="borderTable" style="padding: 3px;">
					<tr>
						<td>
							<img src='<%=response.encodeURL("getchart.chart?img=bloodchart")%>' usemap="#map1" border="0">
							<map name="map1">
								${imageMap1}
							</map>
						<td>
					</tr>
				</table>
			</tr>
			<tr>
				<table class="borderTable" style="padding: 3px;">
					<tr>
						<td width="80%">
							<fieldset>
								<legend class="thead">
									Comments
								</legend>
								<textarea readonly="true" style="height: 50px; width: 100%;" type="_moz">${abcData.errorComments}</textarea>
							</fieldset>
						</td>
						<td class="thead">
							<c:choose>
								<c:when test="${abcData.failedRun == true}">
									<input type="checkbox" checked="checked" readonly="readonly" />
								</c:when>
								<c:otherwise>
									<input type="checkbox" readonly="readonly" />
								</c:otherwise>
							</c:choose>
							Rejected Sample
						</td>
					</tr>
				</table>
			</tr>
		</table>
	</body>
</html>

