<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Add Manual Blood Data</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script src="js/validateBarcode.js"></script>
		<script type="text/javascript">
			function selectInstrumentRange(instId) {
				document.forms[0].changeForm.value= instId;
				document.forms[0].submit();
			}


			$(document).ready(function() {
				$("table.testList tbody tr").hover(
          			function() {$(this).addClass("highlight")},
          			function() {$(this).removeClass("highlight")}
        		);
			});

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Add Manual Blood Data ${pageHeader}" />
			<form:form commandName="form" action="add_manual_blood_data.do" method="post">
				<input type="hidden" name="changeForm" />
				<gui:error-list title="Incomplete Form:" titleFont="16px"
					formErrorClass="formError" borderClass="borderTable"
					commandName="form" />
				<br />
				<span class="inverseTab">Select Instrument</span>
				<table style="border: solid 1px #777777; width: 50%;">
					<tr>
						<td class="tbody">
							<form:select path="instrumentId" onchange="selectInstrumentRange(this.options[this.selectedIndex].value)" cssClass="thead">
								<form:options items="${instrument}" />
							</form:select>
						</td>
					</tr>
				</table>
				<br>
				<span class="inverseTab">Mouse Name/Barcode</span>
				<table style="border: solid 1px #777777; width: 50%;">
					<tr>
						<td width="13%">
							<form:input path="mouseBarcode" cssClass="barcodeField" onkeydown="if(event.keyCode==13) {this.blur()}" tabindex="1" size="10" onblur="validateBarcode(this, 'mouseId','mouse','mouseDescription')" />
							<form:hidden path="mouseId" />
							<form:input path="mouseDescription"cssStyle="width:300px" readonly="true" />
						</td>
					</tr>
				</table>
				<br>
				<span class="inverseTab">Run Date</span>
				<table style="border: solid 1px #777777; width: 50%;">
					<tr>
						<td class="tbody">
							<form:input path="runDate" size="16" cssClass="readonly" readonly="true" />
							<gui:dateTimePicker path="runDate" timePicker="false" />
						</td>
					</tr>
				</table>
				<br>
				<span class="inverseTab">Add Test Values</span>
				<table style="border: solid 1px #777777; width: 35%;" class="testList">
					<thead class="listPaginatedHeader">
						<tr>
							<th width="10%">
								Test
							</th>
							<th align="left">
								Value
							</th>
						</tr>
					</thead>
					<tbody>
					<c:forEach items="${form.ranges}" var="range" varStatus="iterator">
						<gui:toggle-row-class />
						<tr class="${rowClass}" align="center">
							<td class="thead" align="right">
								<b>${range.parameter.name}</b>
							</td>
							<td align="left">
								<form:input path="data[${iterator.index}].value" size="20" />
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
				<br />
				<div>
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Reset" onclick="document.location='add_manual_blood_data.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
