<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Blood Sample</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/cohort.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="initCohortForm('bloodSamples[0].barcode')">
		<gui:page>
			<gui:pageHeader name="Blood Sample" />
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<form:form commandName="form" method="post" action="blood_sample.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<c:choose>
					<c:when test="${empty form.mice}">
						<b>Scan cage of mice or lookup cohort</b>
						<br />
						<form:input path="barcode" onblur="validateBarcode(this, 'barcodeId','cohort or cage','barcodeDescription','barcodeType')" size="40" />
						<form:hidden path="barcodeId" />
						<form:hidden path="barcodeDescription" />
						<form:hidden path="barcodeType" />
						<img src="images/lookup.gif" onclick="openLookupList('lookup_cohort.do','cohortName=barcode,cohortId=barcodeId')" title="Find Cohorts" />
					</c:when>
					<c:otherwise>
						<gui:link-button text="Choose Different Cage/Cohort" href="blood_sample.do" />
					</c:otherwise>
				</c:choose>

				<br />
				<br />

				<c:if test="${!empty form.mice}">
					<span class="inverseTab">Mice in Cohort</span>
					<table class="borderTable">
						<tr class="theadList">
							<td class="thead" colspan="6">
								Project Licence:
								<c:choose>
									<c:when test="${!empty form.projectLicenceId}">
									${form.projectLicenceDescription}
								</c:when>
									<c:otherwise>
										<input type="hidden" name="personId" id="personId" value="${user.id}" />
										<form:input path="projectLicenceDescription" readonly="true" cssClass="readonly" size="80" />

										<img src="images/mouse_tracking/lookup.gif" title="Lookup Project Licence"
											onclick="openDependentLookupList('lookup_project_licence.do?personId=','personId','Person ID is empty','projectLicenceDisplayText=projectLicenceDescription,projectLicenceId=projectLicenceId')" />
										<form:hidden path="projectLicenceId" />

									</c:otherwise>
								</c:choose>
							</td>
						</tr>
						<tr class="theadList">
							<td>
								Mouse ID
							</td>
							<td>
								Gender
							</td>
							<td>
								Earclip
							</td>
							<td>
								Cage
							</td>
							<td>
								Blood Sample Barcode
							</td>
						</tr>
						<tbody class="tbody">
							<c:forEach items="${form.mice}" var="mouse" varStatus="i">
								<gui:toggle-row-class />
								<tr class="${rowClass}">
									<td>
										${mouse.name}
									</td>
									<td>
										${mouse.gender.name}
									</td>
									<td>
										${mouse.earmark.name}
									</td>
									<td>
										${mouse.location.cageBarcode}
									</td>
									<td>
										<form:input path="bloodSamples[${i.index}].barcode" tabindex="${i.index + 1}" />
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</c:if>

				<br />
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				</div>

				<a href="search_blood_sample.do">View Sample Data</a>

			</form:form>
		</gui:page>
	</body>
</html>
