<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Edit Parameter Ranges</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function selectInstrumentRange(instId) {
				document.forms[0].changeForm.value= instId;
				document.forms[0].submit();
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Edit Parameter Ranges ${pageHeader}" />
			<form:form commandName="form" action="edit_blood_param_ranges.do" method="post">
				<input type="hidden" name="changeForm" />
				<br />
				<span class="inverseTab">Select Instrument</span>
				<table style="border: solid 1px #777777; width: 50%;">
					<tr>
						<td class="tbody">
							<form:select path="instrumentId" onchange="selectInstrumentRange(this.options[this.selectedIndex].value)" cssClass="thead">
								<form:options items="${instrument}" />
							</form:select>
						</td>
					</tr>
				</table>
				<br />
				<span class="inverseTab">Edit Ranges</span>
				<table class="listPaginated">
					<thead class="listPaginatedHeader">
						<tr>
							<th>
								Test
							</th>
							<th colspan="2" align="left">
								Ref Hi
							</th>
							<th colspan="2" align="left">
								Ref Lo
							</th>
							<th colspan="2" align="left">
								Instrument Hi
							</th>
							<th colspan="2" align="left">
								Instrument Lo
							</th>
						</tr>
					</thead>
					<tbody>
					<c:forEach items="${form.ranges}" var="range" varStatus="iterator">
						<gui:toggle-row-class />
						<tr class="${rowClass}" align="center">
							<td class="thead" align="left">
								${range.parameter.name}
							</td>
							<td class="tbody">
								${range.refHi}
							</td>
							<td align="center">
								<form:input path="ranges[${iterator.index}].newRefHi" size="3" />
							</td>
							<td class="tbody">
								${range.refLo}
							</td>
							<td align="center">
								<form:input path="ranges[${iterator.index}].newRefLo" size="3" />
							</td>
							<td class="tbody">
								${range.instrumentHi}
							</td>
							<td align="center">
								<form:input path="ranges[${iterator.index}].newInstrumentHi" size="3" />
							</td>
							<td class="tbody">
								${range.instrumentLo}
							</td>
							<td align="center">
								<form:input path="ranges[${iterator.index}].newInstrumentLo" size="3" />
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
				<br />
				<div>
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Reset" onclick="document.location='edit_blood_param_ranges.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				</div>
				
			</form:form>
		</gui:page>
	</body>
</html>
