<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Hot Plate</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script><script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/cohort.js"></script>
		<script type="text/javascript">
			function checkMouseWeight(index) {

				var weight = document.getElementById('weights'+index+'.weightValue').value;

				if(weight !== "") {
					return true;
				}else{
					document.getElementById('hotPlateMeasurements'+index+'.milliSeconds').value = "";
					document.getElementById('hotPlateMeasurements'+index+'.temperature').value = "";
					return false;
				}
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="initCohortForm('weights[0].weightValue')">
		<gui:page>
			<gui:pageHeader name="Hot Plate" />
			<br />
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<form:form commandName="form" method="post" action="hot_plate.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />

				<c:choose>
					<c:when test="${empty form.mice}">
						<b>Scan cage of mice or lookup cohort</b>
						<br />
						<form:input path="barcode" onblur="validateBarcode(this, 'barcodeId','cohort or cage','barcodeDescription','barcodeType')" size="40"/>
						<form:hidden path="barcodeId" />
						<form:hidden path="barcodeDescription" />
						<form:hidden path="barcodeType" />
						<img src="images/lookup.gif" onclick="openLookupList('lookup_cohort.do','cohortName=barcode,cohortId=barcodeId')" title="Find Cohorts"/>
					</c:when>
					<c:otherwise>
						<gui:link-button text="Choose Different Cage/Cohort" href="hot_plate.do"/>
					</c:otherwise>
				</c:choose>

				<br />
				<br />

				<c:if test="${!empty form.mice}">
					<span class="inverseTab">Mice in Cohort</span>
					<table class="borderTable">
						<tr class="theadList">
							<td class="thead" colspan="8">
								Project Licence:
								<c:choose>
								<c:when test="${!empty form.projectLicenceId}">
									${form.projectLicenceDescription}
								</c:when>
								<c:otherwise>
								<input type="hidden" name="personId" id="personId" value="${user.id}" />
								<form:input
									path="projectLicenceDescription"
									readonly="true" cssClass="readonly" size="80"/>

									<img src="images/mouse_tracking/lookup.gif"
										title="Lookup Project Licence"
										onclick="openDependentLookupList('lookup_project_licence.do?personId=','personId','Person ID is empty','projectLicenceDisplayText=projectLicenceDescription,projectLicenceId=projectLicenceId')" />
									<form:hidden
										path="projectLicenceId" />

								</c:otherwise>
								</c:choose>
							</td>
						</tr>
						<tr class="theadList">
							<td>Mouse ID</td>
							<td>Gender</td>
							<td>Earclip</td>
							<td>Cage</td>
							<td>Mouse Weight</td>
							<td>Time (Milliseconds)</td>
							<td>Temp &#176;C</td>
							<td>Test Terminated</td>
						</tr>
						<tbody class="tbody">
							<c:forEach items="${form.mice}" var="mouse" varStatus="i">
								<gui:toggle-row-class/>
								<tr class="${rowClass}">
									<td>${mouse.name}</td>
									<td>${mouse.gender.name}</td>
									<td>${mouse.earmark.name}</td>
									<td>${mouse.location.cageBarcode}</td>
									<td>
										<form:input path="weights[${i.index}].weightValue"  cssStyle="text-align: right;"
											onblur="if(checkMouseWeight(${i.index}) === true) {document.getElementById('hotPlateMeasurements[${i.index}].milliSeconds').focus()}"/>g
									</td>
									<td>
										<form:input path="hotPlateMeasurements[${i.index}].milliSeconds" cssStyle="text-align: right;"
											onblur="document.getElementById('hotPlateMeasurements['+${i.index}'].temperature.focus()'"/>
									</td>
									<td>
										<form:input path="hotPlateMeasurements[${i.index}].temperature" cssStyle="text-align: right;"/>
									</td>
									<td>
										<form:checkbox path="hotPlateMeasurements[${i.index}].testTerminated"/>
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</c:if>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
