<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>List Blood Runs</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript">
		function alert_delete_run(runId) {
			if(confirm("Are you sure you want to delete this run? All test information will also be removed.\n" +
							"Press OK to remove the run or CANCEL to go back.")
							) {
							document.location='delete_serum_results.do?id='+runId;
					}
			return false;
		}

	</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="List Blood Runs ${pageHeader}" />
			<form:form commandName="searchBean" action="search_blood_sample.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty samples}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										<gui:paginate-order-by orderBy="m.name" bean="${searchBean}">
										Mouse ID
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="m.barcode" bean="${searchBean}">
										Mouse Barcode
										</gui:paginate-order-by>
									</th>
									<th>
										Gender
									</th>
									<th>
										Genotype
									</th>
									<c:if test="${requireHitachiBarcode == true}">
										<th>
											Hitachi Barcode
										</th>
									</c:if>
									<th>
										<gui:paginate-order-by orderBy="m.colony_info_id" bean="${searchBean}">
										Colony
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="m.mouse_strain_dict_id" bean="${searchBean}">
										Genetic Background
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="p.validated" bean="${searchBean}">
										Results<br />Validated
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="p.instrument_id" bean="${searchBean}">
										Instrument
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="p.created_date" bean="${searchBean}">
										Date Sampled
										</gui:paginate-order-by>
									</th>
								</tr>
							</thead>
							<tbody class="listPaginated">
								<c:forEach items="${samples}" var="sample" varStatus="status">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td nowrap="nowrap" width="24%">
											<gui:link-button href="view_serum_results.do?id=${sample.id}" text="view" />
								  	&nbsp;
									<gui:link-button href="validate_serum_results.do?id=${sample.id}" text="validate" />
									&nbsp;
								  	<gui:link-button text="delete" onclick="return alert_delete_run(${sample.id})"/>
									&nbsp;
											<c:if test="${sample.instrumentId == 1}">
												<a href="abc_blood_display.do?id=${sample.id}&TB_iframe=true&height=490&width=620" title="Hematology Results for ${sample.mouse.name}" class="thickbox">ABC Display</a>
											</c:if>
										</td>
										<td>
										<a href="view_one_mouse.do?id=${sample.mouseId}">
										${sample.mouse.name}
										</td>
										<td>
											${sample.mouse.barcode}
										</td>
										<td>
											${sample.mouse.gender.name}
										</td>
										<td>
											${sample.mouse.genotype}
										</td>
										<c:if test="${requireHitachiBarcode == true}">
											<td>
												<c:if test="${!empty sample.serumTest.barcode}">
											${sample.serumTest.barcode}
										</c:if>
											</td>
										</c:if>
										<td>
											${sample.mouse.colonyInfo.colonyName}
										</td>
										<td>
											${sample.mouse.strain.name }
										</td>
										<td align="center">
											<c:choose>
												<c:when test="${sample.validated}">
													<img src="images/mouse_tracking/tick.gif" />
												</c:when>
												<c:otherwise>
													<img src="images/mouse_tracking/warning.gif" />
												</c:otherwise>
											</c:choose>
										</td>
										<td>
											${sample.instrument.name}
										</td>
										<td>
											<fmt:formatDate pattern="dd-MMM-yyyy HH:mm" value="${sample.runDate}" />
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}" />
				</c:if>
			</form:form>
		</gui:page>
	</body>
</html>

