<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
			function submitIfValid() {
				if(document.getElementById('mouseId').value != "") {
					document.forms[0].submit();
				}
			}
		</script>
	</head>
	<body onload="document.getElementById('barcode').focus();" onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Blood Sample Search" />
			<br>
			<gui:link-button
				href="search_blood_sample.do?processForm=true&newQuery=true&suppressValidation=false&sampledDateFrom=${today}&sampledDateTo=${today}&instrumentId=2"
				text="View Todays Olympus Results" />
			&nbsp;
			OR
			&nbsp;
			<gui:link-button
				href="search_blood_sample.do?processForm=true&newQuery=true&suppressValidation=false&sampledDateFrom=${today}&sampledDateTo=${today}&instrumentId=1"
				text="View Todays ABC Results" />
			<form:form commandName="form" method="get" action="search_blood_sample.do">
				<input type="hidden" id="processForm" name="processForm" value="true" />
				<input type="hidden" id="suppressValidation" name="suppressValidation" value="false" />
				<gui:error-list title="Form is incomplete:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<gui:mig-box>
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<td>
									Mouse ID/Barcode
								</td>
								<td>
									Cohort
								</td>
								<td>
									Colony
								</td>
								<td>
									Genetic Background
								</td>
							</tr>
						</thead>
						<tr valign="top" class="tbody">
							<td>
								<form:input cssClass="barcodeField" tabindex="1" path="barcode" onkeydown="if(event.keyCode==13) {this.blur()}"	onblur="validateBarcode(this, 'mouseId','mouse','barcodeDescription');setTimeout('submitIfValid()',500);" />
								<br />
								<form:input path="barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
								<form:hidden path="mouseId" />
							</td>
							<td>
								<gui:formPopup path="cohortName" tabindex="2" title="Find Cohort Names" onclick="openLookupList('lookup_cohort.do')" />
								<form:hidden path="cohortId" />
								<input style="margin-left: 3px;" onclick="clearFields('cohortName','cohortId');" type="button" value="clear" class="smallButton" />
							</td>
							<td>
								<gui:formPopup path="colonyName" tabindex="3" title="Find Colony Names" onclick="openLookupList('lookup_colony.do','id=colonyInfoId')" />
								<form:hidden path="colonyInfoId" />
								<input style="margin-left: 3px;" onclick="clearFields('colonyName','colonyInfoId');" type="button" value="clear" class="smallButton" />
							</td>
							<td>
								<gui:formPopup path="strainName" tabindex="4" title="Find Strains" onclick="openLookupList('lookup_mouse_strain.do',',name=strainName,id=strainId')" />
								<form:hidden path="strainId"/>
								<input style="margin-left: 3px;" onclick="clearFields('strainName','strainId');" type="button" value="clear" class="smallButton" />	
							</td>
						</tr>
						<tr class="listNonPaginated">
							<td>
								Date Sampled (from)
							</td>
							<td>
								Date Sample (to)
							</td>
							<td>
								Instrument
							</td>
							<td>
								Rejected
							</td>
						</tr>
						<tr valign="top" class="tbody">
							<td>
								<form:input path="sampledDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="sampledDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td>
								<form:input path="sampledDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
								<gui:dateTimePicker path="sampledDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
							</td>
							<td>
								<form:select tabindex="7" path="instrumentId">
									<form:options items="${instrument}" />
								</form:select>
							</td>
							<td>
								<form:checkbox tabindex="8" path="rejected" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
	
				<div class="submitButtonsMouseTracking">
					<input type="button" value="Search" onclick="window.setTimeout('document.forms[0].submit()',1000)" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
					<input type="button" value="Clear All" onclick="document.location='search_blood_sample.do'" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
				</div>
	
			</form:form>
		</gui:page>
	</body>
</html>
