<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Serum Chemistry</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript">
			var selected = new Array(100);
			
			function testSelect(id) {
				var elem = document.getElementById(id);
				var codes = document.getElementById('serumTest.testCodes');
			
				
				if(selected[id] === undefined) {
					selected[id] = id;
					elem.style.background = "yellow";
				}else{
					selected[id] = undefined;
					elem.style.background = "#cbdced";
				}
				
				codes.value = concatCodes();
			}

			function concatCodes() {
				var i=0;
				var codeString = "";
				for(i=0;i<selected.length; i++) {
				if(selected[i]) {
					var code = selected[i].toString();
					if(code.length === 1) {
						var newCode = "0" + code;
						codeString += newCode;
					}else{
						codeString += code;
					}
				}
				}
				return codeString;
			}
			
			function clearTests() {
				var index = 1;
				var codes = document.getElementById('serumTest.testCodes');
				for(index = 1; index < 100; index++) {
					var elem = document.getElementById(index);
					if(elem) {
					selected[index] = undefined;
					elem.style.background = "#cbdced";
					}
				}
				codes.value = concatCodes();
			}
			
			function setPresetTests(preset) {
				var test = "";
				var i = 0;
				clearTests();
				for(i=0; i<preset.length;i+=2) {
					test = preset.substring(i,i+2);
					if(test.substring(0,1) === "0") {
						test = test.substring(1,2);
					}
					testSelect(test);
				}
			}
			
			function setSelectedTests() {
				var codes = document.getElementById('serumTest.testCodes').value;
				var i = 0;
				for(i=0; i<codes.length;i+=2) {
					test = codes.substring(i,i+2);
					if(test.substring(0,1) === "0") {
						test = test.substring(1,2);
					}
					testSelect(test);
				}
			}
			
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="document.getElementById('serumTest.barcode').focus();setSelectedTests()">
		<gui:page>
			<gui:pageHeader name="Serum Chemistry" />
			<%--<gui:link-button href="view_serum_qc.do" text="View QC Data" />
			&nbsp;
			--%>
			&nbsp;
			<gui:link-button href="search_blood_sample.do?processForm=true&suppressValidation=false&sampledDateFrom=${today}&sampledDateTo=${today}&instrumentId=2" text="View Todays Results" />
			&nbsp;
			<b>OR</b>
			&nbsp;
			<gui:link-button href="search_blood_sample.do" text="Search Sample Results" />


			<form:form commandName="form" method="post" action="serum_chemistry.do">
				<br />
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<gui:mig-box label="Assign tube barcodes">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<td colspan="1" width="35%">
									Blood Tube Barcode
								</td>
								<td>
									Hitachi Cup Barcode
								</td>
							</tr>
						</thead>
						<tbody class="tbody">
							<tr valign="top">
								<td>
									<form:input tabindex="1" path="serumTest.barcode" onkeydown="if(event.keyCode==13) {this.blur()}" onblur="validateBarcode(this, 'tissueId','blood','barcodeDescription');" />
									&nbsp;
									<form:hidden path="barcodeDescription" />
									<br />
									<form:hidden path="tissueId" />
								</td>
								<td>
									<form:input tabindex="2" path="serumBarcode" />
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>
				<br />
				<br />

				<table style="width: 70%;">
					<tr>
						<td valign="top">
							<gui:mig-box label="Select online tests to run">
								<table class="migBoxInner" id="tests" style="cursor: pointer;">
									<%
									int count = 0;
									%>
									<c:forEach items="${form.testCodes}" var="code" varStatus="count">
										<%
										if (count == 0) {
										%>
										<tr class="thead">
											<%
											}
											%>
											<td class="tbody" style="text-align: center; border: 1px solid black; background-color: #cbdced;" onmousedown="testSelect(${code.parameterId})" id="${code.parameterId}">
												${code.value }
											</td>
											<%
											if (count == 6) {
											%>
										</tr>
										<%
											}
											count++;
											if (count > 5) {
												count = 0;
											}
										%>
									</c:forEach>
								</table>
							</gui:mig-box>
							<form:hidden path="serumTest.testCodes" />
						</td>
						<td width="5%">
							<b>&nbsp;&nbsp;OR</b>
						</td>
						<td valign="top">
							<gui:mig-box label="Select preset test set">
								<table class="migBoxInner">
									<c:choose>
										<c:when test="${empty form.presetTests}">
											<tr>
												<td class="thead">
													No preset test sets available.
												</td>
											</tr>
										</c:when>
										<c:otherwise>
											<tr class="listNonPaginatedHeader">
												<td>
													&nbsp;
												</td>
												<td>
													Preset Name
												</td>
											</tr>
											<c:forEach items="${form.presetTests}" var="p" varStatus="v">
												<gui:toggle-row-class />
												<tr class="${rowClass}">
													<td class="tbody" width="10px">
														<input type="radio" id="check_${v.index}" name="preset" onClick="setPresetTests('${p.testCodes}')" />
													</td>
													<td class="viewLabelSmall" style="text-align: left;">
														${p.barcode}
													</td>
												</tr>
											</c:forEach>
										</c:otherwise>
									</c:choose>
								</table>
							</gui:mig-box>
						</td>
					</tr>
				</table>

				<%--
				<br />
				<br />
				<span class="inverseTab">Quality Control</span>
				<table width="40%" cellpadding="10" style="{border: 1px solid black;}">
				<tr>
				<td>
					<input type="radio" id="qc_${v.index}" name="qc" />
				</td>
				</tr>
				</table>
				<br />
				<br />
				<span class="inverseTab">Calibration</span>
				<table width="40%" cellpadding="10" style="{border: 1px solid black;}">
				<tr>
				<td>
					<input type="radio" id="cal_${v.index}" name="cal" />
				</td>
				</tr>
				</table>	
				--%>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Reset" onclick="document.location='serum_chemistry.do'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
