<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>


<html>
	<head>
		<title>Serum Chemistry</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/global.css" rel="stylesheet">
		<script src="js/validateBarcode.js"></script>
		<script src="js/formValidator.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/jtip.js"></script>

		<script type="text/javascript">
			
			
			var selected = new Array(100);
			
			function testSelect(id) {
				var elem = document.getElementById(id);
				var codes = document.getElementById('serumTestCodes');
			
				if(elem) {
				if(selected[id] === undefined) {
					selected[id] = id;
					elem.style.background = "yellow";
				}else{
					selected[id] = undefined;
					elem.style.background = "#cbdced";
				}
				}
				codes.value = concatCodes();
				document.getElementById('profiletests').innerHTML = document.getElementById('serumTestCodes').value;
			}

			function concatCodes() {
				var i=0;
				var codeString = "";
				for(i=0;i<selected.length; i++) {
				if(selected[i]) {
					var code = selected[i].toString();
					if(code.length === 1) {
						var newCode = "0" + code;
						codeString += newCode;
					}else{
						codeString += code;
					}
				}
				}
				return codeString;
			}
			
			function clearTests() {
				var index = 1;
				var codes = document.getElementById('serumTestCodes');
				for(index = 1; index < 100; index++) {
					var elem = document.getElementById(index);
					if(elem) {
					selected[index] = undefined;
					elem.style.background = "#cbdced";
					}
				}
				codes.value = concatCodes();
				document.getElementById('profileName').value = "";
				document.getElementById('profiletests').innerHTML = document.getElementById('serumTestCodes').value;
				document.getElementById('profile').innerHTML = document.getElementById('profileName').value;
			}
			
			function setPresetTests(preset,name) {
				var test = "";
				var i = 0;
				clearTests();
				for(i=0; i<preset.length;i+=2) {
					test = preset.substring(i,i+2);
					if(test.substring(0,1) === "0") {
						test = test.substring(1,2);
					}
					testSelect(test);
				}
				document.getElementById('profile').innerHTML = name;
				document.getElementById('profileName').value = name;
			}
			
			function setSelectedTests() {
				var codes = document.getElementById('serumTestCodes').value;
				var i = 0;
				for(i=0; i<codes.length;i+=2) {
					test = codes.substring(i,i+2);
					if(test.substring(0,1) === "0") {
						test = test.substring(1,2);
					}
					testSelect(test);
				}
				
				document.getElementById('profiletests').innerHTML = document.getElementById('serumTestCodes').value;
				document.getElementById('profile').innerHTML = document.getElementById('profileName').value;
			}
			
			function addTest() {
				var BloodBarcode = document.getElementById('bloodBarcode').value;
				var HitachiBarcode = document.getElementById('hitachiBarcode').value;
				if(HitachiBarcode != "" && BloodBarcode != "") {
					if(validateUniqueBloodBarcode(BloodBarcode) === true && validateUniqueSerumBarcode(HitachiBarcode) === true) {
					if(document.getElementById('serumTestCodes').value == "") {
						document.getElementById("bloodBarcode").value = "";
						document.getElementById("barcodeDescription").value = "";
						document.getElementById("tissueId").value = "";
						document.getElementById("hitachiBarcode").value = "";
						
						alert('Please select a test profile to assign samples.');
					}else{
						document.getElementById("changeForm").value = "addTest";
						document.forms[0].submit();
					}
					}
				}
			}
			
			function removeTest(hitachiBarcode) {
				document.getElementById("changeForm").value = "removeTest";
				document.getElementById("removeBarcode").value = hitachiBarcode;
				document.forms[0].submit();
			}
			function trim(str) { 
			    str.replace(/^\s*/, '').replace(/\s*$/, ''); 
			   return str;	
			} 

			function validateUniqueSerumBarcode(barcode) {
				var table = document.getElementById('assignedTests');
				
				for(var i=0; i<table.rows.length; i++) {
					var oCell = table.rows[i].cells[2]; 
					if(oCell != null) {
						if(barcode == oCell.innerHTML) {
							document.getElementById('hitachiBarcode').value = "";
							alert('Hitachi cup barcode ('+barcode+') has already been assigned.\nPlease choose a unique barcode for each sample.');
							return false;
						}
					}
				}
				return true;
			}
			
			function validateUniqueBloodBarcode(barcode) {
				var table = document.getElementById('assignedTests');
				
				for(var i=0; i<table.rows.length; i++) {
					var oCell = table.rows[i].cells[1]; 
					if(oCell != null) {
						if(barcode == oCell.innerHTML) {
							document.getElementById('bloodBarcode').value = "";
							document.getElementById("barcodeDescription").value = "";
							document.getElementById("tissueId").value = "";
							document.getElementById("hitachiBarcode").value = "";
							alert('Unable to add duplicate assignment for Blood barcode ('+barcode+').');
							return false;
						}
					}
				}
				return true;
			}
			
			
		</script>
		<script type="text/javascript">

/***********************************************
* Cool DHTML tooltip script II-  Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
***********************************************/

var offsetfromcursorX=12 //Customize x offset of tooltip
var offsetfromcursorY=10 //Customize y offset of tooltip

var offsetdivfrompointerX=10 //Customize x offset of tooltip DIV relative to pointer image
var offsetdivfrompointerY=14 //Customize y offset of tooltip DIV relative to pointer image. Tip: Set it to (height_of_pointer_image-1).

document.write('<div id="dhtmltooltip"></div>') //write out tooltip DIV
document.write('<img id="dhtmlpointer" src="images/popup_arrow.gif">') //write out pointer image

var ie=document.all
var ns6=document.getElementById && !document.all
var enabletip=false
if (ie||ns6)
var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : ""

var pointerobj=document.all? document.all["dhtmlpointer"] : document.getElementById? document.getElementById("dhtmlpointer") : ""

function ietruebody(){
return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function ddrivetip(thetext, thewidth, thecolor){
if (ns6||ie){
if (typeof thewidth!="undefined") tipobj.style.width=thewidth+"px"
if (typeof thecolor!="undefined" && thecolor!="") tipobj.style.backgroundColor=thecolor

tipobj.innerHTML=testDetails(thetext);
setSelectedDetailTests(thetext);
enabletip=true
return false
}
}

function testDetails(testCodes) {

var html = "";
	html += '<table class="migBoxInner" id="testDetails">';
	<%int detail_count = 0;%>
	html += '<c:forEach items="${form.testCodes}" var="code" varStatus="count">';
	<%if (detail_count == 0) {%>
	html += '<tr class="thead">';
	<%}%>
	html += '<td class="tbody" align="center" style="border: 1px solid black; background-color: #cbdced;" id="detail_${code.parameterId}">${code.value }</td>';
	<%if (detail_count == 6) {%>
	html += '</tr>';
	<%}detail_count++;if (detail_count > 5) {detail_count = 0;}%>
	html += '</c:forEach>';
	html += '</table>';
	
	return html;								
}

function testDetailSelect(id) {
				var elem = document.getElementById("detail_"+id);
				if(elem) {
					elem.style.background = "yellow";
				}
			}
			
function setSelectedDetailTests(codes) {
				clearDetailTests(codes);
				var i = 0;
				for(i=0; i<codes.length;i+=2) {
					test = codes.substring(i,i+2);
					if(test.substring(0,1) === "0") {
						test = test.substring(1,2);
					}
					testDetailSelect(test);
				}
			}
			
function clearDetailTests(codes) {
				var index = 1;
				for(index = 1; index < 100; index++) {
					var elem = document.getElementById("detail_"+index);
					if(elem) {
						elem.style.background = "#cbdced";
					}
				}
				
			}
			
function positiontip(e){
if (enabletip){
var nondefaultpos=false
var curX=(ns6)?e.pageX : event.clientX+ietruebody().scrollLeft;
var curY=(ns6)?e.pageY : event.clientY+ietruebody().scrollTop;
//Find out how close the mouse is to the corner of the window
var winwidth=ie&&!window.opera? ietruebody().clientWidth : window.innerWidth-20
var winheight=ie&&!window.opera? ietruebody().clientHeight : window.innerHeight-20

var rightedge=ie&&!window.opera? winwidth-event.clientX-offsetfromcursorX : winwidth-e.clientX-offsetfromcursorX
var bottomedge=ie&&!window.opera? winheight-event.clientY-offsetfromcursorY : winheight-e.clientY-offsetfromcursorY

var leftedge=(offsetfromcursorX<0)? offsetfromcursorX*(-1) : -1000

//if the horizontal distance isn't enough to accomodate the width of the context menu
if (rightedge<tipobj.offsetWidth){
//move the horizontal position of the menu to the left by it's width
tipobj.style.left=curX-tipobj.offsetWidth+"px"
nondefaultpos=true
}
else if (curX<leftedge)
tipobj.style.left="5px"
else{
//position the horizontal position of the menu where the mouse is positioned
tipobj.style.left=curX+offsetfromcursorX-offsetdivfrompointerX+"px"
pointerobj.style.left=curX+offsetfromcursorX+"px"
}

//same concept with the vertical position
if (bottomedge<tipobj.offsetHeight){
tipobj.style.top=curY-tipobj.offsetHeight-offsetfromcursorY+"px"
nondefaultpos=true
}
else{
tipobj.style.top=curY+offsetfromcursorY+offsetdivfrompointerY+"px"
pointerobj.style.top=curY+offsetfromcursorY+"px"
}
tipobj.style.visibility="visible"
if (!nondefaultpos)
pointerobj.style.visibility="visible"
else
pointerobj.style.visibility="hidden"
}
}

function hideddrivetip(codes){
if (ns6||ie){
enabletip=false
tipobj.style.visibility="hidden"
pointerobj.style.visibility="hidden"
tipobj.style.left="-1000px"
tipobj.style.backgroundColor=''
tipobj.style.width=''
clearDetailTests(codes);
}
}

document.onmousemove=positiontip

</script>
		<style type="text/css">
#dhtmltooltip {
	position: absolute;
	left: -300px;
	width: 150px;
	border: 1px solid black;
	padding: 2px;
	background-color: lightyellow;
	visibility: hidden;
	z-index: 100;
}

#dhtmlpointer {
	position: absolute;
	left: -300px;
	z-index: 101;
	visibility: hidden;
}
</style>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}"
		onload="document.getElementById('bloodBarcode').focus();setSelectedTests()">
		<gui:page migFooter="false">
			<gui:pageHeader name="Serum Chemistry" />
			<%--<gui:link-button href="view_serum_qc.do" text="View QC Data" />
		&nbsp;
		--%>
		

			<form:form commandName="form" method="post"
				action="serum_chemistry2.do">
				<br>
				<div id="testDetails"></div>
				<gui:error-list title="Incomplete Form:" titleFont="16px"
					formErrorClass="formError" borderClass="borderTable"
					commandName="form" />
				<input type="hidden" id="changeForm" name="changeForm" />
				<input type="hidden" id="removeBarcode" name="removeBarcode" />
				<form:hidden path="profileName" />
				<br>


				<gui:mig-box label="Setup Tests">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<th width="15%">
								&nbsp;
							</th>
							<th colspan="2">
								Current Profile
							</th>
						</thead>
						<thead class="listNonPaginatedHeader">
							<th width="15%">
								Select Tests
							</th>
							<th width="15%">
								Profile Type
							</th>
							<th>
								Profile Tests
							</th>
						</thead>
						<tbody class="tbody">
							<tr valign="top">
								<td>
									<input type="button" value="View available tests"
										alt="#TB_inline?height=240&width=700&inlineId=testSelect"
										class="thickbox" />
								</td>

								<!--  Set via javascript according to selected tests and onLoad. -->
								<td id="profile"></td>
								<td id="profiletests"></td>
							</tr>
						</tbody>
					</table>
					</td>

				</gui:mig-box>
				<br>
				<gui:mig-box label="Assign tube barcodes">
					<table class="migBoxInner" width="50%">
						<thead class="listNonPaginatedHeader">
							<th width="35%">
								Blood Tube Barcode
							</th>
							<th>
								Hitachi Cup Barcode
							</th>
						</thead>
						<tbody class="tbody">
							<tr valign="top">
								<td>
									<form:input tabindex="1" path="bloodBarcode"
										onkeydown="if(event.keyCode==13) {this.blur()}"
										onblur="validateBarcode(this, 'tissueId','blood','barcodeDescription');" />
									&nbsp;
									<form:input cssClass="readonly" path="barcodeDescription"
										size="40" />
									<br>
									<form:hidden path="tissueId" />
								</td>
								<td>
									<form:input tabindex="2" path="hitachiBarcode"
										onblur="addTest()" />
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>

				<br>
				<center>
					<input type="submit" value="Submit" />
					<input type="button" value="Reset"
						onclick="document.location='serum_chemistry2.do'" />
				</center>
				<br>
				<gui:mig-box>
		Currently assigned : <b>${form.testCount} samples</b>
				</gui:mig-box>

				<gui:mig-box>
					<table class="migBoxInner" id="assignedTests">
						<thead class="listNonPaginatedHeader">
							<th width="5%" align="center">
								&nbsp;
							</th>
							<th width="15%">
								Blood Tube Barcode
							</th>
							<th width="15%">
								Hitachi Cup Barcode
							</th>
							<th>
								Tests
							</th>
							<th width="10%">
								Profile
							</th>
						</thead>
						<c:forEach items="${form.serumTests}" var="test">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>
									<gui:link-button text="delete"
										onclick="removeTest('${test.barcode}')" />
								</td>
								<td>${test.bloodBarcode}</td>
								<td>${test.barcode}</td>
								<td>
									<div onMouseover="ddrivetip('${test.testCodes}', 400)"
										; onMouseout="hideddrivetip('${test.testCodes}')">
										${test.testCodes}
									</div>
								</td>
								<td>
									${test.profileName}
								</td>
							<tr>
						</c:forEach>
					</table>
				</gui:mig-box>

				<br>

				<!-- Used for thickbox -->
				<div id="testSelect" style="display: none;">
					<table width="100%">
						<tr>
							<td>
								<gui:mig-box label="Manually select online tests to run">
									<table class="migBoxInner" id="tests">
										<%
											int count = 0;
										%>
										<c:forEach items="${form.testCodes}" var="code"
											varStatus="count">
											<%
												if (count == 0) {
											%>
											<tr class="thead">
												<%
													}
												%>
												<td class="tbody" align="center"
													style="border: 1px solid black; background-color: #cbdced;"
													onmousedown="testSelect(${code.parameterId}); 
							document.getElementById('profile').innerHTML = 'Custom'; 
							document.getElementById('profileName').value = 'Custom';"
													id="${code.parameterId}">
													${code.value }
												</td>
												<%
													if (count == 6) {
												%>
											</tr>
											<%
												}
																count++;
																if (count > 5) {
																	count = 0;
																}
											%>
										</c:forEach>
									</table>
									<br>
									<center>
										<gui:link-button text="Clear All" onclick="clearTests()" />
									</center>
								</gui:mig-box>
							</td>
							<td>
								&nbsp;
								<b>OR</b> &nbsp;
							</td>
							<td>
								<gui:mig-box label="Select preset test set">
									<table class="migBoxInner" width="50%">
										<c:choose>
											<c:when test="${empty form.presetTests}">
												<tr>
													<td class="thead">
														No preset test sets available.
													</td>
												</tr>
											</c:when>
											<c:otherwise>
												<tr class="listNonPaginatedHeader">
													<td>
														&nbsp;
													</td>
													<td>
														Preset Name
													</td>
												</tr>
												<c:forEach items="${form.presetTests}" var="p" varStatus="v">
													<gui:toggle-row-class />
													<tr class="${rowClass}">
														<td class="tbody" width="10px">
															<input type="radio" id="check_${v.index}" name="preset"
																onClick="setPresetTests('${p.testCodes}','${p.barcode}')" />
														</td>
														<td class="viewLabelSmall">
															${p.barcode}
														</td>
													</tr>
												</c:forEach>
											</c:otherwise>
										</c:choose>
									</table>
								</gui:mig-box>
							</td>
						</tr>
					</table>
				</div>
				<form:hidden path="serumTestCodes" />

			</form:form>
		</gui:page>
	</body>
</html>
