<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Validate Serum Chemistry Results</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function setSampleStatus(index, status) {
				document.getElementById("data"+index+".resultStatusId").value = status;
			}

			function selectAll(type, status)
			{
			    var re = new RegExp('^'+type);
				var i = 0;
			    for(i = 0; i < document.forms[0].elements.length; i++)
			    {
			        var elm = document.forms[0].elements[i];
			        if (elm.type == 'radio')
			        {
			            if (re.test(elm.id))
			            {
							var r = new RegExp("\\S+_(\\d+)");
							var index = r.exec(elm.id);
			            	if(elm.checked === 'false') {
			             	elm.checked = 'true';
			             	setSampleStatus(index[1], status);
			             	}else{
			             	elm.checked = 'false';
			      		    setSampleStatus(index[1], status);
			             	}
			            }
			        }
			    }
			}

			function addTestToRun() {
				if(document.getElementById('testValue').value != "") {
				document.getElementById('addTest').value = "addTest";
				document.forms[0].submit();
				}
			}

			function alert_delete_test(runId,testId) {
				if(confirm("Are you sure you want to delete this test result from this run?\n" +
								"Press OK to remove the run or CANCEL to go back.")
								) {
								document.location='delete_test_result.do?runId='+runId+'&testId='+testId;
						}
				return false;
			}

		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Validate Serum Chemistry Results ${pageHeader}" />

			<form:form commandName="form" action="validate_serum_results.do" method="post">
				<input type="hidden" id="addTest" name="addTest" />
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<gui:mig-box label="Run Information">
					<table class="migBoxInner">
						<tr>
							<td class="viewLabelSmall" width="20%">
								Run Date:
							</td>
							<td class="tbody">
								<fmt:formatDate pattern="dd-MMM-yyyy HH:mm" value="${form.run.runDate}" />
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Instrument:
							</td>
							<td class="tbody">
								${form.run.instrument.name}
							</td>
						</tr>
						<tr>
							<td class="viewLabelSmall">
								Mouse:
							</td>
							<td class="tbody">
								<a href="view_one_mouse.do?id=${form.run.mouse.id}">${form.run.mouse.name}</a> (${form.run.mouse.gender.name })
							</td>
						</tr>
						<c:if test="${form.run.instrumentId == 2}">
							<tr>
								<td class="viewLabelSmall">
									Hitachi Cup Barcode:
								</td>
								<td>
									${form.run.serumTest.barcode}
								</td>
							</tr>
						</c:if>
						<tr>
							<td class="viewLabelSmall">
								Sample Type:
							</td>
							<td class="tbody">
								${form.run.runType.name}
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<br />
				<gui:mig-box label="Serum Test Results">
					<table class="migBoxInner" id="sampleData">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									Options
								</th>
								<th>
									Test
								</th>
								<th>
									Result
								</th>
								<th>
									Units
								</th>
								<!--
								<c:if test="${form.run.instrument.id == 2}">
									<th>
										Mean
									</th>
									<th>
										SD
									</th>
								</c:if>
								-->
								<th colspan="3">
									Sample Range
								</th>
								<th colspan="3">
									Instrument Range
								</th>
								<!--<th>
									Validated &nbsp;
									<img src="images/mouse_tracking/down.gif" onclick="selectAll('valid',1)">
								</th>
								<th>
									Re-Run &nbsp;
									<img src="images/mouse_tracking/down.gif" onclick="selectAll('rerun',3)">
								</th>
								--><th>
									Instrument Errors
								</th>
								<th>
									Failed
								</th>
							</tr>
						</thead>
						<tbody class="listPaginated">
						<c:forEach items="${form.data}" var="test" varStatus="iterator">
							<form:hidden path="data[${iterator.index}].resultStatusId" />
							<c:choose>
							<c:when test="${test.errorCode1Id != null}">
								<tr class="tbody" style="background: #fff0f0; text-align: center;">
							</c:when>
							<c:otherwise>
								<tr class="tbody" style="background: #f0f0ff; text-align: center;">
							</c:otherwise>
						</c:choose>
							<td>
								<gui:link-button text="delete" onclick="return alert_delete_test(${form.run.id},${form.data[iterator.index].id})" />
							</td>
							<td class="thead">
								${test.parameter.name}
							</td>
							<td>
							<form:input path="data[${iterator.index}].value" size="8" />
							</td>
							<td>
								${test.units}
							</td>
							<!--<c:if test="${form.run.instrument.id == 2}">
								<td>
									<fmt:formatNumber type="number" maxFractionDigits="2" value="${test.meanValue}" />
								</td>
								<td>
									<fmt:formatNumber type="number" maxFractionDigits="2" value="${test.sdValue}" />
								</td>
							</c:if>
							--><td>
								${test.range.refLo}
							</td>
							<td>
								<->
							</td>
							<td>
								${test.range.refHi}
							</td>
							<td>
								${test.range.instrumentLo}
							</td>
							<td>
								<->
							</td>
							<td>
								${test.range.instrumentHi}
							</td>
							<!--<td>
								<input type="radio" id="valid_${iterator.index}" name="status_${iterator.index}" onclick="setSampleStatus(${iterator.index},'1')" />
							</td>
							<td>
								<input type="radio" id="rerun_${iterator.index}" name="status_${iterator.index}" onclick="setSampleStatus(${iterator.index},'3')" />
							</td>
							--><td class="thead" align="left">
								${test.errorCode1.description}${test.errorCode2.description}
							</td>
							<td>
								<input type="checkbox" id="fail_${iterator.index}" name="status_${iterator.index}" onclick="setSampleStatus(${iterator.index},'2')" />
							</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</gui:mig-box>
				<br>
				<gui:mig-box label="Add Test" >
					<table class="migBoxInner">
						<thead class="listPaginatedHeader">
							<th width="10%" align="left">Test</th>
							<th align="left">Value</th>
						</thead>
						<tbody class="listPaginated">
						<td>
							<form:select path="testId">
									<form:options items="${testCodes}" itemLabel="value" itemValue="id"/>
							</form:select>
						</td>
						<td>
							<form:input path="testValue" size="30"/>
							<input type="button" align="left" value="Add Test" onclick="addTestToRun()">
						</td>

						</tr>
					</table>
				</gui:mig-box>
				<br>
				<gui:mig-box label="Additional Comments">
					<table class="migBoxInner">
						<tr>
							<td>
								<form:textarea path="run.comments" rows="5" cols="74" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" >
					<input type="button" value="Reset" onclick="document.location='validate_serum_results.do?id=${form.run.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" >
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
