<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Serum QC</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript">
			var selected = new Array(100);
			
			function testSelect(id) {
				var elem = document.getElementById(id);			
				var code = document.getElementById('parameterId');
				if(selected[id] === undefined) {
					clearTests();
					selected[id] = id;
					elem.style.background = "yellow";
					code.value = id;
					document.forms[0].submit();
				}
			}
			
			function clearTests() {
				var index = 1;
				var code = document.getElementById('parameterId').value;
				for(index = 1; index < 100; index++) {
					var elem = document.getElementById(index);
					if(elem) {
					selected[index] = undefined;
					elem.style.background = "#cbdced";
					}
				}
				code.value = "";
			}
			
			function setSelectedTest() {
				var code = document.getElementById('parameterId').value;
				test = code.substring(i,i+2);
				if(test.substring(0,1) === "0") {
					test = test.substring(1,2);
				}
				testSelect(test);
			}
			
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="Serum Chemistry QC" />
			<form:form commandName="form" method="post" action="view_serum_qc.do">
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<form:hidden path="parameterId" />
				<span class="inverseTab">Test Selection</span>
				<table width="40%" cellpadding="1" style="{border: 1px solid black;}" id="tests">
					<%
					int count = 0;
					%>
					<c:forEach items="${form.testCodes}" var="code" varStatus="count">
						<%
						if (count == 0) {
						%>
						<tr class="thead">
							<%
							}
							%>
							<td class="tbody" align="center" style="{border: 1px solid black; background-color: #cbdced;}" onmousedown="testSelect(${code.parameterId})" id="${code.parameterId}">
								${code.value }
							</td>
							<%
							if (count == 8) {
							%>
						</tr>
						<%
								}
								count++;
								if (count > 7) {
									count = 0;
								}
						%>
					</c:forEach>
				</table>
				<br />

				<table class="borderTable">
					<tr>
						<td>
							<table class="borderTable">
								<tr class="thead">
									<td>
										Test:
									</td>
									<td class="thead">
										<font color="blue"> ${form.parameter.name} </font>
									</td>
								</tr>
								<tr class="tbody">
									<td class="thead">
										Date From:
									</td>
									<td align="left">
										<form:input path="sampledDateFrom" cssClass="date" onblur="validateDateTime(this, true, false);" />
										<gui:dateTimePicker path="sampledDateFrom" datePicker="true" timePicker="false" autoPopUp="button" />
									</td>
									<td class="thead">
										Date To:
									</td>
									<td align="left">
										<form:input path="sampledDateTo" cssClass="date" onblur="validateDateTime(this, true, false);" />
										<gui:dateTimePicker path="sampledDateTo" datePicker="true" timePicker="false" autoPopUp="button" />
									</td>
									<td>
										<gui:link-button onclick="document.forms[0].submit()" text="Refresh" />
									</td>
								</tr>
								<tr class="tbody">
									<td class="thead">
										Control Name
									</td>
									<td>
										&nbsp;
									</td>
								</tr>
							</table>
						</td>
						<td rowspan="2" width="50%">
							<img src='<%=response.encodeURL("getchart.chart?img=xychart")%>' usemap="#map1" border="0">
							<map name="map1">
								${imageMap1}
							</map>
						</td>
					</tr>
					<tr>
						<td>
							<table class="borderTable">
								<tr>
									<th colspan="2" class="theadList" align="left" width="50%">
										Day to Day
									</th>
									<th colspan="2" class="theadList" align="left">
										Base Value
									</th>
								</tr>
								<tr class="odd">
									<td class="thead" width="10%">
										N
									</td>
									<td colspan="3" class="tbody">
										${form.dayN}
									</td>

								</tr>
								<tr class="even">
									<td class="thead">
										Mean
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.dayMean}" maxFractionDigits="2" />
									</td>
									<td class="thead" width="10%">
										Mean
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.baseMean}" maxFractionDigits="2" />
									</td>
								</tr>
								<tr class="odd">
									<td class="thead">
										SD
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.daySD}" maxFractionDigits="2" />
									</td>
									<td class="thead">
										SD
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.baseSD}" maxFractionDigits="2" />
									</td>
								</tr>
								<tr class="even">
									<td class="thead">
										CV%
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.dayCV}" maxFractionDigits="2" />
									</td>
									<td class="thead">
										CV%
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.baseCV}" maxFractionDigits="2" />
									</td>
								</tr>
								<tr class="odd">
									<td class="thead">
										Range
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.dayRange}" maxFractionDigits="2" />
									</td>
									<td class="thead">
										Range
									</td>
									<td class="tbody">
										<fmt:formatNumber value="${form.baseRange}" maxFractionDigits="2" />
									</td>
								</tr>
							</table>
						</td>
						<td>
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>
