<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Serum Chemistry Results</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Serum Chemistry Results ${pageHeader}" />
			<gui:mig-box label="Run Information">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabelSmall" width="20%">
							Run Date:
						</td>
						<td class="tbody">
							<fmt:formatDate pattern="dd-MMM-yyyy HH:mm" value="${run.runDate}" />
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Instrument:
						</td>
						<td class="tbody">
							${run.instrument.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Mouse:
						</td>
						<td class="tbody">
							<a href="view_one_mouse.do?id=${run.mouse.id}">${run.mouse.name}</a> (${run.mouse.gender.name })
						</td>
					</tr>
					<c:if test="${run.instrumentId == 2}">
						<tr>
							<td class="viewLabelSmall">
								Hitachi Cup Barcode:
							</td>
							<td>
								${run.serumTest.barcode}
							</td>
						</tr>
					</c:if>
					<tr>
						<td class="viewLabelSmall">
							Sample Type:
						</td>
						<td class="tbody">
							${run.runType.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabelSmall">
							Comments:
						</td>
						<td class="tbody">
							${run.comments}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<br />
			<gui:mig-box label="Serum Test Results">
				<table class="migBoxInner" id="sampleData">
					<thead class="listPaginatedHeader">
						<tr>
							<th>
								Test
							</th>
							<th>
								Result
							</th>
							<th>
								Units
							</th>
							<th colspan="3">
								Sample Range
							</th>
							<th colspan="3">
								Instrument Range
							</th>
							<th>
								Instrument Errors
							</th>
							<th>
								Validation Result
							</th>
						</tr>
					</thead>
					<tbody class="listPaginated">
						<c:forEach items="${data}" var="test" varStatus="iterator">

						<c:choose>
							<c:when test="${test.errorCode1Id != null}">
								<tr class="tbody" style="background: #fff0f0; text-align: center;">
							</c:when>
							<c:otherwise>
								<tr class="tbody" style="background: #f0f0ff; text-align: center;">
							</c:otherwise>
						</c:choose>

						<td class="thead">
							${test.parameter.name}
						</td>
						<td>
							${test.value}
						</td>
						<td>
							${test.units}
						</td>
						<td>
							${test.range.refLo}
						</td>
						<td>
							<->
						</td>
						<td>
							${test.range.refHi}
						</td>
						<td>
							${test.range.instrumentLo}
						</td>
						<td>
							<->
						</td>
						<td>
							${test.range.instrumentHi}
						</td>
						<td class="thead" align="left">
							${test.errorCode1.description}${test.errorCode2.description}
						</td>
						<td>
							<c:choose>
								<c:when test="${empty test.resultStatus.name}">
									<font color="red">Not Validated</font>
								</c:when>
								<c:otherwise>
								${test.resultStatus.name }
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					</c:forEach>
					</tbody>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
