<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Weigh Mice</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/cohort.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}" onload="initCohortForm('weights[0].weightValue')">
		<gui:page>
			<gui:pageHeader name="Weigh Mice" />
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form"><br /></gui:error-list>
			<form:form commandName="form" method="post" action="weigh_mice.do">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td>
							<c:choose>
								<c:when test="${empty form.mice}">
									<b>Scan cage of mice or lookup cohort</b>
									<br />
									<form:input path="barcode" onblur="validateBarcode(this, 'barcodeId','cohort or cage','barcodeDescription','barcodeType')" size="40"/>
									<img src="images/lookup.gif" style="cursor: pointer; vertical-align: bottom;" onclick="openLookupList('lookup_cohort.do','cohortName=barcode,cohortId=barcodeId')" title="Find Cohorts"/>
									<form:hidden path="barcodeId" />
									<form:hidden path="barcodeDescription" />
									<form:hidden path="barcodeType" />
								</c:when>
								<c:otherwise>
									<gui:link-button text="Choose Different Cage/Cohort" href="weigh_mice.do"/>
								</c:otherwise>
							</c:choose>
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<br />
				<br />

				<c:if test="${!empty form.mice}">
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<td colspan="6">&nbsp;</td>
							<th>
							 	Date<span class="requiredField">*</span>
							 	<form:input path="sampleDate" size="16" readonly="true" cssClass="readonly"/>
							 	<gui:dateTimePicker path="sampleDate" timePicker="true" />
							 </th>
						</tr>
						<tr>
							<th>Mouse Barcode</th>
							<th>Mouse ID</th>
							<th>Gender</th>
							<th>Earclip</th>
							<th>Cage</th>
							<th>Previous Weight</th>
							<th>Weight</th>
						</tr>
					</thead>
					<tbody class="tbody">
						<c:forEach items="${form.mice}" var="mouse" varStatus="i">
							<gui:toggle-row-class/>
							<tr class="${rowClass}">
								<td>${mouse.barcode}</td>
								<td>${mouse.name}</td>
								<td>${mouse.gender.name}</td>
								<td>${mouse.earmark.name}</td>
								<td>${mouse.location.cageBarcode}</td>
								<td>
									<c:if test="${!empty mouse.currentWeight}">
										${mouse.currentWeight.weightValue}
										${mouse.currentWeight.weightUnits}
										on
										<fmt:formatDate value="${mouse.currentWeight.createdDate}" pattern="dd-MMM-yyyy" />
									</c:if>
									&nbsp;
								</td>
								<td>
									<c:choose>
										<c:when test="${!empty mouse.deathDate}">
											<c:set var="readonly" value="readonly" />
										</c:when>
										<c:otherwise>
											<c:set var="readonly" value="" />
										</c:otherwise>
									</c:choose>
									<form:input path="weights[${i.index}].weightValue" cssStyle="text-align: right;" readonly="${readonly}" cssClass="${readonly}"/>g
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
				</c:if>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
