<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Add Rack</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/lookupList.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/formValidator.js"></script>
		<script type="text/javascript">
			function newRoom() {
			    if (document.getElementById('roomId').value == "") {
			        return true;
			    } else {
			        if (confirm("Press OK to select new Room.\n\n(Air Handling Unit field will be cleared.)\n")) {

			            clearFields('airHandlingUnitName','airHandlingUnitId');
			            return true;
			        } else {
			            return false;
			        }
			    }
			}

			function formReset() {
				document.forms[0].reset();
				if(document.getElementById('roomNumber') = "" &&
				document.getElementById('roomId').value !== "") {
					clearFields('roomId');
				}
				if(document.getElementById('airHandlingUnitName').value === "" &&
				document.getElementById('airHandlingUnitId').value !== "") {
					clearFields('airHandlingUnitId');
				}
			}
		</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader>

				<c:choose>
					<c:when test="${empty form.rack.id}">
					Add New
					</c:when>
					<c:otherwise>
					Edit Existing
					</c:otherwise>
				</c:choose>
				Rack

		</gui:pageHeader>
			<form:form commandName="form" method="post" action="edit_rack.do">
				<gui:error-list title="Form is incomplete:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<gui:mig-box label="Rack Details">
					<table class="migBoxInner">
						<tr>
							<td width="15%" align="right">
								Rack Number
								<span class='formError'>*</span>
							</td>
							<td>
								<form:input path="rack.name" />
							</td>
						</tr>
						<tr>
							<td width="15%" align="right">
								Tecniplast Name
							</td>
							<td>
								<form:input path="rack.technoplastName" />
							</td>
						</tr>
						<tr>
							<td width="15%" align="right">
								Room
								<span class='formError'>*</span>
							</td>
							<td>
								<gui:formPopup path="roomNumber" cssStyle="width: 200px;" onclick="if(newRoom()) {openLookupList('lookup_room.do')}" />
								<form:hidden path="roomId" />
							</td>
						</tr>
						<tr>
							<td width="15%" align="right">
								Air Handling Unit
								<span class='formError'>*</span>
							</td>
							<td>
								<gui:formPopup path="airHandlingUnitName" onclick="openDependentLookupList('lookup_air_unit.do?roomId=','roomId','Please select a room first')" />
								<form:hidden path="airHandlingUnitId" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtonsMouseTracking">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="reset" value="Reset" onclick="document.location='edit_rack.do?id=${form.rack.id}'" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" value="Cancel" onclick="document.location='view_one_room.do?id=${form.rack.roomId}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>
