<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>View Cage</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				Room ${rack.room.roomNumber} Rack ${rack.name}
			</gui:pageHeader>
			<c:if test="${!empty rack}">
				<gui:mig-box label="${fn:length(rack.cages)} Cages">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th width="20%">
									Options
								</th>
								<th>
									Cage Barcode
								</th>
								<th>
									Cage Type
								</th>
								<th>
									Number Of Mice
								</th>
								<th>
									Last Cleaned
								</th>
							</tr>
						</thead>
						<tbody class="listNonPaginated">
							<c:forEach items="${rack.cages}" var="cage">
								<gui:toggle-row-class />
								<tr class="${rowClass}">
									<td class="optionIconList">
										<c:if test="${!empty cage.contents}">
											<gui:link-button href="view_one_cage.do?id=${cage.id }" text="view" style="width: 40px;" />&nbsp;&nbsp;
											<gui:link-button text="print" onclick="printLabels('PRINT_CAGE','${cage.id}')" style="width: 40px;" />&nbsp;&nbsp;
										</c:if>
										<c:if test="${empty cage.contents}">
											<gui:link-button text="delete" onclick="deleteAlert('a Cage ','delete_cage.do?id=${cage.id}')" style="width: 40px;" />
										</c:if>
									</td>
									<td>
										${cage.barcode }
									</td>
									<td>
										${cage.cageType.description}
									</td>
									<td>
										${fn:length(cage.contents)}
									</td>
									<td>
										<fmt:formatDate value="${cage.lastCleanedDate}" pattern="dd-MMM-yyyy" />
										<c:if test="${empty cage.lastCleanedDate}">
											<span class="formError">Never</span>
										</c:if>
									</td>
								</tr>
							</c:forEach>
							<tr>
								<td colspan="3">
									&nbsp;
								</td>
								<td class="thead" align="right">
									Total Mice
								</td>
								<td class="tbody" align="left">
									${totalMice}
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
