<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/validateBarcode.js"></script>
	</head>
	<script type="text/javascript">
		function submitIfValid() {
			if(document.getElementById('cageOrRackId').value != "") {
				document.forms[0].submit();
			}
		}	
	</script>

	<!-- 
		Focus on the cageBarcode entry on load and disable
		return key so that onBlur is always called to validate the barcode.
	-->
	<body onload="document.getElementById('barcode').focus();" onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="View All Rooms" />
			<form:form commandName="form" method="post" action="search_cage_rack.do">
				<gui:mig-box label="Search Options">
					<table class="migBoxInner">
						<thead class="thead">
							<tr>
								<td width="1%">
									Cage or Rack Barcode
								</td>
							</tr>
						</thead>
						<tbody class="tbody">
							<tr>
								<td>
									<form:input cssClass="barcodeField" path="barcode" tabindex="1" onblur="validateBarcode(this, 'cageOrRackId','cage or rack','barcodeDescription','barcodeType');setTimeout('submitIfValid()',500);" />
									<form:errors path="barcode" cssClass="formError" />
									<br />
									<form:input path="barcodeDescription" cssClass="barcodeDescriptionField" readonly="true" />
									<form:hidden path="cageOrRackId" />
									<form:hidden path="barcodeType" />
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>
				<br />
			</form:form>
	
			<c:if test="${!empty rooms}">
				<gui:mig-box label="Rooms">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<th>
								Options
							</th>
							<th>
								Room Number
							</th>
							<th>
								Area Name
							</th>
							<th>
								Corridor
							</th>
							<th>
								Description
							</th>
							<th>
								No. Racks
							</th>
							<th>
								No. Cages
							</th>
						</thead>
	
						<c:forEach items="${rooms}" var="room">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td class="optionIconList">
									<gui:link-button href="view_one_room.do?id=${room.id }" text="view" />
									&nbsp;&nbsp;
									<gui:link-button href="view_cull_mouse.do?id=${room.id}&roomNumber=${room.roomNumber}" text="cull list" />
								</td>
								<td>
									${room.roomNumber }
								</td>
								<td>
									${room.buildingName }
								</td>
								<td>
									${room.corridor }
								</td>
								<td>
									${room.description }
								</td>
								<td>
									${room.totalRacks }
								</td>
								<td>
									${room.totalCages }
								</td>
							</tr>
						</c:forEach>
						<tr>
							<td colspan="4">
								&nbsp;
							</td>
							<td class="thead" align="right">
								Total Racks
							</td>
							<td>
								<table width="100%">
									<tr>
										<td class="tbody" align="left">
											${totalRacks}
										</td>
										<td class="thead" align="right">
											Total Cages
										</td>
									</tr>
								</table>
							</td>
							<td class="tbody" align="left">
								${totalCages}
							</td>
						</tr>
					</table>
				</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>
