<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/delete.js"></script>
		<script type="text/javascript">
			function cleanCages(rackNumber, rackId, roomId) {
				if(confirm("Click OK to indicate all cages in rack " + rackNumber + " have been cleaned today.")) {
					location.href= "clean_cages.do?rackId=" + rackId + "&roomId=" + roomId;
					return true;
				}
				else {
					return false;
				}
			}

			function auditRoom(roomId) {
				if(confirm("Click OK to move all cages in this room to the audit rack.")) {
					location.href= "audit_room.do?roomId=" + roomId;
					return true;
				}
				else {
					return false;
				}
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="${room.roomNumber}">&nbsp;
				<gui:link-button href="edit_rack.do?roomId=${room.id}" text="add rack" />
				&nbsp;
				&nbsp;
			    <gui:link-button onclick="auditRoom(${room.id})" text="audit room" />
			    &nbsp;
			    &nbsp;
				<a target="_blank" href='<gui:oracle-report-url parameterString="rack_list+${room.id}" />'><img src="images/mouse_tracking/print.gif" title="Print Rack Barcodes"/>&nbsp;Print Rack Barcodes</a>
				<a target="_blank" href='<gui:oracle-report-url parameterString="transit_rack_list+${room.id}" />'><img src="images/mouse_tracking/print.gif" title="Print Transit Rack Barcodes"/>&nbsp;Print Transit Rack Barcodes</a>
			</gui:pageHeader>
			<br />
			<table>
				<tr valign="top">
					<td width="50%">
						<c:forEach items="${room.airHandlingUnits}" var="unit">
							<gui:mig-box label="AirHandling Unit : ${unit.name}" links="view AHU data|view_one_air_unit.do?id=${unit.id}" linkButtonClass="smallButton" linkButtonClassOver="smallButtonYellow">
								<table class="migBoxInner">
									<thead class="listNonPaginatedHeader">
										<tr>
											<th width="250px;">
												Options
											</th>
											<th>
												Rack Number
											</th>
											<th>
												Rack Barcode
											</th>
											<th>
												Status
											</th>
											<th>
												No. Cages
											</th>
										</tr>
									</thead>
									<tbody class="listNonPaginated">
										<gui:toggle-row-reset/>
										<c:forEach items="${unit.racks}" var="rack">
											<gui:toggle-row-class recordId1="${rack.id}" recordId2="${param['currentRecordId']}"/>
											<tr class="${rowClass}">
												<td>
													<gui:link-button href="view_one_rack.do?id=${rack.id}" text="view"/>
													&nbsp;&nbsp;
													<gui:link-button href="edit_rack.do?id=${rack.id}" text="edit"/>
													&nbsp;&nbsp;
													<gui:link-button onclick="cleanCages('${rack.name}','${rack.id}','${room.id}')" text="clean cages"/>
												</td>
												<td>
													${rack.name}
												</td>
												<td>
													${rack.barcode}
												</td>
												<td>
													${rack.status}
												</td>
												<td>
													${rack.cageCount}
												</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</gui:mig-box>
							<br />
						</c:forEach>
					</td>
					<td>
						<c:if test="${!empty matingsByRoom.results}">
							<gui:mig-box-label>${fn:length(matingsByRoom.results)} Matings</gui:mig-box-label>
							<div class="migBoxOverflow">
							<gui:mig-box>
								<cqi:customListView customQuery="${matingsByRoom}">
									<cqi:customListViewHeader />
									<cqi:customListViewBody />
								</cqi:customListView>
							</gui:mig-box>
							</div>
							<br />
						</c:if>
						<c:if test="${!empty preweanLittersByRoom.results}">
							<gui:mig-box-label>${fn:length(preweanLittersByRoom.results)} Prewean Litters</gui:mig-box-label>
							<div class="migBoxOverflow">
							<gui:mig-box>
								<cqi:customListView customQuery="${preweanLittersByRoom}">
									<cqi:customListViewHeader />
									<cqi:customListViewBody />
								</cqi:customListView>
							</gui:mig-box>
							</div>
							<br />
						</c:if>
						<c:if test="${!empty coloniesByRoom.results}">
							<gui:mig-box-label>${fn:length(coloniesByRoom.results)} Colonies</gui:mig-box-label>
							<div class="migBoxOverflow">
							<gui:mig-box>
								<cqi:customListView customQuery="${coloniesByRoom}">
									<cqi:customListViewHeader />
									<cqi:customListViewBody />
								</cqi:customListView>
							</gui:mig-box>
							</div>
						</c:if>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
