<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Person</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script type="text/javascript">

		function addRole() {
			var f = document.forms[0];

			if (f.roles.length > 0) {
				f.changeForm.value="addRole";
				f.changeFormValue.value=f.roles.value;
				f.submit();
			}
		}

		function removeRole(roleKey) {
			var f = document.forms[0];

			f.changeForm.value="removeRole";
			f.changeFormValue.value=roleKey;
			f.submit();
		}

		function addPpl() {
			var f = document.forms[0];

			if (f.ppl.length > 0) {
				f.changeForm.value="addPpl";
				f.changeFormValue.value=f.ppl.value;
				f.submit();
			}
		}

		function removePpl(pplId) {
			var f = document.forms[0];

			f.changeForm.value="removePpl";
			f.changeFormValue.value=pplId;
			f.submit();
		}

		</script>
	</head>
	<body>
		<gui:page>
			<control:accessControl roles="admin,mgp-admin">
			<gui:pageHeader>
				<c:choose>
					<c:when test="${empty form.person.id}">
						Add New
					</c:when>
					<c:otherwise>
						Edit Existing
					</c:otherwise>
				</c:choose>
				User Account
			</gui:pageHeader>
			<form:form commandName="form" action="edit_person.do" method="post">
				<input type="hidden" name="changeForm" />
				<input type="hidden" name="changeFormValue" />
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />
				<table width="100%">
					<tr>
						<td width="50%" valign="top">
							<gui:mig-box label="Person Details">
								<table class="migBoxInner">
									<tbody class="tbody">
										<tr>
											<td class="entryLabel" width="25%">
												User name:
											</td>
											<td class="entryData">
												<form:input path="person.userName" />
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												First name:
											</td>
											<td class="entryData">
												<form:input path="person.firstName" />
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												Last name:
											</td>
											<td class="entryData">
												<form:input path="person.lastName" />
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												Email address:
											</td>
											<td class="entryData">
												<form:input path="person.email" />
												&nbsp;
												(Leave blank if unknown)
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												Phone:
											</td>
											<td class="entryData">
												<form:input path="person.phoneNumber" />
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												Room:
											</td>
											<td class="entryData">
												<form:input path="person.roomNumber" />
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												Team:
											</td>
											<td class="entryData">
												<form:select path="person.teamId">
									 				<option value="">&nbsp;</option>
									 				<form:options items="${teams}" itemValue="id" itemLabel="teamNumberAndName"/>
									 			</form:select>
											</td>
										</tr>
										<tr>
											<td class="entryLabel">
												PIL No:
											</td>
											<td class="entryData">
												<form:input path="person.personalLicence.licenceNumber" />
											</td>
										</tr>
										<tr>
											<td class="entryLabelT">
												Active Status:
											</td>
											<td class="entryData">
												<form:checkbox path="person.active" />
												&nbsp;
												(Uncheck to deactivate account. Person will no longer be visible to other users and will not be able to login.)
											</td>
										</tr>
										<tr>
											<td class="entryLabelT">
												Hidden Status:
											</td>
											<td class="entryData">
												<form:checkbox path="person.hidden" />
												&nbsp;
												(Use for system accounts, the account will never be visible to other users but will be able to login.)
											</td>
										</tr>
									</tbody>
								</table>
							</gui:mig-box>
						</td>
						<td width="50%" valign="top">
							<table width="100%" cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<gui:mig-box label="Roles">
											<table class="migBoxInner">
												<tr>
													<td style="padding: 0px">
														<table width="100%" cellpadding="0" cellspacing="0">
															<tbody class="tbody">
																<tr>
																	<td width="90px">
																		<gui:link-button text="add this role" onclick="addRole()" />
																	</td>
																	<td>
																		<select id="roles" name="roles">
																			<c:forEach items="${roles}" var="role">
																				<option value="${role.value.id}">${role.value.lowerCaseName}</option>
																			</c:forEach>
																		</select>
																	</td>
																</tr>
																<tr>
																	<td colspan="2">
																		<hr class="migFooter" />
																	</td>
																</tr>
																<c:choose>
																	<c:when test="${empty form.person.roles}">
																		<tr>
																			<td colspan="2" class="formError">No roles defined for this user.</td>
																		</tr>
																	</c:when>
																	<c:otherwise>
																		<c:forEach items="${form.person.roles}" var="role" varStatus="iterator">
																			<tr>
																				<td>
																					<gui:link-button text="remove" onclick="removeRole('${role.key}')" />
																				</td>
																				<td>
																					${role.value.lowerCaseName}
																				</td>
																			</tr>
																		</c:forEach>
																	</c:otherwise>
																</c:choose>
															</tbody>
														</table>
													</td>
												</tr>
											</table>
										</gui:mig-box>
									</td>
								</tr>
								<tr>
									<td>
										<gui:mig-box label="Associated PPLs">
											<table class="migBoxInner">
												<tr>
													<td style="padding: 0px">
														<table width="100%" cellpadding="0" cellspacing="0">
															<tbody class="tbody">
																<tr>
																	<td width="90px">
																		<gui:link-button text="add this ppl" onclick="addPpl()" />
																	</td>
																	<td>
																		<select id="ppl" name="ppl">
																			<c:forEach items="${ppls}" var="ppl">
																				<option value="${ppl.id}">${ppl.displayText}</option>
																			</c:forEach>
																		</select>
																	</td>
																</tr>
																<tr>
																	<td colspan="2">
																		<hr class="migFooter" />
																	</td>
																</tr>
																<c:choose>
																	<c:when test="${empty form.ppls}">
																		<tr>
																			<td colspan="2" class="formError">No PPLs associated with this user.</td>
																		</tr>
																	</c:when>
																	<c:otherwise>
																		<c:forEach items="${form.ppls}" var="ppl" varStatus="iterator">
																			<tr>
																				<td>
																					<gui:link-button text="remove" onclick="removePpl('${ppl.id}')" />
																				</td>
																				<td>
																					${ppl.displayText}
																				</td>
																			</tr>
																		</c:forEach>
																	</c:otherwise>
																</c:choose>
															</tbody>
														</table>
													</td>
												</tr>
											</table>
										</gui:mig-box>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>

				<div class="submitButtons">
					<input type="submit" value="Submit" onclick="style='cursor:wait';return true;" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" value="Cancel" onclick="document.location='setup_custom_query.do?name=userAccounts&allRecords=true'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>
			</form:form>
		</control:accessControl>
		</gui:page>
	</body>
</html>