<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Column Preferences</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
		/*
			Move all options or selected options from listA to listB
			if allElements is true then all options are moved
		*/
		function moveOption(listNameA, listNameB, allElements) {
			var listA = document.getElementById(listNameA);
			var listB = document.getElementById(listNameB);
		
			for(var i=0; i<listA.options.length; i++) {
				if(allElements || listA.options[i].selected) {
					var option = listA.options[i];		
					var newOption = new Option(option.text,option.value,false,false);
					listB.options[listB.options.length] = newOption;	
				}
			}
			
			//need this descending loop to remove elements after whole list has been processed.
			//removing elements immediately after copying won't work as it changes the array length
			for(var i=listA.options.length-1; i>-1; i--) {
				if(allElements || listA.options[i].selected) {
					listA.options[i] = null;
				}
			}
		}
		
		/*
			Move selected options up or down within a select list#
			direction can be UP or DOWN
		*/
		function move(direction) {
		
			var list = document.getElementById('currentColumns');
		
			// if first option is selected and we're moving up or last option is selected and we're
			// moving down then do nothing
			try{
				if( (list.options[0].selected && direction == 'UP') ||
					(list.options[list.options.length-1].selected && direction == 'DOWN')
				  )
					return false;
			}
			//if there are no options in list then catch the exception that ".length-1" will throw
			catch(e) {
				return false;
			}
		
			if(direction == "UP") {
				for(var i=0; i<list.options.length; i++) {
					if(list.options[i].selected == true) {				
						swapOptions(list,i,-1);
					}
				}
			}
			else if(direction == "DOWN") {
				for(var i=list.options.length-1; i>-1; i--) {
					if(list.options[i].selected == true) {
						swapOptions(list,i,1);
					}
				}
			}
		}
		
		/*
			Swap the position if 2 options in a select list
			index and index + offset are the options to be swapped.
			offset is +1 or -1
			list is the select list being used
		*/
		function swapOptions(list,index,offset) {
			var optionAText = list.options[index].text;
			var optionBText = list.options[index + offset].text;
		
			var optionAValue = list.options[index].value;
			var optionBValue = list.options[index + offset].value;
		
			list.options[index].text = optionBText;
			list.options[index].value = optionBValue;
		
			list.options[index + offset].text = optionAText;
			list.options[index + offset].value = optionAValue;
		
			list.options[index + offset].selected = true;
			list.options[index].selected = false;
		}
		
		function resetForm() {
			location.reload();
		}
		
		function validateForm() {
			var list = document.getElementById('currentColumns');
			for(var i=0; i<list.options.length; i++) {
				list.options[i].selected = true;
			}
		
			document.forms[0].submit();
		}		
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Edit Personal View Preferences" />
			<form:form commandName="form">
				<input type="hidden" name="currentCell" />
				<table width="100%" cellspacing="5px">
					<tr valign="top">
						<td width="25%">
							<span class="inverseTab">Selected Fields</span>
							<table class="borderTable">
								<tr>
									<td>
										<form:select path="currentColumns" multiple="multiple" size="20" items="${currentColumns}" itemValue="columnPrefId" itemLabel="columnTitle" />						
									</td>
									<td valign="middle" align="left">
										<img src="images/mouse_tracking/up_arrow_single.gif" title="Move Up" onClick="move('UP')" />
										<br />
										<img src="images/mouse_tracking/down_arrow_single.gif" title="Move Down" onClick="move('DOWN')"/>
									</td>
								</tr>
							</table>
						</td>
						<td width="10%"" align="center" valign="middle">
							<img src="images/mouse_tracking/left_arrow_single.gif" title="Move Selected" onClick="moveOption('availableColumns','currentColumns',false)" />
							<img src="images/mouse_tracking/right_arrow_single.gif" title="Move Selected" onClick="moveOption('currentColumns','availableColumns',false)"/>
						</td>
						<td width="25%">
							<span class="inverseTab">Available Fields</span>
							<table class="borderTable">
								<tr>
									<td>
										<form:select path="availableColumns" multiple="multiple" size="20" items="${availableColumns}" itemValue="columnPrefId" itemLabel="columnTitle" />						
									</td>
								</tr>
							</table>
						</td>				
						<td width="40%">
							<span class="inverseTab">Instructions</span>
							<table class="borderTable">
								<tr class="tbody">
									<td>
										<li>The <b>Selected Fields</b> are those columns displayed when showing the results of a mouse search.</li>
										<li>Use arrows to move position of chosen column up or down.</li>
										<li>Add or remove columns by selecting fields and using the left/right arrows.</li>
										<li>Newly added fields will appear at the bottom of the list.</li>
										<br />
										<li><b><font color="red">Press 'submit' to save any changes</font></b></li>
									</td>
								</tr>
							</table>
							<br />
							<div align="center">
								<input type="button" value="Submit" onclick="validateForm()" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
								<input type="button" value="Reset" onclick="resetForm()" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
								<input type="button" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
							</div>
						</td>				
					</tr>		
				</table>
			</form:form>
		</gui:page>
	</body>
</html>