<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>View Person</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="User Account ${person.userName}" />
			<control:accessControl roles="admin,mgp-admin">
			<table class=pageView>
				<tr>
					<td class="pageView" valign="top">
						<a href="edit_person.do?id=${person.id}" title="Edit User"><img style="vertical-align: middle" src="images/edit.gif">&nbsp;Edit</a>
					</td>
				</tr>
			</table>
			</control:accessControl>
			<table width="100%">
				<tr>
					<td width="40%" valign="top">
						<gui:mig-box label="Person Details">
							<table class="migBoxInner">
								<tr>
									<td class="viewLabel">
										User name:
									</td>
									<td class="viewData">
										${person.userName}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										First name:
									</td>
									<td class="viewData">
										${person.firstName}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Last name:
									</td>
									<td class="viewData">
										${person.lastName}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Email address:
									</td>
									<td class="viewData">
										${person.email}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Phone:
									</td>
									<td class="viewData">
										${person.phoneNumber}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Room:
									</td>
									<td class="viewData">
										${person.roomNumber}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Team:
									</td>
									<td class="viewData">
										${person.team.teamName}
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										PIL No:
									</td>
									<td class="viewData">
										${person.personalLicence.licenceNumber}&nbsp;
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Active Status:
									</td>
									<td class="viewData">
										<gui:format-boolean booleanValue="${person.active}"/>&nbsp;
									</td>
								</tr>
								<tr>
									<td class="viewLabel">
										Hidden Status:
									</td>
									<td class="viewData">
										<gui:format-boolean booleanValue="${person.hidden}"/>&nbsp;
									</td>
								</tr>
							</table>
						</gui:mig-box>
					</td>
					<td width="60%" valign="top">
						<table width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td>
									<gui:mig-box label="Roles">
										<table class="migBoxInner">
											<c:choose>
												<c:when test="${empty person.roles}">
													<tr>
														<td class="formError">No roles defined for this user.</td>
													</tr>
												</c:when>
												<c:otherwise>
													<c:forEach items="${person.roles}" var="role" varStatus="iterator">
														<tr>
															<td>
																${role.value.lowerCaseName}
															</td>
														</tr>
													</c:forEach>
												</c:otherwise>
											</c:choose>
										</table>
									</gui:mig-box>									
								</td>
							</tr>
							<tr>
								<td>
									<gui:mig-box label="Associated PPLs">
										<table class="migBoxInner">
											<c:choose>
												<c:when test="${empty ppls}">
													<tr>
														<td class="formError">No PPLs associated with this user.</td>
													</tr>
												</c:when>
												<c:otherwise>
													<c:forEach items="${ppls}" var="ppl" varStatus="iterator">
														<tr>
															<td>
																${ppl.displayText}
															</td>
														</tr>
													</c:forEach>
												</c:otherwise>
											</c:choose>
										</table>
									</gui:mig-box>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</gui:page>
	</body>	
</html>