<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
	<head>
		<title>Begin Phenotyping</title>
		<meta http-equiv="Content-Type"	content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">

		<style type="text/css">
			.padleft {
			margin-left: 1em;
		}
    	</style>

		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/lookupList.js"></script>
	</head>

	<body>
		<gui:page>
			<gui:pageHeader name="Begin Phenotyping" />
				<form:form commandName="form" method="post"	action="begin_phenotyping.do">
					<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
					<form:hidden path="formChange" />
					<table style="margin-bottom: 20px;">
						<tr>
							<td>
								<gui:filterBox title="Procedure">
									<table class="filterBox">
										<tr>
											<td>
												<gui:formPopup path="sopName" cssStyle="width: 300px;" onclick="getSop()" />
												<form:hidden path="sopId" />
											</td>
										</tr>
									</table>
								</gui:filterBox>
							</td>
							<td>
								<gui:filterBox title="Cohort">
									<table class="filterBox">
										<tr>
											<td>
												<gui:formPopup path="cohortName" cssStyle="width: 600px;" onclick="getCohort()" />
												<form:hidden path="cohortId" />
											</td>
										</tr>
									</table>
								</gui:filterBox>
							</td>
						</tr>
						<tr>
							<td>
								<gui:filterBox title="Personal Licence">
									<table class="filterBox">
										<tr>
											<td>
												<gui:formPopup path="pilName" cssStyle="width: 300px;" onclick="getPil()" />
												<form:hidden path="pilId" />
												<form:hidden path="personId" />
											</td>
										</tr>
									</table>
								</gui:filterBox>
							</td>
							<td>
								<gui:filterBox title="Project Licence">
									<table class="filterBox">
										<tr>
											<td>
												<gui:formPopup path="pplName" cssStyle="width: 600px;" onclick="getPpl()" />
												<form:hidden path="pplId" />
											</td>
										</tr>
									</table>
								</gui:filterBox>
							</td>
						</tr>
						<tr>
							<td colspan="3">
								<gui:filterBox title="Procedure Date">
									<table class="filterBox">
										<tr>
											<td>
												<form:input path="procedureDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
												<gui:dateTimePicker path="procedureDate" datePicker="true" timePicker="false" autoPopUp="button" />
												<form:errors path="procedureDate" cssClass="formError" />
											</td>
										</tr>
									</table>
								</gui:filterBox>
							</td>
						</tr>
					<table>

					<c:if test="${!empty form.miceInCohort}">
						<gui:mig-box label="Mice">
							<table class="listNonPaginated" id="miceTable">
								<thead class="listNonPaginatedHeader">
									<tr>
  									<th>
											Include?
	                    <input type="checkbox" id="masterSwitch" checked="checked" onClick="checkManipulator(this)"/>
  									</th>
										<th>
											I.D.
										</th>
										<th>
											Status
										</th>
										<th>
											Cage
										</th>
										<th>
											Earmark
										</th>
										<th>
											Gender
										</th>
										<th>
											D.O.B
										</th>
										<th>
											D.O.D
										</th>
										<th>
											Age
										</th>
									</tr>
								</thead>
								<tbody>
									<c:forEach items="${form.miceInCohort}" varStatus="loopStat"
										var="mpd">
										<c:set var="pathRoot" value="miceInCohort[${loopStat.index}]" />

										<gui:toggle-row-class />
										<tr class="${rowClass}">
											<td>
												<form:checkbox path="${pathRoot}.useInProcedure" cssClass="includeMice"/>
												<form:errors path="${pathRoot}.useInProcedure"
													cssClass="formError" />
												<form:hidden path="${pathRoot}.mouse.id" />
											</td>
											<td>
												${mpd.mouse.name} (${mpd.mouse.barcode})
											</td>
											<td>
												<gui:mouseStatus mouse="${mpd.mouse}" />
											</td>
											<td>
												${mpd.mouse.cage.barcode}
											</td>
											<td>
												${mpd.mouse.earmark.description}
											</td>
											<td>
												${mpd.mouse.gender.description}
											</td>
											<td>
												<fmt:formatDate value="${mpd.mouse.birthDate}"
													pattern="dd-MMM-yyyy" />
											</td>
											<td>
												<fmt:formatDate value="${mpd.mouse.deathDate}"
													pattern="dd-MMM-yyyy" />
											</td>
											<td>
												${mpd.mouse.ageString}
												<form:errors path="${pathRoot}.procedureDate"
													cssClass="formError" />
											</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</gui:mig-box>
					</c:if>

					<gui:mig-submit-button />
				</form:form>
		</gui:page>
	</body>

	<script type="text/javascript">
     var oldPil;
     var oldCohort;

     function clearPpl() {
      $("#pplId").val("");
      $("#pplName").val("");
     }

     function updateState() {
      oldPil = $("#pilId").val();
      oldCohort = $("#cohortId").val();
     }

     function getPil() {
      updateState();
      openLookupList('lookup_personal_licence.do','personalLicenceId=pilId,personalLicenceDisplayText=pilName');
     }

     function getCohort() {
      updateState();
      openLookupList('lookup_cohort.do','cohortName=cohortName,cohortId=cohortId');
     }

     function getPpl() {
      updateState();
      openDependentLookupList('lookup_project_licence.do?personId=','personId','Person ID is empty','projectLicenceDisplayText=pplName,projectLicenceId=pplId');
     }

     function getSop() {
      updateState();
      openLookupList('lookup_sop.do','sopName=sopName,sopId=sopId');
     }

     function lookupListPostProcessing() {
      var newPil = $("#pilId").val();
      if (oldPil != newPil) {
          clearPpl();
      }

      var newCohort = $("#cohortId").val();
      if (oldCohort != newCohort) {
        $("#formChange").val("true");
        $("form").submit();
      }
     }
    function checkManipulator(checkBox){
      $(".includeMice").attr("checked", checkBox.checked);
    }
    </script>
</html>
