<%--
Copyright (c) 2007 Genome Research Ltd.

Author: Mouse Informatics Group <team110g@sanger.ac.uk>

Redistribution and use in source and binary forms, with or without modification, are permitted
provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions
and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of
conditions and the following disclaimer in the documentation and/or other materials provided
with the distribution.
3. The name of the author may not be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<gui:docType />
<html>
<head>
<c:set var="title" value="Upload Calorimetry Results" />
<title>${title}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link type="text/css" href="css/migMain.css" rel="stylesheet">
<link type="text/css" href="css/thickbox.css" rel="stylesheet">

<style type="text/css">
			.padleft {
			margin-left: 1em;
		}
    </style>

<script src="js/jquery.js"></script>
<script src="js/thickbox.js"></script>
<script src="js/lookupList.js"></script>
</head>
<body>
<gui:page>
  <gui:pageHeader name="${title}" />
  <form:form commandName="form" method="post" action="upload_calorimetry_data.do" enctype="multipart/form-data">
    <gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable"
      commandName="form" />

    <gui:filterBox title="Personal Licence">
            <gui:formPopup
              path="pilName"
              cssStyle="width: 600px;"
              onclick="getPil()" />
            <form:hidden path="pilId" />
            <form:hidden path="personId" />
    </gui:filterBox>

    <gui:filterBox title="Project Licence">
            <gui:formPopup
              path="pplName"
              cssStyle="width: 600px;"
              onclick="getPpl()" />
            <form:hidden path="pplId" />
    </gui:filterBox>

    <gui:filterBox title="Results File">
      <input type="file" name="uploadFile" size="80" />
    </gui:filterBox>

    <gui:mig-submit-button />
  </form:form>
</gui:page>
</body>
<script type="text/javascript">
  var oldPil;
  function updateState() {
    oldPil = $("#pilId").val();
  }
  function getPil() {
    updateState();
    openLookupList('lookup_personal_licence.do','personalLicenceId=pilId,personalLicenceDisplayText=pilName');
  }
  function getPpl() {
    updateState();
    openDependentLookupList('lookup_project_licence.do?personId=','personId','Person ID is empty','projectLicenceDisplayText=pplName,projectLicenceId=pplId');
  }
  function lookupListPostProcessing() {
    var newPil = $("#pilId").val();
    if (oldPil != newPil) {
      clearPpl();
    }
  }
  function clearPpl() {
    $("#pplId").val("");
    $("#pplName").val("");
  }
</script>
</html>
