<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<c:set var="tbHeight" value="${655}" />
<c:set var="tbWidth" value="${tbHeight * 1.6}" />

<html>
	<head>
		<c:set var="title" value="${form.experimentSet.sop.name} : ${view.cohortName}" />
		<title><c:out value="${title}"/></title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery-calendar.js"></script>
		<script type="text/javascript" src="js/bigInputs.js"></script>
		<script type="text/javascript" src="js/dataCapture.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>

		<style type="text/css">
			@import url(css/bigInputs.css);

			a.buttonLink, a.buttonLink:visited, a.buttonLink:hover, a.buttonLink:link {
				color: #444;
				text-decoration: none;
				font-size: 2.5em;
				font-weight: normal;
				cursor: pointer;
			}
			.bigButton, .bigButton:hover {
				padding: 5px;
				cursor: pointer;
			}

			.hidden {display: none;}
			<%-- bigButtons should have two of these classes at all times
			  - 1 from selected/unselected
			  - 1 from complete/incomplete
			--%>
			.selected {border: 2px solid cornflowerblue;}
			.unselected {border: 2px solid #DDD;}

			.complete {background-color: #A2CD5A}
			.incomplete{background-color: #f1f1f1}

			div.observations {
				overflow: auto;
				height: 86%;
				width: 99%;
				border: 1px solid gray;
			}
		</style>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="${title}" />
			<form:form commandName="form" method="post">

			<div id="topinfo">
				<table>
					<tr>
						<td class="viewLabel">
							Project Licence:
						</td>
						<td class="viewData">
							<c:out value="${view.projectLicence}"/>
						</td>
						<td width="10px" />
						<td class="viewLabel">
							Created:
						</td>
						<td class="viewData">
							<fmt:formatDate value="${form.experimentSet.createdDate}" pattern="dd-MMM-yyyy HH:mm" />
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Personal Licence
						</td>
						<td class="viewData">
							<c:out value="${view.personalLicence}"/>
						</td>
						<td width="10px" />
						<td class="viewLabel">
							Documentation
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${empty form.experimentSet.sop.documentation}">
									None submitted
								</c:when>
								<c:otherwise>
									<c:url value="download_binary_file.do" var="viewLink">
										<c:param name="id" value="${form.experimentSet.sop.documentation.id}" />
									</c:url>
									<gui:link-button href="${viewLink}" text="View" />
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</table>
			</div>

			<c:if test="${form.experimentSet.bloodSampleBarcodesRequiredCount > 0}">
			<div>
				<table style="margin-top: 20px; margin-left: 3px;" cellspacing="1">
					<tr>
            <td style="white-space:nowrap; font-size: 18pt; font-weight: bold; vertical-align: middle; width: 240px; nor">
              Blood Sample Labels
            </td>
						<td onclick="printLabels('PRINT_BATCH_BLOOD_SAMPLE_LABELS','${form.experimentSet.id}')" class="cageButton bigButton unselected incomplete" style="color: #444; text-decoration: none; font-size: 18pt;">
					    Standard
						</td>
            <td onclick="printLabels('PRINT_BATCH_BLOOD_SAMPLE_LABELS_BRADY','${form.experimentSet.id}')" class="cageButton bigButton unselected incomplete" style="color: #444; text-decoration: none; font-size: 18pt;">
              Freezer-safe
            </td>
					</tr>
				</table>
			</c:if>

			<c:set var="experimentsByCage" value="${form.experimentSet.experimentsByCage}" />

			<table style="width: 100%" cellspacing="1">
				<tr>
					<td>
						<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" /><br />
					</td>
				</tr>
			</table>

			<c:if test="${!empty experimentsByCage}">
				<div id="cageSelection">
					<table style="width: 100%; margin-top: 20px;">
						<tr>
							<td style="font-size: 18pt; font-weight: bold; vertical-align: middle; width: 240px;">
								Cages
							</td>
							<td style="text-align: center; vertical-align: middle; width: 75%; font-size: 18pt;">
								<strong>Scan Cage</strong>
								<input id="cageBarcodeInput" style="font-size: 18pt; height: 28px; width: 130px;" onBlur="selectCage(this.value)" onfocus="this.value=''" />
							</td>
							<td style="width: 240px;">&nbsp;</td>
						</tr>
					</table>

					<%-- Menu of cages --%>

					<c:set var="cageCount" value="0" />
					<table style="width: 100%;" cellspacing=4>
						<tr>
							<c:forEach items="${experimentsByCage}" var="entry">
								<c:set var="cageCount" value="${cageCount + 1}" />
								<c:if test="${cageCount > 5 }">
									<c:out value="</tr><tr>" escapeXml="false" />
									<c:set var="cageCount" value="1" />
								</c:if>
								<c:set var="cage" value="${entry.key}" />
								<c:set var="selectionCss" value="complete" />
								<c:forEach items="${entry.value}" var="exp">
									<c:if test="${!exp.complete}">
										<c:set var="selectionCss" value="incomplete" />
									</c:if>
								</c:forEach>

								<td onclick="selectCage('${cage.barcode}');" id="cageButton${cage.barcode}" class="cageButton bigButton unselected ${selectionCss}" style="text-align: center; color: #444; text-decoration: none; font-size: 2.5em;">
								    ${cage.barcode}
								</td>
							</c:forEach>
						</tr>
					</table>
				</div>

				<div id="experimentSelection">
					<c:forEach items="${experimentsByCage}" var="entry">
						<c:set var="cage" value="${entry.key}" />
						<c:set var="experiments" value="${entry.value}" />

						<div class="cageBlock hidden" id="cage${cage.barcode}">
							<table style="width: 100%; margin-top: 30px;">
								<tr>
									<td style="font-size: 18pt; font-weight: bold; vertical-align: middle; width: 240px;">
									<c:choose>
										<c:when test="${!empty cage.id && cage.id > 0}">
											Mice in ${cage.barcode}
											<td style="vertical-align: middle;">
											<gui:link-button text="Print cage label" onclick="printLabels('PRINT_CAGE','${cage.id}')" />
											</td>
										</c:when>
										<c:otherwise>
											Deceased Mice
										</c:otherwise>
									</c:choose>
									</td>
								</tr>
							</table>
							<table width="100%">
								<tr>
									<c:forEach items="${experiments}" var="experiment" varStatus="loopStat">
										<c:if test="${ loopStat.index > 0 && loopStat.index % 5 == 0 }">
											<c:out value="</tr><tr>" escapeXml="false" />
										</c:if>

										<td align="center">
											<c:set var="buttonId" value="expButton${experiment.id}" />
											<c:set var="divId" value="exp${experiment.id}" />

											<c:choose>
												<c:when test="${experiment.complete}">
													<c:set var="compClass" value="complete" />
												</c:when>
												<c:otherwise>
													<c:set var="compClass" value="incomplete" />
												</c:otherwise>
											</c:choose>

											<a href="#TB_inline?1=1&height=${tbHeight}&width=${tbWidth}&inlineId=${divId}&modal=true" class="thickbox buttonLink" onclick="selectExperiment('${experiment.id}',this)">
												<div class="bigButton expButton ${compClass} unselected" id="${buttonId}">
													${experiment.mouse.earmark.description}
													<gui:genderImage gender="${experiment.mouse.gender}" />
													<br />
													${experiment.mouse.barcode}
												</div> </a>
										</td>
									</c:forEach>
								</tr>
							</table>
						</div>
					</c:forEach>
				</div>
			</c:if>

			<div id="submitBlock" style="width: 100%;">
				<table style="width: 100%; margin-top: 30px;">
					<tr>
						<td style="font-size: 18pt; font-weight: bold; vertical-align: middle; width: 240px;">
							<c:choose>
								<c:when test="${form.experimentSet.complete}">
									<c:set var="checkClass" value="enbiggenedInput checkbox_checked" />
								</c:when>
								<c:otherwise>
									<c:set var="checkClass" value="enbiggenedInput checkbox_unchecked" />
								</c:otherwise>
							</c:choose>

							<label class="${checkClass}" for="experimentSet.complete1" style="padding: 5px 32px 5px 0px;">
								Work complete
							</label>
							<form:checkbox path="experimentSet.complete" cssClass="bigInputHidden" onclick="toggleCheckboxLabel(this)" />
						</td>
						<td align="center">
							<input type="submit" value="Done" />
						</td>
						<td style="width: 240px;">&nbsp;</td>
					</tr>
				</table>
			</div>
			<!--
		     Hidden elements to be pulled up by thickbox
		   -->

			<div id="experiments" class="hidden">
				<c:forEach items="${form.experimentSet.experiments}" var="experiment">
					<c:set var="cage" value="${experiment.mouse.cage}" />
					<c:set var="divId" value="exp${experiment.id}" />
					<div class="resultsBlock" id="${divId}">
						<table style="height: 40px; border: 1px solid darkgray; border-bottom: 0px; background-color: lightgrey;">
							<tr>
								<td style="font-size: 20pt; color: white;">
									<c:out value="${cage.barcode} ${experiment.mouse.coatColour.name} ${experiment.mouse.barcode} ${experiment.mouse.earmark.description}" />
									<gui:genderImage gender="${experiment.mouse.gender}" />
								</td>
							</tr>
						</table>
						<div class="observations">
							<gui:datacapture experiment="${experiment}"/>
						</div>

						<table width="100%">
							<tr>
								<td width="17px" id="expReporter${experiment.id}" />
								<td align="left">
									<c:choose>
										<c:when test="${experiment.complete}">
											<c:set var="compChecked" value="checked='checked'" />
											<c:set var="checkClass" value="enbiggenedInput checkbox_checked" />
										</c:when>
										<c:otherwise>
											<c:set var="compChecked" value="" />
											<c:set var="checkClass" value="enbiggenedInput checkbox_unchecked" />
										</c:otherwise>
									</c:choose>

									<c:set var="boxClass" value="cageExp${experiment.mouse.cage.barcode}" />
									<c:set var="boxId" value="expComp${experiment.id}" />

									<label class="${checkClass}" for="${boxId}">
										<strong>Complete</strong>
									</label>
									<input id="${boxId}" type="checkbox" ${compChecked} onclick="toggleCheckboxLabel(this);toggleExpComplete(${experiment.id},this,'${experiment.mouse.cage.barcode}')"	class="${boxClass} bigInputHidden" />
								</td>
								<td align="right">
									<input type="button" value="Close" onClick="tb_remove();" id="close${experiment.id}" />
								</td>
							</tr>
						</table>
					</div>
				</c:forEach>
			</div>
		</form:form>
		</gui:page>
	</body>
</html>
