<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Observation Type Record</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body>
		<gui:page>
			<form:form commandName="form">
				<c:if test="${form.observationType.id == null}">
					<gui:pageHeader name="Create New Observation Type" />
				</c:if>
				<c:if test="${form.observationType.id > 0}">
					<gui:pageHeader
						name='Edit Observation Type # ${form.observationType.id}' />
				</c:if>

				<gui:mig-box label="Required Information">
					<table class="migBoxInner" id="guiTableRequiredDetails">
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Name:
							</td>
							<td class="entryData" width="110px" id="nameField">
								<form:input id="observationTypeName"
									cssStyle="width: 60em;"
									path="observationType.name" />
							</td>
							<td>
								<form:errors path="observationType.name" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel top" id="descLabel" style="width: 20em;">
								Description:
							</td>
							<td class="entryData" width="60em" id="descField">
								<form:textarea id="observationTypeDescription"
									cssStyle="height: 10em; width:60em;"
									path="observationType.description" />
							</td>
							<td>
								<form:errors path="observationType.description"
									cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="typeLabel" style="width: 20em;">
								Underlying Type:
							</td>
							<td class="entryData" id="typeField">
								<form:select path="observationType.observationMetaTypeId">
									<option value='0'>
										Please select...
									</option>
									<form:options items="${metaTypes}" itemValue="id"
										itemLabel="name" />
								</form:select>
							</td>
							<td>
								<form:errors path="observationType.observationMetaTypeId" cssClass="formError" />
							</td>
							<%-- 
			                <td class="entryLabel" id="instrumentLabel">
			                  Record instrument used?
			                </td>
			                <td class="entryData" id="instrumentField">
			                  <form:radiobutton path="observationType.recordInstrument" value="true" />
			                  Yes
			                  <form:radiobutton path="observationType.recordInstrument" value="false" />
			                  No
			                </td>
			                
			                --%>

							<form:hidden path="observationType.recordInstrument" />
						</tr>

					</table>
				</gui:mig-box>
				<gui:mig-box label="Optional Information">
					<table class="migBoxInner" id="guiTableOptionalFields">
						<tr>
							<td class="entryLabel" id="unitsLabel">
								Units:
							</td>
							<td class="entryData">
								<form:input id="observationTypeName"
									cssStyle="width: 10em;"
									path="observationType.units" />
							</td>
							<td>
								<form:errors path="observationType.units" cssClass="formError" />
							</td>

							<td class="entryLabel" id="minLabel">
								Minimum value:
							</td>
							<td class="entryData" id="minField">
								<form:input id="observationTypeRangeMin"
									cssStyle="width: 10em;"
									path="observationType.rangeMin" />
							</td>
							<td>
								<form:errors path="observationType.rangeMin"
									cssClass="formError" />
							</td>

							<td class="entryLabel" id="maxLabel">
								Maximum value:
							</td>
							<td class="entryData" id="maxField">
								<form:input id="observationTypeRangeMax"
									cssStyle="width: 10em;"
									path="observationType.rangeMax" />
							</td>
							<td>
								<form:errors path="observationType.rangeMax"
									cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<c:if test="${!empty form.observationType.restrictedOptions}">
					<gui:mig-box label="Options">
						<table class="migBoxInner">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Name
									</th>
									<th>
										Description
									</th>
									<th>
										Active
									</th>
									<th>
										Display Order
									</th>
								</tr>
							</thead>
							<c:forEach items="${form.observationType.restrictedOptions}"
								var="option" varStatus="optionLoopStatus">

								<gui:toggle-row-class recordId1="${optionLoopStatus.index}"
									recordId2="${option.id}" />
								<c:set var="pathRoot"
									value="observationType.restrictedOptions[${optionLoopStatus.index}]" />

								<tr class="${rowClass}">
									<td>
										<form:input path="${pathRoot}.name" />
										<form:errors path="${pathRoot}.name" cssClass="formError" />
									</td>
									<td>
										<form:input path="${pathRoot}.description" size="30" />
										<form:errors path="${pathRoot}.description"
											cssClass="formError" />
									</td>
									<td>
										<form:checkbox path="${pathRoot}.active" />
										<form:errors path="${pathRoot}.active" cssClass="formError" />
									</td>
									<td>
										<%-- Use the number of options to create a list of possible positions --%>
										<form:select cssClass='statusSelect'
											path="${pathRoot}.orderBy">
											<c:forEach items='${form.observationType.restrictedOptions}'
												varStatus="opt">

												<form:option value="${opt.index + 1}"
													label="${opt.index + 1}" />

											</c:forEach>
										</form:select>
										<form:errors path="${pathRoot}.orderBy" cssClass="formError" />
									</td>
								</tr>
							</c:forEach>
						</table>
					</gui:mig-box>
				</c:if>

				<c:if test="${form.observationType.restrictedOption}">
					<c:url value="edit_restricted_option.do" var="addOptLink">
						<c:param name="observationTypeId"
							value="${form.observationType.id}" />
					</c:url>
					<gui:link-button text="Add new option" href="${addOptLink}" />
				</c:if>


				<div class="submitButtons">
					<gui:mig-submit-button align="left" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
