<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Required Observation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">

		<script src="js/jquery.js"></script>
		<script type="text/javascript">
    
		function setDefaultDisplayName(selectBox) {
			var selectedOpt = selectBox.options[selectBox.selectedIndex];
   
			if (selectedOpt != null && selectedOpt.value != 0) {
				$("#displayName").val(selectedOpt.text);
			}
		}    
    	</script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
				<c:if test="${form.requiredObservation.id == null}">
					<gui:pageHeader name="Create New Required Observation" />
				</c:if>
				<c:if test="${form.requiredObservation.id > 0}">
					<gui:pageHeader name="Edit Required Observation # ${form.requiredObservation.id}" />
				</c:if>

				<gui:mig-box>
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="180px">
								Procedure:
							</td>
							<td class="entryData">
								<form:hidden path="requiredObservation.sopId" />
								${form.requiredObservation.sop.name}
							</td>
							<td>
								<form:errors path="requiredObservation.sopId" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Observation Type:
							</td>
							<td class="entryData">
								<form:select path="requiredObservation.observationTypeId" cssClass='statusSelect'
									onchange="javascript:setDefaultDisplayName(this)">
									<option value='0'>
										Please select observation type
									</option>
									<form:options items="${observationTypes}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td>
								<form:errors path="requiredObservation.observationTypeId" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Display Name:
							</td>
							<td class="entryData">
								<form:input cssClass="migFormTextField" id="displayName"
									cssStyle="width: 180px;" path="requiredObservation.displayName" />
							</td>
							<td>
								<form:errors path="requiredObservation.displayName" cssClass="formError" />
							</td>
						</tr>

						<tr>
							<td class="entryLabel">
								Section Title:
							</td>
							<td class="entryData">
								<form:input cssClass="migFormTextField" id="sectionTitle"
									cssStyle="width: 180px;" path="requiredObservation.sectionTitle" />
							</td>
							<td>
								<form:errors path="requiredObservation.sectionTitle" cssClass="formError" />
							</td>
						</tr>

						<tr>
							<td class="entryLabel">
								Display Order:
							</td>
							<td class="entryData">
								<form:input cssClass="migFormTextField" id="orderBy"
									cssStyle="width: 180px;" path="requiredObservation.orderBy" />
							</td>
							<td>
								<form:errors path="requiredObservation.orderBy" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Mandatory Observation:
							</td>
							<td class="entryData">
								<form:checkbox path="requiredObservation.mandatoryObservation" />
							</td>
							<td>
								<form:errors path='requiredObservation.mandatoryObservation' cssClass='formError' />
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Active:
							</td>
							<td class="entryData">
								<form:checkbox path="requiredObservation.active" />
							</td>
							<td>
								<form:errors path='requiredObservation.active' cssClass='formError' />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				<gui:mig-submit-button align="left" />
			</form:form>
		</gui:page>
	</body>
</html>
