<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Data Capture Option</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body>
		<gui:page>
			<form:form commandName="form">
				<c:if test="${form.restrictedOption.id == null}">
					<gui:pageHeader name="Create Data Capture Option" />
				</c:if>
				<c:if test="${form.restrictedOption.id > 0}">
					<gui:pageHeader name='Edit Data Capture Option # ${form.restrictedOption.id}' />
				</c:if>

				<gui:mig-box>
					<table class="migBoxInner" id="guiTableRequiredDetails">
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Option for Observation Type:
							</td>
							<td class="entryData" width="110px" id="typeField">
								<form:hidden path="restrictedOption.observationTypeId" />
								${form.restrictedOption.observationType.name}
							</td>
							<td>
								<form:errors path="restrictedOption.observationTypeId" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Name:
							</td>
							<td class="entryData" width="110px" id="nameField" colspan="3">
								<form:input id="observationTypeName" cssStyle="width: 60em;"
									path="restrictedOption.name" />
							</td>
							<td>
								<form:errors path="restrictedOption.name" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Description:
							</td>
							<td class="entryData" width="110px" id="descField" colspan="3">
								<form:textarea id="observationTypeDesc" cssStyle="width: 60em; height: 1.5em;"
									path="restrictedOption.description" />
							</td>
							<td>
								<form:errors path="restrictedOption.description" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Order:
							</td>
							<td class="entryData" width="110px" id="descField" colspan="3">
								<form:input id="observationTypeName" cssStyle="width: 60em;"
									path="restrictedOption.orderBy" />
							</td>
							<td>
								<form:errors path="restrictedOption.orderBy" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<gui:mig-submit-button align="left" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
