<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Create/Edit Standard Operating Procedure</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<form:form commandName="form" enctype="multipart/form-data">
				<c:if test="${form.stdOperatingProcedure.id == null}">
					<gui:pageHeader name="Create Standard Operating Procedure" />
				</c:if>
				<c:if test="${form.stdOperatingProcedure.id > 0}">
					<gui:pageHeader name='Edit Standard Operating Procedure # ${form.stdOperatingProcedure.id}' />
				</c:if>

				<gui:mig-box>
					<table class="migBoxInner" id="guiTableRequiredDetails">
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Name:
							</td>
							<td class="entryData" id="nameField">
								<form:input id="sopName" path="stdOperatingProcedure.name" size="80" />
							</td>
							<td>
								<form:errors path="stdOperatingProcedure.name" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Procedure entry:
							</td>
							<td class="entryData" id="typeField">
								<form:select cssClass='statusSelect' path="stdOperatingProcedure.procedureId">
									<option value="0">
										Choose a procedure...
									</option>
									<form:options items="${procedures}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td>
								<form:errors path="stdOperatingProcedure.procedureId" cssClass="formError" />
							</td>
						</tr>
						
						<tr>
							<td class="entryLabel" id="nameLabel" style="width: 20em;">
								Active:
							</td>
							<td class="entryData" id="descField">
								<form:checkbox id="stdOperatingProcedureActive" path="stdOperatingProcedure.active" />
							</td>
							<td>
								<form:errors path="stdOperatingProcedure.active" cssClass="formError" />
							</td>
						</tr>
						<tr>
							<td class="entryLabel" id="docLabel" style="width: 20em;">
								Documentation:
							</td>
							<td class="entryData" id="docField">
								<c:choose>
									<c:when test="${empty form.stdOperatingProcedure.documentation}">
										<input type="file" name="uploadFile" size="80" />
									</c:when>
									<c:otherwise>
										<c:url value="download_binary_file.do" var="viewLink">
											<c:param name="id" value="${form.stdOperatingProcedure.documentation.id}" />
										</c:url>
										<gui:link-button href="${viewLink}" text="View" />
									</c:otherwise>
								</c:choose>
							</td>
							<td>
								<form:errors path="uploadFile" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<c:if test="${!empty form.stdOperatingProcedure.requiredObservations}">
					<gui:mig-box label="Required Observations">
						<table class="migBoxInner">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										Display Name
									</th>
									<th>
										Type
									</th>
									<th>
										Section Title
									</th>
									<th>
										Mandatory
									</th>
									<th>
										Default Value
									</th>
									<th>
										Active
									</th>
									<th>
										Display Order
									</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${form.stdOperatingProcedure.requiredObservations}" var="requiredObservation" varStatus="loopStat">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td class="listCell" style="text-align: center; vertical-align: middle;">
											<a href="view_one_required_observation.do?id=${requiredObservation.id}">
												<img src="images/view.gif">
											</a> &nbsp;
											<control:accessControl roles="admin,mgp-admin" recordOwnerId="${requiredObservation.creatorId}">
												<c:if test="${!requiredObservation.machineData}">
                        
                        <a href="edit_required_observation.do?id=${requiredObservation.id}">
													<img src="images/editIcon.jpg">
												</a>
                        
                        </c:if>
											</control:accessControl>
										</td>
										<c:set var="pathRoot" value="stdOperatingProcedure.requiredObservations[${loopStat.index}]" />
                    
                    <form:hidden path="${pathRoot}.id" />
										<td>
											<form:input path="${pathRoot}.displayName" size="40" />
											<form:errors path="${pathRoot}.displayName" cssClass="formError" />
										</td>
										<td>
											${requiredObservation.observationType.name}
										</td>
										<td>
											<form:input path="${pathRoot}.sectionTitle" size="40" />
											<form:errors path="${pathRoot}.sectionTitle" cssClass="formError" />
										</td>
										<td>
											<form:checkbox path="${pathRoot}.mandatoryObservation" disabled="${requiredObservation.machineData}"/>
											<form:errors path="${pathRoot}.mandatoryObservation" cssClass="formError" />
										</td>
										<td>
											<c:choose>
												<c:when test="${requiredObservation.observationType.restrictedOption}">
													<form:select cssClass='statusSelect' path="${pathRoot}.defaultValue" disabled="${requiredObservation.machineData}">
														<option value="">
															No Default
														</option>
														<form:options items="${requiredObservation.observationType.restrictedOptions}"
															itemValue="id" itemLabel="name" />
													</form:select>
												</c:when>
												<c:otherwise>
													<form:input path="${pathRoot}.defaultValue" disabled="${requiredObservation.machineData}"/>
												</c:otherwise>
											</c:choose>
											<form:errors path="${pathRoot}.defaultValue" cssClass="formError" />
										</td>
										<td>
											<form:checkbox path="${pathRoot}.active" disabled="${requiredObservation.machineData}"/>
											<form:errors path="${pathRoot}.active" cssClass="formError" />
										</td>
										<td>
											<%-- Use the number of required observations to create a list of possible positions --%>
											<form:select cssClass='statusSelect' path="${pathRoot}.orderBy">
												<c:if test="${requiredObservation.orderBy < 1}">
													<form:option value="${requiredObservation.orderBy}"
														label="${requiredObservation.orderBy}" />
												</c:if>
												<c:forEach items='${form.stdOperatingProcedure.requiredObservations}' varStatus="obv">
													<c:set var="displayIndex" value="${obv.index + 1}" />
													<form:option value="${displayIndex}" label="${displayIndex}" />
												</c:forEach>
												<c:if test="${requiredObservation.orderBy > displayIndex}">
													<form:option value="${requiredObservation.orderBy}"
														label="${requiredObservation.orderBy}" />
												</c:if>
											</form:select>
											<form:errors path="${pathRoot}.orderBy" cssClass="formError" />
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</gui:mig-box>
				</c:if>

				<c:if test="${!empty form.stdOperatingProcedure.id}">
					<c:url value="edit_required_observation.do" var="reqObvLink">
						<c:param name="sopId" value="${form.stdOperatingProcedure.id}" />
					</c:url>
					<gui:link-button text="Add new required observation" href="${reqObvLink}" />
				</c:if>
				<p>
					<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				</p>
				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'"  />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
