<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
	<head>
		<title>Phenotyping Work</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script src="js/lookupList.js"></script>
		<script src="js/paginate.js"></script>
		<script src="js/delete.js"></script>
		<script type="text/javascript">
			function clearCohort() {
				document.getElementById("cohortName").value = '';
				document.getElementById("cohortId").value = '';
				filter();
			}

			function doExtraProcessing() {
				lookupListPostProcessing();
			}

			function lookupListPostProcessing() {
				filter();
			}

			function filter() {
				setNewQuery('true');
				submitForm();
			}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader showPrintFrame="true">Phenotyping Work</gui:pageHeader>
			<form:form commandName="searchBean" action="list_experiment_sets.do" method="get">
				<input type="hidden" name="bypassForm" value="true" />
				<gui:filterBox>
					<table>
						<tr>
							<td class="filterData">
								<strong>Procedures:</strong>
								<form:select cssClass="statusSelect" path="experimentSet.sop.procedureId" onchange="filter()">
									<option value="0">
										All
									</option>
									<form:options items="${procedures}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td class="filterData">
								<strong>Complete:</strong>
								<form:select cssClass="statusSelect" path="completed" onchange="filter()">
									<form:option value="" label="All" />
									<form:option value="true" label="Yes" />
									<form:option value="false" label="No" />
								</form:select>
							</td>
							<td class="filterData">
								<strong>Cohort:</strong>
								<form:hidden path="cohortId" />
								<gui:formPopup path="cohortName" cssStyle="width: 200px;" onclick="openLookupList('lookup_cohort.do','cohortName=cohortName,cohortId=cohortId')" />
								<input type="button" class="smallButton" value="clear" onclick="clearCohort();" style="margin-left: 3px;" />
							</td>
							<td>
								<input type="button" value="refresh" class="smallButton" onclick="filter()" />
							</td>
						</tr>
					</table>
				</gui:filterBox>

				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty results}">
						<table class="listPaginated" id="guiTableNameObservationList">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="ID">ID</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="SOP_NAME">SOP</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="COHORT_NAMES">Cohort</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="PROJECT_LICENCE">Project Licence</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="PERSONAL_LICENCE">Personal Licence</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="SCHEDULED_DATE">Scheduled Date</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="PROCEDURE_DATE">Procedure Date</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="COMPLETION_PCT">Completed</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="IS_COMPLETE">Completed Overall</gui:paginate-order-by>
									</th>
								</tr>
							</thead>
							<c:forEach items="${results}" var="record">
								<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
								<tr class="${rowClass}">
									<td class='listCell' align='left' style='vertical-align:middle;white-space:nowrap;'>
										<c:url value="view_one_experiment_set.do" var="viewUrl">
											<c:param value="${record.id}" name="id" />
										</c:url>
										<a href="${viewUrl}"> <img src="images/view.gif" /> </a>

										<control:accessControl roles="admin,mgp-admin,mgp,mouse-user,mts-user" recordOwnerId="${record.creatorId}">
											<c:set var="editAction" value="${sopEditUrlMappings[ record.sopId  ]}" />

                      <c:if test="${empty editAction}">
                        <c:set var="editAction" value="edit_experiment_set.do"/>
                      </c:if>

                      <c:url value="${editAction}" var="editUrl">
												<c:param value="${record.id}" name="id" />
											</c:url>

											<a href="${editUrl}"> <img src="images/editIcon.jpg" /> </a>
											<c:if test="${record.deletable}">
												<c:set var="name" value="Experiment Set ${record.id}" />
												<c:url value="delete_experiment_set.do" var="deleteUrl">
													<c:param value="${record.id}" name="id" />
												</c:url>

												<img src="images/delete.gif" onclick="deleteAlert('${name}','${deleteUrl}')" />
											</c:if>
										</control:accessControl>
									</td>
									<td class='listCell' >
										${record.id}
									</td>
									<td class='listCell' >
										${record.sopName}
									</td>
									<td class='listCell' >
										${record.cohortName}
									</td>
									<td class='listCell' >
										${record.projectLicence}
									</td>
									<td class='listCell' >
										${record.personalLicence}
									</td>
									<td class='listCell' >
										<c:if test="${!empty record.scheduledDate}">
											<fmt:formatDate value="${record.scheduledDate}" pattern="dd-MMM-yyyy" />
										</c:if>
									</td>
									<td class='listCell' >
										<c:if test="${!empty record.startDate}">
											<fmt:formatDate value="${record.startDate}" pattern="dd-MMM-yyyy" />
										</c:if>
									</td>
									<td class='listCell' >
										${record.completedExperimentCount}/${record.experimentCount}
									</td>
									<td class='listCell' >
										<c:if test="${record.complete}">
											<img src="images/ticktrans.gif" />
										</c:if>
									</td>
								</tr>
							</c:forEach>
						</table>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
