<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
	<head>
		<title>Observation Types</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	  <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader>Observation Types</gui:pageHeader>
			<form:form commandName="searchBean" action="list_observation_types.do" method="get">
				<input type="hidden" name="bypassForm" value="true" />
				<gui:filterBox>
					<table>
						<tr>
							<td class="filterData" style="padding-left: 10px">
								<form:select cssClass='statusSelect'
									path="observationType.observationMetaTypeId"
									onchange="setNewQuery('true');submitForm();">
									<option value="0">
										All types
									</option>
									<form:options items="${metaTypes}" itemValue="id"
										itemLabel="name" />
								</form:select>
							</td>
							<td>
								<input type="button" value="refresh" class="smallButton"
									onclick="setNewQuery('true');submitForm();" />
							</td>
							<td>
								<gui:link-button text="Add new observation type" href="edit_observation_type.do"/>
							</td>
						</tr>  
					</table>
				</gui:filterBox>
					<div class="listPaginated">
						<gui:paginate bean="${searchBean}" />
						<c:if test="${!empty results}">
							<table class="listPaginated" id="guiTableNameObservationList">
								<thead class="listPaginatedHeader">
									<tr>
										<th>
											Options
										</th>
										<th>
											<gui:paginate-order-by bean="${searchBean}" orderBy="ID">ID</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by bean="${searchBean}" orderBy="NAME">Name</gui:paginate-order-by>
										</th>
										<th>
											Type
										</th>
										<th>
											<gui:paginate-order-by bean="${searchBean}"
												orderBy="RANGE_MIN">Min</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by bean="${searchBean}"
												orderBy="RANGE_MAX">Max</gui:paginate-order-by>
										</th>
										<th>
											<gui:paginate-order-by bean="${searchBean}" orderBy="UNITS">Units</gui:paginate-order-by>
										</th>
							<%-- Field isn't supported yet			<th>
											<gui:paginate-order-by bean="${searchBean}"
												orderBy="RECORD_INSTRUMENT">Record instrument?</gui:paginate-order-by>
										</th> --%>
									</tr>
								</thead>
								<c:forEach items="${results}" var="record">
									<gui:toggle-row-class recordId1="${searchBean.currentRecordId}"
										recordId2="${record.id}" />
									<tr class="${rowClass}">
										<td class='listCell' align='center'
											style='vertical-align:middle;'>
											<a href="view_one_observation_type.do?id=${record.id}"> <img
													src="images/view.gif"> </a>
											&nbsp;
											<control:accessControl roles="admin,mgp-admin"
												recordOwnerId="${record.creatorId}">
												<a href="edit_observation_type.do?id=${record.id}"><img
														src="images/editIcon.jpg"> </a>
											</control:accessControl>
										</td>
										
										<td class='listCell' align='center'>
											${record.id}
										</td>
										
										<td class='listCell' align="center">
											${record.name}
										</td>
										<td class='listCell' align="center">
											${record.observationMetaType.name}
										</td>
										<td class='listCell' align="center">
											${record.rangeMin}
										</td>
										<td class='listCell' align="center">
											${record.rangeMax}
										</td>
										<td class='listCell' align="center">
											${record.units}
										</td>
										<%-- Field isn't supported yet <td class='listCell' align="center">
											<c:if test="${record.recordInstrument}">
												<img src="images/ticktrans.gif" />
											</c:if> 
										</td>--%>
									</tr>
								</c:forEach>
							</table>
						</c:if>
					</div>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
