<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
	<head>
		<title>Standard Operating Procedures</title>
		<meta http-equiv="Content-Type"	content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	  <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader showPrintFrame="true">Standard Operating Procedures</gui:pageHeader>
			
			<control:accessControl roles="admin,mgp-admin">
				<gui:link-button href="edit_sop.do" text="Add new SOP"/>		
			</control:accessControl>
			
			<form:form commandName="searchBean"	action="list_sops.do" method="get">
				<input type="hidden" name="bypassForm" value="true" />
				
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty results}">
						<table class="listPaginated" id="guiTableNameObservationList">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										Options
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="ID">ID</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}" orderBy="NAME">Name</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by bean="${searchBean}"	orderBy="ACTIVE">Active</gui:paginate-order-by>
									</th>										
							</thead>
							<c:forEach items="${results}" var="record">
								<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
								<tr class="${rowClass}">
									<td class="listCell" align="center"
										style='vertical-align:middle;'>
										<a href="view_one_sop.do?id=${record.id}">
											<img src="images/view.gif">
										</a>
										&nbsp;
										<control:accessControl roles="admin,mgp-admin"
											recordOwnerId="${record.creatorId}">
											<a href="edit_sop.do?id=${record.id}">
												<img src="images/editIcon.jpg">
											</a>
										</control:accessControl>
									</td>
									
									<td class="listCell" align="center">
										${record.id}
									</td>
									
									<td class="listCell" align="center">
										${record.name}
									</td>
									<td class="listCell" align="center">
										<c:if test="${record.active}">
											<img src="images/ticktrans.gif" />
										</c:if>&nbsp;
									</td>
								</tr>
							</c:forEach>
						</table>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
