<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Phenotyping Work</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Phenotyping Work ${record.id}" showPrintFrame="true" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 120px;">
							Procedure:
						</td>
						<td class="viewData" style="width: 180px;">
							<c:out value="${view.sopName}"/>
						</td>
						<td class="viewLabel" style="width: 140px;">
							Personal Licence:
						</td>
						<td class="viewData">
							<c:out value="${view.personalLicence}"/>
						</td>
						<td class="viewLabel" style="width: 200px;">
							Completed:
						</td>
						<td class="viewData" style="width: 130px;">
							<c:out value="${view.complete} (${record.completedExperimentCount}/${record.experimentCount})"/>
						</td>
					</tr>
					<tr>
            <td class="viewLabel">
							Cohort:
						</td>
						<td class="viewData">
							<c:out value="${view.cohortName}"/>
						</td>
						<td class="viewLabel">
							Project Licence:
						</td>
						<td class="viewData">
							<c:out value="${view.projectLicence}"/>
						</td>
						<td class="viewLabel">
							Created:
						</td>
						<td class="viewData">
							<fmt:formatDate value="${record.createdDate}" pattern="dd-MMM-yyyy HH:mm" />
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<gui:mig-box label="Results">
				<table class="migBoxInner" id="resultsTable">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>
								Mouse
							</th>
              <th>
                Cage
              </th>
							<th>
								Complete
							</th>
							<c:forEach items="${record.experiments[0].requirements}" var="requiredObservation">
								<th>
									${requiredObservation.displayName}
								</th>
							</c:forEach>
						</tr>
					</thead>
					<tbody>
						<c:forEach items="${record.experiments}" var="experiment">
							<gui:toggle-row-class />
							<tr class="${rowClass}" id="expRow${experiment.id}">
								<td>
									<c:out value="${experiment.mouse.coatColour.name} ${experiment.mouse.gender.name}
									${experiment.mouse.earmark.name} (${experiment.mouse.barcode})"/>
								</td>
                <td>
                  <c:choose>
                    <c:when test="${!empty experiment.mouse.cage.barcode}">
                      <c:out value="${experiment.mouse.cage.barcode}"/>
                    </c:when>
                    <c:otherwise>
                      N/A
                    </c:otherwise>
                  </c:choose>
                </td>
								<td>
									 <c:out value="${experiment.complete}"/>
								</td>
								<c:forEach items="${experiment.groupedObservations}" var="groupedObs">
									<td>
                    <c:forEach items="${groupedObs}" varStatus="loopStat" var="obs">
                      <c:if test="${!loopStat.first}"><br/></c:if>
										  <c:out value="${obs.displayValue}"/>
                    </c:forEach>
                  </td>
								</c:forEach>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>

