<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Observation Type Detail</title>

		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Observation Type" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Name:
						</td>
						<td class="viewData">
							${record.name}
						</td>
					</tr>

					<tr>
						<td class="viewLabel">
							Description:
						</td>
						<td class="viewData">
							${record.description}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Units:
						</td>
						<td class="viewData">
							${record.units}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Minimum:
						</td>
						<td class="viewData">
							${record.rangeMin}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Maximum:
						</td>
						<td class="viewData">
							${record.rangeMax}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Record Instrument Used:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${record.recordInstrument}">
									Yes
								</c:when>
								<c:when test="${!record.recordInstrument}">
									No
								</c:when>
							</c:choose>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<gui:mig-box label="Underlying Type">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Name:
						</td>
						<td class="viewData">
							${record.observationMetaType.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Description:
						</td>
						<td class="viewData">
							${record.observationMetaType.description}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Active:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${record.observationMetaType.active}">
									Yes
								</c:when>
								<c:when test="${!record.observationMetaType.active}">
									No
								</c:when>
							</c:choose>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<c:if test="${!empty record.restrictedOptions}">
				<gui:mig-box label="Options">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>
									ID
								</th>
								<th>
									Order
								</th>
								<th>
									Name
								</th>
								<th>
									Description
								</th>
							</tr>
						</thead>
						<c:forEach items="${record.restrictedOptions}" var="option" varStatus="optionLoopStatus">
							<gui:toggle-row-class recordId1="${optionLoopStatus.index}" recordId2="${option.id}" />
							<tr class="${rowClass}">
								<td class="listCell">
									${option.id}
								</td>
								<td class="listCell">
									${option.orderBy}
								</td>
								<td class='listCell'>
									${option.name}
								</td>
								<td class='listCell'>
									${option.description}
								</td>
							</tr>
						</c:forEach>
					</table>
				</gui:mig-box>
			</c:if>
		</gui:page>
	</body>
</html>

