<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Standard Operating Procedure Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/jquery-calendar.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/jquery-calendar.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Standard Operating Procedure ${record.id}" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;"> 
							Name: 
						</td>
						<td class="viewData">
							${record.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Terminal Procedure:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${record.procedureEntry.terminal}">
								Yes
								</c:when>
								<c:otherwise>
								No
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Active:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${record.active}">
									Yes
								</c:when>
								<c:otherwise>
									No
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Documentation:
						</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${empty record.documentation}">
									None submitted
								</c:when>
								<c:otherwise>
									<c:url value="download_binary_file.do" var="viewLink">
										<c:param name="id" value="${record.documentation.id}" />
									</c:url>
									<gui:link-button href="${viewLink}" text="View" />
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</table>
			</gui:mig-box>

			<gui:mig-box label="Required Observations">
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>
								Options
							</th>
							<th>
								Display Name
							</th>
							<th>
								Type
							</th>
							<th>
								Active
							</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach items="${record.requiredObservations}" var="requiredObservation">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td class='listCell' align='center' style='vertical-align:middle;'>
									<a href="view_one_required_observation.do?id=${requiredObservation.id}"> <img
											src="images/view.gif"> </a> &nbsp;
									<control:accessControl roles="admin,mgp-admin"
										recordOwnerId="${requiredObservation.creatorId}">
                    
                    <c:if test="${!requiredObservation.machineData}">
                    
										<a href="edit_required_observation.do?id=${requiredObservation.id}"> <img
												src="images/editIcon.jpg"> </a>


                    </c:if>
									</control:accessControl>
								</td>
								<td>
									${requiredObservation.displayName}
								</td>
								<td>
									${requiredObservation.observationType.name}
								</td>
								<td>
									<c:if test="${requiredObservation.active}">
										<img src="images/ticktrans.gif" />
									</c:if>
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</gui:mig-box>

			<gui:mig-box label="Data Capture Preview">
        <gui:datacapture requiredObservations="${record.requiredObservations}"/>
			</gui:mig-box>
		</gui:page>
	</body>
</html>

