<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
		<c:choose>
			<c:when test="${empty form.printer.id}">
				<gui:pageHeader name="Add Printer" />
			</c:when>
			<c:otherwise>
				<gui:pageHeader name="Edit Printer" />
			</c:otherwise>
		</c:choose>
		<form:form commandName="form" method="POST" action="edit_printer.do">
			<gui:error-list title="Form incomplete:" commandName="form" />
		    <br />
		    <gui:mig-box>
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>Network Path</th>
							<th>Model</th>
							<th>Loaded Media</th>
							<th>Description</th>
							<th>Corridor</th>
							<th>Active?</th>
						</tr>
					</thead>
					<tbody class="listNonPaginated">
						<tr valign="top">
							<td>
								<form:input path="printer.sysName" size="40"/>
							</td>
								<td>
									<form:select path="printer.printerModel">
									  <form:option label="-- Select a Model --" value=""/>
                    <c:forEach items="${printerModels}" var="model">
                      <form:option value="${model}"/>
                    </c:forEach>
								   </form:select>
								</td>
							<td>
									<form:select path="printer.loadedMedia">
									  <form:option value=""/>
	                  <c:forEach items="${mediaTypes}" var="media">
                      <form:option value="${media}"/>
                    </c:forEach>
								   </form:select>
							</td>
							<td>
								<form:input path="printer.description" size="50" />
							</td>
							<td>
								<form:input path="printer.corridor" />
							</td>
							<td>
								<form:checkbox path="printer.active" />
							</td>
						</tr>
					</tbody>
				</table>
		    </gui:mig-box>
			<br />
			<div align="center">
				<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'"  />
				&nbsp;
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
			</div>
		</form:form>
	</gui:page>
	</body>
</html>