<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Printers</title>
		<meta http-equiv="Content-Typ content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
    <link type="text/css" href="css/thickbox.css" rel="stylesheet">
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/thickbox.js"></script>
    <script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
	  <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader>
			Printers
			</gui:pageHeader>
      <gui:link-button text="Test A6L Printer" onclick="printLabels('PRINT_TEST_CARD')"/>
			<form:form commandName="form" action="list_printers.do" method="get">
				<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
				<div class="listPaginated">
					<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty printers}">
						<table class="listPaginated">
							<thead class="listPaginatedHeader">
								<tr>
									<th align="center">
										Edit
									</th>
									<th>
										<gui:paginate-order-by orderBy="SYS_NAME" bean="${searchBean}">
											Network Path
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="printer_model" bean="${searchBean}">
											Model
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="loaded_media" bean="${searchBean}">
										    Loaded Media
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="description" bean="${searchBean}">
											Description
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="corridor" bean="${searchBean}">
											Corridor
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="active" bean="${searchBean}">
											Active?
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="edited_by" bean="${searchBean}">
											Last Edited By
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="edit_date" bean="${searchBean}">
											Date
										</gui:paginate-order-by>
									</th>
								</tr>
							</thead>
							<c:forEach items="${printers}" var="record">
								<gui:toggle-row-class recordId1="${searchBean.currentRecordId}" recordId2="${record.id}" />
								<tr class="${rowClass}">
									<td align="center">
										<a href="edit_printer.do?id=${record.id}" title="Edit Printer">
										<img src="images/edit.gif" />
										</a>
									</td>
									<td>
										${record.sysName}
									</td>
									<td>
										${record.printerModel}
									</td>
									<td>
										${record.loadedMedia}
									</td>

									<td>
										${record.description}
									</td>
									<td>
										${record.corridor}
									</td>
									<td>
										<c:choose>
											<c:when test="${record.active}">
												Yes
											</c:when>
											<c:otherwise>
												No
											</c:otherwise>
										</c:choose>
									</td>
									<td>
										${record.editedBy}
									</td>
									<td>
										${record.editDate}
									</td>
								</tr>
							</c:forEach>
						</table>
					</c:if>
				</div>
			</form:form>
		</gui:page>
	</body>
</html>
