<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<style>
			td {font-family:arial; font-size:14px;}
		</style>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Manage Quartz Jobs" />
			<gui:mig-box>
				<table class="migBoxInnerInfo" border=0 style='background:#e7edf3;'>
					<tr>
						<td colspan=2 valign=top>
							<div style='font-size:20px; padding-bottom:8px; color:#555; font-family:arial;'>
								<u>Scheduler Information</u>
							</div>
						</td>
					</tr>

					<tr>
						<td align=left colspan=2 valign=top>
							<table>
								<tr>
									<td valign=top>
										<b>Name:</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.schedulerName}
									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Is Started?</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.started}
									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Is Paused?</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.paused}
									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Running Since:</b>
									</td>

									<td valign=top>

										<fmt:formatDate var="runningSince" value="${quartzInfoBean.runningSince}" pattern="EEEEEE, d MMMMM hh:mm:ss" />

										${runningSince}

									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Tot. Jobs Executed:</b>
									</td>

									<td valign=top>
										${quartzInfoBean.numberJobsExecuted}
									</td>

								</tr>
								<tr>
									<td valign=top>
										<b>Quartz Version:</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.version}
									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Thread Pool Size:</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.threadPoolSize}
									</td>

								</tr>



								<tr>
									<td valign=top>
										<b>Supports Persistence?</b>
									</td>

									<td valign=top>
										${quartzInfoBean.supportingPersistence}
									</td>

								</tr>



								<tr>
									<td valign=top>
										<b>Instance ID:</b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.schedulerInstanceId}
									</td>

								</tr>

								<tr>
									<td valign=top>
										<b>Remote Usage? </b>
									</td>

									<td valign=top>
										${quartzInfoBean.metaData.schedulerRemote}
									</td>

								</tr>



							</table>

						</td>
					</tr>

				</table>

			</gui:mig-box>

			<gui:error-list title="Error:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />

			<div style='font-size:20px; margin-bottom:3px;'>
				Triggers

			</div>
			<form:form commandName="form" method="GET">

				<c:choose>

					<c:when test="${!empty statefulTriggers}">

						<table class="listPaginated" border=0>

							<thead class="listPaginatedHeader">

								<th width='270px'>
									Job-Level Actions
								</th>

								<th width='110px'>
									Schedule
								</th>

								<th>
									Job
								</th>
								<th>
									Group
								</th>

								<th>
									Trigger State
								</th>
								<th>
									Previous Fire Time
								</th>
								<th>
									Next Fire Time
								</th>
							</thead>

							<c:forEach var="record" items="${statefulTriggers}">

								<gui:toggle-row-class />
								<tr class="${rowClass}">

									<td style='white-space: no-wrap;'>


										<c:if test="${record.cronExpression ne 'Firing Now'}">

											<c:choose>
												<c:when test="${record.stateEnum.text eq 'Normal'}">

													<gui:link-button style='margin:10px;width:100px' onclick="document.location='manage_quartz_jobs.do?action=PAUSE&jobName=${record.trigger.jobName}&jobGroup=${record.trigger.jobGroup}';"
														text="Pause" mouseOverColor="yellow" />

												</c:when>

												<c:when test="${record.stateEnum.text eq 'Paused'}">
													<gui:link-button style='margin:10px;width:100px' onclick="document.location='manage_quartz_jobs.do?action=RESUME&jobName=${record.trigger.jobName}&jobGroup=${record.trigger.jobGroup}';"
														text="Resume" mouseOverColor="yellow" />
												</c:when>
											</c:choose>


											<gui:link-button style='margin:10px;width:100px' onclick="document.location='manage_quartz_jobs.do?action=FIRE_NOW&jobName=${record.trigger.jobName}&jobGroup=${record.trigger.jobGroup}';"
												text="Fire Now" mouseOverColor="yellow" />

											<!-- 	private String triggerName;
	private String triggerGroup;
	private String newCronExpression; 
				
		<gui:link-button style='margin:10px;width:100px' 
				onclick="document.location='manage_quartz_jobs.do?action=RESCHEDULE';" 
				text="Resched." mouseOverColor="yellow"  />					
-->

										</c:if>

									</td>


									<td height=50px style='white-space: no-wrap;'>
										<c:choose>
											<c:when test="${record.cronExpression eq 'Firing Now'}">
												<span style='color:red;'>${record.cronExpression}</span>
											</c:when>
											<c:otherwise>
			${record.cronExpression}
			</c:otherwise>

										</c:choose>

									</td>
									<td>
										${record.trigger.jobName}
									</td>
									<td>
										${record.trigger.jobGroup}
									</td>


									<td>
										${record.stateEnum.text}&nbsp;
									</td>

									<td>

										<c:if test="${!empty record.trigger.previousFireTime && record.cronExpression ne 'Firing Now'}">
											<fmt:formatDate var="prevFireDate" value="${record.trigger.previousFireTime}" pattern="EEEEEE, d MMMMM hh:mm:ss a" />
				${prevFireDate}
				</c:if>
										&nbsp;
									</td>


									<td>

										<c:if test="${!empty record.trigger.nextFireTime && record.cronExpression ne 'Firing Now'}">
											<fmt:formatDate var="nextFireDate" value="${record.trigger.nextFireTime}" pattern="EEEEEE, d MMMMM hh:mm:ss a" />
				${nextFireDate}
				</c:if>
										&nbsp;

									</td>

								</tr>

							</c:forEach>

						</table>

					</c:when>

					<c:otherwise>
				    
				    	No Jobs Scheduled
				    	
				    </c:otherwise>

				</c:choose>

			</form:form>

		</gui:page>

	</body>
</html>
