<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Graph Config</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	<script>
		function submitChangeForm(changeFormValue) {
				document.forms[0].changeForm.value = changeFormValue;
				document.forms[0].submit();
			}
	</script>
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">
	<gui:page>
	<form:form commandName="form" method="post" action="graph_config.do">
	<form:hidden path="changeForm" />
	<input type="hidden" name="changeFormValue" value="" />

	<gui:mig-box>
	<table class="migBoxInner">
	<tr>
	<td class="viewLabelSmall">
		Select Page:
	</td>
	<td>
	<form:select path="selectedPageId" onchange="submitChangeForm('pageSelected');">
	<option value="-1" >
		&nbsp;
	</option>
	<form:options items="${form.pages}" itemLabel="name" itemValue="id" />
	</form:select>
	</td>
	</tr>
	</table>
	</gui:mig-box>
	<br>

	<c:if test="${!empty form.selectedPage}">
	<gui:mig-box>
	<table class="migBoxInner">
	<tr>
		<td class="viewLabelSmall">
			Description
		</td>
		<td>
			<form:textarea path="selectedPage.description" cols="100" rows="10" />
		</td>
	</tr>
	</table>
	</gui:mig-box>


	<c:if test="${!empty form.selectedPage.subGroups}">

		<c:forEach items="${form.selectedPage.subGroups}" var="subGroup" varStatus="subIndex">

			<gui:mig-box divId="${subIndex.index}" >
			<table class="migBoxInner">
				<tr>
					<td class="viewLabelSmall" width="60px">
						Name
					</td>
					<td>
						<form:input path="selectedPage.subGroups[${subIndex.index}].name" size="50"/>
					</td>
				</tr>
				<tr>
					<td class="viewLabelSmall">
						Description
					</td>
					<td>
						<form:textarea path="selectedPage.subGroups[${subIndex.index}].description" cols="100" rows="5" />
					</td>
				</tr>
				<tr>
				<c:if test="${!empty subGroup.graphs}">
				<td colspan="2">
				<table class="migBoxInner">
				<tr>
				<th class="viewLabelSmall">View</th>
				<th class="viewLabelSmall">Title</th>
				<th class="viewLabelSmall">Column</th>
				<th class="viewLabelSmall">YAxis Title</th>
				<th class="viewLabelSmall">XAxis Title</th>
				<th class="viewLabelSmall">Background</th>
				<th class="viewLabelSmall">Graph Type</th>
				<th class="viewLabelSmall">XAxis Column</th>
				<th class="viewLabelSmall">Pad X</th>
				<th class="viewLabelSmall">XAxis As Labels</th>
				<th class="viewLabelSmall">Time Axis</th>
				<th class="viewLabelSmall">Scientific Y</th>
				</tr>
				<c:forEach items="${subGroup.graphs}" var="graph" varStatus="graphIndex">
					<tr>
						<td>
							<form:select path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.viewName">
							<option value="-1" >
								&nbsp;
							</option>
							<form:options items="${views}" />
							</form:select>

						</td>
						<td>
							<form:input path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.title" size="30"/>
						</td>
						<td>
							<form:select path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.plotColumn">
							<form:options items="${graph.metaData.viewColumns}"/>
							</form:select>
						</td>
						<td>
							<form:input path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.yaxisTitle" size="30"/>
						</td>
						<td>
							<form:input path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.xaxisTitle" size="30"/>
						</td>
						<td>
							<form:select path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.statBackgroundId">
							<option value="-1" >
								&nbsp;
							</option>
							<form:options items="${statBackgrounds}" itemLabel="name" itemValue="id" />
							</form:select>
						</td>
						<td>
							<form:select path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.graphTypeId">
							<option value="-1" >
								&nbsp;
							</option>
							<form:options items="${graphTypes}" itemLabel="name" itemValue="id" />
							</form:select>
						</td>
						<c:if test="${graph.metaData.graphTypeId == 3}">
						<td>
							${graph.metaData.XAxisColumn}
						</td>
						<td>
							<form:checkbox path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.XPadding" value="${graph.metaData.XPadding}"/>
						</td>
						<td>
							<form:checkbox path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.XAxisAsLabels" value="${graph.metaData.XAxisAsLabels}"/>
						</td>
						<td>
							<form:checkbox path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.timeAxis" value="${graph.metaData.timeAxis}"/>
						</td>
						<td>
							<form:checkbox path="selectedPage.subGroups[${subIndex.index}].graphs[${graphIndex.index}].metaData.scientificYAxis" value="${graph.metaData.scientificYAxis}"/>
						</td>
						</c:if>
					</tr>

				</c:forEach>
				</table>
				</td>
				</c:if>

				</tr>
			</table>
			</gui:mig-box>
			<br>
		</c:forEach>


	</c:if>



	</c:if>


	</form:form>
	</gui:page>
	</body>
</html>

