<%--
Copyright (c) 2007 Genome Research Ltd.

Author: Mouse Informatics Group <team110g@sanger.ac.uk>

Redistribution and use in source and binary forms, with or without modification, are permitted
provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions
and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of
conditions and the following disclaimer in the documentation and/or other materials provided
with the distribution.
3. The name of the author may not be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
<head>
<title>Reservation Update Complete</title>
<link type="text/css" href="css/migMain.css" rel="stylesheet">
</head>

<body>
<gui:page>
  <gui:pageHeader name="Reservation Update Complete" backUrl="simple_search_mice.do" />
  <br />
  <c:if test="${reservation != null}">
  		<div style="width:50%">
	  		<gui:mig-box>
				<table class="migBoxInner">
				    <tr>
				        <td class="viewLabelSmall" align="right">Reserver</td>
				        <td>${reservation.reserver.fullName}</td>
				    </tr>
				    <tr>
				        <td class="viewLabelSmall" align="right">Team</td>
				        <td>${reservation.team.teamNumber} - ${reservation.team.teamName}</td>
				    </tr>
				    <tr>
				        <td class="viewLabelSmall" align="right">Category</td>
				        <td>${reservation.purpose.category.name}</td>
				    </tr>
				    <tr>
				        <td class="viewLabelSmall" align="right">Purpose</td>
				        <td>${reservation.purpose.name}</td>
				    </tr>
				</table>
			</gui:mig-box>
		</div>
  </c:if>
  <table class="listPaginated">
    <thead class="listPaginatedHeader">
      <tr>
        <th>Mouse ID</th>
        <th>Barcode</th>
        <th>Earmark</th>
        <th>Gender</th>
        <th>Birth Date</th>
        <th>Genotype</th>
        <th>Strain</th>
        <th>Status</th>
        <th>Reservation</th>
      </tr>
    </thead>
    <tbody class="listPaginated">
      <c:forEach items="${mice}" var="mouse">
        <gui:toggle-row-class />
        <tr class="${rowClass}">
          <td><c:out value="${mouse.name}" /></td>
          <td><c:out value="${mouse.barcode}" /></td>
          <td><c:out value="${mouse.earmark}" /></td>
          <td><c:out value="${mouse.gender}" /></td>
          <td><fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" /></td>
          <td><c:out value="${mouse.genotype}" /></td>
          <td><c:out value="${mouse.strain}" /></td>
          <td><c:out value="${mouse.status}" /></td>
          <td><c:out value="${mouse.reservation}" /></td>
        </tr>
      </c:forEach>
    </tbody>
  </table>
</gui:page>
</body>
</html>
