<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Intermediate Vector Information</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
    <script type="text/javascript">
		
		function clearFindBy() {
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}
		
		function clearSearch() {
			document.getElementById("intermediateVector.alleleRequest.source.id").selectedIndex = 0;
			document.getElementById("searchBy").selectedIndex = 0;
			document.getElementById("searchString").value = "";
			document.getElementById("searchStringSpan").style.visibility = "hidden";
		}
				
		function emptyField(){
			var searchString = document.getElementById("searchString");
			var c = searchString.value.charAt(0);
			if(c=='<'){
				searchString.value = "";
			}
		}
		
		function showMessage(){

			var searchString = document.getElementById("searchString");
			var searchBy = document.getElementById("searchBy");
			
			if (document.getElementById("searchBy").selectedIndex != 0) {
				document.getElementById("searchStringSpan").style.visibility = "visible";
			
				if(searchBy.value!="") {
			    	searchString.value="<Please enter "+searchBy.options[searchBy.selectedIndex].text+">";
				}else {
				 searchString.value="";
				}
				document.getElementById("intermediateVector.alleleRequest.source.id").selectedIndex = 0;
				document.getElementById("searchString").select();
				document.getElementById("searchString").focus();
			}
			else {
				document.getElementById("searchString").value = '';
				document.getElementById("searchStringSpan").style.visibility = "hidden";
			}
		}
				
		function submitSearch() {
			setNewQuery('true');
			setPaginated('true');
			return true
		}
		
		</script>
	</head>
	<body>
	<gui:page>
		<gui:pageHeader name="Intermediate Vectors" />
		<form:form commandName="searchBean" action="list_intermediate_vectors.do" method="get" onsubmit="return submitSearch();">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<%
			if (request.getParameter("searchString") == null || request.getParameter("searchString").equals("")) {
				%><c:set var="filterValue" value="hidden"></c:set><%
			} else {
				%><c:set var="filterValue" value="visible"></c:set><%
			}%>
			
			<gui:filterBox>
				<table>
					<tr>
						<td class="filterLabel">Source</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="intermediateVector.alleleRequest.source.id"	onchange="clearFindBy(); setNewQuery('true');setPaginated('true'); submitForm();">
								<option value="">
									All
								</option>
								<form:options items="${sources}" itemValue="id" itemLabel="name" />
							</form:select>
						</td>
						<td width="40px" align="center" style="font-weight: bold">OR</td>
						<td class="filterLabel">Find&nbsp;by</td>
						<td class="filterData">
							<form:select cssClass="listFilter" path="searchBy" id="searchBy" onchange="showMessage();">
								<option></option>
								<form:options items="${searchByColumns}" />
							</form:select>
						</td>
						<td class="filterData">
							<span id="searchStringSpan" style="visibility: ${filterValue};">
								<form:input cssClass="searchString" cssStyle="width: 170px" path="searchString" id="searchString" onclick="emptyField();" />
							</span>
						</td>	
					</tr>
				</table>
			</gui:filterBox>
			<div class="submitButtons">
				<input type="submit" value="Search" title="Search" onclick ="setNewQuery('true'); setPaginated('true');" class="search" onmouseover="this.className = 'searchHover'" onmouseout="this.className = 'search'" />
				<input type="button" value="Clear All" title="Clear search fields" onclick = "clearSearch();" class="clearAll" onmouseover="this.className = 'clearAllHover'" onmouseout="this.className = 'clearAll'" />
			</div>
			
			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
					<c:if test="${!empty results}">
						<table class="listPaginated" id="guiTableNameRequestDetails">
							<thead class="listPaginatedHeader">
								<tr>
									<th>
										<gui:paginate-order-by orderBy="gene_name" bean="${searchBean}">
										Gene Name<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="start_exon" bean="${searchBean}">
										Start Exon<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="end_exon" bean="${searchBean}">
										End Exon<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="vega_id" bean="${searchBean}">
										Vega ID<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="design_name" bean="${searchBean}">
										Design Name<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="well" bean="${searchBean}">
										Well<br />
										</gui:paginate-order-by>
									</th>
									<th>
										<gui:paginate-order-by orderBy="plate" bean="${searchBean}">
										Plate<br />
										</gui:paginate-order-by>
									</th>
									<th>
										Bacs<br />
									</th>
								</tr>
							</thead>
							<c:forEach items="${results}" var="record">
								<gui:toggle-row-class recordId1="${searchBean.currentRecordId}"/>
								<tr class="${rowClass}">
									<td>
										<a href="view_one_miggene.do?migGeneId=${record.geneId}">${record.geneName}</a>
									</td>
									<td>
										${record.startExonName}
									</td>
									<td>
										${record.endExonName}
									</td>
									<td>
										<a href="view_one_miggene.do?migGeneId=${record.geneId}">${record.vegaId}</a></td>
									<td>
										<a href="view_one_design.do?id=${record.designId}">${record.designName}</a>
									</td>
									<td>
										${record.well}
									</td>
									<td>
										${record.plate}
									</td>
									<td>
										<c:forEach var="designInstanceBac" items="${record.designInstance.designInstanceBacs}">
											<c:out value="${designInstanceBac.bac.cloneLib.name}"/>
											<c:out value="(${designInstanceBac.bac.remoteCloneId})"></c:out>
											<c:out value=","/>
									    </c:forEach>
									</td>
								</tr>
							</c:forEach>
						</table>
						<gui:paginate-navigation-bar bean="${searchBean}"/>
					</c:if>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>