<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a custom list table body" pageEncoding="UTF-8"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<tbody>
	<gui:toggle-row-reset/>
	<c:forEach items="${_parentTagScoped_customQuery.results}" var="rowData">
		<gui:toggle-row-class/>
		<tr class="${rowClass}" valign="top">
			<c:set var="currentRowData" value="${rowData}" scope="request"/>
			<c:if test="${_parentTagScoped_customQuery.selectableRecords}">
				<td>
					<gui:paginate-checkbox bean="${searchBean}" value="${rowData['RECORD_NUMBER']}" checked="${rowData['SELECTED']}" />
				</td>
			</c:if>
			<jsp:doBody />
			<c:if test="${!empty _parentTagScoped_customQuery.actions}">
				<td nowrap="nowrap">
					<c:forEach items="${_parentTagScoped_customQuery.actions}" var="column">
						<control:accessControl roles="${column.permittedRoles}">
							<c:choose>
								<c:when test="${gui:evalDynamic(rowData[column.queryParam],column.conditionalTest,column.conditionalValue,rowData)}">
									<gui:link-button href="${column.actionUrl}${rowData[column.actionParam]}" text="${column.actionTitle}" />&nbsp;
								</c:when>
								<c:otherwise>
									<gui:link-button href="${column.actionUrl}${rowData[column.actionParam]}" text="${column.actionTitle}" disabled="true"/>&nbsp;
								</c:otherwise>
							</c:choose>
						</control:accessControl>
					</c:forEach>
				</td>
			</c:if>
			<c:forEach items="${_parentTagScoped_customQuery.displayColumns}" var="column">
				<c:choose>
					<c:when test="${gui:evalDynamic(rowData[column.queryParam],column.conditionalTest,column.conditionalValue,rowData)}">
							<td nowrap="nowrap" ${column.columnAttribute}="${column.columnAttributeValue}">
					</c:when>
					<c:otherwise>
							<td nowrap="nowrap">
					</c:otherwise>
				</c:choose>
				<cqi:customQueryField column="${column}" row="${rowData}" /></td>
			</c:forEach>
		</tr>
	</c:forEach>
</tbody>


