<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a Custom Query Field" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<%@attribute name="column" type="uk.ac.sanger.mig.customquery.CustomQueryColumn" required="true" %>
<%@attribute name="row" type="java.util.Map" required="true" %>
<%@attribute name="excel" type="java.lang.Boolean" %>
<c:set var="columnValue" value="${row[column.columnName]}" />
<c:choose>
	<c:when test="${column.datatype eq 'DATE'}">
		<c:choose>
			<c:when test="${!empty column.datatypeFormat}">
				<c:set var="datePattern" value="${column.datatypeFormat}" />
			</c:when>
			<c:otherwise>
				<c:set var="datePattern" value="dd-MMM-yyyy" />
			</c:otherwise>
		</c:choose>
		<fmt:formatDate value="${columnValue}" pattern="${datePattern}" />
	</c:when>
	<c:when test="${column.datatype eq 'BOOLEAN'}">
		<gui:format-boolean booleanValue="${columnValue}"/>
	</c:when>
	<c:when test="${column.datatype eq 'HREF' and excel != true && !empty row[column.datatypeFormat2]}">
		<a href="${column.datatypeFormat}${row[column.datatypeFormat2]}"/><c:out value="${columnValue}" /></a>
	</c:when>
	<c:otherwise>
		<c:out value="${columnValue}" />
	</c:otherwise>
</c:choose>

