<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a elemt for displaying, delting and adding to the plate files" pageEncoding="UTF-8"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>

<%@attribute name="label" required="true"%>
<%@attribute name="files" type="java.util.Collection" required="true"%>
<%@attribute name="prefix" required="true" %>


<gui:mig-box label="${label}">
<table class="migBoxInner" id=""><tr><td>
	<thead class="listNonPaginatedHeader">
		<th>File Name</th>
		<th>Date Uploaded</th>
		<th>Remove</th>
		<th/>
	</thead>
	<tbody id="${prefix}" class="fileBody">
	<gui:toggle-row-reset/>
	<c:if test="${empty files}">
		<gui:toggle-row-class/>
		<tr class="${rowClass}">
			<td colspan="4">No files uploaded</td>
		</tr>
	</c:if>

	<c:forEach items="${files}" var="file" varStatus="loopStat">
		<gui:toggle-row-class/>
		<tr class="${rowClass}">
			<td><c:out value="${file.fileName}"/></td>
			<td><fmt:formatDate value="${file.createdDate}" pattern="dd-MMM-yyyy" /></td>
			<td>
				<form:checkbox path="${prefix}ToDelete[${loopStat.index}]" value="${true}"/>
			</td>
			<td>
				<c:choose>
					<c:when test="${empty file.id}"></c:when>
					<c:when test="${file.imageFile}">
						<a title="${file.fileName}"
							href="download_binary_file.do?id=${file.id}"
							class="thickbox thickbox-image"
							rel="images">
						View
						</a>
					</c:when>
					<c:otherwise>
						<a href="download_binary_file.do?id=${file.id}">
							Download
						</a>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
	</c:forEach>
	<gui:toggle-row-class/>
	<tr class="uploadRow ${rowClass}">
		<td colspan="2"><input type="file" name="${prefix}Upload[0]" id="${prefix}Upload[0]" class="fileUpload" size="60"/></td>
		<td><input type="button" class="smallButton removeRow" value="Remove" style="display: none;"/></td>
		<td/>
	</tr>

	</tbody>
</td></tr></table>
</gui:mig-box>