<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a Genotyping Assay Plate" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<%@attribute name="plate" type="uk.ac.sanger.mig.genotyping.AssayPlate"	required="true"%>
<%@attribute name="index" type="java.lang.Long" required="true"%>
<table style="border-collapse: collapse;" class="plate" id="assayPlate_${index}">
	<c:forEach items="${plate.wellArray}" var="row" varStatus="rowLoop">
		<c:if test="${rowLoop.first}">
			<c:if test="${!empty plate.plateCategory}">
				<tr class="theadList">
					<th colspan="${fn:length(row) + 2}" align="left"><c:out value="Category: ${plate.plateCategory.name}" /></th>
				</tr>
			</c:if>
			<tr class="theadList">
				<th>&nbsp;</th>
				<c:forEach begin="1" end="${fn:length(row)}" var="column">
					<th>${column}</th>
				</c:forEach>
				<th>Allele(s)</th>
			</tr>
		</c:if>
		<tr>
			<c:forEach items="${row}" var="well" varStatus="columnLoop">
				<c:if test="${columnLoop.first}">
					<th><gui:format-char value="${65 + rowLoop.index}" /></th>
				</c:if>
				<td style="width: 82px; height: 60px; text-align: center; vertical-align: middle;" class="plateWell plateWellColour${well.wellTypeDictId}">
					<span class="plateWellText">
					<c:choose>
						<c:when test="${well.wellTypeDictId eq 1}">
							Blank
						</c:when>
						<c:when test="${well.wellTypeDictId eq 2}">
							Control
						</c:when>
						<c:otherwise>
							<a class="thickbox" href="view_genotyping_history.do?id=${well.mouseId}&TB_iframe=true&height=700&width=960"><c:out value="${well.mouse.name}" /></a>
							<br>
								<c:out value="${well.mouse.gender.name}"/>
							<br>
							<c:choose>
								<c:when test="${well.sampleCollected == true}">
									<c:out value="${well.earmark.name}" />
								</c:when>
								<c:when test="${well.sampleCollected == false}">
									(no sample)
								</c:when>
							</c:choose>
						</c:otherwise>
					</c:choose>
					<input type="hidden" class="colonyHighlight${well.mouse.colonyInfo.colonyPrefix}"/>
					</span>
				</td>
			</c:forEach>
			<td>
				<c:forEach items="${gui:getAllelesInRow(plate, rowLoop.index)}" var="allele" varStatus="alleleLoop">
					<a href="view_one_allele_info.do?id=${allele.id}">${allele.htmlAlleleSymbol}</a>
					<c:if test="${!alleleLoop.last}"><br /></c:if>
				</c:forEach>
			</td>
		</tr>
	</c:forEach>
</table>

