<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a list of buttons to print cage cards on a plate."
	pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>

<%@attribute name="cageMap" type="java.util.HashMap" required="true"%>

<c:set var="colCount" value="0" />
<table cellpadding="0" cellspacing="0" style="">
	<tr>
		<c:forEach items="${cageMap}" var="key">
			<td style="padding-top: 10px; width: 186px;">
				<c:choose>
					<c:when test="${fn:length(key.value) > 1}">
						<c:set var="cageList" value="${gui:commaSeparate(key.value,null)}" />
						<input type="button" class="smallButton" onMouseOver="highlightColony('${key.key}')" onmouseout="unhighlightColony('${key.key}')" value="Print ${fn:length(key.value)} ${key.key} Cage Cards" style="width: 170px;" onclick="printLabels('PRINT_CAGE','${cageList}')" />
					</c:when>
					<c:otherwise>
						<c:set var="cageList" value="${gui:commaSeparate(key.value,null)}" />
						<input type="button" class="smallButton" onMouseOver="highlightColony('${key.key}')" onmouseout="unhighlightColony('${key.key}')" value="Print ${fn:length(key.value)} ${key.key} Cage Card" style="width: 170px;" onclick="printLabels('PRINT_CAGE','${cageList})')"/>
					</c:otherwise>
				</c:choose>
			</td>
			<c:set var="colCount" value="${colCount + 1}" />
			<c:if test="${colCount == 6}">
				</tr>
				<tr>
			<c:set var="colCount" value="0" />
			</c:if>
		</c:forEach>
	</tr>
</table>
<script>
function highlightColony(colony){

	$(".colonyHighlight"+colony).parent().parent().each( function() {
		$(this).animate({ backgroundColor: "#992c2c" }, 500)
		.children(".plateWellText").children(".thickbox").animate({ color: "#ffffff" }, 500);
	});

}
function unhighlightColony(colony){

	$(".colonyHighlight"+colony).parent().parent().each( function() {
		//Fade background colour/text colour back to link colour, then remove "color" style (otherwise link styles won't work)
		$(this).animate({ backgroundColor: "#ffeebf" }, 300)
		.children(".plateWellText").children(".thickbox").animate({ color: "#074987" }, 300, function() {$(this).css("color", "")});
	});

}
</script>
