<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a calendar date and/or time picker linked to an input field" pageEncoding="UTF-8"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="gui" prefix="gui"%>

<%@attribute name="path" required="true" %>
<%@attribute name="datePicker" type="java.lang.Boolean" %>
<%@attribute name="timePicker" type="java.lang.Boolean" %>
<%@attribute name="autoPopUp" type="java.lang.String" %>
<%@attribute name="defaultDateField" type="java.lang.String" %>	<!-- ID of field to default date to -->

<c:if test="${empty datePicker}"><c:set var="datePicker" value="true" /></c:if>
<c:if test="${empty timePicker}"><c:set var="timePicker" value="false" /></c:if>
<c:if test="${empty autoPopUp}"><c:set var="autoPopUp" value="button" /></c:if>

<script type="text/javascript">
	$(document).ready(function () {var inputField = document.getElementById('${path}');$(inputField).calendar({ autoPopUp: '${autoPopUp}', datePicker: ${datePicker}, timePicker: ${timePicker}, buttonImage: 'images/calendar.gif', buttonImageOnly: true, defaultDateField: "${defaultDateField}"} ) });
</script>

