<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a view of all files, displaying any images inline" pageEncoding="UTF-8"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<%@attribute name="files" type="java.util.Collection" required="true"%>

<c:if test="${empty files}">
	No files uploaded
</c:if>

<c:forEach items="${files}" var="file">
	<c:if test="${file.imageFile}">

		<c:url value="download_binary_file.do" var="url">
			<c:param name="id" value="${file.id}" />
		</c:url>

		<a href="${url}" title="${file.fileName}" alt="${file.fileName}">
			<img class="uploadedImage" src="${url}" title="${file.fileName}" alt="${file.fileName}" />
		</a>

		<p>
			<c:out value="${file.fileName}" />
			<fmt:formatDate value="${file.createdDate}" pattern="dd-MMM-yyyy" />
		</p>
	</c:if>

</c:forEach>

<c:if test="${!empty files}">
	<table class="listNonPaginated">
		<thead class="listNonPaginatedHeader">
			<tr>
				<th>File</th>
				<th>Uploaded</th>
				<th />
			</tr>
		</thead>
		<tbody>
			<gui:toggle-row-reset />

			<c:forEach items="${files}" var="file">
				<gui:toggle-row-class />
				<tr class="${rowClass}">
					<td><c:out value="${file.fileName}"></c:out></td>
					<td><fmt:formatDate value="${file.createdDate}" pattern="dd-MMM-yyyy" /></td>
					<td>
						<c:url value="download_binary_file.do" var="url">
							<c:param name="id" value="${file.id}" />
						</c:url>
						<gui:link-button href="${url}" text="Download" />
					</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
</c:if>

