<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a Mouse Tracking Litter" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>

<%@attribute name="list" type="java.util.Collection"%>
<%@attribute name="readonly" type="java.lang.Boolean"%>

<table class="listNonPaginated" width="100%">
	<thead class="listNonPaginatedHeader">
		<tr>
			<th>
				Litter
			</th>
			<c:if test="${!readonly}">
				<th>
					Options
				</th>
			</c:if>
			<th>
				Plug Date
			</th>
			<th>
				D.O.B.
			</th>
			<th>
				Born
			</th>
			<th colspan="2">
				<table width="100%" cellspacing="0" cellpadding="0">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th align="center">
								<img src="images/mouse_tracking/male_gender_symbol.gif" height="20px" />
							</th>
							<th align="center">
								<img src="images/mouse_tracking/female_gender_symbol.gif" height="20px" />
							</th>
						</tr>
						<tr>
							<th colspan="2" align="center">
								Weaned
							</th>
						</tr>
					</thead>
				</table>
			<th>
				Died/Used
			</th>
			<th>
				Comments
			</th>
		</tr>
	</thead>
	<c:set var="rowClass" value="odd" />
	<c:forEach items="${list}" var="litter" varStatus="index">
		<gui:toggle-row-class recordId1="${litter.id}" recordId2="${currentRecordId}"/>
		<tr class="${rowClass}">
			<td><a href="view_one_litter.do?id=${litter.id}">${litter.litterName}</a></td>
			<c:if test="${!readonly}">
				<td>
					<table width="100%" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<gui:link-button style="width:80px" href="edit_litter.do?id=${litter.id}" text="edit litter" />
							</td>
						</tr>
						<c:if test="${litter.splittable}">
							<tr>
								<td>
									<gui:link-button style="width:80px" href="edit_litter.do?splitMode=true&id=${litter.id}" text="split sexes"/>
								</td>
							</tr>
						</c:if>
						<c:if test="${index.last and litter.deletable}">
							<tr>
								<td>
									<gui:link-button style="width:80px" onclick="deleteAlert('a litter record','delete_litter.do?id=${litter.id}&breedingId=${litter.breedingId}')" text="delete" cssClass="smallButtonRed"/>
								</td>
							</tr>
						</c:if>
					</table>
				</td>
			</c:if>
			<td>
				<fmt:formatDate value="${litter.plugDate}" pattern="dd-MMM-yyyy"/>
			</td>
			<td><fmt:formatDate value="${litter.birthDate}" pattern="dd-MMM-yyyy"/></td>
			<td>${litter.numberBorn}&nbsp;</td>
			<c:choose>
				<c:when test="${litter.splittable}">
					<td colspan="2" align="center">
						<c:if test="${!empty litter.numberBorn}">${litter.weanedUndefinedGenderCount}</c:if>
						&nbsp;
					</td>
				</c:when>
				<c:otherwise>
					<td>
						<c:if test="${!empty litter.numberBorn}">${litter.weanedMaleCount}</c:if>
						&nbsp;
					</td>
					<td>
						<c:if test="${!empty litter.numberBorn}">${litter.weanedFemaleCount}</c:if>
						&nbsp;
					</td>
				</c:otherwise>
			</c:choose>
			<td>${litter.preweanDeaths}&nbsp;</td>
			<td>
				<c:if test="${litter.notPregnant}">
					<b>Not Pregnant.</b>
				</c:if>
				${litter.comments}&nbsp;
			</td>
		</tr>
	</c:forEach>
</table>