<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a Mouse Tracking Mating Parents section" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<%@attribute name="breeding" type="uk.ac.sanger.mig.mousetracking.Breeding"%>
<%@attribute name="readonly" type="java.lang.Boolean"%>

<table class="listNonPaginated" width="100%">
	<thead class="listPaginatedHeader">
		<tr>
			<th>&nbsp;</th>
			<c:if test="${!readonly eq true}">
				<th>Options</th>
			</c:if>
			<th>I.D.</th>
			<th>D.O.B.</th>
			<th>Earclip</th>
			<th>Genotype</th>
			<th>Generation</th>
		</tr>
	</thead>
	<tr class="odd">
		<td>
			<img src="images/mouse_tracking/male_gender_symbol.gif" height="25px" />
		</td>
		<c:if test="${!readonly eq true}">
			<td>
				<gui:link-button text="edit" href="edit_mouse.do?id=${breeding.male.id}"/>
			</td>
		</c:if>
		<td>
			<a href="view_one_mouse.do?id=${breeding.male.id}">${breeding.male.name}</a>
			<c:if test="${breeding.male.cageId != breeding.female.cageId or breeding.male.dead}">
				<br />
				<i>${breeding.male.location.description}</i>
			</c:if>
		</td>
		<td>
			<fmt:formatDate value="${breeding.male.birthDate}" pattern="dd-MMM-yyyy"/>&nbsp;
		</td>
		<td>
			${breeding.male.earmark.name}&nbsp;
		</td>
		<td>
			<gui:mouseGenotype mouse="${breeding.male}" />&nbsp;
		</td>
		<td>
			${breeding.male.generation}&nbsp;
		</td>
	</tr>
	<tr class="even">
		<td>
			<img src="images/mouse_tracking/female_gender_symbol.gif" height="25px" />
		</td>
		<c:if test="${!readonly eq true}">
			<td>
				<gui:link-button text="edit" href="edit_mouse.do?id=${breeding.female.id}"/>
			</td>
		</c:if>
		<td>
			<a href="view_one_mouse.do?id=${breeding.female.id}">${breeding.female.name}</a>
			<c:if test="${breeding.female.dead}">
				<br />
				<i>${breeding.female.location.description}</i>
			</c:if>
		</td>
		<td>
			<fmt:formatDate value="${breeding.female.birthDate}" pattern="dd-MMM-yyyy"/>&nbsp;
		</td>
		<td>
			${breeding.female.earmark.name}&nbsp;
		</td>
		<td>
			<gui:mouseGenotype mouse="${breeding.female}" />&nbsp;
		</td>
		<td>
			${breeding.female.generation}&nbsp;
		</td>
	</tr>
</table>