<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a mouse genotype string with hyperlinks" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>

<%@attribute name="mouse" type="uk.ac.sanger.mig.mousetracking.Mouse"%>
<%@attribute name="nolink" type="java.lang.Boolean"%>

<c:choose>
	<c:when test="${fn:length(mouse.alleles) < 1}">
		 ${mouse.genotype}
	</c:when>
	<c:otherwise>
		<c:set var="multipleAlleles" value="${fn:length(mouse.alleles) > 1}"/>

		<c:forEach items="${mouse.alleles}" var="allele" varStatus="alleleLoop">
			<c:choose>
				<c:when test="${nolink eq true}">
					<c:choose>
					<c:when test="${multipleAlleles}">
						<c:out value="${allele.genotypeSymbolForMultiAlleleContext}" />
					</c:when>
					<c:otherwise>
						<c:out value="${allele.genotypeSymbol}" />
					</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<a href="view_one_allele_info.do?id=${allele.alleleId}">
						<c:choose>
							<c:when test="${multipleAlleles}"><c:out value="${allele.genotypeSymbolForMultiAlleleContext}" /></c:when>
							<c:otherwise><c:out value="${allele.genotypeSymbol}" /></c:otherwise>
						</c:choose>
					</a>
				</c:otherwise>
			</c:choose>
			<c:if test="${allele.lockedForUpdate}">
				<img src="images/locked.gif" title="Record Locked"/>
			</c:if>
			<c:if test="${!alleleLoop.last}">&nbsp;</c:if>
		</c:forEach>
		<c:if test="${mouse.chimera}">
			<c:out value=" ${mouse.chimericData.percentChimeric}%" />
		</c:if>
	</c:otherwise>
</c:choose>

