<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render fields for procedure / 19b etc" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>

<%@attribute name="title" required="false" %>
<%@attribute name="hideRequiredFieldFlags" type="java.lang.Boolean" required="false" %>

<script src="js/mouse_tracking/licensing.js"></script>

<table class="listNonPaginated" width="99%">
	<c:if test="${!empty title}">
		<thead class="listNonPaginatedHeader">
			<tr>
				<th colspan="2">${title}</th>
			</tr>
		</thead>
	</c:if>
	<jsp:doBody />
	<tr>
		<td class="viewLabelSmall">
			Procedure<c:if test="${!hideRequiredFieldFlags}"><span class='requiredField'>*</span></c:if>
		</td>
		<td>
			<gui:formPopup path="procedureSubform.procedureDisplayText" size="50" onclick="openProcedureLookupList();" />
			<form:hidden path="procedureSubform.procedureId" />
		</td>
	</tr>
	<tr>
		<td class="viewLabelSmall">
			PIL No<c:if test="${!hideRequiredFieldFlags}"><span class='requiredField'>*</span></c:if>
		</td>
		<td>
			<gui:formPopup path="procedureSubform.personalLicenceDisplayText" size="50" onclick="openPersonalLicenceLookupList();" />
			<form:hidden path="procedureSubform.personalLicenceId" />
			<gui:link-button text="My PIL" onclick="populateMyPil('${user.personalLicence.id}','${user.personalLicence.displayText}')"/>
		</td>
	</tr>
	<tr>
		<td class="viewLabelSmall">
			PPL No<c:if test="${!hideRequiredFieldFlags}"><span class="requiredField" style="color:blue">*</span></c:if>
		</td>
		<td>
			<gui:formPopup path="procedureSubform.projectLicenceDisplayText" size="50" onclick="openProjectLicenceLookupList();" />
			<form:hidden path="procedureSubform.projectLicenceId" />
		</td>
	</tr>
	<tr>
		<td class="viewLabelSmall">
			19b<c:if test="${!hideRequiredFieldFlags}"><span class="requiredField" style="color:blue">*</span></c:if>
		</td>
		<td>
			<gui:formPopup path="procedureSubform.protocolDisplayText" size="50" onclick="openDependentLookupList('lookup_protocol.do?projectLicenceId=','procedureSubform.projectLicenceId','Please select a PPL first','protocolId=procedureSubform.protocolId,protocolDisplayText=procedureSubform.protocolDisplayText')" />
			<form:hidden path="procedureSubform.protocolId" />
		</td>
	</tr>
	<tr>
		<td class="viewLabelSmall">Start Date<c:if test="${!hideRequiredFieldFlags}"><span class='requiredField'>*</span></c:if></td>
		<td>
			<form:input path="procedureSubform.procedureStartDate" cssClass="date" onblur="validateDateTime(this, true, false);" />
			<gui:dateTimePicker path="procedureSubform.procedureStartDate" datePicker="true" timePicker="false" autoPopUp="button" />
			<input class="smallButton" type="button" value="Today" onclick="getTodaysDate('procedureSubform.procedureStartDate')" />
		</td>
	</tr>
	<tr>
		<td class="viewLabelSmall">
			&nbsp;
		</td>
		<td>
			<c:if test="${!hideRequiredFieldFlags}"><span class="requiredField" style="color:blue">*</span></c:if>&nbsp;PPL/19b only required for licenced procedures
		</td>
	</tr>
</table>