<%--
 - Copyright (c) 2007 Genome Research Ltd.
 -
 - Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 -
 - Redistribution and use in source and binary forms, with or without
 - modification, are permitted provided that the following conditions are
 - met:
 -
 -  1. Redistributions of source code must retain the above copyright notice,
 -     this list of conditions and the following disclaimer.
 -  2. Redistributions in binary form must reproduce the above copyright
 -     notice, this list of conditions and the following disclaimer in the
 -     documentation and/or other materials provided with the distribution.
 -  3. The name of the author may not be used to endorse or promote products
 -     derived from this software without specific prior written permission.
 -
 - THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 - WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 - MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 - EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 - SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 - PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 - OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 - WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 - OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 - ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>

<%@tag description="Render a Mouse Tracking Stock Cage" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>

<%@attribute name="cage" type="uk.ac.sanger.mig.mousetracking.Cage"%>

<tr valign="top">
	<td width="70%">
		<h1>${cage.cageHeader.colonyName}</h1>
	</td>
	<td align="right" width="15%">
		<h1>${cage.cageHeader.colonyPrefix}</h1>
	</td>
	<td align="right" width="15%">
		<c:set var="maleCount" value="0" />
		<c:set var="femaleCount" value="0" />
		<c:set var="unsexedCount" value="0" />
		<c:forEach items="${cage.contents}" var="mouse">
			<c:if test="${mouse.genderDictId eq 2}">
				<c:set var="maleCount" value="${maleCount + 1}" />
			</c:if>
			<c:if test="${mouse.genderDictId eq 1}">
				<c:set var="femaleCount" value="${femaleCount + 1}" />
			</c:if>
			<c:if test="${mouse.genderDictId eq 3}">
				<c:set var="unsexedCount" value="${unsexedCount + 1}" />
			</c:if>
		</c:forEach>

		<h1>
			<c:if test="${maleCount gt 0}">
				${maleCount}
				<img src="images/mouse_tracking/male_gender_symbol.gif" height="30px" align="top" />
			</c:if>
			<c:if test="${femaleCount gt 0}">
				${femaleCount}
				<img src="images/mouse_tracking/female_gender_symbol.gif" height="30px" align="top"/>
			</c:if>
			<c:if test="${unsexedCount gt 0}">
				${unsexedCount}?
			</c:if>
		</h1>
	</td>
</tr>
