var tickImg = "<img src='images/ticktrans.gif' />";
var crossImg = "<img src='images/delete.gif' />";
var loadingImg = "<img src='images/loading-small.gif' />";

function selectCage(barcode) {
	var trimmedBarcode = $.trim(barcode) ;
	
	unselectExperimentButtons();
	
	$(".cageButton").removeClass("selected").addClass("unselected");
	$("#cageButton"+trimmedBarcode).addClass("selected").removeClass("unselected");
	
	$(".cageBlock").addClass("hidden");	
	$("#cage"+trimmedBarcode).removeClass("hidden");
	
	$("#cageBarcodeInput").val(trimmedBarcode);
}

function unselectExperimentButtons() {
	$(".expButton").removeClass("selected").addClass("unselected");
} 

function selectExperiment(id, link) {
	unselectExperimentButtons();
	$("#expButton"+id).addClass("selected").removeClass("unselected").size();
		
		
	notifyExperimentStart(id);
	
 /* want to select first element, but can't until thickbox has loaded
	* so scheduling code to be run in the near future
	*/
	if ($("#exp"+id).size() > 0) {
		tb_show(null, link.href, null);
		link.blur();
		
		setTimeout(function() {
			var selector = "#expTable"+id+" .exp"+id+":first";
			$(selector).each(function(){this.focus();});
		},1);
	}
	else {
		alert("Could not find the data entry sub page for experiment "+id+". Please contact Team 110.");
	}
}

function recordObservation (id,observationField) {
	if (observationField.type == "radio" && !observationField.checked) {
		return false;
	}
	// a marker used when marking an experiment as complete
	$(observationField).addClass("saving");
	
	var reporter = $("#obvRep"+id);
	reporter.empty();
	reporter.append(loadingImg);
	
	$.ajax({
			type: "POST",
			url: "record_observation.do",
			data:{
				id: id,
				value: observationField.value
			},
			cache: false,
			success: function (data,textStatus) {observationRecorded(data,observationField,reporter);}
	});
}

function observationRecorded (xmlDoc,observationField,reporter) {
		if (checkForTimeout(xmlDoc)) {
			timeoutAlert();
		}
		else {
			
			try {
				var id,valid;
				id =	xmlDoc.getElementsByTagName("objectId")[0].firstChild.nodeValue;
				valid =	(xmlDoc.getElementsByTagName("objectValid")[0].firstChild.nodeValue == "true");
				
				reporter.empty();
				reporter.removeClass("notvalid");
				reporter.removeClass("emptyOption");
				
				if (valid) {
					reporter.append(tickImg);
				}
				else {
					reporter.append(crossImg);
					reporter.addClass("notvalid");
				}
			}
			catch (e) {}
			
			try {
				var value = xmlDoc.getElementsByTagName("objectValue")[0].firstChild.nodeValue;
				$(observationField).val(value);
			} catch(e){}
			// no longer saving this value, can remove the marker
			$(observationField).removeClass("saving");
		}
}

function toggleExpComplete(id,checkbox,cageBarcode) {
	var reporter = $("#expReporter"+id);
	reporter.empty();	
	reporter.append(loadingImg);
	
	if (checkbox.checked) {
		waitOnSaving(id,checkbox,reporter,cageBarcode);
	}
	else {
		waitOnSaving(id,checkbox,reporter,cageBarcode);
	}
}


function waitOnSaving(id,checkbox,reporter,cageBarcode) {
	// don't try to complete while anything is saving
	if ($(".saving").size() > 0) {
		// this is not a recursive call - we are scheduling the function to be called in the future, outside of this scope		
		setTimeout(function(){waitOnSaving(id,checkbox,reporter,cageBarcode);},15);
	}
	else{
		
		// don't bother to submit when there are errors on the form and they want to mark the experiment as complete
		var expReporters = $("#expTable"+id+" .expRep"+id);
		var invalidFields = expReporters.filter(".notvalid");
		var emptyOptions = expReporters.filter(".emptyOption");
		
		var invalidFieldCount = invalidFields.size() + emptyOptions.size();
		if (checkbox.checked && invalidFieldCount > 0) {			
			reporter.empty().append(crossImg);			

			emptyOptions.empty().append(crossImg);
			
			checkbox.checked = false;
			// could be a bigInput check box
			try{
				getLabel(checkbox.id).addClass("checkbox_unchecked").removeClass("checkbox_checked");
			}catch(e){}
			
			updateCageState(cageBarcode);
		}
		else {
			setExpCompleteness(id,checkbox,reporter,cageBarcode);
		}
  }
}

function setExpCompleteness(id,checkbox,reporter,cageBarcode) {
	$.ajax({
			type: "POST",
			url: "record_experiment_complete.do",
			data:{
				id: id,
				complete: checkbox.checked
			},
			cache: false,
			success: function (data,textStatus) {expToggled(data,checkbox,reporter,cageBarcode);}
	});

	  
	
}

function expToggled(xmlDoc,checkbox,reporter,cageBarcode) {
	if (checkForTimeout(xmlDoc)) {
			timeoutAlert();
	}
	else {
			try {
				var obs = xmlDoc.getElementsByTagName("observation");
				
				for (i=0;i<obs.length;i++) {
						var id = obs[i].getAttribute("id");
						var valid = (obs[i].getAttribute("valid") == "true");
						var obsRep = $("#obvRep"+id);
						obsRep.empty();
						if (valid) {
							obsRep.append(tickImg);
						} else {
							obsRep.append(crossImg);
						}
				}
			}
			catch(e){}
			
			try {
				var id,valid;
				reporter.empty();
				
				id =	xmlDoc.getElementsByTagName("id")[0].firstChild.nodeValue;
				valid =	(xmlDoc.getElementsByTagName("valid")[0].firstChild.nodeValue == "true");
				
				if (valid) {
					reporter.append(tickImg);				
				}
				else {
					reporter.append(crossImg);
				}
				
				var proc = xmlDoc.getElementsByTagName("procedure")[0];
				var procRecorded = (proc.getAttribute("recorded") == "true");
				
				if (!procRecorded) {
					$("#expStartRep"+id).empty().append(crossImg);
				}				
			}
			catch (e) {}
			
			try {
				var completed = (xmlDoc.getElementsByTagName("complete")[0].firstChild.nodeValue == "true");
				checkbox.checked = completed;
				if (!completed){
					// could be a bigInput check box
					try{
						getLabel(checkbox.id).addClass("checkbox_unchecked").removeClass("checkbox_checked");
					}catch(e){}
				}
			
				var expButton = $("#expButton"+id);
				
				if (checkbox.checked) {
					expButton.addClass("complete").removeClass("incomplete");	
					tb_remove();
				}
				else {
					expButton.addClass("incomplete").removeClass("complete");	
				}
			}
			catch (e) {}
			
			updateCageState(cageBarcode);
	}
}

function updateCageState(cageBarcode) {

	if (cageBarcode.length > 0) {
		
		button = $("#cageButton"+cageBarcode);
		uncheckedExps = $("input.cageExp"+cageBarcode+":not(:checked)");		
		completed = (uncheckedExps.size() == 0);
		
		if (completed) {
			button.removeClass("incomplete").addClass("complete");
		}
		else {
			button.addClass("incomplete").removeClass("complete");
		}
	}
}

function updateExperimentStart(experimentId) {
	var field = $('#expStart'+experimentId);

	var reporter = $("#expStartRep"+experimentId);
	reporter.empty().append(loadingImg);

	$.ajax({
		type: "POST",
		url: "record_experiment_start.do",
		data:{
			experimentId: experimentId,
			startTime: field.val()
		},
		cache: false,
		success: function (data,textStatus) { startUpdated(reporter,field,data);},
		error: function (request, textStatus, errorThrown) {startUpdateFailed(experimentId,request, textStatus, errorThrown);} 
	}); 
}

function notifyExperimentStart(experimentId) {
	var field = $('#expStart'+experimentId);

	var reporter = $("#expStartRep"+experimentId);
	reporter.empty().append(loadingImg);

	$.ajax({
		type: "POST",
		url: "notify_experiment_start.do",
		data:{
			experimentId: experimentId
		},
		cache: false,
		success: function (data,textStatus) { startUpdated(reporter,field,data);},
		error: function (request, textStatus, errorThrown) {startUpdateFailed(experimentId,request, textStatus, errorThrown);} 
	}); 


}

function startUpdated(reporter, field, xmlDoc) {
	if (checkForTimeout(xmlDoc)) {
		timeoutAlert();
	}
	else {
		var id,errors,date,exception;
		reporter.empty();
		
		
		try {
			id =	xmlDoc.getElementsByTagName("experimentId")[0].firstChild.nodeValue;
			date =	xmlDoc.getElementsByTagName("startTime")[0].firstChild.nodeValue;
		}
		catch (e) {exception = e;}
		
		try {
			var errorTag =	xmlDoc.getElementsByTagName("errors")[0];
			if (errorTag.textContent != null && $.trim(errorTag.textContent).length > 0) {
				errors = $.trim(errorTag.textContent);
			}
		}
		catch (e) {exception = e;}
		
		if (date != null && id != null) {
			$("#procRecorded"+id).show();
		}
		
		
		if (errors == null && id != null && date != null) {
			reporter.append(tickImg);
			var dateStored = $.trim(date);
			field.val(dateStored);
		}
		else if (errors){
			reporter.append(crossImg);
			alert(errors);
		}
	}
}

function deleteProcedure(experimentId,cageBarcode) {
	var msg = "You are about to delete a procedure record.\n\n";
	msg += "Press OK to confirm deletion."
	
	if (confirm(msg)) {
		var field = $('#expStart'+experimentId);

		var reporter = $("#expStartRep"+experimentId);
		reporter.empty().append(loadingImg);
	
		$.ajax({
			type: "POST",
			url: "delete_experiment_procedure.do",
			data:{
				experimentId: experimentId
			},
			cache: false,
			success: function (data,textStatus) { procedureDeleted(reporter,field,experimentId,cageBarcode,data);},
			error: function (request, textStatus, errorThrown) {startUpdateFailed(experimentId,request, textStatus, errorThrown);} 
		});
	}
}

function procedureDeleted(reporter,field,experimentId,cageBarcode,response) {
	if (checkForTimeout(response)) {
		timeoutAlert();
	} else {
		field.val("");
		reporter.empty();
		$('#procRecorded'+experimentId).hide();
				
		// make sure the checkbox and it's label stay in sync
		var checkBoxId = "expComp"+experimentId;
		$('#'+checkBoxId).attr("checked",false);
		getLabel(checkBoxId).addClass("checkbox_unchecked").removeClass("checkbox_checked");
	
		// show that this work isn't considered complete
		$("#expButton"+experimentId).addClass("incomplete").removeClass("complete");
	
		updateCageState(cageBarcode);
	}
}

function timeoutAlert() {
	alert("Your session has timed out.")
}

function checkForTimeout(response) {
	var timedOut = false;
	// todo -- can we make this more robust?
	try {
		var regExp = /Your session was inactive/i;
		timedOut = regExp.test(response);
	}
	catch(e){}
	return timedOut;
}

function startUpdateFailed(experimentId, request, textStatus, errorThrown) {
	$("#expStartRep"+experimentId).empty().append(crossImg);
	alert("An unexpected error has occurred, contact MIG");
}

