

/*
	function to allow only integers
	field = the HTML form field being validated
	range valid values are:
		0> (zero or greater)
		>0 (greater than zero)
		0< (zero or less)
		<0 (less than zero)
*/

function validateIntegerField(field,range) {
	var fieldValue = field.value;
	if(fieldValue === "") {
		return true;
	}

	var intValue = parseInt(fieldValue,10);

	if(isNaN(intValue)) {
		field.value = "";
		window.setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		window.alert("Invalid Number.");
		return false;
	}

	if(range=="0>" && intValue < 0) {
		field.value = "";
		window.setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		window.alert("Number must be zero or greater.");
		return false;
	}
	else if(range == ">0" && intValue <= 0) {
		field.value = "";
		window.setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		window.alert("Number must be greater than zero.");
		return false;
	}
	else if(range == "0<" && intValue > 0) {
		field.value = "";
		window.setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		window.alert("Number must be zero or less.");
		return false;
	}
	else if(range == "<0" && intValue >= 0) {
		field.value = "";
		window.setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		window.alert("Number must be less than zero.");
		return false;
	}

	field.value = intValue;
	return true;
}

/**
	Utility function to clear (ie, set to empty string) arbitrary list of field values in a form.
	Takes one or more string field names for arg(s).
*/
function clearFields() {
	for(var i = 0; i < arguments.length; i++) {
		var field = document.getElementById( arguments[i] );
		if(field && field.value) {
			field.value = "";
		}
	}
}

/**
	Copy the value from a form field into an array of other form fields.
	fromFormField = form element to copy value from
	toFormFieldPattern = array name of fields (e.g. mouse[].deathDate)
*/
function copyValueToArray(fromFormField, toFormFieldPattern) {
	var formElements = document.forms[0].elements;
	var pattern = new RegExp(toFormFieldPattern);

	for(var i=0; i < formElements.length; i++) {
		var result = pattern.test(formElements[i].id);
		if(result) {
			formElements[i].value = fromFormField.value;
		}
	}
}
