
function submitChangeForm(changeAction, changeValue) {
	document.forms[0].changeForm.value = changeAction;
	document.forms[0].changeFormValue.value = changeValue;
	document.forms[0].submit();
}

$(document).ready(function() {
	jQuery.easing.def = "easeInOutSine";

	// set up tabs
	$('#tabsEx1 > ul').tabs({
	fx: { opacity: 'toggle', duration: 'fast' },
		selected: $("#selectedPlateIndex").attr("value")
	});

	$("#selectedPlateIndex").attr("value", "0");

	if(!$.browser.msie){
		if($.browser.safari){
			$(".plateWellOptionsDiv").css("visibility","hidden");
		} else {
			$(".plateWellOptionsDiv").css("display","none");
		}
	}

	// set up well select options
	$(".plateWell")
       	.hover(
       		function() {
       			//show the select list
       			var selectDiv = $(this).children(".plateWellOptionsDiv");
				if($.browser.safari){
					$(selectDiv).css("visibility", "visible");
				} else {
					$(selectDiv).css("display","block");
				}

				var selectField = $(selectDiv).children("select");
				selectField.removeOption(/./); //clears all options
				$("#masterWellOptionList").copyOptions(selectField, "all"); //copies from master option list
				selectField.attr("selectedIndex",0);
			},
       		function() {
       			//hide the select list
       			var selectDiv = $(this).children(".plateWellOptionsDiv");
         		if($.browser.safari){
					selectDiv.css("visibility", "hidden");
				} else if ($.browser.msie) {
					//Do nothing
				} else {
					selectDiv.css("display","none");
				}
       		}
       	);

	$('.plateSelect').bind('blur', function() {
		$(this).attr("selectedIndex",0);
	});

	// highlight td on clicking mouse in list.
	$('.findable').bind('click', function() {
		// mouse name is contained in spans, if selected
		var mouse = $(this).attr('id');
		var span = span = $("span:contains('" + mouse + "')");
		var panelId = $(span).parents("[@id ^= fragment]").attr("id");

		$('.ui-tabs-nav').tabs("select",'#' + panelId);
		$(span).parent().css("backgroundColor", "#992c2c")
		.children(".plateWellText").css("color", "#ffffff");
		//Fade background/text colour and then remove background style
		$(span).parent().animate({ backgroundColor: "#FFEEBF" }, 1800, function() {$(this).css("backgroundColor", "")})
		.children(".plateWellText").animate({ color: "#000000" }, 1500);
	});
});


function selectWellOption(selectField) {
	var mouseNameField = $(selectField).siblings(".plateWellMouseName").children(":only-child");
	var mouseIdField = $(selectField).siblings(".plateWellMouseId").children(":only-child");
	var wellTypeField = $(selectField).siblings(".plateWellType").children(":only-child");
	var textSpan = $(selectField).parent().siblings(".plateWellText");
	var optionText = selectField.options[selectField.selectedIndex].text;
	var parentTd = $(selectField).parent().parent("td");

	var tdClass;
	// assign a mouse to an existing mouse well.
	if(wellTypeField.attr("value") == "3" && selectField.value > 0 ) {
		var mouseName = textSpan.text();
		var mouseId = mouseIdField.attr("value");
		$("#masterWellOptionList").addOption(mouseId, mouseName);

		mouseNameField.attr("value", optionText);
		mouseIdField.attr("value", selectField.value)
		wellTypeField.attr("value", 3); //3 = earclip well.
		// set the TD class
		$(parentTd).attr("class","plateWellColour3");
		$("#masterWellOptionList").removeOption(selectField.value);

		// set the text
		$(textSpan).text(optionText);

	}else if(selectField.value != "") {
		//blank & control are represented as negative numbers to distinguish from mouse IDs
		if(selectField.value < 0) {
			//if switching from a mouse well to a control/blank, then add the mouse back to the option list
			if($(mouseIdField).attr("value") != null) {
				var mouseName = textSpan.text();
				var mouseId = mouseIdField.attr("value");
				$("#masterWellOptionList").addOption(mouseId, mouseName);
			}
			//set form fields for this well
			mouseNameField.attr("value", "");
			mouseIdField.attr("value", "");
			wellTypeField.attr("value", Math.abs(selectField.value));
			// set the TD class
			$(parentTd).attr("class","plateWellColour" + Math.abs(selectField.value));

		}
		//tissue
		else {
			if(mouseIdField.attr("value") != null) {
				var mouseName = textSpan.text();
				var mouseId = mouseIdField.attr("value");
				$("#masterWellOptionList").addOption(mouseId, mouseName);
			}
			//set form fields for this well
			mouseNameField.attr("value", optionText);
			mouseIdField.attr("value", selectField.value)
			wellTypeField.attr("value", 3); //3 = earclip well.
			// set the TD class
			$(parentTd).attr("class","plateWellColour3");
			$("#masterWellOptionList").removeOption(selectField.value);

		}

		// set the text
		$(textSpan).text(optionText);
	}
	// hide the select list
	if($.browser.safari){
		$(selectField).parent().css("visibility","hidden");
	} else if ($.browser.msie) {
		//Do nothing
	} else {
		$(selectField).parent().css("display","none");
	}
}
