/*
 * Copyright (c) 2009 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
	var current = "";
	//var tissue = "";
	//var description = "";
	//var comments = "";
	//var metaId = "";
	//var qc = "";
	//var publish = "";
	var imageWidth = $("#image").attr("width");
	/*
		Initialize Metadata Annotator (MA)
	*/
	function MA_init() {
		$("#MA_size").text( $(".meta").length );
		var index = 0;
		$(".meta").each(function() {
			$(this).attr("index",index++);
		});
	    $(".meta").click(function() {
	    	MA_positionContainer();
	    	MA_show();
			current = $(this).attr("href");
			return MA_load( current );
	    });
	    $("#MA_next").click(function() {
			current =  MA_getNext();
			return MA_load( current );
	    });
	    $("#MA_prev").click(function() {
			current =  MA_getPrev();
			return MA_load( current );
	    });

	    $("#MA_exitSave").click(function() {
			$("#MA_container form").submit();
			MA_close();
	    });

	    $("#MA_nextSave").click(function() {
	    	$("#MA_container form").submit();
			current =  MA_getNext();
			return MA_load( current );
	    });
	    $("#MA_prevSave").click(function() {

			$("#MA_container form").submit();
			current =  MA_getPrev();
			return MA_load( current );
	    });

	    $("#MA_close").click(function() {
			MA_close();
	    });
	    $("#MA_overlay").click(function() {
			MA_close();
	    });

	    //$("#MA_container *").keypress(function (e) {
	    //   if (e.which == 13 && e.explicitOriginalTarget.nodeName != "TEXTAREA" ) {
	    //  	  $("#MA_container form").submit();
		//      current =  MA_getNext();
		//	  return MA_load( current );
	    //   }
	    //});
	}

	function MA_getNext() {
		for(var i = 0; i < $(".meta").length; i++ ) {
			 if(i == $(".meta").length - 1) {
				return $(".meta").eq( 0 ).attr("href");
			 }
			 if ( $(".meta").eq(i).attr("href") === current ) {
			 	return $(".meta").eq(i + 1).attr("href");
			 }
		}
	}

	function MA_getPrev() {
		for(var i = $(".meta").length - 1; i > -1; i-- ) {
			 if(i == 0) {
				return $(".meta").eq( $(".meta").length - 1 ).attr("href");
			 }
			 if ( $(".meta").eq(i).attr("href") === current ) {
			 	return $(".meta").eq(i - 1).attr("href");
			 }
		}
	}

	function MA_load( current ) {
		$('#MA_container input').attr("disabled", "true");
		$("#MA_target").load(current, null, function (responseText, textStatus, XMLHttpRequest) {
			var index = 1 + parseInt( $(".meta[href='"+current+"']").attr("index") );
			$("#MA_currentIndex").text(index);
			$("#pipelineId").hide();
			$('#MA_container input').removeAttr('disabled');
		 	$("#MA_container form").ajaxForm( {error: MA_onError, success: MA_onSucess} );
		});
		return false;
	}

	function MA_onSucess(responseText, statusText)  {
		if( responseText == 'OK' ) {
			MA_updateList();
			MA_notifyUser('Data successfully stored.');
		} else {
			MA_notifyUser('Error submitting data. Please contact mig-help@sanger.ac.uk');
		}
	}

	function MA_onError(responseText, statusText)  {
		MA_notifyUser('Save Error. Please contact mig-help@sanger.ac.uk');
	}

	function MA_close() {
		if($.browser.msie){
			$("#MA_container").hide();
			$("#MA_overlay").hide();
			$("body","html").css({height: "100%", width: "auto"});
			$("html").css("overflow","");
			$(".content").css("overflow","auto");
		} else {
			$("#MA_container").fadeOut(200, function () {$("#MA_overlay").fadeOut(50);});
		}

		$("#pipelineId").show();
		$("#image").attr("width", 0);
		$("#image").attr("src", "images/blank.gif");
	}

	function MA_show() {
		$("#image").attr("width", imageWidth);
		if($.browser.msie){
			var windowHeight = document.body.scrollHeight;
			$("#MA_overlay").css("height", windowHeight);
			$("#MA_overlay").css("top", document.getElementById("content").scrollTop + 'px');
			if(jQuery.browser.version < 7 ) {
				$("#MA_container").css("top", (document.getElementById("content").scrollTop + ((windowHeight - parseInt($("#MA_container").css("height")))/2 -10)));
			}
			$(".content").css("overflow","hidden");
			$("body","html").css({height: "100%", width: "100%"});
			$("html").css("overflow","hidden");
			$("#MA_overlay").show();
			$("#MA_container").show()
		} else {
			$("#MA_overlay").fadeIn(40, function() {$("#MA_container").fadeIn(100)});
		}
	}

	//function MA_getFields(){
	//	tissue = $("#metaData\\.tissueDictId :selected").text();
	//	description = $("#metaData\\.descriptionDictId :selected").text();
	//	comments = $("#metaData\\.comments").val();
	//	metaId = $("#metaData\\.id").val();
	//	qc = (($("input[@name='metaData.qcPass']:checked").val() === "true") ? "Pass" : "Fail");
	//	publish = (document.getElementById("metaData.primaryForTissue1").checked ? "tissue primary" : "");
	//}

	function MA_positionContainer() {
		var MA_width = parseInt($("#MA_container").css("width"));
		var MA_height = parseInt($("#MA_container").css("height"));
		$("#MA_container").css({marginLeft: '-' + parseInt((MA_width / 2),10) + 'px', width: MA_width + 'px'});
		if ( !(jQuery.browser.msie && jQuery.browser.version < 7)) { // take away IE6
		  $("#MA_container").css({marginTop: '-' + parseInt((MA_height / 2),10) + 'px'});
		}
	}


	function MA_notifyUser(msg) {
		$("#MA_message").text(msg);
		setTimeout("$('#MA_message').text('')", 2000);
	}
