function setPaginated(newValue) {
	document.getElementById("paginated").value = newValue;
}

function setNewQuery(newValue) {
	document.getElementById("newQuery").value = newValue;
}

function setOrderBy(newValue) {
	document.getElementById("orderBy").value = newValue;
}

function setOrderDesc(newValue) {
	document.getElementById("orderDesc").value = newValue;
}

function setRetrieveFromSession(newValue) {
	document.getElementById("retrieveFromSession").value = newValue;
}

function setFormParam(paramName, paramValue) {
	var element = document.getElementById(paramName);

	if(element && element.value) {
		element.value = paramValue;
	}
}

function setRecordSetOffset(newValue) {
	document.getElementById("recordSetOffset").value = newValue;
}

function setAllRecords(newValue) {
	document.getElementById("allRecords").value = newValue;
}

function submitForm(formInputElem) {
	if(formInputElem)
		formInputElem.form.submit(); //gets form specific to form input tag child
	else
	 	document.forms[0].submit();
}

function toggleRecordsOnPage(queryName, viewName, globalCheckbox) {
	var checkboxes = document.getElementsByName("paginatedCheckbox");
	for(var i=0; i<checkboxes.length; i++) {
		checkboxes[i].checked = globalCheckbox.checked;
	}
	toggleRecords(queryName, viewName, checkboxes);
}

function toggleOneRecord(queryName, viewName, field) {
	toggleRecords(queryName, viewName, [field]);
}

function toggleRecords(queryName, viewName, fields) {
	var recordNumbers = [];

	for (i = 0; i<fields.length;i++) {
		var recordNumber = fields[i].value;

		if (fields[i].checked) {
    	recordNumbers[i] = recordNumber;
    }
    else {
    	recordNumbers[i] = -recordNumber;
    }
	}

	$.ajax({
			type: "POST",
			url: "toggle_record.do",
			data:{
				queryName: queryName,
				viewName: viewName,
				recordNumber: recordNumbers
			},
			dataType: "xml",
			cache: false,
			success: function(xml){updateSelectedCount(xml);}
		});
}

function updateSelectedCount(xml) {
	var countField = $("#selectedRecordCount");
	if (countField.length > 0) {
		var newCount = $("selectedCount",xml).text() * 1;

		if (countField.is(":input")) {
			countField.val(newCount)
		}
		else {
			countField.text(newCount);
		}
	}
}