var parentElements = new Array();
var DISPLAY_ELEMENT_TRUE = "";
var DISPLAY_ELEMENT_FALSE = "none";

function initElementVisibility() {

	//loop through the form elements to find all elements with a "true" _parentElement attribute 
	for(var ei=0; ei<parentElements.length; ei++)  {

		// examine the current parent element
		var parentElement = document.getElementById(parentElements[ei].id);
		if(parentElement === null) {
			var x= document.getElementsByName(parentElements[ei].id);
			parentElement = x[0];
		}
		
		if(parentElement !== null) {
			toggleChildElementVisibility(parentElement);
		}
	}
}

/*
	Add a form element to the list of parent elements on the page.
	This function takes two arguments:
	"elementId" will resolve to an HTML "ID" attribute or "NAME" attribute of the parent element.	
*/
function addParent(elementId) {

  if(document.getElementById(elementId) || document.getElementsByName(elementId).length == 1) {

	  var parent = new Object();  
	  parent.id = elementId;
	  parent.childElements = new Array(); 

	  parentElements[parentElements.length] = parent;	
  }
  else {
	alert("Invalid call to addParent().\nElement '" + elementId + "' not found.");
  }

}

/*
	This function adds a new child element to the latest parent element.
	"elementId" will resolve to an HTML "ID" attribute or "NAME" attribute of the child element.
	"showForParentValues" is a semi-colon(;) delimited string of values that will cause the child element to be shown.
	"initialValue" is the initial "select option" of the child (used to initialise the form)
	"hiddenValue" is the value the child should have if it is not being diplayed
	"toggleName" will resolve to the HTML "ID" attribute of the element to be shown/hidden by the parent.	
*/
function addChild(elementId, showForParentValues, initialValue, hiddenValue, toggleName) {

  if(parentElements.length === 0) {
	alert("Cannot add child element '" + elementId + "'.\nNo parent elements defined");
	return false;
  }

  if(document.getElementById(elementId) || document.getElementsByName(elementId).length == 1) {
	var child = new Object();
	child.id = elementId;
	child.showForParentValues = showForParentValues;
	child.initalValue = initialValue;
	child.hiddenValue = hiddenValue;
	child.toggleName = toggleName;
	  
	var parent = parentElements[parentElements.length-1];
	parent.childElements[parent.childElements.length] = child;
  }  
}

/*
	toggle the visibility of the children of the element in the method call.
*/
function toggleChildElementVisibility(element) {	

    var elementRegistered;
    var parent;
	for(var i=0; i<parentElements.length; i++) {
		parent = parentElements[i];
		if(parent.id == element.id || parent.id == element.name) {
			elementRegistered = true;
			break;
		}		
	}

	if(!elementRegistered) {
		var elementName = "";

		if(element.id) {
			elementName = element.id;
		}
		else {
			elementName = element.name;
		}

		alert("Cannot call toggleChildElementVisibility().\nElement '" + elementName + "' not registered as a parent.");
		return false;
	}


	// loop through the values for showing dependent element
	// if one of these matches the current value of the select list
	// then set the visibility to true
	var selectedValue;
	if(element.options) {
		selectedValue = element.options[element.selectedIndex].value;
	}
	else if(element.value) {
		selectedValue = element.value;
	}

	// loop though the list of dependent elements and set the visibility and
	// contents according to the displaySetting value.
	var childElements  = parent.childElements;			
	for(var ci=0; ci<childElements.length;  ci++) {

		// set the default visibility to "" (using "" not "block" to work around a Firefox bug)
		var displaySetting = DISPLAY_ELEMENT_FALSE;

		//find the next form element and toggle its contents
		var child = parent.childElements[ci];
		var childElement = document.getElementById(child.id);
		if(childElement === null) {
			var x= document.getElementsByName(child.id);
			childElement = x[0];
		}
		if(childElement !== null) {
			var showChildren = child.showForParentValues.split(";");
			for(var si=0; si<showChildren.length; si++) {		
				if(selectedValue == showChildren[si]) {
					displaySetting =  DISPLAY_ELEMENT_TRUE;
					break;
				}
			}		
			
			if(childElement.type) {			
				// text and textarea
				if(childElement.type == "text" || childElement.type == "textarea" || childElement.type == "hidden")  {
					if(displaySetting == DISPLAY_ELEMENT_FALSE) {
						if(child.hiddenValue) {
							childElement.value = child.hiddenValue;
						}
						else {
							childElement.value = "";
						}
					}
				}
	
				// select-one
				else if(childElement.type == "select-one") {
					if(displaySetting == DISPLAY_ELEMENT_FALSE) {
						if(child.hiddenValue) {
							for(var oi=0; oi<childElement.options.length; oi++) {	
								if(child.hiddenValue == childElement.options[oi].value)  {
									childElement.selectedIndex = oi;
									break;
								}
							}	
						}
						else {
							childElement.selectedIndex = 0;
						}
					}
					else {
						for(var oi=0; oi<childElement.options.length; oi++) {	
							if(child.initialValue == childElement.options[oi].value)  {
								childElement.selectedIndex = oi;
								break;
							}
						}
					}
				}
			}
						
			// check if this element is also a parent and toggle its child elements
			for(var i=0; i<parentElements.length; i++) {
				tempParent = parentElements[i];
				if(tempParent.id == child.id) {
					toggleChildElementVisibility(childElement);
					break;
				}		
			}			
		}
		
		//find the dependent element and toggle visibility
		var elementToToggle  = document.getElementById(child.toggleName);
		elementToToggle.style.display = displaySetting;	
	}
}
