function clearBarcodeFields(barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeReturnTypeFieldId) {
		try {
			document.getElementById(barcodeFieldId).value = "";
		}
		catch(e){}
		try {
			document.getElementById(barcodeDestinationFieldId).value = "";
		}
		catch(e){}
		try {		
			document.getElementById(barcodeDescriptionFieldId).value = "";
		}
		catch(e){}	
		try {		
			document.getElementById(barcodeReturnTypeFieldId).value = "";
		}
		catch(e){}
		return false;
}

function validateBarcode(field, destinationFieldId, objectType, descriptionFieldId, returnTypeFieldId) {
	/*
		copy input values to page scope variables so they're available to other functions
	*/
    var barcodeFieldId = field.id;
    var barcodeDestinationFieldId = destinationFieldId;
    var barcodeDescriptionFieldId = descriptionFieldId;
    var barcodeType = objectType;
    var barcodeReturnTypeFieldId = returnTypeFieldId;
	
	/*
		If the input field is blank, clear the destination and description fields
		(if they exist)
	*/
	if(field.value == "") {
		clearBarcodeFields(barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeReturnTypeFieldId);		
		return false;
	}
	
	$.ajax({
			type: "GET",
			url: "validate_barcode.do",
			data:{
				barcode: field.value,
				type: barcodeType
			},
			cache: false,
			success: function (data,textStatus) {
				barcodeValidated(data,barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeType, barcodeReturnTypeFieldId);
			}
	});
}

function barcodeValidated(xmlDoc,barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeType, barcodeReturnTypeFieldId) {
        
        if(xmlDoc == null) {
        	clearBarcodeFields(barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeReturnTypeFieldId);
            document.getElementById(barcodeFieldId).focus();
        	alert("An unexpected error has occurred.");
        	return false;
        }

        var objectId = "";
        var objectDescription = "";
        var objectBarcode = "";
        var errorText = "";
        var objectType = "";

        try {
            objectId = xmlDoc.getElementsByTagName("objectId")[0].firstChild.nodeValue;
        }
        catch (e) {//no objectId tag found
        }       

        try {
            objectType = xmlDoc.getElementsByTagName("objectType")[0].firstChild.nodeValue;
        }
        catch (e) {//no objectId tag found
        }          

        try {
            objectDescription = xmlDoc.getElementsByTagName("objectBarcodeDescription")[0].firstChild.nodeValue;
        }
        catch (e) {//no objectId tag found
        }        

        try {
            objectBarcode = xmlDoc.getElementsByTagName("objectBarcode")[0].firstChild.nodeValue;
        }
        catch (e) {//no objectBarcode tag found
        }            

        try {
            errorText = xmlDoc.getElementsByTagName("errorText")[0].firstChild.nodeValue;
        }
        catch (e) {//no errorText tag found
        }
        if (errorText != "OK") {
        	clearBarcodeFields(barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeReturnTypeFieldId);
            document.getElementById(barcodeFieldId).focus();
            alert(errorText);
            return false;
        } 
        else if(objectType.toUpperCase() == "CAGE" && barcodeType.toUpperCase() == "MOUSE") {            
        	clearBarcodeFields(barcodeFieldId, barcodeDestinationFieldId, barcodeDescriptionFieldId, barcodeReturnTypeFieldId);    	
	    	openLookupList("lookup_mouse.do?recordType=mouse&bypassForm=true&cageId=" + objectId, "mouseId=" + barcodeDestinationFieldId + ",mouseBarcode=" +barcodeFieldId + ",mouseBarcodeDescription=" + barcodeDescriptionFieldId);	    	
        }
        else {
       		
        	try {
        		document.getElementById(barcodeFieldId).value = objectBarcode;
        	}
        	catch(e) {}
        	try {
	            document.getElementById(barcodeDestinationFieldId).value = objectId;
	        }
	        catch(e){}
            try {
            	document.getElementById(barcodeDescriptionFieldId).value = objectDescription;
            }
            catch(e){}
            try {
            	document.getElementById(barcodeReturnTypeFieldId).value = objectType;
            }
            catch(e){}
            
            try {
            	validateBarcodePostProcess(barcodeFieldId);
            }
            catch(e){}
            
            return true;
        }
    
}