/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

--
-- Create Schema Script 
--   Database Version   : 10.2.0.2.0 
--   TOAD Version       : 8.6.1.0 
--   DB Connect String  : MIGT 
--   Schema             : MIGT 
--   Script Created by  : MIGT 
--   Script Created at  : 03/07/2006 15:42:33 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Indexes: 176       Columns: 190        
--   Procedures: 1      Lines of Code: 40 
--   Sequences: 78 
--   Tables: 118        Columns: 776        Constraints: 173    
--   Triggers: 58 
--   Views: 2           


CREATE SEQUENCE MEV_EVENT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MEV_PROCEDURE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_EXON_SEQ
  START WITH 1178812
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_HOMOLOGY_SEQ
  START WITH 31921
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_CAGE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE LIC_PROJECT_LICENCE_SEQ
  START WITH 93
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE LIC_PERSONAL_LICENCE_SEQ
  START WITH 133
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE LIC_PROTOCOL_19B_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_LOCALE_SEQ
  START WITH 3
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_SET_SEQ
  START WITH 121
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_MOUSE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_MOUSE_PROCEDURE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_BREEDING_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_LITTER_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_EMBRYO_TRANSFER_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_MICRO_INJECTION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_ROOM_SEQ
  START WITH 48
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_ES_CLONE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GENE_EVIDENCE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GO_TERM_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_ASSEMBLY_SEQ
  START WITH 2
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_SEQ
  START WITH 77421
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE GNM_LOCUS_SEQ
  START WITH 1430201
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE PER_PERSON_SEQ
  START WITH 330
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_PERMISSIONS_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_ROLE_SEQ
  START WITH 45
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GENE_SUMMARY_SEQ
  START WITH 1740
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_TEST_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_REQUEST_SEQ
  START WITH 527
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_MOD_TYPE_DICT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_TARGET_DICT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_MODIFIED_ALLELE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_ALLELE_REQUEST_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_ALLELE_MOD_TYPE_DICT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_MODIFIED_ALLELE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_ORGANISATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_ADDRESS_SEQ
  START WITH 21
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_CONACT_TYPE_DICT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE SCHEMA_DOCUMENTATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_INSTITUTION_SEQ
  START WITH 21
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_DEPARTMENT_SEQ
  START WITH 21
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_TRANSCRIPT_SEQ
  START WITH 146721
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE MTS_RACK_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_MGI_PHENOTYPE_ALLELE_SEQ
  START WITH 23750
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_PUBLICATIONS_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_BREEDING_MOUSE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_CAGED_MOUSE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ARTICLE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_AUTHOR_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ARTICLE_2_AUTHOR_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ABSTRACT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_RACKED_CAGE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_REQ_PRIORITY_SEQ
  START WITH 30
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_2_GENE_BUILD_GENE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE TYP_GENOTYPING_PRIMER_PAIR_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_FACULTY_VOTE_SEQ
  START WITH 2481
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE TYP_STRAIN_SEQ
  START WITH 5
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GENE_ARTICLE_REF_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_MICROINJECTION_REQUEST_SEQ
  START WITH 87
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_GENE_SEQ
  START WITH 104710
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_EXTERNAL_SUPPORT_REF_SEQ
  START WITH 4850
  MAXVALUE 999999999999999999999999999
  MINVALUE 2200
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_REQ_STATUS_ID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_MIG_CURATED_STATUS_SEQ
  START WITH 2044
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ALLELE_REQUEST_STATUS_ID_SEQ
  START WITH 962
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_ROOMED_RACK_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_NAME_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_PERSON_2_ROLE_SEQ
  START WITH 192
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_CELL_LINE_SEQ
  START WITH 87
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_EXON_NAME_SEQ
  START WITH 589557
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_TRANSCRIPT_NAME_SEQ
  START WITH 1755458
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_GENE_NAME_SEQ
  START WITH 2990729
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_NAME_SEQ
  START WITH 1326130
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE CRQ_CRYO_REQUEST_SEQ
  START WITH 3
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE REQ_ANIMAL_REQUEST_SEQ
  START WITH 36
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_REQUEST_STATUS_ID_SEQ
  START WITH 36
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE CRQ_CRYO_REQUEST_STATUS_ID_SEQ
  START WITH 7
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE TABLE MIR_MICRO_INJECTION_REQ_AUDIT
(
  ID                INTEGER                     NOT NULL,
  PPL               VARCHAR2(128 BYTE),
  REQUESTOR_NAME    VARCHAR2(128 BYTE),
  REQUESTOR_PIL     VARCHAR2(128 BYTE),
  CELL_LINE_ID      INTEGER,
  TARGETED_GENE_ID  INTEGER,
  ENDPOINT_ID       INTEGER,
  EMBRYO_STAGE      VARCHAR2(128 BYTE),
  EDIT_DATE         DATE,
  PPL_HOLDER        VARCHAR2(128 BYTE),
  REQUESTOR_PHONE   VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL   VARCHAR2(128 BYTE),
  REQUESTOR_TEAM    VARCHAR2(128 BYTE),
  CLONE_ID          VARCHAR2(128 BYTE),
  EDITED_BY         VARCHAR2(128 BYTE),
  STATUS_DICT_ID    NUMBER,
  AUDIT_DATE        DATE                        DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ARTICLE
(
  ID           INTEGER                          NOT NULL,
  PUBMED_ID    VARCHAR2(1024 BYTE)              NOT NULL,
  JOURNAL      VARCHAR2(512 BYTE),
  YEAR         INTEGER,
  ISSUE        VARCHAR2(128 BYTE),
  VOLUME       VARCHAR2(128 BYTE),
  PAGES        VARCHAR2(128 BYTE),
  TITLE        VARCHAR2(4000 BYTE),
  ABSTRACT_ID  INTEGER,
  MEDLINE_ID   VARCHAR2(1024 BYTE),
  AFFILIATION  VARCHAR2(4000 BYTE),
  MONTH        VARCHAR2(128 BYTE),
  DAY          INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ARTICLE_2_AUTHOR
(
  ID          INTEGER,
  ARTICLE_ID  INTEGER,
  AUTHOR_ID   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_AUTHOR
(
  ID        INTEGER,
  LASTNAME  VARCHAR2(1024 BYTE),
  FORENAME  VARCHAR2(1024 BYTE),
  INITIALS  VARCHAR2(1024 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE REQ_ANIMAL_REQUEST
(
  ID                           INTEGER          NOT NULL,
  PROJECT_LICENCE_ID           INTEGER          NOT NULL,
  PERSONAL_LICENCE_ID          INTEGER          NOT NULL,
  REQUEST_REASON               VARCHAR2(4000 BYTE),
  STRAIN_ID                    INTEGER          NOT NULL,
  NUM_MALES_NEEDED             INTEGER,
  NUM_FEMALES_NEEDED           INTEGER,
  DATE_REQUIRED                DATE,
  DESTINATION_ROOM_ID          INTEGER,
  STANDING_ORDER_FREQ          VARCHAR2(256 BYTE),
  STANDING_ORDER_DAY           VARCHAR2(256 BYTE),
  NUMBER_IN_CAGE               INTEGER,
  AGE_MATCHED_LITERMATES       CHAR(1 BYTE),
  IDENTIFICATION               CHAR(1 BYTE),
  REDERIVATION_REQUESTED       CHAR(1 BYTE),
  COMMENTS                     VARCHAR2(4000 BYTE),
  EMBRYO_AGE_NEEDED            VARCHAR2(64 BYTE),
  AGE_OR_WEIGHT_UNITS          VARCHAR2(256 BYTE),
  AGE_OR_WEIGHT                VARCHAR2(256 BYTE),
  FUNDING_SOURCE               VARCHAR2(256 BYTE),
  STATUS_DICT_ID               INTEGER          DEFAULT '1'                   NOT NULL,
  AGE_OR_WEIGHT_VS_EMBRYO_AGE  VARCHAR2(32 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE REQ_ANIMAL_REQUEST_STATUS_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       VARCHAR2(5 BYTE)                 NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_ES_CLONE_2_STRAIN
(
  STRAIN_ID        INTEGER,
  ES_CLONE_ID      INTEGER,
  PERCENT_CONTRIB  FLOAT(126)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_GENOTYPE_TEST
(
  ID                  INTEGER,
  MODIFIED_ALLELE_ID  INTEGER,
  DESCRIPTION         VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_GENOTYPING_PRIMER_PAIR
(
  ID                    INTEGER,
  GENOTYPE_TEST_ID      INTEGER,
  FIVE_PRIMER_FORWARD   VARCHAR2(70 BYTE),
  THREE_PRIMER_REVERSE  VARCHAR2(70 BYTE),
  EXPECTED_SIZE         INTEGER,
  MELT_TEMP             FLOAT(126)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MODIFIED_ALLELE
(
  ID                             INTEGER        NOT NULL,
  LOCUS_ID                       INTEGER,
  GENE_BUILD_GENE_ID             INTEGER,
  MUTATION_NATURE_ID             INTEGER,
  INTERNAL_NAME                  VARCHAR2(512 BYTE),
  OFFICIAL_NAME_SUPERSCRIPT      VARCHAR2(256 BYTE),
  AFFECTS_SINGLE_GENE            NUMBER(1)      NOT NULL,
  IS_HOMOZYGOUS_LETHAL           VARCHAR2(7 BYTE),
  INHERITANCE_MODE_ID            INTEGER,
  HAS_ASSOCIATED_PHENOTYPE       VARCHAR2(7 BYTE),
  PHENOTYPE_DESCRIPTION          VARCHAR2(4000 BYTE),
  AFFECTS_MULTIPLE_GENE_DESCRIP  VARCHAR2(4000 BYTE),
  ALLELE_DESCRIPTION             VARCHAR2(4000 BYTE),
  TEAM_NAME                      VARCHAR2(256 BYTE),
  TEAM_LEADER                    VARCHAR2(256 BYTE),
  OFFICIAL_NAME_SUBSCRIPT        VARCHAR2(256 BYTE),
  MAKER_NAME                     VARCHAR2(256 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN TYP_MODIFIED_ALLELE.GENE_BUILD_GENE_ID IS 'optional ';


CREATE TABLE TYP_MOUSE_2_STRAIN
(
  MOUSE_ID         INTEGER,
  STRAIN_ID        INTEGER,
  PERCENT_CONTRIB  FLOAT(126)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MOUSE_SAMPLE
(
  MOUSE_SAMPLE_ID  INTEGER,
  TISSUE_SOURCE    VARCHAR2(128 BYTE),
  EVENT_ID         INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(
  MOUSE_SAMPLE_GENOTYPE_TEST_ID  INTEGER,
  MOUSE_SAMPLE_ID                INTEGER,
  GENOTYPE_TEST_ID               INTEGER,
  RESULT                         VARCHAR2(128 BYTE),
  PROCESS_STATUS                 VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_JOBS
(
  JOB_SETUP_ID              NUMBER,
  JOB_SETUP_CREATED_BY      VARCHAR2(30 BYTE),
  JOB_SETUP_CREATED_WHEN    DATE,
  JOB_SETUP_CHANGED_BY      VARCHAR2(30 BYTE),
  JOB_SETUP_CHANGED_WHEN    DATE,
  ASSAY_ID                  NUMBER,
  ASSAY_NAME                VARCHAR2(30 BYTE),
  JOB_NAME                  VARCHAR2(30 BYTE),
  JOB_COMMENT               VARCHAR2(255 BYTE),
  JOB_ACQUISITION_ID        NUMBER,
  JOB_STARTED_BY            VARCHAR2(30 BYTE),
  JOB_STARTED_WHEN          DATE,
  JOB_FINISHED_BY           VARCHAR2(30 BYTE),
  JOB_FINISHED_WHEN         DATE,
  INSTRUMENT_ID             NUMBER,
  INSTRUMENT_NAME           VARCHAR2(30 BYTE),
  JOB_RESULT_ID             NUMBER,
  JOB_RESULTS_CREATED_BY    VARCHAR2(30 BYTE),
  JOB_RESULTS_CREATED_WHEN  DATE,
  JOB_RESULTS_CHANGED_BY    VARCHAR2(30 BYTE),
  JOB_RESULTS_CHANGED_WHEN  DATE,
  JOB_RESULTS_COMMENT       VARCHAR2(255 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_PLATES
(
  PLATE_TYPE                 VARCHAR2(30 BYTE),
  PLATE_TYPE_NAME            VARCHAR2(30 BYTE),
  PLATE_TYPE_ORDER           NUMBER,
  PLATE_NAME                 VARCHAR2(30 BYTE),
  PLATE_BARCODE              VARCHAR2(30 BYTE),
  PLATE_COMMENT              VARCHAR2(255 BYTE),
  PLATE_ID                   NUMBER,
  JOB_RESULT_ID              NUMBER,
  PLATE_RESULTS_COMMONLABEL  VARCHAR2(30 BYTE),
  PLATE_ACQUISITION_BARCODE  VARCHAR2(30 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_SAMPLES
(
  SAMPLE_SIP_ORDER       NUMBER,
  SAMPLE_ID              NUMBER,
  PLATE_ID               NUMBER,
  CHIP_LANE              NUMBER,
  SAMPLE_X_COORDINATE    NUMBER,
  SAMPLE_Y_COORDINATE    NUMBER,
  SAMPLE_TYPE            VARCHAR2(5 BYTE),
  SAMPLE_NAME            VARCHAR2(30 BYTE),
  SAMPLE_SETUP_COMMENT   VARCHAR2(255 BYTE),
  SAMPLE_RESULT_RULE_ID  NUMBER,
  SAMPLE_RESULT_LABEL    VARCHAR2(255 BYTE),
  SAMPLE_RESULT_COLOR    NUMBER,
  SAMPLE_RESULT_COMMENT  VARCHAR2(255 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_SAMPLE_PROPERTIES
(
  SAMPLE_ID                    NUMBER,
  CHIP_SERIAL_ID               VARCHAR2(30 BYTE),
  CHIP_USE_COUNT_ALL           NUMBER,
  SAMPLE_CHIP_USE_COUNT        NUMBER,
  SAMPLE_CHIP_REPLENISH_COUNT  NUMBER,
  JOB_ACQUISITION_ID           NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_ASSAYS
(
  ASSAY_ID            NUMBER,
  ASSAY_NAME          VARCHAR2(30 BYTE),
  ASSAY_CREATED_BY    VARCHAR2(30 BYTE),
  ASSAY_CREATED_WHEN  DATE,
  ASSAY_CHANGED_BY    VARCHAR2(30 BYTE),
  ASSAY_CHANGED_WHEN  DATE,
  ASSAY_COMMENT       VARCHAR2(255 BYTE),
  ASSAY_FAMILY        NUMBER,
  ASSAY_CLASS         NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_CHIPS
(
  CHIP_ID                    NUMBER,
  CHIP_SERIAL_ID             VARCHAR2(30 BYTE),
  CHIP_TYPE_PRODUCT_NO       VARCHAR2(30 BYTE),
  CHIP_USE_COUNT_ALL         NUMBER,
  CHIP_COMMENT               VARCHAR2(255 BYTE),
  CHIP_MANUFACTURED          DATE,
  CHIP_MAX_USE_COUNT_SAMPLE  NUMBER,
  CHIP_USE_COUNT_SAMPLE      NUMBER,
  CHIP_MAX_REPLENISH_COUNT   NUMBER,
  CHIP_REPLENISH_COUNT       NUMBER,
  CHIP_FIRST_USED            DATE,
  CHIP_LAST_USED             DATE,
  CHIP_LAST_REPLENISHED      DATE,
  CHIP_TYPE_NAME             VARCHAR2(30 BYTE),
  CHIP_TYPE_CONFIGURATION    CLOB,
  CHIP_TYPE_COMMENT          VARCHAR2(255 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_JOB_CHIPS
(
  JOB_ACQUISITION_ID  NUMBER,
  CHIP_ID             NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_STUDIES
(
  STUDY_ID                    NUMBER,
  STUDY_NAME                  VARCHAR2(30 BYTE),
  STUDY_CREATED_BY            VARCHAR2(30 BYTE),
  STUDY_CREATED_WHEN          DATE,
  STUDY_CHANGED_BY            VARCHAR2(30 BYTE),
  STUDY_CHANGED_WHEN          DATE,
  STUDY_COMMENT               VARCHAR2(255 BYTE),
  STUDY_RESULT_CONFIGURATION  CLOB
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_MOD_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST
(
  ID                         NUMBER             NOT NULL,
  REQUESTER_PERSON_ID        NUMBER,
  TARGET_ENDPOINT_DICT_ID    NUMBER,
  EDIT_DATE                  DATE,
  COMMENTS                   VARCHAR2(2048 BYTE),
  RESEARCHER_PERSON_ID       NUMBER,
  REQUEST_REASONING          VARCHAR2(2048 BYTE),
  MUTATION_PLAN              VARCHAR2(2048 BYTE),
  KNOCKOUT_EXISTS            VARCHAR2(32 BYTE),
  KNOCKOUT_EXISTS_REFERENCE  VARCHAR2(4000 BYTE),
  ALLELE_NATURE              VARCHAR2(4000 BYTE),
  REQUEST_PRIORITY           INTEGER,
  GENE_ID                    INTEGER,
  REVIEW_COMMENTS            VARCHAR2(4000 BYTE),
  RESEARCHER_NAME            VARCHAR2(4000 BYTE),
  ALLELE_MOD_TYPE_DICT_ID    NUMBER,
  ALLELE_MOD_OTHER_EXPLN     VARCHAR2(4000 BYTE),
  MGP_PHENOTYPING_REQUIRED   NUMBER(1)          DEFAULT 0,
  STATUS_DICT_ID             INTEGER,
  EDITED_BY                  VARCHAR2(128 BYTE),
  REQUEST_SOURCE_DICT_ID     NUMBER,
  GENE_PUBLICATIONS          VARCHAR2(4000 BYTE),
  MOUSE_PUBLICATIONS         VARCHAR2(4000 BYTE),
  UNEXPECTED_PHENOTYPE_OK    NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          192K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN ARQ_ALLELE_REQUEST.REQUEST_PRIORITY IS 'rank the requester gives to this request';


CREATE TABLE ARQ_ALLELE_REQUEST_STATUS
(
  ALLELE_REQUEST_STATUS_ID  NUMBER              NOT NULL,
  ALLELE_REQUEST_ID         NUMBER              NOT NULL,
  STATUS                    VARCHAR2(32 BYTE),
  TIMESTAMP                 DATE,
  PERSON_ID                 NUMBER,
  STATUS_ID                 NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_MODIFIED_LOCUS
(
  MODIFIED_LOCUS_ID  NUMBER                     NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_REQUEST_2_MODIFIED_ALLELE
(
  ALLELE_REQUEST_ID   INTEGER,
  MODIFIED_ALLELE_ID  INTEGER,
  TIMESTAMP           DATE                      DEFAULT SYSDATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_REQUEST_2_MODIFIED_LOCUS
(
  ALLELE_REQUEST_ID  INTEGER,
  MODIFIED_LOCUS_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_TARGET_ENDPOINT_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 BYTE)               DEFAULT NULL                  NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST
(
  ID                       NUMBER               NOT NULL,
  PPL                      VARCHAR2(128 BYTE),
  PPL_HOLDER               VARCHAR2(128 BYTE),
  REQUESTOR_NAME           VARCHAR2(128 BYTE),
  REQUESTOR_PIL            VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL          VARCHAR2(128 BYTE),
  REQUESTOR_PHONE          VARCHAR2(128 BYTE),
  REQUESTOR_TEAM           VARCHAR2(128 BYTE),
  COLONY_NAME              VARCHAR2(128 BYTE),
  COLONY_PREFIX            VARCHAR2(128 BYTE),
  MOUSE_LINE_NAME          VARCHAR2(128 BYTE),
  ALTERED_ALLELE           VARCHAR2(128 BYTE),
  ENSEMBL_ID               VARCHAR2(128 BYTE),
  MOUSE_BACKGROUND_STRAIN  VARCHAR2(128 BYTE),
  BREEDING_PERFORMANCE     VARCHAR2(128 BYTE),
  FEMALE_STRAIN            VARCHAR2(128 BYTE),
  EDIT_DATE                DATE                 DEFAULT systimestamp,
  STATUS_DICT_ID           NUMBER               DEFAULT 1                     NOT NULL,
  HOMOZYGOUS_LETHAL        NUMBER(1),
  EDITED_BY                VARCHAR2(128 BYTE)   DEFAULT user
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST_STATUS
(
  CRQ_CRYO_REQUEST_STATUS_ID  NUMBER            NOT NULL,
  CRQ_CRYO_REQUEST_ID         NUMBER            NOT NULL,
  TIMESTAMP                   DATE,
  PERSON_ID                   NUMBER,
  STATUS_ID                   NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_STUDY_SAMPLES
(
  STUDY_ID                     NUMBER,
  JOB_RESULT_ID                NUMBER,
  SAMPLE_ID                    NUMBER,
  STUDY_SAMPLE_RESULT_RULE_ID  NUMBER,
  STUDY_SAMPLE_RESULT_COLOR    NUMBER,
  STUDY_SAMPLE_RESULT_LABEL    VARCHAR2(255 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AGIL_PEAKS
(
  SIGNAL_NAME                     VARCHAR2(30 BYTE),
  SIGNAL_BIAS                     FLOAT(126),
  SIGNAL_SCALE                    FLOAT(126),
  SAMPLE_ID                       NUMBER,
  PEAK_ID                         NUMBER,
  PEAK_MIGRATION_TIME             FLOAT(126),
  PEAK_AREA                       FLOAT(126),
  PEAK_HEIGHT                     FLOAT(126),
  PEAK_WIDTH                      FLOAT(126),
  PEAK_FRAGMENT_SIZE              FLOAT(126),
  PEAK_CONCENTRATION              FLOAT(126),
  PEAK_CONCENTRATION_ABS          FLOAT(126),
  PEAK_MOLARITY                   FLOAT(126),
  PEAK_PURITY                     FLOAT(126),
  PEAK_BASELINE                   FLOAT(126),
  PEAK_BASELINE_START_TIME        FLOAT(126),
  PEAK_BASELINE_END_TIME          FLOAT(126),
  PEAK_LEVEL_START                FLOAT(126),
  PEAK_LEVEL_END                  FLOAT(126),
  PEAK_BASELINE_START_VALUE       FLOAT(126),
  PEAK_BASELINE_END_VALUE         FLOAT(126),
  PEAK_SYMMETRY                   FLOAT(126),
  PEAK_RAW_MIGRATION_TIME         FLOAT(126),
  PEAK_PT_CALCLOWERMARKER         NUMBER,
  PEAK_PT_MANUALLOWERMARKER       NUMBER,
  PEAK_PT_MANUALUPPERMARKER       NUMBER,
  PEAK_PT_EXCLUDED                NUMBER,
  PEAK_PT_SYSTEMPEAK              NUMBER,
  PEAK_PT_LADDERPEAK              NUMBER,
  PEAK_PT_NONLADDERPEAK           NUMBER,
  PEAK_PT_DISREGARDEDPEAK         NUMBER,
  PEAK_PT_LOWERMARKERCROSSTALK    NUMBER,
  PEAK_PT_VIRTUALLADDERPEAK       NUMBER,
  PEAK_PT_CALCCALIBRATIONPEAK     NUMBER,
  PEAK_PT_MANUALCALIBRATIONPEAK   NUMBER,
  PEAK_PT_CALCCALIBRATEDPEAK      NUMBER,
  PEAK_PT_MANUALCALIBRATEDPEAK    NUMBER,
  PEAK_PT_OUTLIERPEAK             NUMBER,
  PEAK_PT_MANUALLYINTEGRATEDPEAK  NUMBER,
  PEAK_PT_CALCUPPERMARKER         NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_SOURCE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_AUDIT
(
  ID                         NUMBER,
  REQUESTER_PERSON_ID        NUMBER,
  TARGET_ENDPOINT_DICT_ID    NUMBER,
  EDIT_DATE                  DATE,
  COMMENTS                   VARCHAR2(2048 BYTE),
  RESEARCHER_PERSON_ID       NUMBER,
  REQUEST_REASONING          VARCHAR2(2048 BYTE),
  MUTATION_PLAN              VARCHAR2(2048 BYTE),
  KNOCKOUT_EXISTS            VARCHAR2(32 BYTE),
  KNOCKOUT_EXISTS_REFERENCE  VARCHAR2(4000 BYTE),
  ALLELE_NATURE              VARCHAR2(4000 BYTE),
  REQUEST_PRIORITY           INTEGER,
  GENE_ID                    INTEGER,
  REVIEW_COMMENTS            VARCHAR2(4000 BYTE),
  RESEARCHER_NAME            VARCHAR2(4000 BYTE),
  ALLELE_MOD_TYPE_DICT_ID    NUMBER,
  ALLELE_MOD_OTHER_EXPLN     VARCHAR2(4000 BYTE),
  MGP_PHENOTYPING_REQUIRED   NUMBER(1)          DEFAULT 0,
  STATUS_DICT_ID             INTEGER,
  EDITED_BY                  VARCHAR2(128 BYTE),
  REQUEST_SOURCE_DICT_ID     NUMBER,
  GENE_PUBLICATIONS          VARCHAR2(4000 BYTE),
  MOUSE_PUBLICATIONS         VARCHAR2(4000 BYTE),
  UNEXPECTED_PHENOTYPE_OK    NUMBER(1),
  AUDIT_DATE                 DATE               DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST_AUDIT
(
  ID                       NUMBER               NOT NULL,
  PPL                      VARCHAR2(128 BYTE),
  PPL_HOLDER               VARCHAR2(128 BYTE),
  REQUESTOR_NAME           VARCHAR2(128 BYTE),
  REQUESTOR_PIL            VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL          VARCHAR2(128 BYTE),
  REQUESTOR_PHONE          VARCHAR2(128 BYTE),
  REQUESTOR_TEAM           VARCHAR2(128 BYTE),
  COLONY_NAME              VARCHAR2(128 BYTE),
  COLONY_PREFIX            VARCHAR2(128 BYTE),
  MOUSE_LINE_NAME          VARCHAR2(128 BYTE),
  ALTERED_ALLELE           VARCHAR2(128 BYTE),
  ENSEMBL_ID               VARCHAR2(128 BYTE),
  MOUSE_BACKGROUND_STRAIN  VARCHAR2(128 BYTE),
  BREEDING_PERFORMANCE     VARCHAR2(128 BYTE),
  FEMALE_STRAIN            VARCHAR2(128 BYTE),
  EDIT_DATE                DATE,
  STATUS_DICT_ID           NUMBER               NOT NULL,
  HOMOZYGOUS_LETHAL        NUMBER(1),
  EDITED_BY                VARCHAR2(128 BYTE),
  AUDIT_DATE               DATE                 DEFAULT systimestamp
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_EXTERNAL_SUPPORT_REF
(
  GENE_ID    INTEGER,
  PERSON_ID  INTEGER,
  TIMESTAMP  DATE,
  SCORE      INTEGER,
  URL        VARCHAR2(4000 BYTE),
  NOTE       VARCHAR2(4000 BYTE),
  ID         INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          5M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_FACULTY_VOTE
(
  FACULTY_VOTE_ID  INTEGER,
  PERSON_ID        INTEGER                      NOT NULL,
  GENE_ID          INTEGER                      NOT NULL,
  TIMESTAMP        DATE                         DEFAULT SYSDATE,
  VOTE             VARCHAR2(32 BYTE)            NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COHORT_2_MOUSE
(
  COHORT_ID  INTEGER,
  MOUSE_ID   INTEGER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COHORT
(
  ID    INTEGER,
  NAME  VARCHAR2(64 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TOAD_PLAN_TABLE
(
  STATEMENT_ID     VARCHAR2(32 BYTE),
  TIMESTAMP        DATE,
  REMARKS          VARCHAR2(80 BYTE),
  OPERATION        VARCHAR2(30 BYTE),
  OPTIONS          VARCHAR2(30 BYTE),
  OBJECT_NODE      VARCHAR2(128 BYTE),
  OBJECT_OWNER     VARCHAR2(30 BYTE),
  OBJECT_NAME      VARCHAR2(30 BYTE),
  OBJECT_INSTANCE  NUMBER,
  OBJECT_TYPE      VARCHAR2(30 BYTE),
  SEARCH_COLUMNS   NUMBER,
  ID               NUMBER,
  COST             NUMBER,
  PARENT_ID        NUMBER,
  POSITION         NUMBER,
  CARDINALITY      NUMBER,
  OPTIMIZER        VARCHAR2(255 BYTE),
  BYTES            NUMBER,
  OTHER_TAG        VARCHAR2(255 BYTE),
  PARTITION_ID     NUMBER,
  PARTITION_START  VARCHAR2(255 BYTE),
  PARTITION_STOP   VARCHAR2(255 BYTE),
  DISTRIBUTION     VARCHAR2(30 BYTE),
  OTHER            LONG
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TOAD_PLAN_SQL
(
  USERNAME      VARCHAR2(30 BYTE),
  STATEMENT_ID  VARCHAR2(32 BYTE),
  TIMESTAMP     DATE,
  STATEMENT     VARCHAR2(2000 BYTE)
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_INHERITANCE_MODE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MUTATION_NATURE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_01
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_SUMMARY
(
  GENE_ID    NUMBER                             NOT NULL,
  PERSON_ID  NUMBER                             NOT NULL,
  EDIT_DATE  DATE                               DEFAULT systimestamp,
  SCORE      NUMBER                             NOT NULL,
  RATIONAL   VARCHAR2(4000 BYTE),
  ID         NUMBER                             NOT NULL,
  IS_VALID   NUMBER(1)                          DEFAULT 1
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          192K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_TARGETING_HITS
(
  GENE_ID        INTEGER                        NOT NULL,
  TIMESTAMP      DATE                           DEFAULT SYSDATE,
  IGTC_HITS      INTEGER,
  OMNIBANK_HITS  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          768K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_MAMMALIAN_PHENOTYPE
(
  MGI_PHENOTYPE_ALLELE_ID  INTEGER,
  NAME                     VARCHAR2(512 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          576K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_STRAIN
(
  ID           INTEGER,
  NAME         VARCHAR2(64 BYTE)                NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_ROOMED_RACK
(
  ID           INTEGER                          NOT NULL,
  ROOM_ID      INTEGER                          NOT NULL,
  RACK_ID      INTEGER                          NOT NULL,
  EVENT_START  DATE                             DEFAULT SYSDATE               NOT NULL,
  EVENT_END    DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_ADDRESS
(
  ADDRESS_ID    NUMBER                          NOT NULL,
  FULL_ADDRESS  VARCHAR2(2048 BYTE),
  LOCALE_ID     NUMBER,
  ROOM_NUMBER   VARCHAR2(64 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_DEPARTMENT
(
  DEPARTMENT_ID   INTEGER,
  INSTITUTION_ID  INTEGER,
  NAME            VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_DEPARTMENT_2_ADDRESS
(
  DEPARTMENT_ID  NUMBER                         NOT NULL,
  ADDRESS_ID     NUMBER,
  VALID_FROM     DATE,
  VALID_TO       DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_EMAIL_CONTACT
(
  PERSON_ID      INTEGER,
  EMAIL_ADDRESS  VARCHAR2(1024 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_INSTITUTION
(
  INSTITUTION_ID   INTEGER,
  ORGANISATION_ID  INTEGER,
  NAME             VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_INSTITUTION_2_ADDRESS
(
  INSTITUTION_ID  NUMBER                        NOT NULL,
  ADDRESS_ID      NUMBER                        NOT NULL,
  VALID_FROM      DATE,
  VALID_TO        DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_LOCALE_DICT
(
  LOCALE_ID  INTEGER,
  NAME       VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_ORGANISATION
(
  ORGANISATION_ID  INTEGER,
  NAME             VARCHAR2(128 BYTE),
  TYPE             VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_ORGANISATION_2_ADDRESS
(
  ORGANISATION_ID  NUMBER                       NOT NULL,
  ADDRESS_ID       NUMBER                       NOT NULL,
  VALID_FROM       DATE,
  VALID_TO         DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_PERSON
(
  PERSON_ID      INTEGER,
  FIRST_NAME     VARCHAR2(128 BYTE),
  LAST_NAME      VARCHAR2(128 BYTE),
  PASSWORD_HASH  VARCHAR2(128 BYTE),
  USER_NAME      VARCHAR2(32 BYTE),
  TITLE          VARCHAR2(16 BYTE),
  TIMESTAMP      DATE                           DEFAULT sysdate,
  EMAIL          VARCHAR2(1024 BYTE),
  ADDRESS        VARCHAR2(2048 BYTE),
  ROOM           VARCHAR2(255 BYTE),
  TEAM           VARCHAR2(64 BYTE),
  PHONE_NUMBER   VARCHAR2(64 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_PERSON_2_DEPARTMENT
(
  PERSON_ID      INTEGER,
  DEPARTMENT_ID  INTEGER,
  POSITION       VARCHAR2(64 BYTE),
  VALID_FROM     DATE                           DEFAULT SYSDATE,
  VALID_TO       DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_PERSON_2_ROLE
(
  PERSON_2_ROLE_ID  NUMBER,
  PERSON_ID         NUMBER,
  ROLE_ID           NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_ROLE
(
  ROLE_ID  NUMBER,
  NAME     VARCHAR2(255 BYTE),
  RANK     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_TELEPHONE_CONTACT
(
  PERSON_ID                 INTEGER,
  TEL_NUMBER                VARCHAR2(32 BYTE),
  TEL_CONTACT_TYPE_DICT_ID  INTEGER             NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_TEL_CONTACT_TYPE_DICT
(
  TEL_CONTACT_TYPE_DICT_ID  INTEGER             NOT NULL,
  TYPE                      VARCHAR2(32 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ABSTRACT
(
  ID        INTEGER,
  ABSTRACT  CLOB
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_PUBLICATIONS
(
  ALLELE_REQUEST_ID          INTEGER,
  GENE_PUBLICATIONS          CLOB,
  MOUSE_MUTANT_PUBLICATIONS  CLOB
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_ARTICLE_REF
(
  ID          INTEGER                           NOT NULL,
  GENE_ID     INTEGER                           NOT NULL,
  PERSON_ID   INTEGER                           NOT NULL,
  ARTICLE_ID  INTEGER                           NOT NULL,
  NOTE        VARCHAR2(4000 BYTE),
  EDIT_DATE   DATE                              DEFAULT SYSDATE,
  SCORE       INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_MGI_PHENOTYPE_ALLELE
(
  GENE_ID                  INTEGER,
  TYPE                     VARCHAR2(128 BYTE),
  DESCRIPTION              VARCHAR2(4000 BYTE),
  MGI_PHENOTYPE_ALLELE_ID  INTEGER,
  MGI_PHENOTYPE_ID         VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          2M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_MIG_CURATED_STATUS
(
  MIG_CURATED_STATUS_ID  INTEGER                NOT NULL,
  GENE_ID                INTEGER                NOT NULL,
  STATUS                 VARCHAR2(128 BYTE)     DEFAULT 'NOVEL'               NOT NULL,
  PERSON_ID              INTEGER,
  TIMESTAMP              DATE                   DEFAULT SYSDATE               NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_EXON
(
  ID             INTEGER                        NOT NULL,
  LOCUS_ID       INTEGER,
  TRANSCRIPT_ID  INTEGER,
  PHASE          INTEGER,
  PRIMARY_NAME   VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          80M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_ASSEMBLY
(
  ID            INTEGER,
  NCBI_TAXON    INTEGER,
  SPECIES_NAME  VARCHAR2(128 BYTE),
  NAME          VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_EXON_NAME
(
  EXON_ID  INTEGER,
  NAME     VARCHAR2(4000 BYTE),
  SOURCE   VARCHAR2(128 BYTE),
  NAME_UC  VARCHAR2(4000 BYTE),
  ID       NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          80M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE
(
  GENE_ID                     INTEGER,
  NCBI_TAXON                  INTEGER           NOT NULL,
  PRIMARY_GENE_BUILD_GENE_ID  INTEGER,
  IS_VALID                    NUMBER(1)         DEFAULT 1,
  PRIMARY_NAME                VARCHAR2(512 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          3M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN GNM_GENE.IS_VALID IS 'USED FOR DELETING GENES WITHOUT ACTUALLY REMOVING THEM';


CREATE TABLE GNM_GENE_2_GENE_BUILD_GENE
(
  ID                  INTEGER,
  GENE_ID             INTEGER,
  GENE_BUILD_GENE_ID  INTEGER,
  EDIT_DATE           DATE                      DEFAULT sysdate,
  REASONING           VARCHAR2(1024 BYTE),
  IS_VALID            NUMBER(1)                 DEFAULT 1
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_BUILD
(
  ID           INTEGER,
  ASSEMBLY_ID  INTEGER,
  BUILD_DATE   DATE,
  NAME         VARCHAR2(128 BYTE),
  VERSION      VARCHAR2(128 BYTE),
  SOURCE       VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_BUILD_GENE
(
  ID                 INTEGER,
  GENE_ID            INTEGER,
  GENE_BUILD_ID      INTEGER                    NOT NULL,
  LOCUS_ID           INTEGER,
  IS_FINISHED        VARCHAR2(10 CHAR),
  UNIQUE_EXON_COUNT  INTEGER                    NOT NULL,
  TRANSCRIPT_COUNT   INTEGER                    NOT NULL,
  TOTAL_EXON_COUNT   INTEGER                    NOT NULL,
  PRIMARY_NAME       VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          12M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN GNM_GENE_BUILD_GENE.IS_FINISHED IS 'Output from Tony Cox''s script';


CREATE TABLE GNM_GENE_BUILD_GENE_NAME
(
  ID                  INTEGER,
  GENE_BUILD_GENE_ID  INTEGER,
  NAME                VARCHAR2(4000 BYTE)       NOT NULL,
  SOURCE              VARCHAR2(128 BYTE),
  NAME_UC             VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          104M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_HOMOLOGY
(
  GENE_HOMOLOGY_ID  NUMBER                      NOT NULL,
  GENE1_ID          INTEGER,
  GENE2_ID          INTEGER,
  NOTES             VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          2M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_NAME
(
  GENE_ID       INTEGER,
  NAME          VARCHAR2(4000 BYTE)             NOT NULL,
  SOURCE        VARCHAR2(128 BYTE),
  NAME_UC       VARCHAR2(4000 BYTE),
  ID            INTEGER,
  PRIMARY_NAME  VARCHAR2(512 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          72M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_SET
(
  GENE_SET_ID           INTEGER,
  NAME                  VARCHAR2(128 BYTE),
  DESCRIPTION           VARCHAR2(2048 BYTE),
  CREATED_BY_PERSON_ID  INTEGER,
  TIMESTAMP             DATE                    DEFAULT SYSDATE,
  IS_CORE_SET           CHAR(1 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN GNM_GENE_SET.TIMESTAMP IS 'date when geneset was created';

COMMENT ON COLUMN GNM_GENE_SET.IS_CORE_SET IS 'To identify the core sets (official) that contribute to the ''set count''';


CREATE TABLE GNM_GENE_SET_2_GENE
(
  GENE_SET_ID  INTEGER,
  GENE_ID      INTEGER,
  SCORE        INTEGER                          DEFAULT 0                     NOT NULL,
  TIMESTAMP    DATE                             DEFAULT SYSDATE               NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE GNM_GENE_SET_2_GENE IS 'stores linkage between Genes and GeneSets. GeneSet can be modified over time, thus we keep track of when each gene was added to the GeneSet.  Score is a relative score for gene within set.';

COMMENT ON COLUMN GNM_GENE_SET_2_GENE.SCORE IS '''within set'' score for this gene';

COMMENT ON COLUMN GNM_GENE_SET_2_GENE.TIMESTAMP IS 'date when gene was added to the GeneSet';


CREATE TABLE GNM_LOCUS
(
  ID           INTEGER,
  CHR_NAME     VARCHAR2(32 BYTE),
  CHR_START    INTEGER,
  CHR_END      INTEGER,
  CHR_STRAND   INTEGER,
  ASSEMBLY_ID  INTEGER,
  TYPE         VARCHAR2(32 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          49M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT
(
  ID                  INTEGER,
  LOCUS_ID            INTEGER                   NOT NULL,
  GENE_BUILD_GENE_ID  INTEGER,
  EXON_COUNT          INTEGER                   DEFAULT 0                     NOT NULL,
  PRIMARY_NAME        VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          9M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT_HOMOLOGY
(
  LEFT_TRANSCRIPT_ID   INTEGER,
  RIGHT_TRANSCRIPT_ID  INTEGER,
  HOMOLOGY_ID          NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT_NAME
(
  TRANSCRIPT_ID  INTEGER,
  NAME           VARCHAR2(4000 BYTE),
  SOURCE         VARCHAR2(128 BYTE),
  NAME_UC        VARCHAR2(4000 BYTE),
  ID             INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          45M
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PERSONAL_LICENCE
(
  PERSONAL_LICENCE_ID  INTEGER,
  PERSON_ID            INTEGER,
  PIL_NUMBER           VARCHAR2(32 BYTE)        NOT NULL,
  PERSON_NAME          VARCHAR2(256 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN LIC_PERSONAL_LICENCE.PERSON_ID IS 'Person who''s licence this is';


CREATE TABLE LIC_PROJECT_2_PERSONAL_LICENCE
(
  PROJECT_LICENCE_ID   INTEGER,
  PERSONAL_LICENCE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PROJECT_LICENCE
(
  PROJECT_LICENCE_ID     INTEGER,
  RESPONSIBLE_PERSON_ID  INTEGER,
  PPL                    VARCHAR2(128 BYTE),
  LICENCE_NUMBER         VARCHAR2(128 BYTE),
  TITLE                  VARCHAR2(128 BYTE),
  START_DATE             DATE,
  END_DATE               DATE,
  DEPUTY1_PERSON_ID      INTEGER,
  DEPUTY2_PERSON_ID      INTEGER,
  DEPUTY3_PERSON_ID      INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON COLUMN LIC_PROJECT_LICENCE.RESPONSIBLE_PERSON_ID IS 'The person who is the project licence holder';


CREATE TABLE LIC_PROTOCOL_19B
(
  PROTOCOL_19B_ID     INTEGER,
  PROJECT_LICENCE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_BREEDING_EVENT
(
  EVENT_ID     INTEGER                          NOT NULL,
  BREEDING_ID  INTEGER                          NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_EMBRYO_TRANSFER_EVENT
(
  EVENT_ID            INTEGER,
  EMBRYO_TRANSFER_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_ES_CLONE_EVENT
(
  EVENT_ID     INTEGER,
  ES_CLONE_ID  INTEGER                          NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_EVENT
(
  ID              INTEGER,
  PERSON_ID       INTEGER,
  PROCEDURE_ID    INTEGER,
  EVENT_START     DATE                          DEFAULT sysdate,
  EVENT_END       DATE                          DEFAULT sysdate,
  CONFIGURATION   VARCHAR2(4000 BYTE),
  RECEIVER_CLASS  VARCHAR2(128 BYTE),
  STATUS          VARCHAR2(128 BYTE),
  COMMENTS        VARCHAR2(4000 BYTE),
  EVENT_TYPE      VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_LITTER_EVENT
(
  EVENT_ID   INTEGER                            NOT NULL,
  LITTER_ID  INTEGER                            NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_LITTER_EVENT_BASIC_DATA
(
  ID            INTEGER,
  LITTER_SIZE   INTEGER,
  WEANING_DATE  DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_MOUSE_EVENT
(
  MOUSE_ID  INTEGER                             NOT NULL,
  EVENT_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_MOUSE_EVENT_BASIC_DATA
(
  ID               INTEGER,
  SEX              CHAR(1 BYTE),
  COAT_COLOR       VARCHAR2(64 BYTE),
  EYE_COLOR        VARCHAR2(64 BYTE),
  EARCLIP_MARKING  VARCHAR2(64 BYTE),
  BIRTH_DATE       DATE,
  DEATH_DATE       DATE,
  GENOTYPE         VARCHAR2(64 BYTE),
  CAUSE_OF_DEATH   VARCHAR2(1024 BYTE),
  PHENOTYPE        VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_MOUSE_EVENT_WEIGHT
(
  EVENT_ID  NUMBER,
  WEIGHT    FLOAT(126)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEV_PROCEDURE
(
  PROCEDURE_ID     INTEGER,
  PROTOCOL_19B_ID  INTEGER,
  NAME             VARCHAR2(128 BYTE),
  DESCRIPTION      VARCHAR2(4000 BYTE),
  PROCESS_CLASS    VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_CELL_LINE
(
  ID                              NUMBER        NOT NULL,
  CELL_LINE_NAME                  VARCHAR2(128 BYTE),
  STRAIN                          VARCHAR2(128 BYTE),
  TARGETING_CASSETTES             VARCHAR2(128 BYTE),
  ELECTROPORATION_COUNT           NUMBER,
  COAT_COLOUR                     VARCHAR2(128 BYTE),
  P5_PRIMER                       VARCHAR2(50 BYTE),
  P3_NATIVE_ALLELE                VARCHAR2(50 BYTE),
  P3_TARGETED_ALLELE_PRIMER       VARCHAR2(50 BYTE),
  P5_CASSETTE_PRIMER              VARCHAR2(50 BYTE),
  P3_CASSETTE_PRIMER              VARCHAR2(50 BYTE),
  PREDICTED_WT_PRODUCT_SIZE       NUMBER,
  PREDICTED_MOD_ALLELE_PROD_SIZE  NUMBER,
  PREDICTED_CASSETTE_PROD_SIZE    NUMBER,
  PASSAGES_COUNT                  NUMBER,
  GENOTYPING_REQUIRED             NUMBER(1),
  T87                             NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_MICRO_INJECTION_REQUEST
(
  ID                INTEGER                     NOT NULL,
  PPL               VARCHAR2(128 BYTE),
  REQUESTOR_NAME    VARCHAR2(128 BYTE),
  REQUESTOR_PIL     VARCHAR2(128 BYTE),
  CELL_LINE_ID      INTEGER,
  TARGETED_GENE_ID  INTEGER,
  ENDPOINT_ID       INTEGER,
  EMBRYO_STAGE      VARCHAR2(128 BYTE),
  EDIT_DATE         DATE,
  PPL_HOLDER        VARCHAR2(128 BYTE),
  REQUESTOR_PHONE   VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL   VARCHAR2(128 BYTE),
  REQUESTOR_TEAM    VARCHAR2(128 BYTE),
  CLONE_ID          VARCHAR2(128 BYTE),
  EDITED_BY         VARCHAR2(128 BYTE),
  STATUS_DICT_ID    NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_REQUEST_STATUS
(
  MIR_REQUEST_STATUS_ID  NUMBER                 NOT NULL,
  MIR_REQUEST_ID         NUMBER                 NOT NULL,
  TIMESTAMP              DATE,
  PERSON_ID              NUMBER,
  STATUS_ID              NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1),
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_TARGET_ENDPOINT_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1),
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_BREEDING
(
  ID           INTEGER,
  NAME         VARCHAR2(64 BYTE),
  EVENT_START  DATE                             DEFAULT SYSDATE,
  EVENT_END    DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_BREEDING IS 'This corresponds to a particular breeding situation which can produce 1-many litters.  Since the litter is only tracked through the breeding, the breeding is tracked on a per female mouse basis.  Depending on the nature of the breeding situation, there might be one-many males who contributed sperm to this breeding.';

COMMENT ON COLUMN MTS_BREEDING.NAME IS 'human readable name for breeding if needed';


CREATE TABLE MTS_BREEDING_MOUSE
(
  ID           INTEGER,
  BREEDING_ID  INTEGER,
  MOUSE_ID     INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_BREEDING_MOUSE IS 'Table which links the breeding adults of a breeding which will eventually generate litters.  From the perspective of each litter this is the collection of their parents.';


CREATE TABLE MTS_CAGE
(
  ID         INTEGER,
  CAGE_NAME  VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_CAGED_MOUSE
(
  MOUSE_ID     INTEGER                          NOT NULL,
  CAGE_ID      INTEGER                          NOT NULL,
  ID           INTEGER,
  EVENT_START  DATE                             DEFAULT sysdate               NOT NULL,
  EVENT_END    DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY
(
  ID    INTEGER,
  NAME  VARCHAR2(64 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_2_MOUSE
(
  MOUSE_ID   INTEGER,
  COLONY_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_EMBRYO_TRANSFER
(
  ID               INTEGER,
  FEMALE_MOUSE_ID  INTEGER,
  ES_CLONE_ID      INTEGER,
  TIMESTAMP        DATE                         DEFAULT SYSDATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_EMBRYO_TRANSFER IS 'pseudo-pregnant female into which the esclone/microinjected blastocysis are transfered';


CREATE TABLE MTS_ES_CLONE
(
  ID                  INTEGER,
  MODIFIED_ALLELE_ID  INTEGER,
  TIMESTAMP           DATE                      DEFAULT SYSDATE,
  NAME                VARCHAR2(1024 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_LITTER
(
  ID                  INTEGER,
  LITTER_SOURCE       VARCHAR2(32 BYTE),
  BREEDING_ID         INTEGER,
  EMBRYO_TRANSFER_ID  INTEGER,
  BIRTH_DATE          DATE                      DEFAULT SYSDATE,
  NAME                VARCHAR2(32 BYTE),
  LITTER_SIZE         INTEGER,
  WEANING_DATE        DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_LITTER IS 'This corresponds to the litters that were generated by a particular breeding pair OR from an embryo transfer';


CREATE TABLE MTS_MOUSE
(
  ID               INTEGER,
  LITTER_ID        INTEGER,
  NAME             VARCHAR2(64 BYTE),
  TIMESTAMP        DATE                         DEFAULT SYSDATE,
  RFID_TAG         VARCHAR2(256 BYTE),
  BIRTH_DATE       DATE,
  SEX              CHAR(1 BYTE),
  COAT_COLOUR      VARCHAR2(64 BYTE),
  EYE_COLOUR       VARCHAR2(64 BYTE),
  EARCLIP_MARKING  VARCHAR2(64 BYTE),
  DEATH_DATE       DATE,
  GENOTYPE         VARCHAR2(1 BYTE),
  CAUSE_OF_DEATH   VARCHAR2(1024 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_MOUSE IS 'A trackable mouse individual.  When a MOUSE_ENTITY needs to be tracks depends on its purpose.  A modified ESCell  which needs to be grown up needs to be tracked from the point of microinjection through adulthood.  A wildtype Black6 doesn''t need to be individually tracked until it is needed for a procedure so it might enter the tracking system at adulthood.';


CREATE TABLE MTS_RACK
(
  ID                   INTEGER,
  NAME                 VARCHAR2(128 BYTE),
  AHU_UNIT_ID          VARCHAR2(32 BYTE),
  AHU_MONITORING_UUID  VARCHAR2(256 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_RACKED_CAGE
(
  ID           INTEGER                          NOT NULL,
  RACK_ID      INTEGER                          NOT NULL,
  CAGE_ID      INTEGER                          NOT NULL,
  EVENT_START  DATE                             DEFAULT SYSDATE               NOT NULL,
  EVENT_END    DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE MTS_RACKED_CAGE IS 'Cages can be moved between racks.  This movement needs to be tracked in time';


CREATE TABLE MTS_ROOM
(
  ID             INTEGER,
  ROOM_NUMBER    VARCHAR2(128 BYTE)             NOT NULL,
  BUILDING_NAME  VARCHAR2(128 BYTE)             DEFAULT 'RSF',
  CORRIDOR       VARCHAR2(128 BYTE),
  DESCRIPTION    VARCHAR2(1028 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX TYP_GENOTYPE_TEST_IND56 ON TYP_GENOTYPE_TEST
(MODIFIED_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_GENOTYPING_PRIME_IND11 ON TYP_GENOTYPING_PRIMER_PAIR
(GENOTYPE_TEST_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MODIFIED_ALLELE_IND1 ON TYP_MODIFIED_ALLELE
(MUTATION_NATURE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MODIFIED_ALLELE_IND66 ON TYP_MODIFIED_ALLELE
(LOCUS_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MOUSE_SAMPLE_GEN_IND9 ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(MOUSE_SAMPLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MOUSE_SAMPLE_GEN_IND10 ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(GENOTYPE_TEST_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_INHERITANCE_MODE_DICT_U01 ON TYP_INHERITANCE_MODE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MUTATION_NATURE_DICT_R01 ON TYP_MUTATION_NATURE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_STRAIN_R01 ON TYP_STRAIN
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX REQ_ANIMAL_REQUEST_IND11 ON REQ_ANIMAL_REQUEST
(STATUS_DICT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PUB_ARTICLE_2_AUTHOR_IND57 ON PUB_ARTICLE_2_AUTHOR
(ARTICLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PUB_ARTICLE_2_AUTHOR_IND58 ON PUB_ARTICLE_2_AUTHOR
(AUTHOR_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_DEPARTMENT_IND20 ON PER_DEPARTMENT
(INSTITUTION_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_EMAIL_CONTACT_IND19 ON PER_EMAIL_CONTACT
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_DEPARTMENT_IND17 ON PER_PERSON_2_DEPARTMENT
(DEPARTMENT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_DEPARTMENT_IND18 ON PER_PERSON_2_DEPARTMENT
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_ROLE_IND15 ON PER_PERSON_2_ROLE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_ROLE_IND16 ON PER_PERSON_2_ROLE
(ROLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_TELEPHONE_CONTACT_IND13 ON PER_TELEPHONE_CONTACT
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_TELEPHONE_CONTACT_IND14 ON PER_TELEPHONE_CONTACT
(TEL_CONTACT_TYPE_DICT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_BREEDING_MOUSE_IND64 ON MTS_BREEDING_MOUSE
(MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_BREEDING_MOUSE_IND65 ON MTS_BREEDING_MOUSE
(BREEDING_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_CAGED_MOUSE_IND62 ON MTS_CAGED_MOUSE
(CAGE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_CAGED_MOUSE_IND63 ON MTS_CAGED_MOUSE
(MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_COLONY_2_MOUSE_IND60 ON MTS_COLONY_2_MOUSE
(COLONY_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_COLONY_2_MOUSE_IND61 ON MTS_COLONY_2_MOUSE
(MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_EMBRYO_TRANSFER_IND48 ON MTS_EMBRYO_TRANSFER
(ES_CLONE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_EMBRYO_TRANSFER_IND49 ON MTS_EMBRYO_TRANSFER
(FEMALE_MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_ES_CLONE_IND59 ON MTS_ES_CLONE
(MODIFIED_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_RACKED_CAGE_IND69 ON MTS_RACKED_CAGE
(RACK_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_RACKED_CAGE_IND70 ON MTS_RACKED_CAGE
(CAGE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_ROOMED_RACK_IND67 ON MTS_ROOMED_RACK
(ROOM_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_ROOMED_RACK_IND68 ON MTS_ROOMED_RACK
(RACK_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_MICRO_INJECTION_REQUEST_PK ON MIR_MICRO_INJECTION_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_REQUEST_STATUS_DICT_PK ON MIR_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_LITTER_EVENT_IND2 ON MEV_LITTER_EVENT
(LITTER_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_PROCEDURE_IND10 ON MEV_PROCEDURE
(PROTOCOL_19B_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_ES_CLONE_EVENT_IND3 ON MEV_ES_CLONE_EVENT
(ES_CLONE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_MOUSE_EVENT_IND7 ON MEV_MOUSE_EVENT
(MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_BREEDING_EVENT_IND6 ON MEV_BREEDING_EVENT
(BREEDING_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MEV_EVENT_IND8 ON MEV_EVENT
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PERSONAL_LICENCE_IND25 ON LIC_PERSONAL_LICENCE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_2_PERSON_IND1 ON LIC_PROJECT_2_PERSONAL_LICENCE
(PROJECT_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_2_PERSON_IND2 ON LIC_PROJECT_2_PERSONAL_LICENCE
(PERSONAL_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND24 ON LIC_PROJECT_LICENCE
(DEPUTY1_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND22 ON LIC_PROJECT_LICENCE
(DEPUTY3_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND23 ON LIC_PROJECT_LICENCE
(DEPUTY2_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROTOCOL_19B_IND21 ON LIC_PROTOCOL_19B
(PROJECT_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND44 ON GEV_GENE_ARTICLE_REF
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND45 ON GEV_GENE_ARTICLE_REF
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND46 ON GEV_GENE_ARTICLE_REF
(ARTICLE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX CRYO_REQUEST_STATUS_PK ON CRQ_CRYO_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX CRQ_CRYO_REQUEST_PK ON CRQ_CRYO_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_ALLELE_REQUEST_IND34 ON ARQ_ALLELE_REQUEST
(TARGET_ENDPOINT_DICT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_ALLELE_REQUEST_IND36 ON ARQ_ALLELE_REQUEST
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_REQUEST_2_MODIFI_IND3 ON ARQ_REQUEST_2_MODIFIED_LOCUS
(ALLELE_REQUEST_ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_REQUEST_2_MODIFI_IND4 ON ARQ_REQUEST_2_MODIFIED_LOCUS
(MODIFIED_LOCUS_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_ALLELE_REQUEST_SOURCE_D_PK ON ARQ_ALLELE_REQUEST_SOURCE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_ALLELE_REQUEST_STATUS_D_PK ON ARQ_ALLELE_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MOUSE_SAMPLE_GENOTYE_TE_PK ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(MOUSE_SAMPLE_GENOTYPE_TEST_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MOUSE_SAMPLE_PK ON TYP_MOUSE_SAMPLE
(MOUSE_SAMPLE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPING_PRIMER_PAIR_PK ON TYP_GENOTYPING_PRIMER_PAIR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPE_TEST_PK ON TYP_GENOTYPE_TEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX REQ_ANIMAL_REQUEST_STATUS_U01 ON REQ_ANIMAL_REQUEST_STATUS_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX REQ_ANIMAL_REQUEST_STATUS_PK ON REQ_ANIMAL_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_AUTHOR_PK ON PUB_AUTHOR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_2_AUTHOR_PK ON PUB_ARTICLE_2_AUTHOR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_U01 ON PUB_ARTICLE
(PUBMED_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_PK ON PUB_ARTICLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ABSTRACT_PK ON PUB_ABSTRACT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_ROLE_PK ON PER_ROLE
(ROLE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_PERSON_2_ROLE_PK ON PER_PERSON_2_ROLE
(PERSON_2_ROLE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_ROOMED_RACK_PK ON MTS_ROOMED_RACK
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_RACKED_CAGE_PK ON MTS_RACKED_CAGE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_MOUSE_PK ON MTS_MOUSE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_LITTER_PK ON MTS_LITTER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_ES_CLONE_PK ON MTS_ES_CLONE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_EMBRYO_TRANSFER_PK ON MTS_EMBRYO_TRANSFER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_PK ON MTS_COLONY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX LIC_PROCEDURE_PK ON MEV_PROCEDURE
(PROCEDURE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_MOUSE_WEIGHT_PK ON MEV_MOUSE_EVENT_WEIGHT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_MOUSE_EVENT_BASIC_DATA_PK ON MEV_MOUSE_EVENT_BASIC_DATA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_MOUSE_EVENT_PK ON MEV_MOUSE_EVENT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_LITTER_EVENT_BASIC_DATA_PK ON MEV_LITTER_EVENT_BASIC_DATA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_LITTER_EVENT_U01 ON MEV_LITTER_EVENT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_EVENT_PK ON MEV_EVENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_ES_CLONE_EVENT_U01 ON MEV_ES_CLONE_EVENT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_EMBRYO_TRANSFER_EVENT_U01 ON MEV_EMBRYO_TRANSFER_EVENT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MEV_BREEDING_EVENT_U01 ON MEV_BREEDING_EVENT
(EVENT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX LIC_PROTOCOL_19B_PK ON LIC_PROTOCOL_19B
(PROTOCOL_19B_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_TRANSCRIPT_NAME_U01 ON GNM_TRANSCRIPT_NAME
(TRANSCRIPT_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_UC_IDX ON GNM_TRANSCRIPT_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_NAME_IDX ON GNM_TRANSCRIPT_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_ID_IDX ON GNM_TRANSCRIPT_NAME
(TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LOCUS_GENE_IDX ON GNM_TRANSCRIPT
(GENE_BUILD_GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_LOCUS_ASSEMBLYID_IDX ON GNM_LOCUS
(ASSEMBLY_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UNIQ_GENE_IN_SET ON GNM_GENE_SET_2_GENE
(GENE_SET_ID, GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENESET2GENE_GENESETID_IDX ON GNM_GENE_SET_2_GENE
(GENE_SET_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENESET2GENE_GENEID_IDX ON GNM_GENE_SET_2_GENE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_GENEID_IDX ON GNM_GENE_NAME
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_UC_IDX ON GNM_GENE_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_NAME ON GNM_GENE_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UQ_NAME ON GNM_GENE_NAME
(GENE_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GENEHOMOLOGY_RIGHTGENEID_IDX ON GNM_GENE_HOMOLOGY
(GENE2_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENEHOMOLOGY_LEFTGENEID_IDX ON GNM_GENE_HOMOLOGY
(GENE1_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_HOMOLOGY_PK ON GNM_GENE_HOMOLOGY
(GENE_HOMOLOGY_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_NAME_PK ON GNM_GENE_BUILD_GENE_NAME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_NAME_U01 ON GNM_GENE_BUILD_GENE_NAME
(GENE_BUILD_GENE_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GBGN_NAME ON GNM_GENE_BUILD_GENE_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GBG_GENE_BUILD_ID_IDX ON GNM_GENE_BUILD_GENE
(GENE_BUILD_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GBGENE_GENE_ID_IDX ON GNM_GENE_BUILD_GENE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_PK ON GNM_GENE_BUILD_GENE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NCBI_TAXON_ID ON GNM_GENE
(NCBI_TAXON)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_NAME_U01 ON GNM_EXON_NAME
(EXON_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_UC_IDX ON GNM_EXON_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_NAME_IDX ON GNM_EXON_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_ID_IDX ON GNM_EXON_NAME
(EXON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_LOCUSID_IDX ON GNM_EXON
(LOCUS_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_TRANSCRIPTID_IDX ON GNM_EXON
(TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_PK ON GNM_EXON
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_CURATSTATUS_PERID_IDX ON GEV_MIG_CURATED_STATUS
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_CURATSTATUS_GENEID_IDX ON GEV_MIG_CURATED_STATUS
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MIG_CURATED_STATUS_PK ON GEV_MIG_CURATED_STATUS
(MIG_CURATED_STATUS_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_PHENOALLELE_GENEID_IDX ON GEV_MGI_PHENOTYPE_ALLELE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MGI_PHENOTYPE_ALLELE_U01 ON GEV_MGI_PHENOTYPE_ALLELE
(MGI_PHENOTYPE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MGI_PHENOTYPE_ALLELE_PK ON GEV_MGI_PHENOTYPE_ALLELE
(MGI_PHENOTYPE_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_MAMPHENO_PK ON GEV_MAMMALIAN_PHENOTYPE
(MGI_PHENOTYPE_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GNTARGHITS_GENEID_IDX ON GEV_GENE_TARGETING_HITS
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENESUM_PK ON GEV_GENE_SUMMARY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENESUM_PERID_IDX ON GEV_GENE_SUMMARY
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_GENE_SUMMARY_GENE_ID ON GEV_GENE_SUMMARY
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_GENE_ARTICLE_REF_PK ON GEV_GENE_ARTICLE_REF
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_FACVOTE_GENEID_IDX ON GEV_FACULTY_VOTE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_FACVOTE_PERID_IDX ON GEV_FACULTY_VOTE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_FACULTY_VOTE_PK ON GEV_FACULTY_VOTE
(FACULTY_VOTE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_EXSUPREF_GENEID_IDX ON GEV_EXTERNAL_SUPPORT_REF
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_EXSUPREF_PERID_IDX ON GEV_EXTERNAL_SUPPORT_REF
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_EXTERNAL_SUPPORT_REF_PK ON GEV_EXTERNAL_SUPPORT_REF
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_ALLELE_TARGET_DICT_PK ON ARQ_TARGET_ENDPOINT_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_PUBLICATIONS_PK ON ARQ_PUBLICATIONS
(ALLELE_REQUEST_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_ALLELE_REQUEST_U01 ON ARQ_ALLELE_REQUEST
(REQUESTER_PERSON_ID, REQUEST_PRIORITY)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_REQUESTER_PERID ON ARQ_ALLELE_REQUEST
(REQUESTER_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_RESEARCHER_PERID ON ARQ_ALLELE_REQUEST
(RESEARCHER_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE OR REPLACE PROCEDURE GENEBUILDGENE_CREATELOCUS (GBG_ID IN INTEGER)
AS
BEGIN
   DECLARE
       locusId INTEGER;
    chromStart INTEGER;
    chromEnd INTEGER;
    chromName VARCHAR2(32);
    chromStrand INTEGER;
    assemblyId INTEGER;
   BEGIN
     SELECT GNM_LOCUS_SEQ.NEXTVAL INTO locusId FROM DUAL;
     INSERT INTO GNM_LOCUS(LOCUS_ID) VALUES(locusId);
     UPDATE GNM_GENE_BUILD_GENE SET LOCUS_ID=locusId WHERE GENE_BUILD_GENE_ID= GBG_ID;
 
   SELECT MIN(CHR_START), MAX(CHR_END) INTO chromStart, chromEnd 
     FROM GNM_TRANSCRIPT T JOIN GNM_LOCUS L USING(LOCUS_ID) 
     WHERE GENE_BUILD_GENE_ID= GBG_ID;

   SELECT CHR_NAME, CHR_STRAND INTO chromName, chromStrand 
     FROM GNM_TRANSCRIPT T JOIN GNM_LOCUS L USING(LOCUS_ID) 
     WHERE GENE_BUILD_GENE_ID= GBG_ID
     AND ROWNUM =1
     ORDER BY T.TRANSCRIPT_ID ASC;

      SELECT ASSEMBLY_ID INTO assemblyId
     FROM GNM_GENE_BUILD_GENE G 
     JOIN GNM_GENE_BUILD GB USING(GENE_BUILD_ID)
     WHERE G.GENE_BUILD_GENE_ID= GBG_ID;
      
   UPDATE GNM_LOCUS SET
     CHR_START = chromStart, 
     CHR_END = chromEnd,
     CHR_STRAND = chromStart,
     CHR_NAME = chromName,
     ASSEMBLY_ID = assemblyId,
     TYPE = 'GENE_BUILD_GENE'
     WHERE LOCUS_ID = locusId;
 END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE VIEW TYP_MODIFIED_ALLELE_VW
AS 
select 
  ma.id id, 
  ma.internal_name internal_name,
  ma.official_name_subscript official_name_subscript,
  ma.official_name_superscript official_name_superscript,
  ma.affects_single_gene affects_single_gene,
  ma.is_homozygous_lethal is_homozygous_lethal,
  ma.has_associated_phenotype has_associated_phenotype,
  ma.phenotype_description phenotype_description,
  ma.affects_multiple_gene_descrip affects_multiple_gene_descrip,
  ma.allele_description allele_description, 
  ma.maker_name maker_name,
  ma.team_name team_name, 
  ma.team_leader team_leader,
  tst.description genotyping_description, 
  lo.id locus_id, 
  lo.chr_name chr_name,
  lo.chr_start chr_start, 
  lo.chr_end chr_end, 
  lo.chr_strand chr_strand,
  lo.assembly_id assembly_id, 
  pp.id primer_pair_id,
  pp.five_primer_forward five_primer_forward,
  pp.three_primer_reverse three_primer_reverse,
  pp.expected_size expected_size, 
  pp.melt_temp melt_temp,
  mad.id mutation_nature_id, 
  mad.name mutation_nature_name,
  mad.description mutation_nature_descrip, 
  imd.id inheritance_mode_id,
  imd.name inheritance_mode_name,
  imd.description inheritance_mode_descrip
from 
  typ_modified_allele ma,
  gnm_locus lo,
  typ_genotyping_primer_pair pp,
  typ_genotype_test tst,
  typ_mutation_nature_dict mad,
  typ_inheritance_mode_dict imd
where ma.locus_id = lo.id
  and tst.modified_allele_id = ma.id
  and pp.genotype_test_id = tst.genotype_test_id
  and ma.inheritance_mode_id = imd.id
  and ma.mutation_nature_id = mad.id;


CREATE OR REPLACE VIEW ARQ_ALLELE_REQUEST_LIST_VW
AS 
select 
  a.id, 
  a.requester_person_id, 
  a.target_endpoint_dict_id, 
  a.edit_date, 
  a.comments, 
  a.researcher_person_id, 
  a.request_reasoning, 
  a.mutation_plan, 
  a.knockout_exists, 
  a.knockout_exists_reference, 
  a.allele_nature, 
  a.request_priority, 
  a.gene_id, 
  a.review_comments, 
  a.researcher_name, 
  a.status_dict_id, 
  a.allele_mod_other_expln, 
  a.edited_by, 
  a.unexpected_phenotype_ok, 
  a.mgp_phenotyping_required, 
  a.request_source_dict_id, 
  a.gene_publications, 
  a.mouse_publications, 
  so.name source, 
  st.name status, 
  t.name target_endpoint, 
  p.user_name, 
  en.name ensembl_id, 
  gn.name gene_name, 
  gs.score 
from 
  arq_allele_request a, 
  arq_allele_request_source_dict so, 
  arq_allele_request_status_dict st, 
  arq_target_endpoint_dict t, 
  per_person p, 
  gnm_gene_name en, 
  gnm_gene_name gn, 
  gev_gene_summary gs 
where 
  a.request_source_dict_id = so.id(+) and 
  a.status_dict_id = st.id(+) and 
  a.target_endpoint_dict_id = t.id(+) and 
  a.requester_person_id = p.person_id(+) and 
  a.gene_id = en.gene_id(+) and en.source(+) = 'Ensembl_ID' and 
  a.gene_id = gn.gene_id(+) and gn.source(+) = 'MarkerSymbol' and 
  a.gene_id = gs.gene_id(+);


CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_UCNAME_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_TRANSCRIPT_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MEV_EVENT_TRIG
BEFORE INSERT
ON MEV_EVENT
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MEV_EVENT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER mir_micro_injection_request_t2 
before update or delete on mir_micro_injection_request
for each row
begin

if deleting or updating then

  insert into mir_micro_injection_req_audit (
    id,
    ppl,
 requestor_name,
 requestor_pil,
 cell_line_id,
 targeted_gene_id,
 endpoint_id,
 embryo_stage,
 edit_date,
 ppl_holder,
 requestor_phone,
 requestor_email,
 requestor_team,
 clone_id,
 edited_by,
 status_dict_id)
  values (
   :old.id,
    :old.ppl,
 :old.requestor_name,
 :old.requestor_pil,
 :old.cell_line_id,
 :old.targeted_gene_id,
 :old.endpoint_id,
 :old.embryo_stage,
 :old.edit_date,
 :old.ppl_holder,
 :old.requestor_phone,
 :old.requestor_email,
 :old.requestor_team,
 :old.clone_id,
 :old.edited_by,
 :old.status_dict_id
    );
  
end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_CAGE
BEFORE INSERT
ON MTS_CAGE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
IF(:NEW.ID IS NULL) THEN
    SELECT MTS_CAGE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_BREEDING_MOUSE_TRIG
BEFORE INSERT
ON MTS_BREEDING_MOUSE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF(:NEW.ID IS NULL) THEN
     SELECT MTS_BREEDING_MOUSE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; 
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_BREEDING_TRIG
BEFORE INSERT
ON MTS_BREEDING
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_BREEDING_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_CAGE_TRIG
BEFORE INSERT
ON MTS_CAGE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
IF(:NEW.ID IS NULL) THEN
    SELECT MTS_CAGE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_TRIG
BEFORE INSERT
ON MTS_COLONY
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_COLONY_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_EMBRYO_TRANSFER_TRIG
BEFORE INSERT
ON MTS_EMBRYO_TRANSFER
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_EMBRYO_TRANSFER_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_ES_CLONE_TRIG
BEFORE INSERT
ON MTS_ES_CLONE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_ES_CLONE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_LITTER_TRIG
BEFORE INSERT
ON MTS_LITTER
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_LITTER_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_MOUSE_TRIG
BEFORE INSERT
ON MTS_MOUSE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_MOUSE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_RACK_TRIG
BEFORE INSERT
ON MTS_RACK
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_RACK_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_ROOM_TRIG
BEFORE INSERT
ON MTS_ROOM
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_ROOM_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_ROOMED_RACK_TRIG
BEFORE INSERT
ON MTS_ROOMED_RACK
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_ROOMED_RACK_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_RACKED_CAGE_TRIG
BEFORE INSERT
ON MTS_RACKED_CAGE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_RACKED_CAGE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_CAGED_MOUSE_TRIG
BEFORE INSERT
ON MTS_CAGED_MOUSE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_CAGED_MOUSE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_ABSTRACT_TRIG
BEFORE INSERT
ON PUB_ABSTRACT
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ABSTRACT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_ABSTRACT_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER CRQ_CRYO_REQUEST_STATUS_TRIG
BEFORE INSERT
ON CRQ_CRYO_REQUEST_STATUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF ( :new.CRQ_CRYO_REQUEST_STATUS_ID IS NULL ) THEN
      SELECT CRQ_CRYO_REQUEST_STATUS_ID_SEQ.NEXTVAL INTO :new.CRQ_CRYO_REQUEST_STATUS_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MIR_REQUEST_STATUS_TRIG
BEFORE INSERT
ON MIR_REQUEST_STATUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF ( :new.MIR_REQUEST_STATUS_ID IS NULL ) THEN
      SELECT MIR_REQUEST_STATUS_ID_SEQ.NEXTVAL INTO :new.MIR_REQUEST_STATUS_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER arq_allele_request_t2 
before update or delete on arq_allele_request
for each row
begin

if deleting or updating then

  insert into arq_allele_request_audit (
    id,
    requester_person_id,
    target_endpoint_dict_id,
    edit_date,
    comments, 
    researcher_person_id, 
    request_reasoning, 
    mutation_plan, 
    knockout_exists, 
    knockout_exists_reference, 
    allele_nature, 
    request_priority, 
    gene_id, 
    review_comments, 
    researcher_name, 
    status_dict_id,
    allele_mod_other_expln, 
 edited_by,
    unexpected_phenotype_ok, 
    mgp_phenotyping_required,
 request_source_dict_id,
 gene_publications,
 mouse_publications,
 allele_mod_type_dict_id)
  values (
   :old.id,
    :old.requester_person_id,
    :old.target_endpoint_dict_id,
    :old.edit_date,
    :old.comments, 
    :old.researcher_person_id, 
    :old.request_reasoning, 
    :old.mutation_plan, 
    :old.knockout_exists, 
    :old.knockout_exists_reference, 
    :old.allele_nature, 
    :old.request_priority, 
    :old.gene_id, 
    :old.review_comments, 
    :old.researcher_name, 
    :old.status_dict_id,
    :old.allele_mod_other_expln, 
 :old.edited_by,
    :old.unexpected_phenotype_ok, 
    :old.mgp_phenotyping_required,
 :old.request_source_dict_id,
 :old.gene_publications,
 :old.mouse_publications,
 :old.allele_mod_type_dict_id
    );
  
end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_EXTERNAL_SUPPORT_REF_TRIG
BEFORE INSERT
ON GEV_EXTERNAL_SUPPORT_REF
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
BEGIN
  IF(:NEW.EXTERNAL_SUPPORT_REF_ID IS NULL) THEN
    SELECT GEV_EXTERNAL_SUPPORT_REF_SEQ.NEXTVAL 
   INTO :NEW.EXTERNAL_SUPPORT_REF_ID
   FROM DUAL;
  END IF;
END ;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER crq_cryo_request_t2 
before update or delete on crq_cryo_request
for each row
begin

if deleting or (updating and :new.status_dict_id != :old.status_dict_id) then

  insert into crq_cryo_request_audit
     (id,
    ppl,
    ppl_holder,
    requestor_name,
    requestor_pil, 
    requestor_email, 
    requestor_phone, 
    requestor_team, 
    colony_name, 
    colony_prefix, 
    mouse_line_name, 
    altered_allele, 
    ensembl_id, 
    mouse_background_strain, 
    breeding_performance, 
    female_strain,
    edit_date, 
 edited_by,
    status_dict_id, 
    homozygous_lethal)
  values (:old.id,
    :old.ppl,
    :old.ppl_holder,
    :old.requestor_name,
    :old.requestor_pil, 
    :old.requestor_email, 
    :old.requestor_phone, 
    :old.requestor_team, 
    :old.colony_name, 
    :old.colony_prefix, 
    :old.mouse_line_name, 
    :old.altered_allele, 
    :old.ensembl_id, 
    :old.mouse_background_strain, 
    :old.breeding_performance, 
    :old.female_strain,
    :old.edit_date, 
 :old.edited_by,
    :old.status_dict_id, 
    :old.homozygous_lethal
     );
  
end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_TRIG
BEFORE INSERT
ON GNM_EXON
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_EXON_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_EXON_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_GENE_ARTICLE_REF_TRIG
BEFORE INSERT 
ON GEV_GENE_ARTICLE_REF 
FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GEV_GENE_ARTICLE_REF_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_GENE_SUMMARY_TRIG
BEFORE INSERT
ON GEV_GENE_SUMMARY
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GEV_GENE_SUMMARY_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
  
  update gev_gene_summary set is_valid = 0 
  where 
    gene_id = :new.gene_id and 
 id != :new.id;
  
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_ASSEMBLY_TRIG 
BEFORE INSERT 
ON GNM_ASSEMBLY FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GNM_ASSEMBLY_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_NAME_TRIG
BEFORE INSERT
ON GNM_EXON_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_EXON_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_EXON_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_GENE_NAME_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_BUILD_GENE_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_BUILD_GENE_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_GENE_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF (:NEW.ID IS NULL) THEN
    SELECT GNM_GENE_BUILD_GENE_SEQ.NEXTVAL
     INTO :NEW.ID FROM DUAL; 
  END IF;
END GNM_GENE_BUILD_GENE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_TRIG 
BEFORE INSERT 
ON GNM_GENE_BUILD FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GNM_GENE_BUILD_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_NAME_TRIG
BEFORE INSERT
ON GNM_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GNM_TRANSCRIPT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_LOCUS_TRIG
BEFORE INSERT
ON GNM_LOCUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GNM_LOCUS_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GBGENE_UCNAME_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_GBGENE_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_UCNAME_TRIG
BEFORE INSERT
ON GNM_EXON_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_EXON_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_NAME_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_TRANSCRIPT_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_TRANSCRIPT_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_2_GENEBLD_GENE_TRIG
BEFORE INSERT
ON GNM_GENE_2_GENE_BUILD_GENE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_2_GENE_BUILD_GENE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_2_GENEBLD_GENE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER pub_article_trig
BEFORE INSERT
ON pub_article
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ARTICLE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END pub_article_trig;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_AUTHOR_TRIG
BEFORE INSERT
ON PUB_AUTHOR
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_AUTHOR_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_AUTHROR_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER REQ_ANIMAL_REQUEST_TRIG
BEFORE INSERT 
ON REQ_ANIMAL_REQUEST 
FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT REQ_ANIMAL_REQUEST_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_STRAIN_TRIG
BEFORE INSERT
ON TYP_STRAIN
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT TYP_STRAIN_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER LIC_PROTCOL_19B_TRIG
BEFORE INSERT
ON LIC_PROTOCOL_19B
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.PROTOCOL_19B_ID IS NULL) THEN
    SELECT LIC_PROTOCOL_19B_SEQ.NEXTVAL INTO :NEW.PROTOCOL_19B_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_MGI_PHENOTYPE_ALLELE_TRIG
BEFORE INSERT
ON GEV_MGI_PHENOTYPE_ALLELE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.MGI_PHENOTYPE_ALLELE_ID IS NULL) THEN
    SELECT GEV_MGI_PHENOTYPE_ALLELE_SEQ.NEXTVAL INTO :NEW.MGI_PHENOTYPE_ALLELE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER LIC_PROJECT_LICENCE_TRIG
BEFORE INSERT
ON LIC_PROJECT_LICENCE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.PROJECT_LICENCE_ID IS NULL) THEN
    SELECT LIC_PROJECT_LICENCE_SEQ.NEXTVAL INTO :NEW.PROJECT_LICENCE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_LOCALE_TRIG 
BEFORE INSERT 
ON PER_LOCALE_DICT 
FOR EACH ROW
BEGIN
   IF ( :new.LOCALE_ID IS NULL ) THEN
      SELECT PER_LOCALE_SEQ.NEXTVAL INTO :new.LOCALE_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_PERSON_TRIG 
BEFORE INSERT 
ON PER_PERSON 
FOR EACH ROW
BEGIN
   IF ( :new.PERSON_ID IS NULL ) THEN
      SELECT PER_PERSON_SEQ.NEXTVAL INTO :new.PERSON_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_SET_ID_TRIG
BEFORE INSERT
ON GNM_GENE_SET
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.GENE_SET_ID IS NULL) THEN
    SELECT GNM_GENE_SET_SEQ.NEXTVAL INTO :NEW.GENE_SET_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER LIC_PERSONAL_LICENCE_TRIG
BEFORE INSERT
ON LIC_PERSONAL_LICENCE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.PERSONAL_LICENCE_ID IS NULL) THEN
    SELECT LIC_PERSONAL_LICENCE_SEQ.NEXTVAL INTO :NEW.PERSONAL_LICENCE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_HOMOLOGY_TRIG
BEFORE INSERT
ON GNM_GENE_HOMOLOGY
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.GENE_HOMOLOGY_ID IS NULL) THEN
    SELECT GNM_GENE_HOMOLOGY_SEQ.NEXTVAL INTO :NEW.GENE_HOMOLOGY_ID FROM dual;
  END IF;   
END GNM_GENE_HOMOLOGY_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER ARQ_ALLELE_REQUEST_STATUS_TRIG BEFORE INSERT ON ARQ_ALLELE_REQUEST_STATUS FOR EACH ROW
BEGIN
   IF ( :new.ALLELE_REQUEST_STATUS_ID IS NULL ) THEN
      SELECT ALLELE_REQUEST_STATUS_ID_SEQ.NEXTVAL INTO :new.ALLELE_REQUEST_STATUS_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_MIG_CURATED_STATUS_TRIG
BEFORE INSERT
ON GEV_MIG_CURATED_STATUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF ( :NEW.MIG_CURATED_STATUS_ID IS NULL ) THEN
      SELECT GEV_MIG_CURATED_STATUS_SEQ.NEXTVAL 
      INTO :NEW.MIG_CURATED_STATUS_ID FROM DUAL;
   END IF;    
END GEV_MIG_CURATED_STATUS_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER per_organisation_trig
BEFORE INSERT
ON per_organisation
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ORGANISATION_ID IS NULL) THEN
    SELECT PER_ORGANISATION_SEQ.NEXTVAL 
     INTO :NEW.ORGANISATION_ID FROM dual;
  END IF;
END per_organisation_trig;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_ROLE_TRIG
BEFORE INSERT
ON PER_ROLE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ROLE_ID IS NULL THEN
   SELECT PER_ROLE_SEQ.NEXTVAL INTO :NEW.ROLE_ID FROM DUAL;
  END IF;
END per_role_trig;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_PERSON_2_ROLE_TRIG
BEFORE INSERT
ON PER_PERSON_2_ROLE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.PERSON_2_ROLE_ID IS NULL THEN
   SELECT PER_PERSON_2_ROLE_SEQ.NEXTVAL 
      INTO :NEW.PERSON_2_ROLE_ID
      FROM DUAL;
  END IF;
END PER_PERSON_2_ROLE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_ARTICLE_2_AUTHOR_TRIG
BEFORE INSERT
ON PUB_ARTICLE_2_AUTHOR
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ARTICLE_2_AUTHOR_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_ARTICLE_2_AUTHOR_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_FACULTY_VOTE_TRIG
BEFORE INSERT
ON GEV_FACULTY_VOTE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.FACULTY_VOTE_ID IS NULL THEN
    SELECT GEV_FACULTY_VOTE_SEQ.NEXTVAL 
     INTO :NEW.FACULTY_VOTE_ID
     FROM DUAL;
  END IF;
END GEV_FACULTY_VOTE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MEV_PROCEDURE_TRIG
BEFORE INSERT
ON MEV_PROCEDURE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.PROCEDURE_ID IS NULL) THEN
    SELECT MEV_PROCEDURE_SEQ.NEXTVAL INTO :NEW.PROCEDURE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



ALTER TABLE CRQ_CRYO_REQUEST_STATUS_DICT ADD (
  CONSTRAINT CRYO_REQUEST_STATUS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PUB_ARTICLE ADD (
  CONSTRAINT PUB_ARTICLE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PUB_ARTICLE_2_AUTHOR ADD (
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PUB_AUTHOR ADD (
  CONSTRAINT PUB_AUTHOR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE REQ_ANIMAL_REQUEST ADD (
  CONSTRAINT REQ_ANIMAL_REQUEST_C01
 CHECK (AGE_OR_WEIGHT in ('days','weeks','grams',null)),
  CONSTRAINT REQ_ANIMAL_REQUEST_R01
 CHECK (AGE_OR_WEIGHT_VS_EMBRYO_AGE in ('ageOrWeight','embryoAge')));

ALTER TABLE REQ_ANIMAL_REQUEST_STATUS_DICT ADD (
  CONSTRAINT REQ_ANIMAL_REQUEST_STATUS_C01
 CHECK (ACTIVE IN ('true','false')),
  CONSTRAINT REQ_ANIMAL_REQUEST_STATUS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_GENOTYPE_TEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_GENOTYPING_PRIMER_PAIR ADD (
  CONSTRAINT TYP_GENOTYPING_PRIMER_PAIR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_MODIFIED_ALLELE ADD (
  CONSTRAINT TYP_MODIFIED_ALLELE_C02
 CHECK (is_homozygous_lethal in ('true','false','unknown')),
  CONSTRAINT TYP_MODIFIED_ALLELE_C03
 CHECK (has_associated_phenotype in ('true','false','unknown')),
  CONSTRAINT TYP_MODIFIED_ALLELE_C04
 CHECK (affects_single_gene  in ('true','false','unknown')),
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_MOUSE_SAMPLE ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_PK
 PRIMARY KEY
 (MOUSE_SAMPLE_ID));

ALTER TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_GENOTYE_TE_PK
 PRIMARY KEY
 (MOUSE_SAMPLE_GENOTYPE_TEST_ID));

ALTER TABLE ARQ_ALLELE_MOD_TYPE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST_STATUS_DICT ADD (
  CONSTRAINT ARQ_ALLELE_REQUEST_STATUS_D_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_MODIFIED_LOCUS ADD (
  PRIMARY KEY
 (MODIFIED_LOCUS_ID));

ALTER TABLE ARQ_TARGET_ENDPOINT_DICT ADD (
  CONSTRAINT GNM_ALLELE_TARGET_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE CRQ_CRYO_REQUEST ADD (
  CONSTRAINT CRQ_CRYO_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST_SOURCE_DICT ADD (
  CONSTRAINT ARQ_ALLELE_REQUEST_SOURCE_D_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF ADD (
  CONSTRAINT GEV_EXTERNAL_SUPPORT_REF_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_FACULTY_VOTE ADD (
  CONSTRAINT GEV_FACULTY_VOTE_PK
 PRIMARY KEY
 (FACULTY_VOTE_ID));

ALTER TABLE TYP_INHERITANCE_MODE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_MUTATION_NATURE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GEV_GENE_SUMMARY ADD (
  CONSTRAINT GEV_GENE_SUMMARY_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_STRAIN ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_ROOMED_RACK ADD (
  CONSTRAINT MTS_ROOMED_RACK_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PER_ADDRESS ADD (
  PRIMARY KEY
 (ADDRESS_ID));

ALTER TABLE PER_DEPARTMENT ADD (
  PRIMARY KEY
 (DEPARTMENT_ID));

ALTER TABLE PER_DEPARTMENT_2_ADDRESS ADD (
  PRIMARY KEY
 (DEPARTMENT_ID, ADDRESS_ID));

ALTER TABLE PER_INSTITUTION ADD (
  PRIMARY KEY
 (INSTITUTION_ID));

ALTER TABLE PER_INSTITUTION_2_ADDRESS ADD (
  PRIMARY KEY
 (ADDRESS_ID, INSTITUTION_ID));

ALTER TABLE PER_LOCALE_DICT ADD (
  PRIMARY KEY
 (LOCALE_ID));

ALTER TABLE PER_ORGANISATION ADD (
  PRIMARY KEY
 (ORGANISATION_ID));

ALTER TABLE PER_ORGANISATION_2_ADDRESS ADD (
  PRIMARY KEY
 (ORGANISATION_ID, ADDRESS_ID));

ALTER TABLE PER_PERSON ADD (
  PRIMARY KEY
 (PERSON_ID));

ALTER TABLE PER_PERSON_2_ROLE ADD (
  CONSTRAINT PER_PERSON_2_ROLE_PK
 PRIMARY KEY
 (PERSON_2_ROLE_ID));

ALTER TABLE PER_ROLE ADD (
  CONSTRAINT PER_ROLE_PK
 PRIMARY KEY
 (ROLE_ID));

ALTER TABLE PER_TELEPHONE_CONTACT ADD (
  PRIMARY KEY
 (PERSON_ID, TEL_NUMBER));

ALTER TABLE PER_TEL_CONTACT_TYPE_DICT ADD (
  PRIMARY KEY
 (TEL_CONTACT_TYPE_DICT_ID));

ALTER TABLE PUB_ABSTRACT ADD (
  CONSTRAINT PUB_ABSTRACT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_GENE_ARTICLE_REF ADD (
  CONSTRAINT GEV_GENE_ARTICLE_REF_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE ADD (
  CONSTRAINT GEV_MGI_PHENOTYPE_ALLELE_PK
 PRIMARY KEY
 (MGI_PHENOTYPE_ALLELE_ID));

ALTER TABLE GEV_MIG_CURATED_STATUS ADD (
  CONSTRAINT GEV_MIG_CURATED_STATUS_PK
 PRIMARY KEY
 (MIG_CURATED_STATUS_ID));

ALTER TABLE GNM_EXON ADD (
  CONSTRAINT GNM_EXON_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_ASSEMBLY ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE ADD (
  PRIMARY KEY
 (GENE_ID));

ALTER TABLE GNM_GENE_BUILD ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_BUILD_GENE ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_NAME_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_HOMOLOGY ADD (
  CONSTRAINT GNM_GENE_HOMOLOGY_PK
 PRIMARY KEY
 (GENE_HOMOLOGY_ID));

ALTER TABLE GNM_GENE_SET ADD (
  PRIMARY KEY
 (GENE_SET_ID));

ALTER TABLE GNM_LOCUS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_TRANSCRIPT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE LIC_PERSONAL_LICENCE ADD (
  PRIMARY KEY
 (PERSONAL_LICENCE_ID));

ALTER TABLE LIC_PROJECT_LICENCE ADD (
  PRIMARY KEY
 (PROJECT_LICENCE_ID));

ALTER TABLE LIC_PROTOCOL_19B ADD (
  CONSTRAINT LIC_PROTOCOL_19B_PK
 PRIMARY KEY
 (PROTOCOL_19B_ID));

ALTER TABLE MEV_BREEDING_EVENT ADD (
  CONSTRAINT MEV_BREEDING_EVENT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_EMBRYO_TRANSFER_EVENT ADD (
  CONSTRAINT MEV_EMBRYO_TRANSFER_EVENT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_ES_CLONE_EVENT ADD (
  CONSTRAINT MEV_ES_CLONE_EVENT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_EVENT ADD (
  CONSTRAINT MEV_EVENT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MEV_LITTER_EVENT ADD (
  CONSTRAINT MEV_LITTER_EVENT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_LITTER_EVENT_BASIC_DATA ADD (
  CONSTRAINT MEV_LITTER_EVENT_BASIC_DATA_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MEV_MOUSE_EVENT ADD (
  CONSTRAINT MEV_MOUSE_EVENT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_MOUSE_EVENT_BASIC_DATA ADD (
  CONSTRAINT MEV_MOUSE_EVENT_BASIC_DATA_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MEV_MOUSE_EVENT_WEIGHT ADD (
  CONSTRAINT MEV_MOUSE_WEIGHT_PK
 PRIMARY KEY
 (EVENT_ID));

ALTER TABLE MEV_PROCEDURE ADD (
  CONSTRAINT LIC_PROCEDURE_PK
 PRIMARY KEY
 (PROCEDURE_ID));

ALTER TABLE MIR_MICRO_INJECTION_REQUEST ADD (
  CONSTRAINT MIR_MICRO_INJECTION_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MIR_REQUEST_STATUS_DICT ADD (
  CONSTRAINT MIR_REQUEST_STATUS_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_BREEDING ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_BREEDING_MOUSE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_CAGE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_CAGED_MOUSE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY ADD (
  CONSTRAINT MTS_COLONY_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_EMBRYO_TRANSFER ADD (
  CONSTRAINT MTS_EMBRYO_TRANSFER_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_ES_CLONE ADD (
  CONSTRAINT MTS_ES_CLONE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_LITTER ADD (
  CONSTRAINT MTS_LITTER_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_MOUSE ADD (
  CONSTRAINT MTS_MOUSE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_RACK ADD (
  CHECK ("NAME" IS NOT NULL) DISABLE,
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_RACKED_CAGE ADD (
  CONSTRAINT MTS_RACKED_CAGE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_ROOM ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE PUB_ARTICLE_2_AUTHOR ADD (
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_R01 
 FOREIGN KEY (ARTICLE_ID) 
 REFERENCES PUB_ARTICLE (ID),
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_R02 
 FOREIGN KEY (AUTHOR_ID) 
 REFERENCES PUB_AUTHOR (ID));

ALTER TABLE REQ_ANIMAL_REQUEST ADD (
  FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES REQ_ANIMAL_REQUEST_STATUS_DICT (ID));

ALTER TABLE TYP_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_GENOTYPE_TEST_R01 
 FOREIGN KEY (MODIFIED_ALLELE_ID) 
 REFERENCES TYP_MODIFIED_ALLELE (ID));

ALTER TABLE TYP_GENOTYPING_PRIMER_PAIR ADD (
  CONSTRAINT TYP_GENOTYPING_PRIMER_PAIR_R01 
 FOREIGN KEY (GENOTYPE_TEST_ID) 
 REFERENCES TYP_GENOTYPE_TEST (ID));

ALTER TABLE TYP_MODIFIED_ALLELE ADD (
  FOREIGN KEY (MUTATION_NATURE_ID) 
 REFERENCES TYP_MUTATION_NATURE_DICT (ID),
  CONSTRAINT TYP_MODIFIED_ALLELE_R01 
 FOREIGN KEY (INHERITANCE_MODE_ID) 
 REFERENCES TYP_INHERITANCE_MODE_DICT (ID),
  CONSTRAINT ARQ_MODIFIED_LOCUS_R01 
 FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID));

ALTER TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_GENOTYE_T_R01 
 FOREIGN KEY (MOUSE_SAMPLE_ID) 
 REFERENCES TYP_MOUSE_SAMPLE (MOUSE_SAMPLE_ID),
  CONSTRAINT TYP_MOUSE_SAMPLE_GENOTYE_T_R02 
 FOREIGN KEY (GENOTYPE_TEST_ID) 
 REFERENCES TYP_GENOTYPE_TEST (ID));

ALTER TABLE ARQ_ALLELE_REQUEST ADD (
  FOREIGN KEY (TARGET_ENDPOINT_DICT_ID) 
 REFERENCES ARQ_TARGET_ENDPOINT_DICT (ID),
  FOREIGN KEY (REQUESTER_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT ARQ_ALLELE_REQUEST_R04 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  CONSTRAINT ARQ_ALLELE_REQUEST_R05 
 FOREIGN KEY (REQUEST_SOURCE_DICT_ID) 
 REFERENCES ARQ_ALLELE_REQUEST_SOURCE_DICT (ID));

ALTER TABLE ARQ_REQUEST_2_MODIFIED_LOCUS ADD (
  CONSTRAINT ARQ_REQUEST_2_MODIFIED_ALL_R01 
 FOREIGN KEY (ALLELE_REQUEST_ID) 
 REFERENCES ARQ_ALLELE_REQUEST (ID),
  CONSTRAINT ARQ_REQUEST_2_MODIFIED_ALL_R02 
 FOREIGN KEY (MODIFIED_LOCUS_ID) 
 REFERENCES ARQ_MODIFIED_LOCUS (MODIFIED_LOCUS_ID));

ALTER TABLE CRQ_CRYO_REQUEST ADD (
  CONSTRAINT CRQ_CRYO_REQUEST_R01 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES CRQ_CRYO_REQUEST_STATUS_DICT (ID));

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF ADD (
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GEV_FACULTY_VOTE ADD (
  CONSTRAINT GEV_FACULTY_VOTE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT GEV_FACULTY_VOTE_R02 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GEV_GENE_SUMMARY ADD (
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GEV_GENE_TARGETING_HITS ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE MTS_ROOMED_RACK ADD (
  CONSTRAINT MTS_ROOMED_RACK_R01 
 FOREIGN KEY (ROOM_ID) 
 REFERENCES MTS_ROOM (ID),
  CONSTRAINT MTS_ROOMED_RACK_R02 
 FOREIGN KEY (RACK_ID) 
 REFERENCES MTS_RACK (ID));

ALTER TABLE PER_DEPARTMENT ADD (
  FOREIGN KEY (INSTITUTION_ID) 
 REFERENCES PER_INSTITUTION (INSTITUTION_ID));

ALTER TABLE PER_EMAIL_CONTACT ADD (
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE PER_PERSON_2_DEPARTMENT ADD (
  FOREIGN KEY (DEPARTMENT_ID) 
 REFERENCES PER_DEPARTMENT (DEPARTMENT_ID),
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE PER_PERSON_2_ROLE ADD (
  CONSTRAINT PER_PERSON_2_ROLE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT PER_PERSON_2_ROLE_R02 
 FOREIGN KEY (ROLE_ID) 
 REFERENCES PER_ROLE (ROLE_ID));

ALTER TABLE PER_TELEPHONE_CONTACT ADD (
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  FOREIGN KEY (TEL_CONTACT_TYPE_DICT_ID) 
 REFERENCES PER_TEL_CONTACT_TYPE_DICT (TEL_CONTACT_TYPE_DICT_ID));

ALTER TABLE GEV_GENE_ARTICLE_REF ADD (
  CONSTRAINT GEV_GENE_ARTICLE_REF_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  CONSTRAINT GEV_GENE_ARTICLE_REF_R02 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT GEV_GENE_ARTICLE_REF_R03 
 FOREIGN KEY (ARTICLE_ID) 
 REFERENCES PUB_ARTICLE (ID));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE ADD (
  CONSTRAINT GEV_MGI_PHENOTYPE_ALLELE_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GEV_MIG_CURATED_STATUS ADD (
  CONSTRAINT GEV_MIG_CURATED_STATUS_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_EXON ADD (
  CONSTRAINT GNM_EXON_R01 
 FOREIGN KEY (TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID),
  CONSTRAINT GNM_EXON_R02 
 FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID));

ALTER TABLE GNM_EXON_NAME ADD (
  CONSTRAINT GNM_EXON_NAME_R01 
 FOREIGN KEY (EXON_ID) 
 REFERENCES GNM_EXON (ID));

ALTER TABLE GNM_GENE_BUILD ADD (
  FOREIGN KEY (ASSEMBLY_ID) 
 REFERENCES GNM_ASSEMBLY (ID));

ALTER TABLE GNM_GENE_BUILD_GENE ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  CONSTRAINT GNM_GENE_BUILD_GENE_R02 
 FOREIGN KEY (GENE_BUILD_ID) 
 REFERENCES GNM_GENE_BUILD (ID));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_NAME_R01 
 FOREIGN KEY (GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID));

ALTER TABLE GNM_GENE_HOMOLOGY ADD (
  FOREIGN KEY (GENE1_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (GENE2_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_GENE_NAME ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_GENE_SET ADD (
  FOREIGN KEY (CREATED_BY_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE GNM_GENE_SET_2_GENE ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (GENE_SET_ID) 
 REFERENCES GNM_GENE_SET (GENE_SET_ID));

ALTER TABLE GNM_TRANSCRIPT ADD (
  CONSTRAINT GNM_TRANSCRIPT_R02 
 FOREIGN KEY (GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID),
  FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID));

ALTER TABLE GNM_TRANSCRIPT_HOMOLOGY ADD (
  FOREIGN KEY (RIGHT_TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID),
  FOREIGN KEY (LEFT_TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID));

ALTER TABLE GNM_TRANSCRIPT_NAME ADD (
  FOREIGN KEY (TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID));

ALTER TABLE LIC_PERSONAL_LICENCE ADD (
  CONSTRAINT LIC_PERSONAL_LICENCE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE LIC_PROJECT_2_PERSONAL_LICENCE ADD (
  CONSTRAINT LIC_PROJECT_2_PERSONAL_LIC_R01 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID),
  CONSTRAINT LIC_PROJECT_2_PERSONAL_LIC_R02 
 FOREIGN KEY (PERSONAL_LICENCE_ID) 
 REFERENCES LIC_PERSONAL_LICENCE (PERSONAL_LICENCE_ID));

ALTER TABLE LIC_PROJECT_LICENCE ADD (
  CONSTRAINT LIC_PROJECT_LICENCE_R03 
 FOREIGN KEY (DEPUTY3_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT LIC_PROJECT_LICENCE_R02 
 FOREIGN KEY (DEPUTY2_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT LIC_PROJECT_LICENCE_R01 
 FOREIGN KEY (DEPUTY1_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE LIC_PROTOCOL_19B ADD (
  CONSTRAINT LIC_PROTOCOL_19B_R01 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID));

ALTER TABLE MEV_BREEDING_EVENT ADD (
  CONSTRAINT MEV_BREEDING_EVENT_R02 
 FOREIGN KEY (EVENT_ID) 
 REFERENCES MEV_EVENT (ID),
  CONSTRAINT MEV_BREEDING_EVENT_R01 
 FOREIGN KEY (BREEDING_ID) 
 REFERENCES MTS_BREEDING (ID));

ALTER TABLE MEV_EMBRYO_TRANSFER_EVENT ADD (
  CONSTRAINT MEV_EMBRYO_TRANSFER_EVENT_R02 
 FOREIGN KEY (EMBRYO_TRANSFER_ID) 
 REFERENCES MTS_EMBRYO_TRANSFER (ID));

ALTER TABLE MEV_ES_CLONE_EVENT ADD (
  CONSTRAINT MEV_ES_CLONE_EVENT_R01 
 FOREIGN KEY (EVENT_ID) 
 REFERENCES MEV_EVENT (ID),
  CONSTRAINT MEV_ES_CLONE_EVENT_R02 
 FOREIGN KEY (ES_CLONE_ID) 
 REFERENCES MTS_ES_CLONE (ID));

ALTER TABLE MEV_EVENT ADD (
  CONSTRAINT MEV_EVENT_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE MEV_LITTER_EVENT ADD (
  CONSTRAINT MEV_LITTER_EVENT_R01 
 FOREIGN KEY (EVENT_ID) 
 REFERENCES MEV_EVENT (ID),
  CONSTRAINT MEV_LITTER_EVENT_R02 
 FOREIGN KEY (LITTER_ID) 
 REFERENCES MTS_LITTER (ID));

ALTER TABLE MEV_MOUSE_EVENT ADD (
  CONSTRAINT MEV_MOUSE_EVENT_R02 
 FOREIGN KEY (EVENT_ID) 
 REFERENCES MEV_EVENT (ID),
  CONSTRAINT MEV_MOUSE_EVENT_R01 
 FOREIGN KEY (MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID));

ALTER TABLE MEV_MOUSE_EVENT_WEIGHT ADD (
  CONSTRAINT MEV_MOUSE_WEIGHT_R01 
 FOREIGN KEY (EVENT_ID) 
 REFERENCES MEV_MOUSE_EVENT (EVENT_ID));

ALTER TABLE MEV_PROCEDURE ADD (
  CONSTRAINT LIC_PROCEDURE_R01 
 FOREIGN KEY (PROTOCOL_19B_ID) 
 REFERENCES LIC_PROTOCOL_19B (PROTOCOL_19B_ID));

ALTER TABLE MIR_MICRO_INJECTION_REQUEST ADD (
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR01 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES MIR_REQUEST_STATUS_DICT (ID));

ALTER TABLE MTS_BREEDING_MOUSE ADD (
  FOREIGN KEY (MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID),
  FOREIGN KEY (BREEDING_ID) 
 REFERENCES MTS_BREEDING (ID));

ALTER TABLE MTS_CAGED_MOUSE ADD (
  CONSTRAINT MTS_MOUSE_CAGE_R02 
 FOREIGN KEY (CAGE_ID) 
 REFERENCES MTS_CAGE (ID),
  CONSTRAINT MTS_MOUSE_CAGE_R01 
 FOREIGN KEY (MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID));

ALTER TABLE MTS_COLONY_2_MOUSE ADD (
  CONSTRAINT MTS_MOUSE_2_COLONY_R02 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY (ID),
  CONSTRAINT MTS_MOUSE_2_COLONY_R01 
 FOREIGN KEY (MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID));

ALTER TABLE MTS_EMBRYO_TRANSFER ADD (
  CONSTRAINT MTS_EMBRYO_TRANSFER_R02 
 FOREIGN KEY (ES_CLONE_ID) 
 REFERENCES MTS_ES_CLONE (ID),
  CONSTRAINT MTS_EMBRYO_TRANSFER_R01 
 FOREIGN KEY (FEMALE_MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID));

ALTER TABLE MTS_ES_CLONE ADD (
  CONSTRAINT MTS_ES_CLONE_R01 
 FOREIGN KEY (MODIFIED_ALLELE_ID) 
 REFERENCES TYP_MODIFIED_ALLELE (ID));

ALTER TABLE MTS_RACKED_CAGE ADD (
  CONSTRAINT MTS_RACKED_CAGE_R01 
 FOREIGN KEY (RACK_ID) 
 REFERENCES MTS_RACK (ID),
  CONSTRAINT MTS_RACKED_CAGE_R02 
 FOREIGN KEY (CAGE_ID) 
 REFERENCES MTS_CAGE (ID));

