DROP VIEW HTL_SCAN_VW;

/* Formatted on 2008/11/27 13:23 (Formatter Plus v4.8.8) */
CREATE OR REPLACE FORCE VIEW htl_scan_vw (ID,
                                              status_dict_id,
                                              status,
                                              file_path,
                                              version_number,
                                              sweep_date,
                                              width,
                                              height,
                                              thumbnail,
                                              thumb_width,
                                              thumb_height,
                                              slide_id,
                                              staining,
                                              block_name,
                                              block_description,
                                              mouse_barcode,
                                              genotype
                                             )
AS
   SELECT sc.ID ID, sc.status_dict_id, scstat.NAME status, sc.file_path,
          sc.version_number, sc.sweep_date, sc.width, sc.height,
          bin.binary_data thumbnail, sc.thumb_width, sc.thumb_height,
          sl.ID slide_id, st.NAME staining, bt.NAME block_name,
          bt.description block_description, m.barcode mouse_barcode,
          mts.fetch_genotype (m.ID) genotype
     FROM htl_scan sc,
          htl_scan_status_dict scstat,
          app_binary_files bin,
          htl_slide sl,
          htl_staining_type_dict st,
          htl_block b,
          htl_block_type bt,
          htl_fixation f,
          htl_necropsy n,
          mts_mouse m
    WHERE sc.status_dict_id = scstat.ID
      AND sc.thumbnail_id = bin.ID
      AND sc.slide_id = sl.ID
      AND sl.staining_type_dict_id = st.ID
      AND sl.block_id = b.ID
      AND b.block_type_id = bt.ID
      AND b.fixation_id = f.ID
      AND f.necropsy_id = n.ID
      AND n.mouse_id = m.ID;