CREATE TABLE MTS_COHORT_SET_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(250 BYTE),
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       VARCHAR2(4000 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE MTS_COHORT_SET_TYPE_DICT ADD (
  CONSTRAINT MTS_COHORT_SET_TYPE_DICT_PK
 PRIMARY KEY
 (ID));


ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (COHORT_GENOTYPE_DICT_ID NUMBER);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (ID NUMBER);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (CHECK_NUMBER NUMBER);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (CREATOR_ID INTEGER);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (CREATED_DATE DATE);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (EDITED_BY VARCHAR2(128 BYTE));
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (EDIT_DATE DATE);
ALTER TABLE MTS_COHORT_SET_ELEMENT ADD (WT_ONLY NUMBER(1));

ALTER TABLE MTS_COHORT_SET ADD (CHECK_NUMBER NUMBER);
ALTER TABLE MTS_COHORT_SET ADD (CREATOR_ID INTEGER);
ALTER TABLE MTS_COHORT_SET ADD (CREATED_DATE DATE);
ALTER TABLE MTS_COHORT_SET ADD (EDITED_BY VARCHAR2(128 BYTE));
ALTER TABLE MTS_COHORT_SET ADD (EDIT_DATE DATE);
ALTER TABLE MTS_COHORT_SET ADD (COHORT_SET_TYPE_DICT_ID NUMBER);


update mts_cohort_set_element s set s.SET_ID = 27 where s.SET_ID=37;
update mts_cohort_set_element s set s.SET_ID = 29 where s.SET_ID=48;
update mts_cohort_set_element s set s.SET_ID = 7 where s.SET_ID=53;
update mts_cohort_set_element s set s.SET_ID = 7 where s.SET_ID=8;
update mts_cohort_set_element s set s.SET_ID = 44 where s.SET_ID=39;
update mts_cohort_set_element s set s.SET_ID = 16 where s.SET_ID=12;
update mts_cohort_set_element s set s.SET_ID = 49 where s.SET_ID=58;
update mts_cohort_set_element s set s.SET_ID = 3 where s.SET_ID=17;

update mts_cohort_set_element s set s.SET_ID = 57 where s.SET_ID=61;
update mts_cohort_set_element s set s.SET_ID = 13 where s.SET_ID=55;
update mts_cohort_set_element s set s.SET_ID = 13 where s.SET_ID=25;
update mts_cohort_set_element s set s.SET_ID = 35 where s.SET_ID=34;
update mts_cohort_set_element s set s.SET_ID = 14 where s.SET_ID=6;
update mts_cohort_set_element s set s.SET_ID = 5 where s.SET_ID=1;
update mts_cohort_set_element s set s.SET_ID = 32 where s.SET_ID=42;
update mts_cohort_set_element s set s.SET_ID = 72 where s.SET_ID=76;
update mts_cohort_set_element s set s.SET_ID = 59 where s.SET_ID=63;
update mts_cohort_set_element s set s.SET_ID = 41 where s.SET_ID=45;
update mts_cohort_set_element s set s.SET_ID = 43 where s.SET_ID=80;
update mts_cohort_set_element s set s.SET_ID = 2 where s.SET_ID=18;
update mts_cohort_set_element s set s.SET_ID = 33 where s.SET_ID=36;
update mts_cohort_set_element s set s.SET_ID = 26 where s.SET_ID=38;
update mts_cohort_set_element s set s.SET_ID = 9 where s.SET_ID=28;
update mts_cohort_set_element s set s.SET_ID = 24 where s.SET_ID=31;

update mts_cohort_set_element s set s.SET_ID = 23 where s.SET_ID=30;
update mts_cohort_set_element s set s.SET_ID = 23 where s.SET_ID=54;
update mts_cohort_set_element s set s.SET_ID = 74 where s.SET_ID=77;
update mts_cohort_set_element s set s.SET_ID = 4 where s.SET_ID=52;
update mts_cohort_set_element s set s.SET_ID = 4 where s.SET_ID=15;
update mts_cohort_set_element s set s.SET_ID = 21 where s.SET_ID=22;
update mts_cohort_set_element s set s.SET_ID = 60 where s.SET_ID=64;
update mts_cohort_set_element s set s.SET_ID = 19 where s.SET_ID=56;
update mts_cohort_set_element s set s.SET_ID = 19 where s.SET_ID=20;

delete mts_cohort_set s where s.id in(37,48,53,8,39,12,58,17,61,55,25,34,6,63,45,80,18,36,38,28,31,30,54,77,52,15,22,64,56,20,1,42,76,51,65,70,66,67,79,71,78,50);
commit;

INSERT INTO MTS_COHORT_SET_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES (
1, 'internal only', 'internal only', 1, '1');
INSERT INTO MTS_COHORT_SET_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES (
2, 'internal and external', 'internal and external', 2, '1');


COMMIT;

CREATE SEQUENCE MTS_COHORT_SET_SEQ
  START WITH 83
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE MTS_COHORT_SET_ELEMENT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

UPDATE MTS_COHORT_SET_ELEMENT set id = mts_cohort_set_element_seq.nextval where id is null;
update mts_cohort_set s set s.CREATOR_ID = 64, s.COHORT_SET_TYPE_DICT_ID=1, s.CREATED_DATE = to_date('01/04/2008','dd/mm/yyyy');
UPDATE MTS_COHORT_SET_ELEMENT set wt_only=0 where wt_only is null;
commit;

ALTER TABLE MTS_COHORT_SET ADD (
  CONSTRAINT MTS_COHORT_SET_R01
 FOREIGN KEY (COHORT_SET_TYPE_DICT_ID)
 REFERENCES MTS_COHORT_SET_TYPE_DICT (ID));


 CREATE OR REPLACE FUNCTION MTS_FETCH_COHORT_ALLELE (COHORT_ID_P number) RETURN varchar2 IS

cursor cohort_allele_c is
select distinct a.ALLELE_ID allele_id
from
mts_cohort c,
mts_cohort_mouse cm,
mts_mouse m,
mts_mouse_allele a
where c.id = COHORT_ID_P
and cm.cohort_id = c.id
and cm.mouse_id = m.id
and m.ID = a.MOUSE_ID;

output_string varchar2(4000) := '';

BEGIN

    for i in cohort_allele_c loop
       output_string := output_string||','||i.ALLELE_ID;
    end loop;

    return ltrim(output_string,',');

END MTS_FETCH_COHORT_ALLELE;
/


create or replace FUNCTION MTS_FETCH_COHORT_STRAIN (COHORT_ID_P number) RETURN varchar2 IS

cursor cohort_strain is
select distinct st.name mouse_strain
from
mts_cohort c,
mts_cohort_mouse cm,
mts_mouse m,
typ_strain st
where c.id = COHORT_ID_P
and cm.cohort_id = c.id
and cm.mouse_id = m.id
and m.mouse_strain_dict_id = st.id;


output_string varchar2(4000) := '';

BEGIN

    for i in cohort_strain loop
       output_string := output_string||', '||i.mouse_strain;
    end loop;

    return ltrim(output_string,',');

END MTS_FETCH_COHORT_STRAIN;
/

CREATE OR REPLACE FUNCTION MTS_FETCH_COHORTS_IN_SET (cohort_set_id number) RETURN varchar2 IS

cursor cohorts_element is
select cohort_name
from mts_cohort where id in (select sc.cohort_id from mts_cohort_set_element sc where sc.SET_ID=cohort_set_id);

output_string varchar2(4000) := '';

BEGIN

    for i in cohorts_element loop
       output_string := output_string||', '||i.cohort_name;
    end loop;

    return ltrim(output_string,',');

END MTS_FETCH_COHORTS_IN_SET;
/

CREATE OR REPLACE VIEW mts_cohort_list_vw (ID,
                                           cohort_name,
                                           reason,
                                           total_mice,
                                           live_mice,
                                           dead_mice,
                                           foreign_table_name,
                                           foreign_key_id,
                                           creator_id,
                                           created_date,
                                           edited_by,
                                           edit_date,
                                           check_number,
                                           creator_name,
                                           cohort_type_id,
                                           end_date,
                                           pipeline,
                                           pipeline_dict_id,
                                           cohort_strain,
                                           cohort_allele_id
                                          )
AS
   SELECT c.ID, c.cohort_name, c.reason, l.total_mice, l.live_mice,
          l.dead_mice, c.foreign_table_name, c.foreign_key_id, c.creator_id,
          c.created_date, c.edited_by, c.edit_date, c.check_number,
          p.last_name || ', ' || p.first_name AS creator_name,
          c.cohort_type_id, c.end_date, p.NAME AS pipeline,
          c.pipeline_dict_id, mts_fetch_cohort_strain (c.ID) cohort_strain,
          mts_fetch_cohort_allele (c.ID) cohort_allele_id
     FROM mts_cohort c,
          per_person p,
          (SELECT   l.cohort_id, COUNT (m.ID) total_mice,
                    COUNT (DECODE (m.death_date, NULL, 1, NULL)) live_mice,
                    COUNT (DECODE (m.death_date, NULL, NULL, 1)) dead_mice
               FROM mts_mouse m, mts_cohort_mouse l
              WHERE m.ID = l.mouse_id
           GROUP BY l.cohort_id) l,
          mts_cohort_pipeline_dict p
    WHERE c.ID = l.cohort_id(+) AND c.creator_id = p.person_id
          AND c.pipeline_dict_id = p.ID(+)
/

CREATE OR REPLACE VIEW mts_cohort_set_list_vw (ID,
                                               allele_id,
                                               short_allele_symbol,
                                               allele_superscript,
                                               gene_name,
                                               html_allele_symbol,
                                               gene_id,
                                               cohort_set_type_dict_id,
                                               cohort_type_name,
                                               cohorts_name,
                                               created_date,
                                               creator_id,
                                               creator_name,
                                               cohorts_count
                                              )
AS
   SELECT   s.ID, s.allele_id, a.short_allele_symbol,
            a.official_name_superscript allele_superscript,
            g.primary_name gene_name,
               '<i>'
            || NVL (g.primary_name, '(no gene)')
            || '<sup><font size=''-1''>'
            || NVL (a.official_name_superscript, '(no allele)')
            || '</font></sup></i>' html_allele_symbol,
            g.ID gene_id, s.cohort_set_type_dict_id, td.NAME cohort_type_name,
            mts_fetch_cohorts_in_set (s.ID) cohorts_name, s.created_date,
            s.creator_id, p.first_name || ' ' || p.last_name creator_name,
            DECODE (e.set_id,
                    NULL, 0,
                    COUNT (DISTINCT e.cohort_id)
                   ) cohorts_count
       FROM mts_cohort_set_element e,
            mts_cohort_set s,
            typ_modified_allele a,
            gnm_gene g,
            per_person p,
            mts_cohort_set_type_dict td
      WHERE s.ID = e.set_id(+)
        AND s.allele_id = a.ID
        AND a.gene_id = g.ID(+)
        AND s.creator_id = p.person_id(+)
        AND s.cohort_set_type_dict_id = td.ID(+)
   GROUP BY s.ID,
            s.allele_id,
            a.short_allele_symbol,
            a.official_name_superscript,
            g.primary_name,
            g.ID,
            s.cohort_set_type_dict_id,
            td.NAME,
            s.created_date,
            s.creator_id,
            p.first_name || ' ' || p.last_name,
            e.set_id
/

CREATE OR REPLACE VIEW mts_cohort_set_element_list_vw (ID,
                                                       set_id,
                                                       cohort_id,
                                                       cohort_name,
                                                       wt_only,
                                                       reason,
                                                       created_date,
                                                       pipeline,
                                                       cohort_strain,
                                                       cohort_allele_id
                                                      )
AS
   SELECT e.ID, e.set_id, cl.ID cohort_id, cl.cohort_name, e.wt_only,
          cl.reason, cl.created_date, cl.pipeline, cl.cohort_strain,
          cl.cohort_allele_id
     FROM mts_cohort_set_element e, mts_cohort_list_vw cl
    WHERE e.cohort_id = cl.ID
/

create or replace trigger mts_cohort_set_ta
before update or delete on mts_cohort_set for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.mts_cohort_set(
    ID,
    ALLELE_ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    COHORT_SET_TYPE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ALLELE_ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.COHORT_SET_TYPE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/


create or replace trigger MTS_COHORT_SET_ELEMENT_ta
before update or delete on MTS_COHORT_SET_ELEMENT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_SET_ELEMENT(
    SET_ID,
    COHORT_ID,
    COHORT_GENOTYPE_DICT_ID,
    ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    WT_ONLY,
    AUDIT_ACTION)
 values (
    :old.SET_ID,
    :old.COHORT_ID,
    :old.COHORT_GENOTYPE_DICT_ID,
    :old.ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.WT_ONLY,
    AUDIT_ACTION);
end if;
end;
/


create or replace trigger MTS_COHORT_SET_TYPE_DICT_ta
before update or delete on MTS_COHORT_SET_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_SET_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

commit;

