
CREATE OR REPLACE VIEW MTS_MOUSE_HEALTH_MINI_VW
AS
select
  h.id,
  h.start_date,
  h.end_date,
  m.id mouse_id,
  d3.name||' ('||d1.name||'-'||d2.name||')' health_concern,
  h.status
from
  mts_mouse_health h,
  mts_mouse m,
  mts_body_system_dict d1,
  mts_body_subsystem_dict d2,
  mts_health_concern_dict d3
where
  h.mouse_id = m.id and
  h.body_system_dict_id = d1.id and
  h.body_subsystem_dict_id = d2.id and
  h.health_concern_dict_id = d3.id;


CREATE OR REPLACE VIEW MTS_MOUSE_HEALTH_VW
AS
select
  h.id,
  h.start_date,
  h.end_date,
  m.id mouse_id,
  m.name mouse_name,
  c.room_name,
  c.room_id,
  c.rack_name,
  c.cage_barcode,
  d1.name body_system,
  h.body_system_dict_id,
  d2.name body_subsystem,
  h.body_subsystem_dict_id,
  d3.name health_concern,
  h.health_concern_dict_id,
  h.status,
  h.edit_date,
  decode(m.death_date,null,'Alive','Deceased') mouse_status,
  i.colony_prefix,
  i.colony_name
from
  mts_mouse_health h,
  mts_mouse m,
  mts_cage_vw c,
  mts_latest_mouse_cage_vw l,
  mts_body_system_dict d1,
  mts_body_subsystem_dict d2,
  mts_health_concern_dict d3,
  mts_colony_info i
where
  h.mouse_id = m.id and
  m.id = l.mouse_id and
  l.cage_id = c.cage_id and
  h.body_system_dict_id = d1.id and
  h.body_subsystem_dict_id = d2.id and
  h.health_concern_dict_id = d3.id and
  m.colony_info_id = i.id;