CREATE TABLE MTS_COHORT_SET_WT_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER                           NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE MTS_COHORT_SET_ELEMENT
 ADD (WT_DICT_ID  NUMBER);


CREATE OR REPLACE FORCE VIEW MTS_COHORT_SET_ELEMENT_LIST_VW AS
	SELECT e.ID, e.set_id, cl.ID cohort_id, cl.cohort_name, e.wt_dict_id,
           d.name wt_dict_name,
          cl.reason, cl.created_date, cl.pipeline, cl.cohort_strain,
          cl.cohort_allele_id
     FROM mts_cohort_set_element e,
         mts_cohort_list_vw cl,
         MTS_COHORT_SET_WT_DICT d
    WHERE e.cohort_id = cl.ID
         and E.WT_DICT_ID = D.ID(+);

CREATE OR REPLACE FORCE VIEW PHN_LINE_GRAPH_ABR_VW AS
  	SELECT csl.ID cohort_set_id, mv.mouse_strain_dict_id strain_id, mv.strain,
          m.mouse_id, mv.NAME mouse_name, mv.barcode,
          NVL (ma.genotype_dict_id, 1) genotype_id, mv.genotype,
          abrm.age_in_weeks, mv.gender, mv.gender_dict_id gender_id,
          csl.gene_name, csl.allele_superscript, csl.allele_id,
          csl.html_allele_symbol, e.cohort_id, c.cohort_name, c.pipeline,
          c.pipeline_dict_id pipeline_id, abrm.ID experiment_id,
          abrm.experiment_date assay_date, f.frequence x_label,
          f.threshold plot_column, abrm.include_experiment include,
          abrm.process_status
     FROM mts_cohort_set_list_vw csl,
          mts_cohort_set_element e,
          mts_cohort_list_vw c,
          mts_cohort_mouse m,
          mts_mouse_vw mv,
          mts_mouse_allele ma,
          phn_abr_experiment_vw abrm,
          aud_freq_experiment f
    WHERE csl.ID = e.set_id
      AND e.wt_dict_id is null
      AND e.cohort_id = c.ID
      AND c.pipeline_dict_id IN (2, 14)
      AND m.cohort_id = c.ID
      AND abrm.mouse_id = m.mouse_id
      AND m.mouse_id = mv.ID
      AND m.mouse_id = ma.mouse_id(+)
      AND f.phn_experiment_id = abrm.ID
      AND f.threshold IS NOT NULL
   UNION
     SELECT csl.ID cohort_set_id, mv.mouse_strain_dict_id strain_id, mv.strain,
          m.mouse_id, mv.NAME mouse_name, mv.barcode,
          NVL (ma.genotype_dict_id, 1) genotype_id, mv.genotype,
          abrm.age_in_weeks, mv.gender, mv.gender_dict_id gender_id,
          csl.gene_name, csl.allele_superscript, csl.allele_id,
          csl.html_allele_symbol, e.cohort_id, c.cohort_name, c.pipeline,
          c.pipeline_dict_id pipeline_id, abrm.ID experiment_id,
          abrm.experiment_date assay_date, f.frequence x_label,
          f.threshold plot_column, abrm.include_experiment include,
          abrm.process_status
     FROM mts_cohort_set_list_vw csl,
          mts_cohort_set_element e,
          mts_cohort_list_vw c,
          mts_cohort_mouse m,
          mts_mouse_vw mv,
          mts_mouse_allele ma,
          phn_abr_experiment_vw abrm,
          aud_freq_experiment f
    WHERE csl.ID = e.set_id
      and e.WT_DICT_ID = 3
      AND c.ID = e.cohort_id
      AND c.pipeline_dict_id IN (2, 14)
      AND m.cohort_id = c.ID
      AND m.mouse_id = abrm.mouse_id
      AND m.mouse_id = ma.mouse_id(+)
      AND NVL (ma.genotype_dict_id, 1) = 1
      AND m.mouse_id = mv.ID
      AND f.phn_experiment_id = abrm.ID
      AND f.threshold IS NOT NULL
    UNION
   	  SELECT csl.ID cohort_set_id, mv.mouse_strain_dict_id strain_id, mv.strain,
          m.mouse_id, mv.NAME mouse_name, mv.barcode,
          NVL (ma.genotype_dict_id, 1) genotype_id, mv.genotype,
          abrm.age_in_weeks, mv.gender, mv.gender_dict_id gender_id,
          csl.gene_name, csl.allele_superscript, csl.allele_id,
          csl.html_allele_symbol, e.cohort_id, c.cohort_name, c.pipeline,
          c.pipeline_dict_id pipeline_id, abrm.ID experiment_id,
          abrm.experiment_date assay_date, f.frequence x_label,
          f.threshold plot_column, abrm.include_experiment include,
          abrm.process_status
     FROM mts_cohort_set_list_vw csl,
          mts_cohort_set_element e,
          mts_cohort_list_vw c,
          mts_cohort_mouse m,
          mts_mouse_vw mv,
          mts_mouse_allele ma,
          phn_abr_experiment_vw abrm,
          aud_freq_experiment f
    WHERE csl.ID = e.set_id
      AND e.wt_dict_id in (1,2)
      AND c.ID = e.cohort_id
      AND c.pipeline_dict_id IN (2, 14)
      AND m.cohort_id = c.ID
      AND m.mouse_id = abrm.mouse_id
      AND m.mouse_id = ma.mouse_id(+)
      AND NVL (ma.genotype_dict_id, 1) = 1
      AND m.mouse_id = mv.ID
      and mv.gender_dict_id = e.wt_dict_id
      AND f.phn_experiment_id = abrm.ID
      AND f.threshold IS NOT NULL;

