create or replace view phn_xray_vw as
with results as (
select e.id experiment_id,
max(decode(o.required_observation_id,978,o.value,null)) col_978,
max(decode(o.required_observation_id,980,o.value,null)) col_980,
max(decode(o.required_observation_id,237,o.value,null)) col_237,
max(decode(o.required_observation_id,990,opt.name,null)) col_990,
max(decode(o.required_observation_id,991,opt.name,null)) col_991,
max(decode(o.required_observation_id,235,opt.name,null)) col_235,
max(decode(o.required_observation_id,234,opt.name,null)) col_234,
max(decode(o.required_observation_id,228,opt.name,null)) col_228,
max(decode(o.required_observation_id,227,opt.name,null)) col_227,
max(decode(o.required_observation_id,226,opt.name,null)) col_226,
max(decode(o.required_observation_id,224,opt.name,null)) col_224,
max(decode(o.required_observation_id,223,opt.name,null)) col_223,
max(decode(o.required_observation_id,222,opt.name,null)) col_222,
max(decode(o.required_observation_id,218,opt.name,null)) col_218,
max(decode(o.required_observation_id,217,opt.name,null)) col_217,
max(decode(o.required_observation_id,216,opt.name,null)) col_216,
max(decode(o.required_observation_id,215,opt.name,null)) col_215,
max(decode(o.required_observation_id,214,opt.name,null)) col_214,
max(decode(o.required_observation_id,213,opt.name,null)) col_213,
max(decode(o.required_observation_id,212,opt.name,null)) col_212,
max(decode(o.required_observation_id,211,opt.name,null)) col_211,
max(decode(o.required_observation_id,210,opt.name,null)) col_210,
max(decode(o.required_observation_id,206,opt.name,null)) col_206,
max(decode(o.required_observation_id,979,o.value,null)) col_979,
max(decode(o.required_observation_id,236,o.value,null)) col_236,
max(decode(o.required_observation_id,233,o.value,null)) col_233,
max(decode(o.required_observation_id,232,o.value,null)) col_232,
max(decode(o.required_observation_id,230,o.value,null)) col_230,
max(decode(o.required_observation_id,229,o.value,null)) col_229,
max(decode(o.required_observation_id,221,o.value,null)) col_221,
max(decode(o.required_observation_id,220,o.value,null)) col_220,
max(decode(o.required_observation_id,209,o.value,null)) col_209,
max(decode(o.required_observation_id,992,opt.name,null)) col_992,
max(decode(o.required_observation_id,387,opt.name,null)) col_387,
max(decode(o.required_observation_id,231,opt.name,null)) col_231,
max(decode(o.required_observation_id,225,opt.name,null)) col_225,
max(decode(o.required_observation_id,219,opt.name,null)) col_219,
max(decode(o.required_observation_id,208,opt.name,null)) col_208,
max(decode(o.required_observation_id,207,opt.name,null)) col_207,
max(decode(o.required_observation_id,981,opt.name,null)) col_981,
max(decode(o.required_observation_id,836,opt.name,null)) col_836,
max(decode(o.required_observation_id,837,opt.name,null)) col_837,
max(decode(o.required_observation_id,838,opt.name,null)) col_838,
max(decode(o.required_observation_id,841,opt.name,null)) col_841,
max(decode(o.required_observation_id,840,opt.name,null)) col_840,
max(decode(o.required_observation_id,839,opt.name,null)) col_839,
max(decode(o.required_observation_id,745,opt.name,null)) col_745,
max(decode(o.required_observation_id,809,o.value,null)) col_809
from phn_experiment e
join phn_observation o on e.id = o.experiment_id
left join phn_restricted_option opt on o.value = to_char(opt.id)
group by e.id
)
select e.cohort_id + (e.experiment_id * 1e9) id, e.*,
to_number(r.col_236) NUMBER_OF_THORACIC_VERTEBRAE,
to_number(r.col_232) NUMBER_OF_LUMBAR_VERTEBRAE,
to_number(r.col_233) NUMBER_OF_PELVIC_VERTEBRAE,
to_number(r.col_229) NUMBER_OF_CAUDAL_VERTEBRAE,
r.col_992 TRANSITIONAL_VERTEBRAE,
r.col_235 SHAPE_OF_VERTEBRAE,
r.col_231 FUSION_OF_VERTEBRAE,
r.col_234 PROCESSES_ON_VERTEBRAE,
to_number(r.col_221) NUMBER_OF_RIBS_RIGHT,
to_number(r.col_220) NUMBER_OF_RIBS_LEFT,
r.col_991 SHAPE_OF_RIBCAGE,
r.col_222 SHAPE_OF_RIBS,
r.col_219 RIB_FUSIONS,
r.col_206 CLAVICLE,
r.col_223 SCAPULA,
r.col_212 HUMERUS,
r.col_218 RADIUS,
r.col_228 ULNA,
r.col_217 PELVIS,
r.col_210 FEMUR,
r.col_227 TIBIA,
r.col_211 FIBULA,
r.col_213 JOINTS,
r.col_990 SHAPE_OF_SPINE,
r.col_226 TEETH,
r.col_214 MANDIBLE,
r.col_215 MAXILLA,
r.col_216 ZYGOMATIC_BONE,
to_number(r.col_230) NUMBER_OF_CERVICAL_VERTEBRAE,
r.col_224 SKULL_SHAPE,
to_number(r.col_209) NUMBER_OF_DIGITS,
r.col_208 DIGIT_INTEGRITY,
r.col_225 SYNDACTYLISM,
r.col_387 POLYDACTYLISM,
r.col_207 BRACHYDACTYLISM,
r.col_237 COMMENTS,
r.col_745 ANAESTHETIC,
to_number(r.col_809) TIBIA_LENGTH,
r.col_981 MOUSE_STATUS,
r.col_836 X_RAY_EQUIPMENT_NAME,
r.col_837 X_RAY_EQUIPMENT_MANUFACTURER,
r.col_838 X_RAY_EQUIPMENT_MODEL,
r.col_839 SCANNER_EQUIPMENT_NAME,
r.col_840 SCANNER_EQUIPMENT_MANUFACTURER,
r.col_841 SCANNER_EQUIPMENT_MODEL,
to_number(r.col_978) TIME_OF_EXPOSURE,
to_number(r.col_979) LEVEL_USED,
to_number(r.col_980) VOLTAGE
from PHN_EXPERIMENT_SUMMARY_VW e
join results r on e.experiment_id = r.experiment_id
where e.sop_id = 121 and e.is_complete = 1;


CREATE MATERIALIZED VIEW PHN_XRAY_MV
REFRESH FORCE
START WITH TO_DATE('18-Feb-2009 03:00:00','dd-mon-yyyy hh24:mi:ss')
NEXT trunc(sysdate) + 1 + (3/24)
WITH PRIMARY KEY
AS
/* Formatted on 2009/02/17 14:20 (Formatter Plus v4.8.8) */
SELECT
p.ID,
p.COLONY_PREFIX,
p.COLONY_NAME,
p.STRAIN,
p.STRAIN_ID,
p.COHORT_NAME,
p.PIPELINE,
p.COHORT_ID,
p.PIPELINE_ID,
p.GENE_NAME,
p.MOUSE_NAME,
p.MOUSE,
p.MOUSE_ID,
p.GENOTYPE,
p.GENDER,
p.GENDER_ID,
p.BIRTH_DATE,
p.ASSAY_DATE,
p.AGE_IN_WEEKS,
p.PIL_HOLDER,
p.SOP_ID,
p.IS_COMPLETE,
p.EXPERIMENT_ID,
p.NUMBER_OF_THORACIC_VERTEBRAE,
p.NUMBER_OF_LUMBAR_VERTEBRAE,
p.NUMBER_OF_PELVIC_VERTEBRAE,
p.NUMBER_OF_CAUDAL_VERTEBRAE,
p.TRANSITIONAL_VERTEBRAE,
p.SHAPE_OF_VERTEBRAE,
p.FUSION_OF_VERTEBRAE,
p.PROCESSES_ON_VERTEBRAE,
p.NUMBER_OF_RIBS_RIGHT,
p.NUMBER_OF_RIBS_LEFT,
p.SHAPE_OF_RIBCAGE,
p.SHAPE_OF_RIBS,
p.RIB_FUSIONS,
p.CLAVICLE,
p.SCAPULA,
p.HUMERUS,
p.RADIUS,
p.ULNA,
p.PELVIS,
p.FEMUR,
p.TIBIA,
p.FIBULA,
p.JOINTS,
p.SHAPE_OF_SPINE,
p.TEETH,
p.MANDIBLE,
p.MAXILLA,
p.ZYGOMATIC_BONE,
p.NUMBER_OF_CERVICAL_VERTEBRAE,
p.SKULL_SHAPE,
p.NUMBER_OF_DIGITS,
p.DIGIT_INTEGRITY,
p.SYNDACTYLISM,
p.POLYDACTYLISM,
p.BRACHYDACTYLISM,
p.COMMENTS,
p.ANAESTHETIC,
p.TIBIA_LENGTH,
p.MOUSE_STATUS,
p.X_RAY_EQUIPMENT_NAME,
p.X_RAY_EQUIPMENT_MANUFACTURER,
p.X_RAY_EQUIPMENT_MODEL,
p.SCANNER_EQUIPMENT_NAME,
p.SCANNER_EQUIPMENT_MANUFACTURER,
p.SCANNER_EQUIPMENT_MODEL,
p.TIME_OF_EXPOSURE,
p.LEVEL_USED,
p.VOLTAGE
FROM phn_xray_vw p;