CREATE OR REPLACE VIEW rep_phenotyping_pipeline_count as
WITH changed_genotype AS
        (SELECT DISTINCT mouse_id
                    FROM mts_first_and_final_genotype
                   WHERE first_genotype != final_genotype)
   SELECT   ((p.ID * 10e9) + i.ID) ID, p.ID pipeline_id, p.NAME pipeline,
            i.colony_prefix, MAX (t.short_allele_symbol) genotype_symbol,
            COUNT (distinct m.ID) total_mice,
            COUNT (distinct DECODE (m.gender_dict_id,
                           2, DECODE (a.genotype_dict_id,
                                      1, m.id,
                                      NULL, m.id,
                                      NULL
                                     ),
                           NULL
                          )
                  ) wt_male,
            COUNT (distinct DECODE (m.gender_dict_id,
                           2, DECODE (a.genotype_dict_id, 2, m.id, NULL),
                           NULL
                          )
                  ) het_male,
            COUNT (distinct DECODE (m.gender_dict_id,
                           2, DECODE (a.genotype_dict_id, 3, m.id, NULL),
                           NULL
                          )
                  ) hom_male,
            COUNT (distinct DECODE (m.gender_dict_id,
                           2, DECODE (a.genotype_dict_id,
                                      NULL, NULL,
                                      1, NULL,
                                      2, NULL,
                                      3, NULL,
                                      m.id
                                     ),
                           NULL
                          )
                  ) other_male,
            COUNT (distinct DECODE (m.gender_dict_id,
                           1, DECODE (a.genotype_dict_id,
                                      1, m.id,
                                      NULL, m.id,
                                      NULL
                                     ),
                           NULL
                          )
                  ) wt_female,
            COUNT (distinct DECODE (m.gender_dict_id,
                           1, DECODE (a.genotype_dict_id, 2, m.id, NULL),
                           NULL
                          )
                  ) het_female,
            COUNT (distinct DECODE (m.gender_dict_id,
                           1, DECODE (a.genotype_dict_id, 3, m.id, NULL),
                           NULL
                          )
                  ) hom_female,
            COUNT (distinct DECODE (m.gender_dict_id,
                           1, DECODE (a.genotype_dict_id,
                                      NULL, NULL,
                                      1, NULL,
                                      2, NULL,
                                      3, NULL,
                                      m.id
                                     ),
                           NULL
                          )
                  ) other_female,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, DECODE (a.genotype_dict_id,
                                                 1, m.id,
                                                 NULL, m.id,
                                                 NULL
                                                ),
                                      NULL
                                     )
                          )
                  ) wt_e8_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, DECODE (a.genotype_dict_id,
                                                 2, m.id,
                                                 NULL
                                                ),
                                      NULL
                                     )
                          )
                  ) het_e8_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, DECODE (a.genotype_dict_id,
                                                 3, m.id,
                                                 NULL
                                                ),
                                      NULL
                                     )
                          )
                  ) hom_e8_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, DECODE (a.genotype_dict_id,
                                                 NULL, NULL,
                                                 1, NULL,
                                                 2, NULL,
                                                 3, NULL,
                                                 m.id
                                                ),
                                      NULL
                                     )
                          )
                  ) other_e8_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      10, DECODE (a.genotype_dict_id,
                                                  1, m.id,
                                                  NULL, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) wt_e10_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      10, DECODE (a.genotype_dict_id,
                                                  2, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) het_e10_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      10, DECODE (a.genotype_dict_id,
                                                  3, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) hom_e10_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      10, DECODE (a.genotype_dict_id,
                                                  NULL, NULL,
                                                  1, NULL,
                                                  2, NULL,
                                                  3, NULL,
                                                  m.id
                                                 ),
                                      NULL
                                     )
                          )
                  ) other_e10_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      14, DECODE (a.genotype_dict_id,
                                                  1, m.id,
                                                  NULL, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) wt_e14_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      14, DECODE (a.genotype_dict_id,
                                                  2, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) het_e14_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      14, DECODE (a.genotype_dict_id,
                                                  3, m.id,
                                                  NULL
                                                 ),
                                      NULL
                                     )
                          )
                  ) hom_e14_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      14, DECODE (a.genotype_dict_id,
                                                  NULL, NULL,
                                                  1, NULL,
                                                  2, NULL,
                                                  3, NULL,
                                                  m.id
                                                 ),
                                      NULL
                                     )
                          )
                  ) other_e14_5,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, NULL,
                                      10, NULL,
                                      14, NULL,
                                      DECODE (a.genotype_dict_id,
                                              1, m.id,
                                              NULL, m.id,
                                              NULL
                                             )
                                     )
                          )
                  ) wt_unsexed,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, NULL,
                                      10, NULL,
                                      14, NULL,
                                      DECODE (a.genotype_dict_id, 2, m.id, NULL)
                                     )
                          )
                  ) het_unsexed,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, NULL,
                                      10, NULL,
                                      14, NULL,
                                      DECODE (a.genotype_dict_id, 3, m.id, NULL)
                                     )
                          )
                  ) hom_unsexed,
            COUNT (distinct DECODE (m.gender_dict_id,
                           3, DECODE (ROUND (m.death_date - l.plug_check_date),
                                      8, NULL,
                                      10, NULL,
                                      14, NULL,
                                      DECODE (a.genotype_dict_id,
                                              NULL, NULL,
                                              1, NULL,
                                              2, NULL,
                                              3, NULL,
                                              m.id
                                             )
                                     )
                          )
                  ) other_unsexed,
            COUNT (DISTINCT g.mouse_id) changed_genotypes,
            COUNT (DISTINCT DECODE (a.is_qc_locked, 1, a.mouse_id, NULL)
                  ) final_genotypes,
            COUNT (distinct DECODE (m.death_date, NULL, NULL, m.ID)) number_dead
       FROM mts_mouse m,
            mts_litter l,
            mts_colony_info i,
            mts_cohort_mouse cm,
            mts_cohort c,
            mts_cohort_pipeline_dict p,
            mts_mouse_allele a,
            typ_modified_allele t,
            changed_genotype g
      WHERE m.ID = cm.mouse_id
        AND m.ID = a.mouse_id(+)
        AND l.ID(+) = m.litter_id
        AND cm.cohort_id = c.ID
        AND c.pipeline_dict_id = p.ID
        AND i.ID = m.colony_info_id
        AND a.allele_id = t.ID(+)
        AND m.ID = g.mouse_id(+)
   GROUP BY ((p.ID * 10e9) + i.ID), p.ID, p.NAME, i.colony_prefix
   ORDER BY p.NAME, i.colony_prefix;