create or replace view PHN_DYSMORPHOLOGY_VW as
with new_results as (
select e.id experiment_id,
max(decode(o.required_observation_id,1054,opt.name,null)) col_1054,
max(decode(o.required_observation_id,1035,opt.name,null)) col_1035,
max(decode(o.required_observation_id,1030,opt.name,null)) col_1030,
max(decode(o.required_observation_id,1056,opt.name,null)) col_1056,
max(decode(o.required_observation_id,1055,opt.name,null)) col_1055,
max(decode(o.required_observation_id,1053,opt.name,null)) col_1053,
max(decode(o.required_observation_id,1052,opt.name,null)) col_1052,
max(decode(o.required_observation_id,1051,opt.name,null)) col_1051,
max(decode(o.required_observation_id,1050,opt.name,null)) col_1050,
max(decode(o.required_observation_id,1049,opt.name,null)) col_1049,
max(decode(o.required_observation_id,1048,opt.name,null)) col_1048,
max(decode(o.required_observation_id,1047,opt.name,null)) col_1047,
max(decode(o.required_observation_id,1046,opt.name,null)) col_1046,
max(decode(o.required_observation_id,1045,opt.name,null)) col_1045,
max(decode(o.required_observation_id,1044,opt.name,null)) col_1044,
max(decode(o.required_observation_id,1043,opt.name,null)) col_1043,
max(decode(o.required_observation_id,1042,opt.name,null)) col_1042,
max(decode(o.required_observation_id,1041,opt.name,null)) col_1041,
max(decode(o.required_observation_id,1040,opt.name,null)) col_1040,
max(decode(o.required_observation_id,1039,opt.name,null)) col_1039,
max(decode(o.required_observation_id,1038,opt.name,null)) col_1038,
max(decode(o.required_observation_id,1037,opt.name,null)) col_1037,
max(decode(o.required_observation_id,1036,opt.name,null)) col_1036,
max(decode(o.required_observation_id,1034,opt.name,null)) col_1034,
max(decode(o.required_observation_id,1033,opt.name,null)) col_1033,
max(decode(o.required_observation_id,1032,opt.name,null)) col_1032,
max(decode(o.required_observation_id,1031,opt.name,null)) col_1031,
max(decode(o.required_observation_id,1029,opt.name,null)) col_1029,
max(decode(o.required_observation_id,1028,opt.name,null)) col_1028,
max(decode(o.required_observation_id,1027,opt.name,null)) col_1027,
max(decode(o.required_observation_id,1026,opt.name,null)) col_1026,
max(decode(o.required_observation_id,1057,o.value,null)) col_1057
from phn_experiment e
join phn_observation o on e.id = o.experiment_id
left join phn_restricted_option opt on o.value = to_char(opt.id)
group by e.id
),
hot_plate_weight as (select min(to_number(w.value)) weight, mp.foreign_key_id experiment_id
from mts_mouse_procedure mp
join mts_mouse_procedure omp on omp.foreign_table_name = 'PHN_EXPERIMENT' and trunc(MP.START_DATE) = trunc(omp.start_date) and mp.MOUSE_ID = OMP.MOUSE_ID
join phn_experiment oe on OMP.FOREIGN_KEY_ID = oe.id and oe.sop_id = 1
join phn_observation w on oe.id = w.experiment_id and w.required_observation_id = 25
where mp.foreign_table_name = 'PHN_EXPERIMENT'
group by mp.foreign_key_id),
old_results AS
(SELECT
e.ID experiment_id,
MAX (DECODE (o.required_observation_id, 266, opt.NAME,
                               NULL
                              )
                      ) col_266,
                  MAX (DECODE (o.required_observation_id, 32, opt.NAME, NULL)
                      ) col_32,
                  MAX (DECODE (o.required_observation_id, 27, opt.NAME, NULL)
                      ) col_27,
                  MAX (DECODE (o.required_observation_id, 26, opt.NAME, NULL)
                      ) col_26,
                  MAX (DECODE (o.required_observation_id,
                               245, opt.NAME,
                               NULL
                              )
                      ) col_245,
                  MAX (DECODE (o.required_observation_id,
                               243, opt.NAME,
                               NULL
                              )
                      ) col_243,
                  MAX (DECODE (o.required_observation_id,
                               268, opt.NAME,
                               NULL
                              )
                      ) col_268,
                  MAX (DECODE (o.required_observation_id,
                               267, opt.NAME,
                               NULL
                              )
                      ) col_267,
                  MAX (DECODE (o.required_observation_id,
                               265, opt.NAME,
                               NULL
                              )
                      ) col_265,
                  MAX (DECODE (o.required_observation_id,
                               264, opt.NAME,
                               NULL
                              )
                      ) col_264,
                  MAX (DECODE (o.required_observation_id,
                               263, opt.NAME,
                               NULL
                              )
                      ) col_263,
                  MAX (DECODE (o.required_observation_id,
                               262, opt.NAME,
                               NULL
                              )
                      ) col_262,
                  MAX (DECODE (o.required_observation_id,
                               261, opt.NAME,
                               NULL
                              )
                      ) col_261,
                  MAX (DECODE (o.required_observation_id,
                               260, opt.NAME,
                               NULL
                              )
                      ) col_260,
                  MAX (DECODE (o.required_observation_id,
                               259, opt.NAME,
                               NULL
                              )
                      ) col_259,
                  MAX (DECODE (o.required_observation_id,
                               258, opt.NAME,
                               NULL
                              )
                      ) col_258,
                  MAX (DECODE (o.required_observation_id,
                               257, opt.NAME,
                               NULL
                              )
                      ) col_257,
                  MAX (DECODE (o.required_observation_id,
                               256, opt.NAME,
                               NULL
                              )
                      ) col_256,
                  MAX (DECODE (o.required_observation_id,
                               255, opt.NAME,
                               NULL
                              )
                      ) col_255,
                  MAX (DECODE (o.required_observation_id,
                               254, opt.NAME,
                               NULL
                              )
                      ) col_254,
                  MAX (DECODE (o.required_observation_id,
                               253, opt.NAME,
                               NULL
                              )
                      ) col_253,
                  MAX (DECODE (o.required_observation_id,
                               252, opt.NAME,
                               NULL
                              )
                      ) col_252,
                  MAX (DECODE (o.required_observation_id,
                               251, opt.NAME,
                               NULL
                              )
                      ) col_251,
                  MAX (DECODE (o.required_observation_id, 36, opt.NAME, NULL)
                      ) col_36,
                  MAX (DECODE (o.required_observation_id, 35, opt.NAME, NULL)
                      ) col_35,
                  MAX (DECODE (o.required_observation_id, 34, opt.NAME, NULL)
                      ) col_34,
                  MAX (DECODE (o.required_observation_id, 33, opt.NAME, NULL)
                      ) col_33,
                  MAX (DECODE (o.required_observation_id, 31, opt.NAME, NULL)
                      ) col_31,
                  MAX (DECODE (o.required_observation_id, 30, opt.NAME, NULL)
                      ) col_30,
                  MAX (DECODE (o.required_observation_id, 29, opt.NAME, NULL)
                      ) col_29,
                  MAX (DECODE (o.required_observation_id, 28, opt.NAME, NULL)
                      ) col_28,
                  MAX (DECODE (o.required_observation_id,
                               250, opt.NAME,
                               NULL
                              )
                      ) col_250,
                  MAX (DECODE (o.required_observation_id,
                               249, opt.NAME,
                               NULL
                              )
                      ) col_249,
                  MAX (DECODE (o.required_observation_id,
                               248, opt.NAME,
                               NULL
                              )
                      ) col_248,
                  MAX (DECODE (o.required_observation_id,
                               247, opt.NAME,
                               NULL
                              )
                      ) col_247,
                  MAX (DECODE (o.required_observation_id,
                               246, opt.NAME,
                               NULL
                              )
                      ) col_246,
                  MAX (DECODE (o.required_observation_id,
                               244, opt.NAME,
                               NULL
                              )
                      ) col_244,
                  MAX (DECODE (o.required_observation_id, 667, o.VALUE, NULL)
                      ) col_667,
                  MAX (DECODE (o.required_observation_id, 269, o.VALUE, NULL)
                      ) col_269
             FROM phn_experiment e JOIN phn_observation o
                  ON e.ID = o.experiment_id
                  LEFT JOIN phn_restricted_option opt
                  ON o.VALUE = TO_CHAR (opt.ID)
         GROUP BY e.ID)
select
e.cohort_id + (e.experiment_id * 1e9) id,
e.*,
hpw.weight,
null hyperactivity,
null rearings,
null respiration,
null grooming,
null body_size,
r.col_1026 BODY_FAT_DISTRIBUTION,
r.col_1027 MUSCLE_DEVELOPMENT,
r.col_1030 COAT_INTACT,
r.col_1028 COAT_COLOURATION,
r.col_1029 COAT_TEXTURE,
r.col_1033 SKIN_CONDITION,
r.col_1040 SKIN_PIGMENTATION,
r.col_1041 HEAD_SIZE,
r.col_1042 HEAD_MORPHOLOGY,
r.col_1043 MOUTH_MORPHOLOGY,
r.col_1044 SNOUT_MORPHOLOGY,
r.col_1045 INCISOR,
r.col_1046 WHISKERS,
r.col_1047 EAR_MORPHOLOGY,
r.col_1048 EAR_SIZE,
r.col_1035 EYES,
r.col_1032 EYE_SIZE,
r.col_1031 EYE_COLOURATION,
r.col_1039 FORELIMB_SIZE,
r.col_1038 FOREPAW_SIZE,
r.col_1037 FOREPAW_FOOT_PADS,
r.col_1034 FOREPAW_NAILS,
r.col_1036 HINDLIMB_SIZE,
r.col_1049 HIND_PAW_SIZE,
r.col_1050 HINDLIMB_FOOT_PADS,
r.col_1051 HINDLIMB_NAILS,
r.col_1054 GENITALIA,
r.col_1053 GENITALIA_MORPHOLOGY,
r.col_1052 GENITALIA_SIZE,
r.col_1055 TAIL_LENGTH,
r.col_1056 TAIL_MORPHOLOGY,
r.col_1057 DYSMORPHOLOGY_COMMENT,
null genitalia_morphology_comment
from PHN_EXPERIMENT_SUMMARY_VW e
left outer join hot_plate_weight hpw on e.experiment_id = hpw.experiment_id
join new_results r on e.experiment_id = r.experiment_id
where e.sop_id = 156 and e.is_complete = 1
union all
SELECT
e.cohort_id + (e.experiment_id * 1e9) ID,
e.*,
TO_NUMBER (r.col_667) weight,
r.col_26 hyperactivity,
r.col_243 rearings,
r.col_244 respiration,
r.col_245 grooming,
r.col_246 body_size,
r.col_247 body_fat_distribution,
r.col_248 muscle_development,
r.col_27 coat_intact,
r.col_249 coat_colouration,
r.col_250 coat_texture,
r.col_30 skin_condition,
r.col_251 skin_pigmentation,
r.col_252 head_size,
r.col_253 head_morphology,
r.col_254 mouth_morphology,
r.col_255 snout_morphology,
r.col_256 incisor,
r.col_257 whiskers,
r.col_258 ear_morphology,
r.col_259 ear_size,
r.col_32 eyes,
r.col_29 eye_size,
r.col_28 eye_colouration,
r.col_36 forelimb_size,
r.col_35 forepaw_size,
r.col_34 forepaw_foot_pads,
r.col_31 forepaw_nails,
r.col_33 hindlimb_size,
r.col_260 hind_paw_size,
r.col_261 hindlimb_foot_pads,
r.col_262 hindlimb_nails,
r.col_266 genitalia,
r.col_264 genitalia_morphology,
r.col_263 genitalia_size,
r.col_267 tail_length,
r.col_268 tail_morphology,
r.col_269 dysmorphology_comment,
r.col_265 genitalia_morphology_comment
     FROM phn_experiment_summary_vw e JOIN old_results r
ON e.experiment_id = r.experiment_id
    WHERE e.sop_id = 2 AND e.is_complete = 1;