CREATE OR REPLACE VIEW REP_CULL_COHORTS
AS
select
  c.id,
  c.cohort_name,
  c.reason,
  p.first_name||' '||p.last_name created_by,
  c.created_date,
  l.total_mice,
  l.live_mice,
  l.dead_mice
from
  mts_cohort c,
  per_person p,
  (select
    l.cohort_id,
    count(m.id) total_mice,
    count(decode(m.death_date,null,1,null)) live_mice,
    count(decode(m.death_date,null,null,1)) dead_mice
   from
    mts_mouse m,
    mts_cohort_mouse l
   where
     m.id = l.mouse_id
   group by
     l.cohort_id
  ) l
where
  c.id = l.cohort_id(+) and
  c.cohort_type_id = 5 and
  c.creator_id = p.person_id
order by c.created_date desc;
