/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
  Insert new allele requests for ensemble IDs in the TEMP_EUCOMM table
*/
insert into arq_allele_request
(ID, REQUESTER_PERSON_ID, TARGET_ENDPOINT_DICT_ID, EDIT_DATE,
COMMENTS, RESEARCHER_PERSON_ID, REQUEST_REASONING, MUTATION_PLAN, KNOCKOUT_EXISTS,
KNOCKOUT_EXISTS_REFERENCE, ALLELE_NATURE, REQUEST_PRIORITY, GENE_ID, REVIEW_COMMENTS,
RESEARCHER_NAME, STATUS_DICT_ID, ALLELE_MOD_OTHER_EXPLN, EDITED_BY, UNEXPECTED_PHENOTYPE_OK,
MGP_PHENOTYPING_REQUIRED, REQUEST_SOURCE_DICT_ID, GENE_PUBLICATIONS, MOUSE_PUBLICATIONS,
ALLELE_MOD_TYPE_DICT_ID,CREATED_DATE)
select arq_allele_request_seq.nextval,90,2,systimestamp,'None',null,'Eucomm','None','Unknown',null,'Other',null,g.gene_id,null,'Bill Skarnes',1,'EUCOMM standard design',
'dg6',0,0,5,null,null,2,systimestamp
from
  temp_eucomm e,
  (select g.gene_id, n.name from gnm_gene g, gnm_gene_name n  
  where
  n.source = 'Ensembl_ID' and
  n.gene_id = g.gene_id) g
where
  e.id = g.name(+);

  