/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

connect migpriv@migt.world

create table mig_audit.CRQ_BOX as select * from mig.CRQ_BOX where 1 = 2;
alter table mig_audit.CRQ_BOX add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_BOX add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_BOX add (audit_action varchar2(10));

create table mig_audit.CRQ_CANISTER as select * from mig.CRQ_CANISTER where 1 = 2;
alter table mig_audit.CRQ_CANISTER add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_CANISTER add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_CANISTER add (audit_action varchar2(10));

create table mig_audit.CRQ_CRYO_WILDTYPE_STRAIN_DICT as select * from mig.CRQ_CRYO_WILDTYPE_STRAIN_DICT where 1 = 2;
alter table mig_audit.CRQ_CRYO_WILDTYPE_STRAIN_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_CRYO_WILDTYPE_STRAIN_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_CRYO_WILDTYPE_STRAIN_DICT add (audit_action varchar2(10));

create table mig_audit.CRQ_EMBRYO_GRADE_DICT as select * from mig.CRQ_EMBRYO_GRADE_DICT where 1 = 2;
alter table mig_audit.CRQ_EMBRYO_GRADE_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_EMBRYO_GRADE_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_EMBRYO_GRADE_DICT add (audit_action varchar2(10));

create table mig_audit.CRQ_EMBRYO_HARVEST as select * from mig.CRQ_EMBRYO_HARVEST where 1 = 2;
alter table mig_audit.CRQ_EMBRYO_HARVEST add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_EMBRYO_HARVEST add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_EMBRYO_HARVEST add (audit_action varchar2(10));

create table mig_audit.CRQ_FREEZER as select * from mig.CRQ_FREEZER where 1 = 2;
alter table mig_audit.CRQ_FREEZER add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_FREEZER add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_FREEZER add (audit_action varchar2(10));

create table mig_audit.CRQ_FREEZE_DOWN_SAMPLE as select * from mig.CRQ_FREEZE_DOWN_SAMPLE where 1 = 2;
alter table mig_audit.CRQ_FREEZE_DOWN_SAMPLE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_FREEZE_DOWN_SAMPLE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_FREEZE_DOWN_SAMPLE add (audit_action varchar2(10));

create table mig_audit.CRQ_GOBLET as select * from mig.CRQ_GOBLET where 1 = 2;
alter table mig_audit.CRQ_GOBLET add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_GOBLET add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_GOBLET add (audit_action varchar2(10));

create table mig_audit.CRQ_LOCATION as select * from mig.CRQ_LOCATION where 1 = 2;
alter table mig_audit.CRQ_LOCATION add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_LOCATION add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_LOCATION add (audit_action varchar2(10));

create table mig_audit.CRQ_SCHEDULED_CRYO_PRV as select * from mig.CRQ_SCHEDULED_CRYO_PRV where 1 = 2;
alter table mig_audit.CRQ_SCHEDULED_CRYO_PRV add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_SCHEDULED_CRYO_PRV add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_SCHEDULED_CRYO_PRV add (audit_action varchar2(10));

create table mig_audit.CRQ_SCHEDULED_JOB_STATUS_DICT as select * from mig.CRQ_SCHEDULED_JOB_STATUS_DICT where 1 = 2;
alter table mig_audit.CRQ_SCHEDULED_JOB_STATUS_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_SCHEDULED_JOB_STATUS_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_SCHEDULED_JOB_STATUS_DICT add (audit_action varchar2(10));

create table mig_audit.CRQ_STRAW as select * from mig.CRQ_STRAW where 1 = 2;
alter table mig_audit.CRQ_STRAW add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_STRAW add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_STRAW add (audit_action varchar2(10));

create table mig_audit.CRQ_TOWER as select * from mig.CRQ_TOWER where 1 = 2;
alter table mig_audit.CRQ_TOWER add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_TOWER add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_TOWER add (audit_action varchar2(10));

create table mig_audit.CRQ_VIAL as select * from mig.CRQ_VIAL where 1 = 2;
alter table mig_audit.CRQ_VIAL add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_VIAL add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_VIAL add (audit_action varchar2(10));

create table mig_audit.CRQ_WEDGE as select * from mig.CRQ_WEDGE where 1 = 2;
alter table mig_audit.CRQ_WEDGE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.CRQ_WEDGE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.CRQ_WEDGE add (audit_action varchar2(10));