connect mig_audit

CREATE TABLE MTS_COLONY_CONTACT_TYPE_DICT
(
  ID                         INTEGER,
  NAME                       VARCHAR2(256 CHAR),
  DESCRIPTION                VARCHAR2(4000 CHAR),
  ORDER_BY                   INTEGER,
  ACTIVE                     INTEGER,
  ALLOW_DUPLICATE_IN_COLONY  NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

grant select on MTS_COLONY_CONTACT_TYPE_DICT to mig;


ALTER TABLE MIR_MICRO_INJECTION_REQUEST
 ADD (COLONY_INFO_ID  INTEGER);

alter table mts_colony_contact add colony_contact_type_dict_id integer;

connect mig

ALTER TABLE MIR_MICRO_INJECTION_REQUEST
 ADD (COLONY_INFO_ID  INTEGER);

ALTER TABLE MIR_MICRO_INJECTION_REQUEST
 ADD CONSTRAINT MIR_MICRO_INJECTION_REQUESTR04 
 FOREIGN KEY (COLONY_INFO_ID) 
 REFERENCES MTS_COLONY_INFO (ID);

CREATE TABLE MTS_COLONY_CONTACT_TYPE_DICT
(
  ID                         INTEGER,
  NAME                       VARCHAR2(256 CHAR),
  DESCRIPTION                VARCHAR2(4000 CHAR),
  ORDER_BY                   INTEGER,
  ACTIVE                     INTEGER,
  ALLOW_DUPLICATE_IN_COLONY  NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE UNIQUE INDEX MTS_COLONY_CONTACT_TYPE_DICTPK ON MTS_COLONY_CONTACT_TYPE_DICT
(ID)
LOGGING
NOPARALLEL;

ALTER TABLE MTS_COLONY_CONTACT_TYPE_DICT ADD (
  CONSTRAINT MTS_COLONY_CONTACT_TYPE_DICTPK
 PRIMARY KEY
 (ID));

alter table mts_colony_contact add colony_contact_type_dict_id integer;

INSERT INTO MTS_COLONY_CONTACT_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
ALLOW_DUPLICATE_IN_COLONY ) VALUES ( 
1, 'Colony Owner', 'Primary contact for colony', NULL, 1, 0); 
INSERT INTO MTS_COLONY_CONTACT_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
ALLOW_DUPLICATE_IN_COLONY ) VALUES ( 
2, 'Colony Manager', 'Primary technicial responsible for breeding etc', NULL, 1, 0); 
INSERT INTO MTS_COLONY_CONTACT_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
ALLOW_DUPLICATE_IN_COLONY ) VALUES ( 
3, 'Other Reason', NULL, NULL, 1, 1); 
COMMIT;

create or replace trigger MTS_COLONY_CONTACT_TYPE_DIC_ta
before update or delete on MTS_COLONY_CONTACT_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_CONTACT_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    ALLOW_DUPLICATE_IN_COLONY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    :old.ALLOW_DUPLICATE_IN_COLONY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_CONTACT_ta
before update or delete on MTS_COLONY_CONTACT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_CONTACT(
    ID,
    PERSON_ID,
    COLONY_ID,
    REASON,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COLONY_CONTACT_TYPE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PERSON_ID,
    :old.COLONY_ID,
    :old.REASON,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COLONY_CONTACT_TYPE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

INSERT INTO MTS_CAUSE_OF_DEATH_DICT ( ID, NAME, ORDER_BY, DESCRIPTION,
ACTIVE ) VALUES ( 
21, 'Culled', NULL, 'C', 1); 
INSERT INTO MTS_CAUSE_OF_DEATH_DICT ( ID, NAME, ORDER_BY, DESCRIPTION,
ACTIVE ) VALUES ( 
22, 'Culled Sick', NULL, 'CS', 1); 
INSERT INTO MTS_CAUSE_OF_DEATH_DICT ( ID, NAME, ORDER_BY, DESCRIPTION,
ACTIVE ) VALUES ( 
23, 'Found Dead', NULL, 'FD', 1); 
INSERT INTO MTS_CAUSE_OF_DEATH_DICT ( ID, NAME, ORDER_BY, DESCRIPTION,
ACTIVE ) VALUES ( 
24, 'Missing', NULL, 'M', 1); 
INSERT INTO MTS_CAUSE_OF_DEATH_DICT ( ID, NAME, ORDER_BY, DESCRIPTION,
ACTIVE ) VALUES ( 
25, 'Used', NULL, 'U', 1);

update mts_mouse set cause_of_death_dict_id = 21 where cause_of_death_dict_id in (1,3,4,7,11,12,13,14);

update mts_mouse set cause_of_death_dict_id = 22 where cause_of_death_dict_id in (2);

update mts_mouse set cause_of_death_dict_id = 23 where cause_of_death_dict_id in (9);

update mts_mouse set cause_of_death_dict_id = 24 where cause_of_death_dict_id in (5);

update mts_mouse set cause_of_death_dict_id = 25 where cause_of_death_dict_id in (6,8,10);

delete MTS_CAUSE_OF_DEATH_DICT where id < 21;

update app_column_prefs set column_title='Fate Date' where id = 7;

update app_column_prefs set column_title='Fate' where id = 9;
 
COMMIT;


CREATE TABLE APP_VERSION
(
  ID               INTEGER,
  VERSION          VARCHAR2(256 CHAR),
  CURRENT_VERSION  NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE APP_VERSION_FEATURE
(
  ID          NUMBER,
  VERSION_ID  INTEGER,
  MODULE      VARCHAR2(256 CHAR),
  DETAILS     VARCHAR2(4000 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX APP_APPLICATION_METADATA_PK ON APP_VERSION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX APP_VERSION_FEATURES_PK ON APP_VERSION_FEATURE
(ID)
LOGGING
NOPARALLEL;


ALTER TABLE APP_VERSION ADD (
  CONSTRAINT APP_APPLICATION_METADATA_PK
 PRIMARY KEY
 (ID));


ALTER TABLE APP_VERSION_FEATURE ADD (
  CONSTRAINT APP_VERSION_FEATURES_PK
 PRIMARY KEY
 (ID));


ALTER TABLE APP_VERSION_FEATURE ADD (
  CONSTRAINT APP_VERSION_FEATURES_R01 
 FOREIGN KEY (VERSION_ID) 
 REFERENCES APP_VERSION (ID));

CREATE OR REPLACE VIEW APP_VERSION_DICT_VW
(ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
AS 
select 
  id, 
  version name, 
  version description, 
  current_version active, 
  id order_by 
from 
  app_version
/

CREATE OR REPLACE VIEW APP_VERSION_FEATURE_DICT_VW
(ID, VERSION_ID, NAME, DESCRIPTION, ACTIVE, 
 ORDER_BY)
AS 
select 
  id, 
  version_id, 
  module name, 
  details description, 
  1 active, 
  id order_by 
from 
  app_version_feature
/



CREATE OR REPLACE FORCE VIEW MIR_REQUEST_LIST_VW
(ID, REQUESTER_NAME, TEAM_NUMBER, CHIMERA_MATE_STRAIN_NAME, CHIMERA_MATE_STRAIN_ID, 
 STRAIN_NAME, STRAIN_ID, CELL_LINE_NAME, CELL_LINE_ID, CLONE_NAME, 
 ENDPOINT_NAME, ENDPOINT_ID, EMBRYO_STAGE_NAME, EMBRYO_STAGE_ID, EDIT_DATE, 
 CREATED_DATE, PROJECT_LICENCE, WORKFLOW_PIPELINE, WORKFLOW_PIPELINE_ID, REQUESTER_ID, 
 EXTERNAL_STATUS_DICT_ID, EXTERNAL_STATUS_NAME, SMI_COUNT, REQUESTER_PROVIDED_GENOTYPING, COLONY_INFO_ID, 
 COLONY_NAME, COLONY_PREFIX)
AS 
SELECT mir.ID, per.requester_name, per.team_number, 
          cms.NAME chimera_mate_strain_name, cms.ID chimera_mate_strain_id, 
          esline.NAME strain_name, esline.ID strain_id, cl.cell_line_name, 
          cl.ID cell_line_id, cl.clone_name, ed.NAME endpoint_name, 
          ed.ID endpoint_id, sd.NAME embryo_stage_name, sd.ID embryo_stage_id, 
          mir.edit_date, mir.created_date, pl.ppl project_licence, 
          aw.NAME workflow_pipeline, aw.ID workflow_pipeline_id, 
          mir.requester_id requester_id, esd.ID external_status_dict_id, 
          esd.NAME external_status_name, 
          NVL (smi_table.smi_count, 0) smi_count, 
          mir.requester_provided_genotyping, 
		  col.id colony_info_id, 
		  col.colony_name, 
		  col.colony_prefix 
     FROM mir_micro_injection_request mir, 
          app_workflow_pipeline_dict aw, 
          mir_chimera_mate_strain_dict cms, 
          mir_cell_line_strain_dict esline, 
          mir_target_endpoint_dict ed, 
          (SELECT   micro_injection_request_id, COUNT (*) smi_count 
               FROM mir_scheduled_micro_injection 
           GROUP BY micro_injection_request_id) smi_table, 
          (SELECT p.person_id, 
                  p.first_name || ' ' || p.last_name requester_name, 
                  tm.team_number 
             FROM per_person p, per_team tm 
            WHERE p.team_id = tm.ID(+)) per, 
          mir_cell_line cl, 
          mir_embryo_stage_dict sd, 
          lic_project_licence pl, 
          mir_external_status_dict esd, 
		  mts_colony_info col 
    WHERE mir.endpoint_dict_id = ed.ID(+) 
      AND aw.ID(+) = mir.workflow_pipeline_dict_id 
      AND mir.donor_embryo_stage_dict_id = sd.ID(+) 
      AND mir.chimera_mate_strain_dict_id = cms.ID(+) 
      AND mir.requester_id = per.person_id(+) 
      AND mir.cell_line_id = cl.ID(+) 
      AND mir.project_licence_id = pl.project_licence_id(+) 
      AND cl.cell_line_strain_dict_id = esline.ID(+) 
      AND smi_table.micro_injection_request_id(+) = mir.ID 
      AND mir.external_status_dict_id = esd.ID(+) 
	  AND mir.colony_info_id = col.id(+);
