connect mig_audit

alter table mts_litter add not_pregnant number(1);

connect mig

alter table mts_litter add not_pregnant number(1);

CREATE OR REPLACE TRIGGER MIG.MTS_LITTER_TA 
before update or delete on MTS_LITTER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_LITTER(
    ID,
    LITTER_SOURCE,
    BREEDING_ID,
    BIRTH_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATOR_ID,
    CREATED_DATE,
    PLUG_CHECK_DATE,
    FOSTER_MOTHER_ID,
    NUMBER_BORN,
    NUMBER_WEANED,
    NUMBER_USED,
    COMMENTS,
    NUMBER_DIED,
    STATUS,
    NUMBER_HARVESTED,
    DUE_DATE,
    NUMBER_MALE_BORN,
    NUMBER_FEMALE_BORN,
    LITTER_NUMBER,
	NOT_PREGNANT,
    NAME_PREFIX,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_SOURCE,
    :old.BREEDING_ID,
    :old.BIRTH_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.PLUG_CHECK_DATE,
    :old.FOSTER_MOTHER_ID,
    :old.NUMBER_BORN,
    :old.NUMBER_WEANED,
    :old.NUMBER_USED,
    :old.COMMENTS,
    :old.NUMBER_DIED,
    :old.STATUS,
    :old.NUMBER_HARVESTED,
    :old.DUE_DATE,
    :old.NUMBER_MALE_BORN,
    :old.NUMBER_FEMALE_BORN,
    :old.LITTER_NUMBER,
	:old.NOT_PREGNANT,
    :old.NAME_PREFIX,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE VIEW MTS_LITTER_LIST_VW
AS 
select 
  lt.id, 
  lt.name_prefix||lt.litter_number litter_name, 
  lt.birth_date, 
  lt.litter_source, 
  lt.plug_check_date, 
  lt.foster_mother_id, 
  null foster_mother_name, 
  lt.number_born, 
  lt.number_weaned, 
  lt.number_used, 
  lt.number_died, 
  lt.number_harvested, 
  (nvl(lt.number_born,0) - (nvl(lt.number_weaned,0) + nvl(lt.number_died,0) + nvl(lt.number_used,0))) number_to_wean, 
  lt.comments litter_comments, 
  lt.status litter_status, 
  lt.not_pregnant,
  br.id breeding_id, 
  br.offspring_colony_id,
  br.offspring_generation,
  br.embryo_transfer_id, 
  mother.id mother_id, 
  mother.name mother_name, 
  mother.colony_info_id mother_colony_id, 
  mother_colony.colony_name mother_colony_name, 
  mother_cage.cage_id mother_cage_id, 
  mother_cage.cage_name mother_cage_name, 
  mother_cage.cage_barcode mother_cage_barcode, 
  mother_cage.rack_id mother_rack_id, 
  mother_cage.rack_name mother_rack_name, 
  mother_cage.rack_barcode mother_rack_barcode, 
  mother_cage.room_id mother_room_id, 
  mother_cage.room_name mother_room_name, 
  father.id father_id, 
  father.name father_name, 
  father.colony_info_id father_colony_id, 
  father_colony.colony_name father_colony_name, 
  father_cage.cage_id father_cage_id, 
  father_cage.cage_name father_cage_name, 
  father_cage.cage_barcode father_cage_barcode, 
  father_cage.rack_id father_rack_id, 
  father_cage.rack_name father_rack_name, 
  father_cage.rack_barcode father_rack_barcode, 
  father_cage.room_id father_room_id, 
  father_cage.room_name father_room_name 
from 
  mts_litter lt, 
  mts_breeding br, 
  mts_mouse mother, 
  mts_mouse father, 
  mts_cage_vw mother_cage, 
  mts_cage_vw father_cage, 
  mts_colony_info mother_colony, 
  mts_colony_info father_colony   
where 
  lt.breeding_id = br.id and  
  br.male_id = father.id and 
  father.cage_id = father_cage.cage_id(+) and 
  father.colony_info_id = father_colony.id(+) and 
  br.female_id = mother.id and 
  mother.cage_id = mother_cage.cage_id(+) and 
  mother.colony_info_id = mother_colony.id(+)
/



