connect mig_audit

ALTER TABLE CRQ_SCHEDULED_CRYO_PRV
 ADD (CANCEL_COMMENTS  VARCHAR2(4000 BYTE));

ALTER TABLE CRQ_SCHEDULED_CRYO_PRV
 ADD (CANCEL_REASON_DICT_ID  NUMBER);
ALTER TABLE CRQ_SCHEDULED_CRYO_PRV DROP COLUMN CANCEL_REASON;

ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE
 ADD (THAW_TEST_ID  NUMBER);

CREATE TABLE CRQ_THAW_TEST
(
  ID              INTEGER,
  CRQ_REQUEST_ID  INTEGER,
  CREATOR_ID      INTEGER,
  CREATED_DATE    DATE,
  EDITED_BY       VARCHAR2(128 CHAR),
  EDIT_DATE       DATE,
  CHECK_NUMBER    NUMBER,
  COMMENTS        VARCHAR2(4000 BYTE),
  IS_COMPLETED    NUMBER(1),
  COMPLETE_DATE   DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE CRQ_CANCEL_JOB_REASON_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

DROP TABLE CRQ_CRYO_WILDTYPE_STRAIN_DICT;
DROP TABLE CRQ_CRYO_REQUEST_STRAIN_DICT;


connect mig
CREATE TABLE CRQ_CANCEL_JOB_REASON_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE CRQ_CANCEL_JOB_REASON_DICT
 ADD CONSTRAINT CRQ_CANCEL_JOB_REASON_DIC_PK
 PRIMARY KEY
 (ID);

CREATE UNIQUE INDEX CRQ_CANCEL_JOB_REASON_DIC_PK ON CRQ_CANCEL_JOB_REASON_DICT
(ID)
LOGGING
NOPARALLEL;

CREATE TABLE CRQ_THAW_TEST
(
  ID              INTEGER,
  CRQ_REQUEST_ID  INTEGER,
  CREATOR_ID      INTEGER,
  CREATED_DATE    DATE,
  EDITED_BY       VARCHAR2(128 CHAR),
  EDIT_DATE       DATE,
  CHECK_NUMBER    NUMBER,
  COMMENTS        VARCHAR2(4000 BYTE),
  IS_COMPLETED    NUMBER(1),
  COMPLETE_DATE   DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE SEQUENCE CRQ_THAW_TEST_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE UNIQUE INDEX CRQ_THAW_TEST_R01 ON CRQ_THAW_TEST
(ID)
LOGGING
NOPARALLEL;

ALTER TABLE CRQ_THAW_TEST
 ADD CONSTRAINT CRQ_THAW_TEST_R01
 PRIMARY KEY
 (ID);

ALTER TABLE CRQ_THAW_TEST
 ADD CONSTRAINT CRQ_THAW_TEST_R02 
 FOREIGN KEY (CRQ_REQUEST_ID) 
 REFERENCES CRQ_CRYO_REQUEST (ID);

create or replace trigger CRQ_thaw_test_ta
before update or delete on CRQ_thaw_test for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_thaw_test(
    ID,
    CRQ_REQUEST_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    IS_COMPLETED,
    COMPLETE_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CRQ_REQUEST_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.IS_COMPLETED,
    :old.COMPLETE_DATE,
    AUDIT_ACTION);
end if;
end;
/


ALTER TABLE CRQ_SCHEDULED_CRYO_PRV
 ADD (CANCEL_COMMENTS  VARCHAR2(4000 BYTE));

update  CRQ_SCHEDULED_CRYO_PRV s set s.CANCEL_COMMENTS = s.CANCEL_REASON where s.CANCEL_REASON is not null; 

ALTER TABLE CRQ_SCHEDULED_CRYO_PRV DROP COLUMN CANCEL_REASON;
ALTER TABLE CRQ_SCHEDULED_CRYO_PRV
 ADD (CANCEL_REASON_DICT_ID  NUMBER);


create or replace trigger CRQ_SCHEDULED_CRYO_PRV_ta
before update or delete on CRQ_SCHEDULED_CRYO_PRV for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_SCHEDULED_CRYO_PRV(
    ID,
    CRYO_REQUEST_ID,
    CRYO_JOB_STATUS_DICT_ID,
    TARGET_SCHEDULED_DATE,
    CANCEL_COMMENTS,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    JOB_NAME,
    CANCEL_REASON_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CRYO_REQUEST_ID,
    :old.CRYO_JOB_STATUS_DICT_ID,
    :old.TARGET_SCHEDULED_DATE,
    :old.CANCEL_COMMENTS,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.JOB_NAME,
    :old.CANCEL_REASON_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/


ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE
 ADD (THAW_TEST_ID  NUMBER);

create or replace trigger CRQ_freeze_down_sample_ta
before update or delete on CRQ_freeze_down_sample for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_freeze_down_sample(
    ID,
    EMBRYO_HARVEST_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    TECHNICIAN_ID,
    LOCATION_ID,
    EMBRYO_GRADE_DICT_ID,
    EMBRYO_COUNT,
    FREEZE_DOWN_DATE,
    THAW_TEST_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EMBRYO_HARVEST_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.TECHNICIAN_ID,
    :old.LOCATION_ID,
    :old.EMBRYO_GRADE_DICT_ID,
    :old.EMBRYO_COUNT,
    :old.FREEZE_DOWN_DATE,
    :old.THAW_TEST_ID,
    AUDIT_ACTION);
end if;
end;
/

ALTER TABLE CRQ_SCHEDULED_CRYO_PRV
 ADD CONSTRAINT CRQ_SCHEDULED_CRYO_PRV_R03 
 FOREIGN KEY (CANCEL_REASON_DICT_ID) 
 REFERENCES CRQ_CANCEL_JOB_REASON_DICT (ID);


ALTER TABLE CRQ_EMBRYO_HARVEST
 ADD CONSTRAINT CRQ_EMBRYO_HARVEST_R02 
 FOREIGN KEY (FEMALE_STRAIN_ID) 
 REFERENCES TYP_STRAIN (ID);


CREATE OR REPLACE FORCE VIEW CRQ_THAW_ATTEMPT_COUNT_LIST
(ID, TOTAL_THAW_ATTEMPTS)
AS 
SELECT   ccr.ID, COUNT (t.ID) AS total_thaw_attempts 
    FROM crq_cryo_request ccr, crq_thaw_test t 
   WHERE ccr.ID = t.crq_request_id(+) 
GROUP BY ccr.ID 
ORDER BY ccr.ID ASC;

CREATE OR REPLACE FORCE VIEW CRQ_SCHEDULED_JOB_LIST_VW
(ID, JOB_NAME, JOB_STATUS, STATUS_ID, TARGET_SCHEDULED_DATE, 
 CRYO_REQUEST_ID, COLONY_NAME, FEMALE_STRAIN_NAME, CANCEL_COMMENTS, EMBRYO_HARVEST_ID, 
 COMMENTS, TOTAL_PLUGGED, TOTAL_SUPEROVULATED, TOTAL_FROZEN_COUNT, AVERAGE_FROZEN_COUNT)
AS 
SELECT   cpv.ID, cpv.job_name, csjsd.NAME job_status, csjsd.ID status_id,
         cpv.target_scheduled_date, crq.ID cryo_request_id,
         colinfo.colony_name, strain.NAME female_strain_name,
         cpv.cancel_comments, ceh.ID embryo_harvest_id,
         NVL (cpv.comments, '') comments,
         NVL (ceh.number_plugged, 0) total_plugged,
         NVL (ceh.number_superovulated, 0) total_superovulated,
         NVL (SUM (f_loc_v_s.embryo_count), 0) total_frozen_count,
         DECODE (ceh.number_plugged,
                 0, 0,
                 (NVL ((SUM (f_loc_v_s.embryo_count)) / ceh.number_plugged, 0)
                 )
                ) AS average_frozen_count
    FROM crq_cryo_request crq,
         crq_scheduled_cryo_prv cpv,
         crq_scheduled_job_status_dict csjsd,
         crq_embryo_harvest ceh,
         mts_colony_info colinfo,
         typ_strain strain,
         (SELECT cfds.ID freeze_down_id,
                 cfds.embryo_harvest_id embryo_harvest_id,
                 cfds.embryo_count embryo_count, cl.ID loc_id,
                 cl.vial_id vial_id, cl.straw_id straw_id
            FROM crq_freeze_down_sample cfds, crq_location cl, crq_straw s
           WHERE cfds.location_id = cl.ID
             AND cl.straw_id = s.ID
             AND s.in_use = 1
          UNION
          SELECT cfds.ID freeze_down_id,
                 cfds.embryo_harvest_id embryo_harvest_id,
                 cfds.embryo_count embryo_count, cl.ID loc_id,
                 cl.vial_id vial_id, cl.straw_id straw_id
            FROM crq_freeze_down_sample cfds, crq_location cl, crq_vial v
           WHERE cfds.location_id = cl.ID AND cl.vial_id = v.ID
                 AND v.in_use = 1) f_loc_v_s
   WHERE cpv.cryo_request_id = crq.ID(+)
     AND cpv.cryo_job_status_dict_id = csjsd.ID(+)
     AND crq.colony_id = colinfo.ID(+)
     AND crq.female_strain_dict_id = strain.ID(+)
     AND cpv.ID = ceh.scheduled_job_id(+)
     AND ceh.ID = f_loc_v_s.embryo_harvest_id(+)
GROUP BY cpv.ID,
         cpv.job_name,
         csjsd.NAME,
         cpv.target_scheduled_date,
         crq.ID,
         csjsd.ID,
         cpv.cancel_comments,
         ceh.ID,
         colinfo.colony_name,
         cpv.comments,
         strain.NAME,
         ceh.number_plugged,
         ceh.number_superovulated;


CREATE OR REPLACE FORCE VIEW CRQ_STRAW_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, 
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME, 
 FREEZER_ID, CANISTER_NAME, CANISTER_ID, GOBLET_NAME, GOBLET_ID, 
 WEDGE_COLOUR, WEDGE_ID, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, 
 SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME)
AS 
SELECT svw.straw_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id,
       gd.NAME embryo_grade, gd.ID embryo_grade_dict_id, svw.freezer_name,
       svw.freezer_id, svw.canister_name, svw.canister_id, svw.goblet_name,
       svw.goblet_id, svw.wedge_colour, svw.wedge_id,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,
    cr.cryo_job_status_dict_id,
       ts.NAME female_strain_name
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       PER_PERSON p,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_LOCATION l,
       CRQ_STRAW s,
       crq_straw_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c,
       TYP_STRAIN ts
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id = fds.technician_id
   AND l.straw_id = s.ID
   AND fds.location_id = l.ID
   AND svw.straw_id = s.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts.ID (+);


CREATE OR REPLACE FORCE VIEW CRQ_VIAL_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, 
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME, 
 FREEZER_ID, TOWER_NAME, TOWER_ID, BOX_NAME, BOX_ID, 
 VIAL_POSITION, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, 
 CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME)
AS 
SELECT svw.vial_id ID, c.colony_name, c.colony_id, c.request_id, 
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id, gd.NAME embryo_grade, 
       gd.ID embryo_grade_dict_id, svw.freezer_name, svw.freezer_id, 
       svw.tower_name, svw.tower_id, svw.box_name, svw.box_id, 
       svw.vial_position, 
       (p.first_name || ' ' || p.last_name) technician_name, 
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,cr.cryo_job_status_dict_id,
    ts.NAME female_strain_name
  FROM CRQ_FREEZE_DOWN_SAMPLE fds, 
       CRQ_EMBRYO_HARVEST eh, 
       CRQ_SCHEDULED_CRYO_PRV cr, 
       PER_PERSON p, 
       CRQ_LOCATION l, 
       CRQ_VIAL v, 
       crq_vial_location_vw svw, 
       CRQ_EMBRYO_GRADE_DICT gd, 
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id 
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci 
         WHERE re.colony_id = ci.ID) c ,
   TYP_STRAIN ts
 WHERE fds.embryo_harvest_id = eh.ID 
   AND eh.scheduled_job_id = cr.ID(+) 
   AND cr.cryo_request_id = c.request_id(+) 
   AND p.person_id(+) = fds.technician_id 
   AND l.vial_id = v.ID 
   AND fds.location_id = l.ID 
   AND svw.vial_id = v.ID 
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts.ID (+);


CREATE OR REPLACE FORCE VIEW CRQ_SAMPLE_LIST_VW
(COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, EMBRYO_COUNT, 
 EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, LOCATION_NAME, ID, TECHNICIAN_NAME, 
 TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, THAW_TEST_ID, 
 STORAGE_TYPE, FEMALE_STRAIN_NAME)
AS 
SELECT v.colony_name colony_name, v.colony_id colony_id, 
          v.request_id request_id, v.freeze_down_date freeze_down_date, 
          v.embryo_count embryo_count, v.embryo_grade embryo_grade, 
          v.embryo_grade_dict_id embryo_grade_dict_id, 
          (   'Freezer ' || v.freezer_name 
           || ', Tower ' 
           || v.tower_name 
           || ', Box ' 
           || v.box_name 
           || ', Vial ' 
           || v.vial_position 
          ) location_name, 
          v.ID ID, v.technician_name technician_name, 
          v.technician_id technician_id, v.sample_id, v.scheduled_job_id, 
          v.cryo_job_status_dict_id, v.thaw_test_id, 'vial' storage_type,v.female_strain_name
     FROM crq_vial_sample_list_vw v 
   UNION 
   SELECT s.colony_name colony_name, s.colony_id colony_id, 
          s.request_id request_id, s.freeze_down_date freeze_down_date, 
          s.embryo_count embryo_count, s.embryo_grade embryo_grade, 
          s.embryo_grade_dict_id embryo_grade_dict_id, 
          (   'Freezer ' || s.freezer_name 
           || ', Canister ' 
           || s.canister_name 
           || ', Goblet ' 
           || s.goblet_name 
           || ', Wedge ' 
           || s.wedge_colour 
          ) location_name, 
          s.ID ID, s.technician_name technician_name, 
          s.technician_id technician_id, s.sample_id, s.scheduled_job_id, 
          s.cryo_job_status_dict_id, s.thaw_test_id, 'straw' storage_type,s.female_strain_name
     FROM crq_straw_sample_list_vw s;


CREATE OR REPLACE FORCE VIEW CRQ_CRYO_REQUEST_LIST_VW
(ID, STATUS_DICT_ID, STATUS, CANCEL_REASON, PERSON_ID, 
 REQUESTER_NAME, TEAM_NUMBER, COLONY_INFO_ID, COLONY_NAME, COLONY_PREFIX, 
 APPENDED_STRAINS, APPENDED_ALLELES, APPEND_HOMOZYGOUS_LETHAL, FEMALE_STRAIN, TOTAL_PLUGGED, 
 TOTAL_SUPEROVULATED, TOTAL_ATTEMPTS, TOTAL_THAW_ATTEMPTS, TOTAL_FROZEN, TARGET_COUNT, 
 CREATED_DATE)
AS 
SELECT   ccr.ID, ccr.status_dict_id, crsd.NAME status, ccr.cancel_reason, p.person_id, 
            p.first_name || ' ' || p.last_name AS requester_name, 
            t.team_number, mci.ID colony_info_id, mci.colony_name, 
            mci.colony_prefix, 
            Addstrainsforcryorequest (ccr.ID) appended_strains, 
            Addallelesforcryorequest (ccr.ID) appended_alleles, 
            Addhomozygouslethals (ccr.ID) append_homozygous_lethal, 
            crstd.NAME female_strain, 
            NVL (SUM (sjlv.total_plugged), 0) total_plugged, 
            NVL (SUM (sjlv.total_superovulated), 0) total_superovulated, 
            NVL (rac.total_attempts, 0) total_attempts, 
   NVL (rat.TOTAL_THAW_ATTEMPTS, 0) total_thaw_attempts, 
            NVL (SUM (sjlv.total_frozen_count), 0) total_frozen, 
            NVL (ccr.target_count, 0) target_count, ccr.created_date 
       FROM CRQ_CRYO_REQUEST ccr, 
            MTS_COLONY_INFO mci, 
            typ_strain crstd, 
            crq_scheduled_job_list_vw sjlv, 
            crq_req_attempt_count_list_vw rac, 
   crq_thaw_attempt_count_list rat, 
            CRQ_CRYO_REQUEST_STATUS_DICT crsd, 
            PER_PERSON p, 
            PER_TEAM t 
      WHERE ccr.colony_id = mci.ID(+) 
        AND ccr.ID = sjlv.cryo_request_id(+) 
        AND ccr.ID = rac.ID(+) 
  AND ccr.ID = rat.ID(+) 
        AND ccr.status_dict_id = crsd.ID(+) 
        AND ccr.female_strain_dict_id = crstd.ID(+) 
        AND ccr.requester_id = p.person_id(+) 
        AND p.team_id = t.ID(+) 
        AND sjlv.status_id(+) ! = 4 
        AND sjlv.cryo_request_id(+) IS NOT NULL 
   GROUP BY ccr.ID, 
            ccr.status_dict_id, 
            rac.total_attempts, 
   rat.TOTAL_THAW_ATTEMPTS, 
            crsd.NAME, 
            p.person_id, 
            p.first_name || ' ' || p.last_name, 
            t.team_number, 
            mci.ID, 
            mci.colony_name, 
            mci.colony_prefix, 
            crstd.NAME, 
            ccr.target_count, 
            ccr.created_date, 
   ccr.cancel_reason;


INSERT INTO CRQ_CANCEL_JOB_REASON_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
1, 'Wrong strain of female mice used', NULL, 1, 1); 
INSERT INTO CRQ_CANCEL_JOB_REASON_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
2, 'Mice strains mixed together by mistake', NULL, 1, 1); 
INSERT INTO CRQ_CANCEL_JOB_REASON_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
3, 'Mice not given hormone injections', NULL, 1, 1); 
INSERT INTO CRQ_CANCEL_JOB_REASON_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
4, 'Other Reasons', NULL, 1, 1); 


update mts_mouse set cause_of_death_dict_id = 21 where cause_of_death_dict_id = 25;

delete mts_cause_of_death_dict where id = 25;

insert into mts_cause_of_death_dict ( id, name, order_by, description,
active ) values ( 
26, 'Exported', null, 'EX', 1); 

commit;