/* schema scripts */
connect mig
/*creat all the tables*/
CREATE TABLE HTL_NECROPSY_REASON_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 CHAR),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_SCAN
(
  ID                      NUMBER,
  SLIDE_ID                NUMBER,
  FILE_PATH               VARCHAR2(512 BYTE),
  WIDTH                   NUMBER,
  HEIGHT                  NUMBER,
  PIXEL_WIDTH             NUMBER,
  PIXEL_HEIGHT            NUMBER,
  THUMB_WIDTH             NUMBER,
  THUMB_HEIGHT            NUMBER,
  THUMBNAIL_ID            NUMBER,
  COMMENTS                VARCHAR2(4000 BYTE),
  SCAN_DATE               DATE,
  SWEEP_DATE              DATE,
  SCAN_PERSON_NAME        VARCHAR2(256 BYTE),
  STATUS_DICT_ID          NUMBER,
  EDIT_DATE               DATE                  DEFAULT sysdate,
  EDITED_BY               VARCHAR2(128 BYTE),
  CREATED_DATE            DATE                  DEFAULT sysdate,
  CREATOR_ID              NUMBER,
  CHECK_NUMBER            NUMBER,
  VERSION_NUMBER          NUMBER                DEFAULT 1,
  IS_FLAGGED_FOR_DELETE   NUMBER(1)             DEFAULT 0,
  IS_EXTERNALLY_APPROVED  NUMBER(1)             DEFAULT 0
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_FIXATION
(
  ID                   NUMBER,
  FIXATION_START_TIME  DATE,
  EDIT_DATE            DATE                     DEFAULT sysdate,
  EDITED_BY            VARCHAR2(128 BYTE),
  CREATED_DATE         DATE                     DEFAULT sysdate,
  CREATOR_ID           NUMBER,
  CHECK_NUMBER         NUMBER,
  NECROPSY_ID          NUMBER                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_NECROPSY_2_EVENT
(
  NECROPSY_ID             NUMBER,
  NECROPSY_EVENT_DICT_ID  NUMBER,
  EDIT_DATE               DATE                  DEFAULT sysdate,
  EDITED_BY               VARCHAR2(128 BYTE),
  CREATED_DATE            DATE                  DEFAULT sysdate,
  CREATOR_ID              NUMBER,
  CHECK_NUMBER            NUMBER,
  ID                      INTEGER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_NECROPSY
(
  ID              NUMBER,
  MOUSE_ID        NUMBER,
  COMMENTS        VARCHAR2(2048 CHAR),
  EDIT_DATE       DATE                          DEFAULT sysdate,
  EDITED_BY       VARCHAR2(128 BYTE),
  CREATED_DATE    DATE                          DEFAULT sysdate,
  CREATOR_ID      NUMBER,
  CHECK_NUMBER    NUMBER,
  TECHNICIAN_ID   NUMBER,
  REASON_DICT_ID  NUMBER,
  TEAM_ID         NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_CROP_SELECTION_BIN
(
  SCAN_ID   NUMBER,
  ADDED_ON  DATE                                DEFAULT sysdate
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_BLOCK
(
  ID                  NUMBER,
  BLOCK_TYPE_ID       NUMBER,
  CREATOR_ID          INTEGER,
  CREATED_DATE        DATE,
  EDITED_BY           VARCHAR2(128 CHAR),
  EDIT_DATE           DATE,
  CHECK_NUMBER        NUMBER,
  BARCODE             VARCHAR2(128 BYTE),
  COMMENTS            VARCHAR2(512 CHAR),
  FIXATION_END_TIME   TIMESTAMP(6),
  PROGRAM_DICT_ID     INTEGER,
  PROGRAM_START_TIME  TIMESTAMP(6),
  FIXATION_ID         NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_SLIDE
(
  ID                     NUMBER,
  BARCODE                VARCHAR2(1024 BYTE),
  BLOCK_ID               NUMBER,
  STAINING_TYPE_DICT_ID  NUMBER                 DEFAULT 4,
  COMMENTS               VARCHAR2(4000 BYTE),
  EDIT_DATE              DATE                   DEFAULT sysdate,
  EDITED_BY              VARCHAR2(128 BYTE),
  CREATED_DATE           DATE                   DEFAULT sysdate,
  CREATOR_ID             NUMBER,
  CHECK_NUMBER           NUMBER,
  SLIDE_STATUS_DICT_ID   NUMBER,
  VERSION_NUMBER         INTEGER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_CROP
(
  ID                      NUMBER,
  WIDTH                   NUMBER,
  HEIGHT                  NUMBER,
  X_LOCATION              NUMBER,
  Y_LOCATION              NUMBER,
  FULL_IMAGE_PATH         VARCHAR2(1024 BYTE),
  COMMENTS                VARCHAR2(4000 BYTE),
  STAINING_PRESENT        NUMBER                DEFAULT NULL,
  IS_EXTERNALLY_APPROVED  NUMBER(1)             DEFAULT 0,
  EDIT_DATE               DATE                  DEFAULT sysdate,
  EDITED_BY               VARCHAR2(128 BYTE),
  CREATED_DATE            DATE                  DEFAULT sysdate,
  CREATOR_ID              NUMBER,
  CHECK_NUMBER            NUMBER,
  IS_FLAGGED_FOR_DELETE   NUMBER                DEFAULT 0,
  CROP_JOB_ID             NUMBER,
  RESIZED_IMAGE_PATH      VARCHAR2(700 BYTE),
  TISSUE_ID               NUMBER,
  QC_PASS                 NUMBER                DEFAULT 0,
  QC_FAIL_REASON          VARCHAR2(512 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/* This object may not be sorted properly in the script due to cirular references */
CREATE TABLE HTL_CROP_JOB
(
  ID              NUMBER,
  START_TIME      DATE,
  END_TIME        DATE,
  IS_SUCCESS      NUMBER,
  FAILURE_REASON  VARCHAR2(4000 BYTE),
  EDIT_DATE       DATE                          DEFAULT sysdate,
  EDITED_BY       VARCHAR2(128 BYTE),
  CREATED_DATE    DATE                          DEFAULT sysdate,
  CREATOR_ID      NUMBER,
  CHECK_NUMBER    NUMBER,
  SCAN_ID         NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_TISSUE
(
  ID              NUMBER                        NOT NULL,
  DESCRIPTION     VARCHAR2(1024 BYTE),
  ACTIVE          NUMBER(1),
  NAME            VARCHAR2(256 BYTE),
  ORDER_BY        INTEGER,
  GENDER_DICT_ID  INTEGER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_NECROPSY_TISSUE
(
  ID            NUMBER,
  NECROPSY_ID   NUMBER,
  TISSUE_ID     NUMBER,
  COMMENTS      VARCHAR2(2048 CHAR),
  EDIT_DATE     DATE                            DEFAULT sysdate,
  EDITED_BY     VARCHAR2(128 BYTE),
  CREATED_DATE  DATE                            DEFAULT sysdate,
  CREATOR_ID    NUMBER,
  CHECK_NUMBER  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_BLOCK_TYPE_2_DEFAULT_STAIN
(
  BLOCK_TYPE_ID  NUMBER,
  STAIN_DICT_ID  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_BLOCK_TYPE_2_TISSUE
(
  ID             NUMBER                         NOT NULL,
  BLOCK_TYPE_ID  NUMBER                         NOT NULL,
  TISSUE_ID      NUMBER                         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE HTL_CASSETTE_TYPE_DICT
(
  ID           INTEGER                          NOT NULL,
  DESCRIPTION  VARCHAR2(256 CHAR),
  NAME         VARCHAR2(256 CHAR),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER,
  COLOUR       VARCHAR2(256 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_SLIDE_SCAN_STATUS_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_SLIDE_STATUS_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_PROGRAM_DICT
(
  ID           NUMBER,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ACTIVE       NUMBER(1),
  NAME         VARCHAR2(256 BYTE),
  ORDER_BY     INTEGER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE HTL_BLOCK_TYPE
(
  ID                     NUMBER,
  DESCRIPTION            VARCHAR2(1024 BYTE),
  ACTIVE                 NUMBER(1),
  NAME                   VARCHAR2(256 BYTE),
  ORDER_BY               INTEGER,
  CASSETTE_TYPE_DICT_ID  NUMBER(1),
  STANDARD_BLOCK         NUMBER                 DEFAULT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_NECROPSY_EVENT_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(1024 CHAR),
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE HTL_STAINING_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ACTIVE       NUMBER                           NOT NULL,
  ORDER_BY     INTEGER                          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

/*all the sequence*/

CREATE SEQUENCE HTL_BLOCK_TYPE_2_TISSUE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_SLIDE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_NECROPSY_TISSUE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_CROP_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_BLOCK_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_FIXATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_NECROPSY_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE PHN_FAX_IMAGE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_EVENT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE HTL_SCAN_SEQ
  START WITH 100
  MAXVALUE 999999999999999999999999999
  MINVALUE 100
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE HTL_CROP_JOB_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

/*functions*/

CREATE OR REPLACE FUNCTION blocktype_tissuename (bt_id IN NUMBER) RETURN VARCHAR2
IS
tissueString VARCHAR2(2000);
BEGIN

FOR rowtarget IN(
  select t.name from HTL_TISSUE t
  join HTL_BLOCK_TYPE_2_TISSUE bt2t on bt2t.TISSUE_ID = t.ID 
  where bt2t.BLOCK_TYPE_ID = bt_id
)
LOOP  
tissueString := tissueString || rowtarget.name || ',' ||CHR(13);
END LOOP;
RETURN SUBSTR(tissueString, 1, LENGTH(tissueString)-2);
 END;
/

SHOW ERRORS;

/*constraints*/

ALTER TABLE HTL_NECROPSY_EVENT_DICT
 ADD CONSTRAINT HTL_NECROPSY_EVENT_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_STAINING_TYPE_DICT
 ADD CONSTRAINT DMI_STAINING_TYPE_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_NECROPSY_REASON_DICT
 ADD PRIMARY KEY
 (ID);

ALTER TABLE HTL_TISSUE
 ADD CONSTRAINT HTL_TISSUE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_BLOCK_TYPE_2_TISSUE
 ADD CONSTRAINT HTL_BLOCK_TYPE_2_TISSUE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_CROP_JOB
 ADD CONSTRAINT HTL_CROP_JOB_PK
 PRIMARY KEY
 (ID);


ALTER TABLE HTL_CASSETTE_TYPE_DICT
 ADD CONSTRAINT HTL_CASSETTE_TYPE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_SLIDE_SCAN_STATUS_DICT
 ADD CONSTRAINT HTL_SLIDE_SCAN_STATUS_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_SLIDE_STATUS_DICT
 ADD CONSTRAINT HTL_SLIDE_STATUS_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_PROGRAM_DICT
 ADD CONSTRAINT HTL_PROGRAM_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_BLOCK_TYPE
 ADD CONSTRAINT HTL_BLOCK_TYPE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_FIXATION
 ADD CONSTRAINT HTL_FIXATION_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_SCAN
 ADD CONSTRAINT HTL_SLIDE_SCAN_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_NECROPSY_2_EVENT
 ADD CONSTRAINT HTL_NECROPSY_2_EVENT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_SLIDE
 ADD CONSTRAINT HTL_SLIDE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_NECROPSY
 ADD CONSTRAINT HTL_NECROPSY_PK
 PRIMARY KEY
 (ID);



ALTER TABLE HTL_BLOCK
 ADD CONSTRAINT DMI_BLOCK_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_CROP
 ADD CONSTRAINT HTL_CROP_PK
 PRIMARY KEY
 (ID);

ALTER TABLE HTL_BLOCK_TYPE
 ADD CONSTRAINT HTL_BLOCK_TYPE_HTL_CASSET_FK1 
 FOREIGN KEY (CASSETTE_TYPE_DICT_ID) 
 REFERENCES HTL_CASSETTE_TYPE_DICT (ID);

ALTER TABLE HTL_BLOCK_TYPE_2_TISSUE
 ADD CONSTRAINT HTL_BLOCK_TYPE_2_TISSUE_H_FK2 
 FOREIGN KEY (TISSUE_ID) 
 REFERENCES HTL_TISSUE (ID);


ALTER TABLE HTL_SCAN
 ADD CONSTRAINT HTL_SLIDE_SCAN_RO1 
 FOREIGN KEY (THUMBNAIL_ID) 
 REFERENCES APP_BINARY_FILES (ID);

ALTER TABLE HTL_SCAN
 ADD CONSTRAINT HTL_SLIDE_SCAN_R02 
 FOREIGN KEY (SLIDE_ID) 
 REFERENCES HTL_SLIDE (ID);

ALTER TABLE HTL_SCAN
 ADD CONSTRAINT HTL_SLIDE_SCAN_R03 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES HTL_SLIDE_SCAN_STATUS_DICT (ID);

ALTER TABLE HTL_FIXATION
 ADD CONSTRAINT HTL_FIXATION_HTL_NECROPSY_FK1 
 FOREIGN KEY (NECROPSY_ID) 
 REFERENCES HTL_NECROPSY (ID);

ALTER TABLE HTL_NECROPSY_2_EVENT
 ADD CONSTRAINT HTL_NECROPSY_2_EVENT_R01 
 FOREIGN KEY (NECROPSY_EVENT_DICT_ID) 
 REFERENCES HTL_NECROPSY_EVENT_DICT (ID);

ALTER TABLE HTL_NECROPSY_2_EVENT
 ADD CONSTRAINT HTL_NECROPSY_2_EVNET_R02 
 FOREIGN KEY (NECROPSY_ID) 
 REFERENCES HTL_NECROPSY (ID);


ALTER TABLE HTL_NECROPSY
 ADD CONSTRAINT HTL_NECROPSY_PER_PERSON_FK1 
 FOREIGN KEY (TECHNICIAN_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE HTL_NECROPSY
 ADD CONSTRAINT HTL_NECROPSY_PER_TEAM_FK1 
 FOREIGN KEY (TEAM_ID) 
 REFERENCES PER_TEAM (ID);

ALTER TABLE HTL_NECROPSY
 ADD CONSTRAINT HTL_NECROPSY_HTL_NECROPSY_FK1 
 FOREIGN KEY (REASON_DICT_ID) 
 REFERENCES HTL_NECROPSY_REASON_DICT (ID);

ALTER TABLE HTL_NECROPSY
 ADD CONSTRAINT HTL_NECROPSY_MOUSE_FK1 
 FOREIGN KEY (MOUSE_ID) 
 REFERENCES MTS_MOUSE (ID);

ALTER TABLE HTL_CROP_SELECTION_BIN
 ADD CONSTRAINT HTL_CROP_SELECTION_QUEUE_R01 
 FOREIGN KEY (SCAN_ID) 
 REFERENCES HTL_SCAN (ID);


ALTER TABLE HTL_BLOCK
 ADD CONSTRAINT HTL_BLOCK_HTL_FIXATION_FK1 
 FOREIGN KEY (FIXATION_ID) 
 REFERENCES HTL_FIXATION (ID);

ALTER TABLE HTL_BLOCK
 ADD CONSTRAINT HTL_BLOCK_R01 
 FOREIGN KEY (BLOCK_TYPE_ID) 
 REFERENCES HTL_BLOCK_TYPE (ID);

ALTER TABLE HTL_BLOCK
 ADD CONSTRAINT HTL_BLOCK_R02 
 FOREIGN KEY (PROGRAM_DICT_ID) 
 REFERENCES HTL_PROGRAM_DICT (ID);

ALTER TABLE HTL_SLIDE
 ADD CONSTRAINT HTL_SLIDE_R01 
 FOREIGN KEY (BLOCK_ID) 
 REFERENCES HTL_BLOCK (ID);

ALTER TABLE HTL_SLIDE
 ADD CONSTRAINT HTL_SLIDE_R02 
 FOREIGN KEY (STAINING_TYPE_DICT_ID) 
 REFERENCES HTL_STAINING_TYPE_DICT (ID);

ALTER TABLE HTL_SLIDE
 ADD CONSTRAINT HTL_SLIDE_R03 
 FOREIGN KEY (SLIDE_STATUS_DICT_ID) 
 REFERENCES HTL_SLIDE_STATUS_DICT (ID);



ALTER TABLE HTL_CROP
 ADD CONSTRAINT HTL_CROP_R03 
 FOREIGN KEY (TISSUE_ID) 
 REFERENCES HTL_TISSUE (ID);

ALTER TABLE HTL_CROP
 ADD CONSTRAINT HTL_CROP_R02 
 FOREIGN KEY (CROP_JOB_ID) 
 REFERENCES HTL_CROP_JOB (ID);



ALTER TABLE HTL_CROP_JOB
 ADD CONSTRAINT HTL_CROP_JOB_R02 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE HTL_CROP_JOB
 ADD CONSTRAINT HTL_CROP_JOB_R01 
 FOREIGN KEY (SCAN_ID) 
 REFERENCES HTL_SCAN (ID);

ALTER TABLE HTL_TISSUE
 ADD CONSTRAINT HTL_TISSUE_R02 
 FOREIGN KEY (GENDER_DICT_ID) 
 REFERENCES MTS_GENDER_DICT (ID);

ALTER TABLE HTL_NECROPSY_TISSUE
 ADD CONSTRAINT HTL_NECROPSY_TISSUE_R01 
 FOREIGN KEY (TISSUE_ID) 
 REFERENCES HTL_TISSUE (ID);

ALTER TABLE HTL_BLOCK_TYPE_2_TISSUE
 ADD CONSTRAINT HTL_BLOCK_TYPE_2_TISSUE_H_FK1 
 FOREIGN KEY (BLOCK_TYPE_ID) 
 REFERENCES HTL_BLOCK_TYPE (ID);

ALTER TABLE HTL_BLOCK_TYPE_2_DEFAULT_STAIN
 ADD CONSTRAINT HTL_BLOCK_TYPE_2_DEFAULT_S_R01 
 FOREIGN KEY (BLOCK_TYPE_ID) 
 REFERENCES HTL_BLOCK_TYPE (ID);

ALTER TABLE HTL_BLOCK_TYPE_2_DEFAULT_STAIN
 ADD CONSTRAINT HTL_BLOCK_TYPE_2_DEFAULT_S_R02 
 FOREIGN KEY (STAIN_DICT_ID) 
 REFERENCES HTL_STAINING_TYPE_DICT (ID);


/*create the views*/
CREATE OR REPLACE FORCE VIEW HTL_BLOCK_TYPE_VW
(ID, DESCRIPTION, ACTIVE, NAME, ORDER_BY, 
 CASSETTE_TYPE_DICT_ID, STANDARD_BLOCK, FULL_DESCIPTION)
AS 
SELECT bt."ID", bt."DESCRIPTION", bt."ACTIVE", bt."NAME", bt."ORDER_BY",
       bt."CASSETTE_TYPE_DICT_ID", bt."STANDARD_BLOCK",
       NVL (blocktype_tissuename (bt.ID), bt.description) full_desciption
  FROM htl_block_type bt;

/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE FORCE VIEW HTL_BLOCK_VW
(ID, MOUSE_ID, MOUSE_BARCODE, BLOCK_TYPE_ID, CREATOR_ID, 
 BARCODE, COMMENTS, FIXATION_END_TIME, PROGRAM_DICT_ID, PROGRAM_START_TIME, 
 BLOCK_TYPE_DESC, STANDARD_BLOCK, CASSETTE_TYPE_DICT_ID, BLOCK_TYPE_NAME)
AS 
SELECT 
    b.ID, 
    n.MOUSE_ID,
   m.barcode mouse_barcode, 
    b.BLOCK_TYPE_ID, 
    b.CREATOR_ID, 
    b.BARCODE, 
    b.COMMENTS, 
    b.FIXATION_END_TIME, 
    b.PROGRAM_DICT_ID, 
    b.PROGRAM_START_TIME, 
    btv.FULL_DESCIPTION BLOCK_TYPE_DESC, 
    btv.STANDARD_BLOCK, 
    btv.CASSETTE_TYPE_DICT_ID, 
    btv.NAME BLOCK_TYPE_name 
FROM 
    HTL_BLOCK b, 
    HTL_BLOCK_TYPE_VW btv,
   htl_fixation f,
htl_necropsy n,
mts_mouse m
WHERE 
    b.BLOCK_TYPE_ID = btv.ID and
    b.fixation_id = f.id and 
   f.necropsy_id = n.id and 
 n.mouse_id = m.id;



/*ts trigger*/

/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER "HTL_BLOCK_TS" 
before insert or update on htl_block for each row
begin
  if(:new.id is null) then
    select htl_block_seq.nextval into :new.id from dual;
  end if;
  :new.barcode := 'B'||lpad(:new.id,8,'0');
end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_SLIDE_TS 
before insert or update on htl_slide for each row
begin
  if(:new.id is null) then
    select htl_slide_seq.nextval into :new.id from dual;
  end if;
  :new.barcode := 'S'||lpad(:new.id,9,'0');
end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_BLOCK_TYPE_2_TISSUE_TS
BEFORE INSERT
ON HTL_BLOCK_TYPE_2_TISSUE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT HTL_BLOCK_TYPE_2_TISSUE_SEQ.NEXTVAL 
     INTO :NEW.ID
     FROM DUAL;
  END IF;
END HTL_BLOCK_TYPE_2_TISSUE_TRIG;
/
SHOW ERRORS;

connect migpriv
create table mig_audit.HTL_BLOCK as select * from mig.HTL_BLOCK where 1 = 2;
alter table mig_audit.HTL_BLOCK add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_BLOCK add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_BLOCK add (audit_action varchar2(10));

create table mig_audit.HTL_BLOCK_TYPE as select * from mig.HTL_BLOCK_TYPE where 1 = 2;
alter table mig_audit.HTL_BLOCK_TYPE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_BLOCK_TYPE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_BLOCK_TYPE add (audit_action varchar2(10));

create table mig_audit.HTL_BLOCK_TYPE_2_DEFAULT_STAIN as select * from mig.HTL_BLOCK_TYPE_2_DEFAULT_STAIN where 1 = 2;
alter table mig_audit.HTL_BLOCK_TYPE_2_DEFAULT_STAIN add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_BLOCK_TYPE_2_DEFAULT_STAIN add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_BLOCK_TYPE_2_DEFAULT_STAIN add (audit_action varchar2(10));

create table mig_audit.HTL_BLOCK_TYPE_2_TISSUE as select * from mig.HTL_BLOCK_TYPE_2_TISSUE where 1 = 2;
alter table mig_audit.HTL_BLOCK_TYPE_2_TISSUE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_BLOCK_TYPE_2_TISSUE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_BLOCK_TYPE_2_TISSUE add (audit_action varchar2(10));

create table mig_audit.HTL_CASSETTE_TYPE_DICT as select * from mig.HTL_CASSETTE_TYPE_DICT where 1 = 2;
alter table mig_audit.HTL_CASSETTE_TYPE_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_CASSETTE_TYPE_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_CASSETTE_TYPE_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_CROP as select * from mig.HTL_CROP where 1 = 2;
alter table mig_audit.HTL_CROP add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_CROP add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_CROP add (audit_action varchar2(10));

create table mig_audit.HTL_CROP_JOB as select * from mig.HTL_CROP_JOB where 1 = 2;
alter table mig_audit.HTL_CROP_JOB add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_CROP_JOB add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_CROP_JOB add (audit_action varchar2(10));

create table mig_audit.HTL_CROP_SELECTION_BIN as select * from mig.HTL_CROP_SELECTION_BIN where 1 = 2;
alter table mig_audit.HTL_CROP_SELECTION_BIN add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_CROP_SELECTION_BIN add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_CROP_SELECTION_BIN add (audit_action varchar2(10));

create table mig_audit.HTL_FIXATION as select * from mig.HTL_FIXATION where 1 = 2;
alter table mig_audit.HTL_FIXATION add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_FIXATION add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_FIXATION add (audit_action varchar2(10));

create table mig_audit.HTL_NECROPSY as select * from mig.HTL_NECROPSY where 1 = 2;
alter table mig_audit.HTL_NECROPSY add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_NECROPSY add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_NECROPSY add (audit_action varchar2(10));

create table mig_audit.HTL_NECROPSY_2_EVENT as select * from mig.HTL_NECROPSY_2_EVENT where 1 = 2;
alter table mig_audit.HTL_NECROPSY_2_EVENT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_NECROPSY_2_EVENT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_NECROPSY_2_EVENT add (audit_action varchar2(10));

create table mig_audit.HTL_NECROPSY_EVENT_DICT as select * from mig.HTL_NECROPSY_EVENT_DICT where 1 = 2;
alter table mig_audit.HTL_NECROPSY_EVENT_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_NECROPSY_EVENT_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_NECROPSY_EVENT_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_NECROPSY_REASON_DICT as select * from mig.HTL_NECROPSY_REASON_DICT where 1 = 2;
alter table mig_audit.HTL_NECROPSY_REASON_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_NECROPSY_REASON_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_NECROPSY_REASON_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_NECROPSY_TISSUE as select * from mig.HTL_NECROPSY_TISSUE where 1 = 2;
alter table mig_audit.HTL_NECROPSY_TISSUE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_NECROPSY_TISSUE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_NECROPSY_TISSUE add (audit_action varchar2(10));

create table mig_audit.HTL_PROGRAM_DICT as select * from mig.HTL_PROGRAM_DICT where 1 = 2;
alter table mig_audit.HTL_PROGRAM_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_PROGRAM_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_PROGRAM_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_SCAN as select * from mig.HTL_SCAN where 1 = 2;
alter table mig_audit.HTL_SCAN add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_SCAN add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_SCAN add (audit_action varchar2(10));

create table mig_audit.HTL_SLIDE as select * from mig.HTL_SLIDE where 1 = 2;
alter table mig_audit.HTL_SLIDE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_SLIDE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_SLIDE add (audit_action varchar2(10));

create table mig_audit.HTL_SLIDE_SCAN_STATUS_DICT as select * from mig.HTL_SLIDE_SCAN_STATUS_DICT where 1 = 2;
alter table mig_audit.HTL_SLIDE_SCAN_STATUS_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_SLIDE_SCAN_STATUS_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_SLIDE_SCAN_STATUS_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_SLIDE_STATUS_DICT as select * from mig.HTL_SLIDE_STATUS_DICT where 1 = 2;
alter table mig_audit.HTL_SLIDE_STATUS_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_SLIDE_STATUS_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_SLIDE_STATUS_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_STAINING_TYPE_DICT as select * from mig.HTL_STAINING_TYPE_DICT where 1 = 2;
alter table mig_audit.HTL_STAINING_TYPE_DICT add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_STAINING_TYPE_DICT add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_STAINING_TYPE_DICT add (audit_action varchar2(10));

create table mig_audit.HTL_TISSUE as select * from mig.HTL_TISSUE where 1 = 2;
alter table mig_audit.HTL_TISSUE add (audit_timestamp timestamp(6) default systimestamp);
alter table mig_audit.HTL_TISSUE add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mig_audit.HTL_TISSUE add (audit_action varchar2(10));

connect mig_audit
grant insert on ARQ_ALLELE_MOD_TYPE_DICT to mig;
grant insert on ARQ_ALLELE_REQUEST to mig;
grant insert on ARQ_ALLELE_REQUEST_SOURCE_DICT to mig;
grant insert on ARQ_ALLELE_REQUEST_STATUS_DICT to mig;
grant insert on ARQ_DESIGN_2_DESIGN_REQUEST to mig;
grant insert on ARQ_DESIGN_REQUEST to mig;
grant insert on ARQ_HAVANA_REQUEST to mig;
grant insert on ARQ_REQUEST_2_MODIFIED_ALLELE to mig;
grant insert on ARQ_TARGET_ENDPOINT_DICT to mig;
grant insert on CRQ_BOX to mig;
grant insert on CRQ_CANCEL_JOB_REASON_DICT to mig;
grant insert on CRQ_CANISTER to mig;
grant insert on CRQ_CRYO_REQUEST to mig;
grant insert on CRQ_CRYO_REQUEST_STATUS_DICT to mig;
grant insert on CRQ_EMBRYO_GRADE_DICT to mig;
grant insert on CRQ_EMBRYO_HARVEST to mig;
grant insert on CRQ_FREEZER to mig;
grant insert on CRQ_FREEZE_DOWN_SAMPLE to mig;
grant insert on CRQ_GOBLET to mig;
grant insert on CRQ_LOCATION to mig;
grant insert on CRQ_SCHEDULED_CRYO_PRV to mig;
grant insert on CRQ_SCHEDULED_JOB_STATUS_DICT to mig;
grant insert on CRQ_STRAW to mig;
grant insert on CRQ_THAW_TEST to mig;
grant insert on CRQ_TOWER to mig;
grant insert on CRQ_VIAL to mig;
grant insert on CRQ_WEDGE to mig;
grant insert on GEV_EXTERNAL_SUPPORT_REF to mig;
grant insert on GEV_FACULTY_VOTE to mig;
grant insert on GEV_GENE_ARTICLE_REF to mig;
grant insert on GEV_GENE_SUMMARY to mig;
grant insert on GEV_GENE_SUMMARY_MV to mig;
grant insert on GEV_GENE_TARGETING_HITS to mig;
grant insert on GEV_GENE_TARGETING_HITS_MV to mig;
grant insert on GEV_MAMMALIAN_PHENOTYPE to mig;
grant insert on GEV_MGI_PHENOTYPE_ALLELE to mig;
grant insert on GEV_MIG_CURATED_STATUS to mig;
grant insert on GEV_MIG_CURATED_STATUS_MV to mig;
grant insert on GNM_ASSEMBLY to mig;
grant insert on GNM_EXON to mig;
grant insert on GNM_EXON_NAME to mig;
grant insert on GNM_GENE to mig;
grant insert on GNM_GENE_2_GENE_BUILD_GENE to mig;
grant insert on GNM_GENE_ALIAS_MV to mig;
grant insert on GNM_GENE_BUILD to mig;
grant insert on GNM_GENE_BUILD_GENE to mig;
grant insert on GNM_GENE_BUILD_GENE_NAME to mig;
grant insert on GNM_GENE_HOMOLOGY to mig;
grant insert on GNM_GENE_NAME to mig;
grant insert on GNM_GENE_SET to mig;
grant insert on GNM_GENE_SET_2_GENE to mig;
grant insert on GNM_LOCUS to mig;
grant insert on GNM_MGI_MARKER_2_ENSEMBL to mig;
grant insert on GNM_MGI_MARKER_2_VEGA to mig;
grant insert on GNM_TRANSCRIPT to mig;
grant insert on GNM_TRANSCRIPT_2_EXON to mig;
grant insert on GNM_TRANSCRIPT_HOMOLOGY to mig;
grant insert on GNM_TRANSCRIPT_NAME to mig;
grant insert on HTL_BLOCK to mig;
grant insert on HTL_BLOCK_TYPE to mig;
grant insert on HTL_BLOCK_TYPE_2_DEFAULT_STAIN to mig;
grant insert on HTL_BLOCK_TYPE_2_TISSUE to mig;
grant insert on HTL_CASSETTE_TYPE_DICT to mig;
grant insert on HTL_CROP to mig;
grant insert on HTL_CROP_JOB to mig;
grant insert on HTL_CROP_SELECTION_BIN to mig;
grant insert on HTL_FIXATION to mig;
grant insert on HTL_NECROPSY to mig;
grant insert on HTL_NECROPSY_2_EVENT to mig;
grant insert on HTL_NECROPSY_EVENT_DICT to mig;
grant insert on HTL_NECROPSY_REASON_DICT to mig;
grant insert on HTL_NECROPSY_TISSUE to mig;
grant insert on HTL_PROGRAM_DICT to mig;
grant insert on HTL_SCAN to mig;
grant insert on HTL_SLIDE to mig;
grant insert on HTL_SLIDE_SCAN_STATUS_DICT to mig;
grant insert on HTL_SLIDE_STATUS_DICT to mig;
grant insert on HTL_STAINING_TYPE_DICT to mig;
grant insert on HTL_TISSUE to mig;
grant insert on LIC_PERSONAL_LICENCE to mig;
grant insert on LIC_PROCEDURE_2_PROTOCOL to mig;
grant insert on LIC_PROJECT_2_PERSONAL_LICENCE to mig;
grant insert on LIC_PROJECT_LICENCE to mig;
grant insert on LIC_PROTOCOL_19B to mig;
grant insert on MIR_ANAESTHETIC_DICT to mig;
grant insert on MIR_ANALGESIA_DICT to mig;
grant insert on MIR_CELL_LINE to mig;
grant insert on MIR_CELL_LINE_OLD to mig;
grant insert on MIR_CELL_LINE_STRAIN_DICT to mig;
grant insert on MIR_CHIMERA_MATE_STRAIN_DICT to mig;
grant insert on MIR_EMBRYO_HARVEST to mig;
grant insert on MIR_EMBRYO_STAGE_DICT to mig;
grant insert on MIR_EMBRYO_TRANSFER_PROCEDURE to mig;
grant insert on MIR_ES_CELL_LINE_SOURCE_DICT to mig;
grant insert on MIR_EXTERNAL_STATUS_DICT to mig;
grant insert on MIR_INTERNAL_STATUS_DICT to mig;
grant insert on MIR_MICRO_INJECTION to mig;
grant insert on MIR_MICRO_INJECTION_REQUEST to mig;
grant insert on MIR_MI_129_TASK_TEMPLATE to mig;
grant insert on MIR_MI_B6_TASK_TEMPLATE to mig;
grant insert on MIR_MI_F0_EMBRYO_TASK_TEMPLATE to mig;
grant insert on MIR_SCHEDULED_MICRO_INJECTION to mig;
grant insert on MIR_SCHEDULED_MI_TASK to mig;
grant insert on MIR_TARGET_ENDPOINT_DICT to mig;
grant insert on MIR_TRANSFER_TYPE_DICT to mig;
grant insert on MTS_AIR_HANDLING_DATA to mig;
grant insert on MTS_AIR_HANDLING_UNIT to mig;
grant insert on MTS_BIOPSY_PLATE to mig;
grant insert on MTS_BIOPSY_PLATE_WELL to mig;
grant insert on MTS_BODY_SUBSYSTEM_DICT to mig;
grant insert on MTS_BODY_SYSTEM_DICT to mig;
grant insert on MTS_BREEDING to mig;
grant insert on MTS_BREEDING_OFFSET to mig;
grant insert on MTS_CAGE to mig;
grant insert on MTS_CAGE_LABEL_DETAIL to mig;
grant insert on MTS_CAGE_LABEL_HEADER to mig;
grant insert on MTS_CAGE_RACK_HISTORY to mig;
grant insert on MTS_CARD_COLOUR_DICT to mig;
grant insert on MTS_CAUSE_OF_DEATH_DICT to mig;
grant insert on MTS_CHIMERIC_MOUSE_DATA to mig;
grant insert on MTS_COAT_COLOUR_DICT to mig;
grant insert on MTS_COHORT to mig;
grant insert on MTS_COHORT_MOUSE to mig;
grant insert on MTS_COHORT_TYPE_DICT to mig;
grant insert on MTS_COLONY_ALLELE to mig;
grant insert on MTS_COLONY_BEHAVIOUR to mig;
grant insert on MTS_COLONY_COAT_COLOUR to mig;
grant insert on MTS_COLONY_CONTACT to mig;
grant insert on MTS_COLONY_CONTACT_TYPE_DICT to mig;
grant insert on MTS_COLONY_CROSS to mig;
grant insert on MTS_COLONY_INFO to mig;
grant insert on MTS_COLONY_ROOM to mig;
grant insert on MTS_COLONY_STRAIN to mig;
grant insert on MTS_EARMARK_DICT to mig;
grant insert on MTS_EMBRYO_TRANSFER to mig;
grant insert on MTS_ENVIRONMENT_REPORT to mig;
grant insert on MTS_ES_CLONE to mig;
grant insert on MTS_EYE_COLOUR_DICT to mig;
grant insert on MTS_GENDER_DICT to mig;
grant insert on MTS_GENOTYPE_DICT to mig;
grant insert on MTS_GENOTYPE_IMPORT_DATA to mig;
grant insert on MTS_HEALTH_CONCERN_DICT to mig;
grant insert on MTS_LITTER to mig;
grant insert on MTS_MOUSE to mig;
grant insert on MTS_MOUSE_ALLELE to mig;
grant insert on MTS_MOUSE_CAGE_HISTORY to mig;
grant insert on MTS_MOUSE_HEALTH to mig;
grant insert on MTS_MOUSE_PROCEDURE to mig;
grant insert on MTS_MOUSE_SUPPLIER_DICT to mig;
grant insert on MTS_MOUSE_WEIGHT to mig;
grant insert on MTS_PREWEAN_DEATH to mig;
grant insert on MTS_PREWEAN_DEATH_DICT to mig;
grant insert on MTS_PROCEDURE_DICT to mig;
grant insert on MTS_RACK to mig;
grant insert on MTS_RACK_ROOM_HISTORY to mig;
grant insert on MTS_ROOM to mig;
grant insert on MTS_STRAIN_COAT_COLOUR to mig;
grant insert on MTS_TISSUE_SAMPLE to mig;
grant insert on MTS_WILDTYPE_REQ_GROUP_DICT to mig;
grant insert on PER_MAILING_LIST to mig;
grant insert on PER_MAILING_LIST_BACKUP19OCT to mig;
grant insert on PER_MAILING_LIST_RECIPIENT to mig;
grant insert on PER_PERSON to mig;
grant insert on PER_PERSON_2_ROLE to mig;
grant insert on PER_PERSON_COLUMN_PREFS to mig;
grant insert on PER_PERSON_PREFS to mig;
grant insert on PER_ROLE to mig;
grant insert on PER_TEAM to mig;
grant insert on PER_USER_LOG to mig;
grant insert on PHN_BLOODS_DATA to mig;
grant insert on PHN_BLOODS_PARAM_RANGE to mig;
grant insert on PHN_BLOODS_RUN to mig;
grant insert on PHN_ERROR_CODE_DICT to mig;
grant insert on PHN_EXPERIMENT to mig;
grant insert on PHN_EXPERIMENT_SET to mig;
grant insert on PHN_HOT_PLATE to mig;
grant insert on PHN_INSTRUMENT_DICT to mig;
grant insert on PHN_OBSERVATION to mig;
grant insert on PHN_OBSERVATION_META_TYPE_DICT to mig;
grant insert on PHN_OBSERVATION_TYPE to mig;
grant insert on PHN_PARAMETER_DICT to mig;
grant insert on PHN_REQUIRED_OBSERVATION to mig;
grant insert on PHN_RESTRICTED_OPTION to mig;
grant insert on PHN_RUN_TYPE_DICT to mig;
grant insert on PHN_SAMPLE_STATUS_DICT to mig;
grant insert on PHN_SERUM_TEST to mig;
grant insert on PHN_STD_OPERATING_PROCEDURE to mig;
grant insert on PUB_ABSTRACT to mig;
grant insert on PUB_ARTICLE to mig;
grant insert on PUB_ARTICLE_2_AUTHOR to mig;
grant insert on PUB_AUTHOR to mig;
grant insert on REQ_ANIMAL_REQUEST to mig;
grant insert on REQ_ANIMAL_REQUEST_STATUS_DICT to mig;
grant insert on TMP_EXON_NEW to mig;
grant insert on TYP_ALLELE_SYNONYM to mig;
grant insert on TYP_ES_CLONE_2_STRAIN to mig;
grant insert on TYP_GENOTYPE_TEST to mig;
grant insert on TYP_GENOTYPE_TEST_TYPE_DICT to mig;
grant insert on TYP_GENOTYPING_PRIMER_PAIR to mig;
grant insert on TYP_INHERITANCE_MODE_DICT to mig;
grant insert on TYP_MODIFIED_ALLELE to mig;
grant insert on TYP_MOUSE_2_STRAIN to mig;
grant insert on TYP_MOUSE_SAMPLE to mig;
grant insert on TYP_MOUSE_SAMPLE_GENOTYPE_TEST to mig;
grant insert on TYP_MUTATION_CLASS_DICT to mig;
grant insert on TYP_MUTATION_NATURE_DICT to mig;
grant insert on TYP_PRIMER_PAIR_TYPE_DICT to mig;
grant insert on TYP_STRAIN to mig;
grant insert on VEC_INTERMEDIATE_VECTOR to mig;
grant insert on VEC_TARGETING_VECTOR to mig;



connect mig
/*TA trigers*/

CREATE OR REPLACE TRIGGER HTL_NECROPSY_REASON_DICT_ta

before update or delete on HTL_NECROPSY_REASON_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_NECROPSY_REASON_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ORDER_BY,

    ACTIVE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ORDER_BY,

    :old.ACTIVE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_SCAN_ta

before update or delete on HTL_SCAN for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_SCAN(

    ID,

    SLIDE_ID,

    FILE_PATH,

    WIDTH,

    HEIGHT,

    PIXEL_WIDTH,

    PIXEL_HEIGHT,

    THUMB_WIDTH,

    THUMB_HEIGHT,

    THUMBNAIL_ID,

    COMMENTS,

    SCAN_DATE,

    SWEEP_DATE,

    SCAN_PERSON_NAME,

    STATUS_DICT_ID,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    VERSION_NUMBER,

    IS_FLAGGED_FOR_DELETE,

    IS_EXTERNALLY_APPROVED,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.SLIDE_ID,

    :old.FILE_PATH,

    :old.WIDTH,

    :old.HEIGHT,

    :old.PIXEL_WIDTH,

    :old.PIXEL_HEIGHT,

    :old.THUMB_WIDTH,

    :old.THUMB_HEIGHT,

    :old.THUMBNAIL_ID,

    :old.COMMENTS,

    :old.SCAN_DATE,

    :old.SWEEP_DATE,

    :old.SCAN_PERSON_NAME,

    :old.STATUS_DICT_ID,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.VERSION_NUMBER,

    :old.IS_FLAGGED_FOR_DELETE,

    :old.IS_EXTERNALLY_APPROVED,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_FIXATION_ta

before update or delete on HTL_FIXATION for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_FIXATION(

    ID,

    FIXATION_START_TIME,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    NECROPSY_ID,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.FIXATION_START_TIME,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.NECROPSY_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_NECROPSY_2_EVENT_ta

before update or delete on HTL_NECROPSY_2_EVENT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_NECROPSY_2_EVENT(

    NECROPSY_ID,

    NECROPSY_EVENT_DICT_ID,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    ID,

    AUDIT_ACTION)

 values (

    :old.NECROPSY_ID,

    :old.NECROPSY_EVENT_DICT_ID,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_NECROPSY_ta

before update or delete on HTL_NECROPSY for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_NECROPSY(

    ID,

    MOUSE_ID,

    COMMENTS,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    TECHNICIAN_ID,

    REASON_DICT_ID,

    TEAM_ID,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.MOUSE_ID,

    :old.COMMENTS,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.TECHNICIAN_ID,

    :old.REASON_DICT_ID,

    :old.TEAM_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_CROP_SELECTION_BIN_ta

before update or delete on HTL_CROP_SELECTION_BIN for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_CROP_SELECTION_BIN(

    SCAN_ID,

    ADDED_ON,

    AUDIT_ACTION)

 values (

    :old.SCAN_ID,

    :old.ADDED_ON,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_BLOCK_ta

before update or delete on HTL_BLOCK for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_BLOCK(

    ID,

    BLOCK_TYPE_ID,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    CHECK_NUMBER,

    BARCODE,

    COMMENTS,

    FIXATION_END_TIME,

    PROGRAM_DICT_ID,

    PROGRAM_START_TIME,

    FIXATION_ID,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.BLOCK_TYPE_ID,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    :old.CHECK_NUMBER,

    :old.BARCODE,

    :old.COMMENTS,

    :old.FIXATION_END_TIME,

    :old.PROGRAM_DICT_ID,

    :old.PROGRAM_START_TIME,

    :old.FIXATION_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_SLIDE_ta

before update or delete on HTL_SLIDE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_SLIDE(

    ID,

    BARCODE,

    BLOCK_ID,

    STAINING_TYPE_DICT_ID,

    COMMENTS,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    SLIDE_STATUS_DICT_ID,

    VERSION_NUMBER,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.BARCODE,

    :old.BLOCK_ID,

    :old.STAINING_TYPE_DICT_ID,

    :old.COMMENTS,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.SLIDE_STATUS_DICT_ID,

    :old.VERSION_NUMBER,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_CROP_TA
BEFORE DELETE OR UPDATE
ON MIG.HTL_CROP
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_CROP(

    ID,

    WIDTH,

    HEIGHT,

    X_LOCATION,

    Y_LOCATION,

    FULL_IMAGE_PATH,

    COMMENTS,

    STAINING_PRESENT,

    IS_EXTERNALLY_APPROVED,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    IS_FLAGGED_FOR_DELETE,

    CROP_JOB_ID,

    RESIZED_IMAGE_PATH,

    TISSUE_ID,

    QC_PASS,

    QC_FAIL_REASON,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.WIDTH,

    :old.HEIGHT,

    :old.X_LOCATION,

    :old.Y_LOCATION,

    :old.FULL_IMAGE_PATH,

    :old.COMMENTS,

    :old.STAINING_PRESENT,

    :old.IS_EXTERNALLY_APPROVED,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    :old.IS_FLAGGED_FOR_DELETE,

    :old.CROP_JOB_ID,

    :old.RESIZED_IMAGE_PATH,

    :old.TISSUE_ID,

    :old.QC_PASS,

    :old.QC_FAIL_REASON,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


/* This object may not be sorted properly in the script due to cirular references */
CREATE OR REPLACE TRIGGER HTL_CROP_JOB_ta

before update or delete on HTL_CROP_JOB for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_CROP_JOB(

    ID,

	SCAN_ID,
	
    START_TIME,

    END_TIME,

    IS_SUCCESS,

    FAILURE_REASON,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    AUDIT_ACTION)

 values (

    :old.ID,

	 :old.SCAN_ID,
	
    :old.START_TIME,

    :old.END_TIME,

    :old.IS_SUCCESS,

    :old.FAILURE_REASON,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_BLOCK_TYPE_2_TISSUE_ta

before update or delete on HTL_BLOCK_TYPE_2_TISSUE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_BLOCK_TYPE_2_TISSUE(

    ID,

    BLOCK_TYPE_ID,

    TISSUE_ID,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.BLOCK_TYPE_ID,

    :old.TISSUE_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_TISSUE_ta

before update or delete on HTL_TISSUE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_TISSUE(

    ID,

    DESCRIPTION,

    ACTIVE,

    NAME,

    ORDER_BY,

    GENDER_DICT_ID,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.NAME,

    :old.ORDER_BY,

    :old.GENDER_DICT_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_NECROPSY_TISSUE_ta

before update or delete on HTL_NECROPSY_TISSUE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_NECROPSY_TISSUE(

    ID,

    NECROPSY_ID,

    TISSUE_ID,

    COMMENTS,

    EDIT_DATE,

    EDITED_BY,

    CREATED_DATE,

    CREATOR_ID,

    CHECK_NUMBER,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NECROPSY_ID,

    :old.TISSUE_ID,

    :old.COMMENTS,

    :old.EDIT_DATE,

    :old.EDITED_BY,

    :old.CREATED_DATE,

    :old.CREATOR_ID,

    :old.CHECK_NUMBER,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_BLOCK_TYPE_2_DEFAULT_ST_ta

before update or delete on HTL_BLOCK_TYPE_2_DEFAULT_STAIN for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_BLOCK_TYPE_2_DEFAULT_STAIN(

    BLOCK_TYPE_ID,

    STAIN_DICT_ID,

    AUDIT_ACTION)

 values (

    :old.BLOCK_TYPE_ID,

    :old.STAIN_DICT_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_CASSETTE_TYPE_DICT_ta

before update or delete on HTL_CASSETTE_TYPE_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_CASSETTE_TYPE_DICT(

    ID,

    DESCRIPTION,

    NAME,

    ACTIVE,

    ORDER_BY,

    COLOUR,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.DESCRIPTION,

    :old.NAME,

    :old.ACTIVE,

    :old.ORDER_BY,

    :old.COLOUR,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_SLIDE_SCAN_STATUS_DICT_ta

before update or delete on HTL_SLIDE_SCAN_STATUS_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_SLIDE_SCAN_STATUS_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ACTIVE,

    ORDER_BY,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.ORDER_BY,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_SLIDE_STATUS_DICT_ta

before update or delete on HTL_SLIDE_STATUS_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_SLIDE_STATUS_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ACTIVE,

    ORDER_BY,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.ORDER_BY,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_PROGRAM_DICT_ta

before update or delete on HTL_PROGRAM_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_PROGRAM_DICT(

    ID,

    DESCRIPTION,

    ACTIVE,

    NAME,

    ORDER_BY,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.NAME,

    :old.ORDER_BY,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_BLOCK_TYPE_ta

before update or delete on HTL_BLOCK_TYPE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_BLOCK_TYPE(

    ID,

    DESCRIPTION,

    ACTIVE,

    NAME,

    ORDER_BY,

    CASSETTE_TYPE_DICT_ID,

    STANDARD_BLOCK,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.NAME,

    :old.ORDER_BY,

    :old.CASSETTE_TYPE_DICT_ID,

    :old.STANDARD_BLOCK,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_NECROPSY_EVENT_DICT_ta

before update or delete on HTL_NECROPSY_EVENT_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_NECROPSY_EVENT_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ACTIVE,

    ORDER_BY,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.ORDER_BY,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER HTL_STAINING_TYPE_DICT_ta

before update or delete on HTL_STAINING_TYPE_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare

audit_action varchar2(10);

begin

 

if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then 

 insert into mig_audit.HTL_STAINING_TYPE_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ACTIVE,

    ORDER_BY,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ACTIVE,

    :old.ORDER_BY,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;

/*data script*/

-- htl cassette type dict
INSERT INTO htl_cassette_type_dict (ID,DESCRIPTION,NAME,ACTIVE,ORDER_BY,COLOUR) VALUES (1,'Yellow cassettes for soft tissues','Soft Tissue',1,null,'yellow');
INSERT INTO htl_cassette_type_dict (ID,DESCRIPTION,NAME,ACTIVE,ORDER_BY,COLOUR) VALUES (2,'Grey cassettes for hard tissues','Hard Tissue',1,null,'grey');
INSERT INTO htl_cassette_type_dict (ID,DESCRIPTION,NAME,ACTIVE,ORDER_BY,COLOUR) VALUES (3,'Light blue cassettes for brain tissue','Brain Tissue',1,null,'lightblue');
INSERT INTO htl_cassette_type_dict (ID,DESCRIPTION,NAME,ACTIVE,ORDER_BY,COLOUR) VALUES (4,'Cassettes for embryonic tissues','Embyo Tissue',1,null,null); 


-- htl block type
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (1,'Lung, Thyroids',1,'1',1,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (2,'Heart, Thymus, Brown Fat',1,'2',2,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (3,'Mesenteric Lymph Node, Adrenals',1,'3',3,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (4,'Liver, Spleen, Kidneys, Urinary Bladder',1,'4',4,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (5,'Uterus, Ovaries, Testis + Epidermus, Prostate, Seminal Vesicles',1,'5',5,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (6,'Inner Ear',1,'6',6,2,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (7,'Salivary Glands, Pancreas',1,'7',7,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (8,'Stomach, Ileum, Colon, Jejunum with Peyer''s patch, rectum',1,'8',8,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (9,'Pinna, Skin + Mammary',1,'9',9,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (10,'Eyes',1,'10',10,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (11,'Spinal Cord',1,'11',11,2,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (12,'Brain',1,'12',12,3,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (13,'Femur + Joint, Tibia + Fibula + muscle, Sternum',1,'13',13,2,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (14,'Trigeminal ganglion',1,'14',14,1,1);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (20,'Extra Soft Tissue',1,'15',20,1,0);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (21,'Extra Hard Tissue',1,'16',21,2,0);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (22,'Extra Brain Tissue',1,'17',22,3,0);
Insert into HTL_BLOCK_TYPE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,CASSETTE_TYPE_DICT_ID,STANDARD_BLOCK) values (23,'Embryo Tissue',1,'18',23,4,0);

-- htl tissue
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (1,null,1,'Lung',1,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (2,null,1,'Heart',2,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (3,null,1,'Thymus',3,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (4,null,1,'Mesentric Lymph Node',4,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (5,null,1,'Liver',5,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (6,null,1,'Spleen',6,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (7,null,1,'Pancreas',7,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (8,null,1,'Kidney',8,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (9,null,1,'Urinary Bladder',9,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (10,null,1,'Uterus',10,1);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (11,null,1,'Ovaries',11,1);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (12,null,1,'Testis+Epididimus',12,2);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (13,null,1,'Prostate',13,2);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (14,null,1,'Seminal Vesicles',14,2);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (15,null,1,'Thyroids',15,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (16,null,1,'Adrenals',16,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (17,null,1,'Inner Ear',17,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (18,null,1,'Salivary Glands',18,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (19,null,1,'Stomach',19,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (20,null,1,'Ileum',20,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (21,null,1,'Pinna',21,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (22,null,1,'Skin and Mammary',22,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (23,null,1,'Eyes',23,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (24,null,1,'Spinal Cord',24,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (25,null,1,'Brown Fat',25,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (26,null,1,'Brain',26,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (27,null,1,'Femur + Joint',27,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (28,null,1,'Tibia + fibula and muscle',28,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (29,null,1,'Trigeminal ganglion',29,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (30,null,1,'Sternum',30,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (31,null,1,'Jejunum with Peyer''s patch',31,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (32,null,1,'Colon',32,null);
Insert into HTL_TISSUE (ID,DESCRIPTION,ACTIVE,NAME,ORDER_BY,GENDER_DICT_ID) values (33,null,1,'Rectum',33,null);

-- htl staining type dict
INSERT INTO htl_staining_type_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (1,'H+E','H and E',1,1);
INSERT INTO htl_staining_type_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (2,'LacZ','LacZ IHC',1,2);
INSERT INTO htl_staining_type_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (3,'C V','Cresyl Violet',1,3);
INSERT INTO htl_staining_type_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (4,'N/A','None',0,4);

-- htl necropsy event dict
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (1,'Brain shipped to JF',null,1,null);
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (2,'Tail shipped to JW',null,1,null);
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (3,'Brain shipped to PK',null,1,null);
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (4,'Embryo shipped to SB',null,1,null);
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (5,'Serum shipped to SOR',null,1,null);
INSERT INTO htl_necropsy_event_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (6,'Plasma shipped to DB',null,1,null);

-- htl necropsy reason dict
INSERT INTO htl_necropsy_reason_dict (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) VALUES (1,'Study',null,1,1);
INSERT INTO htl_necropsy_reason_dict (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) VALUES (2,'Post mortem',null,2,1);

-- htl slide scan status dict
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (2,'Awaiting Crop Selection','Scan exists in database and is awaiting to have crops selected.',1,2);
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (3,'Queued for Actual Cropping','Scan crops have been selected and is awaiting batchl cropping by dmiconvert C-executible..',1,3);
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (4,'Awaiting QC','Scan crops have been generated.  Scan thumbnail, along with crops, are awaiting QC and annotation.',1,4);
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (5,'QC Pass','Scan thumbnail and crops have been successfully QCed and annotated.',1,5);
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (6,'QC Fail - Bad Scan','Scan thumbnail and crops failed QC.  eg., blurry slide so new scan needed',1,6);
INSERT INTO htl_slide_scan_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (7,'QC Fail - Bad Slide','Scan thumnail and crop QC indicated physical Slide defective and needs to be flagged recreation--ie, reslicing, staining, etc.',1,7);

-- htl slide status dict
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (1,'Unscanned','A Slide record with barcode and block_id has been created, but no scan exists.',1,1);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (2,'Awaiting QC','Awaiting QC',1,2);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (3,'Flagged for Recreation - QC Failure','Slide has been scanned QC-ed and found to be defective (eg, rippled tissue).',1,3);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (4,'Flagged for Recreation - Prescan Failure','Slide found defective prior to scan (eg, Slide breaks during staining or gets dropped).',1,4);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (5,'Recreated - QC Failure','Slide has been rectreated subsequent to being flagged for recreaion/qc failure.',1,5);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (6,'Recreated - Prescan Failure','Slide has been rectreated subsequent to being flagged for recreaion/prescan failure.',1,6);
INSERT INTO htl_slide_status_dict (ID,NAME,DESCRIPTION,ACTIVE,ORDER_BY) VALUES (7,'QC Passed','Slide has passes QC. ',1,null);

-- htl block type 2 tissue
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (32,14,29);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (31,13,30);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (30,13,28);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (29,13,27);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (28,12,26);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (27,11,24);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (26,10,23);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (25,9,22);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (24,9,21);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (23,8,33);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (22,8,31);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (21,8,32);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (20,8,20);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (19,8,19);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (18,7,7);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (17,7,18);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (16,6,17);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (33,5,14);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (15,5,13);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (14,5,12);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (13,5,11);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (12,5,10);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (11,4,9);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (10,4,8);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (9,4,6);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (8,4,5);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (7,3,16);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (6,3,4);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (5,2,25);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (4,2,3);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (3,2,2);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (2,1,15);
Insert into HTL_BLOCK_TYPE_2_TISSUE (ID,BLOCK_TYPE_ID,TISSUE_ID) values (1,1,1);


-- htl block type 2 default stain
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (1,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (1,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (2,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (2,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (3,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (3,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (4,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (4,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (5,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (5,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (6,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (6,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (7,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (7,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (8,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (8,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (9,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (9,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (10,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (10,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (11,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (11,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (12,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (12,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (13,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (13,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (14,1);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (14,2);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (14,3);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (12,3);
Insert into HTL_BLOCK_TYPE_2_DEFAULT_STAIN (BLOCK_TYPE_ID,STAIN_DICT_ID) values (11,3);

-- htl program dict
INSERT INTO HTL_PROGRAM_DICT (ID,NAME,ACTIVE,DESCRIPTION,ORDER_BY) VALUES (1,'Soft Tissue',1,'Programme for soft tissue',null); 
INSERT INTO HTL_PROGRAM_DICT (ID,NAME,ACTIVE,DESCRIPTION,ORDER_BY) VALUES (2,'Hard Tissue',1,'Programme for hard tissue',null); 
INSERT INTO HTL_PROGRAM_DICT (ID,NAME,ACTIVE,DESCRIPTION,ORDER_BY) VALUES (3,'Brain',1,'Programme for brain',null); 
INSERT INTO HTL_PROGRAM_DICT (ID,NAME,ACTIVE,DESCRIPTION,ORDER_BY) VALUES (4,'Embryo',1,'Programme for embryo',null); 

-- histology role
INSERT INTO PER_ROLE (ROLE_ID,NAME,RANK,CREATOR_ID,CREATED_DATE,EDITED_BY,EDIT_DATE,CHECK_NUMBER) VALUES (54,'histology',50,null,null,null,null,0);
Insert into PER_PERSON_2_ROLE (PERSON_ID,ROLE_ID) values (301,54);
Insert into PER_PERSON_2_ROLE (PERSON_ID,ROLE_ID) values (270,54);
Insert into PER_PERSON_2_ROLE (PERSON_ID,ROLE_ID) values (453,54);

-- app printer entries for histology
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('AutoWrite',50,null,'\\evo19617\CassetteMag1',null,'Histology Soft Tissue Printer',null,0);
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('AutoWrite',53,null,'\\evo19617\CassetteMag3',null,'Histology embryo tissue pritner',null,0);
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('AutoWrite',52,null,'\\evo19617\CassetteMag3',null,'Histology brain tissue printer',null,0);
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('Autowrite',51,null,'\\evo19617\CassetteMag2',null,'Histology Hard Tissue Printer',null,0);
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('Brady 300 MVP plus',54,null,'\\evo15957\HistSlide',null,'Histology Slides Printer',null,0);
Insert into APP_PRINTER (PRINTER_MODEL,ID,LOADED_MEDIA,SYS_NAME,ROOM_ID,DESCRIPTION,CORRIDOR,ACTIVE) values ('DYMO LabelWriter 400',55,null,'\\evo15957\HistPotDymo',null,'Pot Label Printer','Histology',1);

commit;
