connect mig_audit;

ALTER TABLE CRQ_THAW_TEST ADD (RETRIEVAL_NUMBER  INTEGER);

ALTER TABLE CRQ_THAW_TEST ADD (DUE_DATE  DATE);

alter table mts_chimeric_mouse_data drop column cell_line_dict_id;

ALTER TABLE MTS_COHORT
 ADD (PIPELINE_DICT_ID  NUMBER);

CREATE TABLE MTS_COHORT_PIPELINE_DICT
(	ID NUMBER,
	NAME VARCHAR2(128 CHAR),
	DESCRIPTION VARCHAR2(1024 CHAR),
	ORDER_BY NUMBER,
	ACTIVE NUMBER(1,0),
        AUDIT_TIMESTAMP TIMESTAMP (6) DEFAULT systimestamp,
	OS_USER VARCHAR2(30 BYTE) DEFAULT sys_context('USERENV','OS_USER'),
	AUDIT_ACTION VARCHAR2(10 BYTE)
);


grant insert on MTS_COHORT_PIPELINE_DICT to mig;


CREATE TABLE EUR_PARAMETER_DEFINITION
(
  ID                       NUMBER               NOT NULL,
  NAME                     VARCHAR2(512 BYTE)   NOT NULL,
  EMPRESS_ID               VARCHAR2(255 BYTE),
  PROCEDURE_DEFINITION_ID  NUMBER               NOT NULL,
  UNITS                    VARCHAR2(128 BYTE),
  PARAMETER_TYPE_DICT_ID   NUMBER               NOT NULL,
  MIN_BOUND                NUMBER,
  MAX_BOUND                NUMBER,
  IS_DATA_SERIES           NUMBER(1)            NOT NULL,
  IS_REQUIRED              NUMBER(1)            NOT NULL,
  CHECK_NUMBER             NUMBER,
  CREATOR_ID               INTEGER,
  CREATED_DATE             DATE,
  EDITED_BY                VARCHAR2(128 CHAR),
  EDIT_DATE                DATE,
  SERIES_UNIT              VARCHAR2(255 CHAR),
  AUDIT_TIMESTAMP          TIMESTAMP(6)         DEFAULT systimestamp,
  OS_USER                  VARCHAR2(30 BYTE)    DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION             VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_OPTION_TRANSLATION
(
  ID               NUMBER                       NOT NULL,
  MAPPING_ID       NUMBER                       NOT NULL,
  OPTION_ID        NUMBER                       NOT NULL,
  EU_VALUE         VARCHAR2(4000 BYTE),
  CHECK_NUMBER     NUMBER,
  CREATOR_ID       INTEGER,
  CREATED_DATE     DATE,
  EDITED_BY        VARCHAR2(128 CHAR),
  EDIT_DATE        DATE,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

GRANT INSERT ON  EUR_PARAMETER_DEFINITION TO MIG;

CREATE TABLE EUR_PARAMETER_MAPPING
(
  ID                       NUMBER               NOT NULL,
  REQUIRED_OBSERVATION_ID  NUMBER               NOT NULL,
  PARAMETER_DEFINITION_ID  NUMBER               NOT NULL,
  SERIES_MAPPING           VARCHAR2(128 CHAR),
  MULTIPLICATION_FACTOR    NUMBER,
  CHECK_NUMBER             NUMBER,
  CREATOR_ID               INTEGER,
  CREATED_DATE             DATE,
  EDITED_BY                VARCHAR2(128 CHAR),
  EDIT_DATE                DATE,
  AUDIT_TIMESTAMP          TIMESTAMP(6)         DEFAULT systimestamp,
  OS_USER                  VARCHAR2(30 BYTE)    DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION             VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PROCEDURE_DEFINITION
(
  ID               NUMBER                       NOT NULL,
  NAME             VARCHAR2(255 BYTE)           NOT NULL,
  EMPRESS_ID       VARCHAR2(255 BYTE)           NOT NULL,
  CHECK_NUMBER     NUMBER,
  CREATOR_ID       INTEGER,
  CREATED_DATE     DATE,
  EDITED_BY        VARCHAR2(128 CHAR),
  EDIT_DATE        DATE,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PARAMETER_TYPE_DICT
(
  ID               NUMBER,
  NAME             VARCHAR2(128 CHAR)           NOT NULL,
  DESCRIPTION      VARCHAR2(1024 CHAR),
  ORDER_BY         NUMBER,
  ACTIVE           NUMBER(1)                    NOT NULL,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_SOP_2_PROCEDURE
(
  SOP_ID            NUMBER                      NOT NULL,
  PROCEDURE_DEF_ID  NUMBER                      NOT NULL,
  AUDIT_TIMESTAMP   TIMESTAMP(6)                DEFAULT systimestamp,
  OS_USER           VARCHAR2(30 BYTE)           DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION      VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_MICE_EXPORTED
(
  ID               NUMBER                       NOT NULL,
  MOUSE_ID         NUMBER                       NOT NULL,
  COHORT_ID        NUMBER                       NOT NULL,
  DEATH_REPORTED   NUMBER                       NOT NULL,
  CHECK_NUMBER     NUMBER,
  CREATOR_ID       INTEGER,
  CREATED_DATE     DATE,
  EDITED_BY        VARCHAR2(128 CHAR),
  EDIT_DATE        DATE,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_DATA_EXPORTED
(
  ID               NUMBER                       NOT NULL,
  EXPERIMENT_ID    NUMBER                       NOT NULL,
  CHECK_NUMBER     NUMBER,
  CREATOR_ID       INTEGER,
  CREATED_DATE     DATE,
  EDITED_BY        VARCHAR2(128 CHAR),
  EDIT_DATE        DATE,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

GRANT INSERT ON  EUR_DATA_EXPORTED TO MIG;

GRANT INSERT ON  EUR_MICE_EXPORTED TO MIG;

GRANT INSERT ON  EUR_OPTION_TRANSLATION TO MIG;

GRANT INSERT ON  EUR_PARAMETER_MAPPING TO MIG;

GRANT INSERT ON  EUR_PARAMETER_TYPE_DICT TO MIG;

GRANT INSERT ON  EUR_PROCEDURE_DEFINITION TO MIG;

GRANT INSERT ON  EUR_SOP_2_PROCEDURE TO MIG;

connect mig;

/* cryo thaw test changes */
ALTER TABLE CRQ_THAW_TEST ADD (RETRIEVAL_NUMBER  INTEGER);
ALTER TABLE CRQ_THAW_TEST ADD (DUE_DATE  DATE);

CREATE OR REPLACE FORCE VIEW CRQ_EMBRYO_TRANSFER_CARD_VW
(CAGE_ID, REQUEST_ID, THAW_TEST_ID, CAGE_BARCODE, BREEDING_NAME,
 FEMALE_ID, BREEDING_ID, COLONY_NAME, PROJECT_LICENCE_NUMBER, PROTOCOL_19B,
 PIL_NUMBER, PIL_HOLDER, OWNER, OWNER_PHONE_NUMBER, OWNER_EMAIL,
 TRANSFER_DATE)
AS
SELECT DISTINCT c.ID cage_id, ccr.ID request_id, ctt.id thaw_test_id, c.barcode cage_barcode,
                b.name_prefix || b.breeding_number breeding_name, b.female_id,
                b.ID breeding_id, col.colony_name,
                ppl.licence_number project_licence_number,
                p19b.protocol_code protocol_19b,
                pil.pil_number || ' ' || p.user_name pil_number,
                p.first_name || ' ' || p.last_name pil_holder,
                o.first_name || ' ' || o.last_name owner,
                o.phone_number owner_phone_number, o.email owner_email,
                ctt.complete_date transfer_date
           FROM mts_mouse_procedure mp,
                mir_embryo_transfer_procedure et,
                crq_thaw_test ctt,
                crq_cryo_request ccr,
                mts_breeding b,
                mts_mouse m,
                mts_cage c,
                lic_project_licence ppl,
                lic_protocol_19b p19b,
                lic_personal_licence pil,
                per_person p,
                per_person o,
                mts_colony_info col
          WHERE mp.foreign_table_name = 'MIR_EMBRYO_TRANSFER_PROCEDURE'
            AND mp.foreign_key_id = et.ID
            AND et.thaw_test_id = ctt.ID
            AND ctt.crq_request_id = ccr.ID
            AND b.embryo_transfer_id = et.ID
            AND b.female_id = m.ID
            AND m.cage_id = c.ID
            AND mp.protocol_id = p19b.ID
            AND p19b.project_licence_id = ppl.project_licence_id
            AND mp.personal_licence_id = pil.personal_licence_id
            AND pil.person_id = p.person_id
            AND ccr.colony_id = col.ID
            AND m.current_owner_id = o.person_id
            AND b.offspring_colony_id = col.ID(+);

create or replace trigger crq_thaw_test_ta
before update or delete on crq_thaw_test for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.crq_thaw_test(
    ID,
    CRQ_REQUEST_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    COMPLETE_DATE,
    RETRIEVAL_NUMBER,
    DUE_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CRQ_REQUEST_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.COMPLETE_DATE,
    :old.RETRIEVAL_NUMBER,
    :old.DUE_DATE,
    AUDIT_ACTION);
end if;
end;
/


alter table mts_chimeric_mouse_data drop column cell_line_dict_id;

alter table mts_chimeric_mouse_data drop column cell_line_id;

alter table mts_chimeric_mouse_data drop column cell_line_strain_dict_id;

alter table mts_chimeric_mouse_data drop column expected_coat_colour_dict_id;

CREATE OR REPLACE TRIGGER MTS_CHIMERIC_MOUSE_DATA_ta
before update or delete on MTS_CHIMERIC_MOUSE_DATA for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_CHIMERIC_MOUSE_DATA(
    ID,
    MOUSE_ID,
    PERCENT_CHIMERIC,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.PERCENT_CHIMERIC,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE VIEW MTS_MOUSE_CURRENT_19B_VW
AS
with max_id as (
  select
    p.mouse_id,
	max(p.id) id
  from (
    select
	  mouse_id,max(start_date) start_date
    from
	  mts_mouse_procedure
    where
	  protocol_id is not null
    group by mouse_id
 ) m,
 mts_mouse_procedure p
 where
   m.mouse_id = p.mouse_id and
   m.start_date = p.start_date
 group by
   p.mouse_id
)
select
  p.id,
  p.mouse_id,
  p.protocol_id,
  p.personal_licence_id,
  p.start_date,
  p.end_date,
  p.foreign_key_id,
  p.foreign_table_name,
  p.procedure_dict_id,
  d.name procedure,
  ppl.project_licence_id,
  ppl.licence_number,
  b.protocol_code,
  pil.pil_number
from
  mts_mouse_procedure p,
  lic_project_licence ppl,
  lic_protocol_19b b,
  lic_personal_licence pil,
  mts_procedure_dict d,
  max_id m
where
  m.id = p.id and
  p.protocol_id = b.id and
  b.project_licence_id = ppl.project_licence_id and
  p.personal_licence_id = pil.personal_licence_id(+) and
  p.procedure_dict_id = d.id(+)
/


ALTER TABLE MTS_COHORT
 ADD (PIPELINE_DICT_ID  NUMBER);

 CREATE TABLE MTS_COHORT_PIPELINE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 CHAR),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)                        NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

-- INSERTING into MTS_COHORT_PIPELINE_DICT
Insert into MTS_COHORT_PIPELINE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (1,'MGP Pipeline 1',null,1,1);
Insert into MTS_COHORT_PIPELINE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (2,'MGP Pipeline 2',null,2,1);
Insert into MTS_COHORT_PIPELINE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (3,'MGP Pipeline 3',null,3,1);
Insert into MTS_COHORT_PIPELINE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (4,'MGP Pilot',null,4,1);

ALTER TABLE MTS_COHORT_PIPELINE_DICT
 ADD PRIMARY KEY
 (ID);

ALTER TABLE MTS_COHORT
 ADD CONSTRAINT MTS_COHORT_MTS_COHORT_PIP_FK1
 FOREIGN KEY (PIPELINE_DICT_ID)
 REFERENCES MTS_COHORT_PIPELINE_DICT (ID);

CREATE OR REPLACE TRIGGER MTS_COHORT_TYPE_DICT_TA
before update or delete on MTS_COHORT_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE FORCE VIEW MTS_COHORT_LIST_VW
(ID, COHORT_NAME, REASON, TOTAL_MICE, LIVE_MICE,
 DEAD_MICE, FOREIGN_TABLE_NAME, FOREIGN_KEY_ID, CREATOR_ID, CREATED_DATE,
 EDITED_BY, EDIT_DATE, CHECK_NUMBER, CREATOR_NAME, COHORT_TYPE_ID,
 END_DATE, PIPELINE, PIPELINE_DICT_ID)
AS
select
  c.id,
  c.cohort_name,
  c.reason,
  l.total_mice,
  l.live_mice,
  l.dead_mice,
  c.foreign_table_name,
  c.foreign_key_id,
  c.creator_id,
  c.created_date,
  c.edited_by,
  c.edit_date,
  c.check_number,
  p.last_name || ', ' || p.first_name as creator_name,
  c.cohort_type_id,
  c.end_date,
  p.name as pipeline,
  c.PIPELINE_DICT_ID
from
  mts_cohort c,
  per_person p,
  (select
    l.cohort_id,
    count(m.id) total_mice,
 count(decode(m.death_date,null,1,null)) live_mice,
 count(decode(m.death_date,null,null,1)) dead_mice
   from
    mts_mouse m,
    mts_cohort_mouse l
   where m.id = l.mouse_id
   group by l.cohort_id) l,
   mts_cohort_pipeline_dict p
where
  c.id = l.cohort_id(+)
and c.creator_id = p.person_id
and c.PIPELINE_DICT_ID = p.id(+);

CREATE OR REPLACE TRIGGER MTS_COHORT_MOUSE_TA
before update or delete on MTS_COHORT_MOUSE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_MOUSE(
    ID,
    COHORT_ID,
    MOUSE_ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_ID,
    :old.MOUSE_ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER MTS_COHORT_ta
before update or delete on MTS_COHORT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT(
    ID,
    COHORT_NAME,
    COMMENTS,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    FOREIGN_TABLE_NAME,
    FOREIGN_KEY_ID,
    REASON,
    COHORT_TYPE_ID,
    END_DATE,
    PIPELINE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_NAME,
    :old.COMMENTS,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.FOREIGN_TABLE_NAME,
    :old.FOREIGN_KEY_ID,
    :old.REASON,
    :old.COHORT_TYPE_ID,
    :old.END_DATE,
    :old.PIPELINE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COHORT_PIPELINE_DICT_ta
before update or delete on MTS_COHORT_PIPELINE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_PIPELINE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

-- fill in cohort pipelines
update mts_cohort set pipeline_dict_id = 1 where cohort_name in ('129P2*CBA Pipeline 1 20071220',
'129S5 HFC WT Cohort 1',
'129S5 HFC WT Cohort 2',
'129S5 WT Cohort 03',
'129S5 WT Cohort 17',
'129S5 WT Cohort 19',
'129S5 WT Cohort 22',
'129S5 WT Cohort 23',
'129S5 WT Cohort 25',
'129S5 WT Cohort 27',
'129S5 WT Cohort 28',
'129S5 WT Cohort 29',
'129S5 WT Cohort 31',
'129S5 WT Cohort 33',
'129S5 WT Cohort 35',
'129S5 WT Cohort 36',
'129S5 WT Cohort 37',
'129S5 WT Cohort 39',
'129S5 WT Cohort 41',
'129S5 WT Cohort 43',
'129S5 WT Cohort 45',
'129S5 WT Cohort 47',
'129S5 WT Cohort 49',
'129S5 WT Cohort 53',
'129S5 WT Cohort 57',
'129S5 WT Cohort 59',
'129S5 WT Cohort 63',
'129S5 WT Cohort 65',
'129S5 WT Cohort 67',
'C57BL6 c-/c- WT Cohort 12+',
'C57BL6 WT Cohort 03',
'C57BL6 WT Cohort 17',
'C57BL6 WT Cohort 22',
'C57BL6c-/c- WT Cohort 23',
'C57BL6c-/c- WT Cohort 27',
'C57BL6c-/c- WT Cohort 28',
'C57BL6c-/c- WT Cohort 31',
'C57BL6c-/c WT Cohort 33',
'C57BL6c-/c- WT Cohort 35 ',
'C57BL6c-/c- WT Cohort 37',
'C57BL6c-/c- WT Cohort 39',
'C57BL6c-/c- WT Cohort 41',
'C57BL6c-/c- WT Cohort 43',
'C57BL6c-/c- WT Cohort 45',
'C57BL6c-/c- WT Cohort 47',
'C57BL6c-/c- WT Cohort 49',
'C57BL6c-/c- WT Cohort 53',
'C57BL6c-/c- WT Cohort 55',
'C57BL6c-/c- WT Cohort 57',
'C57BL6c-/c- WT Cohort 63',
'C57BL6c-/c- WT Cohort 67',
'C57BL6c-/c- WT HFC Cohort 2',
'Doarad Cohort 01',
'GPAA Pipeline 1 20071111',
'GPAA Pipeline 1 20071118',
'GPAA Pipeline 1 20071216',
'GPAA Pipeline 1 20080120',
'Headbobber Cohort 01',
'MAAA Pipeline 1',
'MAAB Pipeline 1',
'MAAD Pipeline 1',
'MAAD Pipeline 1 - Partial',
'MAAE Pipeline 1',
'MAKJ Pipeline 1',
'MAKL Pipeline 1 - partial',
'NTac Pipeline 1 20071214',
'NTac WT Cohort 1',
'NTac WT Cohort 27',
'NTac WT Cohort 29',
'NTac WT Cohort 31',
'NTac WT Cohort 36',
'NTac WT Cohort 39',
'NTac WT Cohort 4',
'NTac WT Cohort 5',
'NTac WT Cohort 55',
'NTac WT Cohort 63',
'NTac WT Cohort 65',
'NTac WT Cohort 67',
'Omi Cohort 01');

update mts_cohort set pipeline_dict_id = 2 where cohort_name in ('129P2*CBA Pipeline 2 20071220',
'129S5 WT Cohort 01',
'129S5 WT Cohort 02',
'129S5 WT Cohort 04',
'129S5 WT Cohort 05',
'129S5 WT Cohort 06',
'129S5 WT Cohort 07',
'129S5 WT Cohort 08',
'129S5 WT Cohort 09',
'129S5 WT Cohort 10',
'129S5 WT Cohort 11',
'129S5 WT Cohort 12',
'129S5 WT Cohort 13',
'129S5 WT Cohort 14',
'129S5 WT Cohort 15',
'129S5 WT Cohort 16',
'129S5 WT Cohort 18',
'129S5 WT Cohort 20',
'129S5 WT Cohort 21',
'129S5 WT Cohort 24',
'129S5 WT Cohort 26',
'129S5 WT Cohort 30',
'129S5 WT Cohort 32',
'129S5 WT Cohort 34',
'129S5 WT Cohort 38',
'129S5 WT Cohort 40',
'129S5 WT Cohort 42',
'129S5 WT Cohort 44',
'129S5 WT Cohort 46',
'129S5 WT Cohort 48',
'129S5 WT Cohort 50',
'129S5 WT Cohort 52',
'129S5 WT Cohort 54',
'129S5 WT Cohort 56',
'129S5 WT Cohort 60',
'129S5 WT Cohort 62',
'129S5 WT Cohort 64',
'129S5 WT Cohort Aged 01',
'129S5 WT Cohort Aged 02',
'C57BL6 WT Cohort 01',
'C57BL6 WT Cohort 02',
'C57BL6 WT Cohort 04',
'C57BL6 WT Cohort 05',
'C57BL6 WT Cohort 06',
'C57BL6 WT Cohort 07',
'C57BL6 WT Cohort 08',
'C57BL6 WT Cohort 09',
'C57BL6 WT Cohort 10',
'C57BL6 WT Cohort 11',
'C57BL6 WT Cohort 12',
'C57BL6 WT Cohort 13',
'C57BL6 WT Cohort 14',
'C57BL6 WT Cohort 15',
'C57BL6 WT Cohort 16',
'C57BL6 WT Cohort 18',
'C57BL6 WT Cohort 18+',
'C57BL6 WT Cohort 20',
'C57BL6 WT Cohort 21',
'C57BL6 WT Cohort 26',
'C57BL6c-/c- WT Cohort 24',
'C57BL6c-/c- WT Cohort 30',
'C57BL6c-/c- WT Cohort 50',
'C57BL6c-/c- WT Cohort 51',
'C57BL6c-/c- WT Cohort 58',
'C57BL6c-/c- WT Cohort 60',
'C57BL6c-/c- WT Cohort 62',
'GPAA Pipeline 2 20070927',
'GPAA Pipeline 2 20071117',
'GPAA Pipeline 2 20071202',
'GPAA Pipeline 2 20071215',
'MAAA Pipeline 2',
'MAAB Pipeline 2',
'MAAD Pipeline 2',
'MAAD Pipeline 2 - Females',
'MAAE Pipeline 2 - Males',
'MAAE Pipeline 2 - Partial',
'MABZ Pipeline 2 - 1/2 Cohort',
'MAKJ Pipeline 2',
'MAKL Pipeline 2 - Partial',
'NTac Pipeline 2 20071215',
'NTac WT Cohort 2',
'NTac WT Cohort 24',
'NTac WT Cohort 3',
'NTac WT Cohort 32',
'NTac WT Cohort 52',
'NTac WT Cohort 56',
'NTac WT Cohort 60',
'NTac WT Cohort 62',
'NTac WT Cohort 64');

update mts_cohort set pipeline_dict_id = 3 where cohort_name in ('GPAA pipeline 3 20071205',
'MABZ Pipeline 3',
'MAAA Pipeline 3 ',
'MAAA Pipeline 3 ',
'MAAA pipeline 3',
'GPAA pipeline 3  2007/12/07',
'Flouncer- pipeline 3',
'Flouncer -pipeline 3');


update mts_cohort set pipeline_dict_id = 4 where cohort_name in ('129 WT cohort anaesthesia trial 2',
'129S5 Anaesthesia Trial Cohort 1',
'129S5 anaesthesia trial cohort 3',
'129S5 anaesthesia trial cohort 4',
'129S5 WT Cohort 60+',
'batch 4 fasted females',
'batch 4 females unfasted',
'batch 4 male fasted',
'batch 4 male unfasted ',
'Bleed training cohort ',
'Bleed training female cohort',
'C57BL6 WT Cohort 08+',
'calorimetry test 12082007',
'NTAC Anaesthesia Trial Avertin',
'NTAC Anaesthesia Trial Hypnorm',
'NTac Denmark for pulse-ox',
'NTac for naive serum chemistry',
'NTac naive for serum chemistry 2',
'NTac naive for serum chemistry 3',
'NtacMales for bleed/histology 1');

-- create the eur schema
CREATE TABLE EUR_DATA_EXPORTED (
  ID             NUMBER                         NOT NULL,
  EXPERIMENT_ID  NUMBER                         NOT NULL,
  CHECK_NUMBER   NUMBER,
  CREATOR_ID     INTEGER,
  CREATED_DATE   DATE,
  EDITED_BY      VARCHAR2(128 CHAR),
  EDIT_DATE      DATE                           DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_OPTION_TRANSLATION
(
  ID            NUMBER                          NOT NULL,
  MAPPING_ID    NUMBER                          NOT NULL,
  OPTION_ID     NUMBER                          NOT NULL,
  EU_VALUE      VARCHAR2(4000 BYTE),
  CHECK_NUMBER  NUMBER,
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDITED_BY     VARCHAR2(128 CHAR),
  EDIT_DATE     DATE                            DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PARAMETER_MAPPING
(
  ID                       NUMBER               NOT NULL,
  REQUIRED_OBSERVATION_ID  NUMBER               NOT NULL,
  PARAMETER_DEFINITION_ID  NUMBER               NOT NULL,
  SERIES_MAPPING           VARCHAR2(128 CHAR),
  MULTIPLICATION_FACTOR    NUMBER,
  CHECK_NUMBER             NUMBER,
  CREATOR_ID               INTEGER,
  CREATED_DATE             DATE,
  EDITED_BY                VARCHAR2(128 CHAR),
  EDIT_DATE                DATE                 DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PARAMETER_DEFINITION
(
  ID                       NUMBER               NOT NULL,
  NAME                     VARCHAR2(512 BYTE)   NOT NULL,
  EMPRESS_ID               VARCHAR2(255 BYTE),
  PROCEDURE_DEFINITION_ID  NUMBER               NOT NULL,
  UNITS                    VARCHAR2(128 BYTE),
  PARAMETER_TYPE_DICT_ID   NUMBER               NOT NULL,
  MIN_BOUND                NUMBER,
  MAX_BOUND                NUMBER,
  IS_DATA_SERIES           NUMBER(1)            NOT NULL,
  IS_REQUIRED              NUMBER(1)            NOT NULL,
  CHECK_NUMBER             NUMBER,
  CREATOR_ID               INTEGER,
  CREATED_DATE             DATE,
  EDITED_BY                VARCHAR2(128 CHAR),
  EDIT_DATE                DATE                 DEFAULT SYSDATE,
  SERIES_UNIT              VARCHAR2(255 CHAR)
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_SOP_2_PROCEDURE
(
  SOP_ID            NUMBER                      NOT NULL,
  PROCEDURE_DEF_ID  NUMBER                      NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PARAMETER_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 CHAR),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)                        NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_PROCEDURE_DEFINITION
(
  ID            NUMBER                          NOT NULL,
  NAME          VARCHAR2(255 BYTE)              NOT NULL,
  EMPRESS_ID    VARCHAR2(255 BYTE)              NOT NULL,
  CHECK_NUMBER  NUMBER,
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDITED_BY     VARCHAR2(128 CHAR),
  EDIT_DATE     DATE                            DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EUR_MICE_EXPORTED (
  ID              NUMBER                        NOT NULL,
  MOUSE_ID        NUMBER                        NOT NULL,
  COHORT_ID       NUMBER                        NOT NULL,
  DEATH_REPORTED  NUMBER                        NOT NULL,
  CHECK_NUMBER    NUMBER,
  CREATOR_ID      INTEGER,
  CREATED_DATE    DATE,
  EDITED_BY       VARCHAR2(128 CHAR),
  EDIT_DATE       DATE                          DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;


CREATE SEQUENCE EUR_PARAMETER_MAPPING_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE EUR_PARAMETER_DEFINITION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE EUR_DATA_EXPORTED_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE EUR_MICE_EXPORTED_SEQ
  START WITH 5901
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE EUR_OPTION_TRANSLATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE EUR_PROCEDURE_DFINITION_SEQ
  START WITH 3
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

SHOW ERRORS;

ALTER TABLE EUR_PARAMETER_DEFINITION
 ADD CONSTRAINT EUR_PARAMETER_DEFINITION_PK
 PRIMARY KEY
 (ID);

ALTER TABLE EUR_DATA_EXPORTED
 ADD CONSTRAINT EUR_DATA_EXPORTED_PK
 PRIMARY KEY
 (ID); 

ALTER TABLE EUR_MICE_EXPORTED
 ADD CONSTRAINT EUR_MICE_EXPORTED_PK
 PRIMARY KEY
 (ID); 

ALTER TABLE EUR_SOP_2_PROCEDURE
 ADD CONSTRAINT EUR_SOP_2_PROCEDURE_PK
 PRIMARY KEY
 (SOP_ID, PROCEDURE_DEF_ID);  

ALTER TABLE EUR_PARAMETER_MAPPING
 ADD CONSTRAINT EUR_PARAMETER_MAPPING_PK
 PRIMARY KEY (ID);

ALTER TABLE EUR_OPTION_TRANSLATION
 ADD CONSTRAINT EUR_OPTION_TRANSLATION_PK
 PRIMARY KEY (ID); 

ALTER TABLE EUR_PROCEDURE_DEFINITION
 ADD CONSTRAINT EUR_PROCEDURE_DEFINITION_PK
 PRIMARY KEY (ID);
 
ALTER TABLE EUR_DATA_EXPORTED
 ADD CONSTRAINT EUR_DATA_EXPORTED_PHN_EXP_FK1  FOREIGN KEY (EXPERIMENT_ID)  REFERENCES PHN_EXPERIMENT (ID);

ALTER TABLE EUR_MICE_EXPORTED
 ADD CONSTRAINT EUR_MICE_EXPORTED_MTS_MOU_FK1  FOREIGN KEY (MOUSE_ID)  REFERENCES MTS_MOUSE (ID);

ALTER TABLE EUR_OPTION_TRANSLATION
 ADD CONSTRAINT EUR_VALUE_TRANSLATION_EUR_FK1  FOREIGN KEY (OPTION_ID)  REFERENCES PHN_RESTRICTED_OPTION (ID);

ALTER TABLE EUR_PARAMETER_MAPPING
 ADD CONSTRAINT EUR_PARAM_DEF_2_REQ_OBV_P_FK1  FOREIGN KEY (REQUIRED_OBSERVATION_ID)  REFERENCES PHN_REQUIRED_OBSERVATION (ID);

ALTER TABLE EUR_PARAMETER_MAPPING
 ADD CONSTRAINT EUR_PARAM_DEF_2_REQ_OBV_E_FK1  FOREIGN KEY (PARAMETER_DEFINITION_ID)  REFERENCES EUR_PARAMETER_DEFINITION (ID);

ALTER TABLE EUR_MICE_EXPORTED
 ADD CONSTRAINT EUR_MICE_EXPORTED_MTS_COH_FK1  FOREIGN KEY (COHORT_ID)  REFERENCES MTS_COHORT (ID);

ALTER TABLE EUR_SOP_2_PROCEDURE
 ADD CONSTRAINT EUR_PROCEDURE_2_SOP_PHN_S_FK1  FOREIGN KEY (SOP_ID)  REFERENCES PHN_STD_OPERATING_PROCEDURE (ID);

ALTER TABLE EUR_SOP_2_PROCEDURE
 ADD CONSTRAINT EUR_PROCEDURE_2_SOP_EUR_P_FK1  FOREIGN KEY (PROCEDURE_DEF_ID)  REFERENCES EUR_PROCEDURE_DEFINITION (ID);

ALTER TABLE EUR_PARAMETER_DEFINITION
 ADD CONSTRAINT EUR_PARAMETER_DEFINITION__FK2  FOREIGN KEY (PROCEDURE_DEFINITION_ID)  REFERENCES EUR_PROCEDURE_DEFINITION (ID);

ALTER TABLE EUR_PARAMETER_DEFINITION
 ADD CONSTRAINT EUR_PARAMETER_DEFINITION__FK1  FOREIGN KEY (PARAMETER_TYPE_DICT_ID)  REFERENCES EUR_PARAMETER_TYPE_DICT (ID);


CREATE INDEX EUR_MICE_EXPORTED_INDEX1 ON EUR_MICE_EXPORTED
(MOUSE_ID)
LOGGING
NOPARALLEL;

CREATE INDEX EUR_DATA_EXPORTED_INDEX1 ON EUR_DATA_EXPORTED
(EXPERIMENT_ID)
LOGGING
NOPARALLEL;


CREATE OR REPLACE TRIGGER EUR_PARAMETER_MAPPING_ta

before update or delete on EUR_PARAMETER_MAPPING for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_PARAMETER_MAPPING(

    ID,

    REQUIRED_OBSERVATION_ID,

    PARAMETER_DEFINITION_ID,

    SERIES_MAPPING,

    MULTIPLICATION_FACTOR,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.REQUIRED_OBSERVATION_ID,

    :old.PARAMETER_DEFINITION_ID,

    :old.SERIES_MAPPING,

    :old.MULTIPLICATION_FACTOR,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER EUR_OPTION_TRANSLATION_ta

before update or delete on EUR_OPTION_TRANSLATION for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_OPTION_TRANSLATION(

    ID,

    MAPPING_ID,

    OPTION_ID,

    EU_VALUE,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.MAPPING_ID,

    :old.OPTION_ID,

    :old.EU_VALUE,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER EUR_PARAMETER_TYPE_DICT_ta

before update or delete on EUR_PARAMETER_TYPE_DICT for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_PARAMETER_TYPE_DICT(

    ID,

    NAME,

    DESCRIPTION,

    ORDER_BY,

    ACTIVE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.DESCRIPTION,

    :old.ORDER_BY,

    :old.ACTIVE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER EUR_SOP_2_PROCEDURE_ta

before update or delete on EUR_SOP_2_PROCEDURE for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_SOP_2_PROCEDURE(

    SOP_ID,

    PROCEDURE_DEF_ID,

    AUDIT_ACTION)

 values (

    :old.SOP_ID,

    :old.PROCEDURE_DEF_ID,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;




/* This object may not be sorted properly in the script due to cirular references */ CREATE OR REPLACE TRIGGER EUR_MICE_EXPORTED_ta

before update or delete on EUR_MICE_EXPORTED for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_MICE_EXPORTED(

    ID,

    MOUSE_ID,

    COHORT_ID,

    DEATH_REPORTED,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.MOUSE_ID,

    :old.COHORT_ID,

    :old.DEATH_REPORTED,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;

/* This object may not be sorted properly in the script due to cirular references */ CREATE OR REPLACE TRIGGER EUR_DATA_EXPORTED_ta

before update or delete on EUR_DATA_EXPORTED for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_DATA_EXPORTED(

    ID,

    EXPERIMENT_ID,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.EXPERIMENT_ID,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER EUR_PROCEDURE_DEFINITION_ta

before update or delete on EUR_PROCEDURE_DEFINITION for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_PROCEDURE_DEFINITION(

    ID,

    NAME,

    EMPRESS_ID,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.EMPRESS_ID,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;




CREATE OR REPLACE TRIGGER EUR_PARAMETER_DEFINITION_ta

before update or delete on EUR_PARAMETER_DEFINITION for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */ declare

audit_action varchar2(10);

begin



if deleting then audit_action := 'deleted'; end if;

if updating then audit_action := 'updated'; end if;

if deleting or updating then

 insert into mig_audit.EUR_PARAMETER_DEFINITION(

    ID,

    NAME,

    EMPRESS_ID,

    PROCEDURE_DEFINITION_ID,

    UNITS,

    PARAMETER_TYPE_DICT_ID,

    MIN_BOUND,

    MAX_BOUND,

    IS_DATA_SERIES,

    IS_REQUIRED,

    CHECK_NUMBER,

    CREATOR_ID,

    CREATED_DATE,

    EDITED_BY,

    EDIT_DATE,

    SERIES_UNIT,

    AUDIT_ACTION)

 values (

    :old.ID,

    :old.NAME,

    :old.EMPRESS_ID,

    :old.PROCEDURE_DEFINITION_ID,

    :old.UNITS,

    :old.PARAMETER_TYPE_DICT_ID,

    :old.MIN_BOUND,

    :old.MAX_BOUND,

    :old.IS_DATA_SERIES,

    :old.IS_REQUIRED,

    :old.CHECK_NUMBER,

    :old.CREATOR_ID,

    :old.CREATED_DATE,

    :old.EDITED_BY,

    :old.EDIT_DATE,

    :old.SERIES_UNIT,

    AUDIT_ACTION);

end if;

end;
/
SHOW ERRORS;

INSERT INTO APP_COLUMN_PREFS ( ID, TABLE_NAME, COLUMN_NAME, COLUMN_TITLE, GETTER_METHOD, ORDER_BY,
DATATYPE ) VALUES ( 
32, 'mts_mouse_list_vw', 'father_genotype', 'Father Genotype', 'getFatherGenotype'
, NULL, NULL); 
INSERT INTO APP_COLUMN_PREFS ( ID, TABLE_NAME, COLUMN_NAME, COLUMN_TITLE, GETTER_METHOD, ORDER_BY,
DATATYPE ) VALUES ( 
33, 'mts_mouse_list_vw', 'mother_genotype', 'Mother Genotype', 'getMotherGenotype'
, NULL, NULL); 
COMMIT;

CREATE OR REPLACE VIEW MTS_MOUSE_VW
AS 
select 
  m.id, 
  m.litter_id, 
  m.name, 
  m.edit_date, 
  m.coat_colour_dict_id, 
  c.name||decode(chim.percent_chimeric,null,null,' ('||chim.percent_chimeric||'%)') coat_colour, 
  m.eye_colour_dict_id, 
  e.name eye_colour, 
  m.earmark_dict_id, 
  ear.name earmark, 
  m.earmark_left, 
  m.earmark_right, 
  m.birth_date, 
  round((nvl(m.death_date,sysdate) - m.birth_date)/7,1) age_in_weeks, 
  m.death_date, 
  round((m.death_date - m.birth_date)/7,1) age_at_death, 
  m.cause_of_death_dict_id, 
  d.name cause_of_death, 
  m.edited_by, 
  m.wean_date, 
  m.cage_id, 
  l.cage_name, 
  l.cage_barcode, 
  l.rack_id, 
  l.rack_name, 
  l.room_id, 
  l.room_name, 
  m.current_owner_id, 
  owner.first_name||' '||owner.last_name current_owner, 
  b.project_licence_id current_project_licence_id, 
  b.licence_number current_project_licence, 
  b.protocol_id current_protocol_id, 
  b.protocol_code current_protocol_code, 
  m.check_number, 
  m.gender_dict_id, 
  s.name gender, 
  m.mouse_strain_dict_id, 
  t.name strain, 
  m.status, 
  m.creator_id, 
  m.created_date, 
  m.barcode, 
  m.comments, 
  m.is_non_breeder, 
  m.is_sentinel, 
  m.generation, 
  colony.colony_name, 
  colony.colony_prefix, 
  m.colony_info_id, 
  m.arrival_date, 
  m.latest_plug_date, 
  breeding.breeding_name, 
  fetch_genotype(m.id) genotype, 
  decode(m.generation,'F0',null,fetch_genotype(p.male_id)) father_genotype, 
  decode(m.generation,'F0',null,fetch_genotype(p.female_id)) mother_genotype 
from 
  mts_mouse m, 
  mts_coat_colour_dict c, 
  mts_eye_colour_dict e, 
  mts_earmark_dict ear, 
  mts_cause_of_death_dict d, 
  per_person owner, 
  mts_gender_dict s, 
  mts_cage_vw l, 
  mts_mouse_current_19b_vw b, 
  typ_strain t, 
  mts_colony_info colony, 
  mts_current_breeding_vw breeding, 
  mts_chimeric_mouse_data chim, 
  (select b.male_id, b.female_id, l.id litter_id 
   from 
    mts_litter l, 
	mts_breeding b 
   where 
    l.breeding_id = b.id 
  ) p 
where 
  m.coat_colour_dict_id = c.id(+) and 
  m.eye_colour_dict_id = e.id(+) and 
  m.earmark_dict_id = ear.id(+) and 
  m.cause_of_death_dict_id = d.id(+) and 
  m.current_owner_id = owner.person_id(+) and 
  m.gender_dict_id = s.id(+) and 
  m.cage_id = l.cage_id(+) and 
  m.mouse_strain_dict_id = t.id(+) and 
  m.colony_info_id = colony.id(+) and 
  m.id = b.mouse_id(+) and 
  m.id = breeding.mouse_id(+) and 
  m.id = chim.mouse_id(+) and 
  m.litter_id = p.litter_id(+)
/