connect mig_audit

alter table mts_rack add old_name integer;

update mts_rack set old_name = name, name = null;

alter table mts_rack modify name varchar2(512);

update mts_rack set name = old_name;

alter table mts_rack drop column old_name;

connect mig

alter table mts_rack add old_name integer;

update mts_rack set old_name = name, name = null;

alter table mts_rack modify name varchar2(512);

update mts_rack set name = old_name;

alter table mts_rack drop column old_name;

CREATE OR REPLACE VIEW MTS_CAGE_PROCEDURE_LIST_VW
(LAST_DATE, PROCEDURE_DICT_ID, PROCEDURE, CAGE_ID, PIL_NUMBER)
AS
select
     max(p.start_date) last_date,
     p.procedure_dict_id,
     d.name procedure,
     c.id cage_id,
     l.pil_number
   from
     mts_mouse_procedure p,
     mts_mouse m,
     mts_cage c,
     mts_procedure_dict d,
     lic_personal_licence l
   where
       m.cage_id = c.id and
       p.mouse_id = m.id and
       p.protocol_id is not null and
       p.procedure_dict_id = d.id and
      p.personal_licence_id = l.personal_licence_id and
      p.procedure_dict_id != 21 and -- breeding and maintenance
      p.procedure_dict_id != 36
    group by
       p.procedure_dict_id,
       d.name,
       c.id,
       l.pil_number
order by last_date;


CREATE OR REPLACE FORCE VIEW CRQ_STRAW_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE,
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME,
 FREEZER_ID, CANISTER_NAME, CANISTER_ID, GOBLET_NAME, GOBLET_ID,
 WEDGE_COLOUR, WEDGE_ID, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID,
 SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, FEMALE_STRAIN_ID,
 REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT svw.straw_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id,
       gd.NAME embryo_grade, gd.ID embryo_grade_dict_id, svw.freezer_name,
       svw.freezer_id, svw.canister_name, svw.canister_id, svw.goblet_name,
       svw.goblet_id, svw.wedge_colour, svw.wedge_id,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,
    cr.cryo_job_status_dict_id,
       ts1.NAME female_strain_name,ts2.NAME requested_female_strain_name,ts1.id female_strain_id,ts2.id requested_female_strain_id
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       PER_PERSON p,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_LOCATION l,
       CRQ_STRAW s,
       crq_straw_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id,re.FEMALE_STRAIN_DICT_ID request_female_strain_dict_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c,
       TYP_STRAIN ts1,
    TYP_STRAIN ts2
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id = fds.technician_id
   AND l.straw_id = s.ID
   AND fds.location_id = l.ID
   AND svw.straw_id = s.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts1.ID (+)
   AND c.request_female_strain_dict_id = ts2.id(+);



CREATE OR REPLACE FORCE VIEW CRQ_VIAL_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE,
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME,
 FREEZER_ID, TOWER_NAME, TOWER_ID, BOX_NAME, BOX_ID,
 VIAL_POSITION, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID,
 CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, FEMALE_STRAIN_ID, REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT svw.vial_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id, gd.NAME embryo_grade,
       gd.ID embryo_grade_dict_id, svw.freezer_name, svw.freezer_id,
       svw.tower_name, svw.tower_id, svw.box_name, svw.box_id,
       svw.vial_position,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,cr.cryo_job_status_dict_id,
    ts1.NAME female_strain_name, ts2.name requested_female_strain_name,ts1.id female_strain_id, ts2.id requested_female_strain_id
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       PER_PERSON p,
       CRQ_LOCATION l,
       CRQ_VIAL v,
       crq_vial_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id,re.FEMALE_STRAIN_DICT_ID request_female_strain_dict_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c ,
     TYP_STRAIN ts1,
     TYP_STRAIN ts2
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id(+) = fds.technician_id
   AND l.vial_id = v.ID
   AND fds.location_id = l.ID
   AND svw.vial_id = v.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts1.ID (+)
   AND c.request_female_strain_dict_id = ts2.id(+);


CREATE OR REPLACE FORCE VIEW CRQ_SAMPLE_LIST_VW
(COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, EMBRYO_COUNT,
 EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, LOCATION_NAME, ID, TECHNICIAN_NAME,
 TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, THAW_TEST_ID,
 STORAGE_TYPE, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, FEMALE_STRAIN_ID, REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT v.colony_name colony_name, v.colony_id colony_id,
          v.request_id request_id, v.freeze_down_date freeze_down_date,
          v.embryo_count embryo_count, v.embryo_grade embryo_grade,
          v.embryo_grade_dict_id embryo_grade_dict_id,
          (   'Freezer ' || v.freezer_name
           || ', Tower '
           || v.tower_name
           || ', Box '
           || v.box_name
           || ', Vial '
           || v.vial_position
          ) location_name,
          v.ID ID, v.technician_name technician_name,
          v.technician_id technician_id, v.sample_id, v.scheduled_job_id,
          v.cryo_job_status_dict_id, v.thaw_test_id, 'vial' storage_type,v.female_strain_name,v.requested_female_strain_name,v.female_strain_id,
    v.requested_female_strain_id
     FROM crq_vial_sample_list_vw v
   UNION
   SELECT s.colony_name colony_name, s.colony_id colony_id,
          s.request_id request_id, s.freeze_down_date freeze_down_date,
          s.embryo_count embryo_count, s.embryo_grade embryo_grade,
          s.embryo_grade_dict_id embryo_grade_dict_id,
          (   'Freezer ' || s.freezer_name
           || ', Canister '
           || s.canister_name
           || ', Goblet '
           || s.goblet_name
           || ', Wedge '
           || s.wedge_colour
          ) location_name,
          s.ID ID, s.technician_name technician_name,
          s.technician_id technician_id, s.sample_id, s.scheduled_job_id,
          s.cryo_job_status_dict_id, s.thaw_test_id, 'straw' storage_type,s.female_strain_name,s.requested_female_strain_name,s.female_strain_id,
    s.requested_female_strain_id
     FROM crq_straw_sample_list_vw s;



