connect mig_audit

alter table mts_colony_info add is_poolable number(1) default '0';

alter table mts_mouse add is_pooled number(1) default '0';

alter table mts_mouse drop column earmark_left;

alter table mts_mouse drop column earmark_right;

alter table mts_mouse drop column supplier_dict_id;

connect mig

alter trigger mts_mouse_ta disable;

create or replace view mts_cage_procedure_list_vw
(last_date, procedure_dict_id, procedure, cage_id, pil_number)
as
select
   max(p.start_date) last_date,
   p.procedure_dict_id,
   d.name procedure,
   c.id cage_id,
   l.pil_number
from
  mts_mouse_procedure p,
  mts_mouse m,
  mts_cage c,
  mts_procedure_dict d,
  lic_personal_licence l
where
  m.cage_id = c.id and
  p.mouse_id = m.id and
  p.procedure_dict_id = d.id and
  p.personal_licence_id = l.personal_licence_id and
  p.procedure_dict_id not in (21,36) -- breeding and maintenance
group by
  p.procedure_dict_id,
  d.name,
  c.id,
  l.pil_number
order by
  last_date;

alter table mts_colony_info add is_poolable number(1) default '0';

alter table mts_mouse add is_pooled number(1) default '0';

alter table mts_mouse drop column earmark_left;

alter table mts_mouse drop column earmark_right;

alter table mts_mouse drop column supplier_dict_id;

CREATE OR REPLACE TRIGGER MIG.MTS_COLONY_INFO_TA
before update or delete on MTS_COLONY_INFO for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COLONY_INFO(
    ID,
    COLONY_NAME,
    PROJECT_LICENCE_ID,
    CARD_COLOUR_DICT_ID,
    COLONY_MANAGEMENT,
    AVERAGE_LITTER_SIZE,
    BREEDING_LIFESPAN_WEEKS,
    IMMUNE_STATUS,
    OTHER_ABNORMALITIES,
    WELFARE_ASSESSMENT,
    HUSBANDRY_RECOMMENDATIONS,
    DIET,
    HOUSING_SYSTEM,
    ENVIRONMENTAL_ENRICHMENT,
    MISC_NOTES,
    COLONY_ORIGIN,
    PLACE_OF_ORIGIN,
    DATE_OF_IMPORT,
    DATE_OF_REDERIVATION,
    REDERIVATION_METHOD,
    EDITED_BY,
    EDIT_DATE,
    WELFARE_ASSESSMENT_PERFORMED,
    WTSI_ORIGIN,
    COLONY_PREFIX,
    MODE_OF_INHERITANCE,
    ASSESSING_PHENOTYPE,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    SUBJECT_TO_MTA,
    IS_POOLABLE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COLONY_NAME,
    :old.PROJECT_LICENCE_ID,
    :old.CARD_COLOUR_DICT_ID,
    :old.COLONY_MANAGEMENT,
    :old.AVERAGE_LITTER_SIZE,
    :old.BREEDING_LIFESPAN_WEEKS,
    :old.IMMUNE_STATUS,
    :old.OTHER_ABNORMALITIES,
    :old.WELFARE_ASSESSMENT,
    :old.HUSBANDRY_RECOMMENDATIONS,
    :old.DIET,
    :old.HOUSING_SYSTEM,
    :old.ENVIRONMENTAL_ENRICHMENT,
    :old.MISC_NOTES,
    :old.COLONY_ORIGIN,
    :old.PLACE_OF_ORIGIN,
    :old.DATE_OF_IMPORT,
    :old.DATE_OF_REDERIVATION,
    :old.REDERIVATION_METHOD,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.WELFARE_ASSESSMENT_PERFORMED,
    :old.WTSI_ORIGIN,
    :old.COLONY_PREFIX,
    :old.MODE_OF_INHERITANCE,
    :old.ASSESSING_PHENOTYPE,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.SUBJECT_TO_MTA,
    :old.IS_POOLABLE,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE TRIGGER MIG.MTS_MOUSE_TA
before update or delete on MTS_MOUSE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_MOUSE(
    ID,
    LITTER_ID,
    NAME,
    EDIT_DATE,
    RFID_TAG,
    COAT_COLOUR_DICT_ID,
    EYE_COLOUR_DICT_ID,
    EARMARK_DICT_ID,
    BIRTH_DATE,
    DEATH_DATE,
    CAUSE_OF_DEATH_DICT_ID,
    EDITED_BY,
    WEAN_DATE,
    CAGE_ID,
    CURRENT_OWNER_ID,
    CHECK_NUMBER,
    GENDER_DICT_ID,
    MOUSE_STRAIN_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    BARCODE,
    COMMENTS,
    IS_NON_BREEDER,
    IS_SENTINEL,
    GENERATION,
    COLONY_INFO_ID,
    ARRIVAL_DATE,
    IS_STERILE,
    LATEST_PLUG_DATE,
    IS_POOLED,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_ID,
    :old.NAME,
    :old.EDIT_DATE,
    :old.RFID_TAG,
    :old.COAT_COLOUR_DICT_ID,
    :old.EYE_COLOUR_DICT_ID,
    :old.EARMARK_DICT_ID,
    :old.BIRTH_DATE,
    :old.DEATH_DATE,
    :old.CAUSE_OF_DEATH_DICT_ID,
    :old.EDITED_BY,
    :old.WEAN_DATE,
    :old.CAGE_ID,
    :old.CURRENT_OWNER_ID,
    :old.CHECK_NUMBER,
    :old.GENDER_DICT_ID,
    :old.MOUSE_STRAIN_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.BARCODE,
    :old.COMMENTS,
    :old.IS_NON_BREEDER,
    :old.IS_SENTINEL,
    :old.GENERATION,
    :old.COLONY_INFO_ID,
    :old.ARRIVAL_DATE,
    :old.IS_STERILE,
    :old.LATEST_PLUG_DATE,
    :old.IS_POOLED,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE VIEW MTS_MOUSE_VW
(ID, LITTER_ID, NAME, RFID_TAG, EDIT_DATE,
 COAT_COLOUR_DICT_ID, COAT_COLOUR, EYE_COLOUR_DICT_ID, EYE_COLOUR, EARMARK_DICT_ID,
 EARMARK, BIRTH_DATE, AGE_IN_WEEKS,
 DEATH_DATE, AGE_AT_DEATH, CAUSE_OF_DEATH_DICT_ID, CAUSE_OF_DEATH, EDITED_BY,
 WEAN_DATE, CAGE_ID, CAGE_NAME, CAGE_BARCODE, RACK_ID,
 RACK_NAME, ROOM_ID, ROOM_NAME, CURRENT_OWNER_ID, CURRENT_OWNER,
 CURRENT_PROJECT_LICENCE_ID, CURRENT_PROJECT_LICENCE, CURRENT_PROTOCOL_ID, CURRENT_PROTOCOL_CODE, CHECK_NUMBER,
 GENDER_DICT_ID, GENDER, MOUSE_STRAIN_DICT_ID, STRAIN, STATUS,
 CREATOR_ID, CREATED_DATE, BARCODE, COMMENTS, IS_NON_BREEDER,
 IS_SENTINEL, GENERATION, COLONY_NAME, COLONY_PREFIX, COLONY_INFO_ID,
 ARRIVAL_DATE, LATEST_PLUG_DATE, BREEDING_NAME, GENOTYPE, FATHER_NAME,
 FATHER_GENOTYPE, MOTHER_NAME, MOTHER_GENOTYPE, COHORTS, PIPELINES)
AS
select
  m.id,
  m.litter_id,
  m.name,
  m.rfid_tag,
  m.edit_date,
  m.coat_colour_dict_id,
  c.name||decode(chim.percent_chimeric,null,null,' ('||chim.percent_chimeric||'%)') coat_colour,
  m.eye_colour_dict_id,
  e.name eye_colour,
  m.earmark_dict_id,
  ear.name earmark,
  m.birth_date,
  round((nvl(m.death_date,sysdate) - m.birth_date)/7,1) age_in_weeks,
  m.death_date,
  round((m.death_date - m.birth_date)/7,1) age_at_death,
  m.cause_of_death_dict_id,
  d.name cause_of_death,
  m.edited_by,
  m.wean_date,
  m.cage_id,
  l.cage_name,
  l.cage_barcode,
  l.rack_id,
  l.rack_name,
  l.room_id,
  l.room_name,
  m.current_owner_id,
  owner.first_name||' '||owner.last_name current_owner,
  b.project_licence_id current_project_licence_id,
  b.licence_number current_project_licence,
  b.protocol_id current_protocol_id,
  b.protocol_code current_protocol_code,
  m.check_number,
  m.gender_dict_id,
  s.name gender,
  m.mouse_strain_dict_id,
  t.name strain,
  decode(m.death_date,null,'Alive','Deceased') status,
  m.creator_id,
  m.created_date,
  m.barcode,
  m.comments,
  m.is_non_breeder,
  m.is_sentinel,
  m.generation,
  colony.colony_name,
  colony.colony_prefix,
  m.colony_info_id,
  m.arrival_date,
  m.latest_plug_date,
  breeding.breeding_name,
  mts.fetch_genotype(m.id) genotype,
  p.father_name,
  decode(m.generation,'F0',null,decode(p.male_id,null,null,mts.fetch_genotype(p.male_id))) father_genotype,
  p.mother_name,
  decode(m.generation,'F0',null,decode(p.female_id,null,null,mts.fetch_genotype(p.female_id))) mother_genotype,
  mts.fetch_cohort(m.id,', ') cohorts,
  mts.fetch_pipelines(m.id,', ') pipelines
from
  mts_mouse m,
  mts_coat_colour_dict c,
  mts_eye_colour_dict e,
  mts_earmark_dict ear,
  mts_cause_of_death_dict d,
  per_person owner,
  mts_gender_dict s,
  mts_cage_vw l,
  mts_mouse_current_19b_mv b,
  typ_strain t,
  mts_colony_info colony,
  mts_current_breeding_mv breeding,
  mts_chimeric_mouse_data chim,
  (select b.male_id, b.female_id, l.id litter_id, decode(b.embryo_transfer_id,null,sire.name, null) father_name, decode(b.embryo_transfer_id,null,dam.name,null) mother_name
   from
    mts_litter l,
    mts_breeding b,
 mts_mouse sire,
 mts_mouse dam
   where
    l.breeding_id = b.id and
 b.male_id = sire.id and
 b.female_id = dam.id
  ) p
where
  m.coat_colour_dict_id = c.id(+) and
  m.eye_colour_dict_id = e.id(+) and
  m.earmark_dict_id = ear.id(+) and
  m.cause_of_death_dict_id = d.id(+) and
  m.current_owner_id = owner.person_id(+) and
  m.gender_dict_id = s.id(+) and
  m.cage_id = l.cage_id(+) and
  m.mouse_strain_dict_id = t.id(+) and
  m.colony_info_id = colony.id(+) and
  m.id = b.mouse_id(+) and
  m.id = breeding.mouse_id(+) and
  m.id = chim.mouse_id(+) and
  m.litter_id = p.litter_id(+);

/* formatted on 2008/06/23 10:50 (formatter plus v4.8.8) */
create or replace view rep_all_mice
as
select 
  id, 
  litter_id, 
  name, 
  rfid_tag,
  edit_date, 
  coat_colour_dict_id,
  coat_colour, 
  eye_colour_dict_id, 
  eye_colour, 
  earmark_dict_id,
  earmark,   
  birth_date, 
  age_in_weeks,
  death_date, 
  age_at_death, 
  cause_of_death_dict_id, 
  cause_of_death,
  edited_by, 
  wean_date, 
  cage_id, 
  cage_name, 
  cage_barcode, 
  rack_id,
  rack_name, 
  room_id, 
  room_name, 
  current_owner_id, 
  current_owner,
  current_project_licence_id, 
  current_project_licence,
  current_protocol_id, 
  current_protocol_code, 
  check_number,
  gender_dict_id, 
  gender, 
  mouse_strain_dict_id, 
  strain, 
  status,
  creator_id, 
  created_date, 
  barcode, 
  comments, 
  is_non_breeder,
  is_sentinel, 
  generation, 
  colony_name, 
  colony_prefix, 
  colony_info_id,
  arrival_date, 
  latest_plug_date, 
  breeding_name, 
  genotype,
  father_name, 
  father_genotype, 
  mother_name, 
  mother_genotype,
  cohorts,
  pipelines
from 
  mts_mouse_vw;


alter trigger mts_mouse_ta enable;
