connect mig_audit

CREATE TABLE CRQ_SHIPPING
(
  ID             INTEGER,
  EDIT_DATE      DATE,
  EDITED_BY      VARCHAR2(128 BYTE),
  CREATED_DATE   DATE,
  CREATOR_ID     NUMBER,
  CHECK_NUMBER   NUMBER,
  SHIP_TO        VARCHAR2(1280 BYTE),
  SHIPPING_DATE  DATE,
  AUDIT_ACTION     VARCHAR2(10 BYTE),
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER')
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

GRANT INSERT ON  crq_shipping TO MIG;

CREATE TABLE APP_FUNDING_SOURCE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 CHAR),
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1),
  ORDER_BY     NUMBER,
  AUDIT_ACTION     VARCHAR2(10 BYTE),
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER')
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

GRANT INSERT ON  APP_FUNDING_SOURCE_DICT TO MIG;

ALTER TABLE CRQ_CRYO_REQUEST
 ADD (FUNDING_SOURCE_DICT_ID  INTEGER);

ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE
 ADD (SHIPPING_ID  INTEGER);

ALTER TABLE CRQ_EMBRYO_HARVEST
 ADD (FEMALE_STRAIN_COMMENTS  VARCHAR2(4000 BYTE));

ALTER TABLE MIR_CELL_LINE
 ADD (CELL_LINE_FUNDING_DICT_ID  INTEGER);

ALTER TABLE MTS_MOUSE DROP COLUMN STATUS;

ALTER TABLE MTS_MOUSE
 ADD (IS_PROVEN_STUD  NUMBER(1));

ALTER TABLE MTS_MOUSE
 ADD (IS_STUD  NUMBER(1));

connect mig

CREATE TABLE CRQ_SHIPPING
(
  ID             INTEGER,
  EDIT_DATE      DATE,
  EDITED_BY      VARCHAR2(128 BYTE),
  CREATED_DATE   DATE,
  CREATOR_ID     NUMBER,
  CHECK_NUMBER   NUMBER,
  SHIP_TO        VARCHAR2(1280 BYTE),
  SHIPPING_DATE  DATE
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE APP_FUNDING_SOURCE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 CHAR),
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1),
  ORDER_BY     NUMBER
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE MTS_MOUSE_POOL
(
  ID              INTEGER,
  CAGE_ID         INTEGER,
  COLONY_INFO_ID  INTEGER,
  POOL_DATE       DATE,
  CREATED_DATE    DATE,
  CREATOR_ID      INTEGER,
  EDIT_DATE       DATE,
  EDITED_BY       VARCHAR2(32 BYTE),
  CHECK_NUMBER    INTEGER
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE MTS_STUD_BREEDING
(
  ID               INTEGER,
  CREATOR_ID       INTEGER,
  CREATED_DATE     DATE,
  EDITED_BY        VARCHAR2(32 BYTE),
  EDIT_DATE        DATE,
  CHECK_NUMBER     INTEGER,
  MALE_ID          INTEGER,
  FEMALE_ID        INTEGER,
  START_DATE       DATE,
  PLUG_DATE        DATE,
  END_DATE         DATE,
  SETUP_PERSON_ID  INTEGER,
  CHECK_PERSON_ID  INTEGER
)
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE CRQ_CRYO_REQUEST
 ADD (FUNDING_SOURCE_DICT_ID  INTEGER);

ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE
 ADD (SHIPPING_ID  INTEGER);

ALTER TABLE CRQ_EMBRYO_HARVEST
 ADD (FEMALE_STRAIN_COMMENTS  VARCHAR2(4000 BYTE));

ALTER TABLE MIR_CELL_LINE
 ADD (CELL_LINE_FUNDING_DICT_ID  INTEGER);

ALTER TABLE APP_FUNDING_SOURCE_DICT ADD (
  CONSTRAINT APP_FUNDING_SOURCE_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE CRQ_SHIPPING ADD (
  CONSTRAINT CRQ_SHIPPING_PK
 PRIMARY KEY
 (ID));

ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE
 ADD CONSTRAINT CRQ_FREEZE_DOWN_SAMPLE_R01
 FOREIGN KEY (SHIPPING_ID)
 REFERENCES CRQ_SHIPPING (ID);

ALTER TABLE CRQ_CRYO_REQUEST
 ADD CONSTRAINT CRQ_CRYO_REQUEST_R07
 FOREIGN KEY (FUNDING_SOURCE_DICT_ID)
 REFERENCES APP_FUNDING_SOURCE_DICT (ID);


ALTER TABLE MIR_CELL_LINE
 ADD CONSTRAINT MIR_CELL_LINE_R05
 FOREIGN KEY (CELL_LINE_FUNDING_DICT_ID)
 REFERENCES APP_FUNDING_SOURCE_DICT (ID);


Insert into APP_WORKFLOW_PIPELINE_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (5, 'EUCOMM', NULL, 5, 1);

ALTER TRIGGER MTS_MOUSE_TA DISABLE;

ALTER TRIGGER MTS_MOUSE_T2 DISABLE;

ALTER TRIGGER MTS_MOUSE_T3 DISABLE;


ALTER TABLE MTS_MOUSE
 ADD (IS_STUD  NUMBER(1)                            DEFAULT '0');

ALTER TABLE MTS_MOUSE_POOL
 ADD CONSTRAINT MOUSE_POOL_R03
 FOREIGN KEY (CREATOR_ID)
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE MTS_MOUSE_POOL
 ADD CONSTRAINT MOUSE_POOL_R02
 FOREIGN KEY (COLONY_INFO_ID)
 REFERENCES MTS_COLONY_INFO (ID);

ALTER TABLE MTS_MOUSE_POOL
 ADD CONSTRAINT MOUSE_POOL_R01
 FOREIGN KEY (CAGE_ID)
 REFERENCES MTS_CAGE (ID);

ALTER TABLE MTS_MOUSE
 ADD (IS_PROVEN_STUD  NUMBER(1)                     DEFAULT '0');

CREATE SEQUENCE MTS_MOUSE_POOL_SEQ
  START WITH 9
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE MTS_STUD_BREEDING_SEQ
  START WITH 142
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE CRQ_SHIPPING_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

ALTER TABLE MTS_STUD_BREEDING
 ADD CONSTRAINT MTS_STUD_BREEDING_PK
 PRIMARY KEY
 (ID);

ALTER TABLE MTS_MOUSE_POOL
 ADD CONSTRAINT MOUSE_POOL_PK
 PRIMARY KEY
 (ID);

ALTER TABLE MTS_MOUSE_POOL
 ADD CONSTRAINT MTS_MOUSE_POOL_U01
 UNIQUE (POOL_DATE, COLONY_INFO_ID);

ALTER TABLE MTS_STUD_BREEDING
 ADD CONSTRAINT MTS_STUD_BREEDING_R03
 FOREIGN KEY (CREATOR_ID)
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE MTS_STUD_BREEDING
 ADD CONSTRAINT MTS_STUD_BREEDING_R04
 FOREIGN KEY (SETUP_PERSON_ID)
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE MTS_STUD_BREEDING
 ADD CONSTRAINT MTS_STUD_BREEDING_R05
 FOREIGN KEY (CHECK_PERSON_ID)
 REFERENCES PER_PERSON (PERSON_ID);


CREATE OR REPLACE PACKAGE     MTS AS
/******************************************************************************
   NAME:       MTS
   PURPOSE:

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   V3.0.39       18/04/2008             wl1 Created this package.
******************************************************************************/


  PROCEDURE mts_delete_colony(in_colony_id number);
  PROCEDURE mts_delete_mouse(in_mouse_id number);
  PROCEDURE mts_genotype_import;
  PROCEDURE MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number);
  FUNCTION  MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list;
  FUNCTION fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2;
  FUNCTION fetch_genotype (in_mouse_id number) return varchar2;
  FUNCTION fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2;
  FUNCTION fetch_simple_genotype (in_mouse_id number) return varchar2;
  FUNCTION FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number) RETURN NUMBER;
  FUNCTION FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER;
  FUNCTION FETCH_CAGE_TYPE(in_cage_id number) RETURN varchar2;

END MTS;

/

SHOW ERRORS;

CREATE OR REPLACE PACKAGE BODY     mts as


/* ====================================

  mts_delete_colony(in_colony_id number)

 ==================================== */

PROCEDURE mts_delete_colony(in_colony_id number) IS
BEGIN
  delete mts_colony_allele where colony_id = in_colony_id;
  delete mts_colony_behaviour where colony_id = in_colony_id;
  delete mts_colony_coat_colour where colony_id = in_colony_id;
  delete mts_colony_contact where colony_id = in_colony_id;
  delete mts_colony_cross where colony_id = in_colony_id;
  delete mts_colony_room where colony_id = in_colony_id;
  delete mts_colony_strain where colony_id = in_colony_id;
  delete mts_colony_info where id = in_colony_id;

END mts_delete_colony;

/* ====================================

  MTS_DELETE_MOUSE(IN_MOUSE_ID number)

 ==================================== */
PROCEDURE MTS_DELETE_MOUSE(IN_MOUSE_ID number) IS

BEGIN

  delete mts_mouse_procedure where mouse_id = in_mouse_id;

  delete mts_chimeric_mouse_data where mouse_id = in_mouse_id;

  delete mts_mouse_cage_history where mouse_id = in_mouse_id;

  delete mts_mouse_allele where mouse_id = in_mouse_id;

  delete mts_mouse where id = in_mouse_id;

END MTS_DELETE_MOUSE;


/* ====================================

  MTS_GENOTYPE_IMPORT

 ==================================== */

PROCEDURE MTS_GENOTYPE_IMPORT IS

cursor c_mice_to_genotype is
select *
from mts_genotype_import_data
where status is null
for update of status, status_date
;

cursor c_fetch_mouse_by_name(in_name varchar2) is
select *
from mts_mouse
where name = in_name;

v_mouse mts_mouse%rowtype;

v_status varchar2(4000);
BEGIN

  for i in c_mice_to_genotype loop
    v_status := '';
    open c_fetch_mouse_by_name(i.mouse_name);
 fetch c_fetch_mouse_by_name into v_mouse;

 if c_fetch_mouse_by_name%found then

     if i.genotype = '+/+' then
     delete mts_mouse_allele where mouse_id = v_mouse.id;
  v_status := 'Wildtype: mts_mouse_allele records deleted:'||sql%rowcount;
   elsif i.genotype = '-/-' then
     update mts_mouse_allele set genotype_dict_id = 3, edit_date = sysdate, edited_by = sys_context('USERENV','OS_USER') where mouse_id = v_mouse.id;
	 if sql%rowcount = 0 then
	   v_status := 'Hom: Allele not found';
	 else
       v_status := 'Hom: mts_mouse_allele records updated:'||sql%rowcount;
	 end if;
   elsif i.genotype = '-/+' or i.genotype = '+/-' then
     update mts_mouse_allele set genotype_dict_id = 2, edit_date = sysdate, edited_by = sys_context('USERENV','OS_USER') where mouse_id = v_mouse.id;
	 if sql%rowcount = 0 then
	   v_status := 'Het: Allele not found';
	 else
       v_status := 'Het: mts_mouse_allele records updated:'||sql%rowcount;
	 end if;
   else
     v_status := 'Unknown genotype code';
   end if;
 else
   v_status := 'Mouse not found';
 end if;

 close c_fetch_mouse_by_name;

    update mts_genotype_import_data
 set status_date = systimestamp, status = v_status
 where current of c_mice_to_genotype;
  end loop;

END mts_genotype_import;


/* ====================================

  MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number)

 ==================================== */
PROCEDURE MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number) IS

cursor c_colony_info is
select * from mts_colony_info where id = in_colony_id;

t_colony_info mts_colony_info%rowtype;

cursor c_embryo_transfer_breedings is
select b.*
from
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by b.id
for update of b.name_prefix,b.offspring_colony_id,b.breeding_number;

cursor c_embryo_transfer_recipients is
select m.*
from
  mts_mouse m,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  b.female_id = m.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by m.id
for update of m.colony_info_id;

cursor c_next_breeding_number is
select 1 + max(breeding_number)
from
  mts_breeding
where
  offspring_colony_id = in_colony_id;

t_next_breeding_number number;

t_old_offspring_colony_id number;

cursor c_embryo_transfer_litters is
select l.*, b.name_prefix||b.breeding_number||'.' new_prefix
from
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by l.id
for update of l.name_prefix;

cursor c_chimeras is
select m.*, l.name_prefix||l.litter_number||lower(substr(m.name,length(m.name))) new_name
from
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by l.id
for update of m.colony_info_id, m.name;

cursor c_chimera_matings is
select cb.*
from
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by cb.id
for update of cb.name_prefix,cb.offspring_colony_id,cb.breeding_number;

cursor c_chimera_mates is
select f.*
from
  mts_mouse f,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cb.female_id = f.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by f.id
for update of f.colony_info_id;

cursor c_chimera_litters is
select cl.*,cb.name_prefix||cb.breeding_number||'.' new_prefix
from
  mts_litter cl,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cl.breeding_id = cb.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by cl.id
for update of cl.name_prefix;

cursor c_chimera_offspring is
select co.*,cl.name_prefix||cl.litter_number||lower(substr(co.name,length(co.name))) new_name
from
  mts_mouse co,
  mts_litter cl,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  co.litter_id = cl.id and
  cl.breeding_id = cb.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by co.id
for update of co.colony_info_id, co.name;

BEGIN

     open c_colony_info;
  fetch c_colony_info into t_colony_info;
  close c_colony_info;

  --update colony for MIR
  dbms_output.put_line('updating mir '||in_mir_id||' to new colony id '||in_colony_id);

  update mir_micro_injection_request
  set colony_info_id = in_colony_id
  where id = in_mir_id;
  dbms_output.put_line('rows affected: '||sql%rowcount);

  -- update embryo transfer matings (colony, name and number)
  for b in c_embryo_transfer_breedings loop

   t_old_offspring_colony_id := b.offspring_colony_id;

   if nvl(t_old_offspring_colony_id,-1) != in_colony_id then

     open c_next_breeding_number;
     fetch c_next_breeding_number into t_next_breeding_number;
     close c_next_breeding_number;

     if t_next_breeding_number is null then
        t_next_breeding_number := 1;
     end if;

     dbms_output.put_line('updating breeding '||b.id||'('||b.breeding_number||')'||' setting breeding number, colony and name prefix  from '||b.breeding_number||','||b.offspring_colony_id||','||b.name_prefix||' to '||t_next_breeding_number||','||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
     set
       offspring_colony_id = in_colony_id,
       name_prefix = t_colony_info.colony_prefix,
       breeding_number = t_next_breeding_number
     where current of c_embryo_transfer_breedings;
     dbms_output.put_line('rows affected: '||sql%rowcount);
      else
     dbms_output.put_line('updating breeding '||b.id||'('||b.breeding_number||')'||' setting colony and name prefix from '||b.offspring_colony_id||','||b.name_prefix||' to '||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
    set
      offspring_colony_id = in_colony_id,
      name_prefix = t_colony_info.colony_prefix
    where current of c_embryo_transfer_breedings;
    dbms_output.put_line('rows affected: '||sql%rowcount);
   end if;

  end loop;

  -- update embryo transfer recipients
  for m in c_embryo_transfer_recipients loop
    dbms_output.put_line('updating et recipient '||m.id||'('||m.name||') setting colony '||in_colony_id);
   update mts_mouse
   set
     colony_info_id = in_colony_id
   where current of c_embryo_transfer_recipients;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update embryo transfer litters
  for l in c_embryo_transfer_litters loop
    dbms_output.put_line('updating et litter '||l.id||' seting name prefix from '||l.name_prefix||' to '||l.new_prefix);
    update mts_litter
   set
     name_prefix = l.new_prefix
   where current of c_embryo_transfer_litters;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimeras
  for m in c_chimeras loop
    dbms_output.put_line('updating chimera '||m.id||'('||m.name||') setting colony_id, name from '||m.colony_info_id||','||m.name||' to '||in_colony_id||','||m.new_name);
    update mts_mouse
   set
     colony_info_id = in_colony_id,
     name = m.new_name
   where current of c_chimeras;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera matings
  for cm in c_chimera_matings loop

   t_old_offspring_colony_id := cm.offspring_colony_id;

   if nvl(t_old_offspring_colony_id,-1) != in_colony_id then

     open c_next_breeding_number;
     fetch c_next_breeding_number into t_next_breeding_number;
     close c_next_breeding_number;

     if t_next_breeding_number is null then
        t_next_breeding_number := 1;
     end if;

     dbms_output.put_line('updating chimera breeding '||cm.id||'('||cm.breeding_number||')'||' setting breeding number, colony and name prefix  from '||cm.breeding_number||','||cm.offspring_colony_id||','||cm.name_prefix||' to '||t_next_breeding_number||','||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
     set
       offspring_colony_id = in_colony_id,
       name_prefix = t_colony_info.colony_prefix,
       breeding_number = t_next_breeding_number
     where current of c_chimera_matings;
     dbms_output.put_line('rows affected: '||sql%rowcount);
      else
     dbms_output.put_line('updating chimera breeding '||cm.id||'('||cm.breeding_number||')'||' setting colony and name prefix from '||cm.offspring_colony_id||','||cm.name_prefix||' to '||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
    set
      offspring_colony_id = in_colony_id,
      name_prefix = t_colony_info.colony_prefix
    where current of c_chimera_matings;
    dbms_output.put_line('rows affected: '||sql%rowcount);
   end if;

  end loop;

  -- update chimera mates
  for m in c_chimera_mates loop
    dbms_output.put_line('updating chimera mate '||m.id||'('||m.name||') setting colony '||in_colony_id);
   update mts_mouse
   set
     colony_info_id = in_colony_id
   where current of c_chimera_mates;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera litters
  for l in c_chimera_litters loop
    dbms_output.put_line('updating chimera litter '||l.id||' seting name prefix from '||l.name_prefix||' to '||l.new_prefix);
    update mts_litter
   set
     name_prefix = l.new_prefix
   where current of c_chimera_litters;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera offspring
  for m in c_chimera_offspring loop
    dbms_output.put_line('updating F1 '||m.id||'('||m.name||') setting colony_id, name from '||m.colony_info_id||','||m.name||' to '||in_colony_id||','||m.new_name);
    update mts_mouse
   set
     colony_info_id = in_colony_id,
     name = m.new_name
   where current of c_chimera_offspring;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;


END MTS_MIR_MOVE_COLONY;

/* ====================================

MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list

 ==================================== */


FUNCTION MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list IS

output_list integer_list := integer_list();

cursor c_colony_exists is
select count(*)
from mts_colony_info
where id = in_colony_id;

cursor c_last_breeding_number is
select max(breeding_number) max_number
from mts_breeding
where offspring_colony_id = in_colony_id;

cursor c_breeding_number_used(in_number number) is
select count(*) in_use
from mts_breeding
where offspring_colony_id = in_colony_id
and breeding_number = in_number;

cursor c_breeding_number_offset is
select offset
from mts_breeding_offset
where colony_info_id = in_colony_id;

n_colony_exists number;

n_last_breeding_number number;

n_breeding_number_used number;

n_breeding_number_offset number;

n_index number := 1;

BEGIN
     if in_colony_id is null then return null;
	 end if;

	 open c_colony_exists;
	 fetch c_colony_exists into n_colony_exists;
	 close c_colony_exists;
	 if n_colony_exists = 0 then return null;
	 end if;

	 open c_last_breeding_number;
	 fetch c_last_breeding_number into n_last_breeding_number;
	 close c_last_breeding_number;

	 if n_last_breeding_number is null then
	   n_last_breeding_number := 1;
	 end if;

	 if n_last_breeding_number = 1 then
	   open c_breeding_number_offset;
	   fetch  c_breeding_number_offset into n_breeding_number_offset;
	   close c_breeding_number_offset;
	 end if;

	 if n_breeding_number_offset is not null then
	   n_last_breeding_number := n_breeding_number_offset + n_last_breeding_number;
	 else
	   n_breeding_number_offset := 1;
	 end if;

	 for n in n_breeding_number_offset .. (n_last_breeding_number + 100) loop
	 	 open c_breeding_number_used(n);
		 fetch c_breeding_number_used into n_breeding_number_used;
		 close c_breeding_number_used;
		 if n_breeding_number_used = 0 then
		   output_list.extend;
		   output_list(n_index) := n;
		   n_index := n_index + 1;
		 end if;
	 end loop;

	 return output_list;
END mts_next_breeding_numbers;

/******************************************************************************
  fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2
******************************************************************************/
function fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2
is
  t_pipelines varchar2(2000);
begin
for i in (
  select distinct
    p.name pipeline
  from
    mts_cohort_pipeline_dict p,
    mts_cohort_mouse m,
	mts_cohort c
  where
    c.pipeline_dict_id = p.id and
    m.cohort_id = c.id and
	m.mouse_id = in_mouse_id
) loop
    t_pipelines := t_pipelines || i.pipeline || in_delimiter;
  end loop;
  return substr(t_pipelines, 1, length(t_pipelines)-length(in_delimiter));
end;

/******************************************************************************
function fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2
******************************************************************************/

function fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2
is
  t_cohorts varchar2(2000);
begin

for i in (
  select
    c.cohort_name
  from
    mts_cohort_mouse m,
	mts_cohort c
  where
    m.cohort_id = c.id and
	m.mouse_id = in_mouse_id
) loop
    t_cohorts := t_cohorts || i.cohort_name || in_delimiter;
  end loop;

  return substr(t_cohorts, 1, length(t_cohorts)-length(in_delimiter));
end;

/******************************************************************************
fetch_genotype (in_mouse_id number) return varchar2
******************************************************************************/
function fetch_genotype (in_mouse_id number) return varchar2 is

cursor c_alleles is
select
  decode(c.percent_chimeric,
  null,
	  decode(m.genotype_dict_id,
	    1, '+/+', --wildtype
	 	2, decode(a.inheritance_mode_id, -- heterozygous
		   		1,a.short_allele_symbol||'/+', -- dominant
				3,a.short_allele_symbol||'/+', -- semi-dominant
				'+/'||a.short_allele_symbol),
	 	3, a.short_allele_symbol||'/'||a.short_allele_symbol, --homozygous
	 	4, a.short_allele_symbol||'-?'),
   0, '+/+', -- zero percent chimera
   c.percent_chimeric||'% '||a.short_allele_symbol --chimera
  ) genotype -- unknown
from
  mts_mouse_allele m,
  typ_modified_allele a,
  mts_chimeric_mouse_data c
where
  m.mouse_id = in_mouse_id and
  m.allele_id = a.id and
  m.mouse_id = c.mouse_id(+);

v_genotype varchar2(4000) := '';

begin

  for a in c_alleles loop
    v_genotype := v_genotype||a.genotype||' ';
  end loop;

  return trim(nvl(v_genotype,'+/+'));

end fetch_genotype;

/******************************************************************************
   fetch_simple_genotype (in_mouse_id number) return varchar2
******************************************************************************/


function fetch_simple_genotype (in_mouse_id number) return varchar2 is

cursor c_alleles is
select
  decode(c.percent_chimeric,
  null,
	  decode(m.genotype_dict_id,
	    1, '+/+', --wildtype
	 	2, decode(a.inheritance_mode_id, -- heterozygous
		   		1,'-/+', -- dominant
				3,'-/+', -- semi-dominant
				'+/-'),
	 	3, '-/-', --homozygous
	 	4, '?'),
   0, '+/+', -- zero percent chimera
   c.percent_chimeric||'%' --chimera
  ) genotype -- unknown
from
  mts_mouse_allele m,
  typ_modified_allele a,
  mts_chimeric_mouse_data c
where
  m.mouse_id = in_mouse_id and
  m.allele_id = a.id and
  m.mouse_id = c.mouse_id(+);

v_genotype varchar2(4000) := '';

begin

  -- just return the first allele found (for now)
  open c_alleles;
  fetch c_alleles into v_genotype;
  close c_alleles;

  return trim(nvl(v_genotype,'+/+'));

end fetch_simple_genotype;


/******************************************************************************
   FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number)
******************************************************************************/
FUNCTION FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number) RETURN NUMBER IS

cursor c_has_allele is
select genotype_dict_id
from
  mts_mouse_allele a
where
  a.mouse_id = in_mouse_id and
  a.allele_id = in_allele_id
;

t_genotype number;


BEGIN

  open c_has_allele;
  fetch c_has_allele into t_genotype;
  if c_has_allele%NOTFOUND then
    t_genotype := 1; --wildtype
  end if;
  close c_has_allele;

  return t_genotype;

END FETCH_GENOTYPE_BY_ALLELE;

/******************************************************************************
   FETCH_FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER
******************************************************************************/

FUNCTION FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER IS

cursor c_has_allele is
select distinct genotype_dict_id
from
  mts_mouse_allele a,
  mts_cohort_mouse c
where
  c.cohort_id = in_cohort_id and
  a.allele_id = in_allele_id and
  a.mouse_id = c.mouse_id
;

t_genotype number;

t_loop_index number := 1;

BEGIN

  for a in c_has_allele loop
    if t_loop_index > 1 then
	  t_genotype := -1;
	  exit;
	end if;
    t_genotype := a.genotype_dict_id;
	t_loop_index := t_loop_index + 1;
  end loop;

  if t_genotype is null then
    t_genotype := 1; --wildtype
  end if;

  return t_genotype;

END FETCH_COHORT_GENOTYPE;

function fetch_cage_type(in_cage_id number) return varchar2 is

cursor is_embryo_transfer is
select
  decode(count(b.id),0,0,null,0,1) is_embryo_transfer,
  decode(count(smi.id),0,0,null,0,1) is_from_smi
from
  mts_breeding b,
  mts_mouse m,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi
where
  m.id = b.female_id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id(+)
  and m.cage_id = in_cage_id;

n_is_embryo_transfer number := 0;
n_is_from_smi number := 0;

cursor is_mating is
select decode(decode(count(m.id),0,0,1,1,2)||decode(count(b.id),0,null,count(b.end_date)),
    '10',1,
    '11',1,
    '20',1,
    0) is_mating
from
  mts_breeding b,
  mts_latest_breeding_vw l,
  mts_mouse m
where
  m.id = l.mouse_id(+) and
  l.mouse_id = b.female_id(+) and
  l.breeding_id = b.id(+) and
  m.cage_id = in_cage_id and
  (m.litter_id is null or m.wean_date is not null) and
  b.embryo_transfer_id is null;

n_is_mating number := 0;

cursor is_pool_cage is
select decode(count(p.id),1,1,0) is_pool
from
  mts_mouse_pool p
where
  p.cage_id = in_cage_id;

n_is_pool_cage number := 0;

cursor is_stud_cage is
select
  decode(count(m.id),1,1,0) is_stud
from
  mts_mouse m
where
  m.wean_date is not null and
  m.is_stud = 1 and
  m.cage_id = in_cage_id;

n_is_stud_cage number := 0;

cage_type varchar2(30);

begin

  if cage_type is null then
    open is_pool_cage;
    fetch is_pool_cage into n_is_pool_cage;
    close is_pool_cage;

    if n_is_pool_cage = 1 then
      cage_type := 'POOL_CAGE';
    end if;
  end if;

  if cage_type is null then
    open is_stud_cage;
    fetch is_stud_cage into n_is_stud_cage;
    close is_stud_cage;

    if n_is_stud_cage = 1 then
      cage_type := 'STUD_CAGE';
    end if;
  end if;


  if cage_type is null then
    open is_embryo_transfer;
    fetch is_embryo_transfer into n_is_embryo_transfer, n_is_from_smi;
    close is_embryo_transfer;

    if n_is_embryo_transfer = 1 then
      if n_is_from_smi = 1 then
        cage_type := 'EMBRYO_TRANSFER';
      else
        cage_type := 'CRYO_EMBRYO_TRANSFER';
      end if;
    end if;
  end if;

  if cage_type is null then
    open is_mating;
    fetch is_mating into n_is_mating;
    close is_mating;

    if n_is_mating = 1 then
      cage_type := 'MATING';
    end if;
  end if;

  if cage_type is null then
    cage_type := 'STOCK';
  end if;

  return cage_type;


end fetch_cage_type;

end mts;

/

SHOW ERRORS;

CREATE OR REPLACE TRIGGER MTS_MOUSE_TA
before update or delete ON MTS_MOUSE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_MOUSE(
    ID,
    LITTER_ID,
    NAME,
    EDIT_DATE,
    RFID_TAG,
    COAT_COLOUR_DICT_ID,
    EYE_COLOUR_DICT_ID,
    EARMARK_DICT_ID,
    BIRTH_DATE,
    DEATH_DATE,
    CAUSE_OF_DEATH_DICT_ID,
    EDITED_BY,
    WEAN_DATE,
    CAGE_ID,
    CURRENT_OWNER_ID,
    CHECK_NUMBER,
    GENDER_DICT_ID,
    MOUSE_STRAIN_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    BARCODE,
    COMMENTS,
    IS_NON_BREEDER,
    IS_SENTINEL,
    GENERATION,
    COLONY_INFO_ID,
    ARRIVAL_DATE,
    IS_STERILE,
    LATEST_PLUG_DATE,
    IS_POOLED,
    IS_STUD,
    IS_PROVEN_STUD,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_ID,
    :old.NAME,
    :old.EDIT_DATE,
    :old.RFID_TAG,
    :old.COAT_COLOUR_DICT_ID,
    :old.EYE_COLOUR_DICT_ID,
    :old.EARMARK_DICT_ID,
    :old.BIRTH_DATE,
    :old.DEATH_DATE,
    :old.CAUSE_OF_DEATH_DICT_ID,
    :old.EDITED_BY,
    :old.WEAN_DATE,
    :old.CAGE_ID,
    :old.CURRENT_OWNER_ID,
    :old.CHECK_NUMBER,
    :old.GENDER_DICT_ID,
    :old.MOUSE_STRAIN_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.BARCODE,
    :old.COMMENTS,
    :old.IS_NON_BREEDER,
    :old.IS_SENTINEL,
    :old.GENERATION,
    :old.COLONY_INFO_ID,
    :old.ARRIVAL_DATE,
    :old.IS_STERILE,
    :old.LATEST_PLUG_DATE,
    :old.IS_POOLED,
    :old.IS_STUD,
    :old.IS_PROVEN_STUD,
    AUDIT_ACTION);
end if;
end;

create or replace trigger crq_shipping_ta
before update or delete on crq_shipping for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.crq_shipping(
    ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    SHIP_TO,
    SHIPPING_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.SHIP_TO,
    :old.SHIPPING_DATE,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger crq_cryo_request_ta
before update or delete on crq_cryo_request for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.crq_cryo_request(
    ID,
    REQUESTER_ID,
    PROJECT_LICENCE_ID,
    COLONY_ID,
    FEMALE_STRAIN_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    STATUS_DICT_ID,
    TARGET_COUNT,
    NUMBER_THAWED,
    CANCEL_REASON,
    FUNDING_SOURCE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.REQUESTER_ID,
    :old.PROJECT_LICENCE_ID,
    :old.COLONY_ID,
    :old.FEMALE_STRAIN_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.STATUS_DICT_ID,
    :old.TARGET_COUNT,
    :old.NUMBER_THAWED,
    :old.CANCEL_REASON,
    :old.FUNDING_SOURCE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/


create or replace trigger crq_freeze_down_sample_ta
before update or delete on crq_freeze_down_sample for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.crq_freeze_down_sample(
    ID,
    EMBRYO_HARVEST_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    TECHNICIAN_ID,
    LOCATION_ID,
    EMBRYO_GRADE_DICT_ID,
    EMBRYO_COUNT,
    FREEZE_DOWN_DATE,
    THAW_TEST_ID,
    SHIPPING_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EMBRYO_HARVEST_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.TECHNICIAN_ID,
    :old.LOCATION_ID,
    :old.EMBRYO_GRADE_DICT_ID,
    :old.EMBRYO_COUNT,
    :old.FREEZE_DOWN_DATE,
    :old.THAW_TEST_ID,
    :old.SHIPPING_ID,
    AUDIT_ACTION);
end if;
end;
/


create or replace trigger crq_embryo_harvest_ta
before update or delete on crq_embryo_harvest for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.crq_embryo_harvest(
    ID,
    SCHEDULED_JOB_ID,
    EDITED_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    CELL_COUNT_16,
    CELL_COUNT_8,
    CELL_COUNT_4,
    CELL_COUNT_2,
    CELL_COUNT_1,
    DEAD_COUNT,
    FRAGMENTED_COUNT,
    OTHER_EMBRYO_TYPE_COUNT,
    NUMBER_SUPEROVULATED,
    NUMBER_PLUGGED,
    FLUSH_DATE,
    TECHNICIAN_ID,
    OTHER_DESCRIPTION,
    FEMALE_STRAIN_ID,
    USE_16_CELL,
    USE_8_CELL,
    USE_4_CELL,
    MOUSE_ID,
    USE_2_CELL,
    COHORT_ID,
    FEMALE_STRAIN_COMMENTS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.SCHEDULED_JOB_ID,
    :old.EDITED_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.CELL_COUNT_16,
    :old.CELL_COUNT_8,
    :old.CELL_COUNT_4,
    :old.CELL_COUNT_2,
    :old.CELL_COUNT_1,
    :old.DEAD_COUNT,
    :old.FRAGMENTED_COUNT,
    :old.OTHER_EMBRYO_TYPE_COUNT,
    :old.NUMBER_SUPEROVULATED,
    :old.NUMBER_PLUGGED,
    :old.FLUSH_DATE,
    :old.TECHNICIAN_ID,
    :old.OTHER_DESCRIPTION,
    :old.FEMALE_STRAIN_ID,
    :old.USE_16_CELL,
    :old.USE_8_CELL,
    :old.USE_4_CELL,
    :old.MOUSE_ID,
    :old.USE_2_CELL,
    :old.COHORT_ID,
    :old.FEMALE_STRAIN_COMMENTS,
    AUDIT_ACTION);
end if;
end;
/


create or replace trigger mir_cell_line_ta
before update or delete on mir_cell_line for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.mir_cell_line(
    ID,
    CELL_LINE_NAME,
    CELL_LINE_SOURCE_DICT_ID,
    CELL_LINE_STRAIN_DICT_ID,
    TEAM_87_REF_ID,
    CLONE_NAME,
    MODIFIED_ALLELE_ID,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    EXPECTED_COAT_COLOR_DICT_ID,
    GENOTYPE_DICT_ID,
    CELL_LINE_PROVIDER_ID,
    CELL_LINE_FUNDING_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CELL_LINE_NAME,
    :old.CELL_LINE_SOURCE_DICT_ID,
    :old.CELL_LINE_STRAIN_DICT_ID,
    :old.TEAM_87_REF_ID,
    :old.CLONE_NAME,
    :old.MODIFIED_ALLELE_ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.EXPECTED_COAT_COLOR_DICT_ID,
    :old.GENOTYPE_DICT_ID,
    :old.CELL_LINE_PROVIDER_ID,
    :old.CELL_LINE_FUNDING_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/



CREATE OR REPLACE VIEW CRQ_STRAW_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE,
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME,
 FREEZER_ID, CANISTER_NAME, CANISTER_ID, GOBLET_NAME, GOBLET_ID,
 WEDGE_COLOUR, WEDGE_ID, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID,
 SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, COMMENTS,
 FEMALE_STRAIN_ID, REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT svw.straw_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id,
       gd.NAME embryo_grade, gd.ID embryo_grade_dict_id, svw.freezer_name,
       svw.freezer_id, svw.canister_name, svw.canister_id, svw.goblet_name,
       svw.goblet_id, svw.wedge_colour, svw.wedge_id,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,
    cr.cryo_job_status_dict_id,
       ts1.NAME female_strain_name,ts2.NAME requested_female_strain_name,
    case
     when eh.female_strain_comments is null then fds.comments
     when fds.comments is null then eh.female_strain_comments
     else (eh.female_strain_comments||','||fds.comments) end "COMMENTS",
    ts1.id female_strain_id,ts2.id requested_female_strain_id
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       PER_PERSON p,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_LOCATION l,
       CRQ_STRAW s,
       crq_straw_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id,re.FEMALE_STRAIN_DICT_ID request_female_strain_dict_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c,
       TYP_STRAIN ts1,
    TYP_STRAIN ts2
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id = fds.technician_id
   AND l.straw_id = s.ID
   AND fds.location_id = l.ID
   AND svw.straw_id = s.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts1.ID (+)
   AND c.request_female_strain_dict_id = ts2.id(+)
/

CREATE OR REPLACE FORCE VIEW CRQ_VIAL_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE,
 EMBRYO_COUNT, THAW_TEST_ID, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME,
 FREEZER_ID, TOWER_NAME, TOWER_ID, BOX_NAME, BOX_ID,
 VIAL_POSITION, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID,
 CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, COMMENTS, FEMALE_STRAIN_ID,
 REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT svw.vial_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, fds.thaw_test_id, gd.NAME embryo_grade,
       gd.ID embryo_grade_dict_id, svw.freezer_name, svw.freezer_id,
       svw.tower_name, svw.tower_id, svw.box_name, svw.box_id,
       svw.vial_position,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,cr.cryo_job_status_dict_id,
    ts1.NAME female_strain_name, ts2.name requested_female_strain_name,
 case
 when eh.female_strain_comments is null then fds.comments
 when fds.comments is null then eh.female_strain_comments
 else (eh.female_strain_comments||','||fds.comments) end "COMMENTS", ts1.id female_strain_id, ts2.id requested_female_strain_id
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       PER_PERSON p,
       CRQ_LOCATION l,
       CRQ_VIAL v,
       crq_vial_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id,re.FEMALE_STRAIN_DICT_ID request_female_strain_dict_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c ,
     TYP_STRAIN ts1,
     TYP_STRAIN ts2
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id(+) = fds.technician_id
   AND l.vial_id = v.ID
   AND fds.location_id = l.ID
   AND svw.vial_id = v.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts1.ID (+)
   AND c.request_female_strain_dict_id = ts2.id(+)
/

CREATE OR REPLACE VIEW CRQ_SAMPLE_LIST_VW
(COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, EMBRYO_COUNT,
 EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, LOCATION_NAME, ID, TECHNICIAN_NAME,
 TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, THAW_TEST_ID,
 STORAGE_TYPE, FEMALE_STRAIN_NAME, REQUESTED_FEMALE_STRAIN_NAME, COMMENTS, FEMALE_STRAIN_ID,
 REQUESTED_FEMALE_STRAIN_ID)
AS
SELECT v.colony_name colony_name, v.colony_id colony_id,
          v.request_id request_id, v.freeze_down_date freeze_down_date,
          v.embryo_count embryo_count, v.embryo_grade embryo_grade,
          v.embryo_grade_dict_id embryo_grade_dict_id,
          (   'Freezer ' || v.freezer_name
           || ', Tower '
           || v.tower_name
           || ', Box '
           || v.box_name
           || ', Vial '
           || v.vial_position
          ) location_name,
          v.ID ID, v.technician_name technician_name,
          v.technician_id technician_id, v.sample_id, v.scheduled_job_id,
          v.cryo_job_status_dict_id, v.thaw_test_id, 'vial' storage_type,v.female_strain_name,v.requested_female_strain_name,v.comments, v.female_strain_id,
    v.requested_female_strain_id
     FROM crq_vial_sample_list_vw v
   UNION
   SELECT s.colony_name colony_name, s.colony_id colony_id,
          s.request_id request_id, s.freeze_down_date freeze_down_date,
          s.embryo_count embryo_count, s.embryo_grade embryo_grade,
          s.embryo_grade_dict_id embryo_grade_dict_id,
          (   'Freezer ' || s.freezer_name
           || ', Canister '
           || s.canister_name
           || ', Goblet '
           || s.goblet_name
           || ', Wedge '
           || s.wedge_colour
          ) location_name,
          s.ID ID, s.technician_name technician_name,
          s.technician_id technician_id, s.sample_id, s.scheduled_job_id,
          s.cryo_job_status_dict_id, s.thaw_test_id, 'straw' storage_type,s.female_strain_name,s.requested_female_strain_name,s.comments,s.female_strain_id,
    s.requested_female_strain_id
     FROM crq_straw_sample_list_vw s
/

CREATE OR REPLACE VIEW MIR_CELL_LINE_LIST_VW
(ID, CREATED_BY, CELL_LINE_PROVIDER_NAME_NO, CREATOR_ID, CREATED_DATE,
 CELL_LINE_NAME, GENE_ID, GENE_NAME, ALLELE_NAME, MODIFIED_ALLELE_ID,
 CELL_LINE_SOURCE, CELL_LINE_SOURCE_ID, CLONE_NAME, COAT_COLOR_NAME, COAT_COLOR_ID,
 STRAIN_NAME, STRAIN_ID, GENOTYPE, GENOTYPE_ID, WILDTYPE_PRIMER_FORWARD,
 WILDTYPE_PRIMER_REVERSE, WILDTYPE_EXPECTED_SIZE, ALLELE_PRIMER_FORWARD, ALLELE_PRIMER_REVERSE, ALLELE_EXPECTED_SIZE,
 EDIT_DATE, EDITED_BY, FUNDING, FUNDING_ID)
AS
select c.id, p.first_name || ' ' || p.last_name created_by,
       decode (cp.phone_number,
               '', cp.first_name || ' ' || cp.last_name,
                  cp.first_name
               || ' '
               || cp.last_name
               || '('
               || cp.phone_number
               || ')'
              ) cell_line_provider_name_no,
       c.creator_id, c.created_date, c.cell_line_name, mod_allele.gene_id,
       mod_allele.gene_name, mod_allele.allele_name,
       mod_allele.id modified_allele_id, cs.name cell_line_source,
       cs.id cell_line_source_id, c.clone_name, cc.name coat_color_name,
       cc.id coat_color_id, st.name strain_name, st.id strain_id,
       gd.name genotype, gd.id genotype_id,
       mod_allele.wildtype_primer_forward, mod_allele.wildtype_primer_reverse,
       mod_allele.wildtype_expected_size, mod_allele.allele_primer_forward,
       mod_allele.allele_primer_reverse, mod_allele.allele_expected_size,
       c.edit_date, c.edited_by,
    cf.name funding,
    c.cell_line_funding_dict_id funding_id
  from mir_cell_line c,
       per_person p,
       per_person cp,
       mts_coat_colour_dict cc,
       mir_cell_line_strain_dict st,
       mir_es_cell_line_source_dict cs,
       app_funding_source_dict cf,
       mts_genotype_dict gd,
       (select a.id, a.gene_id, g.primary_name gene_name,
               a.official_name_superscript allele_name,
               a.id modified_allele_id, gt_test.wildtype_primer_forward,
               gt_test.wildtype_primer_reverse,
               gt_test.wildtype_expected_size, gt_test.allele_primer_forward,
               gt_test.allele_primer_reverse, gt_test.allele_expected_size
          from typ_modified_allele a,
               gnm_gene g,
               (select gt.allele_id,
                       gpp1.five_prime_forward wildtype_primer_forward,
                       gpp1.three_prime_reverse wildtype_primer_reverse,
                       gpp1.expected_size wildtype_expected_size,
                       gpp2.five_prime_forward allele_primer_forward,
                       gpp2.three_prime_reverse allele_primer_reverse,
                       gpp2.expected_size allele_expected_size
                  from typ_genotype_test gt,
                       typ_genotyping_primer_pair gpp1,
                       typ_genotyping_primer_pair gpp2
                 where gpp1.genotype_test_id = gt.id
                   and gpp1.primer_pair_type_id = 1
                   and gpp2.genotype_test_id = gt.id
                   and gpp2.primer_pair_type_id = 2) gt_test
         where a.gene_id = g.id(+) and gt_test.allele_id(+) =
                                                                          a.id) mod_allele
 where c.creator_id = p.person_id
   and c.modified_allele_id = mod_allele.id(+)
   and c.expected_coat_color_dict_id = cc.id(+)
   and c.genotype_dict_id = gd.id(+)
   and c.cell_line_strain_dict_id = st.id(+)
   and c.cell_line_source_dict_id = cs.id(+)
   and c.cell_line_funding_dict_id = cf.id(+)
   and c.cell_line_provider_id = cp.person_id(+)
   /

CREATE OR REPLACE VIEW CRQ_CRYO_REQUEST_LIST_VW
(ID, STATUS_DICT_ID, STATUS, CANCEL_REASON, PERSON_ID,
 REQUESTER_NAME, TEAM_NUMBER, COLONY_INFO_ID, COLONY_NAME, COLONY_PREFIX,
 APPENDED_STRAINS, APPENDED_ALLELES, APPEND_HOMOZYGOUS_LETHAL, FEMALE_STRAIN, FUNDING_SOURCE,
 TOTAL_PLUGGED, TOTAL_SUPEROVULATED, TOTAL_ATTEMPTS, TOTAL_THAW_ATTEMPTS, TOTAL_FROZEN,
 TARGET_COUNT, CREATED_DATE)
AS
SELECT   ccr.ID, ccr.status_dict_id, crsd.NAME status, ccr.cancel_reason, p.person_id,
            p.first_name || ' ' || p.last_name AS requester_name,
            t.team_number, mci.ID colony_info_id, mci.colony_name,
            mci.colony_prefix,
            CRQ.Addstrainsforcryorequest (ccr.ID) appended_strains,
            CRQ.Addallelesforcryorequest (ccr.ID) appended_alleles,
            CRQ.Addhomozygouslethals (ccr.ID) append_homozygous_lethal,
            crstd.NAME female_strain,
            fd.name funding_source,
            NVL (SUM (sjlv.total_plugged), 0) total_plugged,
            NVL (SUM (sjlv.total_superovulated), 0) total_superovulated,
            NVL (rac.total_attempts, 0) total_attempts,
   NVL (rat.TOTAL_THAW_ATTEMPTS, 0) total_thaw_attempts,
            NVL (SUM (sjlv.total_frozen_count), 0) total_frozen,
            NVL (ccr.target_count, 0) target_count, ccr.created_date
       FROM CRQ_CRYO_REQUEST ccr,
            MTS_COLONY_INFO mci,
            typ_strain crstd,
            crq_scheduled_job_list_vw sjlv,
            crq_req_attempt_count_list_vw rac,
   crq_thaw_attempt_count_list rat,
            CRQ_CRYO_REQUEST_STATUS_DICT crsd,
            PER_PERSON p,
            PER_TEAM t,
      APP_FUNDING_SOURCE_DICT fd
      WHERE ccr.colony_id = mci.ID(+)
        AND ccr.ID = sjlv.cryo_request_id(+)
        AND ccr.ID = rac.ID(+)
  AND ccr.ID = rat.ID(+)
        AND ccr.status_dict_id = crsd.ID(+)
        AND ccr.female_strain_dict_id = crstd.ID(+)
        AND ccr.requester_id = p.person_id(+)
        AND p.team_id = t.ID(+)
        AND sjlv.status_id(+) ! = 4
  AND ccr.funding_source_dict_id = fd.id(+)
        AND sjlv.cryo_request_id(+) IS NOT NULL
   GROUP BY ccr.ID,
            ccr.status_dict_id,
            rac.total_attempts,
   rat.TOTAL_THAW_ATTEMPTS,
            crsd.NAME,
            p.person_id,
            p.first_name || ' ' || p.last_name,
            t.team_number,
            mci.ID,
            mci.colony_name,
            mci.colony_prefix,
            crstd.NAME,
           fd.name,
            ccr.target_count,
            ccr.created_date,
   ccr.cancel_reason
 /


INSERT INTO APP_FUNDING_SOURCE_DICT ( ID, NAME, DESCRIPTION, ACTIVE,
ORDER_BY ) VALUES (
1, 'EUCOMM', 'EUCOMM', 1, 1);
INSERT INTO APP_FUNDING_SOURCE_DICT ( ID, NAME, DESCRIPTION, ACTIVE,
ORDER_BY ) VALUES (
2, 'KOMP', 'KOMP', 1, 2);
INSERT INTO APP_FUNDING_SOURCE_DICT ( ID, NAME, DESCRIPTION, ACTIVE,
ORDER_BY ) VALUES (
3, 'FACULTY', 'FACULTY', 1, 3);
COMMIT;


ALTER TRIGGER MTS_MOUSE_TA ENABLE;

ALTER TRIGGER MTS_MOUSE_T2 ENABLE;

ALTER TRIGGER MTS_MOUSE_T3 ENABLE;
