connect mig_audit

CREATE TABLE MTS_BREEDING_CATEGORY_DICT
(
  ID           INTEGER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 CHAR),
  ORDER_BY     INTEGER                          NOT NULL,
  ACTIVE       INTEGER                          NOT NULL
)
TABLESPACE DATA_02;

alter table mts_breeding add breeding_category_dict_id integer;

connect mig;

CREATE TABLE MTS_BREEDING_CATEGORY_DICT
(
  ID           INTEGER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 CHAR),
  ORDER_BY     INTEGER                          NOT NULL,
  ACTIVE       INTEGER                          NOT NULL
)
TABLESPACE DATA_02
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE MTS_BREEDING_CATEGORY_DICT ADD (
  CONSTRAINT MTS_BREEDING_CATEGORY_DICT_PK
 PRIMARY KEY
 (ID)
    USING INDEX
    TABLESPACE INDEX_02);

SET DEFINE OFF;
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (1, 'Chimera progeny', 'Chimeric males x WT females', 1, 1);
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (2, 'Lethality', 'het x het', 2, 1);
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (3, 'Fertility', 'hom x hom, or hom x WT', 3, 1);
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (4, 'Rescue', 'het x WT or LacZ+ve x WT', 4, 1);
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (5, 'Expansion', 'het x WT', 5, 1);
Insert into MTS_BREEDING_CATEGORY_DICT
   (ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (6, 'Cohort', 'het x het (hom viable), het x WT (hom not viable), with accelerated breeding hom x hom for viable lines', 6, 1);
COMMIT;


alter table mts_breeding add breeding_category_dict_id integer;

ALTER TABLE MTS_BREEDING ADD (
  CONSTRAINT MTS_BREEDING_FK06
 FOREIGN KEY (BREEDING_CATEGORY_DICT_ID)
 REFERENCES MTS_BREEDING_CATEGORY_DICT (ID));

CREATE INDEX MTS_BREEDING_IND5 ON MTS_BREEDING
(BREEDING_CATEGORY_DICT_ID)
LOGGING
TABLESPACE INDEX_02
NOPARALLEL;

CREATE OR REPLACE TRIGGER MTS_BREEDING_TA
before update or delete on MTS_BREEDING for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_BREEDING(
    ID,
    START_DATE,
    END_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    COMMENTS,
    CREATOR_ID,
    CREATED_DATE,
    MALE_ID,
    FEMALE_ID,
    OFFSPRING_COLONY_ID,
    PSEUDO_BREEDING,
    EMBRYO_TRANSFER_ID,
    NAME_PREFIX,
    BREEDING_NUMBER,
    TIMED_MATING,
    TIMED_MATING_EMBRYO_AGE,
    AUDIT_ACTION,
    BREEDING_CATEGORY_DICT_ID)
 values (
    :old.ID,
    :old.START_DATE,
    :old.END_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.COMMENTS,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.MALE_ID,
    :old.FEMALE_ID,
    :old.OFFSPRING_COLONY_ID,
    :old.PSEUDO_BREEDING,
    :old.EMBRYO_TRANSFER_ID,
    :old.NAME_PREFIX,
    :old.BREEDING_NUMBER,
    :old.TIMED_MATING,
    :old.TIMED_MATING_EMBRYO_AGE,
    AUDIT_ACTION,
    :old.BREEDING_CATEGORY_DICT_ID);
end if;
end;
/
