connect mig_audit

alter table mts_mouse_allele add (is_qc_locked number(1));

create table gtp_well_type_dict
(id integer,
 name varchar2(64 char),
 description varchar2(512 char),
 order_by integer,
 active number(1));

alter table gtp_well_type_dict add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_well_type_dict add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_well_type_dict add (audit_action varchar2(10));

grant insert on gtp_well_type_dict to mig;

create table gtp_assay_type_dict
(id integer,
 name varchar2(64 char),
 description varchar2(512 char),
 order_by integer,
 active number(1),
 scope varchar2(8 char));

alter table gtp_assay_type_dict add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay_type_dict add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay_type_dict add (audit_action varchar2(10));

grant insert on gtp_assay_type_dict to mig;

create table gtp_assay_result_dict
(id integer,
 name varchar2(64 char),
 description varchar2(512 char),
 order_by integer,
 active number(1));

alter table gtp_assay_result_dict add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay_result_dict add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay_result_dict add (audit_action varchar2(10));

grant insert on gtp_assay_result_dict to mig;

create table gtp_assay_plate
(id integer,
 cohort_id integer,
 sheet_barcode varchar2(64 char),
 plate_barcode varchar2(64 char),
 is_auto_populated number(1),
 creator_id integer,
 created_date date,
 edited_by varchar2(32 char),
 edit_date date,
 check_number integer,
 rows_on_plate integer,
 columns_on_plate integer)
tablespace data_02;

alter table gtp_assay_plate add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay_plate add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay_plate add (audit_action varchar2(10));

grant insert on gtp_assay_plate to mig;

create table gtp_assay_plate_well
(id integer,
 assay_plate_id integer,
 mouse_id integer,
 plate_row integer,
 plate_column integer,
 well_type_dict_id integer,
 earmark_dict_id integer,
 is_locked number(1),
 is_sample_collected number(1),
 creator_id integer,
 created_date date,
 edited_by varchar2(32 char),
 edit_date date,
 check_number integer)
tablespace data_02;

alter table gtp_assay_plate_well add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay_plate_well add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay_plate_well add (audit_action varchar2(10));

grant insert on gtp_assay_plate_well to mig;

create table gtp_assay
(id integer,
 assay_type_dict_id integer,
 assay_date date,
 allele_id integer,
 assay_plate_id integer,
 creator_id integer,
 created_date date,
 edited_by varchar2(32 char),
 edit_date date,
 check_number integer,
 comments varchar2(4000 char))
tablespace data_02;

alter table gtp_assay add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay add (audit_action varchar2(10));

grant insert on gtp_assay to mig;

create table gtp_assay_result
(id integer,
 assay_result_dict_id integer,
 assay_id integer,
 assay_plate_well_id integer,
 creator_id integer,
 created_date date,
 edited_by varchar2(32 char),
 edit_date date,
 check_number integer,
 comments varchar2(4000 char))
tablespace data_02;

alter table gtp_assay_result add (audit_timestamp timestamp(6) default systimestamp);
alter table gtp_assay_result add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table gtp_assay_result add (audit_action varchar2(10));

grant insert on gtp_assay_result to mig;

create table mts_geno_history_source_dict
(id integer,
 name varchar2(64 char),
 description varchar2(512 char),
 order_by integer,
 active number(1));

alter table mts_geno_history_source_dict add (audit_timestamp timestamp(6) default systimestamp);
alter table mts_geno_history_source_dict add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mts_geno_history_source_dict add (audit_action varchar2(10));

grant insert on mts_geno_history_source_dict to mig;

create table mts_genotype_history
(id integer,
 mouse_allele_id integer,
 assignment_date date,
 genotype_dict_id integer,
 creator_id integer,
 created_date date,
 edited_by varchar2(32 char),
 edit_date date,
 check_number integer,
 source_dict_id integer)
tablespace data_02;

alter table mts_genotype_history add (audit_timestamp timestamp(6) default systimestamp);
alter table mts_genotype_history add (os_user varchar2(30) default sys_context('USERENV','OS_USER'));
alter table mts_genotype_history add (audit_action varchar2(10));

grant insert on mts_genotype_history to mig;

connect mig

@dbMaintenance/054_release/001_fix_pheno_view.sql

@dbMaintenance/054_release/002_genotyping.sql

-- add the extra observations required, and record the mappings
insert into PHN_REQUIRED_OBSERVATION (ID,OBSERVATION_TYPE_ID,ORDER_BY,DISPLAY_NAME,ACTIVE,CREATED_DATE,CREATOR_ID,EDIT_DATE,EDITED_BY,CHECK_NUMBER,SOP_ID,DEFAULT_VALUE,MANDATORY_OBSERVATION,SECTION_TITLE,IS_MACHINE_DATA,IS_SERIES_DATA) values (PHN_REQUIRED_OBSERVATION_SEQ.NEXTVAL,247,10,'Water-Bottle Weight Before',1,to_date('21-NOV-08','DD-MON-RR'),439,to_date('21-NOV-08','DD-MON-RR'),'dr4',4299571,147,null,0,null,0,0);
insert into PHN_REQUIRED_OBSERVATION (ID,OBSERVATION_TYPE_ID,ORDER_BY,DISPLAY_NAME,ACTIVE,CREATED_DATE,CREATOR_ID,EDIT_DATE,EDITED_BY,CHECK_NUMBER,SOP_ID,DEFAULT_VALUE,MANDATORY_OBSERVATION,SECTION_TITLE,IS_MACHINE_DATA,IS_SERIES_DATA) values (PHN_REQUIRED_OBSERVATION_SEQ.NEXTVAL,247,11,'Water-Bottle Weight After',1,to_date('21-NOV-08','DD-MON-RR'),439,to_date('21-NOV-08','DD-MON-RR'),'dr4',4299572,147,null,0,null,0,0);

insert into phn_upload_mapping (id,required_observation_id,field_name,name) values (
  PHN_UPLOAD_MAPPING_SEQ.NEXTVAL,
  (select id from phn_required_observation where sop_id = 147 and display_name = 'Water-Bottle Weight Before'),
  'WATER_BOTTLE_BEFORE','MGP_CALORIMETRY'
);

insert into phn_upload_mapping (id,required_observation_id,field_name,name) values (
  PHN_UPLOAD_MAPPING_SEQ.NEXTVAL,
  (select id from phn_required_observation where sop_id = 147 and display_name = 'Water-Bottle Weight After'),
  'WATER_BOTTLE_AFTER','MGP_CALORIMETRY'
);

-- back fill into the existing phenotyping records
insert into phn_observation (id, experiment_id, required_observation_id,  value, observation_time)
(
select PHN_OBSERVATION_SEQ.NEXTVAL, e.id, ro.id, ro.default_value, sysdate
from phn_experiment e
join phn_required_observation ro on e.sop_id = ro.sop_id
left outer join phn_observation o on e.id = o.experiment_id and o.required_observation_id = ro.id
where e.sop_id = 147
and o.id is null
);

insert into gtp_well_type_dict (id, name, description, order_by, active) values (1, 'Blank', 'BLANK', 1, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (2, 'Control', 'CONTROL', 2, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (3, 'Earclip', 'EARCLIP', 3, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (4, 'Other Tissue', 'OTHER_TISSUE', 4, 1);

insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (1, 'LacZ', null, 1, 1, 'Plate');
insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (2, 'Mutant', null, 2, 1, 'Allele');
insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (3, 'Wildtype', null, 3, 1, 'Allele');

insert into gtp_assay_result_dict (id, name, description, order_by, active) values (1, 'Present', null, 1, 1);
insert into gtp_assay_result_dict (id, name, description, order_by, active) values (2, 'Absent', null, 2, 1);
insert into gtp_assay_result_dict (id, name, description, order_by, active) values (3, 'Ambiguous', null, 3, 1);

insert into mts_geno_history_source_dict (id, name, description, order_by, active) values (1, 'PCR', null, 1, 1);
insert into mts_geno_history_source_dict (id, name, description, order_by, active) values (2, 'Manual', null, 2, 1);

insert into mts_genotype_dict (id, name, order_by, description, active) values (5, 'Failed', 6, 'FAIL', 1);
insert into mts_genotype_dict (id, name, order_by, description, active) values (6, 'Hemizygous', 5, 'HEMI', 1);
insert into mts_genotype_dict (id, name, order_by, description, active) values (7, 'Conditional Het', 7, 'CHET', 1);
insert into mts_genotype_dict (id, name, order_by, description, active) values (8, 'Conditional Hom', 8, 'CHOM', 1);
insert into mts_genotype_dict (id, name, order_by, description, active) values (9, 'Conditional', 9, 'COND', 1);
insert into mts_genotype_dict (id, name, order_by, description, active) values (10, 'Chimeric', 10, 'CHIM', 1);
update mts_genotype_dict set order_by = 1, name = 'Untested' where id = 4;
update mts_genotype_dict set order_by = 2 where id = 1;
update mts_genotype_dict set order_by = 3 where id = 2;
update mts_genotype_dict set order_by = 4 where id = 3;

insert into mts_mouse_allele a
select
  mts_mouse_allele_seq.nextval id,
  m.id mouse_id,
  c.modified_allele_id allele_id,
  1 genotype_dict_id,
  275 creator_id,
  sysdate created_date,
  'dg6' edited_by,
  sysdate edit_date,
  app_check_number_seq.nextval check_number,
  0 is_qc_locked
from
  mts_mouse m,
  mts_colony_info i,
  mts_colony_allele c
where
  m.name like i.colony_prefix||'%' and
  not exists (select null from mts_mouse_allele a where a.mouse_id = m.id) and
  m.colony_info_id = i.id and
  c.colony_id = i.id and c.modified_allele_id != 886;

commit;

-- data changes required when we roll out the genotyping module
insert into APP_TABLE_METADATA (id,table_name,primary_key_column) values (
  (select max(id)+1 from APP_TABLE_METADATA),'GTP_ASSAY_PLATE','ID'
);
insert into APP_TABLE_METADATA (id,table_name,primary_key_column) values (
  (select max(id)+1 from APP_TABLE_METADATA),'GTP_ASSAY','ID'
);
insert into MTS_COHORT_TYPE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (4,'Genotyping List',null,4,'1');

begin
  app_sync_custom_query('assayPlateResultSummary','migd.world');
  app_sync_custom_query('genotypeAssayPlates','migd.world');
  app_sync_custom_query('genotypeHistoryToday','migd.world');
  app_sync_custom_query('genotypeCohorts','migd.world');
  app_sync_custom_query('genotypeHistory','migd.world');
  app_sync_custom_query('ungenotypedPups','migd.world');
end;
/

insert into app_custom_query_rset_action (id, custom_query_id, action_title, action_url, order_by, permitted_roles) values (7, 11, 'Add To Genotyping Cohort', 'manage_cohort.do?addSelectedMice=true'||chr(38)||'cohortTypeId=4', 6, 'admin,gtp-manager');

insert into app_custom_query_column(id,custom_query_id,column_name,column_title,datatype,order_by,is_display_column,is_filter_column)
values (app_custom_query_col_seq.nextval,(select id from app_custom_query where unique_name='RepPhenotypingPipelineCount'),'CHANGED_GENOTYPES','Changed Genotypes','number',15,1,1);

insert into app_custom_query_column(id,custom_query_id,column_name,column_title,datatype,order_by,is_display_column,is_filter_column)
values (app_custom_query_col_seq.nextval,(select id from app_custom_query where unique_name='RepPhenotypingPipelineCount'),'FINAL_GENOTYPES','Final Genotypes','number',16,1,1);

commit;

create or replace trigger GTP_ASSAY_ta
before update or delete on GTP_ASSAY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY(
    ID,
    ASSAY_TYPE_DICT_ID,
    ASSAY_DATE,
    ALLELE_ID,
    ASSAY_PLATE_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ASSAY_TYPE_DICT_ID,
    :old.ASSAY_DATE,
    :old.ALLELE_ID,
    :old.ASSAY_PLATE_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_ASSAY_PLATE_ta
before update or delete on GTP_ASSAY_PLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY_PLATE(
    ID,
    COHORT_ID,
    SHEET_BARCODE,
    PLATE_BARCODE,
    IS_AUTO_POPULATED,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    ROWS_ON_PLATE,
    COLUMNS_ON_PLATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_ID,
    :old.SHEET_BARCODE,
    :old.PLATE_BARCODE,
    :old.IS_AUTO_POPULATED,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.ROWS_ON_PLATE,
    :old.COLUMNS_ON_PLATE,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_ASSAY_PLATE_WELL_ta
before update or delete on GTP_ASSAY_PLATE_WELL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY_PLATE_WELL(
    ID,
    ASSAY_PLATE_ID,
    MOUSE_ID,
    PLATE_ROW,
    PLATE_COLUMN,
    WELL_TYPE_DICT_ID,
    EARMARK_DICT_ID,
    IS_LOCKED,
    IS_SAMPLE_COLLECTED,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ASSAY_PLATE_ID,
    :old.MOUSE_ID,
    :old.PLATE_ROW,
    :old.PLATE_COLUMN,
    :old.WELL_TYPE_DICT_ID,
    :old.EARMARK_DICT_ID,
    :old.IS_LOCKED,
    :old.IS_SAMPLE_COLLECTED,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_ASSAY_RESULT_ta
before update or delete on GTP_ASSAY_RESULT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY_RESULT(
    ID,
    ASSAY_RESULT_DICT_ID,
    ASSAY_ID,
    ASSAY_PLATE_WELL_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ASSAY_RESULT_DICT_ID,
    :old.ASSAY_ID,
    :old.ASSAY_PLATE_WELL_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_ASSAY_RESULT_DICT_ta
before update or delete on GTP_ASSAY_RESULT_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY_RESULT_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_ASSAY_TYPE_DICT_ta
before update or delete on GTP_ASSAY_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_ASSAY_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    SCOPE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    :old.SCOPE,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger GTP_WELL_TYPE_DICT_ta
before update or delete on GTP_WELL_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.GTP_WELL_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger MTS_MOUSE_ALLELE_ta
before update or delete on MTS_MOUSE_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_MOUSE_ALLELE(
    ID,
    MOUSE_ID,
    ALLELE_ID,
    GENOTYPE_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    IS_QC_LOCKED,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.ALLELE_ID,
    :old.GENOTYPE_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.IS_QC_LOCKED,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger MTS_GENOTYPE_HISTORY_ta
before update or delete on MTS_GENOTYPE_HISTORY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_GENOTYPE_HISTORY(
    ID,
    MOUSE_ALLELE_ID,
    ASSIGNMENT_DATE,
    GENOTYPE_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    SOURCE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ALLELE_ID,
    :old.ASSIGNMENT_DATE,
    :old.GENOTYPE_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.SOURCE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/
create or replace trigger MTS_GENO_HISTORY_SOURCE_DIC_ta
before update or delete on MTS_GENO_HISTORY_SOURCE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_GENO_HISTORY_SOURCE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;

DROP VIEW MIG.HTL_SCAN_VW;

CREATE OR REPLACE FORCE VIEW mig.htl_scan_vw (ID,
                                              status_dict_id,
                                              status,
                                              file_path,
                                              version_number,
                                              sweep_date,
                                              width,
                                              height,
                                              thumbnail,
                                              thumb_width,
                                              thumb_height,
                                              slide_id,
                                              staining,
                                              block_name,
                                              block_description,
                                              mouse_barcode,
                                              genotype
                                             )
AS
   SELECT sc.ID ID, sc.status_dict_id, scstat.NAME status, sc.file_path,
          sc.version_number, sc.sweep_date, sc.width, sc.height,
          bin.binary_data thumbnail, sc.thumb_width, sc.thumb_height,
          sl.ID slide_id, st.NAME staining, bt.NAME block_name,
          bt.description block_description, m.barcode mouse_barcode,
          mts.fetch_genotype (m.ID) genotype
     FROM htl_scan sc,
          htl_scan_status_dict scstat,
          app_binary_files bin,
          htl_slide sl,
          htl_staining_type_dict st,
          htl_block b,
          htl_block_type bt,
          htl_fixation f,
          htl_necropsy n,
          mts_mouse m
    WHERE sc.status_dict_id = scstat.ID
      AND sc.thumbnail_id = bin.ID
      AND sc.slide_id = sl.ID
      AND sl.staining_type_dict_id = st.ID
      AND sl.block_id = b.ID
      AND b.block_type_id = bt.ID
      AND b.fixation_id = f.ID
      AND f.necropsy_id = n.ID
      AND n.mouse_id = m.ID;

CREATE OR REPLACE PACKAGE     MTS AS
/******************************************************************************
   NAME:       MTS
   PURPOSE:

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   V3.0.39       18/04/2008             wl1 Created this package.
******************************************************************************/


  PROCEDURE mts_delete_colony(in_colony_id number);
  PROCEDURE mts_delete_mouse(in_mouse_id number);
  PROCEDURE MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number);
  FUNCTION  MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list;
  FUNCTION fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2;
  FUNCTION fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2;
  FUNCTION fetch_simple_genotype (in_mouse_id number) return varchar2;
  FUNCTION FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number) RETURN NUMBER;
  FUNCTION FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER;
  FUNCTION FETCH_CAGE_TYPE(in_cage_id number) RETURN varchar2;

  function fetch_genotype(in_mouse_id number) return varchar2;

END MTS;
/



CREATE OR REPLACE PACKAGE BODY     mts as


/* ====================================

  mts_delete_colony(in_colony_id number)

 ==================================== */

PROCEDURE mts_delete_colony(in_colony_id number) IS
BEGIN
  delete mts_colony_allele where colony_id = in_colony_id;
  delete mts_colony_behaviour where colony_id = in_colony_id;
  delete mts_colony_coat_colour where colony_id = in_colony_id;
  delete mts_colony_contact where colony_id = in_colony_id;
  delete mts_colony_cross where colony_id = in_colony_id;
  delete mts_colony_room where colony_id = in_colony_id;
  delete mts_colony_strain where colony_id = in_colony_id;
  delete mts_colony_info where id = in_colony_id;

END mts_delete_colony;

/* ====================================

  MTS_DELETE_MOUSE(IN_MOUSE_ID number)

 ==================================== */
PROCEDURE MTS_DELETE_MOUSE(IN_MOUSE_ID number) IS

BEGIN

  delete mts_mouse_procedure where mouse_id = in_mouse_id;

  delete mts_chimeric_mouse_data where mouse_id = in_mouse_id;

  delete mts_mouse_cage_history where mouse_id = in_mouse_id;

  delete mts_mouse_allele where mouse_id = in_mouse_id;

  delete mts_mouse where id = in_mouse_id;

END MTS_DELETE_MOUSE;

/* ====================================

  MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number)

 ==================================== */
PROCEDURE MTS_MIR_MOVE_COLONY(IN_MIR_ID number, IN_COLONY_ID number) IS

cursor c_colony_info is
select * from mts_colony_info where id = in_colony_id;

t_colony_info mts_colony_info%rowtype;

cursor c_embryo_transfer_breedings is
select b.*
from
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by b.id
for update of b.name_prefix,b.offspring_colony_id,b.breeding_number;

cursor c_embryo_transfer_recipients is
select m.*
from
  mts_mouse m,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  b.female_id = m.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by m.id
for update of m.colony_info_id;

cursor c_next_breeding_number is
select 1 + max(breeding_number)
from
  mts_breeding
where
  offspring_colony_id = in_colony_id;

t_next_breeding_number number;

t_old_offspring_colony_id number;

cursor c_embryo_transfer_litters is
select l.*, b.name_prefix||b.breeding_number||'.' new_prefix
from
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by l.id
for update of l.name_prefix;

cursor c_chimeras is
select m.*, l.name_prefix||l.litter_number||lower(substr(m.name,length(m.name))) new_name
from
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by l.id
for update of m.colony_info_id, m.name;

cursor c_chimera_matings is
select cb.*
from
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by cb.id
for update of cb.name_prefix,cb.offspring_colony_id,cb.breeding_number;

cursor c_chimera_mates is
select f.*
from
  mts_mouse f,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cb.female_id = f.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by f.id
for update of f.colony_info_id;

cursor c_chimera_litters is
select cl.*,cb.name_prefix||cb.breeding_number||'.' new_prefix
from
  mts_litter cl,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  cl.breeding_id = cb.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by cl.id
for update of cl.name_prefix;

cursor c_chimera_offspring is
select co.*,cl.name_prefix||cl.litter_number||lower(substr(co.name,length(co.name))) new_name
from
  mts_mouse co,
  mts_litter cl,
  mts_breeding cb,
  mts_mouse m,
  mts_litter l,
  mts_breeding b,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi,
  mir_micro_injection_request mir
where
  co.litter_id = cl.id and
  cl.breeding_id = cb.id and
  cb.male_id = m.id and
  m.litter_id = l.id and
  l.breeding_id = b.id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id and
  smi.micro_injection_request_id = mir.id and
  mir.id = in_mir_id
order by co.id
for update of co.colony_info_id, co.name;

BEGIN

     open c_colony_info;
  fetch c_colony_info into t_colony_info;
  close c_colony_info;

  --update colony for MIR
  dbms_output.put_line('updating mir '||in_mir_id||' to new colony id '||in_colony_id);

  update mir_micro_injection_request
  set colony_info_id = in_colony_id
  where id = in_mir_id;
  dbms_output.put_line('rows affected: '||sql%rowcount);

  -- update embryo transfer matings (colony, name and number)
  for b in c_embryo_transfer_breedings loop

   t_old_offspring_colony_id := b.offspring_colony_id;

   if nvl(t_old_offspring_colony_id,-1) != in_colony_id then

     open c_next_breeding_number;
     fetch c_next_breeding_number into t_next_breeding_number;
     close c_next_breeding_number;

     if t_next_breeding_number is null then
        t_next_breeding_number := 1;
     end if;

     dbms_output.put_line('updating breeding '||b.id||'('||b.breeding_number||')'||' setting breeding number, colony and name prefix  from '||b.breeding_number||','||b.offspring_colony_id||','||b.name_prefix||' to '||t_next_breeding_number||','||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
     set
       offspring_colony_id = in_colony_id,
       name_prefix = t_colony_info.colony_prefix,
       breeding_number = t_next_breeding_number
     where current of c_embryo_transfer_breedings;
     dbms_output.put_line('rows affected: '||sql%rowcount);
      else
     dbms_output.put_line('updating breeding '||b.id||'('||b.breeding_number||')'||' setting colony and name prefix from '||b.offspring_colony_id||','||b.name_prefix||' to '||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
    set
      offspring_colony_id = in_colony_id,
      name_prefix = t_colony_info.colony_prefix
    where current of c_embryo_transfer_breedings;
    dbms_output.put_line('rows affected: '||sql%rowcount);
   end if;

  end loop;

  -- update embryo transfer recipients
  for m in c_embryo_transfer_recipients loop
    dbms_output.put_line('updating et recipient '||m.id||'('||m.name||') setting colony '||in_colony_id);
   update mts_mouse
   set
     colony_info_id = in_colony_id
   where current of c_embryo_transfer_recipients;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update embryo transfer litters
  for l in c_embryo_transfer_litters loop
    dbms_output.put_line('updating et litter '||l.id||' seting name prefix from '||l.name_prefix||' to '||l.new_prefix);
    update mts_litter
   set
     name_prefix = l.new_prefix
   where current of c_embryo_transfer_litters;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimeras
  for m in c_chimeras loop
    dbms_output.put_line('updating chimera '||m.id||'('||m.name||') setting colony_id, name from '||m.colony_info_id||','||m.name||' to '||in_colony_id||','||m.new_name);
    update mts_mouse
   set
     colony_info_id = in_colony_id,
     name = m.new_name
   where current of c_chimeras;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera matings
  for cm in c_chimera_matings loop

   t_old_offspring_colony_id := cm.offspring_colony_id;

   if nvl(t_old_offspring_colony_id,-1) != in_colony_id then

     open c_next_breeding_number;
     fetch c_next_breeding_number into t_next_breeding_number;
     close c_next_breeding_number;

     if t_next_breeding_number is null then
        t_next_breeding_number := 1;
     end if;

     dbms_output.put_line('updating chimera breeding '||cm.id||'('||cm.breeding_number||')'||' setting breeding number, colony and name prefix  from '||cm.breeding_number||','||cm.offspring_colony_id||','||cm.name_prefix||' to '||t_next_breeding_number||','||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
     set
       offspring_colony_id = in_colony_id,
       name_prefix = t_colony_info.colony_prefix,
       breeding_number = t_next_breeding_number
     where current of c_chimera_matings;
     dbms_output.put_line('rows affected: '||sql%rowcount);
      else
     dbms_output.put_line('updating chimera breeding '||cm.id||'('||cm.breeding_number||')'||' setting colony and name prefix from '||cm.offspring_colony_id||','||cm.name_prefix||' to '||in_colony_id||','||t_colony_info.colony_prefix);
     update mts_breeding
    set
      offspring_colony_id = in_colony_id,
      name_prefix = t_colony_info.colony_prefix
    where current of c_chimera_matings;
    dbms_output.put_line('rows affected: '||sql%rowcount);
   end if;

  end loop;

  -- update chimera mates
  for m in c_chimera_mates loop
    dbms_output.put_line('updating chimera mate '||m.id||'('||m.name||') setting colony '||in_colony_id);
   update mts_mouse
   set
     colony_info_id = in_colony_id
   where current of c_chimera_mates;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera litters
  for l in c_chimera_litters loop
    dbms_output.put_line('updating chimera litter '||l.id||' seting name prefix from '||l.name_prefix||' to '||l.new_prefix);
    update mts_litter
   set
     name_prefix = l.new_prefix
   where current of c_chimera_litters;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;

  -- update chimera offspring
  for m in c_chimera_offspring loop
    dbms_output.put_line('updating F1 '||m.id||'('||m.name||') setting colony_id, name from '||m.colony_info_id||','||m.name||' to '||in_colony_id||','||m.new_name);
    update mts_mouse
   set
     colony_info_id = in_colony_id,
     name = m.new_name
   where current of c_chimera_offspring;
   dbms_output.put_line('rows affected: '||sql%rowcount);
  end loop;


END MTS_MIR_MOVE_COLONY;

/* ====================================

MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list

 ==================================== */


FUNCTION MTS_NEXT_BREEDING_NUMBERS (in_colony_id number) return integer_list IS

output_list integer_list := integer_list();

cursor c_colony_exists is
select count(*)
from mts_colony_info
where id = in_colony_id;

cursor c_last_breeding_number is
select max(breeding_number) max_number
from mts_breeding
where offspring_colony_id = in_colony_id;

cursor c_breeding_number_used(in_number number) is
select count(*) in_use
from mts_breeding
where offspring_colony_id = in_colony_id
and breeding_number = in_number;

cursor c_breeding_number_offset is
select offset
from mts_breeding_offset
where colony_info_id = in_colony_id;

n_colony_exists number;

n_last_breeding_number number;

n_breeding_number_used number;

n_breeding_number_offset number;

n_index number := 1;

BEGIN
     if in_colony_id is null then return null;
	 end if;

	 open c_colony_exists;
	 fetch c_colony_exists into n_colony_exists;
	 close c_colony_exists;
	 if n_colony_exists = 0 then return null;
	 end if;

	 open c_last_breeding_number;
	 fetch c_last_breeding_number into n_last_breeding_number;
	 close c_last_breeding_number;

	 if n_last_breeding_number is null then
	   n_last_breeding_number := 1;
	 end if;

	 if n_last_breeding_number = 1 then
	   open c_breeding_number_offset;
	   fetch  c_breeding_number_offset into n_breeding_number_offset;
	   close c_breeding_number_offset;
	 end if;

	 if n_breeding_number_offset is not null then
	   n_last_breeding_number := n_breeding_number_offset + n_last_breeding_number;
	 else
	   n_breeding_number_offset := 1;
	 end if;

	 for n in n_breeding_number_offset .. (n_last_breeding_number + 100) loop
	 	 open c_breeding_number_used(n);
		 fetch c_breeding_number_used into n_breeding_number_used;
		 close c_breeding_number_used;
		 if n_breeding_number_used = 0 then
		   output_list.extend;
		   output_list(n_index) := n;
		   n_index := n_index + 1;
		 end if;
	 end loop;

	 return output_list;
END mts_next_breeding_numbers;

/******************************************************************************
  fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2
******************************************************************************/
function fetch_pipelines (in_mouse_id in number, in_delimiter in varchar2) return varchar2
is
  t_pipelines varchar2(2000);
begin
for i in (
  select distinct
    p.name pipeline
  from
    mts_cohort_pipeline_dict p,
    mts_cohort_mouse m,
	mts_cohort c
  where
    c.pipeline_dict_id = p.id and
    m.cohort_id = c.id and
	m.mouse_id = in_mouse_id
) loop
    t_pipelines := t_pipelines || i.pipeline || in_delimiter;
  end loop;
  return substr(t_pipelines, 1, length(t_pipelines)-length(in_delimiter));
end;

/******************************************************************************
function fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2
******************************************************************************/

function fetch_cohort (in_mouse_id in number, in_delimiter in varchar2) return varchar2
is
  t_cohorts varchar2(2000);
begin

for i in (
  select
    c.cohort_name
  from
    mts_cohort_mouse m,
	mts_cohort c
  where
    m.cohort_id = c.id and
	m.mouse_id = in_mouse_id
) loop
    t_cohorts := t_cohorts || i.cohort_name || in_delimiter;
  end loop;

  return substr(t_cohorts, 1, length(t_cohorts)-length(in_delimiter));
end;

function fetch_genotype(in_mouse_id number) return varchar2
is
begin
  return mts_fetch_genotype(in_mouse_id);
end;

/******************************************************************************
   fetch_simple_genotype (in_mouse_id number) return varchar2
******************************************************************************/


function fetch_simple_genotype (in_mouse_id number) return varchar2 is

cursor c_alleles is
select
  decode(c.percent_chimeric,
  null,
	  decode(m.genotype_dict_id,
	    1, '+/+', --wildtype
	 	2, decode(a.inheritance_mode_id, -- heterozygous
		   		1,'-/+', -- dominant
				3,'-/+', -- semi-dominant
				'+/-'),
	 	3, '-/-', --homozygous
	 	4, '?'),
   0, '+/+', -- zero percent chimera
   c.percent_chimeric||'%' --chimera
  ) genotype -- unknown
from
  mts_mouse_allele m,
  typ_modified_allele a,
  mts_chimeric_mouse_data c
where
  m.mouse_id = in_mouse_id and
  m.allele_id = a.id and
  m.mouse_id = c.mouse_id(+);

v_genotype varchar2(4000) := '';

begin

  -- just return the first allele found (for now)
  open c_alleles;
  fetch c_alleles into v_genotype;
  close c_alleles;

  return trim(nvl(v_genotype,'+/+'));

end fetch_simple_genotype;


/******************************************************************************
   FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number)
******************************************************************************/
FUNCTION FETCH_GENOTYPE_BY_ALLELE(in_mouse_id number, in_allele_id number) RETURN NUMBER IS

cursor c_has_allele is
select genotype_dict_id
from
  mts_mouse_allele a
where
  a.mouse_id = in_mouse_id and
  a.allele_id = in_allele_id
;

t_genotype number;


BEGIN

  open c_has_allele;
  fetch c_has_allele into t_genotype;
  if c_has_allele%NOTFOUND then
    t_genotype := 1; --wildtype
  end if;
  close c_has_allele;

  return t_genotype;

END FETCH_GENOTYPE_BY_ALLELE;

/******************************************************************************
   FETCH_FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER
******************************************************************************/

FUNCTION FETCH_COHORT_GENOTYPE(in_cohort_id number, in_allele_id number) RETURN NUMBER IS

cursor c_has_allele is
select distinct genotype_dict_id
from
  mts_mouse_allele a,
  mts_cohort_mouse c
where
  c.cohort_id = in_cohort_id and
  a.allele_id = in_allele_id and
  a.mouse_id = c.mouse_id
;

t_genotype number;

t_loop_index number := 1;

BEGIN

  for a in c_has_allele loop
    if t_loop_index > 1 then
	  t_genotype := -1;
	  exit;
	end if;
    t_genotype := a.genotype_dict_id;
	t_loop_index := t_loop_index + 1;
  end loop;

  if t_genotype is null then
    t_genotype := 1; --wildtype
  end if;

  return t_genotype;

END FETCH_COHORT_GENOTYPE;

function fetch_cage_type(in_cage_id number) return varchar2 is

cursor is_embryo_transfer is
select
  decode(count(b.id),0,0,null,0,1) is_embryo_transfer,
  decode(count(smi.id),0,0,null,0,1) is_from_smi
from
  mts_breeding b,
  mts_mouse m,
  mir_embryo_transfer_procedure et,
  mir_scheduled_micro_injection smi
where
  m.id = b.female_id and
  b.embryo_transfer_id = et.id and
  et.scheduled_micro_injection_id = smi.id(+)
  and m.cage_id = in_cage_id;

n_is_embryo_transfer number := 0;
n_is_from_smi number := 0;

cursor is_mating is
select decode(decode(count(m.id),0,0,1,1,2)||decode(count(b.id),0,null,count(b.end_date)),
    '10',1,
    '11',1,
    '20',1,
    0) is_mating
from
  mts_breeding b,
  mts_latest_breeding_vw l,
  mts_mouse m
where
  m.id = l.mouse_id(+) and
  l.mouse_id = b.female_id(+) and
  l.breeding_id = b.id(+) and
  m.cage_id = in_cage_id and
  (m.litter_id is null or m.wean_date is not null) and
  b.embryo_transfer_id is null;

n_is_mating number := 0;

cursor is_pool_cage is
select decode(count(p.id),1,1,0) is_pool
from
  mts_mouse_pool p
where
  p.cage_id = in_cage_id;

n_is_pool_cage number := 0;

cursor is_stud_cage is
select
  decode(count(m.id),1,1,0) is_stud
from
  mts_mouse m
where
  m.wean_date is not null and
  m.is_stud = 1 and
  m.cage_id = in_cage_id;

n_is_stud_cage number := 0;

/**
    PLUGGED_FEMALE_CAGE if the female(s) has a plugged stud breeding,
    is not in the stud cage, and has not had a subsequent normal breeding
    (embryo transfer) record.
*/
cursor is_plugged_female_cage is
select decode(count(f.id),0,0,1) is_plugged
from
  mts_mouse f,
  mts_mouse m,
  mts_stud_breeding b
where
  f.id = b.female_id and
  m.id = b.male_id and
  f.cage_id != nvl(m.cage_id,0) and
  b.plug_date is not null and
  f.cage_id = in_cage_id and
  not exists (select null from mts_breeding b2 where b2.female_id = f.id);

n_is_plugged_female_cage number := 0;

cage_type varchar2(30);

begin

  if cage_type is null then
    open is_pool_cage;
    fetch is_pool_cage into n_is_pool_cage;
    close is_pool_cage;

    if n_is_pool_cage = 1 then
      cage_type := 'POOL_CAGE';
    end if;
  end if;

  if cage_type is null then
    open is_stud_cage;
    fetch is_stud_cage into n_is_stud_cage;
    close is_stud_cage;

    if n_is_stud_cage = 1 then
      cage_type := 'STUD_CAGE';
    end if;
  end if;

  if cage_type is null then
    open is_plugged_female_cage;
    fetch is_plugged_female_cage into n_is_plugged_female_cage;
    close is_plugged_female_cage;

    if n_is_plugged_female_cage = 1 then
      cage_type := 'PLUGGED_FEMALE_CAGE';
    end if;
  end if;


  if cage_type is null then
    open is_embryo_transfer;
    fetch is_embryo_transfer into n_is_embryo_transfer, n_is_from_smi;
    close is_embryo_transfer;

    if n_is_embryo_transfer = 1 then
      if n_is_from_smi = 1 then
        cage_type := 'EMBRYO_TRANSFER';
      else
        cage_type := 'CRYO_EMBRYO_TRANSFER';
      end if;
    end if;
  end if;

  if cage_type is null then
    open is_mating;
    fetch is_mating into n_is_mating;
    close is_mating;

    if n_is_mating = 1 then
      cage_type := 'MATING';
    end if;
  end if;

  if cage_type is null then
    cage_type := 'STOCK';
  end if;

  return cage_type;


end fetch_cage_type;

end mts;
/


