connect mig_audit

alter table EUR_DATA_EXPORTED rename column experiment_id to FOREIGN_KEY_ID;
alter table EUR_DATA_EXPORTED add FOREIGN_TABLE_NAME varchar2(30);

alter table mts_colony_strain drop column percent;
alter table mts_colony_info add (autofill_strain number(1));

connect mig

@dbMaintenance/056_release/002_export.sql
drop trigger EUR_DATA_EXPORTED_TA;
update EUR_DATA_EXPORTED set FOREIGN_TABLE_NAME = 'PHN_EXPERIMENT';

@dbMaintenance/056_release/001_ftr.sql
@dbMaintenance/056_release/003_calor_view_changes.sql
@dbMaintenance/056_release/010_hist3.sql
@dbMaintenance/056_release/011_reporting.sql
@dbMaintenance/056_release/2200_ticket.sql
@dbMaintenance/056_release/2222_ticket.sql
@dbMaintenance/056_release/004_abr_cohort_set_list.sql


ALTER TABLE ANN_ONTOLOGY_DICT ADD (
  CONSTRAINT ANN_ONTOLOGY_DICT_PK
 PRIMARY KEY
 (ID),
  CONSTRAINT ANN_ONTOLOGY_DICT_U01
 UNIQUE (NAME));

Insert into ANN_ONTOLOGY_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (1, 'MP', 'Mammalian Phenotype', 1, 1);
Insert into ANN_ONTOLOGY_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (2, 'EMAP', 'Mouse Gross Anatomy and Development', 1, 2);
Insert into ANN_ONTOLOGY_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (3, 'MPATH', 'Mouse Pathology', 1, 3);
Insert into ANN_ONTOLOGY_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (4, 'MA', 'Mouse Adult Gross Anatomy', 1, 4);

CREATE SEQUENCE ANN_ANNOTATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

create or replace trigger EUR_DATA_EXPORTED_ta
before update or delete on EUR_DATA_EXPORTED for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.EUR_DATA_EXPORTED(
    ID,
    FOREIGN_KEY_ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    FOREIGN_TABLE_NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.FOREIGN_KEY_ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.FOREIGN_TABLE_NAME,
    AUDIT_ACTION);
end if;
end;
/

insert into app_table_metadata(id,table_name,primary_key_column) values ((select max(id) + 1 from app_table_metadata),'PHN_BLOODS_RUN','ID');
insert into app_table_metadata values (1+(select max(id) from app_table_metadata), 'HTL_CROP', 'ID');
insert into app_table_metadata(id,table_name,primary_key_column) values ((select max(id) + 1 from app_table_metadata),'MTS_COLONY_INFO','ID');
insert into app_table_metadata(id,table_name,primary_key_column) values ((select max(id) + 1 from app_table_metadata),'TYP_MODIFIED_ALLELE','ID');

CREATE OR REPLACE TRIGGER REP_LINE_RANGES_TS
before insert on REP_LINE_RANGE
for each row
begin
  if :new.id is null then
    select REP_GRAPH_REFRANGES_seq.nextval into :new.id from dual;
  end if;
end;
/

CREATE OR REPLACE TRIGGER REP_GRAPH_DATA_AVAILABLE_TA
BEFORE INSERT
ON MIG.REP_GRAPH_DATA_AVAILABLE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
begin
if inserting then       if :NEW."ID" is null then
select REP_GRAPH_DATA_AVAILABLE_SEQ.nextval into :NEW."ID" from dual;
end if;
end if;
end;
/

Insert into APP_AUDIT_EXCLUSIONS
   (TABLE_NAME)
 select table_name from user_tables where table_name like 'REP%' and table_name not like '%MV';


CREATE OR REPLACE TRIGGER MTS_COLONY_STRAIN_TA
before update or delete on MTS_COLONY_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COLONY_STRAIN(
    ID,
    STRAIN_ID,
    COLONY_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.STRAIN_ID,
    :old.COLONY_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE TRIGGER MTS_COLONY_INFO_TA
before update or delete on MTS_COLONY_INFO for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COLONY_INFO(
    ID,
    COLONY_NAME,
    PROJECT_LICENCE_ID,
    CARD_COLOUR_DICT_ID,
    COLONY_MANAGEMENT,
    AVERAGE_LITTER_SIZE,
    BREEDING_LIFESPAN_WEEKS,
    IMMUNE_STATUS,
    OTHER_ABNORMALITIES,
    WELFARE_ASSESSMENT,
    HUSBANDRY_RECOMMENDATIONS,
    DIET,
    HOUSING_SYSTEM,
    ENVIRONMENTAL_ENRICHMENT,
    MISC_NOTES,
    COLONY_ORIGIN,
    PLACE_OF_ORIGIN,
    DATE_OF_IMPORT,
    DATE_OF_REDERIVATION,
    REDERIVATION_METHOD,
    EDITED_BY,
    EDIT_DATE,
    WELFARE_ASSESSMENT_PERFORMED,
    WTSI_ORIGIN,
    COLONY_PREFIX,
    MODE_OF_INHERITANCE,
    ASSESSING_PHENOTYPE,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    SUBJECT_TO_MTA,
    IS_POOLABLE,
    AUTOFILL_STRAIN,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COLONY_NAME,
    :old.PROJECT_LICENCE_ID,
    :old.CARD_COLOUR_DICT_ID,
    :old.COLONY_MANAGEMENT,
    :old.AVERAGE_LITTER_SIZE,
    :old.BREEDING_LIFESPAN_WEEKS,
    :old.IMMUNE_STATUS,
    :old.OTHER_ABNORMALITIES,
    :old.WELFARE_ASSESSMENT,
    :old.HUSBANDRY_RECOMMENDATIONS,
    :old.DIET,
    :old.HOUSING_SYSTEM,
    :old.ENVIRONMENTAL_ENRICHMENT,
    :old.MISC_NOTES,
    :old.COLONY_ORIGIN,
    :old.PLACE_OF_ORIGIN,
    :old.DATE_OF_IMPORT,
    :old.DATE_OF_REDERIVATION,
    :old.REDERIVATION_METHOD,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.WELFARE_ASSESSMENT_PERFORMED,
    :old.WTSI_ORIGIN,
    :old.COLONY_PREFIX,
    :old.MODE_OF_INHERITANCE,
    :old.ASSESSING_PHENOTYPE,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.SUBJECT_TO_MTA,
    :old.IS_POOLABLE,
    :old.AUTOFILL_STRAIN,
    AUDIT_ACTION);
end if;
end;
/

begin
  app_sync_custom_query('mouseHealth','migd.world');
  app_sync_custom_query('mouseHealthMini','migd.world');
end;
/


CREATE OR REPLACE TRIGGER MTS_ROOM_TA
before update or delete on MTS_ROOM for each row
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_ROOM(
    ID,
    ROOM_NUMBER,
    BUILDING_NAME,
    CORRIDOR,
    DESCRIPTION,
    ACTIVE,
    OFFICIAL_ROOM_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ROOM_NUMBER,
    :old.BUILDING_NAME,
    :old.CORRIDOR,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.OFFICIAL_ROOM_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE TRIGGER CRQ_BOX_TA
before update or delete on CRQ_BOX for each row
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.CRQ_BOX(
    ID,
    COMMENTS,
    TOWER_ID,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COMMENTS,
    :old.TOWER_ID,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE TRIGGER CRQ_TOWER_TA
before update or delete on CRQ_TOWER for each row
declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.CRQ_TOWER(
    ID,
    NAME,
    DESCRIPTION,
    FREEZER_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.FREEZER_ID,
    AUDIT_ACTION);
end if;
end;
/

update eur_sop_2_procedure set min_date = to_date('06-AUG-2007') where sop_id = 1;
update eur_sop_2_procedure set min_date = to_date('07-FEB-2008') where sop_id = 5;
update eur_sop_2_procedure set min_date = to_date('13-JUL-2007') where sop_id  IN(7,142,132);

commit;

