connect mig

@dbMaintenance/057_release/2233.sql
@dbMaintenance/057_release/001_abr.sql
@dbMaintenance/057_release/002_reporting.sql
@dbMaintenance/057_release/003_make_refranges.sql
@dbMaintenance/057_release/004_team87_strain_maping.sql

ALTER TABLE TYP_MODIFIED_ALLELE
  DROP CONSTRAINT TYP_MODIFIED_ALLELE_U01;

ALTER TABLE TYP_MODIFIED_ALLELE ADD (
  CONSTRAINT TYP_MODIFIED_ALLELE_U01
 UNIQUE (OFFICIAL_NAME_SUPERSCRIPT, GENE_ID));

Insert into REP_GRAPH_METADATA (ID,VIEW_NAME,PLOT_COLUMN,TITLE,XAXIS_TITLE,YAXIS_TITLE,XAXIS_OFFSET,GRAPH_TYPE_ID,COMPUTE_REF_RANGE,STAT_BACKGROUND_ID,SCIENTIFIC_Y_AXIS,TIME_AXIS,X_PADDING,XAXIS_AS_LABELS,XAXIS_COLUMN) values (273,'PHN_LINE_GRAPH_ABR_MV','PLOT_COLUMN','Frequency(kHz)','Frequency (kHz)','ABR Threshold (dB SPL)',0,3,1,2,0,0,1,1,'X_LABEL');

begin
 app_sync_custom_query('litterDetail','migd.world');
end;
/

DECLARE
   next_observation_type_id   NUMBER;
BEGIN
   SELECT phn_observation_type_seq.NEXTVAL
     INTO next_observation_type_id
     FROM DUAL;

   INSERT INTO phn_observation_type
               (ID, observation_meta_type_id, NAME, record_instrument)
        VALUES (next_observation_type_id, 1, 'ABR Anaesthetic', '0');

   UPDATE phn_required_observation
      SET observation_type_id = next_observation_type_id,
          display_name = 'ABR Anaesthetic'
    WHERE ID = 825;

   UPDATE phn_observation_type
      SET observation_meta_type_id = 1
    WHERE ID = 293;
END;
/

SET DEFINE OFF;
Insert into MIR_TEAM87_STRAIN_NAME_MAP
   (CELL_LINE_STRAIN_DICT_ID, TEAM87_NAME)
 Values
   (11, 'JM8 parental (p17)');
Insert into MIR_TEAM87_STRAIN_NAME_MAP
   (CELL_LINE_STRAIN_DICT_ID, TEAM87_NAME)
 Values
   (13, 'JM8.F6');
Insert into MIR_TEAM87_STRAIN_NAME_MAP
   (CELL_LINE_STRAIN_DICT_ID, TEAM87_NAME)
 Values
   (14, 'JM8.N4');
Insert into MIR_TEAM87_STRAIN_NAME_MAP
   (CELL_LINE_STRAIN_DICT_ID, TEAM87_NAME)
 Values
   (16, 'JM8.AF6');


commit;