connect mig_audit

ALTER TABLE MTS_COHORT_SET_ELEMENT
 ADD (WT_DICT_ID  NUMBER);

CREATE TABLE MTS_COHORT_SET_WT_DICT
(
  ID               NUMBER,
  NAME             VARCHAR2(256 CHAR)           NOT NULL,
  ORDER_BY         INTEGER,
  DESCRIPTION      VARCHAR2(2048 CHAR),
  ACTIVE           NUMBER                       NOT NULL,
  AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp,
  OS_USER          VARCHAR2(30 BYTE)            DEFAULT sys_context('USERENV','OS_USER'),
  AUDIT_ACTION     VARCHAR2(10 BYTE)
);

GRANT INSERT ON MTS_COHORT_SET_WT_DICT TO MIG;

connect mig
@dbMaintenance/058_release/001_ticket_2221.sql
@dbMaintenance/058_release/002_cohort_set_wt.sql
@dbMaintenance/058_release/004_ticket_2083.sql
@dbMaintenance/058_release/004_ticket_2083.sql
@dbMaintenance/058_release/007_ticket_2218.sql

update mts_cohort_set_element v set v. wt_dict_id=3 where v.wt_only = 1;

Insert into MTS_COHORT_SET_WT_DICT (ID,NAME,ORDER_BY,DESCRIPTION,ACTIVE) values (3,'both genders WT only',3,null,1);
Insert into MTS_COHORT_SET_WT_DICT (ID,NAME,ORDER_BY,DESCRIPTION,ACTIVE) values (2,'male WT only',2,null,1);
Insert into MTS_COHORT_SET_WT_DICT (ID,NAME,ORDER_BY,DESCRIPTION,ACTIVE) values (1,'female WT only',1,null,1);

create or replace trigger MTS_COHORT_SET_WT_DICT_ta
before update or delete on MTS_COHORT_SET_WT_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then
 insert into mig_audit.MTS_COHORT_SET_WT_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

commit;