package uk.ac.sanger.mig.abr.parser;

/*
 *****************************************************
 * Class name: BlockTraceInfo
 * User: holroyd
 * Date: Aug 6, 2008
 * Time: 11:55:02 AM
 *****************************************************
 */

public class BlockTraceInfo {

	private char	type;
	private String	units;
	private int		numberPoints;
	private int		start;
	private double	binSize;


	// T, uV / sweep, 1953, 0, 1.024003E-02

	public BlockTraceInfo(final char type, final String units, final int numberPoints, final int start,
			final int binSize) {
		this.type = type;
		this.units = units;
		this.numberPoints = numberPoints;
		this.start = start;
		this.binSize = binSize;

	}


	public BlockTraceInfo(final Block block, final BlockAttribute blockAttribute) throws AttributeFormatException {
		String[] b = blockAttribute.getAttributeValue().split(",");
		if (b.length != 5) {
			throw new AttributeFormatException("trace info attribute format for block with name '" + block.getName()
					+ "' is incorrectly formatted");
		}
		this.type = b[0].trim().toCharArray()[0];
		this.units = b[1].trim();
		this.numberPoints = Integer.parseInt(b[2].trim());
		this.start = Integer.parseInt(b[3].trim());
		this.binSize = Double.parseDouble(b[4].trim());
	}


	public char getType() {
		return type;
	}


	public String getUnits() {
		return units;
	}


	public int getNumberPoints() {
		return numberPoints;
	}


	public int getStart() {
		return start;
	}


	public double getBinSize() {
		return binSize;
	}


	public void setBinSize(double binSize) {
		this.binSize = binSize;
	}

}