package uk.ac.sanger.mig.abr.parser;

public class ClickBlockMissingException extends Exception {

	private static final long	serialVersionUID	= -4045452054882155707L;
	private static final String	DEFAULT_MESSAGE		= " click block not found";

	public enum Type {
		START, END;
	}


	public ClickBlockMissingException(Type type) {
		super(getDefaultMessage(type));
	}


	public ClickBlockMissingException(String message, Type type) {
		super(getDefaultMessage(type) + " - " + message);
	}


	protected static String getDefaultMessage(Type type) {
		return type.toString().toLowerCase() + DEFAULT_MESSAGE;
	}
}
