package uk.ac.sanger.mig.abr.parser;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class Level {

	private Frequency	frequency;
	private int			level;
	private List<Block>	blocks;


	public Level(int level, Frequency frequency) {
		this.level = level;
		this.frequency = frequency;
		this.blocks = new ArrayList<Block>();
	}


	public void addBlock(Block block) throws IllegalArgumentException {
		if(!block.isAbrTraceBlock() ||block.getTraceName().getFrequency() != this.frequency.getFrequency()
				|| block.getTraceName().getLevel() != this.level) {
			throw new IllegalArgumentException("block is not an ABR trace block or is not from matching frequency or level");
		}
		this.blocks.add(block);
	}


	public Collection<Block> getBlocks() {
		return blocks;
	}

	public Block getBlock() {
		return this.blocks.isEmpty() ? null : this.blocks.get(this.blocks.size() - 1);
	}

	public int getLevel() {
		return level;
	}


	public Frequency getFrequency() {
		return frequency;
	}

}
