/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.allelerequest;

import java.util.HashMap;
import java.util.Map;

public class AlleleRequestStatus {
  
  public static final Long VEGA_ANNOTATION_REQUESTED = 2l;
  public static final Long VEGA_ANNOTATION_COMPLETE = 4l;
  public static final Long VEGA_NOT_ANNOTATED_NO_EVIDENCE = 3l;
  public static final Long  VEGA_ANNOTATION_COMPLETE_DESIGN_REQUESTED= 34l;
  public static final Long  VEGA_ANNOTATION_COMPLETE_DESIGN_COMPLETE= 30l;
  public static final Long  VEGA_ANNOTATED_AS_PSEUDO_GENE= 20l;
  public static final Long  VEGA_ANNOTATION_COMPLETE_CONDITIONAL_DESIGN_NOT_POSSIBLE= 31l;
  public static final Long  VEGA_NOT_ANNOTATED_ASSEMBLY_PROBLEMS= 15l;
  
  public static final Long DESIGN_REQUESTED = 21l;
  public static final Long DESIGN_COMPLETE= 22l;
  public static final Long T87_OLIGOS_ORDERED = 26l;
  public static final Long T87_INTERMEDIATE_VECTOR_AVAILABLE = 27l;
  public static final Long T87_INTERMEDIATE_VECTOR_UNSUCCESSFUL = 28l;
  
  public static final Long T87_TARGETING_VECTOR_AVAILABLE = 6l;
  public static final Long T87_TARGETING_VECTOR_UNSUCCESSFUL = 29l;
  
  public Map<Long,Long> statusIdToOrderByMap = new HashMap<Long,Long>();

  
}
