/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.allelerequest.views;

import uk.ac.sanger.mig.allelerequest.AlleleRequest;

public class AlleleRequestListView extends AlleleRequest {

	private Long requestOwnerId;
	private String userName;
	private Long targetEndpointId;
	private String targetEndpointName;
	private Long modTypeId;
	private String modTypeName;
	private Long geneId;
	private String geneName;
	private String ensemblId;
	private boolean inCurrentEnsembl;
	private Long statusId;
	private String statusName;
	private String statusDescription;
	private Long sourceId;
	private String sourceName;
	private String score;
	private Integer countDesigns;
	private String vegaId;
	private boolean inCurrentVega;
	private String primaryId;
	
	public Integer getCountDesigns() {
		return countDesigns;
	}

	public void setCountDesigns(Integer countDesigns) {
		this.countDesigns = countDesigns;
	}

	/**
	 * Map the internal value to a more meaningfull
	 * @return the string "yes" if the 
	 */
	public String getMgpPhenotypingRequiredValue() {
		if(this.isMgpPhenotypingRequired()) {
			return "Yes";
		} else {
			return "No";
		}	
	}

	public String getEnsemblId() {
		return ensemblId;
	}

	public void setEnsemblId(String ensemblId) {
		this.ensemblId = ensemblId;
	}

	public Long getGeneId() {
		return geneId;
	}

	public void setGeneId(Long geneId) {
		this.geneId = geneId;
	}

	public String getGeneName() {
		return geneName;
	}

	public void setGeneName(String geneName) {
		this.geneName = geneName;
	}

	public Long getRequestOwnerId() {
		return requestOwnerId;
	}

	public void setRequestOwnerId(Long requestOwnerId) {
		this.requestOwnerId = requestOwnerId;
	}

	public String getScore() {
		return score;
	}

	public void setScore(String score) {
		this.score = score;
	}

	public Long getSourceId() {
		return sourceId;
	}

	public void setSourceId(Long sourceId) {
		this.sourceId = sourceId;
	}

	public String getSourceName() {
		return sourceName;
	}

	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

	public Long getStatusId() {
		return statusId;
	}

	public void setStatusId(Long statusId) {
		this.statusId = statusId;
	}

	public String getStatusName() {
		return statusName;
	}

	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}

	public String getStatusDescription() {
		return statusDescription;
	}

	public void setStatusDescription(String statusDescription) {
		this.statusDescription = statusDescription;
	}

	public Long getTargetEndpointId() {
		return targetEndpointId;
	}

	public void setTargetEndpointId(Long targetEndpointId) {
		this.targetEndpointId = targetEndpointId;
	}

	public String getTargetEndpointName() {
		return targetEndpointName;
	}

	public void setTargetEndpointName(String targetEndpointName) {
		this.targetEndpointName = targetEndpointName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String username) {
		this.userName = username;
	}

	public Long getModTypeId() {
		return modTypeId;
	}

	public void setModTypeId(Long modTypeId) {
		this.modTypeId = modTypeId;
	}

	public String getModTypeName() {
		return modTypeName;
	}

	public void setModTypeName(String modTypeName) {
		this.modTypeName = modTypeName;
	}

	public String getPrimaryId() {
		return primaryId;
	}

	public void setPrimaryId(String primaryId) {
		this.primaryId = primaryId;
	}

	public String getVegaId() {
		return vegaId;
	}

	public void setVegaId(String vegaId) {
		this.vegaId = vegaId;
	}

	public boolean isInCurrentEnsembl() {
		return inCurrentEnsembl;
	}

	public void setInCurrentEnsembl(boolean inCurrentEnsembl) {
		this.inCurrentEnsembl = inCurrentEnsembl;
	}

	public boolean isInCurrentVega() {
		return inCurrentVega;
	}

	public void setInCurrentVega(boolean inCurrentVega) {
		this.inCurrentVega = inCurrentVega;
	}
}
