/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.alleles;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;

public class GenotypeTest extends AuthenticatedDataObject {
	
	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		PRIMER_PAIRS
	}
	
	private Long alleleId;
	private Long wildtypePrimerPairId;
	private PrimerPair wildtypePrimerPair;
	private Long allelePrimerPairId;
	private PrimerPair allelePrimerPair;
	private String description;
	
	public Long getAlleleId() {
		return alleleId;
	}

	public void setAlleleId(Long alleleId) {
		this.alleleId = alleleId;
	}
	
	public PrimerPair getAllelePrimerPair() {
		return allelePrimerPair;
	}
	
	public void setAllelePrimerPair(PrimerPair allelePrimerPair) {
		this.allelePrimerPair = allelePrimerPair;
	}
	
	public Long getAllelePrimerPairId() {
		return allelePrimerPairId;
	}

	public void setAllelePrimerPairId(Long allelePrimerPairId) {
		this.allelePrimerPairId = allelePrimerPairId;
	}
	
	public PrimerPair getWildtypePrimerPair() {
		return wildtypePrimerPair;
	}
	
	public void setWildtypePrimerPair(PrimerPair wildtypePrimerPair) {
		this.wildtypePrimerPair = wildtypePrimerPair;
	}		

	public Long getWildtypePrimerPairId() {
		return wildtypePrimerPairId;
	}

	public void setWildtypePrimerPairId(Long wildtypePrimerPairId) {
		this.wildtypePrimerPairId = wildtypePrimerPairId;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
}
