/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.alleles;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class PrimerPair extends AuthenticatedDataObject {

	private String fivePrimeForward;
	private String threePrimeReverse;
	private Integer expectedSize;
	private Float meltTemp;
	private Long genotypeTestId;
	private Long primerPairTypeId;
		
	public Long getPrimerPairTypeId() {
		return primerPairTypeId;
	}

	public void setPrimerPairTypeId(Long primerPairTypeId) {
		this.primerPairTypeId = primerPairTypeId;
	}

	public Integer getExpectedSize() {
		return expectedSize;
	}
	
	public void setExpectedSize(Integer expectedSize) {
		this.expectedSize = expectedSize;
	}
	
	public String getFivePrimeForward() {
		return fivePrimeForward;
	}
	
	public void setFivePrimeForward(String fivePrimeForward) {
		this.fivePrimeForward = fivePrimeForward;
	}
	
	public Float getMeltTemp() {
		return meltTemp;
	}
	
	public void setMeltTemp(Float meltTemp) {
		this.meltTemp = meltTemp;
	}
	
	public String getThreePrimeReverse() {
		return threePrimeReverse;
	}
	
	public void setThreePrimeReverse(String threePrimeReverse) {
		this.threePrimeReverse = threePrimeReverse;
	}
	
	public Long getGenotypeTestId() {
		return genotypeTestId;
	}

	public void setGenotypeTestId(Long genotypeTestId) {
		this.genotypeTestId = genotypeTestId;
	}	
}