/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.alleles.view;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.personnel.Person;

public class AlleleInfoViewBean extends AuthenticatedDataObject{
	
	private String getMultipleGeneName;
	private Long getId;
	private Person getAlleleMaker;
	private String getAffectingMultipleGenes;
	private String getGeneSymbol;
	private int getEnsemblOrVegaId;
	private String getMutationNature;
	private String getInheritanceMode;
	private String getOfficialAlleleName;
	private int getGeneId;
	private String getInternalAlleleName;
	private String getEnsemblVegaBuild;
	private int getChromosomeStartCoordinate;
	private int getChromosomeEndCoordinate;
	private String getChromosomeName;
	private String getAlleleDescription;
	private String getGenotypeDescription;
	private String getWildtypePrimerForward;
	private String getWildtypePrimerReverse;
	private int getWildtypePrimerMeltTemp;
	private int getWildtypePrimerExpectedSize;
	private String getAllelePrimerForward;
	private String getAllelePrimerReverse;
	private int getAllelePrimerMeltTemp;
	private int getAllelePrimerExpectedSize;
	private String getShortAlleleName;
	private String getWhetherHomozygousLethal;
	private String getWhetherHasAssociatedPhenotype;
	private String getPhenotypeDescription;
	private String getAffectingMultipleGeneDescrip;
	private Date getAlleleRecordOriginationDate;
	private String getAlleleInfoSubmitterTeam;
	
	public String getGetAffectingMultipleGeneDescrip() {
		return getAffectingMultipleGeneDescrip;
	}
	public void setGetAffectingMultipleGeneDescrip(
			String getAffectingMultipleGeneDescrip) {
		this.getAffectingMultipleGeneDescrip = getAffectingMultipleGeneDescrip;
	}
	public String getGetAffectingMultipleGenes() {
		return getAffectingMultipleGenes;
	}
	public void setGetAffectingMultipleGenes(String getAffectingMultipleGenes) {
		this.getAffectingMultipleGenes = getAffectingMultipleGenes;
	}
	public String getGetAlleleDescription() {
		return getAlleleDescription;
	}
	public void setGetAlleleDescription(String getAlleleDescription) {
		this.getAlleleDescription = getAlleleDescription;
	}
	public String getGetAlleleInfoSubmitterTeam() {
		return getAlleleInfoSubmitterTeam;
	}
	public void setGetAlleleInfoSubmitterTeam(String getAlleleInfoSubmitterTeam) {
		this.getAlleleInfoSubmitterTeam = getAlleleInfoSubmitterTeam;
	}
	public Person getGetAlleleMaker() {
		return getAlleleMaker;
	}
	public void setGetAlleleMaker(Person getAlleleMaker) {
		this.getAlleleMaker = getAlleleMaker;
	}
	public int getGetAllelePrimerExpectedSize() {
		return getAllelePrimerExpectedSize;
	}
	public void setGetAllelePrimerExpectedSize(int getAllelePrimerExpectedSize) {
		this.getAllelePrimerExpectedSize = getAllelePrimerExpectedSize;
	}
	public String getGetAllelePrimerForward() {
		return getAllelePrimerForward;
	}
	public void setGetAllelePrimerForward(String getAllelePrimerForward) {
		this.getAllelePrimerForward = getAllelePrimerForward;
	}
	public int getGetAllelePrimerMeltTemp() {
		return getAllelePrimerMeltTemp;
	}
	public void setGetAllelePrimerMeltTemp(int getAllelePrimerMeltTemp) {
		this.getAllelePrimerMeltTemp = getAllelePrimerMeltTemp;
	}
	public String getGetAllelePrimerReverse() {
		return getAllelePrimerReverse;
	}
	public void setGetAllelePrimerReverse(String getAllelePrimerReverse) {
		this.getAllelePrimerReverse = getAllelePrimerReverse;
	}
	public Date getGetAlleleRecordOriginationDate() {
		return getAlleleRecordOriginationDate;
	}
	public void setGetAlleleRecordOriginationDate(
			Date getAlleleRecordOriginationDate) {
		this.getAlleleRecordOriginationDate = getAlleleRecordOriginationDate;
	}
	public int getGetChromosomeEndCoordinate() {
		return getChromosomeEndCoordinate;
	}
	public void setGetChromosomeEndCoordinate(int getChromosomeEndCoordinate) {
		this.getChromosomeEndCoordinate = getChromosomeEndCoordinate;
	}
	public String getGetChromosomeName() {
		return getChromosomeName;
	}
	public void setGetChromosomeName(String getChromosomeName) {
		this.getChromosomeName = getChromosomeName;
	}
	public int getGetChromosomeStartCoordinate() {
		return getChromosomeStartCoordinate;
	}
	public void setGetChromosomeStartCoordinate(int getChromosomeStartCoordinate) {
		this.getChromosomeStartCoordinate = getChromosomeStartCoordinate;
	}
	public int getGetEnsemblOrVegaId() {
		return getEnsemblOrVegaId;
	}
	public void setGetEnsemblOrVegaId(int getEnsemblOrVegaId) {
		this.getEnsemblOrVegaId = getEnsemblOrVegaId;
	}
	public String getGetEnsemblVegaBuild() {
		return getEnsemblVegaBuild;
	}
	public void setGetEnsemblVegaBuild(String getEnsemblVegaBuild) {
		this.getEnsemblVegaBuild = getEnsemblVegaBuild;
	}
	public int getGetGeneId() {
		return getGeneId;
	}
	public void setGetGeneId(int getGeneId) {
		this.getGeneId = getGeneId;
	}
	public String getGetGeneSymbol() {
		return getGeneSymbol;
	}
	public void setGetGeneSymbol(String getGeneSymbol) {
		this.getGeneSymbol = getGeneSymbol;
	}
	public String getGetGenotypeDescription() {
		return getGenotypeDescription;
	}
	public void setGetGenotypeDescription(String getGenotypeDescription) {
		this.getGenotypeDescription = getGenotypeDescription;
	}
	public Long getGetId() {
		return getId;
	}
	public void setGetId(Long getId) {
		this.getId = getId;
	}
	public String getGetInheritanceMode() {
		return getInheritanceMode;
	}
	public void setGetInheritanceMode(String getInheritanceMode) {
		this.getInheritanceMode = getInheritanceMode;
	}
	public String getGetInternalAlleleName() {
		return getInternalAlleleName;
	}
	public void setGetInternalAlleleName(String getInternalAlleleName) {
		this.getInternalAlleleName = getInternalAlleleName;
	}
	public String getGetMultipleGeneName() {
		return getMultipleGeneName;
	}
	public void setGetMultipleGeneName(String getMultipleGeneName) {
		this.getMultipleGeneName = getMultipleGeneName;
	}
	public String getGetMutationNature() {
		return getMutationNature;
	}
	public void setGetMutationNature(String getMutationNature) {
		this.getMutationNature = getMutationNature;
	}
	public String getGetOfficialAlleleName() {
		return getOfficialAlleleName;
	}
	public void setGetOfficialAlleleName(String getOfficialAlleleName) {
		this.getOfficialAlleleName = getOfficialAlleleName;
	}
	public String getGetPhenotypeDescription() {
		return getPhenotypeDescription;
	}
	public void setGetPhenotypeDescription(String getPhenotypeDescription) {
		this.getPhenotypeDescription = getPhenotypeDescription;
	}
	public String getGetShortAlleleName() {
		return getShortAlleleName;
	}
	public void setGetShortAlleleName(String getShortAlleleName) {
		this.getShortAlleleName = getShortAlleleName;
	}
	public String getGetWhetherHasAssociatedPhenotype() {
		return getWhetherHasAssociatedPhenotype;
	}
	public void setGetWhetherHasAssociatedPhenotype(
			String getWhetherHasAssociatedPhenotype) {
		this.getWhetherHasAssociatedPhenotype = getWhetherHasAssociatedPhenotype;
	}
	public String getGetWhetherHomozygousLethal() {
		return getWhetherHomozygousLethal;
	}
	public void setGetWhetherHomozygousLethal(String getWhetherHomozygousLethal) {
		this.getWhetherHomozygousLethal = getWhetherHomozygousLethal;
	}
	public int getGetWildtypePrimerExpectedSize() {
		return getWildtypePrimerExpectedSize;
	}
	public void setGetWildtypePrimerExpectedSize(int getWildtypePrimerExpectedSize) {
		this.getWildtypePrimerExpectedSize = getWildtypePrimerExpectedSize;
	}
	public String getGetWildtypePrimerForward() {
		return getWildtypePrimerForward;
	}
	public void setGetWildtypePrimerForward(String getWildtypePrimerForward) {
		this.getWildtypePrimerForward = getWildtypePrimerForward;
	}
	public int getGetWildtypePrimerMeltTemp() {
		return getWildtypePrimerMeltTemp;
	}
	public void setGetWildtypePrimerMeltTemp(int getWildtypePrimerMeltTemp) {
		this.getWildtypePrimerMeltTemp = getWildtypePrimerMeltTemp;
	}
	public String getGetWildtypePrimerReverse() {
		return getWildtypePrimerReverse;
	}
	public void setGetWildtypePrimerReverse(String getWildtypePrimerReverse) {
		this.getWildtypePrimerReverse = getWildtypePrimerReverse;
	}
}
