/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.animalrequest.views;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class AnimalRequestListView extends AuthenticatedDataObject  {

    private Long id;        
    private int projectLicenceId;        
    private String pplHolder;        
    private String requestReason;        
    private int strainId;        
    private String strain;        
    private int numMalesNeeded;        
    private int numFemalesNeeded;        
    private Date dateRequired;        
    private int destinationRoomId;        
    private String destinationRoom;        
    private String standingOrderFreq;        
    private String standingOrderDay;        
    private int numberInCage;        
    private boolean rederivationRequested;        
    private String comments;        
    private String embryoAgeNeeded;        
    private String ageOrWeightUnits;        
    private String ageOrWeight;        
    private String fundingSource;        
    private int statusDictId;        
    private String status;        
    private String developmentEndpoint;        
    private int requestOriginatorId;        
    private String requester;        
    private int teamNumber;        
    private boolean pseudoPregnantFemale;        
    private Date endDate;        

	private Long groupDictId;
	private String groupDictName;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }                                                                                                                                            
    public int getProjectLicenceId() {
        return projectLicenceId;
    }
    
    public void setProjectLicenceId(int projectLicenceId) {
        this.projectLicenceId = projectLicenceId;
    }                                                                                                                                            
    public String getPplHolder() {
        return pplHolder;
    }
    
    public void setPplHolder(String pplHolder) {
        this.pplHolder = pplHolder;
    }                                                                                                                                            
    public String getRequestReason() {
        return requestReason;
    }
    
    public void setRequestReason(String requestReason) {
        this.requestReason = requestReason;
    }                                                                                                                                            
    public int getStrainId() {
        return strainId;
    }
    
    public void setStrainId(int strainId) {
        this.strainId = strainId;
    }                                                                                                                                            
    public String getStrain() {
        return strain;
    }
    
    public void setStrain(String strain) {
        this.strain = strain;
    }                                                                                                                                            
    public int getNumMalesNeeded() {
        return numMalesNeeded;
    }
    
    public void setNumMalesNeeded(int numMalesNeeded) {
        this.numMalesNeeded = numMalesNeeded;
    }                                                                                                                                            
    public int getNumFemalesNeeded() {
        return numFemalesNeeded;
    }
    
    public void setNumFemalesNeeded(int numFemalesNeeded) {
        this.numFemalesNeeded = numFemalesNeeded;
    }                                                                                                                                            
    public Date getDateRequired() {
        return dateRequired;
    }
    
    public void setDateRequired(Date dateRequired) {
        this.dateRequired = dateRequired;
    }                                                                                                                                            
    public int getDestinationRoomId() {
        return destinationRoomId;
    }
    
    public void setDestinationRoomId(int destinationRoomId) {
        this.destinationRoomId = destinationRoomId;
    }                                                                                                                                            
    public String getDestinationRoom() {
        return destinationRoom;
    }
    
    public void setDestinationRoom(String destinationRoom) {
        this.destinationRoom = destinationRoom;
    }                                                                                                                                            
    public String getStandingOrderFreq() {
        return standingOrderFreq;
    }
    
    public void setStandingOrderFreq(String standingOrderFreq) {
        this.standingOrderFreq = standingOrderFreq;
    }                                                                                                                                            
    public String getStandingOrderDay() {
        return standingOrderDay;
    }
    
    public void setStandingOrderDay(String standingOrderDay) {
        this.standingOrderDay = standingOrderDay;
    }                                                                                                                                            
    public int getNumberInCage() {
        return numberInCage;
    }
    
    public void setNumberInCage(int numberInCage) {
        this.numberInCage = numberInCage;
    }                                                                                                                                            
    public boolean getRederivationRequested() {
        return rederivationRequested;
    }
    
    public void setRederivationRequested(boolean rederivationRequested) {
        this.rederivationRequested = rederivationRequested;
    }                                                                                                                                            
    public String getComments() {
        return comments;
    }
    
    public void setComments(String comments) {
        this.comments = comments;
    }                                                                                                                                            
    public String getEmbryoAgeNeeded() {
        return embryoAgeNeeded;
    }
    
    public void setEmbryoAgeNeeded(String embryoAgeNeeded) {
        this.embryoAgeNeeded = embryoAgeNeeded;
    }                                                                                                                                            
    public String getAgeOrWeightUnits() {
        return ageOrWeightUnits;
    }
    
    public void setAgeOrWeightUnits(String ageOrWeightUnits) {
        this.ageOrWeightUnits = ageOrWeightUnits;
    }                                                                                                                                            
    public String getAgeOrWeight() {
        return ageOrWeight;
    }
    
    public void setAgeOrWeight(String ageOrWeight) {
        this.ageOrWeight = ageOrWeight;
    }                                                                                                                                            
    public String getFundingSource() {
        return fundingSource;
    }
    
    public void setFundingSource(String fundingSource) {
        this.fundingSource = fundingSource;
    }                                                                                                                                            
    public int getStatusDictId() {
        return statusDictId;
    }
    
    public void setStatusDictId(int statusDictId) {
        this.statusDictId = statusDictId;
    }                                                                                                                                            
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }                                                                                                                                            
    public String getDevelopmentEndpoint() {
        return developmentEndpoint;
    }
    
    public void setDevelopmentEndpoint(String developmentEndpoint) {
        this.developmentEndpoint = developmentEndpoint;
    }                                                                                                                                            
    public int getRequestOriginatorId() {
        return requestOriginatorId;
    }
    
    public void setRequestOriginatorId(int requestOriginatorId) {
        this.requestOriginatorId = requestOriginatorId;
    }                                                                                                                                            
    public String getRequester() {
        return requester;
    }
    
    public void setRequester(String requester) {
        this.requester = requester;
    }                                                                                                                                            
    public int getTeamNumber() {
        return teamNumber;
    }
    
    public void setTeamNumber(int teamNumber) {
        this.teamNumber = teamNumber;
    }                                                                                                                                            
    public boolean getPseudoPregnantFemale() {
        return pseudoPregnantFemale;
    }
    
    public void setPseudoPregnantFemale(boolean pseudoPregnantFemale) {
        this.pseudoPregnantFemale = pseudoPregnantFemale;
    }                                                                                                                                            
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

	public Long getGroupDictId() {
		return this.groupDictId;
	}

	public void setGroupDictId(Long groupDictId) {
		this.groupDictId = groupDictId;
	}

	public String getGroupDictName() {
		return this.groupDictName;
	}

	public void setGroupDictName(String groupDictName) {
		this.groupDictName = groupDictName;
	}                                                                                                                                            

}