package uk.ac.sanger.mig.annotation;

import org.apache.commons.collections15.Factory;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.database.TableMetadataEnum;

/**
 * Class to create Annotations referencing an object defined by
 * its table and id.

 * By default, the Annotation's ontology DictionaryEntry is
 * intantiated for value binding.
 */
public class AnnotationFactory implements Factory<Annotation> {

	private TableMetadataEnum tableMetaDataEnum;
	private Long foreignKeyId;

	public AnnotationFactory(TableMetadataEnum tableMetaDataEnum, Long foreignKeyId) {
		this.tableMetaDataEnum = tableMetaDataEnum;
		this.foreignKeyId      = foreignKeyId;
	}

	public Annotation create() {

		Annotation annotation = new Annotation(							    );
		annotation.setForeignKeyId		      (        foreignKeyId         );
		annotation.setForeignTableName		  (      tableMetaDataEnum      );
		annotation.setOntologyDict			  (     new DictionaryEntry()   );
		return annotation;
	}
}
