/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.colony.views;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class ColonyInfoListView extends AuthenticatedDataObject  {

    private Long id;        
    private String colonyName;        
    private int projectLicenceId;        
    private int cardColourDictId;        
    private String cardColour;        
    private int averageLitterSize;        
    private String breedingLifespanWeeks;        
    private String immuneStatus;        
    private String diet;        
    private String housingSystem;        
    private String environmentalEnrichment;        
    private String colonyOrigin;        
    private String placeOfOrigin;        
    private Date dateOfImport;        
    private Date dateOfRederivation;        
    private String rederivationMethod;        
    private boolean welfareAssessmentPerformed;        
    private boolean wtsiOrigin;        
    private String colonyPrefix;            
    private String modeOfInheritance;   
    private String pplHolder;
    private Long createdBy;
    private Date createdDate;

    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }                                                                                                                                            
    public String getColonyName() {
        return colonyName;
    }
    
    public void setColonyName(String colonyName) {
        this.colonyName = colonyName;
    }                                                                                                                                            
    public int getProjectLicenceId() {
        return projectLicenceId;
    }
    
    public void setProjectLicenceId(int projectLicenceId) {
        this.projectLicenceId = projectLicenceId;
    }                                                                                                                                            
    public int getCardColourDictId() {
        return cardColourDictId;
    }
    
    public void setCardColourDictId(int cardColourDictId) {
        this.cardColourDictId = cardColourDictId;
    }                                                                                                                                            
    public String getCardColour() {
        return cardColour;
    }
    
    public void setCardColour(String cardColour) {
        this.cardColour = cardColour;
    }                                                                                                                                            
    public int getAverageLitterSize() {
        return averageLitterSize;
    }
    
    public void setAverageLitterSize(int averageLitterSize) {
        this.averageLitterSize = averageLitterSize;
    }                                                                                                                                            
    public String getBreedingLifespanWeeks() {
        return breedingLifespanWeeks;
    }
    
    public void setBreedingLifespanWeeks(String breedingLifespanWeeks) {
        this.breedingLifespanWeeks = breedingLifespanWeeks;
    }                                                                                                                                            
    public String getImmuneStatus() {
        return immuneStatus;
    }
    
    public void setImmuneStatus(String immuneStatus) {
        this.immuneStatus = immuneStatus;
    }                                                                                                                                            
    public String getDiet() {
        return diet;
    }
    
    public void setDiet(String diet) {
        this.diet = diet;
    }                                                                                                                                            
    public String getHousingSystem() {
        return housingSystem;
    }
    
    public void setHousingSystem(String housingSystem) {
        this.housingSystem = housingSystem;
    }                                                                                                                                            
    public String getEnvironmentalEnrichment() {
        return environmentalEnrichment;
    }
    
    public void setEnvironmentalEnrichment(String environmentalEnrichment) {
        this.environmentalEnrichment = environmentalEnrichment;
    }                                                                                                                                            
    public String getColonyOrigin() {
        return colonyOrigin;
    }
    
    public void setColonyOrigin(String colonyOrigin) {
        this.colonyOrigin = colonyOrigin;
    }                                                                                                                                            
    public String getPlaceOfOrigin() {
        return placeOfOrigin;
    }
    
    public void setPlaceOfOrigin(String placeOfOrigin) {
        this.placeOfOrigin = placeOfOrigin;
    }                                                                                                                                            
    public Date getDateOfImport() {
        return dateOfImport;
    }
    
    public void setDateOfImport(Date dateOfImport) {
        this.dateOfImport = dateOfImport;
    }                                                                                                                                            
    public Date getDateOfRederivation() {
        return dateOfRederivation;
    }
    
    public void setDateOfRederivation(Date dateOfRederivation) {
        this.dateOfRederivation = dateOfRederivation;
    }                                                                                                                                            
    public String getRederivationMethod() {
        return rederivationMethod;
    }
    
    public void setRederivationMethod(String rederivationMethod) {
        this.rederivationMethod = rederivationMethod;
    }                                                                                                                                            
    public boolean getWelfareAssessmentPerformed() {
        return welfareAssessmentPerformed;
    }
    
    public void setWelfareAssessmentPerformed(boolean welfareAssessmentPerformed) {
        this.welfareAssessmentPerformed = welfareAssessmentPerformed;
    }                                                                                                                                            
    public boolean getWtsiOrigin() {
        return wtsiOrigin;
    }
    
    public void setWtsiOrigin(boolean wtsiOrigin) {
        this.wtsiOrigin = wtsiOrigin;
    }                                                                                                                                            
    public String getColonyPrefix() {
        return colonyPrefix;
    }
    
    public void setColonyPrefix(String colonyPrefix) {
        this.colonyPrefix = colonyPrefix;
    }                                                                                                                                            
                                                                                                                                          
    public String getModeOfInheritance() {
        return modeOfInheritance;
    }
    
    public void setModeOfInheritance(String modeOfInheritance) {
        this.modeOfInheritance = modeOfInheritance;
    }

	public String getPplHolder() {
		return pplHolder;
	}

	public void setPplHolder(String pplHolder) {
		this.pplHolder = pplHolder;
	}

	public Long getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Long createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	
}