package uk.ac.sanger.mig.common;

import java.text.DecimalFormat;

import uk.ac.sanger.mig.mousetracking.BarcodedObject;

public class BarcodeUtils {

	private static final DecimalFormat eightZeros = new DecimalFormat("00000000");
	private static final DecimalFormat nineZeros = new DecimalFormat("000000000");

	public static String generateBarcode(BarcodedObject.BarcodeType barcodeType, Long id) {
		if(id == null) {
			throw new IllegalArgumentException("Cannot generate barcode if id is null");
		}

		String barcode = null;

		switch (barcodeType) {
		case BLOCK:
			barcode = "B" + eightZeros.format(id);
			break;
		case CAGE:
			barcode = "C" + eightZeros.format(id);
			break;
		case MOUSE:
			barcode = "M" + eightZeros.format(id);
			break;
		case RACK:
			barcode = "R" + eightZeros.format(id);
			break;
		case SLIDE:
			barcode = "S" + nineZeros.format(id);
			break;
		default:
			throw new IllegalStateException("cannot generate barcode for this type:" + barcodeType);
		}

		return barcode;
	}

}
