/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.common;

import java.util.Calendar;
import java.util.Date;

public class CalendarUtils  {  

	public static final long MILLISECS_PER_MINUTE = 60*1000;

	public static final long MILLISECS_PER_HOUR   = 60*MILLISECS_PER_MINUTE;

	protected static final long MILLISECS_PER_DAY = 24*MILLISECS_PER_HOUR;

	public static long diffInDays(Date start, Date end) {
		Calendar calStart = Calendar.getInstance();
		calStart.setTime(start);
		
		Calendar calEnd = Calendar.getInstance();
		calEnd.setTime(end);

		long startL = calStart.getTimeInMillis() + calStart.getTimeZone().getOffset(calStart.getTimeInMillis());
		long endL = calEnd.getTimeInMillis() +  calEnd.getTimeZone().getOffset(calEnd.getTimeInMillis());
		
		return (endL - startL) / MILLISECS_PER_DAY;
	}
	
	public static long diffInHours(Date start, Date end) {
		Calendar calStart = Calendar.getInstance();
		calStart.setTime(start);
		
		Calendar calEnd = Calendar.getInstance();
		calEnd.setTime(end);

		long startL = calStart.getTimeInMillis() + calStart.getTimeZone().getOffset(calStart.getTimeInMillis());
		long endL = calEnd.getTimeInMillis() +  calEnd.getTimeZone().getOffset(calEnd.getTimeInMillis());
		
		return (endL - startL) / MILLISECS_PER_HOUR;		
	}
}
