package uk.ac.sanger.mig.common.controllers;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.common.OracleReportServer;

public class SetupOracleReport extends ParameterizableViewController {

	private OracleReportServer oracleReportServer;

	public void setOracleReportServer(OracleReportServer oracleReportServer) {
		this.oracleReportServer = oracleReportServer;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		String reportName = ServletRequestUtils.getRequiredStringParameter(request, "reportName");
		String queryParameters = ServletRequestUtils.getStringParameter(request, "extraParameters", "");
		String reportUrl = oracleReportServer.getServerUrl() + reportName;

		if(StringUtils.isNotEmpty(queryParameters)) {
			reportUrl += "+" + queryParameters;
		}

		return new ModelAndView(getViewName(), "reportServerUrl", reportUrl);
	}
}
