package uk.ac.sanger.mig.cryoprocessing.dao;

import java.util.Collection;

import uk.ac.sanger.mig.cryoprocessing.FreezeDownSample;
import uk.ac.sanger.mig.cryoprocessing.FreezeDownSampleSearchBean;
import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;
import uk.ac.sanger.mig.cryoprocessing.views.StrawListView;
import uk.ac.sanger.mig.cryorequest.ManageCryoRequestSearchBean;
import uk.ac.sanger.mig.database.TypedDao;



public interface FreezeDownSampleDao extends TypedDao<FreezeDownSample> {

	/**
	 * Takes search bean and returns a Collection of CryoFreezeDownSample OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer
	 * @param cryoFreezeDownSampleSearchBean
	 * @return
	 */
	public Collection<FreezeDownSample> search(FreezeDownSampleSearchBean cryoFreezeDownSampleSearchBean);

	public FreezeDownSample fetchByLocationId(Long locationId);

	public Collection<FreezeDownSample> fetchByThawTestId(Long thawTestId);

	public Collection<SampleListView> fetchByCryoRequestId(Long cryoRequestId);

	public Long getVialIdById(Long freezeDownSampleId);

	public Long getStrawIdById(Long freezeDownSampleId);

	public Collection<FreezeDownSample> fetchActiveByEmbryoHarvestId(Long embryoHarvestId);

	public Collection<StrawListView> searchStraws(FreezeDownSampleSearchBean freezeDownSampleSearchBean);
	public Collection<SampleListView> searchSamples(FreezeDownSampleSearchBean freezeDownSampleSearchBean);
	public SampleListView fetchSampleById(Long sampleId);
	public String fetchSampleColonyNameById(Long id);
	public String fetchWildTypeNameById(Long id);
	public Collection<SampleListView> fetchSamplesByCryoRequestId(Long id, ManageCryoRequestSearchBean searchBean);

}