package uk.ac.sanger.mig.cryoprocessing.dao;

import java.util.ArrayList;
import java.util.Collection;
import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.cryoprocessing.ThawTest;

public class ThawTestDaoSpringImpl extends AbstractDaoSpringImpl<ThawTest> implements ThawTestDao {

	//used for store

	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, ThawTest thawTest) {

		sql.addLongParam(thawTest.getCryoRequestId(), "CRQ_REQUEST_ID");
		sql.addDateParam(thawTest.getEditDate(), "EDIT_DATE");
		sql.addStringParam(thawTest.getEditedBy(), "EDITED_BY");
		sql.addDateParam(thawTest.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(thawTest.getCreatorId(), "CREATOR_ID");
		sql.addLongParam(thawTest.getCheckNumber(), "CHECK_NUMBER");
		sql.addStringParam(thawTest.getComments(), "COMMENTS");
		sql.addDateParam(thawTest.getDateCompleted(), "COMPLETE_DATE");
		sql.addIntParam(thawTest.getRetrievalNumber(), "RETRIEVAL_NUMBER");
		sql.addDateParam(thawTest.getDueDate(), "DUE_DATE");
		sql.addLongParam(thawTest.getId(), "ID");
	}

	public Collection<ThawTest> fetchAllByRequestId(Long requestId) {
		String sql = "select * from " + getTableName() + " where crq_request_id = ? order by id";
		Collection<ThawTest> thawTests = getSimpleJdbcTemplate().query(sql, getRowMapper(), requestId);
		return (thawTests == null) ? new ArrayList<ThawTest>() : thawTests;
	}
}