/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;

public class SampleListViewRowMapper implements ParameterizedRowMapper<SampleListView> {

	public SampleListView mapRow(ResultSet rs, int rowNum) throws SQLException {

		SampleListView sampleListView = new SampleListView();


		sampleListView.setId(rs.getLong("ID"));if(rs.wasNull()) sampleListView.setId(null);
		sampleListView.setColonyId(rs.getLong("colony_id")); if(rs.wasNull()) sampleListView.setColonyId(null);
		sampleListView.setRequestId(rs.getLong("REQUEST_ID"));if(rs.wasNull()) sampleListView.setRequestId(null);
		sampleListView.setEmbryoCount(rs.getInt("EMBRYO_COUNT"));if(rs.wasNull()) sampleListView.setEmbryoCount(null);
		sampleListView.setEmbryoGradeDictId(rs.getLong("embryo_grade_dict_id"));if(rs.wasNull()) sampleListView.setEmbryoGradeDictId(null);
		sampleListView.setCryoJobStatusDictId(rs.getLong("cryo_job_status_dict_id"));if(rs.wasNull()) sampleListView.setCryoJobStatusDictId(null);
		sampleListView.setTechnicianId(rs.getLong("technician_id"));if(rs.wasNull()) sampleListView.setTechnicianId(null);
		sampleListView.setScheduledJobId(rs.getLong("scheduled_job_id"));if(rs.wasNull()) sampleListView.setScheduledJobId(null);
		sampleListView.setSampleId(rs.getLong("sample_id")); if(rs.wasNull()) sampleListView.setSampleId(null);
		sampleListView.setFemaleStrainId(rs.getLong("female_strain_id"));if(rs.wasNull()) sampleListView.setFemaleStrainId(null);
		sampleListView.setRequestedFemaleStrainId(rs.getLong("requested_female_strain_id"));if(rs.wasNull()) sampleListView.setRequestedFemaleStrainId(null);

		sampleListView.setColonyName(rs.getString("COLONY_NAME"));
		sampleListView.setFemaleStrainName(rs.getString("FEMALE_STRAIN_NAME"));
		sampleListView.setRequestedFemaleStrainName(rs.getString("REQUESTED_FEMALE_STRAIN_NAME"));
		sampleListView.setComments(rs.getString("COMMENTS"));
		sampleListView.setTechnician(rs.getString("TECHNICIAN_NAME"));
		sampleListView.setEmbryoGrade(rs.getString("embryo_grade"));
		sampleListView.setLocationName(rs.getString("location_name"));
		sampleListView.setStorageType(rs.getString("storage_type"));
		sampleListView.setFreezeDownDate(rs.getDate("FREEZE_DOWN_DATE"));

		return sampleListView;
	}
}