/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.cryoprocessing.views.StrawListView;

public class StrawListViewRowMapper implements ParameterizedRowMapper<StrawListView> {

	public StrawListView mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		StrawListView strawListView = new StrawListView();
		

		strawListView.setStrawId(rs.getLong("ID"));if(rs.wasNull()) strawListView.setStrawId(null);
		strawListView.setColonyId(rs.getLong("colony_id")); if(rs.wasNull()) strawListView.setColonyId(null);
		strawListView.setRequestId(rs.getLong("REQUEST_ID"));if(rs.wasNull()) strawListView.setRequestId(null);
		strawListView.setEmbryoCount(rs.getInt("EMBRYO_COUNT"));if(rs.wasNull()) strawListView.setEmbryoCount(null);
		strawListView.setEmbryoGradeDictId(rs.getLong("embryo_grade_dict_id"));if(rs.wasNull()) strawListView.setEmbryoGradeDictId(null);
		strawListView.setFreezerId(rs.getLong("freezer_id")); if(rs.wasNull()) strawListView.setFreezerId(null);
		strawListView.setCanisterId(rs.getLong("canister_id"));if(rs.wasNull()) strawListView.setCanisterId(null);
        strawListView.setGobletId(rs.getLong("goblet_id"));if(rs.wasNull()) strawListView.setGobletId(null);
        strawListView.setWedgeId(rs.getLong("wedge_id"));if(rs.wasNull()) strawListView.setWedgeId(null);
		strawListView.setTechnicianId(rs.getLong("technician_id"));if(rs.wasNull()) strawListView.setTechnicianId(null);
		strawListView.setScpId(rs.getLong("scheduled_job_id"));if(rs.wasNull()) strawListView.setScpId(null);
		strawListView.setSampleId(rs.getLong("sample_id")); if(rs.wasNull()) strawListView.setSampleId(null);
		strawListView.setJobStatusDictId(rs.getLong("cryo_job_status_dict_id"));if(rs.wasNull()) strawListView.setJobStatusDictId(null);
		
		strawListView.setColonyName(rs.getString("COLONY_NAME"));
		strawListView.setTechnician(rs.getString("TECHNICIAN_name"));
		strawListView.setWedgeColour(rs.getString("WEDGE_COLOUR"));
		strawListView.setGobletName(rs.getString("GOBLET_NAME"));
		strawListView.setCanisterName(rs.getString("CANISTER_NAME"));
		strawListView.setFreezerName(rs.getString("FREEZER_NAME"));
		strawListView.setEmbryoGrade(rs.getString("embryo_grade"));
		
	
		
		strawListView.setFreezeDownDate(rs.getDate("FREEZE_DOWN_DATE"));
	
		return strawListView;
		
	}
}