/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.cryoprocessing.views.VialListView;

public class VialListViewRowMapper implements ParameterizedRowMapper<VialListView> {

	public VialListView mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		VialListView vialListView = new VialListView();
		

		vialListView.setVialId(rs.getLong("ID"));if(rs.wasNull()) vialListView.setVialId(null);
		vialListView.setColonyId(rs.getLong("colony_id")); if(rs.wasNull()) vialListView.setColonyId(null);
		vialListView.setRequestId(rs.getLong("REQUEST_ID"));if(rs.wasNull()) vialListView.setRequestId(null);
		vialListView.setEmbryoCount(rs.getInt("EMBRYO_COUNT"));if(rs.wasNull()) vialListView.setEmbryoCount(null);
		vialListView.setEmbryoGradeDictId(rs.getLong("embryo_grade_dict_id"));if(rs.wasNull()) vialListView.setEmbryoGradeDictId(null);
		vialListView.setFreezerId(rs.getLong("freezer_id")); if(rs.wasNull()) vialListView.setFreezerId(null);
		vialListView.setTowerId(rs.getLong("tower_id"));if(rs.wasNull()) vialListView.setTowerId(null);
        vialListView.setBoxId(rs.getLong("box_id"));if(rs.wasNull()) vialListView.setBoxId(null);
        vialListView.setVialPosition(rs.getLong("vial_position"));if(rs.wasNull()) vialListView.setVialPosition(null);
		vialListView.setTechnicianId(rs.getLong("technician_id"));if(rs.wasNull()) vialListView.setTechnicianId(null);
		vialListView.setScpId(rs.getLong("scheduled_job_id"));if(rs.wasNull()) vialListView.setScpId(null);
		vialListView.setSampleId(rs.getLong("sample_id")); if(rs.wasNull()) vialListView.setSampleId(null);
		vialListView.setJobStatusDictId(rs.getLong("cryo_job_status_dict_id"));if(rs.wasNull()) vialListView.setJobStatusDictId(null);
		
		
		vialListView.setColonyName(rs.getString("COLONY_NAME"));
		vialListView.setTechnicianName(rs.getString("TECHNICIAN_NAME"));
		vialListView.setVialPosition(rs.getLong("VIAL_POSITION"));
		vialListView.setBoxName(rs.getString("BOX_NAME"));
		vialListView.setTowerName(rs.getString("TOWER_NAME"));
		vialListView.setFreezerName(rs.getString("FREEZER_NAME"));
		vialListView.setEmbryoGrade(rs.getString("embryo_grade"));
	
		
		vialListView.setFreezeDownDate(rs.getDate("FREEZE_DOWN_DATE"));
	
		return vialListView;
		
	}
}