/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.forms;

import uk.ac.sanger.mig.cryoprocessing.ScheduledCryoPreservationJob;

public class CancelScheduledCryoProcessingJobForm {

	private Long scheduledCryoPreservationJobId;//not exposed to user, kept in session
	private String cancelComments; //req'd
	private String referrer;
	private Long cryoRequestId;
	private Long cancelReasonDictId;
	private boolean needReschedule;
	private ScheduledCryoPreservationJob scheduledCryoPreservationJob;
	
	public ScheduledCryoPreservationJob getScheduledCryoPreservationJob() {
		return scheduledCryoPreservationJob;
	}
	public void setScheduledCryoPreservationJob(
			ScheduledCryoPreservationJob scheduledCryoPreservationJob) {
		this.scheduledCryoPreservationJob = scheduledCryoPreservationJob;
	}
	public Long getCryoRequestId() {
		return cryoRequestId;
	}
	public void setCryoRequestId(Long cryoRequestId) {
		this.cryoRequestId = cryoRequestId;
	}
	public String getReferrer() {
		return referrer;
	}
	public void setReferrer(String referrer) {
		this.referrer = referrer;
	}
	public String getCancelComments() {
		return cancelComments;
	}
	public void setCancelComments(String cancelComments) {
		this.cancelComments = cancelComments;
	}
	public Long getScheduledCryoPreservationJobId() {
		return scheduledCryoPreservationJobId;
	}
	public void setScheduledCryoPreservationJobId(
			Long scheduledCryoPreservationJobId) {
		this.scheduledCryoPreservationJobId = scheduledCryoPreservationJobId;
	}
	public Long getCancelReasonDictId() {
		return cancelReasonDictId;
	}
	public void setCancelReasonDictId(Long cancelReasonDictId) {
		this.cancelReasonDictId = cancelReasonDictId;
	}
	public boolean isNeedReschedule() {
		return needReschedule;
	}
	public void setNeedReschedule(boolean needReschedule) {
		this.needReschedule = needReschedule;
	}
	
}
