/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.forms;

import uk.ac.sanger.mig.cryoprocessing.EmbryoHarvest;
import uk.ac.sanger.mig.cryoprocessing.ScheduledCryoPreservationJob;

public class EmbryoHarvestForm {

	private EmbryoHarvest embryoHarvest;
	private String redirect;
	private Long cryoJobId;
	private ScheduledCryoPreservationJob scpJob;
	private Long embryoHarvestId;
	private boolean isFilterView;
	
	public boolean isFilterView() {
		return isFilterView;
	}

	public void setFilterView(boolean isFilterView) {
		this.isFilterView = isFilterView;
	}

	public EmbryoHarvest getEmbryoHarvest() {
		return embryoHarvest;
	}

	public void setEmbryoHarvest(EmbryoHarvest embryoHarvest) {
		this.embryoHarvest = embryoHarvest;
	}

	public Long getCryoJobId() {
		return cryoJobId;
	}

	public void setCryoJobId(Long cryoJobId) {
		this.cryoJobId = cryoJobId;
	}

	public Long getEmbryoHarvestId() {
		return embryoHarvestId;
	}

	public void setEmbryoHarvestId(Long embryoHarvestId) {
		this.embryoHarvestId = embryoHarvestId;
	}

	public String getRedirect() {
		return redirect;
	}

	public void setRedirect(String redirect) {
		this.redirect = redirect;
	}

	public ScheduledCryoPreservationJob getScpJob() {
		return scpJob;
	}

	public void setScpJob(ScheduledCryoPreservationJob scpJob) {
		this.scpJob = scpJob;
	}

//YOU MAY ADD OTHER FORM FIELD GETTER/SETTERS IN ADDITION TO EmbryoHarvest 
//FOR BINDING IN FORM CONTROLLER AS NEEDED

}