package uk.ac.sanger.mig.cryoprocessing.forms;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.cryoprocessing.ThawTest;
import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;
import uk.ac.sanger.mig.cryorequest.CryoRequest;
import uk.ac.sanger.mig.miprocessing.EmbryoTransferProcedure;
import uk.ac.sanger.mig.miprocessing.ScheduledMicroInjectionJob;


public class ThawTestForm {

	//new embryo transfer
	private EmbryoTransferProcedure embryoTransferProcedure; 
	private String recipientsCageBarcode;
	private Long recipientsCageId;
	private Long earmarkId;
	private String embryoTransferBarcode;
	private String embryoTransferBarcodeDescription;
	private Long embryoTransferCageOrRackId;
	private String cageBarcode;
	private String embryoTransferBarcodeType;
	private Long etCageIdFrom;
	private Collection<DictionaryEntry> earmarks;
	private boolean changeEarmarks;
	
	//added embryo transfer list
	private List<EmbryoTransferProcedure> embryoTransfers = new ArrayList<EmbryoTransferProcedure>();
	private boolean onFormChangeOnAdd;
	//private int index = 0;
	
	//thaw test
	private Long cryoRequestId;
	private CryoRequest cryoRequest;
	private ThawTest thawTest;
	private Long thawTestId;
	private Date dateCompleted;
	private boolean editThaw;
    private Collection<SampleListView> samples;
    
    //edit embryo transfer
    private boolean editAddedEmbryoTransfer;
    private boolean editExistEmbryoTransfer;
    
    //edit and delete embryo transfer
    private int deleteAddedEmbryoTransferId = -1;
    private int editAddedEmbryoTransferId = -1;
  

	
	public int getEditAddedEmbryoTransferId() {
		return editAddedEmbryoTransferId;
	}
	public void setEditAddedEmbryoTransferId(int editAddedEmbryoTransferId) {
		this.editAddedEmbryoTransferId = editAddedEmbryoTransferId;
	}
	public int getDeleteAddedEmbryoTransferId() {
		return deleteAddedEmbryoTransferId;
	}
	public void setDeleteAddedEmbryoTransferId(int deleteAddedEmbryoTransferId) {
		this.deleteAddedEmbryoTransferId = deleteAddedEmbryoTransferId;
	}
	//select freeze down samples
	public Collection<SampleListView> getSamples() {
		return samples;
	}
	public void setSamples(Collection<SampleListView> samples) {
		this.samples = samples;
	}
	public ThawTest getThawTest() {
		return thawTest;
	}
	public void setThawTest(ThawTest thawTest) {
		this.thawTest = thawTest;
	}
	public Long getThawTestId() {
		return thawTestId;
	}

	public void setThawTestId(Long thawTestId) {
		this.thawTestId = thawTestId;
	}

	public CryoRequest getCryoRequest() {
		return cryoRequest;
	}

	public void setCryoRequest(CryoRequest cryoRequest) {
		this.cryoRequest = cryoRequest;
	}

	public Long getCryoRequestId() {
		return cryoRequestId;
	}

	public void setCryoRequestId(Long cryoRequestId) {
		this.cryoRequestId = cryoRequestId;
	}

	public Long getAnalgesiaDictId() {
		return (embryoTransferProcedure != null) ? embryoTransferProcedure.getAnalgesiaDictId() : null;
	}
	
	public ScheduledMicroInjectionJob getScheduledMicroInjection() {
		return (embryoTransferProcedure != null) ? 
				embryoTransferProcedure.getScheduledMicroInjection() : null;
	}
	
	public Long getScheduledMicroInjectionId() {
		return (embryoTransferProcedure != null) ? 
				embryoTransferProcedure.getScheduledMicroInjectionId() : null;
	}	

	//////////////////////////////////////////////////////////
	///////////////// bit bucket methods /////////////////////
	//////////////////////////////////////////////////////////	
		
	public boolean isChangeEarmarks() {
		return changeEarmarks;
	}

	public void setChangeEarmarks(boolean changeEarmarks) {
		this.changeEarmarks = changeEarmarks;
	}

	public Collection<DictionaryEntry> getEarmarks() {
		return earmarks;
	}

	public void setEarmarks(Collection<DictionaryEntry> earmarks) {
		this.earmarks = earmarks;
	}

	public Long getEtCageIdFrom() {
		return etCageIdFrom;
	}

	public void setEtCageIdFrom(Long etCageId) {
		this.etCageIdFrom = etCageId;
	}
	
	public Date getDateCompleted() {
		return dateCompleted;
	}

	public void setDateCompleted(Date dateCompleted) {
		this.dateCompleted = dateCompleted;
	}

	public EmbryoTransferProcedure getEmbryoTransferProcedure() {
		return embryoTransferProcedure;
	}
	

	public void setEmbryoTransferProcedure(EmbryoTransferProcedure embryoTransferProcedure) {
		this.embryoTransferProcedure = embryoTransferProcedure;
	}

	public Long getEarmarkId() {
		return earmarkId;
	}

	public void setEarmarkId(Long earmarkId) {
		this.earmarkId = earmarkId;
	}


	public String getRecipientsCageBarcode() {
		return recipientsCageBarcode;
	}

	public void setRecipientsCageBarcode(String recipientsCageBarcode) {
		this.recipientsCageBarcode = recipientsCageBarcode;
	}

	public Long getRecipientsCageId() {
		return recipientsCageId;
	}

	public void setRecipientsCageId(Long recipientsCageId) {
		this.recipientsCageId = recipientsCageId;
	}

	public String getEmbryoTransferBarcode() {
		return this.embryoTransferBarcode;
	}

	public void setEmbryoTransferBarcode(String embryoTransferBarcode) {
		this.embryoTransferBarcode = embryoTransferBarcode;
	}

	public String getEmbryoTransferBarcodeDescription() {
		return this.embryoTransferBarcodeDescription;
	}

	public void setEmbryoTransferBarcodeDescription(
			String embryoTransferBarcodeDescription) {
		this.embryoTransferBarcodeDescription = embryoTransferBarcodeDescription;
	}

	public String getEmbryoTransferBarcodeType() {
		return this.embryoTransferBarcodeType;
	}

	public void setEmbryoTransferBarcodeType(String embryoTransferBarcodeType) {
		this.embryoTransferBarcodeType = embryoTransferBarcodeType;
	}

	public Long getEmbryoTransferCageOrRackId() {
		return this.embryoTransferCageOrRackId;
	}

	public void setEmbryoTransferCageOrRackId(Long embryoTransferCageOrRackId) {
		this.embryoTransferCageOrRackId = embryoTransferCageOrRackId;
	}

	public boolean isEditThaw() {
		return editThaw;
	}

	public void setEditThaw(boolean editThaw) {
		this.editThaw = editThaw;
	}
	
	public List<EmbryoTransferProcedure> getEmbryoTransfers() {
		return embryoTransfers;
	}
	public void setEmbryoTransfers(List<EmbryoTransferProcedure> embryoTransfers) {
		this.embryoTransfers = embryoTransfers;
	}
	public boolean isOnFormChangeOnAdd() {
		return onFormChangeOnAdd;
	}
	public void setOnFormChangeOnAdd(boolean onFormChangeOnAdd) {
		this.onFormChangeOnAdd = onFormChangeOnAdd;
	}
	
	public String getCageBarcode() {
		return cageBarcode;
	}
	public void setCageBarcode(String cageBarcode) {
		this.cageBarcode = cageBarcode;
	}
	public boolean isEditAddedEmbryoTransfer() {
		return editAddedEmbryoTransfer;
	}
	public void setEditAddedEmbryoTransfer(boolean editAddedEmbryoTransfer) {
		this.editAddedEmbryoTransfer = editAddedEmbryoTransfer;
	}
	public boolean isEditExistEmbryoTransfer() {
		return editExistEmbryoTransfer;
	}
	public void setEditExistEmbryoTransfer(boolean editExistEmbryoTransfer) {
		this.editExistEmbryoTransfer = editExistEmbryoTransfer;
	}
	
	
}