package uk.ac.sanger.mig.cryoprocessing.services;

import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.cryoprocessing.FreezeDownSample;
import uk.ac.sanger.mig.cryoprocessing.FreezeDownSampleSearchBean;
import uk.ac.sanger.mig.cryoprocessing.forms.FreezeDownSampleForm;
import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;
import uk.ac.sanger.mig.cryoprocessing.views.StrawListView;
import uk.ac.sanger.mig.cryorequest.ManageCryoRequestSearchBean;
import uk.ac.sanger.mig.personnel.Person;

public interface FreezeDownSampleService {
	public final static Long CRYO_STRAW_LABEL_PRINTER_ID = 10L;
	/**
	 * Stores CryoFreezeDownSample as record in database and returns the record's primary key
	 * @param cryoFreezeDownSample
	 * @return
	 */
	public Long storeAuthenticated(FreezeDownSample cryoFreezeDownSample, Person person);

	/**
	 * Returns cryoFreezeDownSample for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public FreezeDownSample fetchById(Long id, ComponentMap componentMap);
	public Collection<SampleListView> fetchByCryoRequestId(Long cryoRequestId);

	public FreezeDownSample fetchByLocationId(Long locationId, ComponentMap componentMap);

	public void inflateFreezeDownSampleComponents(FreezeDownSample freezeDownSample);

	/**
	 * @param freezeDownSample
	 * @param freezeDownSampleVialForm
	 * @param user
	 */
	public Long editFreezeDownSample(FreezeDownSample freezeDownSample, FreezeDownSampleForm freezeDownSampleVialForm, Person user);
	public Collection<StrawListView> searchStraws(FreezeDownSampleSearchBean freezeDownSampleSearchBean);
	public Collection<SampleListView> searchSamples(FreezeDownSampleSearchBean freezeDownSampleSearchBean);


	public Collection<FreezeDownSample> fetchActiveByEmbryoHarvestId(Long id, ComponentMap requiredComponents);

	public String fetchSampleColonyNameById(Long id);
	public String fetchWildTypeNameById(Long id);

	public Collection<SampleListView> fetchSamplesByCryoRequestId(Long id, ManageCryoRequestSearchBean searchBean);

	public Collection<FreezeDownSample> fetchByThawTestId(Long thawTestId,ComponentMap componentMap);

	public SampleListView cancelSampleBySampleId(Long sampleId, Person user);
}