/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.views;


import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.cryoprocessing.ScheduledCryoPreservationJob;

public class SampleListView extends AuthenticatedDataObject  {

    private Long id;
    private String colonyName;
    private Long colonyId;
    private Long requestId;
    private Date freezeDownDate;
    private Integer embryoCount;
    private String embryoGrade;
    private Long embryoGradeDictId;
    private String locationName;
    private String technician;
    private Long technicianId;
    private Long sampleId;
    private Long scheduledJobId;
    private String storageType;
    private Long cryoJobStatusDictId;
    private String femaleStrainName;
    private String requestedFemaleStrainName;
    private boolean selected;
    private Long femaleStrainId;
    private Long requestedFemaleStrainId;
    private String comments;

	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public String getFemaleStrainName() {
		return femaleStrainName;
	}
	public void setFemaleStrainName(String femaleStrainName) {
		this.femaleStrainName = femaleStrainName;
	}
	public Long getCryoJobStatusDictId() {
		return cryoJobStatusDictId;
	}
	public void setCryoJobStatusDictId(Long cryoJobStatusDictId) {
		this.cryoJobStatusDictId = cryoJobStatusDictId;
	}
	public Long getColonyId() {
		return colonyId;
	}
	public void setColonyId(Long colonyId) {
		this.colonyId = colonyId;
	}
	public String getColonyName() {
		return colonyName;
	}
	public void setColonyName(String colonyName) {
		this.colonyName = colonyName;
	}
	public Integer getEmbryoCount() {
		return embryoCount;
	}
	public void setEmbryoCount(Integer embryoCount) {
		this.embryoCount = embryoCount;
	}
	public String getEmbryoGrade() {
		return embryoGrade;
	}
	public void setEmbryoGrade(String embryoGrade) {
		this.embryoGrade = embryoGrade;
	}
	public Long getEmbryoGradeDictId() {
		return embryoGradeDictId;
	}
	public void setEmbryoGradeDictId(Long embryoGradeDictId) {
		this.embryoGradeDictId = embryoGradeDictId;
	}
	public Date getFreezeDownDate() {
		return freezeDownDate;
	}
	public void setFreezeDownDate(Date freezeDownDate) {
		this.freezeDownDate = freezeDownDate;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getLocationName() {
		return locationName;
	}
	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}
	public Long getRequestId() {
		return requestId;
	}
	public void setRequestId(Long requestId) {
		this.requestId = requestId;
	}
	public Long getSampleId() {
		return sampleId;
	}
	public void setSampleId(Long sampleId) {
		this.sampleId = sampleId;
	}
	public Long getScheduledJobId() {
		return scheduledJobId;
	}
	public void setScheduledJobId(Long scheduledJobId) {
		this.scheduledJobId = scheduledJobId;
	}
	public String getStorageType() {
		return storageType;
	}
	public void setStorageType(String storageType) {
		this.storageType = storageType;
	}
	public String getTechnician() {
		return technician;
	}
	public void setTechnician(String technician) {
		this.technician = technician;
	}
	public Long getTechnicianId() {
		return technicianId;
	}
	public void setTechnicianId(Long technicianId) {
		this.technicianId = technicianId;
	}

	public boolean isJobCompleted() {
		return (this.cryoJobStatusDictId==ScheduledCryoPreservationJob.InternalStatus.ATTEMPT_COMPLETE.getId());
	}
	public boolean isSelected() {
		return selected;
	}
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	public String getRequestedFemaleStrainName() {
		return requestedFemaleStrainName;
	}
	public void setRequestedFemaleStrainName(String requestedFemaleStrainName) {
		this.requestedFemaleStrainName = requestedFemaleStrainName;
	}
	public Long getFemaleStrainId() {
		return femaleStrainId;
	}
	public void setFemaleStrainId(Long femaleStrainId) {
		this.femaleStrainId = femaleStrainId;
	}
	public Long getRequestedFemaleStrainId() {
		return requestedFemaleStrainId;
	}
	public void setRequestedFemaleStrainId(Long requestedFemaleStrainId) {
		this.requestedFemaleStrainId = requestedFemaleStrainId;
	}

}