/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.views;


import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class StrawListView extends AuthenticatedDataObject  {

    private Long strawId;        
    private String colonyName;    
    private Long colonyId;
    private Long freezerId;
    private Long canisterId;
    private Long technicianId;
    private Long gobletId;
    private Long requestId;        
    private Date freezeDownDate;        
    private Integer embryoCount;        
    private String embryoGrade; 
    private Long embryoGradeDictId;
    private String freezerName;        
    private String canisterName;        
    private String gobletName;        
    private String wedgeColour;        
    private String technician;  
    private Long wedgeId;
    private Long sampleId;
    private Long scpId;
    private Long jobStatusDictId;
    

    public Long getJobStatusDictId() {
		return jobStatusDictId;
	}

	public void setJobStatusDictId(Long jobStatusDictId) {
		this.jobStatusDictId = jobStatusDictId;
	}

	public Long getSampleId() {
		return sampleId;
	}

	public void setSampleId(Long sampleId) {
		this.sampleId = sampleId;
	}

	public Long getScpId() {
		return scpId;
	}

	public void setScpId(Long scpId) {
		this.scpId = scpId;
	}

	public Long getStrawId() {
        return strawId;
    }
    
    public void setStrawId(Long strawId) {
        this.strawId = strawId;
    }                                                                                                                                            
    public String getColonyName() {
        return colonyName;
    }
    
    public void setColonyName(String colonyName) {
        this.colonyName = colonyName;
    }                                                                                                                                            
    public Long getRequestId() {
        return requestId;
    }
    
    public void setRequestId(Long requestId) {
        this.requestId = requestId;
    }                                                                                                                                            
    public Date getFreezeDownDate() {
        return freezeDownDate;
    }
    
    public void setFreezeDownDate(Date freezeDownDate) {
        this.freezeDownDate = freezeDownDate;
    }                                                                                                                                            
    public Integer getEmbryoCount() {
        return embryoCount;
    }
    
    public void setEmbryoCount(Integer embryoCount) {
        this.embryoCount = embryoCount;
    }                                                                                                                                            
    public String getEmbryoGrade() {
        return embryoGrade;
    }
    
    public void setEmbryoGrade(String embryoGrade) {
        this.embryoGrade = embryoGrade;
    }                                                                                                                                            
    public String getFreezerName() {
        return freezerName;
    }
    
    public void setFreezerName(String freezerName) {
        this.freezerName = freezerName;
    }                                                                                                                                            
    public String getCanisterName() {
        return canisterName;
    }
    
    public void setCanisterName(String canisterName) {
        this.canisterName = canisterName;
    }                                                                                                                                            
    public String getGobletName() {
        return gobletName;
    }
    
    public void setGobletName(String gobletName) {
        this.gobletName = gobletName;
    }                                                                                                                                            
    public String getWedgeColour() {
        return wedgeColour;
    }
    
    public void setWedgeColour(String wedgeColour) {
        this.wedgeColour = wedgeColour;
    }                                                                                                                                            
    public String getTechnician() {
        return technician;
    }
    
    public void setTechnician(String technician) {
        this.technician = technician;
    }

	public Long getCanisterId() {
		return canisterId;
	}

	public void setCanisterId(Long canisterId) {
		this.canisterId = canisterId;
	}

	public Long getColonyId() {
		return colonyId;
	}

	public void setColonyId(Long colonyId) {
		this.colonyId = colonyId;
	}

	public Long getEmbryoGradeDictId() {
		return embryoGradeDictId;
	}

	public void setEmbryoGradeDictId(Long embryoGradeDictId) {
		this.embryoGradeDictId = embryoGradeDictId;
	}

	public Long getFreezerId() {
		return freezerId;
	}

	public void setFreezerId(Long freezerId) {
		this.freezerId = freezerId;
	}

	public Long getGobletId() {
		return gobletId;
	}

	public void setGobletId(Long gobletId) {
		this.gobletId = gobletId;
	}

	public Long getTechnicianId() {
		return technicianId;
	}

	public void setTechnicianId(Long technicianId) {
		this.technicianId = technicianId;
	}

	public Long getWedgeId() {
		return wedgeId;
	}

	public void setWedgeId(Long wedgeId) {
		this.wedgeId = wedgeId;
	}                                                                                                                                            

}