/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryoprocessing.views;


import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class VialListView extends AuthenticatedDataObject  {

    private Long vialId;        
    private String colonyName;    
    private Long colonyId;
    private Long freezerId;
    private Long towerId;
    private Long boxId;
    private Long vialPosition;  
    private Long technicianId;
    private Long requestId;        
    private Date freezeDownDate;        
    private Integer embryoCount;        
    private String embryoGrade; 
    private Long embryoGradeDictId;
    private String freezerName;        
    private String towerName;        
    private String boxName;       
    private String technicianName;  
    private Long sampleId;
    private Long scpId;
    private Long jobStatusDictId;
    
	public Long getJobStatusDictId() {
		return jobStatusDictId;
	}
	public void setJobStatusDictId(Long jobStatusDictId) {
		this.jobStatusDictId = jobStatusDictId;
	}
	public Long getBoxId() {
		return boxId;
	}
	public void setBoxId(Long boxId) {
		this.boxId = boxId;
	}
	public String getBoxName() {
		return boxName;
	}
	public void setBoxName(String boxName) {
		this.boxName = boxName;
	}
	public Long getColonyId() {
		return colonyId;
	}
	public void setColonyId(Long colonyId) {
		this.colonyId = colonyId;
	}
	public String getColonyName() {
		return colonyName;
	}
	public void setColonyName(String colonyName) {
		this.colonyName = colonyName;
	}
	public Integer getEmbryoCount() {
		return embryoCount;
	}
	public void setEmbryoCount(Integer embryoCount) {
		this.embryoCount = embryoCount;
	}
	public String getEmbryoGrade() {
		return embryoGrade;
	}
	public void setEmbryoGrade(String embryoGrade) {
		this.embryoGrade = embryoGrade;
	}
	public Long getEmbryoGradeDictId() {
		return embryoGradeDictId;
	}
	public void setEmbryoGradeDictId(Long embryoGradeDictId) {
		this.embryoGradeDictId = embryoGradeDictId;
	}
	public Date getFreezeDownDate() {
		return freezeDownDate;
	}
	public void setFreezeDownDate(Date freezeDownDate) {
		this.freezeDownDate = freezeDownDate;
	}
	public Long getFreezerId() {
		return freezerId;
	}
	public void setFreezerId(Long freezerId) {
		this.freezerId = freezerId;
	}
	public String getFreezerName() {
		return freezerName;
	}
	public void setFreezerName(String freezerName) {
		this.freezerName = freezerName;
	}
	public Long getRequestId() {
		return requestId;
	}
	public void setRequestId(Long requestId) {
		this.requestId = requestId;
	}
	public Long getSampleId() {
		return sampleId;
	}
	public void setSampleId(Long sampleId) {
		this.sampleId = sampleId;
	}
	public Long getScpId() {
		return scpId;
	}
	public void setScpId(Long scpId) {
		this.scpId = scpId;
	}
	public Long getTechnicianId() {
		return technicianId;
	}
	public void setTechnicianId(Long technicianId) {
		this.technicianId = technicianId;
	}
	public String getTechnicianName() {
		return technicianName;
	}
	public void setTechnicianName(String technicianName) {
		this.technicianName = technicianName;
	}
	public Long getTowerId() {
		return towerId;
	}
	public void setTowerId(Long towerId) {
		this.towerId = towerId;
	}
	public String getTowerName() {
		return towerName;
	}
	public void setTowerName(String towerName) {
		this.towerName = towerName;
	}
	public Long getVialId() {
		return vialId;
	}
	public void setVialId(Long vialId) {
		this.vialId = vialId;
	}
	public Long getVialPosition() {
		return vialPosition;
	}
	public void setVialPosition(Long vialPosition) {
		this.vialPosition = vialPosition;
	}
    

   }