/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * 
 */
package uk.ac.sanger.mig.cryoprocessing.views;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

/**
 * @author wl1
 *
 */
public class VialLocation extends AuthenticatedDataObject {
	
    private Long vialId;        
    private Integer vialPosition;        
    private Long boxId;        
    private String boxName;        
    private Long towerId;        
    private String towerName;        
    private Long freezerId;        
    private String freezerName;
    
	public Long getBoxId() {
		return boxId;
	}
	public void setBoxId(Long boxId) {
		this.boxId = boxId;
	}
	public String getBoxName() {
		return boxName;
	}
	public void setBoxName(String boxName) {
		this.boxName = boxName;
	}
	public Long getFreezerId() {
		return freezerId;
	}
	public void setFreezerId(Long freezerId) {
		this.freezerId = freezerId;
	}
	public String getFreezerName() {
		return freezerName;
	}
	public void setFreezerName(String freezerName) {
		this.freezerName = freezerName;
	}
	public Long getTowerId() {
		return towerId;
	}
	public void setTowerId(Long towerId) {
		this.towerId = towerId;
	}
	public String getTowerName() {
		return towerName;
	}
	public void setTowerName(String towerName) {
		this.towerName = towerName;
	}
	public Long getVialId() {
		return vialId;
	}
	public void setVialId(Long vialId) {
		this.vialId = vialId;
	}
	public Integer getVialPosition() {
		return vialPosition;
	}
	public void setVialPosition(Integer vialPosition) {
		this.vialPosition = vialPosition;
	}
	
	public String getVialPositionLabel() {
		String label =  this.getFreezerName()+"/"+this.getTowerName()+"/" +this.getBoxName()+"/"+this.getVialPosition().toString();
		return label;
	}
	public String getVialPositionSummary() {
		String summary =  "Freezer " + this.getFreezerName() + ", Tower "
		+ this.getTowerName() + ", Box "
		+ this.getBoxName() + ", Vial Position "
		+ this.getVialPosition().toString();
		
		return summary;
	}
                                                                                         
}