/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.cryorequest.forms;

import uk.ac.sanger.mig.cryorequest.CryoRequest;
import uk.ac.sanger.mig.personnel.Person;

public class CryoRequestForm {

	private CryoRequest cryoRequest;
	private Person submitter;
	private String colonyName;
	private String personName;
	private String projectLicenceDisplayText;
	private String femaleStrain;
	private Integer targetNumber;
	private boolean addAllele = false;
	private String primaryName;
	private String officialNameSuperscript;
	private Long ModifiedAlleleId;

	public String getOfficialNameSuperscript() {
		return officialNameSuperscript;
	}
	public void setOfficialNameSuperscript(String officialNameSuperscript) {
		this.officialNameSuperscript = officialNameSuperscript;
	}

	public String getPrimaryName() {
		return primaryName;
	}

	public void setPrimaryName(String primaryName) {
		this.primaryName = primaryName;
	}



	public boolean isAddAllele() {
		return addAllele;
	}
	public void setAddAllele(boolean addAllele) {
		this.addAllele = addAllele;
	}
	public Integer getTargetNumber() {
		return targetNumber;
	}

	public void setTargetNumber(Integer targetNumber) {
		this.targetNumber = targetNumber;
	}

	public CryoRequest getCryoRequest() {
		return cryoRequest;
	}

	public void setCryoRequest(CryoRequest cryoRequest) {
		this.cryoRequest = cryoRequest;
	}

	public Person getSubmitter() {
		return submitter;
	}

	public void setSubmitter(Person submitter) {
		this.submitter = submitter;
	}

	public String getColonyName() {
		if(colonyName == null) {
			setColonyName(cryoRequest.getColonyInfo().getColonyName());
		}
		return colonyName;
	}

	public void setColonyName(String colonyName) {
		this.colonyName = colonyName;
	}

	public String getPersonName() {
		if(personName == null) {
			setPersonName(cryoRequest.getRequester().getFullName());
		}
		return personName;
	}

	public void setPersonName(String personName) {
		this.personName = personName;
	}

	public String getProjectLicenceDisplayText() {
		if(projectLicenceDisplayText == null) {
			setProjectLicenceDisplayText(cryoRequest.getProjectLicence().getDisplayText());
		}
		return projectLicenceDisplayText;
	}

	public void setProjectLicenceDisplayText(String projectLicenceDisplayText) {
		this.projectLicenceDisplayText = projectLicenceDisplayText;
	}

	public String getFemaleStrain() {
		return femaleStrain;
	}

	public void setFemaleStrain(String femaleStrain) {
		this.femaleStrain = femaleStrain;
	}

	public Long getModifiedAlleleId() {
		return ModifiedAlleleId;
	}

	public void setModifiedAlleleId(Long modifiedAlleleId) {
		ModifiedAlleleId = modifiedAlleleId;
	}
}