package uk.ac.sanger.mig.customquery;

import java.util.Collection;
import java.util.Date;
import java.util.Map;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;


public class CustomQuery extends AuthenticatedDataObject {

	public enum Components implements ComponentEnum {
		ALL_COMPONENTS,
		QUERY_COLUMNS,
		DISPLAY_COLUMNS,
		RESULTS,
		SELECTED_RECORD_ACTIONS,
		SQL,
		ACTIONS
	}

	private String queryTitle;
	private String description;
	private String category;
	private String queryViewName;
	private Collection<CustomQueryColumn> queryColumns;
	private Collection<CustomQueryColumn> displayColumns;
	private boolean systemQuery;
	private boolean startWithFilter;
	private Collection<Map<String, Object>> results;
	private String querySql;
	private String queryBindVariables;
	private Long personId;
	private boolean selectableRecords;
	private Collection<SelectedRecordAction> selectedRecordActions;
	private String uniqueName;
	private Collection<CustomQueryAction> actions;
	private Date lastRefresh;

	public Long getPersonId() {
		return personId;
	}
	public void setPersonId(Long personId) {
		this.personId = personId;
	}
	public String getQueryTitle() {
		return queryTitle;
	}
	public void setQueryTitle(String queryTitle) {
		this.queryTitle = queryTitle;
	}
	public String getQueryViewName() {
		return queryViewName;
	}
	public void setQueryViewName(String queryViewName) {
		this.queryViewName = queryViewName;
	}
	public Collection<CustomQueryColumn> getQueryColumns() {
		return queryColumns;
	}
	public CustomQueryColumn getColumnByName(String columnName) {
		CustomQueryColumn column = null;
		if(queryColumns != null) {
			for(CustomQueryColumn tempCol : queryColumns) {
				if(tempCol.getColumnName().equals(columnName)) {
					column = tempCol;
					break;
				}
			}
		}
		return column;
	}
	public void setQueryColumns(Collection<CustomQueryColumn> queryColumns) {
		this.queryColumns = queryColumns;
	}
	public Collection<Map<String, Object>> getResults() {
		return results;
	}
	public void setResults(Collection<Map<String, Object>> results) {
		this.results = results;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public boolean isSystemQuery() {
		return systemQuery;
	}
	public void setSystemQuery(boolean systemQuery) {
		this.systemQuery = systemQuery;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public String getQueryBindVariables() {
		return queryBindVariables;
	}
	public void setQueryBindVariables(String queryBindVariables) {
		this.queryBindVariables = queryBindVariables;
	}
	public String getQuerySql() {
		return querySql;
	}
	public void setQuerySql(String querySql) {
		this.querySql = querySql;
	}
	public Collection<CustomQueryColumn> getDisplayColumns() {
		return displayColumns;
	}
	public void setDisplayColumns(Collection<CustomQueryColumn> displayColumns) {
		this.displayColumns = displayColumns;
	}
	public boolean isStartWithFilter() {
		return startWithFilter;
	}
	public void setStartWithFilter(boolean startWithFilter) {
		this.startWithFilter = startWithFilter;
	}
	public boolean isSelectableRecords() {
		return selectableRecords;
	}
	public void setSelectableRecords(boolean selectableRecords) {
		this.selectableRecords = selectableRecords;
	}
	public Collection<SelectedRecordAction> getSelectedRecordActions() {
		return selectedRecordActions;
	}
	public void setSelectedRecordActions(
			Collection<SelectedRecordAction> selectedRecordActions) {
		this.selectedRecordActions = selectedRecordActions;
	}
	public String getUniqueName() {
		return uniqueName;
	}
	public void setUniqueName(String uniqueName) {
		this.uniqueName = uniqueName;
	}
	public Collection<CustomQueryAction> getActions() {
		return actions;
	}
	public void setActions(Collection<CustomQueryAction> actions) {
		this.actions = actions;
	}
	public Date getLastRefresh() {
		return lastRefresh;
	}
	public void setLastRefresh(Date lastRefresh) {
		this.lastRefresh = lastRefresh;
	}

}
