package uk.ac.sanger.mig.customquery;

import java.lang.reflect.Method;
import java.util.Comparator;

import org.apache.commons.lang.StringUtils;

/**
 * This class takes a field name and attempts to compare two objects by calling the 'get' method
 * for the field name then doing a String comparison on the field values.
 *
 */
public class ObjectFieldComparator implements Comparator<Object> {

	private String fieldName;

	public ObjectFieldComparator(String fieldName) {
		this.fieldName = fieldName;
	}

	public int compare(Object o1, Object o2) {
		try {
			String getterName = "get" + StringUtils.capitalize(fieldName);
			Method getter = o1.getClass().getMethod(getterName, new Class[0]);

			String fieldValue1 = getter.invoke(o1).toString();
			String fieldValue2 = getter.invoke(o2).toString();

			return fieldValue1.compareTo(fieldValue2);
		}
		catch(Exception e) {

		}
		return 0;
	}
}
