package uk.ac.sanger.mig.customquery.controllers;

import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.customquery.CustomQuery;
import uk.ac.sanger.mig.customquery.services.CustomQueryService;

public class CustomQueryListController extends ParameterizableViewController {

	private CustomQueryService customQueryService;

	public void setCustomQueryService(CustomQueryService customQueryService) {
		this.customQueryService = customQueryService;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {

		Collection<CustomQuery> availableQueries = customQueryService.fetchCustomQueries(null);

		Map<String, Collection<CustomQuery>> categorisedQueries = new LinkedHashMap<String, Collection<CustomQuery>>();

		for(CustomQuery customQuery : availableQueries) {
			String category = customQuery.getCategory();
			if(!categorisedQueries.containsKey(category)) {
				categorisedQueries.put(category, new ArrayList<CustomQuery>());
			}
			categorisedQueries.get(category).add(customQuery);
		}

		return new ModelAndView(getViewName(), "categorisedQueries", categorisedQueries);

	}
}
