package uk.ac.sanger.mig.customquery.controllers;

import java.beans.PropertyEditorSupport;

import uk.ac.sanger.mig.customquery.CustomQueryColumn;
import uk.ac.sanger.mig.customquery.forms.CustomQueryFormFilter;
import uk.ac.sanger.mig.customquery.services.CustomQueryColumnService;

public class FormFilterPropertyEditor extends PropertyEditorSupport {

	private CustomQueryColumnService customQueryColumnService;

	public void setCustomQueryColumnService(CustomQueryColumnService customQueryColumnService) {
		this.customQueryColumnService = customQueryColumnService;
	}

	public void setAsText(String text) throws IllegalArgumentException {

		try {
			Long columnId = Long.parseLong(text);

			CustomQueryColumn column = customQueryColumnService.fetchById(columnId, null);

			CustomQueryFormFilter filter = new CustomQueryFormFilter(column);
			setValue(filter);

		}
		catch(NumberFormatException e) {
			throw new IllegalArgumentException("Invalid column ID: " + text);
		}
	}

	public String getAsText() {
		CustomQueryFormFilter filter = (CustomQueryFormFilter)getValue();
		return filter.getColumn().getId().toString();
	}
}
