package uk.ac.sanger.mig.customquery.controllers;

import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.customquery.CustomQuery;
import uk.ac.sanger.mig.customquery.services.CustomQueryService;

public class SetupCustomQueryController extends ParameterizableViewController {

	private CustomQueryService customQueryService;

	public void setCustomQueryService(CustomQueryService customQueryService) {
		this.customQueryService = customQueryService;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		String uniqueName = ServletRequestUtils.getRequiredStringParameter(request, "name");

		CustomQuery customQuery = customQueryService.fetchByUniqueName(uniqueName, null, null);

		if(customQuery == null) {
			throw new IllegalStateException("No customQuery found called '" + uniqueName + "'");
		}

		Map<String, String> queryParameters = new HashMap<String, String>();
		queryParameters.put("bypassForm", String.valueOf(!customQuery.isStartWithFilter()));
		queryParameters.put("uniqueName", uniqueName);
		queryParameters.put("newQuery", "true");
		queryParameters.put("sessionObjectName", "stored_session_customQuery_" + uniqueName);
		queryParameters.put("customQueryId", String.valueOf(customQuery.getId()));

		Enumeration params = request.getParameterNames();

		while(params.hasMoreElements()) {
			String paramName = (String)params.nextElement();
			if(!queryParameters.containsKey(paramName)) {
				queryParameters.put(paramName, request.getParameter(paramName));
			}
		}

		return new ModelAndView(getViewName(), queryParameters);
	}
}
