package uk.ac.sanger.mig.customquery.dao;

import java.util.Collection;
import java.util.Map;

import uk.ac.sanger.mig.common.PaginatedSearchBean;
import uk.ac.sanger.mig.common.Pair;
import uk.ac.sanger.mig.customquery.CustomQuery;
import uk.ac.sanger.mig.customquery.forms.CustomQueryForm;

public interface CustomQueryDao {

	public Collection<Map<String, Object>> executeCustomQuery(String sql, Collection<Object> bindVariables, PaginatedSearchBean searchBean);

	public CustomQuery fetchById(Long customQueryId);

	public CustomQuery fetchByUniqueName(String uniqueName);

	public Collection<CustomQuery> fetchCustomQueries();

	/**
	 * Returns the SQL and a collection of bind variables for the input query based on the contents of a query form.
	 *
	 * @param form must contain a non-null customQueryId
	 * @return Pair with String=SQL statement and Collection=Bind variabless
	 */
	public Pair<String, Collection<Object>> generateSQL(CustomQueryForm form);

	public Collection<Long> fetchLastSelectionIds(String queryName, String sessionId);
}
