/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.customquery.dao;

import java.util.Collection;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.customquery.SelectedRecordAction;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;


public class SelectedRecordActionDaoSpringImpl extends AbstractDaoSpringImpl<SelectedRecordAction> implements SelectedRecordActionDao {

	public Collection<SelectedRecordAction> fetchByCustomQueryId(Long customQueryId) {
		String sql = " select * from APP_CUSTOM_QUERY_RSET_ACTION where custom_query_id = ? order by order_by ";
		return fetchCollection(sql, customQueryId);
	}

	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, SelectedRecordAction customQuerySelectedRecordAction) {
		sql.addStringParam(customQuerySelectedRecordAction.getPermittedRoles(),"PERMITTED_ROLES");
		sql.addLongParam(customQuerySelectedRecordAction.getCustomQueryId(), "CUSTOM_QUERY_ID");
		sql.addStringParam(customQuerySelectedRecordAction.getActionTitle(), "ACTION_TITLE");
		sql.addStringParam(customQuerySelectedRecordAction.getActionUrl(), "ACTION_URL");
		sql.addIntParam(customQuerySelectedRecordAction.getOrderBy(), "ORDER_BY");
		sql.addLongParam(customQuerySelectedRecordAction.getId(), "ID");
	}

}