/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


package uk.ac.sanger.mig.customquery.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.customquery.CustomQueryAction;

public class CustomQueryActionRowMapper implements ParameterizedRowMapper<CustomQueryAction> {

	public CustomQueryAction mapRow(ResultSet rs, int rowNum) throws SQLException {
		CustomQueryAction customQueryAction = new CustomQueryAction();

		customQueryAction.setId(rs.getLong("ID"));
		customQueryAction.setCustomQueryId(rs.getLong("CUSTOM_QUERY_ID"));
		customQueryAction.setActionTitle(rs.getString("ACTION_TITLE"));
		customQueryAction.setActionUrl(rs.getString("ACTION_URL"));
		customQueryAction.setActionParam(rs.getString("ACTION_PARAM"));
		customQueryAction.setOrderBy(rs.getInt("ORDER_BY"));
		customQueryAction.setPermittedRoles(rs.getString("PERMITTED_ROLES"));
		customQueryAction.setHrefTarget(rs.getString("HREF_TARGET"));
		customQueryAction.setConditionalTest(rs.getString("CONDITIONAL"));
		customQueryAction.setConditionalValue(rs.getString("CONDITIONAL_VALUE"));
		customQueryAction.setQueryParam(rs.getString("QUERY_PARAM"));

		return customQueryAction;
	}


}
