package uk.ac.sanger.mig.customquery.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.customquery.CustomQuery;

public class CustomQueryRowMapper implements ParameterizedRowMapper<CustomQuery> {

	public CustomQuery mapRow(ResultSet rs, int rowNum) throws SQLException {
		CustomQuery customQuery = new CustomQuery();

		customQuery.setId(rs.getLong("ID"));
		customQuery.setUniqueName(rs.getString("UNIQUE_NAME"));
		customQuery.setQueryTitle(rs.getString("QUERY_TITLE"));
		customQuery.setQueryViewName(rs.getString("QUERY_VIEW_NAME"));
		customQuery.setDescription(rs.getString("DESCRIPTION"));
		customQuery.setSystemQuery(rs.getBoolean("SYSTEM_QUERY"));
		customQuery.setStartWithFilter(rs.getBoolean("START_WITH_FILTER"));
		customQuery.setCategory(rs.getString("CATEGORY"));
		customQuery.setSelectableRecords(rs.getBoolean("SELECTABLE_RECORDS"));
		customQuery.setLastRefresh(rs.getTimestamp("LAST_REFRESH"));
		return customQuery;
	}

}
