package uk.ac.sanger.mig.customquery.forms;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.collections15.FactoryUtils;
import org.apache.commons.collections15.ListUtils;

import uk.ac.sanger.mig.customquery.CustomQueryColumn;

public class CustomQueryFormFilter  {

	private CustomQueryColumn column;
	private List<CustomQueryFieldCondition> conditions;

	public CustomQueryFormFilter() {
		super();
		setConditions(ListUtils.lazyList(new ArrayList<CustomQueryFieldCondition>(), FactoryUtils.instantiateFactory(CustomQueryFieldCondition.class)));
	}

	public CustomQueryFormFilter(CustomQueryColumn column) {
		this();
		this.column = column;
		CustomQueryFieldCondition conditions = new CustomQueryFieldCondition();
		getConditions().add(conditions);
	}

	public List<CustomQueryFieldCondition> getConditions() {
		return conditions;
	}

	public void setConditions(List<CustomQueryFieldCondition> conditions) {
		this.conditions = conditions;
	}

	public CustomQueryColumn getColumn() {
		return column;
	}

	public void setColumn(CustomQueryColumn customQueryColumn) {
		this.column = customQueryColumn;
	}

	public String getFieldName() {
		return (column != null ) ? column.getColumnName() : null;
	}
}
