package uk.ac.sanger.mig.customquery.validators;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import uk.ac.sanger.mig.customquery.CustomQuery;
import uk.ac.sanger.mig.customquery.forms.CustomQueryForm;
import uk.ac.sanger.mig.customquery.services.CustomQueryService;

public class CustomQueryFormValidator implements Validator {

	private CustomQueryService customQueryService;

	public boolean supports(Class clazz) {
		return CustomQueryForm.class.equals(clazz);
	}

	public void setCustomQueryService(CustomQueryService customQueryService) {
		this.customQueryService = customQueryService;
	}

	public void validate(Object command, Errors errors) {
		CustomQueryForm form = (CustomQueryForm)command;

		if(form.getCustomQueryId() != null) {
			CustomQuery customQuery = customQueryService.fetchById(form.getCustomQueryId());

			if(customQuery.isStartWithFilter() && form.getFilters().isEmpty()) {
				errors.reject(null, "Please specify a filter before continuing. There are too many records to query unfiltered.");
			}
		}
	}

}
