/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.database;

public enum DictionaryEnum {

	/**
	 * PLEASE ATTEMPT TO KEEP THE ENUMS IN ALPHABETICAL ORDER
	 */

	ALLELE_REQUEST_MOD_TYPE("ARQ_ALLELE_MOD_TYPE_DICT"),
	ALLELE_REQUEST_SOURCE("ARQ_ALLELE_REQUEST_SOURCE_DICT"),
	ALLELE_REQUEST_STATUS("ARQ_ALLELE_REQUEST_STATUS_DICT"),
	ALLELE_MUTATION_CLASS_DICT("TYP_MUTATION_CLASS_DICT"),
	ALLELE_REQUEST_TARGET_ENDPOINT("ARQ_TARGET_ENDPOINT_DICT"),
	ALLELE_MUTATION_NATURE_DICT("TYP_MUTATION_NATURE_DICT"),
	ALLELE_INHERITANCE_MODE_DICT("TYP_INHERITANCE_MODE_DICT"),

	ANN_ONTOLOGY_DICT("ANN_ONTOLOGY_DICT"),

	APP_WORKFLOW_PIPELINE_DICT("APP_WORKFLOW_PIPELINE_DICT"),
	APP_VERSION("APP_VERSION_DICT_VW"),
	APP_VERSION_FEATURE("APP_VERSION_FEATURE_DICT_VW"),
	APP_FUNDING_SOURCE("APP_FUNDING_SOURCE_DICT"),
	APP_BINARY_FILE_TYPE_DICT("APP_BINARY_FILE_TYPE_DICT"),

	BAC_TYPE("GNM_BAC_TYPE_DICT"),

	CELL_LINE_SOURCE("MIR_ES_CELL_LINE_SOURCE_DICT"),
	CELL_LINE_STRAIN("MIR_CELL_LINE_STRAIN_DICT"),
	CHROMOSOME_LIST("GNM_CHROMOSOME_LIST_VW"),
	CLONE_LIB_DICT("arq_clone_lib_dict_vw"),
	COLONY_CARD_COLOUR("MTS_CARD_COLOUR_DICT"),
	COLONY_CONTACT_TYPE("MTS_COLONY_CONTACT_TYPE_DICT"),

	CRQ_CRYO_REQUEST_STATUS_DICT("CRQ_CRYO_REQUEST_STATUS_DICT"),
	CRQ_CRYO_REQUEST_STRAIN_DICT("CRQ_REQUEST_STRAIN_DICT_VW"),
	CRQ_CRYO_SCHEDULED_JOB_STATUS_DICT("CRQ_SCHEDULED_JOB_STATUS_DICT"),
	CRQ_EMBRYO_GRADE_DICT("CRQ_EMBRYO_GRADE_DICT"),
	CRQ_CRYO_WILDTYPE_STRAIN_DICT("CRQ_WILDTYPE_STRAIN_DICT_VW"),
	CRQ_CANCEL_JOB_REASON_DICT("CRQ_CANCEL_JOB_REASON_DICT"),


	DESIGN_INSTANCE_STATUS_DICT("ARQ_DES_INSTANCE_STATUS_VW"),
	DESIGN_REQUEST_STATUS("ARQ_DESIGN_REQ_STATUS_DICT_VW"),

	GENOTYPING_ASSAY_TYPE("GTP_ASSAY_TYPE_DICT"),
	GENOTYPING_SAMPLE_TYPE("GTP_SAMPLE_TYPE_DICT"),
	GENOTYPING_WELL_TYPE("GTP_WELL_TYPE_DICT"),
	GENOTYPING_ASSAY_RESULT_TYPE("GTP_ASSAY_RESULT_DICT"),
	GENOTYPING_ASSAY_PLATE_CATEGORY("GTP_ASSAY_PLATE_CATEGORY"),

	HAVANA_REQUEST_STATUS("ARQ_HAVANA_REQ_STATUS_DICT_VW"),

	HTL_STAINING_TYPE_DICT("HTL_STAINING_TYPE_DICT"),
	HTL_CASSETTE_TYPE_DICT("HTL_CASSETTE_TYPE_DICT"),
	HTL_NECROPSY_EVENT_DICT("HTL_NECROPSY_EVENT_DICT"),
	HTL_NECROPSY_REASON_DICT("HTL_NECROPSY_REASON_DICT"),
	HTL_PROGRAM_DICT("HTL_PROGRAM_DICT"),
	HTL_SCAN_STATUS_DICT("HTL_SCAN_STATUS_DICT"),
	HTL_SLIDE_STATUS_DICT("HTL_SLIDE_STATUS_DICT"),

	MIC_TISSUE_DICT("MIC_TISSUE_DICT"),
	MIC_DESCRIPTION_DICT("MIC_DESCRIPTION_DICT"),

	MIR_CELL_LINE_SOURCE("MIR_ES_CELL_LINE_SOURCE_DICT"),
	MIR_CELL_LINE_STRAIN("MIR_CELL_LINE_STRAIN_DICT"),
	MIR_EMBRYO_STAGE_DICT("MIR_EMBRYO_STAGE_DICT"),
	MIR_TARGET_ENDPOINT_DICT("MIR_TARGET_ENDPOINT_DICT"),
	MIR_ANAESTHETIC_DICT("MIR_ANAESTHETIC_DICT"),
	MIR_ANALGESIA_DICT("MIR_ANALGESIA_DICT"),
	MIR_TRANSFER_TYPE_DICT("MIR_TRANSFER_TYPE_DICT"),
	MIR_INTERNAL_STATUS_DICT("MIR_INTERNAL_STATUS_DICT"),
	MIR_EXTERNAL_STATUS_DICT("MIR_EXTERNAL_STATUS_DICT"),
	MIR_CHIMERA_MATE_STRAIN_DICT("MIR_CHIMERA_MATE_STRAIN_DICT"),
	MIR_TASK_GROUP_DICT("MIR_TASK_GROUP_DICT"),

	MOUSE_BODY_SYSTEM("MTS_BODY_SYSTEM_DICT"),
	MOUSE_BODY_SUBSYSTEM("MTS_BODY_SUBSYSTEM_DICT"),
	MOUSE_BREEDING_CATEGORY("MTS_BREEDING_CATEGORY_DICT"),
	MOUSE_COAT_COLOUR("MTS_COAT_COLOUR_DICT"),
	MOUSE_COHORT_TYPE("MTS_COHORT_TYPE_DICT"),
	MOUSE_COHORT_PIPELINE("MTS_COHORT_PIPELINE_DICT"),
	MOUSE_COLOUR_WITH_STRAIN("MTS_COLOUR_WITH_STRAIN_DICT_VW"),
	MOUSE_CAUSE_OF_DEATH("MTS_CAUSE_OF_DEATH_DICT"),
	MOUSE_EARMARK_DICT("MTS_EARMARK_DICT"),
	MOUSE_EYE_COLOUR_DICT("MTS_EYE_COLOUR_DICT"),
	MOUSE_GENOTYPE("MTS_GENOTYPE_DICT"),
	MOUSE_GENOTYPE_HISTORY_SOURCE("MTS_GENO_HISTORY_SOURCE_DICT"),
	MOUSE_GENDER_DICT("MTS_GENDER_DICT"),
	MOUSE_HEALTH_CONCERN_DICT("MTS_HEALTH_CONCERN_DICT"),
	MOUSE_STRAIN("TYP_STRAIN"),
	MOUSE_STUD_BREEDING_EMBRYO_AGE("MTS_STUD_BREEDING_EMBRYO_DICT"),
	MOUSE_PREWEAN_DEATH("MTS_PREWEAN_DEATH_DICT"),
	MOUSE_PROCEDURE_DICT("MTS_PROCEDURE_DICT"),
	MOUSE_PROCEDURE_EXCLUDING_PHENOTYPING_DICT("MTS_PROCEDURE_NO_PHENO_DICT_VW"),
	MOUSE_WILDTYPE_GROUP_DICT("MTS_WILDTYPE_REQ_GROUP_DICT"),
	MOUSE_WILDTYPE_STRAIN("MTS_WILDTYPE_STRAIN_DICT_VW"),
	MOUSE_COHORT_SET_TYPE_DICT("MTS_COHORT_SET_TYPE_DICT"),
	MOUSE_COHORT_SET_WT_DICT("MTS_COHORT_SET_WT_DICT"),
	RESERVATION_CATEGORY("RES_CATEGORY_DICT"),

	OBSERVATION_META_TYPE_DICT("PHN_OBSERVATION_META_TYPE_DICT"),

	PRIMER_PAIR_TYPE_DICT("TYP_PRIMER_PAIR_TYPE_DICT"),
	PHENOTYPING_ERROR_CODES("PHN_ERROR_CODE_DICT"),
	PHENOTYPING_INSTRUMENT_DICT("PHN_INSTRUMENT_DICT"),
	PHENOTYPING_PARAMS("PHN_PARAMETER_DICT"),
	PHENOTYPING_RESULT_STATUS("PHN_SAMPLE_STATUS_DICT"),
	PHENOTYPING_RUN_TYPE("PHN_RUN_TYPE_DICT"),
	PHENOTYPING_PROCEDURES("PHN_PROCEDURE_DICT_VW"),

	REPORTING_GRAPH_TYPE("REP_GRAPH_TYPE_DICT"),
	REPORTING_STAT_BACKGROUND("REP_STAT_BACKGROUND_DICT"),


	EUROPHENOME_PARAMETER_TYPE("EUR_PARAMETER_TYPE_DICT"),

	SERVER_ALERTS("APP_SERVER_ALERT_DICT_VW"),

	WILDTYPE_REQUEST_STATUS("REQ_ANIMAL_REQUEST_STATUS_DICT")
	;

	private String tableName;

	private DictionaryEnum(String tableName) {
		this.tableName = tableName;
	}

	public String getTableName() {
		return tableName;
	}

}
