/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.controllers;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.designrequest.services.DesignRequestService;


public class DeleteDesignController extends ParameterizableViewController{
  
  private DesignRequestService designRequestService;
  private String successViewToHavana;
  private String successViewToDesignList;
  
  public void setSuccessViewToDesignList(String successViewToDesignList) {
    this.successViewToDesignList = successViewToDesignList;
  }

  public void setSuccessViewToHavana(String successViewToHavana) {
    this.successViewToHavana = successViewToHavana;
  }

  protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
    
    //designRequestService.purgeDesign()
    Long designId = ServletRequestUtils.getRequiredLongParameter(request, "id");
    Long designRequestId = ServletRequestUtils.getRequiredLongParameter(request, "designRequestId");
    String referrer =ServletRequestUtils.getStringParameter(request, "referrer");
    String havanaId = ServletRequestUtils.getStringParameter(request, "havanaId");
    
    designRequestService.purgeDesign(String.valueOf(designId));
    
    if(referrer!=null && referrer.equalsIgnoreCase("editHavanaRequest")){
      return new ModelAndView(getViewName()+"?id="+designRequestId+"&referrer="+referrer+"&havanaId="+havanaId);
     }else if(referrer!=null && referrer.equalsIgnoreCase("listDesignRequest")){
            return new ModelAndView(getViewName()+"?id="+designRequestId+"&referrer="+referrer);
     }

    //return to default success view if none of the above condition is true
    return new ModelAndView(getViewName()+"?id="+designRequestId);
    
  }

  public DesignRequestService getDesignRequestService() {
    return designRequestService;
  }

  public void setDesignRequestService(DesignRequestService designRequestService) {
    this.designRequestService = designRequestService;
  }

  public String getSuccessViewToDesignList() {
    return successViewToDesignList;
  }

  public String getSuccessViewToHavana() {
    return successViewToHavana;
  }
  

  
  
}
