/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.dao;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.designrequest.views.DesignDataListView;

public class DesignDataListViewRowMapper implements ParameterizedRowMapper<DesignDataListView>{

  

  public DesignDataListView mapRow(ResultSet rs, int rowNum) throws SQLException {
    
    DesignDataListView designDataListView = new DesignDataListView();
    designDataListView.setFeatureSequence(rs.getClob("data_item"));
    designDataListView.setFeatureEnd(rs.getLong("feature_end"));
    designDataListView.setFeatureStart(rs.getLong("feature_start"));
    designDataListView.setFeatureType(rs.getString("feature_type"));
    designDataListView.setPlate(rs.getString("final_plate"));
    designDataListView.setDesignName(rs.getString("design_name"));
    designDataListView.setEucommStatus(rs.getString("eucomm_status"));
    designDataListView.setDesignId(rs.getLong("design_id"));
    designDataListView.setExonName(rs.getString("exon_name"));
    designDataListView.setGeneBuildName(rs.getString("gene_build_name"));
    designDataListView.setGeneBuildVersion(rs.getString("gene_build_version"));
    designDataListView.setWellLoc(rs.getString("well_loc"));
    
    return designDataListView;
  }
 
}
