/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.forms;

import uk.ac.sanger.mig.designrequest.DesignRequest;
import uk.ac.sanger.mig.designrequest.views.DesignDesignRequestListView;

public class DesignRequestForm {

  private DesignRequest designRequest;
  private long initialStatusId;
  private DesignDesignRequestListView[] designListViews;
  private Long geneBuildId;
  private Long geneBuildGeneId;
  private String referrer;
  private String havanaIdOfReferrerPage;
  

  public String getHavanaIdOfReferrerPage() {
    return havanaIdOfReferrerPage;
  }

  public void setHavanaIdOfReferrerPage(String havanaIdOfReferrerPage) {
    this.havanaIdOfReferrerPage = havanaIdOfReferrerPage;
  }

  public String getReferrer() {
    return referrer;
  }

  public void setReferrer(String referrerPage) {
    this.referrer = referrerPage;
  }

  public Long getGeneBuildGeneId() {
    return geneBuildGeneId;
  }

  public void setGeneBuildGeneId(Long geneBuildGeneId) {
    this.geneBuildGeneId = geneBuildGeneId;
  }

  public Long getGeneBuildId() {
    return geneBuildId;
  }

  public void setGeneBuildId(Long geneBuildId) {
    this.geneBuildId = geneBuildId;
  }

  public DesignRequest getDesignRequest() {
    return designRequest;
  }

  public void setDesignRequest(DesignRequest designRequest) {
    this.designRequest = designRequest;
  }

  public long getInitialStatusId() {
    return initialStatusId;
  }

  public void setInitialStatusId(long initialStatusId) {
    this.initialStatusId = initialStatusId;
  }

  public DesignDesignRequestListView[] getDesignListViews() {
    return designListViews;
  }

  public void setDesignListViews(DesignDesignRequestListView[] designListViews) {
    this.designListViews = designListViews;
  }

 

 


}
