/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.views;

import java.sql.Clob;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class DesignDataListView extends AuthenticatedDataObject implements Comparable{

  private String designName;
  private Long designId;
  private String wellLoc;
  private String exonName;
  private String plate;
  private String geneBuildName;
  private String geneBuildVersion;
  private String eucommStatus;
  private Long featureStart;
  private Long featureEnd;
  private String featureType;
  private Clob featureSequence;
  
  
  public int compareTo(Object o1) {
    DesignDataListView a = (DesignDataListView)o1;
    DesignDataListView b = this;
    
    if(a.getId() > b.getId()) return 1;
    if(a.getId() < b.getId()) return -1;
    return 0;
  }

  public String getDesignName() {
    return designName;
  }

  public void setDesignName(String designName) {
    this.designName = designName;
  }



  public Long getFeatureEnd() {
    return featureEnd;
  }

  public void setFeatureEnd(Long featureEnd) {
    this.featureEnd = featureEnd;
  }

  public Clob getFeatureSequence() {
    return featureSequence;
  }

  public void setFeatureSequence(Clob featureSequence) {
    this.featureSequence = featureSequence;
  }

  public Long getFeatureStart() {
    return featureStart;
  }

  public void setFeatureStart(Long featureStart) {
    this.featureStart = featureStart;
  }

  public String getFeatureType() {
    return featureType;
  }

  public void setFeatureType(String featureType) {
    this.featureType = featureType;
  }

  public String getEucommStatus() {
    return eucommStatus;
  }

  public void setEucommStatus(String eucommStatus) {
    this.eucommStatus = eucommStatus;
  }

  public String getExonName() {
    return exonName;
  }

  public void setExonName(String exonName) {
    this.exonName = exonName;
  }



  public String getGeneBuildName() {
    return geneBuildName;
  }

  public void setGeneBuildName(String geneBuildName) {
    this.geneBuildName = geneBuildName;
  }

  public String getGeneBuildVersion() {
    return geneBuildVersion;
  }

  public void setGeneBuildVersion(String geneBuildVersion) {
    this.geneBuildVersion = geneBuildVersion;
  }

  public String getPlate() {
    return plate;
  }

  public void setPlate(String plate) {
    this.plate = plate;
  }

  public String getWellLoc() {
    return wellLoc;
  }

  public void setWellLoc(String wellLoc) {
    this.wellLoc = wellLoc;
  }

  public Long getDesignId() {
    return designId;
  }

  public void setDesignId(Long designId) {
    this.designId = designId;
  }


}
