/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.views;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.designrequest.DesignRequest;

public class DesignDesignRequestListView extends AuthenticatedDataObject implements Comparable{
  
  private Long designRequestId;
  private Long designId;
  private Long alleleRequestId;
  private DesignRequest designRequest;
  //private Long eucommId;
  private String status;
  private String comments;
  private String designRequestComments;
  private String target;
  private String designParameterName;
  private boolean fulfillsRequest;
  private boolean promoterInclusion;
  private boolean conservedElements;
  private boolean criticalExonContainsATG;
  private boolean noNMDInduced;
  private boolean possibleReinitiation;
  private Integer score;
  //private boolean runDesign;
  
  
  
//  public boolean isRunDesign() {
//    return runDesign;
//  }
//
//
//
//  public void setRunDesign(boolean runDesign) {
//    this.runDesign = runDesign;
//  }



  public Integer getScore() {
    return score;
  }



  public void setScore(Integer score) {
    this.score = score;
  }



  public boolean isCriticalExonContainsATG() {
    return criticalExonContainsATG;
  }



  public void setCriticalExonContainsATG(boolean criticalExonContainsATG) {
    this.criticalExonContainsATG = criticalExonContainsATG;
  }



  public boolean isPromoterInclusion() {
    return promoterInclusion;
  }



  public void setPromoterInclusion(boolean promoterInclusion) {
    this.promoterInclusion = promoterInclusion;
  }



  public String getDesignParameterName() {
    return designParameterName;
  }



  public void setDesignParameterName(String designParameterName) {
    this.designParameterName = designParameterName;
  }



  public String getTarget() {
    return target;
  }



  public void setTarget(String target) {
    this.target = target;
  }



  public int compareTo(Object o) {
    DesignDesignRequestListView a = (DesignDesignRequestListView)o;
    DesignDesignRequestListView b = this;
    
    if(a.getId() > b.getId()) return 1;
    if(a.getId() < b.getId()) return -1;
    return 0;
  }



  public String getComments() {
    return comments;
  }



  public void setComments(String comments) {
    this.comments = comments;
  }



  public Long getDesignRequestId() {
    return designRequestId;
  }



  public void setDesignRequestId(Long designRequestId) {
    this.designRequestId = designRequestId;
  }



  public String getStatus() {
    return status;
  }



  public void setStatus(String status) {
    this.status = status;
  }


  public boolean isFulfillsRequest() {
    return fulfillsRequest;
  }



  public void setFulfillsRequest(boolean fulfillsRequest) {
    this.fulfillsRequest = fulfillsRequest;
  }



  public DesignRequest getDesignRequest() {
    return designRequest;
  }



  public void setDesignRequest(DesignRequest designRequest) {
    this.designRequest = designRequest;
  }



  public Long getDesignId() {
    return designId;
  }



  public void setDesignId(Long designId) {
    this.designId = designId;
  }



  public Long getAlleleRequestId() {
    return alleleRequestId;
  }



  public void setAlleleRequestId(Long alleleRequestId) {
    this.alleleRequestId = alleleRequestId;
  }


  public String getDesignRequestComments() {
    return designRequestComments;
  }



  public void setDesignRequestComments(String designRequestComments) {
    this.designRequestComments = designRequestComments;
  }



  public boolean isConservedElements() {
    return conservedElements;
  }



  public void setConservedElements(boolean conservedElements) {
    this.conservedElements = conservedElements;
  }



public boolean isNoNMDInduced() {
	return noNMDInduced;
}



public void setNoNMDInduced(boolean noNMDInduced) {
	this.noNMDInduced = noNMDInduced;
}



public boolean isPossibleReinitiation() {
	return possibleReinitiation;
}



public void setPossibleReinitiation(boolean possibleReinitiation) {
	this.possibleReinitiation = possibleReinitiation;
}









}

