/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.designrequest.views;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class DesignRequestListView extends AuthenticatedDataObject implements Comparable {
     
    private Long alleleRequestId;
    private Long alleleRequesterId; 
    private Long havanaRequestId;
    private String alleleType;
    private String status;
    private String comments;        
    private Date createdDate;        
    private Date editedDate;        
    private String createdBy;        
    private String editedBy;
    private String buildName;
    private String vegaId;
    private String geneName;
    private String registeredBy;
    private String ensemblId;
    private String primaryName;
  
    public int compareTo(Object o1) {
    		DesignRequestListView a = (DesignRequestListView)o1;
    		DesignRequestListView b = this;
    		
    		if(a.getId() > b.getId()) return 1;
    		if(a.getId() < b.getId()) return -1;
    		return 0;
	}

                                                                                                    
    public Long getAlleleRequestId() {
        return alleleRequestId;
    }
    
    public void setAlleleRequestId(Long alleleRequestId) {
        this.alleleRequestId = alleleRequestId;
    }


	public String getAlleleType() {
		return alleleType;
	}


	public void setAlleleType(String alleleType) {
		this.alleleType = alleleType;
	}


	public String getStatus() {
		return status;
	}


	public void setStatus(String status) {
		this.status = status;
	}

  public String getComments() {
    return comments;
  }


  public void setComments(String comments) {
    this.comments = comments;
  }


  public String getCreatedBy() {
    return createdBy;
  }


  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }


  public Date getCreatedDate() {
    return createdDate;
  }


  public void setCreatedDate(Date createdDate) {
    this.createdDate = createdDate;
  }


  public String getEditedBy() {
    return editedBy;
  }


  public void setEditedBy(String editedBy) {
    this.editedBy = editedBy;
  }


  public Date getEditedDate() {
    return editedDate;
  }


  public void setEditedDate(Date editedDate) {
    this.editedDate = editedDate;
  }


  public String getBuildName() {
    return buildName;
  }


  public void setBuildName(String buildName) {
    this.buildName = buildName;
  }


  public String getEnsemblId() {
    return ensemblId;
  }


  public void setEnsemblId(String ensemblId) {
    this.ensemblId = ensemblId;
  }


  public String getPrimaryName() {
    return primaryName;
  }


  public void setPrimaryName(String primaryName) {
    this.primaryName = primaryName;
  }


  public String getRegisteredBy() {
    return registeredBy;
  }


  public void setRegisteredBy(String registeredBy) {
    this.registeredBy = registeredBy;
  }



  public Long getAlleleRequesterId() {
    return alleleRequesterId;
  }


  public void setAlleleRequesterId(Long alleleRequesterId) {
    this.alleleRequesterId = alleleRequesterId;
  }


  public Long getHavanaRequestId() {
    return havanaRequestId;
  }


  public void setHavanaRequestId(Long havanaRequestId) {
    this.havanaRequestId = havanaRequestId;
  }


  public String getGeneName() {
    return geneName;
  }


  public void setGeneName(String geneName) {
    this.geneName = geneName;
  }


  public String getVegaId() {
    return vegaId;
  }


  public void setVegaId(String vegaId) {
    this.vegaId = vegaId;
  }    	
}