/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.eucomm.bac;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;


public class Bac extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS  //add additional component enums here as needed for this AuthenticatedDataObject
	}

    private Long bacCloneId;
    private String remoteCloneId;        
    private Long cloneLibId;        
    private Long chrId;        
    private int bacStart;        
    private int bacEnd;        
    private float bacMidpoint;        
    private Long buildId;   
    private DictionaryEntry cloneLib;

    public String getRemoteCloneId() {
        return remoteCloneId;
    }
    
    public void setRemoteCloneId(String remoteCloneId) {
        this.remoteCloneId = remoteCloneId;
    }                                                                                                                                            
    public Long getCloneLibId() {
        return cloneLibId;
    }
    
    public void setCloneLibId(Long cloneLibId) {
        this.cloneLibId = cloneLibId;
    }                                                                                                                                            
    public Long getChrId() {
        return chrId;
    }
    
    public void setChrId(Long chrId) {
        this.chrId = chrId;
    }                                                                                                                                            
    public int getBacStart() {
        return bacStart;
    }
    
    public void setBacStart(int bacStart) {
        this.bacStart = bacStart;
    }                                                                                                                                            
    public int getBacEnd() {
        return bacEnd;
    }
    
    public void setBacEnd(int bacEnd) {
        this.bacEnd = bacEnd;
    }                                                                                                                                            
    public float getBacMidpoint() {
        return bacMidpoint;
    }
    
    public void setBacMidpoint(float bacMidpoint) {
        this.bacMidpoint = bacMidpoint;
    }                                                                                                                                            
    public Long getBuildId() {
        return buildId;
    }
    
    public void setBuildId(Long buildId) {
        this.buildId = buildId;
    }

    public Long getBacCloneId() {
      return bacCloneId;
    }

    public void setBacCloneId(Long bacCloneId) {
      this.bacCloneId = bacCloneId;
    }

    public void setCloneLib(DictionaryEntry cloneLib) {
      this.cloneLib = cloneLib;
    }

    public DictionaryEntry getCloneLib() {
      return cloneLib;
    }                                                                                                                                            

}