/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.eucomm.bac.services;

import uk.ac.sanger.mig.common.AbstractServiceImpl;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.eucomm.bac.Bac;
import uk.ac.sanger.mig.eucomm.bac.dao.BacDao;
import uk.ac.sanger.mig.personnel.Person;

public class BacServiceImpl extends AbstractServiceImpl<Bac> implements BacService {
	
	private BacDao bacDao;
	
	//IMPORTANT: add other dependencies here: Should be other services *not* dao typically
	/**
	 * eg 	private BacDao bacDao;
	 *    private MouseService mouseService
	 *    private PersonService personService; 
	 */
	
	public void setBacDao(BacDao bacDao) {
		this.bacDao = bacDao;
	}


	public Long storeAuthenticated(Bac bac, Person user) {
		if(bac == null) {
			throw new RuntimeException("Cannot save a null bac");
		}
		
		return bacDao.store(bac, user);
	}
	
	public Bac fetchById(Long bacId, ComponentMap requiredComponents) {
		Bac bac = bacDao.fetchById(bacId);
		
		if(bac != null)
			attachComponents(bac, requiredComponents);
		
		return bac;
	}

	@Override
	protected void attachComponents(Bac bac, ComponentMap requiredComponents) {
		if(bac == null) {
			throw new RuntimeException("Cannot attach components to null bac");
		}		
		
		
	}



	//private helper methods--eg, fetchSomeSubComponent (REM: use service injection, not Dao!)
	
}
								