/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.eucomm.designinstance;

import java.util.Collection;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.eucomm.designinstancebac.DesignInstanceBac;
import uk.ac.sanger.mig.eucomm.designinstancestatus.DesignInstanceStatus;


public class DesignInstance extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
    DESIGN,
    DESIGN_INSTANCE_STATUSES,
    DESIGN_INSTANCE_BACS
    //add additional component enums here as needed for this AuthenticatedDataObject
	}

    private Long designId;        
    private String plate;        
    private String well;        
    private String source;
    private Long designInstanceId;
    private DesignInstanceStatus currentDesignInstanceStatus;
    
    private Collection<DesignInstanceStatus> statuses;
    private Collection<DesignInstanceBac> designInstanceBacs;

    public Collection<DesignInstanceBac> getDesignInstanceBacs() {
      return designInstanceBacs;
    }

    public void setDesignInstanceBacs(
        Collection<DesignInstanceBac> designInstanceBacs) {
      this.designInstanceBacs = designInstanceBacs;
    }

    public Long getDesignId() {
        return designId;
    }
    
    public void setDesignId(Long designId) {
        this.designId = designId;
    }                                                                                                                                            
    public String getPlate() {
        return plate;
    }
    
    public void setPlate(String plate) {
        this.plate = plate;
    }                                                                                                                                            
    public String getWell() {
        return well;
    }
    
    public void setWell(String well) {
        this.well = well;
    }                                                                                                                                            
    public String getSource() {
        return source;
    }
    
    public void setSource(String source) {
        this.source = source;
    }

    public Long getDesignInstanceId() {
      return designInstanceId;
    }

    public void setDesignInstanceId(Long designInstanceId) {
      this.designInstanceId = designInstanceId;
    }

    public Collection<DesignInstanceStatus> getStatuses() {
      return statuses;
    }

    public void setStatuses(Collection<DesignInstanceStatus> statuses) {
      this.statuses = statuses;
    }

    public DesignInstanceStatus getCurrentDesignInstanceStatus() {
      return currentDesignInstanceStatus;
    }

    public void setCurrentDesignInstanceStatus(
        DesignInstanceStatus currentDesignInstanceStatus) {
      this.currentDesignInstanceStatus = currentDesignInstanceStatus;
    }                                                                                                                                            

}