/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.eucomm.designinstancebac.dao;

import java.util.Collection;

import org.springframework.dao.IncorrectResultSizeDataAccessException;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.eucomm.designinstancebac.DesignInstanceBac;
import uk.ac.sanger.mig.eucomm.designinstancebac.DesignInstanceBacSearchBean;

public class DesignInstanceBacDaoSpringImpl extends AbstractDaoSpringImpl<DesignInstanceBac> implements DesignInstanceBacDao {

	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, DesignInstanceBac designinstancebac) {
		sql.addLongParam(designinstancebac.getDesignInstanceId(), "DESIGN_INSTANCE_ID");
		sql.addLongParam(designinstancebac.getBacCloneId(), "BAC_CLONE_ID");
		sql.addStringParam(designinstancebac.getBacPlate(), "BAC_PLATE");
	}

  public Collection<DesignInstanceBac> search(DesignInstanceBacSearchBean designinstancebacSearchBean) {
    // TODO Auto-generated method stub
    return null;
  }

  public Collection<DesignInstanceBac> fetchByDesignInstanceId(Long designInstanceId) {
    String sql = "select * from eucomm_vector.design_instance_bac where design_instance_id = ?";
    Collection<DesignInstanceBac> designInstanceBacs = null;
    try{
      designInstanceBacs = getSimpleJdbcTemplate().query(sql, getRowMapper(), designInstanceId);
    }catch(IncorrectResultSizeDataAccessException e){
      logger.warn("No record found in designInstanceBac table for designInstanceID=" + designInstanceId + "; " + e);
    }
     return designInstanceBacs;
  }
	
}