/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.eucomm.designinstancestatus;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class DesignInstanceStatus extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS  //add additional component enums here as needed for this AuthenticatedDataObject
	}

	  public static final Long POST_CRE_PASS = 1l;
    public static final Long POST_CRE_FAIL =2l;
    public static final Long POST_CRE_PASS1=3l;
    public static final Long POST_CRE_PASS2=4l;
    public static final Long POST_CRE_PASS3=5l;
    public static final Long POST_GATEWAY_FAIL=6l;
    public static final Long POST_GATEWAY_PASS=7l;
    
    private Long designInstanceStatusId;        
    private int designInstanceId;        
    private Date statusDate;        
    private int isCurrent;        
    private int idRole;        
    private Long postCreStatusId;        
    private Long postGatewayStatusId;
    private DictionaryEntry status;

    public Long getDesignInstanceStatusId() {
        return designInstanceStatusId;
    }
    
    public void setDesignInstanceStatusId(Long designInstanceStatusId) {
        this.designInstanceStatusId = designInstanceStatusId;
    }                                                                                                                                            
    public int getDesignInstanceId() {
        return designInstanceId;
    }
    
    public void setDesignInstanceId(int designInstanceId) {
        this.designInstanceId = designInstanceId;
    }                                                                                                                                            
    public Date getStatusDate() {
        return statusDate;
    }
    
    public void setStatusDate(Date statusDate) {
        this.statusDate = statusDate;
    }                                                                                                                                            
    public int getIsCurrent() {
        return isCurrent;
    }
    
    public void setIsCurrent(int isCurrent) {
        this.isCurrent = isCurrent;
    }                                                                                                                                            
    public int getIdRole() {
        return idRole;
    }
    
    public void setIdRole(int idRole) {
        this.idRole = idRole;
    }                                                                                                                                            
    public Long getPostCreStatusId() {
        return postCreStatusId;
    }
    
    public void setPostCreStatusId(Long postCreStatusId) {
        this.postCreStatusId = postCreStatusId;
    }                                                                                                                                            
    public Long getPostGatewayStatusId() {
        return postGatewayStatusId;
    }
    
    public void setPostGatewayStatusId(Long postGatewayStatusId) {
        this.postGatewayStatusId = postGatewayStatusId;
    }

    public DictionaryEntry getStatus() {
      return status;
    }

    public void setStatus(DictionaryEntry status) {
      this.status = status;
    }                                                                                                                                            

}