package uk.ac.sanger.mig.europhenome;


import uk.ac.sanger.mig.common.PaginatedSearchBean;

/**
 * This class serves as wrapper around domain object POJO for searching on particular fields that are set.
 * It also inherits orderBy and sortOrder methods from SortableSearchBean enabling sort functionlity.
 *
 * If you also need pagination functionality, subclass PaginatedSearchBean which extends SortableSearchBean
 * 
 * NOTE: Using wrapper is just one appraoch to search bean. You could alternatively created a standalone
 * search bean that effectively mimics all of the fields with getters and setters of your domain object POJO.
 */

public class ParameterDefinitionSearchBean extends PaginatedSearchBean  {
	
	private ParameterDefinition parameterDefinition;
		
	public void setParameterDefinition(ParameterDefinition parameterDefinition) {
		this.parameterDefinition = parameterDefinition;
	}

  public ParameterDefinition getParameterDefinition() {
    return parameterDefinition;
  }
	
}