/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, this list of conditions
 *     and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright notice, this list of
 *     conditions and the following disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *  3. The name of the author may not be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.europhenome.services;

import uk.ac.sanger.mig.personnel.Person;

public interface EurophenomeExportService {
  
  /**
   * Fetch data that is ready for release 
   * (has been QC'ed, mouse is in a europheome cohort, we have a mapping for the data)
   * 
   * @param 
   * @return Collection experiments
   */
  //public Collection<Experiment> fetchExperimentsForExport(ComponentMap requiredComponents);
  
  
  /**
   * Convert one of our experiments to one europhenome procedure
   * 
   * @param experiment should contain all observations, SOP, etc
   * @return equivalent europhenome procedure
   */
  //public Collection<Procedure> createProcedures(Experiment experiment);
  
  
  /**
   * Mice must have birth dates, genders and barcodes.
   * All must have the same background strain.
   * They must all have the same cell line source, or all be wildtype.
   * The cell line source must have a clone name, and it must be an EPD number
   * 
   * If any of these conditions aren't met, an IllegalArgumentException or a RuntimeException will be thrown 
   * 
   * @param mice
   * @return
   */
  //public org.europhenome.Cohort createEuCohort(Cohort ourCohort);
  
  public void doExport(Person person);
  
  
}
