package uk.ac.sanger.mig.europhenome.services;

import java.util.Collection;
import java.util.Vector;

import org.europhenome.Parameter;
import org.europhenome.Procedure;
import org.springframework.transaction.annotation.Transactional;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.europhenome.MouseExported;
import uk.ac.sanger.mig.europhenome.dao.MouseExportDao;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.mousetracking.services.MouseServiceImpl;
import uk.ac.sanger.mig.personnel.Person;

public class MouseExportServiceImpl extends MouseServiceImpl implements MouseExportService {
  private MouseExportDao mouseExportDao;
  private MouseExportedService mouseExportedService;
  
  public void setMouseExportDao(MouseExportDao mouseExportDao) {
    this.mouseExportDao = mouseExportDao;
  }
  
  public void setMouseExportedService(MouseExportedService mouseExportedService) {
    this.mouseExportedService = mouseExportedService;
  }

  public Collection<Mouse> fetchMiceForDeathDateReport(ComponentMap requiredComponents) {
    Collection<Mouse> mice = mouseExportDao.fetchMiceForDeathDateReport();
    attachComponents(mice, requiredComponents);
    return mice;
  }

  @Transactional
  public Vector<Procedure> exportDeathDates(Person person) {
    Collection<Mouse> mice = fetchMiceForDeathDateReport(null);
    Vector<Procedure> deathDates = new Vector<Procedure>();
    
    for (Mouse m : mice) {
      Procedure deathNotification = new Procedure();
      deathNotification.setParameters(new Vector<Parameter>());
      Vector<String> mouseString = new Vector<String>();
      mouseString.add(m.getBarcode());
      deathNotification.setMice(mouseString);
      
      deathNotification.setStatusCode("Mouse died");
      deathNotification.setStartTime(m.getDeathDate());    
      
      deathDates.add(deathNotification);
      
      MouseExported mouseExported = mouseExportedService.fetchByMouseId(m.getId(), null);
      mouseExported.setDeathReported(true);
      mouseExportedService.store(mouseExported,person);
    }
    
    return deathDates;
  }

  
}
