/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.geneevidence.view;

import java.util.Date;

import uk.ac.sanger.mig.geneevidence.SupportEvidence;

/**
 * A front-end display 'bean' for supporting Evidence for knocking out a specific gene.
 * 
 * @author dgm
 *
 */
public class EvidenceListDataBean {
	
	private SupportEvidence evidence;

	public void setEvidence(SupportEvidence se) {
		evidence = se;
	}
		
	public Long getMigGeneId() {
		return evidence.getMigGeneId();
	}

	public String getNote() {
		return evidence.getNote();
	}

	public int getScore() {
		return evidence.getScore();
	}

	public String getUrl() {
		return evidence.getUrl();
	}
	
	public String getLink() {
		if(getUrl() ==  null) return " - ";
		return "\n<a href='" + getUrl() + "' target='_blank'><img src='images/books.jpg'></a>";
	}
	
	public String getEditRef() {
		return "\n<center><a href='edit_support_evidence.do?id=" + 
			evidence.getId() + "'><img src='images/mouse_tracking/edit.gif' title='Edit Supporting Evidence'></a></center>";
	}
	
	public Date getEditDate(){
		return evidence.getEditDate();
	}
		
	public String getEditedBy(){
		return evidence.getEditedBy();
	}
}
