/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.genotyping;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class AssayResult extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		ASSAY_PLATE_WELL,
		ASSAY
	}

    private Long assayResultDictId;
    private Long assayId;
    private Long assayPlateWellId;
    private String comments;

    private DictionaryEntry assayResult;
    private AssayPlateWell assayPlateWell;
    private Assay assay;


	public Assay getAssay() {
		return assay;
	}

	public void setAssay(Assay assay) {
		this.assay = assay;
	}

	public DictionaryEntry getAssayResult() {
		return assayResult;
	}

	public void setAssayResult(DictionaryEntry assayResult) {
		this.assayResult = assayResult;
	}

	public AssayPlateWell getAssayPlateWell() {
		return assayPlateWell;
	}

	public void setAssayPlateWell(AssayPlateWell assayPlateWell) {
		this.assayPlateWell = assayPlateWell;
	}

	public Long getAssayResultDictId() {
		return assayResultDictId;
	}

	public void setAssayResultDictId(Long assayResultDictId) {
		this.assayResultDictId = assayResultDictId;
	}

	public Long getAssayId() {
		return assayId;
	}

	public void setAssayId(Long assayId) {
		this.assayId = assayId;
	}

	public Long getAssayPlateWellId() {
		return assayPlateWellId;
	}

	public void setAssayPlateWellId(Long assayPlateWellId) {
		this.assayPlateWellId = assayPlateWellId;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}
}