/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


package uk.ac.sanger.mig.genotyping.forms;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.genotyping.AssayPlate;
import uk.ac.sanger.mig.mousetracking.forms.ProcedureSubform;
import uk.ac.sanger.mig.mousetracking.services.MouseService;

public class AddTissueForm extends ValidatableForm{

	public static final Long EARCLIP_DROPDOWN_OTHER = -1L;
	public static final Long EARCLIP_DROPDOWN_NOMARK = MouseService.NO_EARMARK;

	private AssayPlate plate;
	private Long plateId;
	private String sheetBarcode;
	private String plateBarcode;
	private ProcedureSubform procedureSubform;
	private boolean projectLicenceDefaultRequired;

	public AssayPlate getPlate() {
		return plate;
	}
	public void setPlate(AssayPlate plate) {
		this.plate = plate;
	}
	public Long getPlateId() {
		return plateId;
	}
	public void setPlateId(Long plateId) {
		this.plateId = plateId;
	}
	public String getSheetBarcode() {
		return sheetBarcode;
	}
	public void setSheetBarcode(String sheetBarcode) {
		this.sheetBarcode = sheetBarcode;
	}
	public String getPlateBarcode() {
		return plateBarcode;
	}
	public void setPlateBarcode(String plateBarcode) {
		this.plateBarcode = plateBarcode;
	}
	public ProcedureSubform getProcedureSubform() {
		return procedureSubform;
	}
	public void setProcedureSubform(ProcedureSubform procedureSubform) {
		this.procedureSubform = procedureSubform;
	}
	public boolean isProjectLicenceDefaultRequired() {
		return projectLicenceDefaultRequired;
	}
	public void setProjectLicenceDefaultRequired(
			boolean projectLicenceDefaultRequired) {
		this.projectLicenceDefaultRequired = projectLicenceDefaultRequired;
	}
}



