package uk.ac.sanger.mig.genotyping.forms;

import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.filesupport.BinaryFile;
import uk.ac.sanger.mig.filesupport.BinaryFileUtil;
import uk.ac.sanger.mig.genotyping.Assay;
import uk.ac.sanger.mig.genotyping.AssayPlate;

public class EditAssayForm extends ValidatableForm {

	private Assay assay;
	private AssayPlate assayPlate;
	private String barcode;
	private String selectedAssay;
	private Collection<EditAssayPlateWellSubform> selectedWells;
	private Long selectedAssayTypeDictId;
	private Long selectedAlleleId;
	private Date assayDate;

	private List<BinaryFile> assayFiles = new LinkedList<BinaryFile>();
	private List<MultipartFile> assayFilesUpload = new LinkedList<MultipartFile>();
	private List<BinaryFile> plateFiles = new LinkedList<BinaryFile>();
	private List<MultipartFile> plateFilesUpload = new LinkedList<MultipartFile>();

	private List<Boolean> plateFilesToDelete = new LinkedList<Boolean>();
	private List<Boolean> assayFilesToDelete = new LinkedList<Boolean>();

	public Assay getAssay() {
		return assay;
	}

	public void setAssay(Assay assay) {
		this.assay = assay;
	}

	public AssayPlate getAssayPlate() {
		return assayPlate;
	}

	public void setAssayPlate(AssayPlate assayPlate) {
		this.assayPlate = assayPlate;
	}

	public String getBarcode() {
		return barcode;
	}

	public void setBarcode(String barcodeForm) {
		this.barcode = barcodeForm;
	}

	public String getSelectedAssay() {
		return selectedAssay;
	}

	public void setSelectedAssay(String selectedAssay) {
		this.selectedAssay = selectedAssay;
	}

	public Collection<EditAssayPlateWellSubform> getSelectedWells() {
		return selectedWells;
	}

	public void setSelectedWells(Collection<EditAssayPlateWellSubform> selectedWells) {
		this.selectedWells = selectedWells;
	}

	public Long getSelectedAlleleId() {
		return selectedAlleleId;
	}

	public void setSelectedAlleleId(Long selectedAlleleId) {
		this.selectedAlleleId = selectedAlleleId;
	}

	public Long getSelectedAssayTypeDictId() {
		return selectedAssayTypeDictId;
	}

	public void setSelectedAssayTypeDictId(Long selectedAssayTypeDictId) {
		this.selectedAssayTypeDictId = selectedAssayTypeDictId;
	}

	public Date getAssayDate() {
		return assayDate;
	}

	public void setAssayDate(Date assayDate) {
		this.assayDate = assayDate;
	}

	public List<BinaryFile> getAssayFiles() {
		return assayFiles;
	}

	public void setAssayFiles(List<BinaryFile> assayFiles) {
		this.assayFiles = assayFiles;
	}

	public List<MultipartFile> getAssayFilesUpload() {
		return assayFilesUpload;
	}

	public void setAssayFilesUpload(List<MultipartFile> assayFilesUpload) {
		this.assayFilesUpload = assayFilesUpload;
	}

	public List<BinaryFile> getPlateFiles() {
		return plateFiles;
	}

	public void setPlateFiles(List<BinaryFile> plateFiles) {
		this.plateFiles = plateFiles;
	}

	public List<MultipartFile> getPlateFilesUpload() {
		return plateFilesUpload;
	}

	public void setPlateFilesUpload(List<MultipartFile> plateFilesUpload) {
		this.plateFilesUpload = plateFilesUpload;
	}

	/**
	 * Move uploaded files into the binary files
	 */
	public void handleUploadedFiles() {
		consumeFiles(plateFilesUpload, plateFiles, plateFilesToDelete);
		consumeFiles(assayFilesUpload, assayFiles, assayFilesToDelete);
	}

	private void consumeFiles(List<MultipartFile> uploads, List<BinaryFile> storableFiles, List<Boolean> deleteList) {
		for(MultipartFile upload : uploads) {
			if (upload != null && upload.getSize() > 0) {
				BinaryFile bf = new BinaryFile();
				BinaryFileUtil.createBinaryFileFromMultipart(upload, bf);
				storableFiles.add(bf);
				deleteList.add(Boolean.FALSE);
			}
		}
		uploads.clear();
	}

	public List<Boolean> getAssayFilesToDelete() {
		return assayFilesToDelete;
	}

	public void setAssayFilesToDelete(List<Boolean> assayFilesToDelete) {
		this.assayFilesToDelete = assayFilesToDelete;
	}

	public List<Boolean> getPlateFilesToDelete() {
		return plateFilesToDelete;
	}

	public void setPlateFilesToDelete(List<Boolean> plateFilesToDelete) {
		this.plateFilesToDelete = plateFilesToDelete;
	}





}
