package uk.ac.sanger.mig.genotyping.services;
import java.util.ArrayList;
import java.util.Collection;

import uk.ac.sanger.mig.mousetracking.Mouse;

/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

public class MouseGroup {


	private Collection<Mouse> mice;
	private String keyName;
	private boolean nodeUsed;



	public MouseGroup() {
		this.nodeUsed = false;
		mice = new ArrayList<Mouse>();
	}

	/**
	 * @return the mice
	 */
	public Collection<Mouse> getMice() {
		return mice;
	}
	/**
	 * @param mice the mice to set
	 */
	public void setMice(Collection<Mouse> mice) {
		this.mice = mice;
	}
	/**
	 * @return the number of Samples for this Allele
	 */
	public int getNumSamples() {
		return mice.size();
	}

	public int getRowRoundupSamples() {
		int rowOffset = 0;
		if(mice.size() % 12 < 12 && mice.size() % 12 > 0) {
			rowOffset = 12 - (mice.size() % 12);
		}
		return mice.size() + rowOffset;
	}

	/**
	 * @return the alleleName
	 */
	public String getKeyName() {
		return keyName;
	}
	/**
	 * @param alleleName the alleleName to set
	 */
	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public void setKeyName(Long key) {
		this.keyName = key.toString();
	}


	/**
	 * @return the node has been used and should be ignored in succesive tree walks.
	 */
	public boolean isNodeUsed() {
		return nodeUsed;
	}
	/**
	 * @param nodeUsed the nodeUsed to set
	 */
	public void setNodeUsed(boolean nodeUsed) {
		this.nodeUsed = nodeUsed;
	}





}
