package uk.ac.sanger.mig.genotyping.validators;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import uk.ac.sanger.mig.genotyping.forms.EditAssayForm;

public class EditAssayFormValidator implements Validator {

	public boolean supports(Class clazz) {
		return EditAssayForm.class.equals(clazz);
	}

	public void validate(Object target, Errors errors) {
		EditAssayForm form = (EditAssayForm)target;
		form.setValidated(false);

		if(form.getBarcode() == null) {
			errors.reject(null, "Plate barcode is a required field.");
		}

		if(form.getSelectedAssay() == null) {
			errors.reject(null, "Assay is a required field.");
		}

		if(form.getAssayDate() == null) {
			errors.reject(null, "Assay date is a required field.");
		}

		if(!errors.hasErrors()) {
			form.setValidated(true);
		}
	}

}
