package uk.ac.sanger.mig.genotyping.validators;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import uk.ac.sanger.mig.genotyping.forms.GenotypeAssignmentForm;

public class EditGenotypeAssignmentFormValidator implements Validator {

	public boolean supports(Class clazz) {
		return GenotypeAssignmentForm.class.equals(clazz);
	}

	public void validate(Object target, Errors errors) {
		GenotypeAssignmentForm form = (GenotypeAssignmentForm)target;
		form.setValidated(false);

		if(form.getBarcode() == null) {
			errors.reject(null, "Plate barcode is a required field.");
		}

		if(form.getSelectedAlleleId() == null) {
			errors.reject(null, "Allele is a required field.");
		}

		if(!errors.hasErrors()) {
			form.setValidated(true);
		}
	}

}
