/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.havanarequest.forms;

import java.util.Collection;

import uk.ac.sanger.mig.designrequest.views.DesignDesignRequestListView;
import uk.ac.sanger.mig.havanarequest.HavanaRequest;

public class HavanaRequestForm {
	private HavanaRequest havanaRequest;
	private String[] importResults;
	//private ArrayList<DesignRequest> designRequest;
	private Collection<DesignDesignRequestListView> designDesignRequestList;
	private Integer sourcePage;
	private long initialStatusId;
	//form filter variables
	private String searchBy;
	private String searchString;
	private String source;
	private String status;
	private String chromosome;
	private Collection<Boolean> runDesigns;
	private String destinationPage;
	private String designRequestIdToGo;
	private String doValidation;

	//end of filter variables



	public Collection<DesignDesignRequestListView> getdesignDesignRequestList() {
		return designDesignRequestList;
	}

	public void setDesignListViews(Collection<DesignDesignRequestListView> designListViews) {
		this.designDesignRequestList = designListViews;
	}

	public HavanaRequest getHavanaRequest() {
		return havanaRequest;
	}

	public void setHavanaRequest(HavanaRequest havanaRequest) {
		this.havanaRequest = havanaRequest;
	}

	public long getInitialStatusId() {
		return initialStatusId;
	}

	public void setInitialStatusId(long initialStatusId) {
		this.initialStatusId = initialStatusId;
	}

	public String[] getImportResults() {
		return importResults;
	}

	public void setImportResults(String[] importResults) {
		this.importResults = importResults;
	}


	public Integer getSourcePage() {
		return sourcePage;
	}

	public void setSourcePage(Integer sourcePage) {
		this.sourcePage = sourcePage;
	}

	public String getChromosome() {
		return chromosome;
	}

	public void setChromosome(String chromosome) {
		this.chromosome = chromosome;
	}

	public String getSearchBy() {
		return searchBy;
	}

	public void setSearchBy(String searchBy) {
		this.searchBy = searchBy;
	}

	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}


	public Collection<Boolean> getRunDesigns() {
		return runDesigns;
	}

	public void setRunDesigns(Collection<Boolean> runDesigns) {
		this.runDesigns = runDesigns;
	}

	public String getDestinationPage() {
		return destinationPage;
	}

	public void setDestinationPage(String destinationPage) {
		this.destinationPage = destinationPage;
	}

	public String getDesignRequestIdToGo() {
		return designRequestIdToGo;
	}

	public void setDesignRequestIdToGo(String designRequestIdToGo) {
		this.designRequestIdToGo = designRequestIdToGo;
	}

	public String getDoValidation() {
		return doValidation;
	}

	public void setDoValidation(String doValidation) {
		this.doValidation = doValidation;
	}




}
