package uk.ac.sanger.mig.histology;

import uk.ac.sanger.mig.common.SortableSearchBean;

/**
 * This class serves as wrapper around domain object POJO for searching on particular fields that are set.
 * It also inherits orderBy and sortOrder methods from SortableSearchBean enabling sort functionlity.
 *
 * If you also need pagination functionality, subclass PaginatedSearchBean which extends SortableSearchBean
 * 
 * NOTE: Using wrapper is just one appraoch to search bean. You could alternatively created a standalone
 * search bean that effectively mimics all of the fields with getters and setters of your domain object POJO.
 */

public class BlockSearchBean extends SortableSearchBean  {
	
	private Block block;
		
	public void setBlock(Block block) {
		this.block = block;
	}
	
	/* add getters/setters for saerchable POJO fields needed
	/* Fore example.....
	
		public void setId( Long id ) {
		this.block.setId( id );
	}
	
	public Long getId() {
		return this.block.getId();
	
	*/
	
}