package uk.ac.sanger.mig.histology;

import java.util.Collection;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;


public class BlockType extends AuthenticatedDataObject  {

  public enum Component implements ComponentEnum {
    ALL_COMPONENTS,  //add additional component enums here as needed for this AuthenticatedDataObject
    CASSETTE_TYPE,
    TISSUES,
    DEFAULT_STAINS
  }

  private String description;        
  private boolean active;        
  private String name;        
  private int orderBy;        
  private Long cassetteTypeDictId;      
  private DictionaryEntry cassetteTypeDict;
  private Collection<Tissue> tissues;
  private boolean standardBlock;
  private Collection<DictionaryEntry> defaultStains;

  public Collection<DictionaryEntry> getDefaultStains() {
    return defaultStains;
  }

  public void setDefaultStains(Collection<DictionaryEntry> defaultStains) {
    this.defaultStains = defaultStains;
  }

  public DictionaryEntry getCassetteTypeDict() {
    return cassetteTypeDict;
  }

  public Collection<Tissue> getTissues() {
    return tissues;
  }

  public void setTissues(Collection<Tissue> tissues) {
    this.tissues = tissues;
  }

  public void setCassetteTypeDict(DictionaryEntry cassetteTypeDict) {
    this.cassetteTypeDict = cassetteTypeDict;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }                                                                                                                                            
  public boolean getActive() {
    return active;
  }

  public void setActive(boolean active) {
    this.active = active;
  }                                                                                                                                            
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }                                                                                                                                            
  public int getOrderBy() {
    return orderBy;
  }

  public void setOrderBy(int orderBy) {
    this.orderBy = orderBy;
  }                                                                                                                                            


  public Long getCassetteTypeDictId() {
    return cassetteTypeDictId;
  }

  public void setCassetteTypeDictId(Long cassetteTypeId) {
    this.cassetteTypeDictId = cassetteTypeId;
  }

	public boolean isStandardBlock() {
		return standardBlock;
	}
	
	public void setStandardBlock(boolean standardBlock) {
		this.standardBlock = standardBlock;
	}                                                                                                                                            


	@Override
	public String toString() {
		// TODO Auto-generated method stub
		return getDescription();
	}

}