/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.histology;

import uk.ac.sanger.mig.common.PaginatedSearchBean;


public class CropSearchBean extends PaginatedSearchBean  {

	public enum QcStatus {

		PASS("Pass"),
		FAIL("Fail"),
		COMPLETE("Complete"),
		AWAIT_QC("Awaiting QC");

		private String label;

		private QcStatus(String label) {this.label = label;}

		public String getLabel() {return this.label;}

		public String getEnumString() { return  this.name();}
	}


    private Long mouseId;
    private String mouseBarcode;

   // private Boolean qcPass;

    private Long sourceBlockId;

    private Long slideId;
    private String slideBarcode;

    private QcStatus qcSearchCategory;

    private Long genderDictId;

    private Long genotypeDictId;

    private Long alleleId;
    private String alleleName;

    private String geneName;//for read only

    private String pipeline;
    private String comments;

    private String annotations;



	public String getAnnotations() {
		return this.annotations;
	}
	public void setAnnotations(String annotations) {
		this.annotations = annotations;
	}
	public String getGeneName() {
		return this.geneName;
	}
	public void setGeneName(String geneName) {
		this.geneName = geneName;
	}
	public Long getGenderDictId() {
		return this.genderDictId;
	}
	public void setGenderDictId(Long genderDictId) {
		this.genderDictId = genderDictId;
	}
	public String getComments() {
		return this.comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}

	public Long getMouseId() {
		return this.mouseId;
	}
	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}
	public String getMouseBarcode() {
		return this.mouseBarcode;
	}
	public void setMouseBarcode(String mouseBarcode) {
		this.mouseBarcode = mouseBarcode;
	}

	//public Boolean getQcPass() {
	//	return this.qcPass;
	//}
	//public void setQcPass(Boolean qcPass) {
	//	this.qcPass = qcPass;
	//}

	public Long getSourceBlockId() {
		return this.sourceBlockId;
	}
	public void setSourceBlockId(Long sourceBlockId) {
		this.sourceBlockId = sourceBlockId;
	}

	public String getSlideBarcode() {
		return this.slideBarcode;
	}
	public void setSlideBarcode(String slideBarcode) {
		this.slideBarcode = slideBarcode;
	}


	public Long getSlideId() {
		return this.slideId;
	}
	public void setSlideId(Long slideId) {
		this.slideId = slideId;
	}
	public QcStatus getQcSearchCategory() {
		return this.qcSearchCategory;
	}
	public void setQcSearchCategory(QcStatus qcSearchCategory) {
		this.qcSearchCategory = qcSearchCategory;
	}
	public Long getGenotypeDictId() {
		return this.genotypeDictId;
	}
	public void setGenotypeDictId(Long genotypeDictId) {
		this.genotypeDictId = genotypeDictId;
	}

	public Long getAlleleId() {
		return this.alleleId;
	}
	public void setAlleleId(Long alleleId) {
		this.alleleId = alleleId;
	}
	public String getAlleleName() {
		return this.alleleName;
	}
	public void setAlleleName(String alleleName) {
		this.alleleName = alleleName;
	}

	public String getPipeline() {
		return this.pipeline;
	}
	public void setPipeline(String pipeline) {
		this.pipeline = pipeline;
	}




}