package uk.ac.sanger.mig.histology;

import java.util.Collection;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.personnel.Person;
import uk.ac.sanger.mig.personnel.Team;

public class Necropsy extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		MOUSE,
		NECROPSY_TISSUES,
		NECROPSY_EVENT,
		TEAM,
		TECHNICIAN,
		FIXATION
	}

    private Long mouseId;  
    private Mouse mouse;
    private String comments; 
    
    private Long teamId;
    private Team team;
    private DictionaryEntry reasonDict;
    private Long reasonDictId;
    
    Collection<NecropsyTissue> necropsyTissues;
    Collection<Event> necropsyEvents;
    
    private Person technician;
    private Long technicianId;
    
    private Fixation fixation;

    public Person getTechnician() {
		return technician;
	}

	public void setTechnician(Person technician) {
		this.technician = technician;
	}

	public Long getTechnicianId() {
		return technicianId;
	}

	public void setTechnicianId(Long technicianId) {
		this.technicianId = technicianId;
	}

	public Collection<Event> getNecropsyEvents() {
		return necropsyEvents;
	}

	public void setNecropsyEvents(Collection<Event> necropsyEvents) {
		this.necropsyEvents = necropsyEvents;
	}

	public Collection<NecropsyTissue> getNecropsyTissues() {
		return necropsyTissues;
	}

	public void setNecropsyTissues(Collection<NecropsyTissue> necropsyTissues) {
		this.necropsyTissues = necropsyTissues;
	}

	public Long getMouseId() {
        return mouseId;
    }
    
    public void setMouseId(Long mouseId) {
        this.mouseId = mouseId;
    }                                                                                                                                            
    public String getComments() {
        return comments;
    }
    
    public void setComments(String comments) {
        this.comments = comments;
    }

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	

	public Long getTeamId() {
		return teamId;
	}

	public void setTeamId(Long teamId) {
		this.teamId = teamId;
	}

	public Team getTeam() {
		return team;
	}

	public void setTeam(Team team) {
		this.team = team;
	}

	public DictionaryEntry getReasonDict() {
		return reasonDict;
	}

	public void setReasonDict(DictionaryEntry reasonDict) {
		this.reasonDict = reasonDict;
	}

	public Long getReasonDictId() {
		return reasonDictId;
	}

	public void setReasonDictId(Long reasonDictId) {
		this.reasonDictId = reasonDictId;
	}

	public Fixation getFixation() {
		return fixation;
	}

	public void setFixation(Fixation fixation) {
		this.fixation = fixation;
	}                                                                                                                                            
	
}