/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.histology;


public class Tile   {
//class does not extend DataObject b/c 
//it does not have id and checksum 
//not relevant b/c record never updated. 
//We want to keep light as possible for performance
    //private Long id;
	private Long cropId;        
    private int zoomLevel;        
    private int arrayIndex;  //all we need to find coordinates, 
    						 //since we can deduce total image width from parent crop            
    private byte[] image;        
    private String formatExtension;        

    public Long getCropId() {
        return cropId;
    }
    

    @Override
    public String toString() {
    
    	return getFileName() + "\n" + getContentType() + "\nbyte len " + getImage().length;
    }
    
    public String getFileName() {
    	return cropId + "_" + zoomLevel + "_" + arrayIndex + formatExtension;
    }
    
    public String getContentType() {
    	return "image/"+formatExtension.substring(1);
    }
    
    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }                                                                                                                                            
    public int getZoomLevel() {
        return zoomLevel;
    }
    
    public void setZoomLevel(int zoomLevel) {
        this.zoomLevel = zoomLevel;
    }                                                                                                                                            
                                                                                                                                          
                                                                                                                                           
    public int getArrayIndex() {
		return this.arrayIndex;
	}

	public void setArrayIndex(int arrayIndex) {
		this.arrayIndex = arrayIndex;
	}

	public byte[] getImage() {
        return image;
    }
    
    public void setImage(byte[] image) {
        this.image = image;
    }                                                                                                                                            
    public String getFormatExtension() {
        return formatExtension;
    }
    
    public void setFormatExtension(String formatExtension) {
        this.formatExtension = formatExtension;
    }
                                                                                                                                             
}