package uk.ac.sanger.mig.histology;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;


public class Tissue extends AuthenticatedDataObject  {

  public enum Component implements ComponentEnum {
    ALL_COMPONENTS  //add additional component enums here as needed for this AuthenticatedDataObject
  }

  private String description;        
  private boolean active;        
  private String name;        
  private int orderBy;
  // gender indicates the gender these tissues are relevant, null indicates both
  private Long genderDictId;
  private DictionaryEntry gender; 

  public Long getGenderDictId() {
    return genderDictId;
  }
  public void setGenderDictId(Long genderDictId) {
    this.genderDictId = genderDictId;
  }
  public DictionaryEntry getGender() {
    return gender;
  }
  public void setGender(DictionaryEntry gender) {
    this.gender = gender;
  }
  public boolean getActive() {
    return active;
  }
  public void setActive(boolean active) {
    this.active = active;
  }

  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }
  public int getOrderBy() {
    return orderBy;
  }
  public void setOrderBy(int orderBy) {
    this.orderBy = orderBy;
  }

  public int compareTo( Tissue o2) {

    return this.getName().compareTo(o2.getName());
  }                                                                               

}