package uk.ac.sanger.mig.histology.applets.scancropper.model;


/**
 * Utility class to record pixels with different labels within the same
 * component -- usees direct field access for speed
 */

public class EquivalencyPair {
	
	public int a = -1, b = -1;
	
	public EquivalencyPair(int a, int b) {
		this.a = a;
		this.b = b;
	}

	public boolean equals(Object obj) {
		if (!(obj instanceof EquivalencyPair))
			return false;
		EquivalencyPair ep = (EquivalencyPair) obj;
		return ((this.a == ep.a && this.b == ep.b) || (this.a == ep.b && this.b == ep.a));
	}

	public int hashCode() {
		//always sort b/c the order of a/b arbitrary. 
		//ie, if a and b have same values in different equiv pairs
		//but in reverse order, they are considered equivalent for hashing
		//purposes.
		int tmpA = a;
		int tmpB = b;
		int swapVar;
		if( tmpB < tmpA ) {
			swapVar = tmpA;
			tmpA = tmpB;
			tmpB = swapVar;
		}
		//hash func ripped off from Point2D...
		long bits = java.lang.Double.doubleToLongBits( tmpA );
		bits ^= java.lang.Double.doubleToLongBits( tmpB ) * 31;
		return (((int) bits) ^ ((int) (bits >> 32)));
	}
}
