package uk.ac.sanger.mig.histology.applets.scancropper.model;

/**
 * Constants used by image segmentation algorithms.
 * @author ae1
 *
 */
public enum SegmentationConstants {

	  NOISE_FILTER_PASSES(				1	       ),
	  DIALATION_COUNT_MIN(  			0          ),
	  DIALATION_COUNT_DEFAULT(  	    8          ),
	  DIALATION_COUNT_MAX(  		   20          ),
	  BACKGROUND_MASK(         		    0xffffffff ),
	  FOREGROUND_MASK(          		0xff000000 ),
	  MINIMUM_AUTO_CROP_SIZE_FILTER(   10		   ), //1000s points of total thumb area
	  DMETRIX_EDGE_STRIPS_CORRECTION(  16 		   ), //adjust for dmetric distortion lines first 2-3 pixels
	  SATURATION_FLOOR(                 2          ), //pcts pts
	  BRIGHTNESS_FLOOR(                70          ); //pcts pts

	  private final int constantVal;

	  SegmentationConstants(int constant) {
		  this.constantVal = constant;
	  }

	  public int getIntValue() {
		  return this.constantVal;
	  }

	  public double getPercentValue() {
		  return this.constantVal / 100.0d;
	  }

}
