package uk.ac.sanger.mig.histology.applets.scancropper.services.operations;

import uk.ac.sanger.mig.histology.applets.scancropper.model.ImageModel;

public class DilationOperation implements ImageOperation {
 
  private int backgroundColour;
  private int foregroundColour;
  
  public int getBackgroundColour() {
    return backgroundColour;
  }

  public void setBackgroundColour(int backgroundColour) {
    this.backgroundColour = backgroundColour;
  }

  public int getForegroundColour() {
    return foregroundColour;
  }

  public void setForegroundColour(int foregroundColour) {
    this.foregroundColour = foregroundColour;
  }

  public void process(ImageModel imageModel) {
	  
		int[] pixels = imageModel.getPixels(); 
		int width = imageModel.getWidth();
		int height = imageModel.getHeight();
	  
	  
	 int[] workPix = new int[pixels.length];
    System.arraycopy(pixels, 0, workPix, 0, workPix.length);

    for (int y = 1; y < height - 1; y++) { //ignore edges 
      for (int x = 1; x < width - 1; x++) {

        if (workPix[y * width + x] == backgroundColour) {

          if ( // 3x3 mask
              workPix[(y - 1) * width + (x - 1)] != backgroundColour
              || workPix[(y - 1) * width + x] != backgroundColour
              || workPix[(y - 1) * width + (x + 1)] != backgroundColour
              || workPix[y * width + (x - 1)] != backgroundColour
              || workPix[y * width + (x + 1)] != backgroundColour
              || workPix[(y + 1) * width + (x - 1)] != backgroundColour
              || workPix[(y + 1) * width + x] != backgroundColour
              || workPix[(y + 1) * width + (x + 1)] != backgroundColour) {
            pixels[y * width + x] = foregroundColour;
          }
        }
      }
 
    }

  }
}
