package uk.ac.sanger.mig.histology.applets.scancropper.services.operations;

import uk.ac.sanger.mig.histology.applets.scancropper.model.ImageModel;

public class GreyscaleOperation implements ImageOperation {

	  public void process(ImageModel imageModel) {

		int[] pixels = imageModel.getPixels();
		int width = imageModel.getWidth();
		int height = imageModel.getHeight();

	    for (int y = 0; y < height; y++) {
	      for (int x = 0; x < width; x++) {

	    	  pixels[y * width + x] = toGrayscale( pixels[y * width + x] );
	      }
	    }

	  }

	  public static int to8BitGrayscale(int pixel) {

	      int red = (pixel >> 16) & 0xff;
	      int green = (pixel >> 8) & 0xff;
	      int blue = (pixel) & 0xff;

	      return (int) (((red + green + blue)) / 3f);

	  }


	  private int toGrayscale(int pixel) {
	      int red = (pixel >> 16) & 0xff;
	      int green = (pixel >> 8) & 0xff;
	      int blue = (pixel) & 0xff;

	      int avg = (int) (((float) (red + green + blue)) / 3f);

	      red = (avg << 16) & 0x00ff0000;
	      green = (avg << 8) & 0x0000ff00;
	      blue = (avg) & 0x000000ff;

	      return ( 0xff000000 | red | green | blue ); // OR all
	  }

}



