package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.BlockType;
import uk.ac.sanger.mig.histology.views.BlockTypeView;

/**
 * Takes search bean and returns a Collection of BlockType OBJECTS
 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
 * of search method in Dao layer -- eg, are you testing for equality? 
 * Greater than/less than, etc?
 * @param blockTypeSearchBean
 * @return
 */

public interface BlockTypeDao extends TypedDao<BlockType> {

	public Collection<BlockType> fetchActiveBlockTypes(boolean isStandard);
	public BlockTypeView fetchViewById(Long id);
	public Collection<DictionaryEntry> fetchDefaultStains(Long blockTypeId);

	/**
	 * Returns a Collection of all BlockTypes.
	 * 
	 * @return
	 */
	public Collection<BlockType> fetchAllBlockTypes();
	
}