package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;
import java.util.List;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Crop;
import uk.ac.sanger.mig.histology.CropSearchBean;
import uk.ac.sanger.mig.histology.views.CropView;
																

public interface CropDao extends TypedDao<Crop> {

	
	/**
	 * Returns Collection of CropViews matching criteria set
	 * in the CropSearchBean.
	 *  
	 * @param searchBean
	 * @return
	 * @throws IllegalArgumentException if CropSearchBean is null. 
	 */
	public Collection<CropView> search(CropSearchBean searchBean);
	
	/**
	 * Returns Collection of Crops associated with a particular CropJob.
	 * 
	 * Orders by blockId, slideId, scanId and vertical crop location , respectively. 
	 * 
	 * @param cropJobId
	 * @return
	 	
	*/
	public Collection<Crop> fetchCropsByCropJobId(Long cropJobId);
	
	public List<Long> fetchCropIdsByMouse(Long mouseId);
}