package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.CropJob;


public interface CropJobDao extends TypedDao<CropJob> {

	/**
	 * Returns a Collection of CropJobs awaiting processing ordered
	 * by when the CropJob was created, newest jobs first.
	 * (This way when hash these CropJobs to Scan ID key, you
	 * get the oldest CropJob if multiple CropJobs share same Scan).
	 *
	 * A job 'awaiting processing' is defined as one that has not
	 * run successfully and actual attempts < maxAttempts.
	 * @param maxAttempts
	 * @return
	 */
	public Collection<CropJob> fetchAwaitProcessing(int maxAttempts);

	public Collection<CropJob> fetchByScanId(Long scanId);

}