package uk.ac.sanger.mig.histology.dao;

import java.util.ArrayList;
import java.util.Collection;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.histology.Event;

public class EventDaoSpringImpl extends AbstractDaoSpringImpl<Event> implements EventDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, Event event) {
		sql.addLongParam(event.getNecropsyId(), "NECROPSY_ID");
		sql.addLongParam(event.getNecropsyEventDictId(), "NECROPSY_EVENT_DICT_ID");
		sql.addDateParam(event.getEditDate(), "EDIT_DATE");
		sql.addStringParam(event.getEditedBy(), "EDITED_BY");
		sql.addDateParam(event.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(event.getCreatorId(), "CREATOR_ID");
		sql.addLongParam(event.getCheckNumber(), "CHECK_NUMBER");
		sql.addLongParam(event.getId(), "ID");
	}

	public Collection<Event> fetchByNecropsyId(Long necropsyId) {
		if( necropsyId == null )
			throw new IllegalArgumentException("necropsyId cannot be null!");
		
		String sql = " select * from " + getTableName() + " where necropsy_id = ?";
		Collection<Event> events = getSimpleJdbcTemplate().query(sql, getRowMapper(), necropsyId);
		return (events == null) ? new ArrayList<Event>() : events;
	}
}