package uk.ac.sanger.mig.histology.dao;

import org.springframework.dao.IncorrectResultSizeDataAccessException;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.histology.Fixation;

public class FixationDaoSpringImpl extends AbstractDaoSpringImpl<Fixation> implements FixationDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, Fixation fixation) {
		sql.addLongParam(fixation.getNecropsyId(), "NECROPSY_ID");
		sql.addDateParam(fixation.getFixationStartTime(), "FIXATION_START_TIME");
		sql.addDateParam(fixation.getEditDate(), "EDIT_DATE");
		sql.addStringParam(fixation.getEditedBy(), "EDITED_BY");
		sql.addDateParam(fixation.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(fixation.getCreatorId(), "CREATOR_ID");
		sql.addLongParam(fixation.getCheckNumber(), "CHECK_NUMBER");
		sql.addLongParam(fixation.getId(), "ID");
	}
	
	
	public Fixation fetchByNecropsyId(Long necropsyId) {
		
		String sql = "select * from " +getTableName()+" where necropsy_id = ?";
		Fixation fixation = null;
		
		try {
			fixation = getSimpleJdbcTemplate().queryForObject(sql, getRowMapper(),necropsyId);
		}
		catch(IncorrectResultSizeDataAccessException e) {
			
		}
		
		return fixation;
	}
}