package uk.ac.sanger.mig.histology.dao;

import org.springframework.dao.IncorrectResultSizeDataAccessException;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.histology.Necropsy;

public class NecropsyDaoSpringImpl extends AbstractDaoSpringImpl<Necropsy> implements NecropsyDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, Necropsy necropsy) {
		sql.addLongParam(necropsy.getMouseId(), "MOUSE_ID");
		sql.addStringParam(necropsy.getComments(), "COMMENTS");
		sql.addLongParam(necropsy.getReasonDictId(), "REASON_DICT_ID");
		sql.addDateParam(necropsy.getEditDate(), "EDIT_DATE");
		sql.addStringParam(necropsy.getEditedBy(), "EDITED_BY");
		sql.addDateParam(necropsy.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(necropsy.getCreatorId(), "CREATOR_ID");
		sql.addLongParam(necropsy.getCheckNumber(), "CHECK_NUMBER");
		sql.addLongParam(necropsy.getTechnicianId(), "TECHNICIAN_ID");
		sql.addLongParam(necropsy.getTeamId(), "TEAM_ID");
		sql.addLongParam(necropsy.getId(), "ID");
		
	}
	
	


	
	public Necropsy fetchByMouseId(Long mouseId) {
		
		String sql = "select * from " +getTableName()+" where mouse_id = ?";
		Necropsy necropsy = null;
		
		try {
			necropsy = getSimpleJdbcTemplate().queryForObject(sql, getRowMapper(),mouseId);
		}
		catch(IncorrectResultSizeDataAccessException e) {
			
		}
		
		return necropsy;
	}
	
}