package uk.ac.sanger.mig.histology.dao;

import java.util.ArrayList;
import java.util.Collection;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;
import uk.ac.sanger.mig.histology.NecropsyTissue;


public class NecropsyTissueDaoSpringImpl extends AbstractDaoSpringImpl<NecropsyTissue> implements NecropsyTissueDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, NecropsyTissue necropsyTissue) {
		sql.addLongParam(necropsyTissue.getId(), "ID");
		sql.addLongParam(necropsyTissue.getNecropsyId(), "NECROPSY_ID");
		sql.addLongParam(necropsyTissue.getTissueId(), "TISSUE_ID");
		sql.addStringParam(necropsyTissue.getComments(), "COMMENTS");
		sql.addDateParam(necropsyTissue.getEditDate(), "EDIT_DATE");
		sql.addStringParam(necropsyTissue.getEditedBy(), "EDITED_BY");
		sql.addDateParam(necropsyTissue.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(necropsyTissue.getCreatorId(), "CREATOR_ID");
		sql.addLongParam(necropsyTissue.getCheckNumber(), "CHECK_NUMBER");
	}
	
	public Collection<NecropsyTissue> fetchByNecropsyId(Long necropsyId) {
		String sql = "select * from " +getTableName()+" where necropsy_id = ?";
		Collection<NecropsyTissue> tissues = null;
		tissues = getSimpleJdbcTemplate().query(sql, getRowMapper(),necropsyId);
		
		
		return (tissues == null)? new ArrayList<NecropsyTissue>():tissues;
	}
	
}