package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Scan;
import uk.ac.sanger.mig.histology.ScanSearchBean;
import uk.ac.sanger.mig.histology.views.SerializableScanView;
																

	 
public interface ScanDao extends TypedDao<Scan> {

	public void addToCropSelectionBin(Long scanId);
	
	public Scan removeFromCropSelectionBin(Long scanId);	
	
	public Collection<Scan> fetch(ScanSearchBean scanSearchBean);
	
	public Scan fetchByCropJobId(Long cropJobId);
	
	/**
	 * Returns Collection of SerializableScanViews 
	 * flagged for Crop selection ordered by the date they were flagged.
	 *  
	 * @param componentMap
	 * @return
	 */
	public Collection<SerializableScanView> fetchCropSelectionBinSerialized();

	public boolean existsInCropSelectionBin(Long scanId);
}