package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Slide;
import uk.ac.sanger.mig.mousetracking.BarcodedObject;
																

	 
public interface SlideDao extends TypedDao<Slide> {
	
  public Slide fetchByBarcode(String barcode);
  
  public Collection<Slide> fetchAllByBlockId(Long blockId);
  
  public Collection<Slide> fetchByMouseId(Long mouseId) ;

  public boolean slidesAlreadyPresent(BarcodedObject barcodedObject);

  public Collection<Slide> fetchByBlockIdAndStainDictId(Long blockId, Long stainId);
  
	public void addToRecreationBin(Long slideId);
	
	public void removeFromRecreationBin(Long slideId);

	public Collection<Slide> fetchRecreationBin();
 
	public boolean existsInRecreationBin(Long slideId);
	
	public boolean existsInScanningBin(Long slideId);
	
	/**
	 * 
	 * Adds Slide to the Slide scanning bin.
	 * 
	 * @param slideId
	 */
	public void addToScanningBin(Long slideId);
	
	/**
	 * Removes Slide from the Slide scanning bin.
	 * 
	 * @param slideId
	 */
	public void removeFromScanningBin(Long slideId);
	
	public Collection<Slide> fetchScanningBin();
}