package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.histology.views.BlockListView;


public class BlockListRowMapper implements ParameterizedRowMapper<BlockListView> {

	public BlockListView  mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		BlockListView blockVw = new BlockListView();
		blockVw.setId(rs.getLong("ID"));
		blockVw.setMouseId(rs.getLong("MOUSE_ID"));
		blockVw.setBlockTypeId(rs.getLong("BLOCK_TYPE_ID"));
		blockVw.setCreatorId(rs.getLong("CREATOR_ID"));
		blockVw.setBarcode(rs.getString("BARCODE"));
		blockVw.setComments(rs.getString("COMMENTS"));
		blockVw.setFixationEndTime(rs.getTimestamp("FIXATION_END_TIME"));
		blockVw.setProgramDictId(rs.getLong("PROGRAM_DICT_ID"));
		blockVw.setProgramStartTime(rs.getTimestamp("PROGRAM_START_TIME"));
		blockVw.setBlockTypeDesc(rs.getString("BLOCK_TYPE_DESC"));
		blockVw.setStandardBlock(rs.getBoolean("STANDARD_BLOCK"));
		blockVw.setCassetteTypeDictId(rs.getLong("CASSETTE_TYPE_DICT_ID"));
		blockVw.setBlockTypeName(rs.getString("BLOCK_TYPE_NAME"));
		blockVw.setBlockName(rs.getString("NAME"));
		
		return blockVw;
		
	}
}