package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.Block;

public class BlockRowMapper implements ParameterizedRowMapper<Block> {

  private DictionaryService dictionaryService;

	public void setDictionaryService(DictionaryService dictionaryService) {
    this.dictionaryService = dictionaryService;
  }

  public Block mapRow(ResultSet rs, int rowNum) throws SQLException {

		Block block = new Block();


		block.setId(rs.getLong("ID"));

		block.setFixationId(rs.getLong("FIXATION_ID"));

		block.setBlockTypeId(rs.getLong("BLOCK_TYPE_ID"));
		if(rs.wasNull()) block.setBlockTypeId(null);

		block.setCreatorId(rs.getLong("CREATOR_ID"));

		block.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		block.setEditedBy(rs.getString("EDITED_BY"));

		block.setEditDate(rs.getTimestamp("EDIT_DATE"));

		block.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) block.setCheckNumber(null);

		block.setBarcode(rs.getString("BARCODE"));

		block.setComments(rs.getString("COMMENTS"));

    block.setFixationEndTime(rs.getTimestamp("FIXATION_END_TIME"));
    if(rs.wasNull()) block.setFixationEndTime(null);

    block.setProgrammeStartTime(rs.getTimestamp("PROGRAM_START_TIME"));
    if(rs.wasNull()) block.setProgrammeStartTime(null);

    block.setProgrammeTypeId(rs.getLong("PROGRAM_DICT_ID"));
    if(rs.wasNull()) {
      block.setProgrammeTypeId(null);
    }
    else {
      block.setProgrammeType(dictionaryService.fetchEntry(DictionaryEnum.HTL_PROGRAM_DICT, block.getProgrammeTypeId()));
    }

    block.setName(rs.getString("NAME"));

		return block;
	}
}