package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.BlockType;

public class BlockTypeRowMapper implements ParameterizedRowMapper<BlockType> {
	
	private DictionaryService dictionaryService;
	
	
	public void setDictionaryService(DictionaryService dictionaryService) {
		this.dictionaryService = dictionaryService;
	}

	public BlockType mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		BlockType blockType = new BlockType();
		

		blockType.setId(rs.getLong("ID"));if(rs.wasNull()) blockType.setId(null);

		blockType.setDescription(rs.getString("DESCRIPTION"));

		blockType.setActive(rs.getBoolean("ACTIVE"));

		blockType.setName(rs.getString("NAME"));

		blockType.setOrderBy(rs.getInt("ORDER_BY"));
		
		blockType.setStandardBlock(rs.getBoolean("STANDARD_BLOCK"));

		blockType.setCassetteTypeDictId(rs.getLong("CASSETTE_TYPE_DICT_ID"));
		if(rs.wasNull()) blockType.setCassetteTypeDictId(null);		
		
		blockType.setCassetteTypeDict(dictionaryService.fetchEntry(DictionaryEnum.HTL_CASSETTE_TYPE_DICT, blockType.getCassetteTypeDictId()));
		
		
		return blockType;
		
	}
}