package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.histology.CropJob;


public class CropJobRowMapper implements ParameterizedRowMapper<CropJob> {

	public CropJob mapRow(ResultSet rs, int rowNum) throws SQLException {

		CropJob cropJob = new CropJob();


		cropJob.setId(rs.getLong("ID"));

		cropJob.setScanId(rs.getLong("SCAN_ID"));
		if(rs.wasNull()) cropJob.setScanId(null);

		cropJob.setStartTime(rs.getTimestamp("START_TIME"));

		cropJob.setEndTime(rs.getTimestamp("END_TIME"));

		cropJob.setSuccess(rs.getBoolean("IS_SUCCESS"));

		cropJob.setAttempts(rs.getInt("ATTEMPTS"));

		cropJob.setFailureReason(rs.getString("FAILURE_REASON"));

		cropJob.setEditDate(rs.getTimestamp("EDIT_DATE"));

		cropJob.setEditedBy(rs.getString("EDITED_BY"));

		cropJob.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		cropJob.setCreatorId(rs.getLong("CREATOR_ID"));
		if(rs.wasNull()) cropJob.setCreatorId(null);

		cropJob.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) cropJob.setCheckNumber(null);

		return cropJob;

	}
}