package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.Event;

public class EventRowMapper implements ParameterizedRowMapper<Event> {
	
	private DictionaryService dictionaryService;

	public void setDictionaryService(DictionaryService dictionaryService) {
		this.dictionaryService = dictionaryService;
	}

	public Event mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Event event = new Event();
		
		event.setId(rs.getLong("ID"));
		if(rs.wasNull()) event.setId(null);	
		
		event.setNecropsyId(rs.getLong("NECROPSY_ID"));
		if(rs.wasNull()) event.setNecropsyId(null);		

		event.setNecropsyEventDictId(rs.getLong("NECROPSY_EVENT_DICT_ID"));
		if(rs.wasNull()) event.setNecropsyEventDictId(null);		

		event.setEditDate(rs.getTimestamp("EDIT_DATE"));

		event.setEditedBy(rs.getString("EDITED_BY"));

		event.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		event.setCreatorId(rs.getLong("CREATOR_ID"));

		event.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) event.setCheckNumber(null);		
		
		event.setNecropsyEventDict(dictionaryService.fetchEntry(DictionaryEnum.HTL_NECROPSY_EVENT_DICT, event.getNecropsyEventDictId()));
		
		return event;
		
	}
}