package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.histology.Fixation;

public class FixationRowMapper implements ParameterizedRowMapper<Fixation> {

	public Fixation mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Fixation fixation = new Fixation();
		

		fixation.setId(rs.getLong("ID"));

		fixation.setNecropsyId(rs.getLong("NECROPSY_ID"));

		fixation.setFixationStartTime(rs.getTimestamp("FIXATION_START_TIME"));



		fixation.setEditDate(rs.getTimestamp("EDIT_DATE"));

		fixation.setEditedBy(rs.getString("EDITED_BY"));

		fixation.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		fixation.setCreatorId(rs.getLong("CREATOR_ID")); if(rs.wasNull()) fixation.setCreatorId(null);

		fixation.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) fixation.setCheckNumber(null);		
		
		return fixation;
		
	}
}