package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.Necropsy;

public class NecropsyRowMapper implements ParameterizedRowMapper<Necropsy> {

	private DictionaryService dictionaryService;
	
	public void setDictionaryService(DictionaryService dictionaryService) {
		this.dictionaryService = dictionaryService;
	}

	public Necropsy mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Necropsy necropsy = new Necropsy();
		

		necropsy.setId(rs.getLong("ID")); if(rs.wasNull()) necropsy.setId(null);

		necropsy.setMouseId(rs.getLong("MOUSE_ID"));
		if(rs.wasNull()) necropsy.setMouseId(null);		

		necropsy.setComments(rs.getString("COMMENTS"));
		
		necropsy.setReasonDictId(rs.getLong("REASON_DICT_ID"));
		if(rs.wasNull()) necropsy.setReasonDictId(null);
		
		necropsy.setEditDate(rs.getTimestamp("EDIT_DATE"));

		necropsy.setEditedBy(rs.getString("EDITED_BY"));

		necropsy.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		necropsy.setCreatorId(rs.getLong("CREATOR_ID"));

		necropsy.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) necropsy.setCheckNumber(null);		
		
		necropsy.setTechnicianId(rs.getLong("technician_id"));
		if(rs.wasNull()) necropsy.setTechnicianId(null);	
		
		necropsy.setTeamId(rs.getLong("team_id"));
		if(rs.wasNull()) necropsy.setTeamId(null);	
		
		necropsy.setReasonDict(dictionaryService.fetchEntry(DictionaryEnum.HTL_NECROPSY_REASON_DICT, necropsy.getReasonDictId()));
		
		return necropsy;
		
	}
}