package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.histology.NecropsyTissue;

public class NecropsyTissueRowMapper implements ParameterizedRowMapper<NecropsyTissue> {
	
	


	public NecropsyTissue mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		NecropsyTissue necropsyTissue = new NecropsyTissue();
		

		necropsyTissue.setId(rs.getLong("ID"));if(rs.wasNull()) necropsyTissue.setId(null);

		necropsyTissue.setNecropsyId(rs.getLong("NECROPSY_ID"));if(rs.wasNull()) necropsyTissue.setNecropsyId(null);

		necropsyTissue.setTissueId(rs.getLong("TISSUE_ID"));if(rs.wasNull()) necropsyTissue.setTissueId(null);

		necropsyTissue.setComments(rs.getString("COMMENTS"));

		necropsyTissue.setEditDate(rs.getTimestamp("EDIT_DATE"));

		necropsyTissue.setEditedBy(rs.getString("EDITED_BY"));

		necropsyTissue.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

		necropsyTissue.setCreatorId(rs.getLong("CREATOR_ID"));if(rs.wasNull()) necropsyTissue.setCreatorId(null);

		necropsyTissue.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) necropsyTissue.setCheckNumber(null);		
		
		return necropsyTissue;
		
	}
}