package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.Slide;

public class SlideRowMapper implements ParameterizedRowMapper<Slide> {

	private DictionaryService dictionaryService;
	
	public void setDictionaryService(DictionaryService dictionaryService) {
		this.dictionaryService = dictionaryService;
	}
	
	public Slide mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Slide slide = new Slide();
		
		slide.setId(rs.getLong("ID"));

		slide.setBarcode(rs.getString("BARCODE"));

		slide.setBlockId(rs.getLong("BLOCK_ID"));
		if(rs.wasNull()) slide.setBlockId(null);		
	

		slide.setStainingTypeDictId(rs.getLong("STAINING_TYPE_DICT_ID"));
		if(rs.wasNull()) slide.setStainingTypeDictId(null);
		
		slide.setStainingTypeDict(dictionaryService.fetchEntry( DictionaryEnum.HTL_STAINING_TYPE_DICT, 
				slide.getStainingTypeDictId()));
		
		slide.setComments(rs.getString("COMMENTS"));
		
		
		slide.setStatusDictId( rs.getLong("SLIDE_STATUS_DICT_ID") );
		if(rs.wasNull()) slide.setStatusDictId( null );
		
		slide.setStatusDict( dictionaryService.fetchEntry( 
				DictionaryEnum.HTL_SLIDE_STATUS_DICT, 
				slide.getStatusDictId()));
	
		slide.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) slide.setCheckNumber(null);		
		
		slide.setEditedBy(rs.getString("EDITED_BY"));
		slide.setEditDate(rs.getDate("EDIT_DATE"));

		slide.setCreatorId(rs.getLong("CREATOR_ID"));
		if(rs.wasNull()) slide.setCreatorId(null);		
		
		slide.setVersionNumber(rs.getInt("VERSION_NUMBER"));
		if(rs.wasNull()) slide.setVersionNumber(null);
		
		slide.setCreatedDate(rs.getDate("CREATED_DATE"));
		
		
		return slide;
		
	}
}