package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.database.DictionaryEnum;
import uk.ac.sanger.mig.database.DictionaryService;
import uk.ac.sanger.mig.histology.Tissue;

public class TissueRowMapper implements ParameterizedRowMapper<Tissue> {
  private DictionaryService dictionaryService;
  
	public void setDictionaryService(DictionaryService dictionaryService) {
    this.dictionaryService = dictionaryService;
  }

  public Tissue mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Tissue tissue = new Tissue();
	
		tissue.setId(rs.getLong("ID"));if(rs.wasNull()) tissue.setId(null);

		tissue.setDescription(rs.getString("DESCRIPTION"));

		tissue.setActive(rs.getBoolean("ACTIVE"));

		tissue.setName(rs.getString("NAME"));

		tissue.setOrderBy(rs.getInt("ORDER_BY"));
		
		Long genderId = rs.getLong("GENDER_DICT_ID");
		if (!rs.wasNull()) {
		  tissue.setGenderDictId(genderId);
		  dictionaryService.fetchEntry(DictionaryEnum.MOUSE_GENDER_DICT, tissue.getGenderDictId());
		}
		return tissue;
		
	}
}