package uk.ac.sanger.mig.histology.forms;

import java.util.ArrayList;
import java.util.Collection;

import uk.ac.sanger.mig.histology.Block;
import uk.ac.sanger.mig.histology.services.BlockService.CassettePrinter;
import uk.ac.sanger.mig.histology.views.BlockListView;
import uk.ac.sanger.mig.mousetracking.Mouse;

public class CassetteForm {
	//can be mouseBarcode or blockBarcode
	private String barcode;
	private Mouse mouse;
	private Long mouseId;
	private Long blockId;
	private Long fixationId;

	//adding extra block to the database
	private Long blockTypeDictId;
	private String comments;
	private Collection<Block> extraBlocks = new ArrayList<Block>();

	//display the exsiting blocks into two sessions
	private Collection<BlockListView> standardBlocks = new ArrayList<BlockListView>();
	private Collection<BlockListView> extraExistingBlocks = new ArrayList<BlockListView>();

	//on form change booleans
	private boolean newBlockRequested;
	private boolean formChanged;
	private boolean saveCassettes;
	private boolean changeTeam;

	//error message if printing job fails
	private String errorMessage;

	//Cassette printer control
	private String cassettePrinterName = CassettePrinter.TISSUE_TEK.name();

	//deleting
	private String deleteComments;
	private Long deleteExtraBlockTypeId;

	//for success view, redirect to the working page of the corhort
	private Long cohortId;

	public Long getCohortId() {
		return cohortId;
	}

	public void setCohortId(Long cohortId) {
		this.cohortId = cohortId;
	}

	public String getBarcode() {
		return barcode;
	}

	public void setBarcode(String barcode) {
		this.barcode = barcode;
	}

	public Long getMouseId() {
		return mouseId;
	}

	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}

	public Long getBlockId() {
		return blockId;
	}

	public void setBlockId(Long blockId) {
		this.blockId = blockId;
	}

	public Long getBlockTypeDictId() {
		return blockTypeDictId;
	}

	public void setBlockTypeDictId(Long blockTypeDictId) {
		this.blockTypeDictId = blockTypeDictId;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public Collection<Block> getExtraBlocks() {
		return extraBlocks;
	}

	public void setExtraBlocks(Collection<Block> extraBlocks) {
		this.extraBlocks = extraBlocks;
	}


	public boolean isNewBlockRequested() {
		return newBlockRequested;
	}

	public void setNewBlockRequested(boolean newBlockRequested) {
		this.newBlockRequested = newBlockRequested;
	}

	public boolean isFormChanged() {
		return formChanged;
	}

	public void setFormChanged(boolean formChanged) {
		this.formChanged = formChanged;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	public Collection<BlockListView> getStandardBlocks() {
		return standardBlocks;
	}

	public void setStandardBlocks(Collection<BlockListView> standardBlocks) {
		this.standardBlocks = standardBlocks;
	}

	public Collection<BlockListView> getExtraExistingBlocks() {
		return extraExistingBlocks;
	}

	public void setExtraExistingBlocks(Collection<BlockListView> extraExistingBlocks) {
		this.extraExistingBlocks = extraExistingBlocks;
	}

	public boolean isSaveCassettes() {
		return saveCassettes;
	}

	public void setSaveCassettes(boolean saveCassette) {
		this.saveCassettes = saveCassette;
	}

	public String getDeleteComments() {
		return deleteComments;
	}

	public void setDeleteComments(String deleteComments) {
		this.deleteComments = deleteComments;
	}

	public Long getDeleteExtraBlockTypeId() {
		return deleteExtraBlockTypeId;
	}

	public void setDeleteExtraBlockTypeId(Long deleteExtraBlockTypeId) {
		this.deleteExtraBlockTypeId = deleteExtraBlockTypeId;
	}

	public boolean isChangeTeam() {
		return changeTeam;
	}

	public void setChangeTeam(boolean changeTeam) {
		this.changeTeam = changeTeam;
	}

	public Long getFixationId() {
		return fixationId;
	}

	public void setFixationId(Long fixationId) {
		this.fixationId = fixationId;
	}

	public String getCassettePrinterName() {
		return cassettePrinterName;
	}

	public void setCassettePrinterName(String cassettePrinter) {
		this.cassettePrinterName = cassettePrinter;
	}

	public CassettePrinter getCassettePrinter(){
		return CassettePrinter.valueOf(this.cassettePrinterName);
	}

}