package uk.ac.sanger.mig.histology.forms;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.collections15.FactoryUtils;
import org.apache.commons.collections15.ListUtils;

import uk.ac.sanger.mig.histology.Crop;

/**
 * Encapsulates a parent Scan and its child Crop 
 * objects for the purpose of crop scheduling.
 * 
 * @author ae1
 *
 */
public class CropJobForm {

	private Long scanId;
	private List<Crop> crops;
	private boolean cropImmediately;
	
	public CropJobForm() {
		crops = ListUtils.lazyList(new ArrayList<Crop>(), 
				FactoryUtils.instantiateFactory(Crop.class));
	}

	public boolean isCropImmediately() {
		return this.cropImmediately;
	}

	public void setCropImmediately(boolean cropImmediately) {
		this.cropImmediately = cropImmediately;
	}

	public List<Crop> getCrops() {
		return this.crops;
	}

	public void setCrops(List<Crop> crops) {
		this.crops = crops;
	}
	
	public Long getScanId() {
		return this.scanId;
	}

	public void setScanId(Long slideScanId) {
		this.scanId = slideScanId;
	}

	
}
