package uk.ac.sanger.mig.histology.forms;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.histology.Block;
import uk.ac.sanger.mig.histology.Event;
import uk.ac.sanger.mig.histology.Necropsy;
import uk.ac.sanger.mig.histology.NecropsyTissue;
import uk.ac.sanger.mig.histology.Tissue;
import uk.ac.sanger.mig.histology.views.BlockListView;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.personnel.Person;

public class NecropsyForm {

	//necropsy general fields
	private Necropsy necropsy;
	private Long necropsyId;
	private Long mouseId;
	private String mouseBarcode;
	private Mouse mouse;
	private String reason;
	private String comments;
	private String displayText;
	private String barcodeErrorMessage;

	private boolean mainView;
	//individual tissue for necropsy
	private Long tissueId;
	private String tissueComments;

	//individual event
	private Long eventDictId;

	//fixation time
	private Date fixationStartDateTime;

	//technician and team
	private Person technician;
	private Long technicianId;

	//list of the tissues/event/block ready to submit
	private Collection<NecropsyTissue> selectedNecTissues = new ArrayList<NecropsyTissue>();
	private Collection<Event> necropsyEvents = new ArrayList<Event>();
	private Collection<Block> extraBlocks = new ArrayList<Block>();

	//selected tissue list
	//appending the selected tissue with the list existing in the database
	private Collection<NecropsyTissue> displayNecTissues = new ArrayList<NecropsyTissue>();
	private Collection<Event> displayNecropsyEvents = new ArrayList<Event>();
	private Collection<BlockListView> displayBlocks = new ArrayList<BlockListView>();

	//display list for the drop down list
	private Collection<Tissue> dropDownTissues = new ArrayList<Tissue>();
	private Collection<DictionaryEntry> dropDownEvents = new ArrayList<DictionaryEntry>();

	//the ids for the record we are about to delete
	private Long deleteEventId;
	private Long deleteTissueId;
	private Long deleteExtraBlockTypeId;
	private String deleteComments;
	private Long deleteBlockId;

	//exsiting records for the mouse, delete on submit
	private Collection<NecropsyTissue> nTissuesDelete = new ArrayList<NecropsyTissue>();
	private Collection<Event> eventDelete = new ArrayList<Event>();

	//adding new block
	private Long blockTypeDictId;
	private String blockComments;

	//for patch working page
	private Long cohortId;

	public Long getCohortId() {
		return cohortId;
	}

	public void setCohortId(Long cohortId) {
		this.cohortId = cohortId;
	}

	public Collection<Block> getExtraBlocks() {
		return extraBlocks;
	}

	public void setExtraBlocks(Collection<Block> extraBlocks) {
		this.extraBlocks = extraBlocks;
	}

	public Long getDeleteEventId() {
		return deleteEventId;
	}

	public void setDeleteEventId(Long deleteEventId) {
		this.deleteEventId = deleteEventId;
	}


	public Collection<Event> getNecropsyEvents() {
		return necropsyEvents;
	}

	public void setNecropsyEvents(Collection<Event> necropsyEvents) {
		this.necropsyEvents = necropsyEvents;
	}

	public Collection<NecropsyTissue> getSelectedNecTissues() {
		return selectedNecTissues;
	}

	public void setSelectedNecTissues(Collection<NecropsyTissue> tissues) {
		this.selectedNecTissues = tissues;
	}

	public String getTissueComments() {
		return tissueComments;
	}

	public void setTissueComments(String tissueComments) {
		this.tissueComments = tissueComments;
	}

	public Long getTissueId() {
		return tissueId;
	}

	public void setTissueId(Long tissueId) {
		this.tissueId = tissueId;
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	public Long getMouseId() {
		return mouseId;
	}

	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}

	public Necropsy getNecropsy() {
		return necropsy;
	}

	public void setNecropsy(Necropsy necropsy) {
		this.necropsy = necropsy;
	}

	public Long getNecropsyId() {
		return necropsyId;
	}

	public void setNecropsyId(Long necropsyId) {
		this.necropsyId = necropsyId;
	}

	public String getMouseBarcode() {
		return mouseBarcode;
	}

	public void setMouseBarcode(String mouseBarcode) {
		this.mouseBarcode = mouseBarcode;
	}


	public Long getEventDictId() {
		return eventDictId;
	}

	public void setEventDictId(Long eventDictId) {
		this.eventDictId = eventDictId;
	}

	public Collection<Event> getDisplayNecropsyEvents() {
		return displayNecropsyEvents;
	}

	public void setDisplayNecropsyEvents(Collection<Event> displayNecropsyEvents) {
		this.displayNecropsyEvents = displayNecropsyEvents;
	}

	public Collection<NecropsyTissue> getDisplayNecTissues() {
		return displayNecTissues;
	}

	public void setDisplayNecTissues(Collection<NecropsyTissue> displayTissues) {
		this.displayNecTissues = displayTissues;
	}


	public Long getTechnicianId() {
		return technicianId;
	}

	public void setTechnicianId(Long technicianId) {
		this.technicianId = technicianId;
	}

	public Person getTechnician() {
		return technician;
	}

	public void setTechnician(Person technician) {
		this.technician = technician;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getDisplayText() {
		return displayText;
	}

	public void setDisplayText(String displayText) {
		this.displayText = displayText;
	}

	public Date getFixationStartDateTime() {
		return fixationStartDateTime;
	}

	public void setFixationStartDateTime(Date fixationStartDateTime) {
		this.fixationStartDateTime = fixationStartDateTime;
	}

	public Collection<DictionaryEntry> getDropDownEvents() {
		return dropDownEvents;
	}

	public void setDropDownEvents(
			Collection<DictionaryEntry> dropDownNecropsyEvents) {
		this.dropDownEvents = dropDownNecropsyEvents;
	}

	public Collection<Tissue> getDropDownTissues() {
		return dropDownTissues;
	}

	public void setDropDownTissues(Collection<Tissue> dropDownTissues) {
		this.dropDownTissues = dropDownTissues;
	}

	public Long getDeleteTissueId() {
		return deleteTissueId;
	}

	public void setDeleteTissueId(Long deleteTissueId) {
		this.deleteTissueId = deleteTissueId;
	}

	public void setBlockTypeDictId(Long blockTypeDictId) {
		this.blockTypeDictId = blockTypeDictId;
	}

	public void setBlockComments(String blockComments) {
		this.blockComments = blockComments;
	}

	public Long getBlockTypeDictId() {
		return blockTypeDictId;
	}

	public String getBlockComments() {
		return blockComments;
	}

	public Collection<BlockListView> getDisplayBlocks() {
		return displayBlocks;
	}

	public void setDisplayBlocks(Collection<BlockListView> displayBlocks) {
		this.displayBlocks = displayBlocks;
	}

	public Long getDeleteExtraBlockTypeId() {
		return deleteExtraBlockTypeId;
	}

	public void setDeleteExtraBlockTypeId(Long deleteExtraBlockTypeId) {
		this.deleteExtraBlockTypeId = deleteExtraBlockTypeId;
	}

	public String getDeleteComments() {
		return deleteComments;
	}

	public void setDeleteComments(String deleteComments) {
		this.deleteComments = deleteComments;
	}

	public Long getDeleteBlockId() {
		return deleteBlockId;
	}

	public void setDeleteBlockId(Long deleteBlockId) {
		this.deleteBlockId = deleteBlockId;
	}

	public Collection<NecropsyTissue> getNTissuesDelete() {
		return nTissuesDelete;
	}

	public void setNTissuesDelete(Collection<NecropsyTissue> tissuesDelete) {
		nTissuesDelete = tissuesDelete;
	}

	public Collection<Event> getEventDelete() {
		return eventDelete;
	}

	public void setEventDelete(Collection<Event> eventDelete) {
		this.eventDelete = eventDelete;
	}

	public String getBarcodeErrorMessage() {
		return barcodeErrorMessage;
	}

	public void setBarcodeErrorMessage(String barcodeErrorMessage) {
		this.barcodeErrorMessage = barcodeErrorMessage;
	}

	public boolean isMainView() {
		return mainView;
	}

	public void setMainView(boolean mainView) {
		this.mainView = mainView;
	}

}