package uk.ac.sanger.mig.histology.forms;

import java.util.Collection;
import java.util.LinkedList;
import java.util.Map;
import java.util.TreeMap;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.histology.Block;
import uk.ac.sanger.mig.mousetracking.BarcodedObject;
import uk.ac.sanger.mig.mousetracking.Mouse;

public class SlideLabelsForm {

	private String barcode;
	private boolean formChanged;
	private Mouse mouse;
	private String errorMessage;
	private Long cohortId;
	private String printingMessage;
	private BarcodedObject scannedObject;
	private DictionaryEntry[] stains;
	private Collection<PrintSlideCheckbox> slideSelection;

	public String getBarcode() {
		return barcode;
	}

	public void setBarcode(String barcode) {
		this.barcode = barcode;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public boolean isFormChanged() {
		return formChanged;
	}

	public void setFormChanged(boolean formChanged) {
		this.formChanged = formChanged;
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	public BarcodedObject getScannedObject() {
		return scannedObject;
	}

	public void setScannedObject(BarcodedObject scannedObject) {
		this.scannedObject = scannedObject;
	}

	public Collection<PrintSlideCheckbox> getSlideSelection() {
		return slideSelection;
	}

	public void setSlideSelection(Collection<PrintSlideCheckbox> slideSelection) {
		this.slideSelection = slideSelection;
	}

	public DictionaryEntry[] getStains() {
		return stains;
	}

	public void setStains(DictionaryEntry[] stains) {
		this.stains = stains;
	}

	public Map<DictionaryEntry, Map<Block, Collection<PrintSlideCheckbox>>> getGroupedCheckBoxes() {
		Map<DictionaryEntry, Map<Block, Collection<PrintSlideCheckbox>>> groupedCheckBoxes = 
			new TreeMap<DictionaryEntry, Map<Block, Collection<PrintSlideCheckbox>>>();


		for (PrintSlideCheckbox sc : slideSelection) {

			DictionaryEntry cassetteType = sc.getBlock().getBlockType().getCassetteTypeDict();

			if (!groupedCheckBoxes.containsKey(cassetteType)) {
				groupedCheckBoxes.put(
						cassetteType,
						new TreeMap<Block, Collection<PrintSlideCheckbox>>());
			}

			Map<Block, Collection<PrintSlideCheckbox>> blockHolder = groupedCheckBoxes.get(cassetteType);

			if (!blockHolder.containsKey(sc.getBlock())) {
				blockHolder.put(sc.getBlock(), new LinkedList<PrintSlideCheckbox>());
			}

			blockHolder.get(sc.getBlock()).add(sc);

		}

		return groupedCheckBoxes;
	}

	public String getPrintingMessage() {
		return printingMessage;
	}

	public void setPrintingMessage(String printingMessage) {
		this.printingMessage = printingMessage;
	}

	public Long getCohortId() {
		return cohortId;
	}

	public void setCohortId(Long cohortId) {
		this.cohortId = cohortId;
	}
}
