package uk.ac.sanger.mig.histology.services;

import java.util.Collection;
import java.util.Set;

import org.springframework.transaction.annotation.Transactional;

import uk.ac.sanger.mig.common.Pair;
import uk.ac.sanger.mig.mousetracking.Cohort;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.mousetracking.services.CohortService;
import uk.ac.sanger.mig.personnel.Person;

public class BatchServiceImpl implements BatchService {

	private NecropsyService necropsyService;
	private CohortService cohortService;

	public void setNecropsyService(NecropsyService necropsyService) {
		this.necropsyService = necropsyService;
	}

	public void setCohortService(CohortService cohortService) {
		this.cohortService = cohortService;
	}

	@Transactional
	public void manageBatch(Cohort cohort, Collection<Mouse> cohortMice, Person user ) {
		Pair<Set<Long>, Set<Long>> cohortChanges = cohortService.manageCohort(cohort, cohortMice, user);

		Set<Long> miceNewlyAdded = cohortChanges.getObjectA();

		for (Long mouseId : miceNewlyAdded) {
			necropsyService.createNecropsy(mouseId,user);
		}
	}

}
