package uk.ac.sanger.mig.histology.services;

import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.histology.Event;
import uk.ac.sanger.mig.personnel.Person;

																
public interface EventService {
	
	/**
	 * Stores Event as record in database and returns the record's primary key
	 * @param event
	 * @return
	 */
	public Long store(Event event, Person person);	
	
	/**
	 * Returns event for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public Event fetchById(Long id, ComponentMap componentMap);
	
	
	/**
	 * Takes search bean and returns a Collection of Event objects
	 * based on set fields in bean *and* (this is important) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param eventSearchBean
	 * @return
	 */
	public Collection<Event> fetchByNecropsyId(Long id,ComponentMap componentMap);
	
	public void delete(Event event, Person person);
	
}