package uk.ac.sanger.mig.histology.services;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.histology.Fixation;
import uk.ac.sanger.mig.personnel.Person;

																
public interface FixationService {
	
	/**
	 * Stores Fixation as record in database and returns the record's primary key
	 * @param fixation
	 * @return
	 */
	public Long store(Fixation fixation, Person person);	
	
	/**
	 * Returns fixation for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public Fixation fetchById(Long id, ComponentMap componentMap);
	
	
	/**
	 * Takes search bean and returns a Collection of Fixation objects
	 * based on set fields in bean *and* (this is important) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param fixationSearchBean
	 * @return
	 */
	//public Collection<Fixation> search(FixationSearchBean fixationSearchBean);
	
	public Fixation fetchByNecropsyId(Long necropsyId, ComponentMap componentMap);

	
	/**
	 *  Create a fixation for a necropsy. The necropsy must have an id, or an exception will be thrown
	 */
	public Fixation createFixation(Long necropsyId, Person user);

}