package uk.ac.sanger.mig.histology.services;


import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.histology.Necropsy;
import uk.ac.sanger.mig.histology.forms.NecropsyForm;
import uk.ac.sanger.mig.personnel.Person;
																
public interface NecropsyService {
	public final static Long NECROPSY_REASON_DICT_ID = 1L;
	/**
	 * Stores Necropsy as record in database and returns the record's primary key
	 * @param necropsy
	 * @return
	 */
	public Long store(Necropsy necropsy, Person person);	
	
	/**
	 * Returns necropsy for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public Necropsy fetchById(Long id, ComponentMap componentMap);
	
	
	/**
	 * Takes search bean and returns a Collection of Necropsy objects
	 * based on set fields in bean *and* (this is important) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param necropsySearchBean
	 * @return
	 */
//	public Collection<Necropsy> search(NecropsySearchBean necropsySearchBean);
	
	public Necropsy fetchByMouseId(Long mouseId, ComponentMap componentMap);
	
	public Necropsy fetchAllComponentsByMouseId(Long mouseId);
	
	public Necropsy inflateNecropsyComponents(Necropsy necropsy);
	
	public Long storeNecropsyInfo(NecropsyForm necropsyForm, Person creator);
	
	public Long createNecropsy(Long mouseId, Person creator);
	
}