package uk.ac.sanger.mig.histology.services;

import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.histology.NecropsyTissue;
import uk.ac.sanger.mig.personnel.Person;

																
public interface NecropsyTissueService {
	
	/**
	 * Stores NecropsyTissue as record in database and returns the record's primary key
	 * @param necropsyTissue
	 * @return
	 */
	public Long store(NecropsyTissue necropsyTissue, Person person);	
	
	/**
	 * Returns necropsyTissue for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public NecropsyTissue fetchById(Long id, ComponentMap componentMap);
	
	public Collection<NecropsyTissue> fetchByNecropsyId(Long id, ComponentMap componentMap);
	
	public void delete(NecropsyTissue necropsyTissue, Person person);
	/**
	 * Takes search bean and returns a Collection of NecropsyTissue objects
	 * based on set fields in bean *and* (this is important) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param necropsyTissueSearchBean
	 * @return
	 */
	//public Collection<NecropsyTissue> search(NecropsyTissueSearchBean necropsyTissueSearchBean);
	
	//YOU CAN ALTERNATIVELY RETURN COLLECTION OF VIEW BEANS INSTEAD OF DOMAIN OBJECT POJO. 
	//THIS IS SUITABLE FOR "FLAT" OBJECTS HAVING MOSTSLY OR ALL JUST PRIMITIVES & STRINGS.
	//HOWEVER, FOR COMPLEX OBJECTS HAVING SEVERAL SUB-OBJECTS (MAYBE HAVING SUB-SUB OBJECTS AS WELL) 
	//USING A VIEW BEAN TO TEST FOR NULLS AND "FLATTEN" OBJECT INTO PRIMITIVES & STRINGS, OR A 
	//VIEW BEAN POPULATED BY A FLAT DATABASE VIEW, MIGHT BE MORE APPROIPRIATE.
	
}