/**
 *
 */
package uk.ac.sanger.mig.histology.views;

import java.util.Comparator;

import org.apache.commons.lang.builder.CompareToBuilder;


public class BlockViewComparator implements Comparator<BlockListView> {
	public int compare(BlockListView b1, BlockListView b2) {

	  Double b1NameNumeric = null;
	  Double b2NameNumeric = null;

	  /* block type names are often numbers, try to sort them as such first
	   * fall through to sorting the names as text if they aren't numeric
	   */
	  try {
	    b1NameNumeric = Double.valueOf(b1.getBlockName());
	  } catch (NumberFormatException e) {}
	  try {
	    b2NameNumeric = Double.valueOf(b2.getBlockName());
	  } catch (NumberFormatException e) {}

	  return new CompareToBuilder()
	  	.append(b1.getMouseId(),b2.getMouseId())
	  	.append(b1NameNumeric,b2NameNumeric)
	  	.append(b1.getBlockName(),b2.getBlockName())
	  	.append(b1.getId(), b2.getId())
	  	.toComparison();
	}
}
