/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.http.HttpSession;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

import uk.ac.sanger.mig.personnel.Person;

public class FacultyVote extends TagSupport {
	
	private static final long serialVersionUID = 3030199099278582440L;
	private Long geneId;
	private String facultyVote;
	private boolean disabled = false;
	
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}

	public int doStartTag() throws JspException {
		
		if(disabled) return EVAL_BODY_INCLUDE;
		
		JspWriter out = pageContext.getOut();	
		HttpSession session = pageContext.getSession();
		Person person = (Person)session.getAttribute("user");
		StringBuffer buffer = new StringBuffer();
		
		String userName = person.getFullName();
		buffer.append("<form style='color:#555; padding:4px 10px 4px 10px; margin:0px; float:right; border:1 solid #aaa;' action='controller' method='GET' name='voteForm' id='voteForm'>");
		buffer.append("<span style='font-size:15px; color:#830000; padding-right:8px;'>" + userName + "&nbsp;vote:</span>");
	

		String SHOW_CHECK = "style='margin: 0 10 0 0; border:0 solid #aaa; background:#830000;' checked=true";
		String yeaCheck = "style='margin: 0 10 0 0; border:0 solid #aaa;'";
		String neutralCheck = "style='margin: 0 10 0 0; border:0 solid #aaa;'";
		String nayCheck = "style='margin: 0 10 0 0; border:0 solid #aaa;'";
		       
		if("YES".equals(facultyVote)) yeaCheck = SHOW_CHECK;
		else if("NEUTRAL".equals(facultyVote)) neutralCheck = SHOW_CHECK;
		else if("NO".equals(facultyVote)) nayCheck = SHOW_CHECK;
		    
		buffer.append("Yes<input onClick='selectMe(this.parentNode);' "+yeaCheck+" type='radio' name='vote' value='YES'>");
		buffer.append("Neutral<input onClick='selectMe(this.parentNode);' "+neutralCheck+" type='radio' name='vote' value='NEUTRAL'>");
		buffer.append("No<input onClick='selectMe(this.parentNode);' "+nayCheck+" type='radio' name='vote' value='NO'>");
		 
		buffer.append("<input type='hidden' name='geneId' value='" + geneId + "'>");	
		
 
		buffer.append("<input type='hidden' name='ownerId' value='" + person.getId()+ "'>");
		buffer.append("<input type='submit' value='Cast Vote' style='border:1 solid #aaa;'>");
		buffer.append("</form>");	
				
		try { out.print(buffer.toString()); } 
		catch (IOException e) { throw new JspException(e.getMessage()); }	
		return EVAL_BODY_INCLUDE; 
	}
	
	@Override
	public int doEndTag() throws JspException {
		return EVAL_PAGE;
	}
	
	public void setGeneId(Long geneId) {
		this.geneId = geneId;
	}

	public void setFacultyVote(String facultyVote) {
		this.facultyVote = facultyVote;
	}

}