/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class MenuItemTag extends TagSupport {

	private static final long serialVersionUID = 2669820071265772708L;
	private String name = "";
	private String href = "";
	private String onclick = "";
	private String menu = "";

	public void setName(String value) {
		name = value;
	}

	public void setHref(String value) {
		href = value;
	}  

	public void setOnclick(String onclick) {
		this.onclick = onclick;
	}

	public void setMenu(String value) {
		menu = value;
	}
	
	public int doStartTag() throws JspException {

		JspWriter out = pageContext.getOut();

		HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();
		String selectedMenuItem = request.getParameter("menuItem");

		StringBuffer buffer = new StringBuffer();

		buffer.append("<td id=\"" + name + "\" nowrap style=\"cursor:pointer\" align=\"center\" valign=\"middle\" ");
		if(onclick.equals("")) {
			buffer.append("onClick=\"go('");
			buffer.append(menu);
			buffer.append("?menuItem=");
			buffer.append(name);
			buffer.append("', '");
			buffer.append(href);
			buffer.append("')\" ");
		}
		else {
			buffer.append("onclick=\"");
			buffer.append(onclick);
			buffer.append("\"");
		}

		if(selectedMenuItem == null || !selectedMenuItem.equals(name)) {
			buffer.append(" class=\"menuItem\" onMouseOver=\"this.className='menuItemFocused'\" onMouseOut=\"this.className='menuItem'\"");
		}
		else {
			buffer.append(" class=\"menuItemFocused\"");
		}

		buffer.append(">");

		try {
			out.print(buffer.toString());
		} catch (IOException e) {
			throw new JspException(e.getMessage());
		}

		return EVAL_BODY_INCLUDE;
	}

	public int doEndTag() throws JspException {
		JspWriter out = pageContext.getOut();
		try {
			out.print("</td>");
		}
		catch (IOException e) {
			throw new JspException(e.getMessage());
		}
		return EVAL_PAGE;
	}
}
