/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class MigSubmitButtonTag extends TagSupport {		

	private static final long serialVersionUID = 5305749376537629034L;
	private String align = "center"; //default	
	
	public void setAlign(String align) {
		this.align = align;
	}
		
	public int doStartTag() throws JspException {	
		JspWriter out = pageContext.getOut();	
		StringBuffer buffer = new StringBuffer();
		buffer.append("<div align='");				
		buffer.append( align );
		buffer.append("'>\n");
		buffer.append("<table style='border:0;' border=0 cellpadding=0 cellspacing=0>\n");
		buffer.append("<tr>\n");
		buffer.append("<td align=center style='padding-top:8px;padding-bottom:8px;'>\n");
		buffer.append("<input type='SUBMIT' value='Submit' name='SUBMIT' class='submit'>\n");
		buffer.append("&nbsp;\n");
		buffer.append("<input type='reset' value='Reset' name='RESET' class='reset'>\n");
		buffer.append("</td>\n");
		buffer.append("</tr>\n");
		buffer.append("</table>\n");
		buffer.append("</div>\n");	
		try { out.print(buffer.toString()); } 
		catch (IOException e) { throw new JspException(e.getMessage());	}
		return SKIP_BODY;
	}
	
}