/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class PageTag extends TagSupport {

	private static final long serialVersionUID = 0L;
	private boolean migFooter = false;

	public void setMigFooter(boolean migFooter) {
		this.migFooter = migFooter;
	}

	@Override
	public int doStartTag() throws JspException {

		JspWriter out = pageContext.getOut();

		StringBuffer buffer = new StringBuffer();

		buffer.append("\n");
		buffer.append("<div id=\"content\" class=\"content\">\n");
		buffer.append("<table width=\"100%\">\n");
		buffer.append("<tr>\n");
		buffer.append("<td valign=\"top\">");
		
		try {
			out.print(buffer.toString());
		} catch (IOException e) {
			throw new JspException(e.getMessage());
		}

		return EVAL_BODY_INCLUDE;
	}
	
	@Override
	public int doEndTag() throws JspException {
		JspWriter out = pageContext.getOut();

		StringBuffer buffer = new StringBuffer();

		buffer.append("<br /><br /></td>\n");
		buffer.append("</tr>\n");
		if (migFooter) {
		buffer.append("<tr>\n");
		buffer.append("<td valign=\"bottom\" width=100%>");
		buffer.append("<div class=\"migFooter\">");
		buffer.append("<table class=\"migFooter\">\n");
		buffer.append("<tr>\n");
		buffer.append("<td align=\"center\">\n");
		buffer.append("<hr width='100%' size=1 style='color:#999; margin-top:0;'>\n");  
		buffer.append("<a style='font-size:13px;font-family:arial;font-weight:normal;' href='mailto:team110g@sanger.ac.uk?subject=Team 110 User Feedback'>User Feedback</a>\n");
		buffer.append("&nbsp;&nbsp;|&nbsp;&nbsp; \n");
	    buffer.append("<a style='font-size:13px;font-family:arial;font-weight:normal;' href='http://www.ensembl.org/index.html' target='_blank'>Ensembl Home</a>\n");
		buffer.append("&nbsp;&nbsp;|&nbsp;&nbsp; \n");
		buffer.append("<a style='font-size:13px;font-family:arial;font-weight:normal;' href='http://www.sanger.ac.uk/' target='_blank'>Sanger Home</a>\n");
		buffer.append("&nbsp;&nbsp;|&nbsp;&nbsp; \n");
		buffer.append("<a style='font-size:13px;font-family:arial;font-weight:normal;' href='http://www.sanger.ac.uk/Teams/Team109/' target='_blank'>Mouse Genetics Home</a>\n");
		//buffer.append("<img src='images/smallMiceDate.png'>");
		buffer.append("</td>\n");
		buffer.append("</tr>\n");
		buffer.append("</table>\n");
		buffer.append("</div>\n");
		buffer.append("</td>");
		buffer.append("</tr>\n");
		}
		buffer.append("</table>\n");
		buffer.append("</div>\n");
		buffer.append("\n");

		try {
			out.print(buffer.toString());
		} catch (IOException e) {
			throw new JspException(e.getMessage());
		}		
		
		return EVAL_PAGE;
	}
}