/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import uk.ac.sanger.mig.common.PaginatedSearchBean;

public class PaginateTagUtils {

	//default (package) level access
	static String navigationBar(PaginatedSearchBean bean) {
		String output = "";

		output += "<div class=\"listNaviagtionLinks\">";

		// "First" link
		output += "<a href=\"Javascript:setPaginated('true');setAllRecords('false');setRecordSetOffset('1');setFormParam('excel','false');submitForm();\">First</a>&nbsp;|";

		// "Next" link
		if(bean.getRecordSetOffset() > 1) {
			int offset = bean.getRecordSetOffset() - bean.getRecordSetLength();
			if(offset <1) offset = 1;
			output += "&nbsp;<a href=\"Javascript:setPaginated('true');setAllRecords('false');setRecordSetOffset('" + offset + "');setFormParam('excel','false');submitForm();\">Prev</a>&nbsp;|";
		}
		else {
			output +="&nbsp;Prev&nbsp;|";
		}

		// "All" link
		if(bean.getAllRecordsLimit() == null || bean.getAllRecordsLimit() > bean.getRecordSetTotal()) {
			output += "&nbsp;<a href=\"Javascript:setPaginated('true');setAllRecords('true');setFormParam('excel','false');submitForm();\">All</a>&nbsp;|";
		}

		// "Next" link
		if(bean.getRecordSetOffset() + (bean.getRecordSetLength()-1) < bean.getRecordSetTotal()) {
			output += "&nbsp;<a href=\"Javascript:setPaginated('true');setAllRecords('false');setRecordSetOffset('" + (bean.getRecordSetOffset() + bean.getRecordSetLength()) + "');setFormParam('excel','false');submitForm();\">Next</a>&nbsp;|";
		}
		else {
			output +="&nbsp;Next&nbsp;|";
		}

		// "Last" link
		int offset = (bean.getRecordSetTotal() - (bean.getRecordSetLength()-1) <= 0) ? 1 : bean.getRecordSetTotal() - (bean.getRecordSetLength()-1);
		output += "&nbsp;<a href=\"Javascript:setPaginated('true');setAllRecords('false');setRecordSetOffset('" + (offset) + "');setFormParam('excel','false');submitForm();\">Last</a>&nbsp;";

		output += "</div>";

		return output;
	}

}