/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class SangerBodyTag extends TagSupport {		

	private static final long serialVersionUID = 8456588026265818549L;

	public int doStartTag() throws JspException {
		JspWriter out = pageContext.getOut();	
		StringBuffer buffer = new StringBuffer();

		buffer.append("    <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\n");
		buffer.append("      <tr valign=\"top\">\n");
		buffer.append("        <td id=\"sidebar\" >\n");
		buffer.append("          <img class=\"img\" src=\"http://www.sanger.ac.uk/gfx/navigator/teams.jpg\" title=\"\" alt=\"\" height=\"40\" width=\"170\" />\n");
		buffer.append(" \n");
		buffer.append("<!--start navigator-->\n");
		buffer.append(" \n");
		buffer.append("<div class=\"navhead\">\n");
		buffer.append("        <ul>\n");
		buffer.append("          <li><a href=\"http://www.sanger.ac.uk/Teams/\">Teams</a></li>\n");
		buffer.append("        </ul>\n");
		buffer.append("      </div>\n");
		buffer.append(" \n");
		buffer.append(" \n");
		buffer.append("          <div class=\"navigator\">\n");
		buffer.append("            <ul>\n");
		buffer.append(" \n");
		buffer.append("<li><a class=\"sidebar\" href=\"http://www.sanger.ac.uk/Teams/faculty/\">Faculty</a></li>\n");
		buffer.append("<li><div class=\"hide\"><form name='fteam'></div>\n");
		buffer.append("  <select class=\"nav-dd\" name='steam' onChange=\"document.location.href='http://www.sanger.ac.uk'+document.forms['fteam'].steam.options[document.forms['fteam'].steam.selectedIndex].value\">\n");
		buffer.append("    <option selected valu=''>Team ?</option>\n");
		buffer.append("    <option value='/Teams/Team4/'>4</option>\n");
		buffer.append("    <option value='/Teams/Team6/'>6</option>\n");
		buffer.append("    <option value='/Teams/Team7/'>7</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team8/'>8</option>\n");
		buffer.append("    <option value='/Teams/Team15/'>15</option>\n");
		buffer.append("    <option value='/Teams/Team16/'>16</option>\n");
		buffer.append("    <option value='/Teams/Team17/'>17</option>\n");
		buffer.append("    <option value='/Teams/Team18/'>18</option>\n");
		buffer.append("    <option value='/Teams/Team19/'>19</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team21/'>21</option>\n");
		buffer.append("    <option value='/Teams/Team23/'>23</option>\n");
		buffer.append("    <option value='/Teams/Team24/'>24</option>\n");
		buffer.append("    <option value='/Teams/Team25/'>25</option>\n");
		buffer.append("    <option value='/Teams/Team27/'>27</option>\n");
		buffer.append("    <option value='/Teams/Team29/'>29</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team30/'>30</option>\n");
		buffer.append("    <option value='/Teams/Team31/'>31</option>\n");
		buffer.append("    <option value='/Teams/Team32/'>32</option>\n");
		buffer.append("    <option value='/Teams/Team35/'>35</option>\n");
		buffer.append("    <option value='/Teams/Team36/'>36</option>\n");
		buffer.append("    <option value='/Teams/Team37/'>37</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team38/'>38</option>\n");
		buffer.append("    <option value='/Teams/Team39/'>39</option>\n");
		buffer.append("    <option value='/Teams/Team41/'>41</option>\n");
		buffer.append("    <option value='/Teams/Team42/'>42</option>\n");
		buffer.append("    <option value='/Teams/Team43/'>43</option>\n");
		buffer.append("    <option value='/Teams/Team44/'>44</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team45/'>45</option>\n");
		buffer.append("    <option value='/Teams/Team46/'>46</option>\n");
		buffer.append("    <option value='/Teams/Team47/'>47</option>\n");
		buffer.append("    <option value='/Teams/Team48/'>48</option>\n");
		buffer.append("    <option value='/Teams/Team50/'>50</option>\n");
		buffer.append("    <option value='/Teams/Team51/'>51</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team52/'>52</option>\n");
		buffer.append("    <option value='/Teams/Team53/'>53</option>\n");
		buffer.append("    <option value='/Teams/Team54/'>54</option>\n");
		buffer.append("    <option value='/Teams/Team55/'>55</option>\n");
		buffer.append("    <option value='/Teams/Team56/'>56</option>\n");
		buffer.append("    <option value='/Teams/Team57/'>57</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team58/'>58</option>\n");
		buffer.append("    <!--option value='/Teams/Team60/'>60</option-->\n");
		buffer.append("    <option value='/Teams/Team61/'>61</option>\n");
		buffer.append("    <option value='/Teams/Team62/'>62</option>\n");
		buffer.append("    <option value='/Teams/Team63/'>63</option>\n");
		buffer.append("    <option value='/Teams/Team65/'>65</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team66/'>66</option>\n");
		buffer.append("    <option value='/Teams/Team67/'>67</option>\n");
		buffer.append("    <option value='/Teams/Team69/'>69</option>\n");
		buffer.append("    <option value='/Teams/Team70/'>70</option>\n");
		buffer.append("    <option value='/Teams/Team71/'>71</option>\n");
		buffer.append("    <option value='/Teams/Team76/'>76</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team77/'>77</option>\n");
		buffer.append("    <option value='/Teams/Team78/'>78</option>\n");
		buffer.append("    <option value='/Teams/Team79/'>79</option>\n");
		buffer.append("    <option value='/Teams/Team80/'>80</option>\n");
		buffer.append("    <option value='/Teams/Team81/'>81</option>\n");
		buffer.append("    <option value='/Teams/Team82/'>82</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team84/'>84</option>\n");
		buffer.append("    <option value='/Teams/Team85/'>85</option>\n");
		buffer.append("    <option value='/Teams/Team86/'>86</option>\n");
		buffer.append("    <option value='/Teams/Team87/'>87</option>\n");
		buffer.append("    <option value='/Teams/Team88/'>88</option>\n");
		buffer.append("    <option value='/Teams/Team90/'>90</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team92/'>92</option>\n");
		buffer.append("    <option value='/Teams/Team93/'>93</option>\n");
		buffer.append("    <option value='/Teams/Team94/'>94</option>\n");
		buffer.append("    <option value='/Teams/Team95/'>95</option>\n");
		buffer.append("    <option value='/Teams/Team96/'>96</option>\n");
		buffer.append("    <option value='/Teams/Team97/'>97</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team98/'>98</option>\n");
		buffer.append("    <option value='/Teams/Team100/'>100</option>\n");
		buffer.append("    <option value='/Teams/Team101/'>101</option>\n");
		buffer.append("    <option value='/Teams/Team102/'>102</option>\n");
		buffer.append("    <option value='/Teams/Team103/'>103</option>\n");
		buffer.append("    <option value='/Teams/Team104/'>104</option>\n");
		buffer.append(" \n");
		buffer.append("    <option value='/Teams/Team105/'>105</option>\n");
		buffer.append("    <option value='/Teams/Team106/'>106</option>\n");
		buffer.append("    <option value='/Teams/Team109/'>109</option>\n");
		buffer.append("    <option value='/Teams/Team110/'>110</option>\n");
		buffer.append("    <option value='/Teams/Team113/'>113</option>\n");
		buffer.append("    <option value='/Teams/Team150/'>150</option>\n");
		buffer.append(" \n");
		buffer.append("  </select></li>\n");
		buffer.append("<li><div class=\"hide\"></form></div>\n");
		buffer.append("<br /></li>\n");
		buffer.append(" \n");
		buffer.append("            </ul>\n");
		buffer.append("          </div>\n");
		buffer.append(" \n");
		
		buffer.append("          <div class=\"navigator2\">\n");
		buffer.append("            <ul>\n");
		buffer.append("<li><span class='barhead'>Information</span></li>\n");
		buffer.append("<li><a class=\"sidebar\" href=\"http://www.sanger.ac.uk/Teams/Team109/\">Overview</a></li>\n");
		buffer.append(" \n");
		buffer.append("<li><span class=\"barhead\">Allele Information</span></li>\n");
		buffer.append("<li><a class=\"sidebar\" href=\"list_allele_requests.do?source=-5\">Complete allele list</a></li>\n");
		buffer.append("<li><a class=\"sidebar\" href=\"list_allele_requests.do?source=1\">Core gene list 2006-7</a></li>\n");
		buffer.append("<li><a class=\"sidebar\" href=\"gene_search.do\">Search Allele by gene</a></li>\n");
		buffer.append("<li><br /></li>\n");
		buffer.append("<li><a class=\"sidebar\" href=\"http://www.sanger.ac.uk/Teams/Team110/\">Mouse Informatics Group</a></li>\n");

		
		buffer.append(" \n");
		buffer.append("            </ul>\n");
		buffer.append("          </div>\n");
		buffer.append(" \n");
		buffer.append("          <div class=\"navigator\">\n");
		buffer.append("            <ul>\n");
		buffer.append("<li><br  /></li>\n");
		buffer.append("<li><a href=\"http://search.sanger.ac.uk/\">Website Search</a></li>\n");
		buffer.append(" \n");
		buffer.append("<li><a href=\"http://www.sanger.ac.uk/Teams/name.shtml\">People Search</a></li>\n");
		buffer.append("<li><a href=\"http://library.sanger.ac.uk/\">Library Services</a></li>\n");
		buffer.append("<li><a href=\"http://www.sanger.ac.uk/sitemap/\">Site Map</a></li>\n");
		buffer.append("<li><a href=\"http://www.sanger.ac.uk/feedback/\">Feedback / Help</a></li>\n");
		buffer.append(" \n");
		buffer.append("            </ul>\n");
		buffer.append("          </div>\n");
		buffer.append(" \n");
		buffer.append("<!--end navigator-->\n");
		buffer.append("<!--begin portlets-->\n");
		buffer.append("<!--begin portlet prologue --><!--end portlet prologue -->\n");
		buffer.append(" \n");
		buffer.append("<!-- begin special -->\n");
		buffer.append(" \n");
		buffer.append("<!-- end special -->\n");
		buffer.append(" \n");
		buffer.append("<!--end portlets-->\n");
		buffer.append("        </td>\n");
		buffer.append("        <td valign=\"top\">\n");
		buffer.append("          <script type=\"text/javascript\">\n");
		buffer.append("          var sidebar_images     = new Array(2);\n");
		buffer.append("          sidebar_images['hide'] = \"http://www.sanger.ac.uk/gfx/hide_nav.png\";\n");
		buffer.append("          sidebar_images['show'] = \"http://www.sanger.ac.uk/gfx/show_nav.png\";\n");
		buffer.append("            var sidebar_string     = \"<a href='javascript:toggle()'><img src='\"+sidebar_images['hide']+\"' alt='' title='Hide the side bar' id='nav_tab'></a>\";\n");
		buffer.append("            document.write(sidebar_string);\n");
		buffer.append("          </script>\n");
		buffer.append("        </td>\n");
		buffer.append(" \n");
		buffer.append("        <td width=\"100%\" class=\"main\">\n");
		buffer.append(" \n");
		/*
		buffer.append("<!--start main-->\n");		
		buffer.append("<div id=\"collapseBANNER\">\n");
		buffer.append("<div class=\"banner\">Team 109: Mouse Genetics Programme</div>\n");
		buffer.append("</div> <!-- end of collapseBANNER div -->\n");
		buffer.append("<div id=\"content\">\n");
		buffer.append(" \n");
		buffer.append("<p> Place holder\n");
		buffer.append(" \n");
		buffer.append("<fieldset>\n");
		buffer.append("  <legend>Legend:</legend>\n");
		buffer.append(" \n");
		buffer.append("  <h1>Item1:</h1>\n");
		buffer.append("  <p>Paragraph1\n");
		buffer.append("    <a href=\"http://www.sanger.ac.uk\">Link Somewhere</a>.</p>\n");
		buffer.append("  <br />\n");
		buffer.append("</fieldset>\n");
		buffer.append(" \n");
		*/


		
		
		try { out.print(buffer.toString()); } 
		catch (IOException e) { throw new JspException(e.getMessage()); }	
		return EVAL_BODY_INCLUDE;
	}
	
	public int doEndTag() throws JspException {
		JspWriter out = pageContext.getOut();	
		StringBuffer buffer = new StringBuffer();		

		buffer.append("         </td><!-- close content (100%) -->\n");
		buffer.append("       </tr>\n");
		buffer.append("     </table>\n");
		buffer.append(" \n");
		buffer.append("<div class=\"menubar\" id=\"menubar\">\n");
		buffer.append("  <div class=\"menutext\">\n");
		buffer.append("    <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"slickmenu\">\n");
		buffer.append("      <tr>    <td><a id=\"amenu1\" onclick=\"ypSlideOutMenu.toggleMenu('menu1', 1);\" onmouseover=\"ypSlideOutMenu.hover_in('menu1');ypSlideOutMenu.toggleMenu('menu1', 0)\" onmouseout=\"ypSlideOutMenu.hover_out('menu1')\"><img src=\"http://www.sanger.ac.uk/gfx/menu/information.png\" alt=\"Information\" title=\"Sanger Information - Click for menu\" border=\"0\" /></a></td>\n");
		buffer.append(" \n");
		buffer.append("     <td><img src=\"http://www.sanger.ac.uk/gfx/menu/projects.png\" title=\"Projects - Click for menu\" alt=\"Projects\" border=\"0\"  onclick=\"ypSlideOutMenu.toggleMenu('menu2', 1);\" onmouseover=\"ypSlideOutMenu.hover_in('menu2');ypSlideOutMenu.toggleMenu('menu2', 0)\" onmouseout=\"ypSlideOutMenu.hover_out('menu2')\"/></td>\n");
		buffer.append("     <td><img src=\"http://www.sanger.ac.uk/gfx/menu/other_services.png\" title=\"Other related services - Click for menu\" alt=\"Other Services\" border=\"0\"  onclick=\"ypSlideOutMenu.toggleMenu('menu3', 1);\" onmouseover=\"ypSlideOutMenu.hover_in('menu3');ypSlideOutMenu.toggleMenu('menu3', 0)\" onmouseout=\"ypSlideOutMenu.hover_out('menu3')\"/></td>\n");
		buffer.append("</tr>\n");
		buffer.append("      <tr><td><img src=\"http://www.sanger.ac.uk/gfx/blank.gif\" height=\"1\" width=\"100\" alt=\"\"/></td>\n");
		buffer.append(" <td><img src=\"http://www.sanger.ac.uk/gfx/blank.gif\" height=\"1\" width=\"100\" alt=\"\"/></td>\n");
		buffer.append(" <td><img src=\"http://www.sanger.ac.uk/gfx/blank.gif\" height=\"1\" width=\"100\" alt=\"\"/></td>\n");
		buffer.append("</tr>\n");
		buffer.append("    </table>\n");
		buffer.append("  </div>\n");
		buffer.append("</div>\n");
		buffer.append(" \n");
		buffer.append("<div class=\"submenus\" id=\"submenus\">\n");
		buffer.append("<div id=\"menu1Container\">\n");
		buffer.append("  <div id=\"menu1Content\" style=\"position: relative; left: 0; filter:alpha(opacity=93); text-align: left;\">\n");
		buffer.append("    <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n");
		buffer.append("<tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/\"><strong>Sanger Home</strong></a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/sitemap/\">Sitemap</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/\">Site Search</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/\"><strong>Information</strong></a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/careers/\"><b>Careers</b></a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/Press/\">Press</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/News/\">News</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/Seminars/\">Seminars</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/workshops/\">Workshops</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Info/Travel/\">Travel Directions</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Teams/\"><strong>Research Teams</strong></a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Teams/faculty/\">Research Faculty</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://www.sanger.ac.uk/Teams/name.shtml\">Personnel Search</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" \n");
		buffer.append("    </table>\n");
		buffer.append("  </div>\n");
		buffer.append("</div>\n");
		buffer.append("<div id=\"menu2Container\">\n");
		buffer.append(" \n");
		buffer.append("  <div id=\"menu2Content\" style=\"position: relative; left: 0; filter:alpha(opacity=93); text-align: left;\">\n");
		buffer.append("    <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n");
		buffer.append("<tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/humgen/\">Human Genetics</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/modelorgs/\">Model Organisms</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/pathogens/\">Pathogens</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/bioinfo/\">Bioinformatics</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/genbiol/\">Sequencing</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://search.sanger.ac.uk/proteomics/\">Proteomics</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" \n");
		buffer.append("    </table>\n");
		buffer.append("  </div>\n");
		buffer.append("</div>\n");
		buffer.append("<div id=\"menu3Container\">\n");
		buffer.append("  <div id=\"menu3Content\" style=\"position: relative; left: 0; filter:alpha(opacity=93); text-align: left;\">\n");
		buffer.append("    <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n");
		buffer.append("<tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://library.sanger.ac.uk/\">Library</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://rt.sanger.ac.uk/\">Helpdesk</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"http://intweb.sanger.ac.uk/\">Intranet</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"https://enigma.sanger.ac.uk/cgi-bin/mail\">Webmail</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"https://zuul.sanger.ac.uk/\">VPN Access</a></td></tr>\n");
		buffer.append(" <tr class=\"lo\"><td class=\"slickmenu\"><a href=\"http://www.wtgc.org/\">Campus</a></td></tr>\n");
		buffer.append(" <tr class=\"hi\"><td class=\"slickmenu\"><a href=\"https://enigma.sanger.ac.uk/sso/login\">Sign In</a></td></tr>\n");
		buffer.append(" \n");
		buffer.append(" \n");
		buffer.append("    </table>\n");
		buffer.append("  </div>\n");
		buffer.append("</div>\n");
		buffer.append("</div>\n");
		buffer.append(" \n");
		buffer.append("<!-- begin footer -->\n");
		buffer.append("     <div id=\"collapseFOOT\">\n");
		buffer.append("     <br />\n");
		buffer.append("     <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\n");
		buffer.append("       <tr>\n");
		buffer.append(" \n");
		buffer.append("         <td>\n");
		buffer.append("           <table class=\"footer\" cellspacing=\"0\" cellpadding=\"2\" width=\"100%\">\n");
		buffer.append("             <tr>\n");
		buffer.append("               <td class=\"footer-text\">Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK&nbsp;&nbsp;Tel:+44 (0)1223 834244</td>\n");
		buffer.append("               <td align=\"right\"><a href=\"http://www.sanger.ac.uk/feedback/\">webmaster@sanger.ac.uk</a></td>\n");
		buffer.append("             </tr>\n");
		buffer.append("           </table>\n");
		buffer.append(" \n");
		buffer.append("           <table class=\"footer2\" cellspacing=\"0\" cellpadding=\"2\" width=\"100%\">\n");
		buffer.append("             <tr>\n");
		buffer.append("               <td class=\"footer2-text\" align=\"left\" style=\"width:33%;\">Registered charity number 210183</td>\n");
		buffer.append("               <td class=\"footer2-text\" align=\"center\" style=\"width:33%;\"><a href=\"http://www.sanger.ac.uk/notices/release-policy.shtml\">Data Release Policy</a> | <a href=\"http://www.sanger.ac.uk/notices/use-policy.shtml\">Conditions of Use</a> | <a href=\"http://www.sanger.ac.uk/notices/copyright.shtml\">Copyright</a></td>\n");
		buffer.append("               <td class=\"footer2-text\" align=\"right\" style=\"width:33%;\">&nbsp;</td>\n");
		buffer.append(" \n");
		buffer.append("             </tr>\n");
		buffer.append("           </table>\n");
		buffer.append("         </td>\n");
		buffer.append("       </tr>\n");
		buffer.append("     </table>\n");
		buffer.append("     </div> <!-- end of collapseFOOT div -->\n");
		buffer.append("<!-- end footer -->\n");
		buffer.append("    </div> <!-- end main -->  </body>\n");
		
		try { out.print(buffer.toString()); } 
		catch (IOException e) { throw new JspException(e.getMessage()); }			
		return EVAL_PAGE; 
	}	
	
}