/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.jsptags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class SangerHeaderTag extends TagSupport {		

	private static final long serialVersionUID = -2518220388618035824L;
	private String title = "Team 109: Mouse Genetics Programme";
	
	public void setTitle(String title) {
		this.title = title;
	}

	public int doStartTag() throws JspException {
		JspWriter out = pageContext.getOut();	
		StringBuffer buffer = new StringBuffer();

		buffer.append("<head>\n");
		buffer.append("    <title>" + title + "</title>\n");
		buffer.append(" \n");
		buffer.append("<link rel=\"stylesheet\" type=\"text/css\" href=\"http://www.sanger.ac.uk/css/wtsi.css\" />\n");
		buffer.append("<script type=\"text/javascript\" src=\"http://www.sanger.ac.uk/js/sidebar.js\" ></script>\n");
		buffer.append(" \n");
		buffer.append("<link rel=\"stylesheet\" type=\"text/css\" href=\"http://www.sanger.ac.uk/css/menus/jimmac.css\">\n");
		buffer.append("<script type=\"text/javascript\" src=\"http://www.sanger.ac.uk/js/menus/jimmac.js\"></script>\n");
		buffer.append(" \n");
		buffer.append("<script type=\"text/javascript\">\n");
		buffer.append("new ypSlideOutMenu(\"menu1\",\"down\",173,-2,100,350)\n");
		buffer.append("new ypSlideOutMenu(\"menu2\",\"down\",273,-2,100,175)\n");
		buffer.append("new ypSlideOutMenu(\"menu3\",\"down\",373,-2,100,200)\n");
		buffer.append("</script>\n");
		buffer.append(" \n");
		buffer.append("  </head>\n");
		buffer.append("  <body  onload=\"sidebar_default(); ;\">\n"); 
		
		buffer.append("<div id=\"collapseHEAD\">\n");
        buffer.append("<table class=\"header\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n");
        buffer.append("<tr>\n");
        buffer.append("<td colspan=\"2\"><img src=\"http://www.sanger.ac.uk/gfx/blank.gif\" width=\"780\" height=\"1\" alt=\"\" /></td><!-- set minimum width -->\n");
        buffer.append("</tr>\n");
        buffer.append("\n");
        buffer.append("<tr>\n");
        buffer.append("<td align=\"left\" nowrap class=\"headercentre\" style=\"background: url(http://www.sanger.ac.uk/header-icons/swoosh/swoosh_meeting.png) no-repeat top left;\"><a href=\"http://search.sanger.ac.uk/\"><img src=\"http://www.sanger.ac.uk//icons/blank.gif\" height=\"66\" width=\"200\" alt=\"\" title=\"\" align=\"left\" border=\"0\" /></a>\n");
        buffer.append("\n");
        buffer.append("</td>\n");
        buffer.append("\n");
        buffer.append("</tr>\n");
        buffer.append("<tr>\n");
        buffer.append("<td colspan=\"2\" style=\"background-color: #cbdced; height: 17px;\"><img class=\"map\" src=\"http://www.sanger.ac.uk/gfx/navigator/print-email.gif\" width=\"171\" height=\"15\" alt=\"\" usemap=\"#hpresources\" />\n");
        buffer.append("<map name=\"hpresources\">\n");
        buffer.append("<area shape=\"rect\" coords=\"0,0,20,15\"   title=\"Contact WTSI Webmaster\"  href=\"http://www.sanger.ac.uk/feedback/\" />\n");
        buffer.append("<area shape=\"rect\" coords=\"21,0,40,15\"  title=\"Printer friendly format\" target=\"new\" href=\"?;decor=printable\" />\n");
        buffer.append("<area shape=\"rect\" coords=\"42,0,74,15\"  title=\"Login to WTSI resources\" href=\"https://enigma.sanger.ac.uk/sso/login\" />\n");
        buffer.append("<area shape=\"rect\" coords=\"76,0,114,15\" title=\"WTSI RSS feed\"           href=\"http://www.sanger.ac.uk/fetch/atom.xml\" />\n");
        buffer.append("</map>\n");
        buffer.append("\n");
        buffer.append("</td>\n");
        buffer.append("</tr>\n");
        buffer.append("</table>\n");
        buffer.append("</div> <!-- end of collapseHEAD div -->\n");
        buffer.append("<div class=\"main\" id=\"main\">\n");
			
		try { out.print(buffer.toString()); } 
		catch (IOException e) { throw new JspException(e.getMessage()); }	
		return EVAL_BODY_INCLUDE;
	}
	
	public int doEndTag() throws JspException {
			
		return EVAL_PAGE; 
	}
	
	
}