/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.licensing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.licensing.ProjectLicence;

public class ProjectLicenceRowMapper implements ParameterizedRowMapper<ProjectLicence> {

	public ProjectLicence mapRow(ResultSet rs, int rowNum) throws SQLException {		
		ProjectLicence projectLicence = new ProjectLicence();
		
		projectLicence.setId(rs.getLong("PROJECT_LICENCE_ID"));
		projectLicence.setResponsiblePersonId(rs.getLong("RESPONSIBLE_PERSON_ID"));
		if(rs.wasNull()) projectLicence.setResponsiblePersonId(null);		
		projectLicence.setLicenceNumber(rs.getString("LICENCE_NUMBER"));
		projectLicence.setTitle(rs.getString("TITLE"));
		projectLicence.setStartDate(rs.getDate("START_DATE"));
		projectLicence.setEndDate(rs.getDate("END_DATE"));
		projectLicence.setDeputy1PersonId(rs.getLong("DEPUTY1_PERSON_ID"));
		if(rs.wasNull()) projectLicence.setDeputy1PersonId(null);		
		projectLicence.setDeputy2PersonId(rs.getLong("DEPUTY2_PERSON_ID"));
		if(rs.wasNull()) projectLicence.setDeputy2PersonId(null);		
		projectLicence.setDeputy3PersonId(rs.getLong("DEPUTY3_PERSON_ID"));
		if(rs.wasNull()) projectLicence.setDeputy3PersonId(null);		
		projectLicence.setCreatorId(rs.getLong("CREATOR_ID"));
		if(rs.wasNull()) projectLicence.setCreatorId(null);
		projectLicence.setCreatedDate(rs.getDate("CREATED_DATE"));
		projectLicence.setEditedBy(rs.getString("EDITED_BY"));
		projectLicence.setEditDate(rs.getDate("EDIT_DATE"));
		projectLicence.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) projectLicence.setCheckNumber(null);	
		
		return projectLicence;		
	}

}
