/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.licensing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.licensing.Protocol;

public class ProtocolRowMapper implements ParameterizedRowMapper<Protocol> {

	public Protocol mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		Protocol protocol = new Protocol();
		
		protocol.setId(rs.getLong("ID"));
		protocol.setProjectLicenceId(rs.getLong("PROJECT_LICENCE_ID"));
		if(rs.wasNull()) protocol.setProjectLicenceId(null);		
		protocol.setProtocolCode(rs.getString("PROTOCOL_CODE"));
		protocol.setTitle(rs.getString("TITLE"));
		protocol.setCreatorId(rs.getLong("CREATOR_ID"));
		if(rs.wasNull()) protocol.setCreatorId(null);		
		protocol.setCreatedDate(rs.getDate("CREATED_DATE"));
		protocol.setEditedBy(rs.getString("EDITED_BY"));
		protocol.setEditDate(rs.getDate("EDIT_DATE"));
		protocol.setCheckNumber(rs.getLong("CHECK_NUMBER"));
		if(rs.wasNull()) protocol.setCheckNumber(null);	
		protocol.setHarmfulMutant(rs.getBoolean("HARMFUL_MUTANT"));
		
		return protocol;
		
	}
}