/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.microscopy;

import java.util.Date;

/**
 *
 * @author ae1
 *
 */
public class ReadOnlyMetaData  {

	private Long id;
	private String sampleName; //mouse id or barcode
    /*
	private String mouseName;
    private String mouseBarcode;
    private String gender;
    private String strain;
    private String genotype;
    private String earmark;
    private Date birthDate;
    private Date deathDate;
    private int ageInWeeks;
    private String mouseComments;
    private String cohorts;
    private String pipelines;
    */
    private String groupDescription;
    private String createdBy;
    private String tissue;
    private String imageDescription;
    private Date acquisitionDate;
    private int imgWme;
    private int imgFaxitron;
    private int imgSlitLamp;
    private int imgSkinScreen;
    private int imgLacz;
    private int imgVideo;
    private int imgMisc;
    private String imageType;
    private String workstation;
    private String micModel;
    private String camera;
    private float micAdapterMag;
    private float micIntermediate;
    private float micIris;
    private float micObjective;
    private float micZpos;
    private float micZoomFactor;
    private int xMicronsPerPixel;
    private int yMicronsPerPixel;
    private String imagePath;
    private String imageFormat;
    private int imageWidth;
    private int imageHeight;
    private int imageBitsPerPixel;







	public String getSampleName() {
		return this.sampleName;
	}

	public void setSampleName(String sampleName) {
		this.sampleName = sampleName;
	}

	public Long getId() {
		return this.id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	/*
	public String getMouseName() {
        return mouseName;
    }

    public void setMouseName(String mouseName) {
        this.mouseName = mouseName;
    }
    public String getMouseBarcode() {
        return mouseBarcode;
    }

    public void setMouseBarcode(String mouseBarcode) {
        this.mouseBarcode = mouseBarcode;
    }
    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
    public String getStrain() {
        return strain;
    }

    public void setStrain(String strain) {
        this.strain = strain;
    }
    public String getGenotype() {
        return genotype;
    }

    public void setGenotype(String genotype) {
        this.genotype = genotype;
    }
    public String getEarmark() {
        return earmark;
    }

    public void setEarmark(String earmark) {
        this.earmark = earmark;
    }
    public Date getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }
    public Date getDeathDate() {
        return deathDate;
    }

    public void setDeathDate(Date deathDate) {
        this.deathDate = deathDate;
    }
    public int getAgeInWeeks() {
        return ageInWeeks;
    }

    public void setAgeInWeeks(int ageInWeeks) {
        this.ageInWeeks = ageInWeeks;
    }
    public String getMouseComments() {
        return mouseComments;
    }

    public void setMouseComments(String mouseComments) {
        this.mouseComments = mouseComments;
    }
    public String getCohorts() {
        return cohorts;
    }

    public void setCohorts(String cohorts) {
        this.cohorts = cohorts;
    }
    public String getPipelines() {
        return pipelines;
    }

    public void setPipelines(String pipelines) {
        this.pipelines = pipelines;
    }
    */
    public String getGroupDescription() {
        return groupDescription;
    }

    public void setGroupDescription(String groupDescription) {
        this.groupDescription = groupDescription;
    }
    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }
    public String getTissue() {
        return tissue;
    }

    public void setTissue(String tissue) {
        this.tissue = tissue;
    }
    public String getImageDescription() {
        return imageDescription;
    }

    public void setImageDescription(String imageDescription) {
        this.imageDescription = imageDescription;
    }
    public Date getAcquisitionDate() {
        return acquisitionDate;
    }

    public void setAcquisitionDate(Date acquisitionDate) {
        this.acquisitionDate = acquisitionDate;
    }
    public int getImgWme() {
        return imgWme;
    }

    public void setImgWme(int imgWme) {
        this.imgWme = imgWme;
    }
    public int getImgFaxitron() {
        return imgFaxitron;
    }

    public void setImgFaxitron(int imgFaxitron) {
        this.imgFaxitron = imgFaxitron;
    }
    public int getImgSlitLamp() {
        return imgSlitLamp;
    }

    public void setImgSlitLamp(int imgSlitLamp) {
        this.imgSlitLamp = imgSlitLamp;
    }
    public int getImgSkinScreen() {
        return imgSkinScreen;
    }

    public void setImgSkinScreen(int imgSkinScreen) {
        this.imgSkinScreen = imgSkinScreen;
    }
    public int getImgLacz() {
        return imgLacz;
    }

    public void setImgLacz(int imgLacz) {
        this.imgLacz = imgLacz;
    }
    public int getImgVideo() {
        return imgVideo;
    }

    public void setImgVideo(int imgVideo) {
        this.imgVideo = imgVideo;
    }
    public int getImgMisc() {
        return imgMisc;
    }

    public void setImgMisc(int imgMisc) {
        this.imgMisc = imgMisc;
    }
    public String getImageType() {
        return imageType;
    }

    public void setImageType(String imageType) {
        this.imageType = imageType;
    }
    public String getWorkstation() {
        return workstation;
    }

    public void setWorkstation(String workstation) {
        this.workstation = workstation;
    }
    public String getMicModel() {
        return micModel;
    }

    public void setMicModel(String micModel) {
        this.micModel = micModel;
    }
    public String getCamera() {
        return camera;
    }

    public void setCamera(String camera) {
        this.camera = camera;
    }
    public float getMicAdapterMag() {
        return micAdapterMag;
    }

    public void setMicAdapterMag(float micAdapterMag) {
        this.micAdapterMag = micAdapterMag;
    }
    public float getMicIntermediate() {
        return micIntermediate;
    }

    public void setMicIntermediate(float micIntermediate) {
        this.micIntermediate = micIntermediate;
    }
    public float getMicIris() {
        return micIris;
    }

    public void setMicIris(float micIris) {
        this.micIris = micIris;
    }
    public float getMicObjective() {
        return micObjective;
    }

    public void setMicObjective(float micObjective) {
        this.micObjective = micObjective;
    }
    public float getMicZpos() {
        return micZpos;
    }

    public void setMicZpos(float micZpos) {
        this.micZpos = micZpos;
    }
    public float getMicZoomFactor() {
        return micZoomFactor;
    }

    public void setMicZoomFactor(float micZoomFactor) {
        this.micZoomFactor = micZoomFactor;
    }
    public int getXMicronsPerPixel() {
        return xMicronsPerPixel;
    }

    public void setXMicronsPerPixel(int xMicronsPerPixel) {
        this.xMicronsPerPixel = xMicronsPerPixel;
    }
    public int getYMicronsPerPixel() {
        return yMicronsPerPixel;
    }

    public void setYMicronsPerPixel(int yMicronsPerPixel) {
        this.yMicronsPerPixel = yMicronsPerPixel;
    }
    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }
    public String getImageFormat() {
        return imageFormat;
    }

    public void setImageFormat(String imageFormat) {
        this.imageFormat = imageFormat;
    }
    public int getImageWidth() {
        return imageWidth;
    }

    public void setImageWidth(int imageWidth) {
        this.imageWidth = imageWidth;
    }
    public int getImageHeight() {
        return imageHeight;
    }

    public void setImageHeight(int imageHeight) {
        this.imageHeight = imageHeight;
    }
    public int getImageBitsPerPixel() {
        return imageBitsPerPixel;
    }

    public void setImageBitsPerPixel(int imageBitsPerPixel) {
        this.imageBitsPerPixel = imageBitsPerPixel;
    }
    /*
    public int getQcPass() {
        return qcPass;
    }

    public void setQcPass(int qcPass) {
        this.qcPass = qcPass;
    }
*/


}