package uk.ac.sanger.mig.microscopy.forms;

import java.util.Collection;
import java.util.LinkedList;

import org.apache.commons.collections15.list.LazyList;

import uk.ac.sanger.mig.annotation.Annotation;
import uk.ac.sanger.mig.annotation.AnnotationFactory;
import uk.ac.sanger.mig.database.TableMetadataEnum;
import uk.ac.sanger.mig.microscopy.MetaData;

public class MetaDataForm {

	private MetaData metaData;
	private Collection<Annotation> selectedAnnotations;


	public MetaData getMetaData() {
		return this.metaData;
	}

	public void setMetaData(MetaData metaData) {
		this.metaData = metaData;
	}

	public Collection<Annotation> getSelectedAnnotations() {
		
		if( selectedAnnotations == null ) {
			selectedAnnotations =  LazyList.decorate(
			        new LinkedList<Annotation>(),
			        new AnnotationFactory(TableMetadataEnum.MIC_META_DATA, 
			        		metaData.getId()));
		}
		
		return this.selectedAnnotations;
	}

}
