/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.miprocessing.forms;

import uk.ac.sanger.mig.miprocessing.ScheduledMicroInjectionJob;
import uk.ac.sanger.mig.mirequest.MiRequest;

public class ScheduledMicroInjectionForm {

	private ScheduledMicroInjectionJob scheduledMicroInjection; 
	private MiRequest miRequest;
	
	private String cellLineProviderName;
	private Long cellLineProviderId;
	private Integer numberDonors, numberRecipients;
	private boolean donorRequest, recipientRequest;
	

	
	public MiRequest getMiRequest() {
		return this.miRequest;
	}

	public void setMiRequest(MiRequest miRequest) {
		this.miRequest = miRequest;
	}

	public boolean isDonorRequest() {
		return donorRequest;
	}

	public void setDonorRequest(boolean donorRequest) {
		this.donorRequest = donorRequest;
	}

	public boolean isRecipientRequest() {
		return recipientRequest;
	}

	public void setRecipientRequest(boolean recipientRequest) {
		this.recipientRequest = recipientRequest;
	}

	public Integer getNumberDonors() {
		return this.numberDonors;
	}

	public void setNumberDonors(Integer numberDonors) {
		this.numberDonors = numberDonors;
	}

	public Integer getNumberRecipients() {
		return this.numberRecipients;
	}

	public void setNumberRecipients(Integer numberRecipients) {
		this.numberRecipients = numberRecipients;
	}

	public Long getCellLineProviderId() {
		return cellLineProviderId;
	}

	public void setCellLineProviderId(Long cellLineProviderId) {
		this.cellLineProviderId = cellLineProviderId;
	}

	public String getCellLineProviderName() {
		return cellLineProviderName;
	}

	public void setCellLineProviderName(String cellLineProviderName) {
		this.cellLineProviderName = cellLineProviderName;
	}


	public ScheduledMicroInjectionJob getScheduledMicroInjection() {
		return scheduledMicroInjection;
	}

	public void setScheduledMicroInjection(ScheduledMicroInjectionJob scheduledMicroInjection) {
		this.scheduledMicroInjection = scheduledMicroInjection;
	}

}