/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mirequest;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.common.PaginatedSearchBean;

public class MiRequestSearchBean extends PaginatedSearchBean {


	public enum CustomFilter {

		SCHEDULING_NEEDED(1L);

		private Long id;

		CustomFilter(Long id) {
			this.id = id;
		}

		public Long getId() {
			return this.id;
		}
	}


	private MiRequest miRequest;
	private DictionaryEntry donorCellLineStrainDict;
	private String cellLineName;
	private String geneName;

	private Long customFilterId;

	public MiRequestSearchBean() {

		this.miRequest = new MiRequest();
		this.setDonorCellLineStrainDict(new DictionaryEntry());//join cell line strain dict
	}


	public DictionaryEntry getDonorCellLineStrainDict() {
		return donorCellLineStrainDict;
	}

	public void setDonorCellLineStrainDict(DictionaryEntry donorCellLineStrainDict) {
		this.donorCellLineStrainDict = donorCellLineStrainDict;
	}

	public Long getCustomFilterId() {
		return this.customFilterId;
	}

	/**
	 * Sets custom filter, eg -- to fetch where
	 * status = requested OR status = rescheduling needed
	 * @param
	 */
	public void setCustomFilterId(Long customFilterId) {
		this.customFilterId = customFilterId;
	}


	public MiRequest getMiRequest() {
		return miRequest;
	}

	public void setMiRequest(MiRequest miRequest) {
		this.miRequest = miRequest;
	}


	public String getCellLineName() {
		return cellLineName;
	}


	public void setCellLineName(String cellLineName) {
		this.cellLineName = cellLineName;
	}


	public String getGeneName() {
		return geneName;
	}


	public void setGeneName(String geneName) {
		this.geneName = geneName;
	}

}
