/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mirequest.view;

import java.util.Date;


public class CellLineListViewBean  {

    private Long id;        
    private String createdBy;  
    private Long creatorId;
    private Date createdDate;        
    private String cellLineName;  
    private String cloneName;
    private Long geneId;        
    private String geneName;        
    private String alleleName;        
    private Long modifiedAlleleId;        
    private String cellLineSourceName;
    private Long cellLineSourceId;
    private String coatColorName;        
    private Long coatColorId;        
    private String strainName;        
    private Long strainId;        
    private String wildtypePrimerForward;        
    private String wildtypePrimerReverse;        
    private int wildtypeExpectedSize;        
    private String allelePrimerForward;        
    private String allelePrimerReverse;        
    private int alleleExpectedSize; 
    private String editedDate;
    private String editedBy;
    private String genotype;
    private Long genotypeId;
    private String cellLineProviderNameNo;

    private Long fundingId;
    private String funding;
    
    public String getCellLineProviderNameNo() {
		return cellLineProviderNameNo;
	}

	public void setCellLineProviderNameNo(String cellLineProviderNameNo) {
		this.cellLineProviderNameNo = cellLineProviderNameNo;
	}

	public String getGenotype() {
		return genotype;
	}

	public void setGenotype(String genotype) {
		this.genotype = genotype;
	}

	public Long getGenotypeId() {
		return genotypeId;
	}

	public void setGenotypeId(Long genotypeId) {
		this.genotypeId = genotypeId;
	}

	public String getCloneName() {
		return cloneName;
	}

	public void setCloneName(String cloneName) {
		this.cloneName = cloneName;
	}

	public String getEditedBy() {
		return editedBy;
	}

	public void setEditedBy(String editedBy) {
		this.editedBy = editedBy;
	}

	public String getEditedDate() {
		return editedDate;
	}

	public void setEditedDate(String editedDate) {
		this.editedDate = editedDate;
	}

	public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }                                                                                                                                            
    public String getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }                                                                                                                                            
    public Date getCreatedDate() {
        return createdDate;
    }
    
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }                                                                                                                                            
    public String getCellLineName() {
        return cellLineName;
    }
    
    public void setCellLineName(String cellLineName) {
        this.cellLineName = cellLineName;
    }                                                                                                                                            
    public Long getGeneId() {
        return geneId;
    }
    
    public void setGeneId(Long geneId) {
        this.geneId = geneId;
    }                                                                                                                                            
    public String getGeneName() {
        return geneName;
    }
    
    public void setGeneName(String geneName) {
        this.geneName = geneName;
    }                                                                                                                                            
    public String getAlleleName() {
        return alleleName;
    }
    
    public void setAlleleName(String alleleName) {
        this.alleleName = alleleName;
    }                                                                                                                                            
    public Long getModifiedAlleleId() {
        return modifiedAlleleId;
    }
    
    public void setModifiedAlleleId(Long modifiedAlleleId) {
        this.modifiedAlleleId = modifiedAlleleId;
    }                                                                                                                                            
                                                                                                                                           
    public String getCoatColorName() {
        return coatColorName;
    }
    
    public void setCoatColorName(String coatColorName) {
        this.coatColorName = coatColorName;
    }                                                                                                                                            
    public Long getCoatColorId() {
        return coatColorId;
    }
    
    public void setCoatColorId(Long coatColorId) {
        this.coatColorId = coatColorId;
    }                                                                                                                                            
    public String getStrainName() {
        return strainName;
    }
    
    public void setStrainName(String strainName) {
        this.strainName = strainName;
    }                                                                                                                                            
    public Long getStrainId() {
        return strainId;
    }
    
    public void setStrainId(Long strainId) {
        this.strainId = strainId;
    }                                                                                                                                            
    public String getWildtypePrimerForward() {
        return wildtypePrimerForward;
    }
    
    public void setWildtypePrimerForward(String wildtypePrimerForward) {
        this.wildtypePrimerForward = wildtypePrimerForward;
    }                                                                                                                                            
    public String getWildtypePrimerReverse() {
        return wildtypePrimerReverse;
    }
    
    public void setWildtypePrimerReverse(String wildtypePrimerReverse) {
        this.wildtypePrimerReverse = wildtypePrimerReverse;
    }                                                                                                                                            
    public int getWildtypeExpectedSize() {
        return wildtypeExpectedSize;
    }
    
    public void setWildtypeExpectedSize(int wildtypeExpectedSize) {
        this.wildtypeExpectedSize = wildtypeExpectedSize;
    }                                                                                                                                            
    public String getAllelePrimerForward() {
        return allelePrimerForward;
    }
    
    public void setAllelePrimerForward(String allelePrimerForward) {
        this.allelePrimerForward = allelePrimerForward;
    }                                                                                                                                            
    public String getAllelePrimerReverse() {
        return allelePrimerReverse;
    }
    
    public void setAllelePrimerReverse(String allelePrimerReverse) {
        this.allelePrimerReverse = allelePrimerReverse;
    }                                                                                                                                            
    public int getAlleleExpectedSize() {
        return alleleExpectedSize;
    }
    
    public void setAlleleExpectedSize(int alleleExpectedSize) {
        this.alleleExpectedSize = alleleExpectedSize;
    }

	public Long getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(Long creatorId) {
		this.creatorId = creatorId;
	}

	public Long getCellLineSourceId() {
		return cellLineSourceId;
	}

	public void setCellLineSourceId(Long cellLineSourceId) {
		this.cellLineSourceId = cellLineSourceId;
	}

	public String getCellLineSourceName() {
		return cellLineSourceName;
	}

	public void setCellLineSourceName(String cellLineSourceName) {
		this.cellLineSourceName = cellLineSourceName;
	}

	public Long getFundingId() {
		return this.fundingId;
	}

	public void setFundingId(Long fundingId) {
		this.fundingId = fundingId;
	}

	public String getFunding() {
		return this.funding;
	}

	public void setFunding(String funding) {
		this.funding = funding;
	}
                                                                                                                                         

}