/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.mirequest.CellLine;

public class ChimericMouseData extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		CELL_LINE;
	}

    private Long mouseId;
    private Integer percentChimeric;
    private Long cellLineId;
    private CellLine cellLine;
    private Long cellLineStrainDictId;
    private DictionaryEntry cellLineStrain;
    private Long expectedCoatColourDictId;
    private DictionaryEntry expectedCoatColour;

    public Long getMouseId() {
        return mouseId;
    }

    public void setMouseId(Long mouseId) {
        this.mouseId = mouseId;
    }
    public Integer getPercentChimeric() {
        return percentChimeric;
    }

    public void setPercentChimeric(Integer percentChimeric) {
        this.percentChimeric = percentChimeric;
    }

	public CellLine getCellLine() {
		return cellLine;
	}

	public void setCellLine(CellLine cellLine) {
		this.cellLine = cellLine;
	}

	public Long getCellLineId() {
		return cellLineId;
	}

	public void setCellLineId(Long cellLineDictId) {
		this.cellLineId = cellLineDictId;
	}

	public DictionaryEntry getCellLineStrain() {
		return cellLineStrain;
	}

	public void setCellLineStrain(DictionaryEntry cellLineStrain) {
		this.cellLineStrain = cellLineStrain;
	}

	public DictionaryEntry getExpectedCoatColour() {
		return expectedCoatColour;
	}

	public void setExpectedCoatColour(DictionaryEntry coatColour) {
		this.expectedCoatColour = coatColour;
	}

	public Long getCellLineStrainDictId() {
		return cellLineStrainDictId;
	}

	public void setCellLineStrainDictId(Long cellLineStrainDictId) {
		this.cellLineStrainDictId = cellLineStrainDictId;
	}

	public Long getExpectedCoatColourDictId() {
		return expectedCoatColourDictId;
	}

	public void setExpectedCoatColourDictId(Long coatColourDictId) {
		this.expectedCoatColourDictId = coatColourDictId;
	}

}