/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking;

import java.util.Date;

import uk.ac.sanger.mig.common.PaginatedSearchBean;

public class CohortSearchBean extends PaginatedSearchBean {

	private Mouse mouse;
	private Long cohortTypeDictId;
	private Long creatorId;
	private String creatorName;
	private Date filterPeriodStart;
	private Date filterPeriodEnd;
	private String mouseIdentifier;
	private String mouseStatus;

	/**
	 * Filter the results be cohort.endDate
	 */
	public Date getFilterPeriodEnd() {
		return filterPeriodEnd;
	}

	public void setFilterPeriodEnd(Date filterPeriodEnd) {
		this.filterPeriodEnd = filterPeriodEnd;
	}

	/**
	 * Filter the results be cohort.endDate
	 */
	public Date getFilterPeriodStart() {
		return filterPeriodStart;
	}

	public void setFilterPeriodStart(Date filterPeriodStart) {
		this.filterPeriodStart = filterPeriodStart;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Long getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(Long creatorId) {
		this.creatorId = creatorId;
	}

	public Long getCohortTypeDictId() {
		return cohortTypeDictId;
	}

	public void setCohortTypeDictId(Long cohortTypeDictId) {
		this.cohortTypeDictId = cohortTypeDictId;
	}

	public CohortSearchBean() {
		this.mouse = new Mouse();
		mouse.setCage(new Cage());
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	public String getMouseIdentifier() {
		return mouseIdentifier;
	}

	// any mouse identifier  - could be numeric id, barcode or name
	public void setMouseIdentifier(String mouseIdentifier) {
		this.mouseIdentifier = mouseIdentifier;
	}

	public String getMouseStatus() {
		return mouseStatus;
	}

	public void setMouseStatus(String mouseStatus) {
		this.mouseStatus = mouseStatus;
	}
}
