/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking;

import java.util.Date;

import uk.ac.sanger.mig.common.PaginatedSearchBean;



public class EnvironmentReportSearchBean extends PaginatedSearchBean  {
	

	private String reportType;
	private String reportBarcode;
	private String reportBarcodeDesc;
	private Long foreignKeyId;
	private Date reportedDateFrom;
	private Date reportedDateTo;
	private Date resolvedDateFrom;
	private Date resolvedDateTo;
	private boolean allOpenReports;
	private Long currentOwnerId; 
	private String currentOwnerName;
	private Long reportId;
	
	 
	public boolean isMinimumOneFieldSet() {
		return (
				foreignKeyId != null ||
				reportedDateFrom != null ||
				reportedDateTo != null ||
				resolvedDateFrom != null ||
				resolvedDateTo != null ||
				currentOwnerId != null ||
				allOpenReports != false 
				);
	}
			 
	
	/**
	 * @return the reportId
	 */
	public Long getReportId() {
		return this.reportId;
	}

	/**
	 * @param reportId the reportId to set
	 */
	public void setReportId(Long reportId) {
		this.reportId = reportId;
	}

	/**
	 * @return the foreignKeyId
	 */
	public Long getForeignKeyId() {
		return this.foreignKeyId;
	}

	/**
	 * @param foreignKeyId the foreignKeyId to set
	 */
	public void setForeignKeyId(Long foreignKeyId) {
		this.foreignKeyId = foreignKeyId;
	}

	/**
	 * @return the reportBarcode
	 */
	public String getReportBarcode() {
		return this.reportBarcode;
	}

	/**
	 * @param reportBarcode the reportBarcode to set
	 */
	public void setReportBarcode(String reportBarcode) {
		this.reportBarcode = reportBarcode;
	}

	/**
	 * @return the reportBarcodeDesc
	 */
	public String getReportBarcodeDesc() {
		return this.reportBarcodeDesc;
	}

	/**
	 * @param reportBarcodeDesc the reportBarcodeDesc to set
	 */
	public void setReportBarcodeDesc(String reportBarcodeDesc) {
		this.reportBarcodeDesc = reportBarcodeDesc;
	}

	/**
	 * @return the reportType
	 */
	public String getReportType() {
		return this.reportType;
	}

	/**
	 * @param reportType the reportType to set
	 */
	public void setReportType(String reportType) {
		this.reportType = reportType;
	}

	/**
	 * @return the allOpenReports
	 */
	public boolean isAllOpenReports() {
		return this.allOpenReports;
	}

	/**
	 * @param allOpenReports the allOpenReports to set
	 */
	public void setAllOpenReports(boolean allOpenReports) {
		this.allOpenReports = allOpenReports;
	}

	/**
	 * @return the currentOwnerId
	 */
	public Long getCurrentOwnerId() {
		return this.currentOwnerId;
	}

	/**
	 * @param currentOwnerId the currentOwnerId to set
	 */
	public void setCurrentOwnerId(Long currentOwnerId) {
		this.currentOwnerId = currentOwnerId;
	}

	/**
	 * @return the currentOwnerName
	 */
	public String getCurrentOwnerName() {
		return this.currentOwnerName;
	}

	/**
	 * @param currentOwnerName the currentOwnerName to set
	 */
	public void setCurrentOwnerName(String currentOwnerName) {
		this.currentOwnerName = currentOwnerName;
	}

	/**
	 * @return the reportedDateFrom
	 */
	public Date getReportedDateFrom() {
		return this.reportedDateFrom;
	}

	/**
	 * @param reportedDateFrom the reportedDateFrom to set
	 */
	public void setReportedDateFrom(Date reportedDateFrom) {
		this.reportedDateFrom = reportedDateFrom;
	}

	/**
	 * @return the reportedDateTo
	 */
	public Date getReportedDateTo() {
		return this.reportedDateTo;
	}

	/**
	 * @param reportedDateTo the reportedDateTo to set
	 */
	public void setReportedDateTo(Date reportedDateTo) {
		this.reportedDateTo = reportedDateTo;
	}

	/**
	 * @return the resolvedDateTo
	 */
	public Date getResolvedDateTo() {
		return this.resolvedDateTo;
	}

	/**
	 * @param resolvedDateTo the resolvedDateTo to set
	 */
	public void setResolvedDateTo(Date resolvedDateTo) {
		this.resolvedDateTo = resolvedDateTo;
	}

	/**
	 * @return the resolvededDateFrom
	 */
	public Date getResolvedDateFrom() {
		return this.resolvedDateFrom;
	}

	/**
	 * @param resolvededDateFrom the resolvededDateFrom to set
	 */
	public void setResolvedDateFrom(Date resolvedDateFrom) {
		this.resolvedDateFrom = resolvedDateFrom;
	}
	
	
	
}