/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.mousetracking;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class GenotypeHistory extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		MOUSE_ALLELE
	}

    private Long mouseAlleleId;
    private Date assignmentDate;
    private Long genotypeDictId;
    private Long sourceDictId;
    private String comments;

    private DictionaryEntry genotype;
    private MouseAllele mouseAllele;
    private DictionaryEntry source;

    public Long getMouseAlleleId() {
		return mouseAlleleId;
	}

	public void setMouseAlleleId(Long mouseAlleleId) {
		this.mouseAlleleId = mouseAlleleId;
	}

	public Date getAssignmentDate() {
        return assignmentDate;
    }

    public void setAssignmentDate(Date assignmentDate) {
        this.assignmentDate = assignmentDate;
    }
    public Long getGenotypeDictId() {
        return genotypeDictId;
    }

    public void setGenotypeDictId(Long genotypeDictId) {
        this.genotypeDictId = genotypeDictId;
    }

	public DictionaryEntry getGenotype() {
		return genotype;
	}

	public void setGenotype(DictionaryEntry genotype) {
		this.genotype = genotype;
	}

	public MouseAllele getMouseAllele() {
		return mouseAllele;
	}

	public void setMouseAllele(MouseAllele mouseAllele) {
		this.mouseAllele = mouseAllele;
	}

	public DictionaryEntry getSource() {
		return source;
	}

	public void setSource(DictionaryEntry source) {
		this.source = source;
	}

	public Long getSourceDictId() {
		return sourceDictId;
	}

	public void setSourceDictId(Long sourceDictId) {
		this.sourceDictId = sourceDictId;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

}