/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class MouseHealth extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		MOUSE
	}

    private Long mouseId;
    private Date startDate;
    private Date endDate;
    private Long creatorId;
    private Date createdDate;
    private String comments;
    private String status;
	private DictionaryEntry bodySubsystem;
    private Long bodySubsystemDictId;
    private DictionaryEntry bodySystem;
    private Long bodySystemDictId;
    private DictionaryEntry healthConcern;
    private Long healthConcernDictId;
    private Mouse mouse;

	public DictionaryEntry getBodySubsystem() {
		return this.bodySubsystem;
	}

	public void setBodySubsystem(DictionaryEntry bodySubsystem) {
		this.bodySubsystem = bodySubsystem;
	}

	public DictionaryEntry getBodySystem() {
		return this.bodySystem;
	}

	public void setBodySystem(DictionaryEntry bodySystem) {
		this.bodySystem = bodySystem;
	}

	public DictionaryEntry getHealthConcern() {
		return this.healthConcern;
	}

	public void setHealthConcern(DictionaryEntry healthConcern) {
		this.healthConcern = healthConcern;
	}

	public Mouse getMouse() {
		return this.mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

	public Long getMouseId() {
        return mouseId;
    }

    public void setMouseId(Long mouseId) {
        this.mouseId = mouseId;
    }
    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }
    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

	public Long getBodySubsystemDictId() {
		return this.bodySubsystemDictId;
	}

	public void setBodySubsystemDictId(Long bodySubsystemDictId) {
		this.bodySubsystemDictId = bodySubsystemDictId;
	}

	public Long getBodySystemDictId() {
		return this.bodySystemDictId;
	}

	public void setBodySystemDictId(Long bodySystemDictId) {
		this.bodySystemDictId = bodySystemDictId;
	}

	public Long getHealthConcernDictId() {
		return this.healthConcernDictId;
	}

	public void setHealthConcernDictId(Long healthConcernDictId) {
		this.healthConcernDictId = healthConcernDictId;
	}
}