package uk.ac.sanger.mig.mousetracking;

import java.util.Collection;
import java.util.Date;

import uk.ac.sanger.mig.colony.ColonyInfo;
import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;

public class MousePool extends AuthenticatedDataObject {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		CAGE,
		COLONY
	}

	private Long cageId;
	private Cage cage;

	private Long colonyId;
	private ColonyInfo colony;

	private Date poolDate;

	public Cage getCage() {
		return cage;
	}

	public void setCage(Cage cage) {
		this.cage = cage;
	}

	public Long getCageId() {
		return cageId;
	}

	public void setCageId(Long cageId) {
		this.cageId = cageId;
	}

	public ColonyInfo getColony() {
		return colony;
	}

	public void setColony(ColonyInfo colony) {
		this.colony = colony;
	}

	public Long getColonyId() {
		return colonyId;
	}

	public void setColonyId(Long colonyId) {
		this.colonyId = colonyId;
	}

	public Date getPoolDate() {
		return poolDate;
	}

	public void setPoolDate(Date poolDate) {
		this.poolDate = poolDate;
	}

	public Collection<Mouse> getContents() {
		if(getCage() == null) {
			return null;
		}
		else {
			return getCage().getContents();
		}
	}

	public int getContentsSize() {
		Collection contents = getContents();
		return (contents == null) ? 0 : contents.size();
	}
}
