/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.mousetracking.views.CageHeaderView;


public class CageHeaderViewRowMapper implements ParameterizedRowMapper<CageHeaderView> {

	public CageHeaderView mapRow(ResultSet rs, int rowNum) throws SQLException {

		CageHeaderView cageHeaderView = new CageHeaderView();

		cageHeaderView.setCageId(rs.getLong("CAGE_ID"));
		cageHeaderView.setCageBarcode(rs.getString("CAGE_BARCODE"));
		cageHeaderView.setRackId(rs.getLong("RACK_ID"));
		cageHeaderView.setRackName(rs.getString("RACK_NAME"));
		cageHeaderView.setRackBarcode(rs.getString("RACK_BARCODE"));
		cageHeaderView.setRoomId(rs.getLong("ROOM_ID"));
		cageHeaderView.setRoomName(rs.getString("ROOM_NAME"));
		cageHeaderView.setOwnerId(rs.getLong("OWNER_ID"));
		cageHeaderView.setOwnerName(rs.getString("OWNER_NAME"));
		cageHeaderView.setOwnerEmail(rs.getString("OWNER_EMAIL"));
		cageHeaderView.setOwnerPhoneNumber(rs.getString("OWNER_PHONE_NUMBER"));
		cageHeaderView.setColonyInfoId(rs.getLong("COLONY_INFO_ID"));
		cageHeaderView.setColonyName(rs.getString("COLONY_NAME"));
		cageHeaderView.setColonyPrefix(rs.getString("COLONY_PREFIX"));
		cageHeaderView.setProtocolId(rs.getLong("PROTOCOL_ID"));
		cageHeaderView.setProtocolCode(rs.getString("PROTOCOL_CODE"));
		cageHeaderView.setProjectLicenceId(rs.getLong("PROJECT_LICENCE_ID"));
		cageHeaderView.setLicenceNumber(rs.getString("LICENCE_NUMBER"));
		cageHeaderView.setProcedureDictId(rs.getLong("PROCEDURE_DICT_ID"));
		cageHeaderView.setProcedure(rs.getString("PROCEDURE"));
		cageHeaderView.setPersonalLicenceId(rs.getLong("PERSONAL_LICENCE_ID"));
		cageHeaderView.setPilNumber(rs.getString("PIL_NUMBER"));

		return cageHeaderView;

	}
}