package uk.ac.sanger.mig.mousetracking.forms;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.mousetracking.MousePool;
import uk.ac.sanger.mig.personnel.Person;

public class AddStudBreedingForm extends ValidatableForm {

	private String changeForm;
	private String changeFormValue;
	private Date startDateTime;
	private List<MousePool> pools;
	private List<Long> femalesToUse;
	private List<Mouse> studs;
	private List<Long> studsToUse;
	private Person setupPerson;
	private String studCohortName;
	private Long studCohortId;
	private BarcodeForm studCage;
	private BarcodeForm poolCage;

	public AddStudBreedingForm() {
		initPools();
		initStuds();
		initSetupPerson();
		initStudCage();
		initPoolCage();
	}

	public List<Long> getFemalesToUse() {
		return femalesToUse;
	}

	public void setFemalesToUse(List<Long> femalesToUse) {
		this.femalesToUse = femalesToUse;
	}

	public List<MousePool> getPools() {
		return pools;
	}

	public void setPools(List<MousePool> pools) {
		this.pools = pools;
	}

	public Date getStartDateTime() {
		return startDateTime;
	}

	public void setStartDateTime(Date startDate) {
		this.startDateTime = startDate;
	}

	public long getTotalFemalesToUse() {
		long total = 0;
		for(Long subTotal : femalesToUse) {
			if(subTotal != null) {
				total += subTotal;
			}
		}
		return total;
	}

	public long getTotalStudsToUse() {
		long total = 0;
		for(Long studSelected : studsToUse) {
			if(studSelected != null) {
				total++;
			}
		}
		return total;
	}

	public List<Mouse> getStuds() {
		return studs;
	}

	public void setStuds(List<Mouse> studs) {
		this.studs = studs;
	}

	public final void initStuds() {
		studs = new LinkedList<Mouse>();
		studsToUse = new LinkedList<Long>();
	}

	public final void initPools() {
		pools = new LinkedList<MousePool>();
		femalesToUse = new LinkedList<Long>();
	}

	public final void initSetupPerson() {
		setupPerson = new Person();
	}

	public String getChangeForm() {
		return changeForm;
	}

	public void setChangeForm(String changeForm) {
		this.changeForm = changeForm;
	}

	public String getChangeFormValue() {
		return changeFormValue;
	}

	public void setChangeFormValue(String changeFormValue) {
		this.changeFormValue = changeFormValue;
	}

	public Person getSetupPerson() {
		return setupPerson;
	}

	public void setSetupPerson(Person setupPerson) {
		this.setupPerson = setupPerson;
	}

	public String getStudCohortName() {
		return studCohortName;
	}

	public void setStudCohortName(String studCohort) {
		this.studCohortName = studCohort;
	}

	public Long getStudCohortId() {
		return studCohortId;
	}

	public void setStudCohortId(Long studCohortId) {
		this.studCohortId = studCohortId;
	}

	public List<Long> getStudsToUse() {
		return studsToUse;
	}

	public void setStudsToUse(List<Long> studsToUse) {
		this.studsToUse = studsToUse;
	}

	public BarcodeForm getStudCage() {
		return studCage;
	}

	public void setStudCage(BarcodeForm studCage) {
		this.studCage = studCage;
	}

	public final void initStudCage() {
		studCage = new BarcodeForm();
	}

	public BarcodeForm getPoolCage() {
		return poolCage;
	}

	public void setPoolCage(BarcodeForm poolCage) {
		this.poolCage = poolCage;
	}

	public final void initPoolCage() {
		poolCage = new BarcodeForm();
	}

}
