/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.mousetracking.forms;

import java.util.Collection;
import java.util.HashMap;
import uk.ac.sanger.mig.alleles.Allele;
import uk.ac.sanger.mig.mousetracking.Cohort;
import uk.ac.sanger.mig.mousetracking.CohortSet;
import uk.ac.sanger.mig.mousetracking.CohortSetElement;
import uk.ac.sanger.mig.mousetracking.views.CohortSetElementListView;
import uk.ac.sanger.mig.mousetracking.views.MouseListView;
import uk.ac.sanger.mig.personnel.Person;

public class EditCohortSetForm  {

    private Allele allele;
    private HashMap<String, Long> wtDictId;
    private CohortSet cohortSet;
    private Person person;
    private HashMap<String, Collection<CohortSetElementListView>> pipelineCohortsElements;
    private HashMap<String, Collection<CohortSetElementListView>> newCohortsElements;
    private HashMap<String,Cohort> newCohort;
    private String changeForm;
    private Long changeFormValue;
    private String currentPipeline;
    private HashMap<String, String> alleleWarningMessage;
    private HashMap<String, String> strainWarningMessage;
    private Collection<CohortSetElement> deleteCohortElements;
    private HashMap<String, Collection<MouseListView>> miceList;

	public Collection<CohortSetElement> getDeleteCohortElements() {
		return deleteCohortElements;
	}
	public void setDeleteCohortElements(Collection<CohortSetElement> deleteCohortElements) {
		this.deleteCohortElements = deleteCohortElements;
	}

	public HashMap<String, String> getAlleleWarningMessage() {
		return alleleWarningMessage;
	}
	public void setAlleleWarningMessage(HashMap<String, String> alleleWarningMessage) {
		this.alleleWarningMessage = alleleWarningMessage;
	}
	public HashMap<String, String> getStrainWarningMessage() {
		return strainWarningMessage;
	}
	public void setStrainWarningMessage(HashMap<String, String> strainWarningMessage) {
		this.strainWarningMessage = strainWarningMessage;
	}
	public String getCurrentPipeline() {
		return currentPipeline;
	}
	public void setCurrentPipeline(String currentPipeline) {
		this.currentPipeline = currentPipeline;
	}

	public String getChangeForm() {
		return changeForm;
	}
	public void setChangeForm(String changeForm) {
		this.changeForm = changeForm;
	}
	public Long getChangeFormValue() {
		return changeFormValue;
	}
	public void setChangeFormValue(Long changeFormValue) {
		this.changeFormValue = changeFormValue;
	}
	public Allele getAllele() {
		return allele;
	}
	public void setAllele(Allele allele) {
		this.allele = allele;
	}

	public CohortSet getCohortSet() {
		return cohortSet;
	}
	public void setCohortSet(CohortSet cohortSet) {
		this.cohortSet = cohortSet;
	}
	public Person getPerson() {
		return person;
	}
	public void setPerson(Person person) {
		this.person = person;
	}

	public HashMap<String, Cohort> getNewCohort() {
		return newCohort;
	}

	public void setNewCohort(HashMap<String, Cohort> newCohort) {
		this.newCohort = newCohort;
	}

	public HashMap<String, Long> getWtDictId() {
		return wtDictId;
	}
	public void setWtDictId(HashMap<String, Long> wtDictId) {
		this.wtDictId = wtDictId;
	}
	public HashMap<String, Collection<CohortSetElementListView>> getNewCohortsElements() {
		return newCohortsElements;
	}

	public void setNewCohortsElements(HashMap<String, Collection<CohortSetElementListView>> newCohortsElements) {
		this.newCohortsElements = newCohortsElements;
	}

	public HashMap<String, Collection<CohortSetElementListView>> getPipelineCohortsElements() {
		return pipelineCohortsElements;
	}

	public void setPipelineCohortsElements(HashMap<String, Collection<CohortSetElementListView>> pipelineCohortsElements) {
		this.pipelineCohortsElements = pipelineCohortsElements;
	}

	public HashMap<String, Collection<MouseListView>> getMiceList() {
		return miceList;
	}

	public void setMiceList(HashMap<String, Collection<MouseListView>> miceList) {
		this.miceList = miceList;
	}

}