/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.forms;

import uk.ac.sanger.mig.mousetracking.EnvironmentReport;

public class EnvironmentReportForm{

	private EnvironmentReport report;
	private String reportType;
	private String reportBarcode;
	private String reportBarcodeDesc;
	private Long foreignKeyId;
	
	
	
	public Long getForeignKeyId() {
		return this.foreignKeyId;
	}

	public void setForeignKeyId(Long foreignKeyId) {
		this.foreignKeyId = foreignKeyId;
	}

	public EnvironmentReport getEnvironmentReport() {
		return report;
	}

	public void setEnvironmentReport(EnvironmentReport report) {
		this.report = report;
	}

	
	/**
	 * @return the reportBarcode
	 */
	public String getReportBarcode() {
		return this.reportBarcode;
	}

	/**
	 * @param reportBarcode the reportBarcode to set
	 */
	public void setReportBarcode(String reportBarcode) {
		this.reportBarcode = reportBarcode;
	}

	/**
	 * @return the reportBarcodeDesc
	 */
	public String getReportBarcodeDesc() {
		return this.reportBarcodeDesc;
	}

	/**
	 * @param reportBarcodeDesc the reportBarcodeDesc to set
	 */
	public void setReportBarcodeDesc(String reportBarcodeDesc) {
		this.reportBarcodeDesc = reportBarcodeDesc;
	}

	public String getReportType() {
		return this.reportType;
	}

	
	public void setReportType(String reportType) {
		this.reportType = reportType;
	}
	
}
