/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.forms;

import java.util.Collection;
import java.util.List;

import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.mousetracking.MouseAllele;

public class MouseForm {

	private Mouse				mouse;
	private Long				locationId;
	private String				locationBarcode;
	private String				locationBarcodeDescription;
	private String				locationBarcodeType;
	private Integer				numberOfMice;
	private boolean				addNewProcedure;
	private Collection<String>	mouseNames;
	private Collection<String>	mouseRfidTags;
	private Collection<Long>	earmarks;
	private boolean				rfidRequired;
	private ProcedureSubform	procedureSubform;
	private boolean				nameFromBarcode;
	private List<MouseAllele>	alleles;


	public boolean isRfidRequired() {
		return rfidRequired;
	}


	public void setRfidRequired(boolean rfidRequired) {
		this.rfidRequired = rfidRequired;
	}


	public Mouse getMouse() {
		return mouse;
	}


	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}


	public String getLocationBarcode() {
		return locationBarcode;
	}


	public void setLocationBarcode(String locationBarcode) {
		this.locationBarcode = locationBarcode;
	}


	public String getLocationBarcodeDescription() {
		return locationBarcodeDescription;
	}


	public void setLocationBarcodeDescription(String locationBarcodeDescription) {
		this.locationBarcodeDescription = locationBarcodeDescription;
	}


	public String getLocationBarcodeType() {
		return locationBarcodeType;
	}


	public void setLocationBarcodeType(String locationBarcodeType) {
		this.locationBarcodeType = locationBarcodeType;
	}


	public Long getLocationId() {
		return locationId;
	}


	public void setLocationId(Long locationId) {
		this.locationId = locationId;
	}


	public Integer getNumberOfMice() {
		return numberOfMice;
	}


	public void setNumberOfMice(Integer numberOfMice) {
		this.numberOfMice = numberOfMice;
	}


	public boolean isAddNewProcedure() {
		return addNewProcedure;
	}


	public void setAddNewProcedure(boolean addNewProcedure) {
		this.addNewProcedure = addNewProcedure;
	}


	public Collection<String> getMouseNames() {
		return mouseNames;
	}


	public void setMouseNames(Collection<String> mouseNames) {
		this.mouseNames = mouseNames;
	}


	public Collection<Long> getEarmarks() {
		return earmarks;
	}


	public void setEarmarks(Collection<Long> earmarks) {
		this.earmarks = earmarks;
	}


	public Collection<String> getMouseRfidTags() {
		return mouseRfidTags;
	}


	public void setMouseRfidTags(Collection<String> mouseRfidTags) {
		this.mouseRfidTags = mouseRfidTags;
	}


	public ProcedureSubform getProcedureSubform() {
		return procedureSubform;
	}


	public void setProcedureSubform(ProcedureSubform procedureSubform) {
		this.procedureSubform = procedureSubform;
	}


	public boolean isNameFromBarcode() {
		return nameFromBarcode;
	}


	public void setNameFromBarcode(boolean nameFromBarcode) {
		this.nameFromBarcode = nameFromBarcode;
	}


	public List<MouseAllele> getAlleles() {
		return alleles;
	}


	public void setAlleles(List<MouseAllele> alleles) {
		this.alleles = alleles;
	}
}
