/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.forms;


import uk.ac.sanger.mig.mousetracking.Rack;

public class RackForm {
	
	private Rack rack;
	private String technoplastName;

	private String roomNumber;
	private String airHandlingUnitName;
	
	/**
	 * @return the rack
	 */
	public Rack getRack() {
		return this.rack;
	}
	/**
	 * @param rack the rack to set
	 */
	public void setRack(Rack rack) {
		this.rack = rack;
	}
	/**
	 * @return the roomId
	 */
	public Long getRoomId() {
		return getRack().getRoomId();
	}
	/**
	 * @param roomId the roomId to set
	 */
	public void setRoomId(Long roomId) {
		getRack().setRoomId(roomId);
	}
	/**
	 * @return the roomNumber
	 */
	public String getRoomNumber() {
		if(roomNumber == null){
			roomNumber = getRack().getRoom().getRoomNumber();
		}
		return this.roomNumber;
	}
	/**
	 * @param roomNumber the roomNumber to set
	 */
	public void setRoomNumber(String roomNumber) {
		this.roomNumber = roomNumber;
	}
	/**
	 * @return the airHandlingUnitId
	 */
	public Long getAirHandlingUnitId() {
		return getRack().getAirHandlingUnitId();
	}
	/**
	 * @param airHandlingUnitId the airHandlingUnitId to set
	 */
	public void setAirHandlingUnitId(Long airHandlingUnitId) {
		getRack().setAirHandlingUnitId(airHandlingUnitId);
	}
	/**
	 * @return the airHandlingUnitName
	 */
	public String getAirHandlingUnitName() {
		if(airHandlingUnitName == null) {
			airHandlingUnitName = getRack().getAirHandlingUnit().getName();
		}
		return this.airHandlingUnitName;
	}
	/**
	 * @param airHandlingUnitName the airHandlingUnitName to set
	 */
	public void setAirHandlingUnitName(String airHandlingUnitName) {
		this.airHandlingUnitName = airHandlingUnitName;
	}
	/**
	 * @return the technoplastName
	 */
	public String getTechnoplastName() {
		return this.technoplastName;
	}
	/**
	 * @param technoplastName the technoplastName to set
	 */
	public void setTechnoplastName(String technoplastName) {
		this.technoplastName = technoplastName;
	}
	
}