package uk.ac.sanger.mig.mousetracking.forms;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.mousetracking.StudBreeding;
import uk.ac.sanger.mig.personnel.Person;

public class SeparateStudBreedingsForm extends ValidatableForm {

	public enum PlugStates {
		PLUGGED,
		NOT_PLUGGED,
		CULL,
		IGNORE,
		DEFAULT
	}

	private String changeForm;
	private String changeFormValue;
	private List<StudBreeding> studBreedings;
	private List<PlugStates> studBreedingPlugs;
	private Date checkDateTime;
	private Date startDateTime;
	private Long roomId;
	private String roomName;
	private BarcodeForm destinationRack;
	private BarcodeForm studCage;
	private String studCohortName;
	private Long studCohortId;
	private Person checkPerson;
	private int femalesPerCage;
	private Float timedEmbryoAge;

	public SeparateStudBreedingsForm() {
		initStudBreedings();
		initCheckPerson();
		initDestinationRack();
		initStudCage();
		initFemalesPerCage();
	}

	public Date getCheckDateTime() {
		return checkDateTime;
	}

	public void setCheckDateTime(Date plugDate) {
		this.checkDateTime = plugDate;
	}

	public List<StudBreeding> getStudBreedings() {
		return studBreedings;
	}

	public void setStudBreedings(List<StudBreeding> studBreedings) {
		this.studBreedings = studBreedings;
	}

	public List<PlugStates> getStudBreedingPlugs() {
		return studBreedingPlugs;
	}

	public void setStudBreedingPlugs(List<PlugStates> studBreedingsToUse) {
		this.studBreedingPlugs = studBreedingsToUse;
	}

	public final void initStudBreedings() {
		studBreedings = new LinkedList<StudBreeding>();
		studBreedingPlugs = new LinkedList<PlugStates>();
	}

	public BarcodeForm getDestinationRack() {
		return destinationRack;
	}

	public void setDestinationRack(BarcodeForm destinationRack) {
		this.destinationRack = destinationRack;
	}

	public String getChangeForm() {
		return changeForm;
	}

	public void setChangeForm(String changeForm) {
		this.changeForm = changeForm;
	}

	public String getChangeFormValue() {
		return changeFormValue;
	}

	public void setChangeFormValue(String changeFormValue) {
		this.changeFormValue = changeFormValue;
	}

	public Long getRoomId() {
		return roomId;
	}

	public void setRoomId(Long roomId) {
		this.roomId = roomId;
	}

	public String getRoomName() {
		return roomName;
	}

	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public Long getStudCohortId() {
		return studCohortId;
	}

	public void setStudCohortId(Long studCohortId) {
		this.studCohortId = studCohortId;
	}

	public String getStudCohortName() {
		return studCohortName;
	}

	public void setStudCohortName(String studCohortName) {
		this.studCohortName = studCohortName;
	}

	public Date getStartDateTime() {
		return startDateTime;
	}

	public void setStartDateTime(Date startDate) {
		this.startDateTime = startDate;
	}

	public Person getCheckPerson() {
		return checkPerson;
	}

	public void setCheckPerson(Person checkPerson) {
		this.checkPerson = checkPerson;
	}

	public final void initCheckPerson() {
		checkPerson = new Person();
	}

	public final void initDestinationRack() {
		destinationRack = new BarcodeForm();
	}

	public BarcodeForm getStudCage() {
		return studCage;
	}

	public void setStudCage(BarcodeForm studCage) {
		this.studCage = studCage;
	}

	public final void initStudCage() {
		studCage = new BarcodeForm();
	}

	public int getFemalesPerCage() {
		return femalesPerCage;
	}

	public void setFemalesPerCage(int femalesPerCage) {
		this.femalesPerCage = femalesPerCage;
	}

	public final void initFemalesPerCage() {
		femalesPerCage = 6;
	}

	public Float getTimedEmbryoAge() {
		return timedEmbryoAge;
	}

	public void setTimedEmbryoAge(Float timedEmbryoAge) {
		this.timedEmbryoAge = timedEmbryoAge;
	}
}
