/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.mousetracking.services;

import java.util.Collection;
import java.util.HashMap;
import java.util.TreeMap;

import uk.ac.sanger.mig.mousetracking.CohortSet;
import uk.ac.sanger.mig.mousetracking.CohortSetElement;
import uk.ac.sanger.mig.mousetracking.CohortSetListViewSearchBean;
import uk.ac.sanger.mig.mousetracking.views.CohortSetElementListView;
import uk.ac.sanger.mig.mousetracking.views.CohortSetListView;
import uk.ac.sanger.mig.mousetracking.views.MouseListView;
import uk.ac.sanger.mig.personnel.Person;
import uk.ac.sanger.mig.alleles.Allele;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.common.services.CommonServices;

public interface CohortSetService extends CommonServices<CohortSet>{

	public static final Long COHORT_SET_TYPE_INTERNAL_DICT_ID = 1L;

	public Collection<CohortSet> fetchByAlleleId(Long alleleId,ComponentMap requiredComponents);

	public Long editCohortSet(CohortSet cohortSet,Allele allele,Collection<CohortSetElement> deleteCohortElements,Collection<CohortSetElementListView> cohorts,Person user);

	public Collection<CohortSetListView> search(CohortSetListViewSearchBean bean);

	public boolean checkAlleleAvaiable(Long alleleId);

	public HashMap<String, Collection<CohortSetElementListView>> getPipelineCohortsHash(Long cohortSetId);

	public HashMap<String,Collection<MouseListView>> getMiceListView(Collection<CohortSetElementListView> cohorts, String sessionId);

}