/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 *
 */
package uk.ac.sanger.mig.mousetracking.services;

public enum PrintJobType {

	PRINT_STRAW_LABEL(""),
	PRINT_STRAW_REPORT(""),
	PRINT_CAGE("A6L"),
	PRINT_CRYO_CAGE("A6L"),
	PRINT_BATCH_BLOOD_SAMPLE_LABELS("11353"),
	PRINT_BATCH_BLOOD_SAMPLE_LABELS_BRADY("THT-59-492-10(B-492)"),
	PRINT_ONE_BLOOD_SAMPLE_LABEL("11353"),
	PRINT_HISTOLOGY_POT_LABEL_SINGLE("99012"),
	PRINT_HISTOLOGY_POT_LABEL_LIST("99012"),
	PRINT_TEST_CARD("A6L"),
	PRINT_MATING_CARD("A6L")
	;

	private String mediaType;
	public String getMediaType() {
		return mediaType;
	}
	private PrintJobType(String mediaType) {
		this.mediaType = mediaType;
	}
}