/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.views;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class CageHeaderView extends AuthenticatedDataObject  {

	private Long cageId;
    private String cageBarcode;
    private Long rackId;
    private String rackName;
    private String rackBarcode;
    private Long roomId;
    private String roomName;
    private Long ownerId;
    private String ownerName;
    private String ownerPhoneNumber;
    private String ownerEmail;
    private Long colonyInfoId;
    private String colonyName;
    private String colonyPrefix;
    private Long protocolId;
    private String protocolCode;
    private Long projectLicenceId;
    private String licenceNumber;
    private Long procedureDictId;
    private String procedure;
    private Long personalLicenceId;
    private String pilNumber;

    public Long getCageId() {
        return cageId;
    }

    public void setCageId(Long cageId) {
        this.cageId = cageId;
    }
    public String getCageBarcode() {
        return cageBarcode;
    }

    public void setCageBarcode(String cageBarcode) {
        this.cageBarcode = cageBarcode;
    }
    public Long getRackId() {
        return rackId;
    }

    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }
    public String getRackName() {
        return rackName;
    }

    public void setRackName(String rackName) {
        this.rackName = rackName;
    }
    public String getRackBarcode() {
        return rackBarcode;
    }

    public void setRackBarcode(String rackBarcode) {
        this.rackBarcode = rackBarcode;
    }
    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }
    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }
    public Long getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }
    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }
    public String getOwnerPhoneNumber() {
        return ownerPhoneNumber;
    }

    public void setOwnerPhoneNumber(String ownerPhoneNumber) {
        this.ownerPhoneNumber = ownerPhoneNumber;
    }
    public Long getColonyInfoId() {
        return colonyInfoId;
    }

    public void setColonyInfoId(Long colonyInfoId) {
        this.colonyInfoId = colonyInfoId;
    }
    public String getColonyName() {
        return colonyName;
    }

    public void setColonyName(String colonyName) {
        this.colonyName = colonyName;
    }
    public String getColonyPrefix() {
        return colonyPrefix;
    }

    public void setColonyPrefix(String colonyPrefix) {
        this.colonyPrefix = colonyPrefix;
    }
    public Long getProtocolId() {
        return protocolId;
    }

    public void setProtocolId(Long protocolId) {
        this.protocolId = protocolId;
    }
    public String getProtocolCode() {
        return protocolCode;
    }

    public void setProtocolCode(String protocolCode) {
        this.protocolCode = protocolCode;
    }
    public Long getProjectLicenceId() {
        return projectLicenceId;
    }

    public void setProjectLicenceId(Long projectLicenceId) {
        this.projectLicenceId = projectLicenceId;
    }
    public String getLicenceNumber() {
        return licenceNumber;
    }

    public void setLicenceNumber(String licenceNumber) {
        this.licenceNumber = licenceNumber;
    }
    public Long getProcedureDictId() {
        return procedureDictId;
    }

    public void setProcedureDictId(Long procedureDictId) {
        this.procedureDictId = procedureDictId;
    }
    public String getProcedure() {
        return procedure;
    }

    public void setProcedure(String procedure) {
        this.procedure = procedure;
    }
    public Long getPersonalLicenceId() {
        return personalLicenceId;
    }

    public void setPersonalLicenceId(Long personalLicenceId) {
        this.personalLicenceId = personalLicenceId;
    }
    public String getPilNumber() {
        return pilNumber;
    }

    public void setPilNumber(String pilNumber) {
        this.pilNumber = pilNumber;
    }

	public String getOwnerEmail() {
		return ownerEmail;
	}

	public void setOwnerEmail(String ownerEmail) {
		this.ownerEmail = ownerEmail;
	}

	public String getLocationDescription() {
		String temp = "";

		if(roomName != null) {
			temp += roomName;
		}
		if(rackName != null) {
			temp += " Rack " + rackName;
		}

		return temp;
	}

}