/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.views;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class CohortListView extends AuthenticatedDataObject  {

    /**
	 *
	 */
	private static final long serialVersionUID = -9161951867893531769L;
	private Long id;
    private String cohortName;
    private String reason;
    private int totalMice;
    private int liveMice;
    private int deadMice;
    private Long cohortTypeId;
    private String creatorName;
    private Date endDate;
    private String pipeline;
    private String cohortStrain;
    private String cohortAlleleId;

    public String getCohortAlleleId() {
		return cohortAlleleId;
	}

	public void setCohortAlleleId(String cohortAlleleId) {
		this.cohortAlleleId = cohortAlleleId;
	}

	public String getCohortStrain() {
		return cohortStrain;
	}

	public void setCohortStrain(String cohortStrain) {
		this.cohortStrain = cohortStrain;
	}

	public String getPipeline() {
      return pipeline;
    }

    public void setPipeline(String pipeline) {
      this.pipeline = pipeline;
    }

    public Date getEndDate() {
      return endDate;
    }

    public void setEndDate(Date endDate) {
      this.endDate = endDate;
    }

    public Long getCohortTypeId() {
      return cohortTypeId;
    }

    public void setCohortTypeId(Long cohortTypeId) {
      this.cohortTypeId = cohortTypeId;
    }

    public String getCreatorName() {
      return creatorName;
    }

    public void setCreatorName(String creatorName) {
      this.creatorName = creatorName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getCohortName() {
        return cohortName;
    }

    public void setCohortName(String cohortName) {
        this.cohortName = cohortName;
    }
    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
    public int getTotalMice() {
        return totalMice;
    }

    public void setTotalMice(int totalMice) {
        this.totalMice = totalMice;
    }
    public int getLiveMice() {
        return liveMice;
    }

    public void setLiveMice(int liveMice) {
        this.liveMice = liveMice;
    }
    public int getDeadMice() {
        return deadMice;
    }

    public void setDeadMice(int deadMice) {
        this.deadMice = deadMice;
    }

}