/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.mousetracking.views;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class CohortSetListView extends AuthenticatedDataObject{

	private Long alleleId;
	private String shortAlleleSymbol;
	private String alleleSuperscript;
	private String geneName;
	private String htmlAlleleSymbol;
	private Long geneId;
	private Long cohortSetTypeDictId;
	private String cohortTypeName;
	private int cohortsCount;
	private String cohortsName;
	private String creatorName;

	public Long getAlleleId() {
		return alleleId;
	}
	public void setAlleleId(Long alleleId) {
		this.alleleId = alleleId;
	}
	public String getAlleleSuperscript() {
		return alleleSuperscript;
	}
	public void setAlleleSuperscript(String alleleSuperscript) {
		this.alleleSuperscript = alleleSuperscript;
	}
	public int getCohortsCount() {
		return cohortsCount;
	}
	public void setCohortsCount(int cohortsCount) {
		this.cohortsCount = cohortsCount;
	}
	public Long getCohortSetTypeDictId() {
		return cohortSetTypeDictId;
	}
	public void setCohortSetTypeDictId(Long cohortSetTypeDictId) {
		this.cohortSetTypeDictId = cohortSetTypeDictId;
	}
	public String getCohortsName() {
		return cohortsName;
	}
	public void setCohortsName(String cohortsName) {
		this.cohortsName = cohortsName;
	}
	public String getCohortTypeName() {
		return cohortTypeName;
	}
	public void setCohortTypeName(String cohortTypeName) {
		this.cohortTypeName = cohortTypeName;
	}
	public String getCreatorName() {
		return creatorName;
	}
	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}
	public Long getGeneId() {
		return geneId;
	}
	public void setGeneId(Long geneId) {
		this.geneId = geneId;
	}
	public String getGeneName() {
		return geneName;
	}
	public void setGeneName(String geneName) {
		this.geneName = geneName;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getShortAlleleSymbol() {
		return shortAlleleSymbol;
	}
	public void setShortAlleleSymbol(String shortAlleleSymbol) {
		this.shortAlleleSymbol = shortAlleleSymbol;
	}
	public String getHtmlAlleleSymbol() {
		return htmlAlleleSymbol;
	}
	public void setHtmlAlleleSymbol(String htmlAlleleSymbol) {
		this.htmlAlleleSymbol = htmlAlleleSymbol;
	}

}