/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.mousetracking.views;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

public class MouseLocation extends AuthenticatedDataObject{

	/**
	 *
	 */
	private static final long serialVersionUID = -402972088821943L;

	private Long mouseId;
    private Long cageId;
    private String cageName;
    private String cageBarcode;
    private Long rackId;
    private String rackName;
    private String rackBarcode;
    private Long roomId;
    private String roomName;
    private Date deathDate;
    private String causeOfDeath;
    private Long causeOfDeathDictId;
    private Long currentBreedingId;
    private String currentBreedingName;
    private String description;

    public Long getCageId() {
        return cageId;
    }

    public void setCageId(Long cageId) {
        this.cageId = cageId;
    }
    public String getCageName() {
        return cageName;
    }

    public void setCageName(String cageName) {
        this.cageName = cageName;
    }
    public String getCageBarcode() {
        return cageBarcode;
    }

    public void setCageBarcode(String cageBarcode) {
        this.cageBarcode = cageBarcode;
    }
    public Long getRackId() {
        return rackId;
    }

    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }
    public String getRackName() {
        return rackName;
    }

    public void setRackName(String rackName) {
        this.rackName = rackName;
    }
    public String getRackBarcode() {
        return rackBarcode;
    }

    public void setRackBarcode(String rackBarcode) {
        this.rackBarcode = rackBarcode;
    }
    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }
    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getCauseOfDeath() {
		return causeOfDeath;
	}

	public void setCauseOfDeath(String causeOfDeath) {
		this.causeOfDeath = causeOfDeath;
	}

	public Long getCauseOfDeathDictId() {
		return causeOfDeathDictId;
	}

	public void setCauseOfDeathDictId(Long causeOfDeathDictId) {
		this.causeOfDeathDictId = causeOfDeathDictId;
	}

	public Long getCurrentBreedingId() {
		return currentBreedingId;
	}

	public void setCurrentBreedingId(Long currentBreedingId) {
		this.currentBreedingId = currentBreedingId;
	}

	public String getCurrentBreedingName() {
		return currentBreedingName;
	}

	public void setCurrentBreedingName(String currentBreedingName) {
		this.currentBreedingName = currentBreedingName;
	}

	public Date getDeathDate() {
		return deathDate;
	}

	public void setDeathDate(Date deathDate) {
		this.deathDate = deathDate;
	}

	public Long getMouseId() {
		return mouseId;
	}

	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

}
