/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.abc;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class BloodsParamRange extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS  //add additional component enums here as needed for this AuthenticatedDataObject
	}
	
	private DictionaryEntry parameter;
    private Long parameterId;        
    private String refHi;        
    private String refLo;        
    private String instrumentHi;        
    private String instrumentLo;        
    
    private String newRefHi;        
    private String newRefLo;        
    private String newInstrumentHi;        
    private String newInstrumentLo;    
    
    private boolean editedRange;
    
    
    public boolean isEditedRange() {
    	
    	if(newRefHi != null || newRefLo != null ||
    			newInstrumentHi != null || newInstrumentLo != null) {	
    	return true;
    	}
    	
		return false;
    }
    
	public String getNewInstrumentHi() {
		return newInstrumentHi;
	}

	public void setNewInstrumentHi(String newInstrumentHi) {
		this.newInstrumentHi = newInstrumentHi;
	}

	public String getNewInstrumentLo() {
		return newInstrumentLo;
	}

	public void setNewInstrumentLo(String newInstrumentLo) {
		this.newInstrumentLo = newInstrumentLo;
	}

	public String getNewRefHi() {
		return newRefHi;
	}

	public void setNewRefHi(String newRefHi) {
		this.newRefHi = newRefHi;
	}

	public String getNewRefLo() {
		return newRefLo;
	}

	public void setNewRefLo(String newRefLo) {
		this.newRefLo = newRefLo;
	}

	public DictionaryEntry getParameter() {
		return parameter;
	}

	public void setParameter(DictionaryEntry parameter) {
		this.parameter = parameter;
	}

	public Long getParameterId() {
        return parameterId;
    }
    
    public void setParameterId(Long parameterId) {
        this.parameterId = parameterId;
    }                                                                                                                                            
    public String getRefHi() {
        return refHi;
    }
    
    public void setRefHi(String refHi) {
        this.refHi = refHi;
    }                                                                                                                                            
    public String getRefLo() {
        return refLo;
    }
    
    public void setRefLo(String refLo) {
        this.refLo = refLo;
    }                                                                                                                                            
    public String getInstrumentHi() {
        return instrumentHi;
    }
    
    public void setInstrumentHi(String instrumentHi) {
        this.instrumentHi = instrumentHi;
    }                                                                                                                                            
    public String getInstrumentLo() {
        return instrumentLo;
    }
    
    public void setInstrumentLo(String instrumentLo) {
        this.instrumentLo = instrumentLo;
    }                                                                                                                                            

}