/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.abc;

import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.phenotyping.olympus.SerumTest;

public class BloodsRun extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,  //add additional component enums here as needed for this AuthenticatedDataObject
		SERUM_BARCODE,
	}

    private Date runDate;        
    private Long mouseId;   
    private DictionaryEntry instrument;
    private Long instrumentId;  
    private Long createdBy;        
    private String comments;        
    private boolean failed;        
	private Mouse mouse;
	private DictionaryEntry runType;
	private Long runTypeDictId;
	private SerumTest serumTest;
	
	
	
	// results validated by user.
	private boolean validated;
	
	
	public boolean isValidated() {
		return validated;
	}

	public void setValidated(boolean validated) {
		this.validated = validated;
	}

	public DictionaryEntry getRunType() {
		return runType;
	}

	public void setRunType(DictionaryEntry runType) {
		this.runType = runType;
	}

	public DictionaryEntry getInstrument() {
		return instrument;
	}

	public void setInstrument(DictionaryEntry instrument) {
		this.instrument = instrument;
	}

	public Long getRunTypeDictId() {
		return runTypeDictId;
	}

	public void setRunTypeDictId(Long runTypeDictId) {
		this.runTypeDictId = runTypeDictId;
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}

    
    public Date getRunDate() {
        return runDate;
    }
    
    public void setRunDate(Date runDate) {
        this.runDate = runDate;
    }                                                                                                                                            
    public Long getMouseId() {
        return mouseId;
    }
    
    public void setMouseId(Long mouseId) {
        this.mouseId = mouseId;
    }                                                                                                                                            
    public Long getInstrumentId() {
        return instrumentId;
    }
    
    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }                                                                                                                                            
    public Long getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }                                                                                                                                            
    public String getComments() {
        return comments;
    }
    
    public void setComments(String comments) {
        this.comments = comments;
    }                                                                                                                                            
    public boolean isFailed() {
        return failed;
    }
    
    public void setFailed(boolean failed) {
        this.failed = failed;
    }

	public SerumTest getSerumTest() {
		return serumTest;
	}

	public void setSerumTest(SerumTest serumTest) {
		this.serumTest = serumTest;
	}

	                                                                                                                                

}