/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.abc.validators;

import java.util.HashSet;
import java.util.Set;

import org.springframework.validation.Errors;

import uk.ac.sanger.mig.common.AbstractBindingValidator;
import uk.ac.sanger.mig.common.AllowedFormField;
import uk.ac.sanger.mig.phenotyping.abc.forms.BloodsParamRangeForm;


public class BloodsParamRangeFormValidator extends AbstractBindingValidator {

		
			@Override
	public Set<AllowedFormField> defineAllowedFields() {
		
		Set<AllowedFormField> formFields = new HashSet<AllowedFormField>();
				
		/*
		
		Set allowed form fields here. Make boolean argument in constructor == true
		if field is required and false otherwise.
	
		e.g.,
		formFields.add(new AllowedFormField("someRequiqredFieldName", "Some Required Field Name", true) );	
		formFields.add(new AllowedFormField("someOptionalFieldName", "Some Optional Field Name", false) );
		
*/

		return formFields;
	} 
		
			@Override
	protected void validate(Object object, Errors errors, boolean hasBindingErrors) {
		
/*
		
		You can validate post-binding logic here. You might want to check if hasBindingErrors == false
		before proceeding to validate if your strategy is to separate binding validation
		from more complex validation--e.g., comparing values of required fields.  
		
		The idea beingthat is it sensible to compare fields only when you know their values and 
		data types have been validated. Otherwise, you end up having to (redundantly) check for nulls, 
		which can become very messy, especially when validation involves multiple fields that depend on 
		one another for proper validation.

*/

	}
		
public boolean supports(Class clazz) {
		return BloodsParamRangeForm.class.equals(clazz);
	}

}