package uk.ac.sanger.mig.phenotyping.datacapture.controllers;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.propertyeditors.CustomDateEditor;
import org.springframework.beans.propertyeditors.CustomNumberEditor;
import org.springframework.validation.BindException;
import org.springframework.web.bind.ServletRequestDataBinder;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;

import uk.ac.sanger.mig.common.RequestUtils;
import uk.ac.sanger.mig.phenotyping.datacapture.Experiment;
import uk.ac.sanger.mig.phenotyping.datacapture.forms.RecordExperimentStartForm;
import uk.ac.sanger.mig.phenotyping.datacapture.services.ExperimentService;

public class RecordExperimentStartController extends SimpleFormController{

  private ExperimentService experimentService; 
  
  
  @Override
  protected ModelAndView onSubmit(HttpServletRequest request, HttpServletResponse response, Object command, BindException errors) throws Exception {
    RecordExperimentStartForm form = (RecordExperimentStartForm)command;
    
    Experiment e = experimentService.changeExperimentStart(
        form.getExperimentId(),
        form.getStartTime(),
        RequestUtils.getUser(request)
    );
    return new ModelAndView(getSuccessView(), "experiment", e); 
  }


  public void setExperimentService(ExperimentService experimentService) {
    this.experimentService = experimentService;
  }
  
  @Override
  protected void initBinder(HttpServletRequest request, ServletRequestDataBinder binder) throws Exception {
    binder.registerCustomEditor(Long.class, new CustomNumberEditor(Long.class, true));
    binder.registerCustomEditor(Date.class, new CustomDateEditor(new SimpleDateFormat("dd-MMM-yyyy HH:mm"), true));
  }
}
