/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.datacapture.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.phenotyping.datacapture.views.ExperimentSetListView;

public class ExperimentSetListViewRowMapper implements ParameterizedRowMapper<ExperimentSetListView> {

  public ExperimentSetListView mapRow(ResultSet rs, int rowNum) throws SQLException {
    ExperimentSetListView view = new ExperimentSetListView();

    view.setCreatorId(rs.getLong("CREATOR_ID"));
    view.setCreatorName(rs.getString("CREATOR_NAME"));
    view.setCohortName(rs.getString("COHORT_NAMES"));
    view.setComplete(rs.getBoolean("IS_COMPLETE"));
    view.setPersonalLicence(rs.getString("PERSONAL_LICENCE"));
    view.setProjectLicence(rs.getString("PROJECT_LICENCE"));
    view.setSopName(rs.getString("SOP_NAME"));
    view.setId(rs.getLong("ID"));
    view.setExperimentCount(rs.getInt("EXP_COUNT"));
    view.setCompletedExperimentCount(rs.getInt("COMP_EXP_COUNT"));
    view.setCreatedDate(rs.getDate("CREATED_DATE"));
    view.setStartDate(rs.getDate("PROCEDURE_DATE"));
    view.setScheduledDate(rs.getDate("SCHEDULED_DATE"));
    view.setSopId(rs.getLong("SOP_ID"));
    view.setObservationsMadeCount(rs.getInt("OBS_COUNT"));
    if (rs.wasNull()) {
      view.setObservationsMadeCount(0);
    }

    return view;
  }

}
