/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, this list of conditions
 *     and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright notice, this list of
 *     conditions and the following disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *  3. The name of the author may not be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.datacapture.forms;

import org.springframework.web.multipart.MultipartFile;

import uk.ac.sanger.mig.filesupport.forms.FileUploadForm;
import uk.ac.sanger.mig.phenotyping.calorimetry.parser.CalorimetryData;

public class CalorimetryUploadForm extends FileUploadForm {

  private String pplName;
  private Long pplId;

  private String pilName;
  private Long pilId;

  private Long sopId;

  private Long personId;

  private CalorimetryData calorimetryData;

  @Override
  public void setUploadFile(MultipartFile file) {
    super.setUploadFile(file);
    calorimetryData = null;
  }

  public CalorimetryData getCalorimetryData() {
    return calorimetryData;
  }

  public void setCalorimetryData(CalorimetryData calorimetryData) {
    this.calorimetryData = calorimetryData;
  }

  public Long getPilId() {
    return pilId;
  }

  public void setPilId(Long pilId) {
    this.pilId = pilId;
  }

  public String getPilName() {
    return pilName;
  }

  public void setPilName(String pilName) {
    this.pilName = pilName;
  }

  public Long getPplId() {
    return pplId;
  }

  public void setPplId(Long pplId) {
    this.pplId = pplId;
  }

  public String getPplName() {
    return pplName;
  }

  public void setPplName(String pplName) {
    this.pplName = pplName;
  }

  public Long getSopId() {
    return sopId;
  }

  public void setSopId(Long sopId) {
    this.sopId = sopId;
  }

  public Long getPersonId() {
    return personId;
  }

  public void setPersonId(Long personId) {
    this.personId = personId;
  }
}
