/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.datacapture.views;

import java.util.Date;

public class ExperimentSetListView {
  private Long id;
  private String cohortName;
  private String sopName;
  private boolean complete;
  private String projectLicence;
  private String personalLicence;
  private String creatorName;
  private long creatorId;
  private int experimentCount;
  private int completedExperimentCount;
  private Date createdDate;
  private Date startDate;
  private int observationsMadeCount;
  private Date scheduledDate;
  private Long sopId;

  public Long getSopId() {
    return sopId;
  }
  public void setSopId(Long sopId) {
    this.sopId = sopId;
  }
  public Date getScheduledDate() {
    return scheduledDate;
  }
  public void setScheduledDate(Date scheduledDate) {
    this.scheduledDate = scheduledDate;
  }
  public Date getStartDate() {
    return startDate;
  }
  public void setStartDate(Date startDate) {
    this.startDate = startDate;
  }

  public Date getCreatedDate() {
    return createdDate;
  }
  public void setCreatedDate(Date createdDate) {
    this.createdDate = createdDate;
  }
  public int getCompletedExperimentCount() {
    return completedExperimentCount;
  }
  public void setCompletedExperimentCount(int completedExperimentCount) {
    this.completedExperimentCount = completedExperimentCount;
  }
  public int getExperimentCount() {
    return experimentCount;
  }
  public void setExperimentCount(int experimentCount) {
    this.experimentCount = experimentCount;
  }
  public long getCreatorId() {
    return creatorId;
  }
  public void setCreatorId(long creatorId) {
    this.creatorId = creatorId;
  }
  public String getCreatorName() {
    return creatorName;
  }
  public void setCreatorName(String creatorName) {
    this.creatorName = creatorName;
  }
  public String getCohortName() {
    return cohortName;
  }
  public void setCohortName(String cohortName) {
    this.cohortName = cohortName;
  }
  public boolean isComplete() {
    return complete;
  }
  public void setComplete(boolean complete) {
    this.complete = complete;
  }
  public Long getId() {
    return id;
  }
  public void setId(Long id) {
    this.id = id;
  }
  public String getPersonalLicence() {
    return personalLicence;
  }
  public void setPersonalLicence(String personalLicence) {
    this.personalLicence = personalLicence;
  }
  public String getProjectLicence() {
    return projectLicence;
  }
  public void setProjectLicence(String projectLicence) {
    this.projectLicence = projectLicence;
  }
  public String getSopName() {
    return sopName;
  }
  public void setSopName(String sopName) {
    this.sopName = sopName;
  }
  public int getObservationsMadeCount() {
    return observationsMadeCount;
  }
  public void setObservationsMadeCount(int observationsMadeCount) {
    this.observationsMadeCount = observationsMadeCount;
  }
  public boolean isDeletable() {
    return (observationsMadeCount < 1 && completedExperimentCount < 1 && !complete);
  }

}
