/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.faxitron;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;

public class DicomFilteredImage extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,  
		DICOM_IMAGE,
		LEVEL,
	}

	private Long dicomId;
	private DicomImage dicom;
	private String filteredDicomName;
	private String filteredDicomPath;
	private byte[] filteredThumbnail;
	private Long levelId;
	private DicomLevel level;
	
	
	public DicomImage getDicom() {
		return dicom;
	}
	public void setDicom(DicomImage dicom) {
		this.dicom = dicom;
	}
	public Long getDicomId() {
		return dicomId;
	}
	public void setDicomId(Long dicomId) {
		this.dicomId = dicomId;
	}
	public String getFilteredDicomName() {
		return filteredDicomName;
	}
	public void setFilteredDicomName(String filteredDicomName) {
		this.filteredDicomName = filteredDicomName;
	}
	public String getFilteredDicomPath() {
		return filteredDicomPath;
	}
	public void setFilteredDicomPath(String filteredDicomPath) {
		this.filteredDicomPath = filteredDicomPath;
	}
	public byte[] getFilteredThumbnail() {
		return filteredThumbnail;
	}
	public void setFilteredThumbnail(byte[] filteredThumbnail) {
		this.filteredThumbnail = filteredThumbnail;
	}
	public DicomLevel getLevel() {
		return level;
	}
	public void setLevel(DicomLevel level) {
		this.level = level;
	}
	public Long getLevelId() {
		return levelId;
	}
	public void setLevelId(Long levelId) {
		this.levelId = levelId;
	}
	
	
	
}
