/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.faxitron;

import java.io.BufferedInputStream;
import java.util.Date;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.personnel.Person;

public class DicomImage extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,  
		PERSON,
		MOUSE,
	}

	private String dicomPath;
	private String dicomName;
	private int imageWidth;
	private int imageHeight;
	private int resolutionPerMM;
	private String dose;
	private Date imageDate;
	private String dicomPathOriginal;
	private String comments;
	
	private Long mouseId;
	private Mouse mouse;
	private Long operatorId;
	private Person operator;
	
	BufferedInputStream dicomStream = null;
	
	
	
	public BufferedInputStream getDicomStream() {
		return dicomStream;
	}
	public void setDicomStream(BufferedInputStream dicomStream) {
		this.dicomStream = dicomStream;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public String getDicomName() {
		return dicomName;
	}
	public void setDicomName(String dicomName) {
		this.dicomName = dicomName;
	}
	public String getDicomPath() {
		return dicomPath;
	}
	public void setDicomPath(String dicomPath) {
		this.dicomPath = dicomPath;
	}
	public String getDicomPathOriginal() {
		return dicomPathOriginal;
	}
	public void setDicomPathOriginal(String dicomPathOriginal) {
		this.dicomPathOriginal = dicomPathOriginal;
	}
	public String getDose() {
		return dose;
	}
	public void setDose(String dose) {
		this.dose = dose;
	}
	public Date getImageDate() {
		return imageDate;
	}
	public void setImageDate(Date imageDate) {
		this.imageDate = imageDate;
	}
	public int getImageHeight() {
		return imageHeight;
	}
	public void setImageHeight(int imageHeight) {
		this.imageHeight = imageHeight;
	}
	public int getImageWidth() {
		return imageWidth;
	}
	public void setImageWidth(int imageWidth) {
		this.imageWidth = imageWidth;
	}
	public Mouse getMouse() {
		return mouse;
	}
	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}
	public Long getMouseId() {
		return mouseId;
	}
	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}
	public Person getOperator() {
		return operator;
	}
	public void setOperator(Person operator) {
		this.operator = operator;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public int getResolutionPerMM() {
		return resolutionPerMM;
	}
	public void setResolutionPerMM(int resolutionPerMM) {
		this.resolutionPerMM = resolutionPerMM;
	}
	
	
	
}
