/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.olympus.forms;

import java.util.Collection;

import uk.ac.sanger.mig.common.DictionaryEntry;
import uk.ac.sanger.mig.phenotyping.abc.BloodsData;
import uk.ac.sanger.mig.phenotyping.abc.BloodsDataSearchBean;



public class SerumQCForm extends BloodsDataSearchBean {

	private DictionaryEntry parameter;
	private Long parameterId;
	private Collection<BloodsData> testCodes;
	
	// day to day
	private int dayN;
	private Double dayMean;
	private Double daySD;
	private Double dayCV;
	private Double dayRange;
	
	// base
	private Double baseN;
	private Double baseMean;
	private Double baseSD;
	private Double baseCV;
	private Double baseRange;
	
	
	public Double getBaseCV() {
		return baseCV;
	}
	public void setBaseCV(Double baseCV) {
		this.baseCV = baseCV;
	}
	public Double getBaseMean() {
		return baseMean;
	}
	public void setBaseMean(Double baseMean) {
		this.baseMean = baseMean;
	}
	public Double getBaseN() {
		return baseN;
	}
	public void setBaseN(Double baseN) {
		this.baseN = baseN;
	}
	public Double getBaseRange() {
		return baseRange;
	}
	public void setBaseRange(Double baseRange) {
		this.baseRange = baseRange;
	}
	public Double getBaseSD() {
		return baseSD;
	}
	public void setBaseSD(Double baseSD) {
		this.baseSD = baseSD;
	}
	public Double getDayCV() {
		return dayCV;
	}
	public void setDayCV(Double dayCV) {
		this.dayCV = dayCV;
	}
	public Double getDayMean() {
		return dayMean;
	}
	public void setDayMean(Double dayMean) {
		this.dayMean = dayMean;
	}
	public int getDayN() {
		return dayN;
	}
	public void setDayN(int dayN) {
		this.dayN = dayN;
	}
	public Double getDayRange() {
		return dayRange;
	}
	public void setDayRange(Double dayRange) {
		this.dayRange = dayRange;
	}
	public Double getDaySD() {
		return daySD;
	}
	public void setDaySD(Double daySD) {
		this.daySD = daySD;
	}
	public DictionaryEntry getParameter() {
		return parameter;
	}
	public void setParameter(DictionaryEntry parameter) {
		this.parameter = parameter;
	}
	public Long getParameterId() {
		return parameterId;
	}
	public void setParameterId(Long parameterId) {
		this.parameterId = parameterId;
	}
	public Collection<BloodsData> getTestCodes() {
		return testCodes;
	}
	public void setTestCodes(Collection<BloodsData> testCodes) {
		this.testCodes = testCodes;
	}
	
	
	
	
}
