/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.phenotyping.olympus.forms;

import java.util.Collection;

import uk.ac.sanger.mig.phenotyping.abc.BloodsData;
import uk.ac.sanger.mig.phenotyping.olympus.SerumTest;

public class SerumTestForm {

	private String barcodeDescription;
	private Long tissueId;
	private Collection<BloodsData> testCodes;
	private Collection<SerumTest> presetTests;
	private SerumTest serumTest;
	private String serumBarcode;
	
	
	public String getSerumBarcode() {
		return serumBarcode;
	}
	public void setSerumBarcode(String serumBarcode) {
		this.serumBarcode = serumBarcode;
	}
	public SerumTest getSerumTest() {
		return serumTest;
	}
	public void setSerumTest(SerumTest serumTest) {
		this.serumTest = serumTest;
	}
	public Collection<SerumTest> getPresetTests() {
		return presetTests;
	}
	public void setPresetTests(Collection<SerumTest> presetTests) {
		this.presetTests = presetTests;
	}
	public Collection<BloodsData> getTestCodes() {
		return testCodes;
	}
	public void setTestCodes(Collection<BloodsData> testCodes) {
		this.testCodes = testCodes;
	}
	public String getBarcodeDescription() {
		return barcodeDescription;
	}
	public void setBarcodeDescription(String barcodeDescription) {
		this.barcodeDescription = barcodeDescription;
	}
	public Long getTissueId() {
		return tissueId;
	}
	public void setTissueId(Long tissueId) {
		this.tissueId = tissueId;
	}
	
}
