/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.printers;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;


public class Printer extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		CREATOR
	}
	
    private String printerModel;        
    private String loadedMedia;        
    private String sysName;              
    private String description;        
    private String corridor;        
    private boolean active;        

    public String getPrinterModel() {
        return printerModel;
    }
    
    public void setPrinterModel(String printerModel) {
        this.printerModel = printerModel;
    }                                                                                                                                            
    public String getLoadedMedia() {
        return loadedMedia;
    }
    
    public void setLoadedMedia(String loadedMedia) {
        this.loadedMedia = loadedMedia;
    }                                                                                                                                            
    public String getSysName() {
        return sysName;
    }
    
    public void setSysName(String sysName) {
        this.sysName = sysName;
    }                                                                                                                                            
                                                                                                                                          
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }                                                                                                                                            
    public String getCorridor() {
        return corridor;
    }
    
    public void setCorridor(String corridor) {
        this.corridor = corridor;
    }                                                                                                                                            
    public boolean getActive() {
        return active;
    }
    
    public void setActive(boolean active) {
        this.active = active;
    }                                                                                                                                            

}