/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


package uk.ac.sanger.mig.reporting;

import uk.ac.sanger.mig.common.PaginatedSearchBean;

public class ChartDataSearchBean extends PaginatedSearchBean{

	private Long metaDataId;
	private Long cohortId;
	private String cohortName;
	private String viewName;
	private String plotColumn;
	private Long alleleId;
	private Long pipelineId;
	private Long graphTypeId;

	  // Line Graph Specific.
    private boolean xPadding;
    private boolean xAxisAsLabels;
    private boolean timeAxis;
    private boolean scientificYAxis;
    private String xAxisColumn;

	public boolean isScientificYAxis() {
		return scientificYAxis;
	}
	public void setScientificYAxis(boolean scientificYAxis) {
		this.scientificYAxis = scientificYAxis;
	}
	public boolean isTimeAxis() {
		return timeAxis;
	}
	public void setTimeAxis(boolean timeAxis) {
		this.timeAxis = timeAxis;
	}
	public boolean isXAxisAsLabels() {
		return xAxisAsLabels;
	}
	public void setXAxisAsLabels(boolean axisAsLabels) {
		xAxisAsLabels = axisAsLabels;
	}
	public String getXAxisColumn() {
		return xAxisColumn;
	}
	public void setXAxisColumn(String axisColumn) {
		xAxisColumn = axisColumn;
	}
	public boolean isXPadding() {
		return xPadding;
	}
	public void setXPadding(boolean padding) {
		xPadding = padding;
	}
	public Long getGraphTypeId() {
		return graphTypeId;
	}
	public void setGraphTypeId(Long graphTypeId) {
		this.graphTypeId = graphTypeId;
	}
	public Long getAlleleId() {
		return alleleId;
	}
	public void setAlleleId(Long alleleId) {
		this.alleleId = alleleId;
	}
	public Long getPipelineId() {
		return pipelineId;
	}
	public void setPipelineId(Long pipelineId) {
		this.pipelineId = pipelineId;
	}
	public Long getMetaDataId() {
		return metaDataId;
	}
	public void setMetaDataId(Long metaDataId) {
		this.metaDataId = metaDataId;
	}
	public String getPlotColumn() {
		return plotColumn;
	}
	public void setPlotColumn(String plotColumn) {
		this.plotColumn = plotColumn;
	}
	public String getViewName() {
		return viewName;
	}
	public void setViewName(String viewName) {
		this.viewName = viewName;
	}
	public Long getCohortId() {
		return cohortId;
	}
	public void setCohortId(Long cohortId) {
		this.cohortId = cohortId;
	}
	public String getCohortName() {
		return cohortName;
	}
	public void setCohortName(String cohortName) {
		this.cohortName = cohortName;
	}





}
