package uk.ac.sanger.mig.reporting;


import java.util.Collection;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class GraphMetaData extends AuthenticatedDataObject{

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		VIEW_COLUMNS
	}

	private String viewName;
	private Collection<String> viewColumns;
	private String plotColumn;
    private String title;
    private String xaxisTitle;
    private String yaxisTitle;
    private Long graphTypeId;
    private DictionaryEntry graphType;
    private Long statBackgroundId;
    private DictionaryEntry statBackground;

    // Line Graph Specific.
    private boolean xPadding;
    private boolean xAxisAsLabels;
    private boolean timeAxis;
    private boolean scientificYAxis;
    private String xAxisColumn;


	public Collection<String> getViewColumns() {
		return viewColumns;
	}
	public void setViewColumns(Collection<String> viewColumns) {
		this.viewColumns = viewColumns;
	}
	public String getXAxisColumn() {
		return xAxisColumn;
	}
	public void setXAxisColumn(String axisColumn) {
		xAxisColumn = axisColumn;
	}
	public boolean isScientificYAxis() {
		return scientificYAxis;
	}
	public void setScientificYAxis(boolean scientificYAxis) {
		this.scientificYAxis = scientificYAxis;
	}
	public boolean isTimeAxis() {
		return timeAxis;
	}
	public void setTimeAxis(boolean timeAxis) {
		this.timeAxis = timeAxis;
	}
	public boolean isXAxisAsLabels() {
		return xAxisAsLabels;
	}
	public void setXAxisAsLabels(boolean axisAsLabels) {
		xAxisAsLabels = axisAsLabels;
	}
	public boolean isXPadding() {
		return xPadding;
	}
	public void setXPadding(boolean padding) {
		xPadding = padding;
	}
	public Long getStatBackgroundId() {
		return statBackgroundId;
	}
	public void setStatBackgroundId(Long statBackgroundId) {
		this.statBackgroundId = statBackgroundId;
	}
	public DictionaryEntry getStatBackground() {
		return statBackground;
	}
	public void setStatBackground(DictionaryEntry statBackground) {
		this.statBackground = statBackground;
	}
	public Long getGraphTypeId() {
		return graphTypeId;
	}
	public void setGraphTypeId(Long graphTypeId) {
		this.graphTypeId = graphTypeId;
	}
	public DictionaryEntry getGraphType() {
		return graphType;
	}
	public void setGraphType(DictionaryEntry graphType) {
		this.graphType = graphType;
	}
	public String getPlotColumn() {
		return plotColumn;
	}
	public void setPlotColumn(String plotColumn) {
		this.plotColumn = plotColumn;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getViewName() {
		return viewName;
	}
	public void setViewName(String viewName) {
		this.viewName = viewName;
	}
	public String getXaxisTitle() {
		return xaxisTitle;
	}
	public void setXaxisTitle(String xaxisTitle) {
		this.xaxisTitle = xaxisTitle;
	}
	public String getYaxisTitle() {
		return yaxisTitle;
	}
	public void setYaxisTitle(String yaxisTitle) {
		this.yaxisTitle = yaxisTitle;
	}


}
