/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reporting;

import uk.ac.sanger.mig.common.ComponentEnum;

public class LineRange extends Range {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS  //add additional component enums here as needed for this AuthenticatedDataObject
	}

	private String xLabel;
    private Double minus2Sd;
    private Double minus1Sd;
    private Double mean;
    private Double plus1Sd;
    private Double plus2Sd;
    private Double percentile25;
    private Double percentile975;
    private Double median;
    private Long numRows;


	public String getXLabel() {
		return xLabel;
	}
	public void setXLabel(String label) {
		xLabel = label;
	}
	public Double getPercentile25() {
		return percentile25;
	}
	public void setPercentile25(Double percentile25) {
		this.percentile25 = percentile25;
	}
	public Double getPercentile975() {
		return percentile975;
	}
	public void setPercentile975(Double percentile975) {
		this.percentile975 = percentile975;
	}
	public Double getMedian() {
		return median;
	}
	public void setMedian(Double median) {
		this.median = median;
	}
	public Long getNumRows() {
		return numRows;
	}
	public void setNumRows(Long numRows) {
		this.numRows = numRows;
	}
	public Double getMean() {
		return mean;
	}
	public void setMean(Double mean) {
		this.mean = mean;
	}
	public Double getMinus1Sd() {
		return minus1Sd;
	}
	public void setMinus1Sd(Double minus1Sd) {
		this.minus1Sd = minus1Sd;
	}
	public Double getMinus2Sd() {
		return minus2Sd;
	}
	public void setMinus2Sd(Double minus2Sd) {
		this.minus2Sd = minus2Sd;
	}
	public Double getPlus1Sd() {
		return plus1Sd;
	}
	public void setPlus1Sd(Double plus1Sd) {
		this.plus1Sd = plus1Sd;
	}
	public Double getPlus2Sd() {
		return plus2Sd;
	}
	public void setPlus2Sd(Double plus2Sd) {
		this.plus2Sd = plus2Sd;
	}





}