/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reporting;

import uk.ac.sanger.mig.alleles.Allele;
import uk.ac.sanger.mig.common.ComponentEnum;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;

import java.util.Collection;
import java.util.HashMap;


public class RepPageOverview extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,  //add additional component enums here as needed for this AuthenticatedDataObject
		ALLELES,
		PIPELINE_TESTS,
	}

    private Long id;        
    private Long geneId;        
    private String description;        
    private String execsummary;        
    private Collection<Allele> alleles;
    private HashMap<String,Collection<RepPipelineTests>> pipelineTests;
    
    
    
    
	public HashMap<String, Collection<RepPipelineTests>> getPipelineTests() {
		return pipelineTests;
	}

	public void setPipelineTests(
			HashMap<String, Collection<RepPipelineTests>> pipelineTests) {
		this.pipelineTests = pipelineTests;
	}

	public Collection<Allele> getAlleles() {
		return alleles;
	}

	public void setAlleles(Collection<Allele> alleles) {
		this.alleles = alleles;
	}

	public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }                                                                                                                                            
    public Long getGeneId() {
        return geneId;
    }
    
    public void setGeneId(Long geneId) {
        this.geneId = geneId;
    }                                                                                                                                            
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }                                                                                                                                            
    public String getExecsummary() {
        return execsummary;
    }
    
    public void setExecsummary(String execsummary) {
        this.execsummary = execsummary;
    }                                                                                                                                            

}