package uk.ac.sanger.mig.reporting.controllers;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.reporting.services.GraphDataAvailableService;


public class RepSearchUtil extends ParameterizableViewController {

	private GraphDataAvailableService graphDataAvailableService;

	public void setGraphDataAvailableService(
			GraphDataAvailableService graphDataAvailableService) {
		this.graphDataAvailableService = graphDataAvailableService;
	}

	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {

		String searchVal = ServletRequestUtils.getRequiredStringParameter(request, "search");
		Long alleleId = ServletRequestUtils.getRequiredLongParameter(request, "allele");

		Map<String,String> data = null;
		if(searchVal.equals("pipeline")) {
			data = graphDataAvailableService.fetchAllPipelinesByAlleleId(alleleId);
		}else if(searchVal.equals("tests")) {
			Long pipelineId = ServletRequestUtils.getLongParameter(request, "pipeline");
			data = graphDataAvailableService.fetchAllTestsByAllelePipelineId(alleleId, pipelineId);
		}else if(searchVal.equals("graph")) {
			Long pageId = ServletRequestUtils.getLongParameter(request,"page");
			data = graphDataAvailableService.fetchAllGraphsByPageId(pageId);
		}

		ModelAndView modelAndView = new ModelAndView(getViewName());
        modelAndView.addObject("data",  data);
        return modelAndView;

	}




}



