/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reporting.dao;

import java.util.ArrayList;
import java.util.Collection;

import org.springframework.dao.IncorrectResultSizeDataAccessException;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;

import uk.ac.sanger.mig.reporting.RepPageSubgroup;
import uk.ac.sanger.mig.reporting.RepPageSubgroupSearchBean;

public class RepPageSubgroupDaoSpringImpl extends AbstractDaoSpringImpl<RepPageSubgroup> implements RepPageSubgroupDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, RepPageSubgroup repPageSubgroup) {
		sql.addStringParam(repPageSubgroup.getName(), "NAME");
		sql.addStringParam(repPageSubgroup.getDescription(), "DESCRIPTION");
		sql.addLongParam(repPageSubgroup.getRepPageTypeId(), "REP_PAGE_TYPE_ID");
		sql.addLongParam(repPageSubgroup.getCheckNumber(), "CHECK_NUMBER");
		sql.addStringParam(repPageSubgroup.getEditedBy(), "EDITED_BY");
		sql.addDateParam(repPageSubgroup.getEditDate(), "EDIT_DATE");
		sql.addLongParam(repPageSubgroup.getCreatorId(), "CREATOR_ID");
		sql.addDateParam(repPageSubgroup.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(repPageSubgroup.getId(), "ID");
	}

	public Collection<RepPageSubgroup> search(
			RepPageSubgroupSearchBean repPageSubgroupSearchBean) {
		// TODO Auto-generated method stub
		return null;
	}

	public Collection<RepPageSubgroup> fetchByPageId(Long pageId) {

		String sql = "select * from " + getTableName()+" where rep_page_type_id = ? order by order_by";

		Collection<RepPageSubgroup> subgroups = null;
		try{
			subgroups = getSimpleJdbcTemplate().query(sql, getRowMapper(),pageId);
		}catch(IncorrectResultSizeDataAccessException e){
		}
		return (subgroups == null)? new ArrayList<RepPageSubgroup>():subgroups;

	}

}