/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reporting.dao;

import java.util.ArrayList;
import java.util.Collection;

import org.springframework.dao.IncorrectResultSizeDataAccessException;

import uk.ac.sanger.mig.common.AbstractDaoSpringImpl;
import uk.ac.sanger.mig.database.ParameterizedSqlUpdate;

import uk.ac.sanger.mig.reporting.RepPageType;
import uk.ac.sanger.mig.reporting.RepPageTypeSearchBean;

public class RepPageTypeDaoSpringImpl extends AbstractDaoSpringImpl<RepPageType> implements RepPageTypeDao {


	@Override
	protected void bindVariables(ParameterizedSqlUpdate sql, RepPageType repPageType) {
		sql.addStringParam(repPageType.getName(), "NAME");
		sql.addStringParam(repPageType.getDescription(), "DESCRIPTION");
		sql.addLongParam(repPageType.getCheckNumber(), "CHECK_NUMBER");
		sql.addStringParam(repPageType.getEditedBy(), "EDITED_BY");
		sql.addDateParam(repPageType.getEditDate(), "EDIT_DATE");
		sql.addLongParam(repPageType.getCreatorId(), "CREATOR_ID");
		sql.addDateParam(repPageType.getCreatedDate(), "CREATED_DATE");
		sql.addLongParam(repPageType.getId(), "ID");
	}

	public Collection<RepPageType> search(
			RepPageTypeSearchBean repPageTypeSearchBean) {
		// TODO Auto-generated method stub
		return null;
	}

	public Collection<RepPageType> fetchAll() {
		String sql = "select * from rep_page_type";

		Collection<RepPageType> pages = null;
		try{
			pages = getSimpleJdbcTemplate().query(sql, getRowMapper());
		}catch(IncorrectResultSizeDataAccessException e){
		}
		return (pages == null)? new ArrayList<RepPageType>():pages;



	}


}