/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reporting.services;

import uk.ac.sanger.mig.common.AbstractServiceImpl2;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.personnel.Person;

import java.util.Collection;
import java.util.HashMap;

import uk.ac.sanger.mig.reporting.RepPipelineTests;
import uk.ac.sanger.mig.reporting.RepPipelineTestsSearchBean;
import uk.ac.sanger.mig.reporting.dao.RepPipelineTestsDao;

public class RepPipelineTestsServiceImpl extends AbstractServiceImpl2<RepPipelineTests,RepPipelineTestsDao> implements RepPipelineTestsService {


	public Long store(RepPipelineTests repPipelineTests, Person user) {
		if(repPipelineTests == null) {
			throw new RuntimeException("Cannot save a null repPipelineTests");
		}

		return getPrimaryDao().store(repPipelineTests, user);
	}

	public RepPipelineTests fetchById(Long repPipelineTestsId, ComponentMap requiredComponents) {
		RepPipelineTests repPipelineTests = getPrimaryDao().fetchById(repPipelineTestsId);

		if(repPipelineTests != null)
			attachComponents(repPipelineTests, requiredComponents);

		return repPipelineTests;
	}

	@Override
	protected void attachComponents(RepPipelineTests repPipelineTests, ComponentMap requiredComponents) {
		if(repPipelineTests == null) {
			throw new RuntimeException("Cannot attach components to null repPipelineTests");
		}
	}


	public Collection<RepPipelineTests> search(
			RepPipelineTestsSearchBean repPipelineTestsSearchBean) {
		// TODO Auto-generated method stub
		return null;
	}


	public HashMap<String, Collection<RepPipelineTests>> fetchAllPipelinesWithTests() {
		return getPrimaryDao().fetchAllPipelinesWithTests();
	}

	public Collection<RepPipelineTests> fetchAllTestsByPipelineId(Long pipelineId) {
		return getPrimaryDao().fetchAllTestsByPipelineId(pipelineId);
	}

	public Collection<RepPipelineTests> fetchAllPipelineTests() {
		return getPrimaryDao().fetchAllPipelineTests();
	}

}
