/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reservations;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.personnel.Person;
import uk.ac.sanger.mig.personnel.Team;

import java.util.Collection;

public class Reservation extends AuthenticatedDataObject {

    public enum Component implements ComponentEnum {

        ALL_COMPONENTS,
        MOUSE_RESERVATIONS,
        PURPOSE,
        RESERVER,
        TEAM
    }

    private Long reserverId;
    private String reserverName;
    private Long teamId;
    private String teamName;
    private Long categoryId;
    private Long purposeId;
    private String purposeName;
    private boolean notify;

    private Purpose purpose;
    private Person reserver;
    private Team team;
    private Collection<MouseReservation> mouseReservations;


    public Purpose getPurpose() {
        return purpose;
    }


    public void setPurpose(Purpose purpose) {
        this.purpose = purpose;
    }


    public Person getReserver() {
        return reserver;
    }


    public void setReserver(Person reserver) {
        this.reserver = reserver;
    }


    public Team getTeam() {
        return team;
    }


    public void setTeam(Team team) {
        this.team = team;
    }


    public Long getPurposeId() {
        return purposeId;
    }


    public void setPurposeId(Long purposeId) {
        this.purposeId = purposeId;
    }


    public String getPurposeName() {
        return purposeName;
    }


    public void setPurposeName(String purposeName) {
        this.purposeName = purposeName;
    }


    public Long getReserverId() {
        return reserverId;
    }


    public void setReserverId(Long reserverId) {
        this.reserverId = reserverId;
    }


    public Long getTeamId() {
        return teamId;
    }


    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }


    public Long getCategoryId() {
        return categoryId;
    }


    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }


    public boolean isNotify() {
        return notify;
    }


    public void setNotify(boolean notify) {
        this.notify = notify;
    }


    public String getReserverName() {
        return reserverName;
    }


    public void setReserverName(String reserverName) {
        this.reserverName = reserverName;
    }


    public String getTeamName() {
        return teamName;
    }


    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }


    public Collection<MouseReservation> getMouseReservations() {
        return mouseReservations;
    }


    public void setMouseReservations(Collection<MouseReservation> mouseReservations) {
        this.mouseReservations = mouseReservations;
    }

}