package uk.ac.sanger.mig.reservations.controllers;

import org.springframework.web.servlet.mvc.ParameterizableViewController;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.bind.ServletRequestUtils;
import uk.ac.sanger.mig.personnel.services.PersonService;
import uk.ac.sanger.mig.personnel.Person;
import uk.ac.sanger.mig.personnel.Team;
import uk.ac.sanger.mig.common.ComponentMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

/*
*****************************************************
* Class name: ReserverTeamController
* User: holroyd
* Date: Aug 8, 2008
* Time: 10:31:34 AM
*****************************************************
*/

public class ReserverTeamController extends ParameterizableViewController {

    private PersonService personService;


    public void setPersonService(PersonService personService) {
        this.personService = personService;
    }


    @Override
    protected ModelAndView handleRequestInternal(HttpServletRequest httpServletRequest,
                                                 HttpServletResponse httpServletResponse)
            throws Exception {

        Long reserverId = ServletRequestUtils.getRequiredLongParameter(httpServletRequest, "reserverId");
        Person p = personService.fetchById(
                reserverId,
                new ComponentMap(Person.Component.TEAM, null)
        );
        Team team = p.getTeam();
        Map<String, String> model = new HashMap<String, String>();
        model.put("teamId", team == null ? "" : team.getId().toString());
        model.put("teamName", team == null ? "" : team.getTeamName());
        model.put("teamNumber", team == null ? "" : team.getTeamNumber());
        model.put("hasTeam", team == null ? "false" : "true");
        return new ModelAndView(getViewName(), model);
    }

}
