/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package uk.ac.sanger.mig.reservations.forms;

import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.reservations.Reservation;

import java.util.LinkedList;
import java.util.List;

public class ReservationForm {

    private Reservation reservation;

    private Long highlightMouseId; // The mouse chosen when entering this page.
    private List<Mouse> mouseList;
    private List<Long> selectedMouseIds;


    public ReservationForm() {
        this.highlightMouseId = 0L;
		this.mouseList = new LinkedList<Mouse>();
        this.selectedMouseIds = new LinkedList<Long>();
    }


    public Reservation getReservation() {
        return reservation;
    }


    public void setReservation(Reservation reservation) {
        this.reservation = reservation;
    }


    public Long getHighlightMouseId() {
        return highlightMouseId;
    }

    public void setHighlightMouseId(Long highlightMouseId) {
        this.highlightMouseId = highlightMouseId;
    }

    public List<Mouse> getMouseList() {
        return mouseList;
    }


    public void setMouseList(List<Mouse> mouseList) {
        this.mouseList = mouseList;
    }


    public List<Long> getSelectedMouseIds() {
        return selectedMouseIds;
    }


    public void setSelectedMouseIds(List<Long> selectedMouseIds) {
        this.selectedMouseIds = selectedMouseIds;
    }
}