/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.testing;

import java.util.Collection;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import uk.ac.sanger.mig.cryoprocessing.ScheduledCryoPreservationJob;
import uk.ac.sanger.mig.cryoprocessing.services.ScheduleCryoPreservationJobServiceImpl;

public class ScheduledCryoServiceImplTest extends SpringLauncher {
	
	private  ScheduleCryoPreservationJobServiceImpl serviceImpl;
	public static final Log logger = LogFactory.getLog(ScheduledCryoServiceImplTest.class);
	
	

	public void setServiceImpl(ScheduleCryoPreservationJobServiceImpl serviceImpl) {
		this.serviceImpl = serviceImpl;
	}

	@Override
	protected String[] getConfigLocations() {
		// TODO Auto-generated method stub
		return new String[] {
				"file:WebRoot/WEB-INF/conf/application-context.xml"
		};
	
	}
	
	/*
	public void testFetchWithAllComponentsById() {
		Long scheduledCryoPreservationJobId = 81L;
		ScheduledCryoPreservationJob cryoPreservationJob = new ScheduledCryoPreservationJob();
		cryoPreservationJob = serviceImpl.fetchWithAllComponentsById(scheduledCryoPreservationJobId);
		assertTrue(cryoPreservationJob != null);
		logger.warn("FetchWithAllComponentsById Samples:"+cryoPreservationJob.getEmbryoHarvest().getFreezeDownSamples());
		logger.warn("FetchWithAllComponentsById request:"+cryoPreservationJob.getCryoRequest());
	}
	*/
	
	public void testFetchActiveByRequestId() {
		Collection<ScheduledCryoPreservationJob> jobs = serviceImpl.fetchActiveByCryoRequestId(199L, null);
		
		assertTrue(jobs != null);
		logger.warn("Fetchactive"+jobs);
	}
}
