/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.testing;

import uk.ac.sanger.mig.alleles.Allele;
import uk.ac.sanger.mig.alleles.GenotypeTest;
import uk.ac.sanger.mig.alleles.PrimerPair;
import uk.ac.sanger.mig.alleles.dao.AlleleDao;
import uk.ac.sanger.mig.alleles.dao.GenotypeTestDao;

public class TestGenotypeTestDaoSpringImpl extends SpringLauncher {

	private GenotypeTestDao genotypeTestDao;
	private AlleleDao modifiedAlleleDao;


	public void setGenotypeTestDao(GenotypeTestDao dao) {
		this.genotypeTestDao = dao;
	}

	public void setModifiedAlleleDao(AlleleDao modifiedAlleleDao) {
		this.modifiedAlleleDao = modifiedAlleleDao;
	}

	public static void main(String[] args) {
		//TestRunner.run(GenotypeTestDaoSpringImpl.class);
	}

	public TestGenotypeTestDaoSpringImpl() {
		super();
	}

	/*
	 * Test method for 'uk.ac.sanger.mig.mirequest.dao.MirCellLineDaoSpringImpl.store(DataObject)'
	 */
	public void testStore() {
		Allele allele = new Allele();
		allele.setId(new Long(1)); //fake

		GenotypeTest test = new GenotypeTest();
		test.setDescription("this is a Junit test");
		PrimerPair pair = new PrimerPair();
		//pair.setFivePrimerForward("ccgccgcgccg");
		//pair.setThreePrimerReverse("tatcgatcgatcg");
		pair.setMeltTemp(53.2f);
		pair.setExpectedSize(300);

		//allele.addGenotypeTest(test);
		//test.addPrimerPair(pair);

		Long id = genotypeTestDao.store(test, null);

		assertTrue(id > 0);
	}

	public void testFetch() {

	}
}
