/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.testing;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.cryoprocessing.Vial;
import uk.ac.sanger.mig.cryoprocessing.services.VialServiceImpl;
import uk.ac.sanger.mig.personnel.Person;

public class VialServiceImplTest extends SpringLauncher {
	
	private  VialServiceImpl vialServiceImpl;
	public static final Log logger = LogFactory.getLog(VialServiceImplTest.class);
	
	public void setVialServiceImpl(VialServiceImpl vialServiceImpl) {
		this.vialServiceImpl = vialServiceImpl;
	}

	@Override
	protected String[] getConfigLocations() {
		// TODO Auto-generated method stub
		return new String[] {
				"file:WebRoot/WEB-INF/conf/application-context.xml"
		};
	
	}
	
	/*
	 * Test method for 'uk.ac.sanger.mig.mirequest.dao.MirCellLineDaoSpringImpl.store(DataObject)'
	 */
	
	
	public void testFetchById() {
	
		Vial vial = new Vial();
		ComponentMap componentMap = new ComponentMap();
		componentMap.put(Vial.Component.ALL_COMPONENTS, null);
		vial = vialServiceImpl.fetchById(8L,componentMap);
		assertTrue(vial != null);
		logger.warn("FetchById:"+vial);
	}
	
	public void testStoreVialLocation() {
		
		Vial vial = new Vial();
		vial.setBoxId(2L);
		vial.setPosition(100);
		Person person = new Person();
		person.setId(1L);
		Long id = vialServiceImpl.storeVialAndLocation(vial, person);
		assertTrue(id != null);
		logger.warn("store Vial:"+id);
	}
	
	
	/*
	public void testFetchByPubmedId() {
		Article article = new Article();
		article = articleDaoSpringImpl.fetchByPubmedId("16835451");
		assertTrue(article != null);
		logger.warn("FetchByPubmedId:"+article);
	}
	*/

	/*
	public void testStore() {
		
		//The business logic of testing if the current author is existing in the database is done in article.store method
		Author author = new Author();
		author.setForename("Junit");
		
		Collection<Author> authors =  new ArrayList<Author>();
		authors.add(author);
		
		Article article = new Article();
		
		//article.setId(287L);//if already has articleId, means article exist, so dont need insert. do update which throws the OperationNotSupported exceptions.
		article.setAbstractText("Junit");
		article.setAuthors(authors);
		article.setJournalTitle("Junit");
		article.setArticleTitle("Junit");
		article.setMonth("Junit");
		article.setPubmedId("Junit");
		
		Long id = null;
		try{
			id = articleDaoSpringImpl.store(article);
		}catch(OperationNotSupported e){
			id = -1L;
			
		}
		
		assertTrue(id != null);
		logger.warn("Store:"+article);

	}
	*/
	
	//testFetchAll not avaiable 

}
