package uk.ac.sanger.mig.tools;

import java.io.File;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import uk.ac.sanger.mig.colony.services.ColonyInfoService;
import uk.ac.sanger.mig.personnel.Person;
import uk.ac.sanger.mig.personnel.services.PersonService;
import uk.ac.sanger.mig.testing.SpringLauncher;

public class CopyColonyTool extends SpringLauncher {



	public static void main(String[] args) throws Exception {

		if(args == null || args.length != 4) {
			throw new IllegalArgumentException("Please supply the following arguments: oldColonyId(Long), newPrefix(String), newColonyName(String), userName(String)");
		}

		Long oldColonyId = Long.parseLong(args[0]);
		String newPrefix = args[1];
		String newName = args[2];
		String userName = args[3];

		ClassPathXmlApplicationContext appContext =
			new ClassPathXmlApplicationContext(
					new String[] {
							"file:WebRoot"+File.separator+"WEB-INF"+File.separator+"conf"+File.separator+"application-context.xml",
							"file:WebRoot"+File.separator+"WEB-INF"+File.separator+"conf"+File.separator+"dispatcher-servlet-main.xml"
					});

		BeanFactory factory = (BeanFactory)appContext;

		ColonyInfoService colonyInfoService = (ColonyInfoService)factory.getBean("colonyInfoService");
		PersonService personService = (PersonService)factory.getBean("personService");

		Person user = personService.fetchByUserName(userName, null);
		if(user == null) {
			throw new RuntimeException("No user '" + userName + "' found on database");
		}

		Long newId = colonyInfoService.copyColony(oldColonyId, newPrefix, newName, user);

		System.out.println(newId);
	}
}
