/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.vector.intermediatevector;

import java.util.Date;

import uk.ac.sanger.mig.allelerequest.AlleleRequest;
import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.eucomm.designinstance.DesignInstance;

public class IntermediateVector extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		DESIGN_INSTANCES,
    ALL_COMPONENTS //add additional component enums here as needed for this AuthenticatedDataObject
	}

    private Long designInstanceId;        
    private int lastQcStatus;        
    private Date lastStatusChange;        
    private int cassetteDict;        
    private String urlToAllele;  
    private AlleleRequest alleleRequest;
    private DesignInstance designInstance;

    public AlleleRequest getAlleleRequest() {
      return alleleRequest;
    }

    public void setAlleleRequest(AlleleRequest alleleRequest) {
      this.alleleRequest = alleleRequest;
    }

    public Long getDesignInstanceId() {
        return designInstanceId;
    }
    
    public void setDesignInstanceId(Long designInstanceId) {
        this.designInstanceId = designInstanceId;
    }                                                                                                                                            
    public int getLastQcStatus() {
        return lastQcStatus;
    }
    
    public void setLastQcStatus(int lastQcStatus) {
        this.lastQcStatus = lastQcStatus;
    }                                                                                                                                            
    public Date getLastStatusChange() {
        return lastStatusChange;
    }
    
    public void setLastStatusChange(Date lastStatusChange) {
        this.lastStatusChange = lastStatusChange;
    }                                                                                                                                            
    public int getCassetteDict() {
        return cassetteDict;
    }
    
    public void setCassetteDict(int cassetteDict) {
        this.cassetteDict = cassetteDict;
    }                                                                                                                                            
    public String getUrlToAllele() {
        return urlToAllele;
    }
    
    public void setUrlToAllele(String urlToAllele) {
        this.urlToAllele = urlToAllele;
    }

    public void setDesignInstance(DesignInstance designInstance) {
      this.designInstance = designInstance;
    }

    public DesignInstance getDesignInstance() {
      return designInstance;
    }                                                                                                                                            

}