/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.vector.intermediatevector.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.vector.intermediatevector.views.IntermediateVectorListView;

public class IntermediateVectorListViewRowMapper implements ParameterizedRowMapper<IntermediateVectorListView> {

  public IntermediateVectorListView mapRow(ResultSet rs, int rowNum) throws SQLException {
    
    IntermediateVectorListView intermediateVectorListView = new IntermediateVectorListView();
    intermediateVectorListView.setId(rs.getLong("id"));
    intermediateVectorListView.setGeneId(rs.getLong("gene_id"));
    intermediateVectorListView.setDesignId(rs.getLong("design_id"));
    intermediateVectorListView.setDesignInstanceId(rs.getLong("design_instance_id"));
    intermediateVectorListView.setGeneName(rs.getString("GENE_NAME"));
    intermediateVectorListView.setDesignName(rs.getString("DESIGN_NAME"));
    //intermediateVectorListView.setCassetteInfo(rs.getString("Cassette"));
    intermediateVectorListView.setPlate(rs.getString("PLATE"));
    //intermediateVectorListView.setBacs(rs.getString("BAC"));
    //intermediateVectorListView.setCloneName(rs.getString("CLONE_NAME"));
    intermediateVectorListView.setStartExonName(rs.getString("START_EXON"));
    intermediateVectorListView.setEndExonName(rs.getString("END_EXON"));
    intermediateVectorListView.setVegaId(rs.getString("VEGA_ID"));
    //intermediateVectorListView.setLastModifiedDate(rs.getDate("LAST_MODIFIED_DATE"));
    //intermediateVectorListView.setLastStatus(rs.getString("LAST_STATUS"));
    intermediateVectorListView.setWell(rs.getString("WELL"));
    
    return intermediateVectorListView;
  }
}


