/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.vector.targetingvector.services;

import java.util.Collection;

import uk.ac.sanger.mig.common.AbstractServiceImpl;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.eucomm.designinstance.DesignInstance;
import uk.ac.sanger.mig.eucomm.designinstance.services.DesignInstanceService;
import uk.ac.sanger.mig.vector.targetingvector.TargetingVector;
import uk.ac.sanger.mig.vector.targetingvector.TargetingVectorSearchBean;
import uk.ac.sanger.mig.vector.targetingvector.dao.TargetingVectorDao;
import uk.ac.sanger.mig.vector.targetingvector.views.TargetingVectorListView;

public class TargetingVectorServiceImpl extends AbstractServiceImpl<TargetingVectorListView> implements TargetingVectorService {
	
	private TargetingVectorDao targetingVectorDao;
  private DesignInstanceService designInstanceService;
	
	//IMPORTANT: add other dependencies here: Should be other services *not* dao typically
	/**
	 * eg 	private TargetingVectorDao targetingVectorDao;
	 *    private MouseService mouseService
	 *    private PersonService personService; 
	 */
	
	public void setTargetingVectorDao(TargetingVectorDao targetingVectorDao) {
		this.targetingVectorDao = targetingVectorDao;
	}


	/*public Long storeAuthenticated(TargetingVector targetingVector, Person user) {
		if(targetingVector == null) {
			throw new RuntimeException("Cannot save a null targetingVector");
		}
		
		return targetingVectorDao.storeAuthenticated(targetingVector, user);
	}*/
	
	public TargetingVector fetchById(Long targetingVectorId, ComponentMap requiredComponents) {
		
		return null;
	}
  
  public DesignInstance fetchDesignInstance(Long designInstanceId, ComponentMap requiredComponents){
    
    if(designInstanceId != null) {
      return designInstanceService.fetchById(designInstanceId, requiredComponents);
    }
    else {
      return null;
    }   
    
  }

	protected void attachComponents(TargetingVectorListView targetingVectorListView, ComponentMap requiredComponents) {
		if(targetingVectorListView == null) {
			throw new RuntimeException("Cannot attach components to null targetingVector");
		}		
		
		boolean fetchAll = false;
		
		if(requiredComponents != null) {
			
			if(requiredComponents.containsKey(TargetingVector.Component.ALL_COMPONENTS)) {
				fetchAll = true;
			}
      if(fetchAll || requiredComponents.containsKey(TargetingVector.Component.DESIGN_INSTANCES)){
        targetingVectorListView.setDesignInstance(fetchDesignInstance(targetingVectorListView.getDesignInstanceId(), requiredComponents.get(TargetingVector.Component.DESIGN_INSTANCES)));
      }
			
			// query required components map and fetch/attach sub-components as needed
			// ...........
			
		}
	}


  public Collection<TargetingVectorListView> search(TargetingVectorSearchBean targetingVectorSearchBean, ComponentMap requiredComponents) {
    Collection<TargetingVectorListView> targetingVectorsList = targetingVectorDao.search(targetingVectorSearchBean, requiredComponents);
    
    attachComponents(targetingVectorsList, requiredComponents);
    
    return targetingVectorsList;
  }


  public void setDesignInstanceService(DesignInstanceService designInstanceService) {
    this.designInstanceService = designInstanceService;
  }

	
}
								