/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.vector.targetingvector.views;

import java.util.Collection;
import java.util.Date;

import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DataObject;
import uk.ac.sanger.mig.eucomm.designinstance.DesignInstance;

public class TargetingVectorListView extends DataObject implements Comparable<TargetingVectorListView> {

  public enum Component implements ComponentEnum {
    DESIGN_INSTANCES,
    ALL_COMPONENTS //add additional component enums here as needed for this AuthenticatedDataObject
  }
  private String geneName;
  private Long geneId;
  private Long designId;
  private Long designInstanceId;
  private String startExonName;
  private String endExonName;
  private String vegaId;
  private String designName;
  private String well;
  private String plate;
  private String lastStatus;
  private String cassetteInfo;
  private String cloneName;
  private Date lastModifiedDate;
  private Collection<Long> geneIds;
  
  private DesignInstance designInstance;
  private String bacs;
  
  public String getBacs() {
    return bacs;
  }
  public void setBacs(String bacs) {
    this.bacs = bacs;
  }

  public String getCloneName() {
    return cloneName;
  }
  public void setCloneName(String cloneName) {
    this.cloneName = cloneName;
  }
  public String getDesignName() {
    return designName;
  }
  public void setDesignName(String designName) {
    this.designName = designName;
  }
  public String getEndExonName() {
    return endExonName;
  }
  public void setEndExonName(String endExonName) {
    this.endExonName = endExonName;
  }
  public String getGeneName() {
    return geneName;
  }
  public void setGeneName(String geneName) {
    this.geneName = geneName;
  }
  public Date getLastModifiedDate() {
    return lastModifiedDate;
  }
  public void setLastModifiedDate(Date lastModifiedDate) {
    this.lastModifiedDate = lastModifiedDate;
  }
  public String getLastStatus() {
    return lastStatus;
  }
  public void setLastStatus(String lastStatus) {
    this.lastStatus = lastStatus;
  }
  public String getPlate() {
    return plate;
  }
  public void setPlate(String plate) {
    this.plate = plate;
  }
  public String getStartExonName() {
    return startExonName;
  }
  public void setStartExonName(String startExonName) {
    this.startExonName = startExonName;
  }
  public String getVegaId() {
    return vegaId;
  }
  public void setVegaId(String vegaId) {
    this.vegaId = vegaId;
  }
  public String getWell() {
    return well;
  }
  public void setWell(String well) {
    this.well = well;
  }
  public String getCassetteInfo() {
    return cassetteInfo;
  }
  public void setCassetteInfo(String cassetteInfo) {
    this.cassetteInfo = cassetteInfo;
  }

  public Long getGeneId() {
    return geneId;
  }
  public void setGeneId(Long geneId) {
    this.geneId = geneId;
  }
  public Long getDesignId() {
    return designId;
  }
  public void setDesignId(Long designId) {
    this.designId = designId;
  }
  public Collection<Long> getGeneIds() {
    return geneIds;
  }
  public void setGeneIds(Collection<Long> geneIds) {
    this.geneIds = geneIds;
  }
  public Long getDesignInstanceId() {
    return designInstanceId;
  }
  public void setDesignInstanceId(Long designInstanceId) {
    this.designInstanceId = designInstanceId;
  }
  public DesignInstance getDesignInstance() {
    return designInstance;
  }
  public void setDesignInstance(DesignInstance designInstance) {
    this.designInstance = designInstance;
  }
  public int compareTo(TargetingVectorListView a) {
    TargetingVectorListView b = this;
    if(a.getId() > b.getId()) return 1;
    if(a.getId() < b.getId()) return -1;
    return 0;
  }
  
  
}
