package uk.ac.sanger.mig.abr;

import static org.junit.Assert.assertTrue;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.security.NoSuchAlgorithmException;

import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import uk.ac.sanger.mig.abr.parser.FileParser;
import uk.ac.sanger.mig.abr.parser.NotAnAbrTestBlockException;
import uk.ac.sanger.mig.abr.services.ChartService;
import uk.ac.sanger.mig.filesupport.services.BinaryFileService;
import ChartDirector.Chart;

public class ChartServiceTest
{
	FileParser	fp;
	MouseChart mouseChart;
	ChartService chartService;
	BinaryFileService binaryFileService;

	@Before
	public void setUp() {
		try {
			fp = new FileParser(new File(new File(".").getCanonicalPath()+"/test/uk/ac/sanger/mig/abr/parser/testFiles/M00077519.csv"));
			fp.parse();
		} catch (Exception e) {
			e.printStackTrace();
		}

		ClassPathXmlApplicationContext context =
			new ClassPathXmlApplicationContext(
					new String[] {"file:WebRoot/WEB-INF/conf/application-context.xml"
					});

		BeanFactory factory = (BeanFactory)context;

		chartService = (ChartService)factory.getBean("chartService");
		binaryFileService = (BinaryFileService)factory.getBean("binaryFileService");
	}

	/*
	@Test
	public void getOffset() throws NumberFormatException, NotAnAbrTestBlockException{
		double offset = chartService.caculateFinalOffsetFromParser(fp);
		assertTrue("Offset doesn't been caculated! "+offset,offset>0);
	}


	@Test
	public void getFeqDiagrams() throws NumberFormatException, NotAnAbrTestBlockException, NoSuchAlgorithmException{
      List<FrequencyChart> freqCharts = new ArrayList<FrequencyChart>();
      List<Frequency> frequencyBlocks = new ArrayList<Frequency>(fp.getAbrTraceBlocksByFrequencyLevel());
      double offset = chartService.caculateFinalOffsetFromParser(fp);

      for(int i=0;i<frequencyBlocks.size();i++){
			if(i<frequencyBlocks.size()-1){
				freqCharts.add(chartService.caculateFreqChartFromParser(frequencyBlocks.get(i),false,offset));
			}else{
				freqCharts.add(chartService.caculateFreqChartFromParser(frequencyBlocks.get(i),true,offset));
			}
		}

		assertTrue("freq chart is null!"+freqCharts,freqCharts!=null);

		for(FrequencyChart f:freqCharts){
			assertTrue("frequency title is null!",f.getFrequencyTitle()!=null);
			assertTrue("the x values are null!",f.getDataX()!=null);
			assertTrue("the level is null!",f.getLevels()!= null);
			assertTrue("The y values are null!",f.getDataYArray()!=null);
		}
	}


	@Test
	public void getCreateMouseDiagram() throws NumberFormatException, NotAnAbrTestBlockException, NoSuchAlgorithmException{
		List<FrequencyChart> freqCharts = new ArrayList<FrequencyChart>();
		List<Frequency> frequencyBlocks = new ArrayList<Frequency>(fp.getAbrTraceBlocksByFrequencyLevel());
		double offset = chartService.caculateFinalOffsetFromParser(fp);

		for(int i=0;i<frequencyBlocks.size();i++){
			if(i<frequencyBlocks.size()-1){
				freqCharts.add(chartService.caculateFreqChartFromParser(frequencyBlocks.get(i),false,offset));


			}else{
				freqCharts.add(chartService.caculateFreqChartFromParser(frequencyBlocks.get(i),true,offset));
			}
		}
		assertTrue("Image is null!",freqCharts.size()==frequencyBlocks.size());

	}

*/
	@Test
	public void getCreateMouseChart() throws NumberFormatException, NoSuchAlgorithmException, NotAnAbrTestBlockException, IOException{

		MouseChart mouseChart = chartService.createMouseChart(fp);

	/*	File outputBinaryFile1  = new File(new File(".").getCanonicalPath() + "/test/uk/ac/sanger/mig/abr/parser/testCharts/cali.jpg");
		FileOutputStream outputFileOutputStream = new FileOutputStream(outputBinaryFile1);
		outputFileOutputStream.write(mouseChart.createCalibrationChart());

		outputBinaryFile1  = new File(new File(".").getCanonicalPath() + "/test/uk/ac/sanger/mig/abr/parser/testCharts/click.jpg");
		outputFileOutputStream = new FileOutputStream(outputBinaryFile1);
		outputFileOutputStream.write(mouseChart.createClickChart());
  */

		File outputBinaryFile1  = new File(new File(".").getCanonicalPath() + "/test/uk/ac/sanger/mig/abr/parser/testCharts/mouse.jpg");
		FileOutputStream outputFileOutputStream = new FileOutputStream(outputBinaryFile1);
		//byte[] defaultChart = mouseChart.getFreqCharts().get(3).createDefaultSingleChartForMultiple().makeChart(Chart.JPG);

		outputFileOutputStream.write(mouseChart.createMultipleChart());
		outputFileOutputStream.close();

		/*outputBinaryFile1  = new File(new File(".").getCanonicalPath() + "/test/uk/ac/sanger/mig/abr/parser/testCharts/enlarged.jpg");
		outputFileOutputStream = new FileOutputStream(outputBinaryFile1);
		byte[] defaultChart = chartService.enlargeFreqChartFromParser(fp, 4).createEnlargedChart().makeChart(Chart.JPG);
		outputFileOutputStream.write(defaultChart);
		outputFileOutputStream.close();*/




	//	assertTrue("Calibration diagram is null!",mouseChart.createCalibrationChart()!=null);
	//	assertTrue("Click diagram is null!",mouseChart.createClickChart()!=null);
	//	assertTrue("Mouse diagram is null!",mouseChart.createMultipleChart()!=null);

	}

}