package uk.ac.sanger.mig.histology.dao;

import static org.junit.Assert.*;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

import org.junit.Test;
import org.unitils.UnitilsJUnit4;
import org.unitils.dbunit.annotation.DataSet;
import org.unitils.spring.annotation.SpringApplicationContext;
import org.unitils.spring.annotation.SpringBean;

import uk.ac.sanger.mig.histology.Block;

@DataSet
@SpringApplicationContext({"histology-dao.xml","common.xml","dictionary.xml","test-config.xml","unitils-test-database.xml"})
public class BlockDaoTest extends UnitilsJUnit4{

  @SpringBean("blockDao")
  private BlockDao blockDao;

  /**
   * Test for trac ticket #1853
   *
   */
  @Test
  public void fixationEndPrecision() {
    Block block = blockDao.fetchById(1L);
    DateFormat df = new SimpleDateFormat("dd-MMM-yyyy HH:mm");
    String formattedDate = df.format(block.getFixationEndTime());
    assertEquals("22-May-2008 10:00", formattedDate);
  }


}
