package uk.ac.sanger.mig.histology.services;


import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.histology.BlockType;
import uk.ac.sanger.mig.testsupport.AbstractGenericServiceTest;

public class BlockTypeServiceTest extends AbstractGenericServiceTest {
	public void setBlockTypeService(BlockTypeService service) {
		this.service = service;
	}
	
	public BlockTypeService getBlockTypeService() {
	  return (BlockTypeService)service;
	}
	
	private Collection<BlockType> typeFetch(boolean isStandardTypes) {
	  Collection<BlockType> types = getBlockTypeService().fetchActiveBlockTypes(true, null);
	  assertNotNull("Block type collection should not be null", types);
	  if (types != null) {
	    assertTrue("Block types collection should not be empty", (types.size() > 0));
	  }
	  
	  return types;
	}
	
	public void testStandardTypeFetch() {
	  Collection<BlockType> stdTypes = typeFetch(true);
	  assertTrue("There should be standard block types", (stdTypes.size() > 1));
	}
	public void testNonStandardTypeFetch() {
	  Collection<BlockType> types = typeFetch(false);
    assertTrue("There should be non-standard block types", (types.size() > 1));
  }
	
	public void testFetchAndAttach() {
	  Collection<BlockType> types = getBlockTypeService().fetchActiveBlockTypes(true, null);
	  
	  for (BlockType bt : types) {
	    BlockType bt2 = getBlockTypeService().fetchById(bt.getId(), ComponentMap.of(BlockType.Component.ALL_COMPONENTS));
	    assertEquals("Block types fetched by different methods should be equal",bt, bt2);
	  }
	}
	
	
}