package uk.ac.sanger.mig.mousetracking.dao;

import static org.junit.Assert.assertNull;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.unitils.UnitilsJUnit4;
import org.unitils.reflectionassert.ReflectionAssert;
import org.unitils.reflectionassert.ReflectionComparatorMode;
import org.unitils.spring.annotation.SpringApplicationContext;
import org.unitils.spring.annotation.SpringBean;

import uk.ac.sanger.mig.mousetracking.Litter;
import uk.ac.sanger.mig.personnel.Person;

@SpringApplicationContext({"mouse-tracking-dao.xml","dictionary.xml","test-config.xml","unitils-test-database.xml"})

public class LitterDaoTest extends UnitilsJUnit4 {

	@SpringBean("litterDao")
	private LitterDao litterDao;
	private Litter litter = null;
	private Person user = null;

	@Before
	public void setUp() {
		user = new Person();
		user.setId(275L);
		user.setUserName("dg6");

		litter = new Litter();
		litterDao.store(litter, user);
	}

	@Test
	public void testFetchById_validId() {
		Litter testLitter = litterDao.fetchById(litter.getId());
		ReflectionAssert.assertRefEquals(litter, testLitter, ReflectionComparatorMode.LENIENT_DATES);
	}

	@Test
	public void testFetchById_invalidId() {
		Litter testLitter = litterDao.fetchById(Long.MAX_VALUE);
		assertNull(testLitter);
	}

	@After
	public void cleanUp() {
		litterDao.delete(litter, user);
	}
}
