package uk.ac.sanger.mig.phenotyping.calorimetry.parser;

import static org.junit.Assert.fail;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import org.apache.commons.io.FileUtils;

public class ParserTestUtil {
  private final static String fileName = "calorimetryTestData.csv";

  private static File getFileDescriptor() {
    URL fileUrl = ParserTestUtil.class.getResource(fileName);
    return FileUtils.toFile(fileUrl);
  }

  public static String getAbsoluteFilePath() {
    return getFileDescriptor().getAbsolutePath();
  }

  public static byte[] getTestData() {
    byte[] testData = new byte[0];
    InputStream in = null;


    try {
      in = new FileInputStream(getFileDescriptor());

      boolean dataAvailable = true;
      int bufferSize = 1024 * 128; // buffer 128 kilobytes
      byte[] buffer = new byte[bufferSize];

      while (dataAvailable) {
        int readSize = in.read(buffer);

        dataAvailable = !(readSize < bufferSize);

        byte[] mergedData = new byte[testData.length + readSize];
        System.arraycopy(testData, 0, mergedData, 0, testData.length);
        System.arraycopy(buffer, 0, mergedData, testData.length, readSize);
        testData = mergedData;
      }

    }
    catch (Exception e) {
      e.printStackTrace();
      fail("Threw exception "+e);
    }
    finally {
      if (in !=null)
        try {
          in.close();
        } catch (IOException e) {
          // discard
        }
    }
    return testData;
  }


}
