/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

--
-- Create Schema Script 
--   Database Version   : 10.2.0.2.0 
--   TOAD Version       : 8.6.1.0 
--   DB Connect String  : MIGP.WORLD 
--   Schema             : MIG 
--   Script Created by  : MIG 
--   Script Created at  : 31/10/2006 08:56:12 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Indexes: 172       Columns: 186        
--   Object Privileges: 178 
--   Procedures: 5      Lines of Code: 127 
--   Sequences: 70 
--   Tables: 114        Columns: 1043       Constraints: 204    
--   Triggers: 77 
--   Views: 14          


CREATE SEQUENCE GEV_MGI_PHENOTYPE_ALLELE_SEQ
  START WITH 34320
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE TYP_GENOTYPING_PRIMER_PAIR_SEQ
  START WITH 151
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE TYP_GENOTYPE_TEST_SEQ
  START WITH 161
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TYP_MODIFIED_ALLELE_SEQ
  START WITH 100
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_SET_SEQ
  START WITH 122
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_EXON_SEQ
  START WITH 2819750
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_HOMOLOGY_SEQ
  START WITH 31921
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_GENE_SEQ
  START WITH 235035
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_ASSEMBLY_SEQ
  START WITH 10
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_SEQ
  START WITH 15
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_SEQ
  START WITH 87181
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE GNM_LOCUS_SEQ
  START WITH 3428641
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE PER_PERSON_SEQ
  START WITH 403
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_ROLE_SEQ
  START WITH 48
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GENE_SUMMARY_SEQ
  START WITH 1793
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_ALLELE_REQUEST_SEQ
  START WITH 88324
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE SCHEMA_DOCUMENTATION_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_TRANSCRIPT_SEQ
  START WITH 373441
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE LIC_PROJECT_LICENCE_SEQ
  START WITH 97
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE LIC_PERSONAL_LICENCE_SEQ
  START WITH 152
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE LIC_PROTOCOL_19B_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_PERSON_2_ROLE_SEQ
  START WITH 295
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_EXTERNAL_SUPPORT_REF_SEQ
  START WITH 5414
  MAXVALUE 999999999999999999999999999
  MINVALUE 2200
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_MIG_CURATED_STATUS_SEQ
  START WITH 2044
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_GENE_ARTICLE_REF_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_2_GENE_BUILD_GENE_SEQ
  START WITH 137810
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_EXON_NAME_SEQ
  START WITH 2944336
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_TRANSCRIPT_NAME_SEQ
  START WITH 5126752
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_BUILD_GENE_NAME_SEQ
  START WITH 5862788
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GNM_GENE_NAME_SEQ
  START WITH 2566707
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE APP_CHECK_NUMBER_SEQ
  START WITH 1424
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_DESIGN_REQUEST_SEQ
  START WITH 2096
  MAXVALUE 9999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_2_MOUSE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE MTS_COLONY_ALLELE_SEQ
  START WITH 13
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_BEHAVIOUR_SEQ
  START WITH 6
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MEV_EVENT_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_SEQ
  START WITH 18
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_ROOM_SEQ
  START WITH 48
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_BREEDING_MOUSE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ARTICLE_SEQ
  START WITH 285
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_AUTHOR_SEQ
  START WITH 1625
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ARTICLE_2_AUTHOR_SEQ
  START WITH 1640
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PUB_ABSTRACT_SEQ
  START WITH 307
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE TYP_STRAIN_SEQ
  START WITH 7
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_MICROINJECTION_REQUEST_SEQ
  START WITH 205
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_CELL_LINE_SEQ
  START WITH 345
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE CRQ_CRYO_REQUEST_SEQ
  START WITH 67
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE REQ_ANIMAL_REQUEST_SEQ
  START WITH 239
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE GEV_FACULTY_VOTE_SEQ
  START WITH 2481
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MEV_PROCEDURE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MIR_REQUEST_STATUS_ID_SEQ
  START WITH 56
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE CRQ_CRYO_REQUEST_STATUS_ID_SEQ
  START WITH 7
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE ARQ_REQUEST_2_MOD_ALLELE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE GEV_GENE_TARGETING_HITS_SEQ
  START WITH 57201
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE GEV_MAMMALIAN_PHENOTYPE_SEQ
  START WITH 70181
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE GNM_TRANSCRIPT_HOMOLOGY_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE PER_TEAM_SEQ
  START WITH 84
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TYP_ES_CLONE_2_STRAIN_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TYP_MOUSESAMPLE_GTYPETEST_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TYP_MOUSE_2_STRAIN_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TYP_MOUSE_SAMPLE_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE ARQ_HAVANA_REQUEST_SEQ
  START WITH 43191
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_MAILING_LIST_SEQ
  START WITH 2
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE PER_MAILING_LIST_RECIPIENT_SEQ
  START WITH 10
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_COAT_COLOUR_SEQ
  START WITH 22
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_CONTACT_SEQ
  START WITH 35
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_CROSS_SEQ
  START WITH 32
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_INFO_SEQ
  START WITH 315
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_ROOM_SEQ
  START WITH 13
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE SEQUENCE MTS_COLONY_STRAIN_SEQ
  START WITH 7
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE TABLE GEV_MAMMALIAN_PHENOTYPE
(
  MGI_PHENOTYPE_ALLELE_ID  INTEGER,
  NAME                     VARCHAR2(512 BYTE),
  ID                       INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_MGI_PHENOTYPE_ALLELE
(
  GENE_ID                  INTEGER,
  TYPE                     VARCHAR2(128 BYTE),
  DESCRIPTION              VARCHAR2(4000 BYTE),
  MGI_PHENOTYPE_ALLELE_ID  INTEGER,
  MGI_PHENOTYPE_ID         VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_MIG_CURATED_STATUS
(
  MIG_CURATED_STATUS_ID  INTEGER                NOT NULL,
  GENE_ID                INTEGER                NOT NULL,
  STATUS                 VARCHAR2(128 BYTE)     DEFAULT 'NOVEL'               NOT NULL,
  PERSON_ID              INTEGER,
  TIMESTAMP              DATE                   DEFAULT SYSDATE               NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_ASSEMBLY
(
  ID            INTEGER,
  NCBI_TAXON    INTEGER,
  SPECIES_NAME  VARCHAR2(128 BYTE),
  NAME          VARCHAR2(2000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_EXON
(
  ID             INTEGER                        NOT NULL,
  LOCUS_ID       INTEGER,
  TRANSCRIPT_ID  INTEGER,
  PHASE          INTEGER,
  PRIMARY_NAME   VARCHAR2(4000 BYTE),
  GENE_BUILD_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE
(
  GENE_ID                        INTEGER,
  NCBI_TAXON                     INTEGER        NOT NULL,
  PRIMARY_GENE_BUILD_GENE_ID     INTEGER,
  IS_VALID                       NUMBER(1)      DEFAULT 1,
  PRIMARY_NAME                   VARCHAR2(512 BYTE),
  PRIMARY_VEGA_BUILD_GENE_ID     INTEGER,
  PRIMARY_ENSEMBL_BUILD_GENE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_BUILD
(
  ID           INTEGER,
  ASSEMBLY_ID  INTEGER,
  BUILD_DATE   DATE,
  NAME         VARCHAR2(128 BYTE),
  VERSION      VARCHAR2(128 BYTE),
  SOURCE       VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_BUILD_GENE
(
  ID                 INTEGER,
  GENE_BUILD_ID      INTEGER                    NOT NULL,
  LOCUS_ID           INTEGER,
  IS_FINISHED        VARCHAR2(10 CHAR),
  UNIQUE_EXON_COUNT  INTEGER                    NOT NULL,
  TRANSCRIPT_COUNT   INTEGER                    NOT NULL,
  TOTAL_EXON_COUNT   INTEGER                    NOT NULL,
  PRIMARY_NAME       VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_HOMOLOGY
(
  GENE_HOMOLOGY_ID  NUMBER                      NOT NULL,
  GENE1_ID          INTEGER,
  GENE2_ID          INTEGER,
  NOTES             VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_COAT_COLOUR
(
  ID                   NUMBER                   NOT NULL,
  COLONY_ID            NUMBER,
  COAT_COLOUR_DICT_ID  NUMBER,
  EDITED_BY            VARCHAR2(128 BYTE),
  EDIT_DATE            DATE,
  CHECK_NUMBER         NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_NAME
(
  GENE_ID  INTEGER,
  NAME     VARCHAR2(4000 BYTE)                  NOT NULL,
  SOURCE   VARCHAR2(128 BYTE),
  NAME_UC  VARCHAR2(4000 BYTE),
  ID       INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_SET
(
  GENE_SET_ID           INTEGER,
  NAME                  VARCHAR2(128 BYTE),
  DESCRIPTION           VARCHAR2(2048 BYTE),
  CREATED_BY_PERSON_ID  INTEGER,
  TIMESTAMP             DATE                    DEFAULT SYSDATE,
  IS_CORE_SET           CHAR(1 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_SET_2_GENE
(
  GENE_SET_ID  INTEGER,
  GENE_ID      INTEGER,
  SCORE        INTEGER                          DEFAULT 0                     NOT NULL,
  TIMESTAMP    DATE                             DEFAULT SYSDATE               NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_2_MOUSE
(
  MOUSE_ID   INTEGER,
  COLONY_ID  INTEGER,
  ID         INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_ALLELE
(
  ID                  NUMBER,
  COLONY_ID           NUMBER,
  MODIFIED_ALLELE_ID  NUMBER,
  EDITED_BY           VARCHAR2(128 BYTE),
  EDIT_DATE           DATE,
  CHECK_NUMBER        NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_BEHAVIOUR
(
  ID               NUMBER,
  TRAIT            VARCHAR2(4000 BYTE),
  REMEDIAL_ACTION  VARCHAR2(4000 BYTE),
  COLONY_ID        NUMBER,
  EDITED_BY        VARCHAR2(128 BYTE),
  EDIT_DATE        DATE,
  CHECK_NUMBER     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_CONTACT
(
  ID            NUMBER,
  PERSON_ID     NUMBER,
  COLONY_ID     NUMBER,
  REASON        VARCHAR2(4000 BYTE),
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_CROSS
(
  ID                    NUMBER,
  PHENOTYPE_TEXT        VARCHAR2(4000 BYTE),
  GENOTYPE_TEXT         VARCHAR2(4000 BYTE),
  DELIMITED_ALLELE_IDS  VARCHAR2(4000 BYTE),
  COLONY_ID             NUMBER,
  IS_LETHAL             NUMBER(1),
  EDITED_BY             VARCHAR2(128 BYTE),
  EDIT_DATE             DATE,
  CHECK_NUMBER          NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COAT_COLOUR_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_GENOTYPE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MODIFIED_ALLELE_AUDIT
(
  ID                             INTEGER,
  LOCUS_ID                       INTEGER,
  MUTATION_NATURE_ID             INTEGER,
  INTERNAL_NAME                  VARCHAR2(512 BYTE),
  OFFICIAL_NAME_SUPERSCRIPT      VARCHAR2(256 BYTE),
  AFFECTS_SINGLE_GENE            INTEGER        DEFAULT NULL,
  IS_HOMOZYGOUS_LETHAL           VARCHAR2(7 BYTE),
  INHERITANCE_MODE_ID            INTEGER,
  HAS_ASSOCIATED_PHENOTYPE       VARCHAR2(7 BYTE),
  PHENOTYPE_DESCRIPTION          VARCHAR2(4000 BYTE),
  AFFECTS_MULTIPLE_GENE_DESCRIP  VARCHAR2(4000 BYTE),
  ALLELE_DESCRIPTION             VARCHAR2(4000 BYTE),
  TEAM_NAME                      VARCHAR2(256 BYTE),
  TEAM_LEADER                    VARCHAR2(256 BYTE),
  SHORT_ALLELE_SYMBOL            VARCHAR2(256 BYTE),
  MAKER_NAME                     VARCHAR2(256 BYTE),
  ORIGINAL_ENTRY_DATE            DATE,
  SUBMITTER_ID                   NUMBER,
  GENE_ID                        INTEGER,
  ENSEMBL_VEGA_BUILD             INTEGER,
  AUDIT_DATE                     DATE           DEFAULT systimestamp,
  MULTIPLE_GENE_REGION_NAME      VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE APP_USER_SEARCHES
(
  RECORD_NUMBER  INTEGER,
  RECORD_ID      INTEGER,
  SESSION_ID     VARCHAR2(128 BYTE),
  QUERY_TABLE    VARCHAR2(30 BYTE),
  QUERY_DATE     DATE                           DEFAULT systimestamp,
  SELECTED       VARCHAR2(8 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_DESIGN_REQUEST
(
  ID                 NUMBER                     NOT NULL,
  ALLELE_REQUEST_ID  NUMBER                     NOT NULL,
  STATUS_DICT_ID     NUMBER                     NOT NULL,
  CREATED_DATE       DATE,
  EDITED_DATE        DATE,
  CREATED_BY         VARCHAR2(256 BYTE),
  COMMENTS           VARCHAR2(4000 BYTE),
  EDITED_BY          VARCHAR2(256 BYTE),
  VEGA_ID            VARCHAR2(512 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_DESIGN_2_DESIGN_REQUEST
(
  DESIGN_REQUEST_ID  NUMBER                     NOT NULL,
  DESIGN_ID          NUMBER                     NOT NULL,
  FULFILLS_REQUEST   NUMBER                     DEFAULT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_2_GENE_BUILD_GENE
(
  ID                  INTEGER,
  GENE_ID             INTEGER,
  GENE_BUILD_GENE_ID  INTEGER,
  EDIT_DATE           DATE                      DEFAULT sysdate,
  REASONING           VARCHAR2(1024 BYTE),
  IS_VALID            NUMBER(1)                 DEFAULT 1
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_GENE_BUILD_GENE_NAME
(
  ID                  INTEGER,
  GENE_BUILD_GENE_ID  INTEGER,
  NAME                VARCHAR2(4000 BYTE)       NOT NULL,
  SOURCE              VARCHAR2(128 BYTE),
  NAME_UC             VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_MOD_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST
(
  ID                         NUMBER             NOT NULL,
  REQUESTER_PERSON_ID        NUMBER,
  TARGET_ENDPOINT_DICT_ID    NUMBER,
  EDIT_DATE                  DATE,
  COMMENTS                   VARCHAR2(2048 BYTE),
  RESEARCHER_PERSON_ID       NUMBER,
  REQUEST_REASONING          VARCHAR2(2048 BYTE),
  MUTATION_PLAN              VARCHAR2(2048 BYTE),
  KNOCKOUT_EXISTS            VARCHAR2(32 BYTE),
  KNOCKOUT_EXISTS_REFERENCE  VARCHAR2(4000 BYTE),
  ALLELE_NATURE              VARCHAR2(4000 BYTE),
  REQUEST_PRIORITY           INTEGER,
  GENE_ID                    INTEGER,
  REVIEW_COMMENTS            VARCHAR2(4000 BYTE),
  RESEARCHER_NAME            VARCHAR2(4000 BYTE),
  ALLELE_MOD_TYPE_DICT_ID    NUMBER,
  ALLELE_MOD_OTHER_EXPLN     VARCHAR2(4000 BYTE),
  MGP_PHENOTYPING_REQUIRED   NUMBER(1)          DEFAULT 0,
  STATUS_DICT_ID             INTEGER,
  EDITED_BY                  VARCHAR2(128 BYTE),
  REQUEST_SOURCE_DICT_ID     NUMBER,
  GENE_PUBLICATIONS          VARCHAR2(4000 BYTE),
  MOUSE_PUBLICATIONS         VARCHAR2(4000 BYTE),
  UNEXPECTED_PHENOTYPE_OK    NUMBER(1),
  CREATED_DATE               DATE               DEFAULT systimestamp
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TEMP_EUCOMM
(
  STATUS      VARCHAR2(500 BYTE),
  GENE_NAME   VARCHAR2(500 BYTE),
  ENSEMBL_ID  VARCHAR2(500 BYTE),
  VEGA_ID     VARCHAR2(500 BYTE),
  COMMENTS    VARCHAR2(500 BYTE),
  GENE_ID     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_TARGET_ENDPOINT_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(128 BYTE)               DEFAULT NULL                  NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)                        NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_EXTERNAL_SUPPORT_REF
(
  GENE_ID    INTEGER,
  PERSON_ID  INTEGER,
  TIMESTAMP  DATE,
  SCORE      INTEGER,
  URL        VARCHAR2(4000 BYTE),
  NOTE       VARCHAR2(4000 BYTE),
  ID         INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_SUMMARY
(
  GENE_ID    NUMBER                             NOT NULL,
  PERSON_ID  NUMBER                             NOT NULL,
  EDIT_DATE  DATE                               DEFAULT systimestamp,
  SCORE      NUMBER                             NOT NULL,
  RATIONAL   VARCHAR2(4000 BYTE),
  ID         NUMBER                             NOT NULL,
  IS_VALID   NUMBER(1)                          DEFAULT 1
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_CARD_COLOUR_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_TARGETING_HITS
(
  GENE_ID        INTEGER                        NOT NULL,
  TIMESTAMP      DATE                           DEFAULT SYSDATE,
  IGTC_HITS      INTEGER,
  OMNIBANK_HITS  INTEGER,
  ID             INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_LOCUS
(
  ID           INTEGER,
  CHR_NAME     VARCHAR2(32 BYTE),
  CHR_START    INTEGER,
  CHR_END      INTEGER,
  CHR_STRAND   INTEGER,
  ASSEMBLY_ID  INTEGER,
  TYPE         VARCHAR2(32 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT
(
  ID                  INTEGER,
  LOCUS_ID            INTEGER                   NOT NULL,
  GENE_BUILD_GENE_ID  INTEGER,
  EXON_COUNT          INTEGER                   DEFAULT 0                     NOT NULL,
  PRIMARY_NAME        VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT_HOMOLOGY
(
  LEFT_TRANSCRIPT_ID   INTEGER,
  RIGHT_TRANSCRIPT_ID  INTEGER,
  ID                   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT_NAME
(
  TRANSCRIPT_ID  INTEGER,
  NAME           VARCHAR2(4000 BYTE),
  SOURCE         VARCHAR2(128 BYTE),
  NAME_UC        VARCHAR2(4000 BYTE),
  ID             INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PERSONAL_LICENCE
(
  PERSONAL_LICENCE_ID  INTEGER,
  PERSON_ID            INTEGER,
  PIL_NUMBER           VARCHAR2(32 BYTE)        NOT NULL,
  PERSON_NAME          VARCHAR2(256 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PROJECT_2_PERSONAL_LICENCE
(
  PROJECT_LICENCE_ID   INTEGER,
  PERSONAL_LICENCE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PROJECT_LICENCE
(
  PROJECT_LICENCE_ID     INTEGER,
  RESPONSIBLE_PERSON_ID  INTEGER,
  PPL                    VARCHAR2(128 BYTE),
  LICENCE_NUMBER         VARCHAR2(128 BYTE),
  TITLE                  VARCHAR2(128 BYTE),
  START_DATE             DATE,
  END_DATE               DATE,
  DEPUTY1_PERSON_ID      INTEGER,
  DEPUTY2_PERSON_ID      INTEGER,
  DEPUTY3_PERSON_ID      INTEGER,
  CREATOR_ID             INTEGER,
  CREATED_DATE           DATE,
  EDITED_BY              VARCHAR2(128 BYTE),
  EDIT_DATE              DATE,
  CHECK_NUMBER           INTEGER                DEFAULT 0
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LIC_PROTOCOL_19B
(
  PROTOCOL_19B_ID     INTEGER,
  PROJECT_LICENCE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_PERSON
(
  PERSON_ID      INTEGER,
  FIRST_NAME     VARCHAR2(128 BYTE),
  LAST_NAME      VARCHAR2(128 BYTE),
  PASSWORD_HASH  VARCHAR2(128 BYTE),
  USER_NAME      VARCHAR2(32 BYTE),
  TITLE          VARCHAR2(16 BYTE),
  TIMESTAMP      DATE                           DEFAULT sysdate,
  EMAIL          VARCHAR2(1024 BYTE),
  ADDRESS        VARCHAR2(2048 BYTE),
  ROOM           VARCHAR2(255 BYTE),
  PHONE_NUMBER   VARCHAR2(64 BYTE),
  TEAM_ID        INTEGER,
  CREATOR_ID     INTEGER,
  CREATED_DATE   DATE,
  EDITED_BY      VARCHAR2(128 BYTE),
  EDIT_DATE      DATE,
  CHECK_NUMBER   INTEGER                        DEFAULT 0
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_PERSON_2_ROLE
(
  PERSON_2_ROLE_ID  NUMBER,
  PERSON_ID         NUMBER,
  ROLE_ID           NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_ROLE
(
  ROLE_ID       NUMBER,
  NAME          VARCHAR2(255 BYTE),
  RANK          NUMBER,
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  INTEGER                         DEFAULT 0
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_EXON_NAME
(
  EXON_ID  INTEGER,
  NAME     VARCHAR2(4000 BYTE),
  SOURCE   VARCHAR2(128 BYTE),
  NAME_UC  VARCHAR2(4000 BYTE),
  ID       NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_FACULTY_VOTE
(
  FACULTY_VOTE_ID  INTEGER,
  PERSON_ID        INTEGER                      NOT NULL,
  GENE_ID          INTEGER                      NOT NULL,
  TIMESTAMP        DATE                         DEFAULT SYSDATE,
  VOTE             VARCHAR2(32 BYTE)            NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY
(
  ID                            INTEGER,
  COLONY_NAME                   VARCHAR2(64 BYTE),
  PPL_HOLDER                    VARCHAR2(64 BYTE),
  PROJECT_LICENCE_ID            INTEGER,
  DESTINATION_ROOMS             VARCHAR2(64 BYTE),
  CARD_COLOUR                   VARCHAR2(64 BYTE),
  ALLELE_NAME_1                 VARCHAR2(64 BYTE),
  ALLELE_NAME_2                 VARCHAR2(64 BYTE),
  ALLELE_NAME_3                 VARCHAR2(64 BYTE),
  ALLELE_NAME_4                 VARCHAR2(64 BYTE),
  STRAIN_ID                     INTEGER,
  GENOTYPE_1                    VARCHAR2(64 BYTE),
  PHENOTYPE_1                   VARCHAR2(4000 BYTE),
  GENOTYPE_2                    VARCHAR2(64 BYTE),
  PHENOTYPE_2                   VARCHAR2(4000 BYTE),
  GENOTYPE_3                    VARCHAR2(64 BYTE),
  PHENOTYPE_3                   VARCHAR2(4000 BYTE),
  GENOTYPE_4                    VARCHAR2(64 BYTE),
  PHENOTYPE_4                   VARCHAR2(4000 BYTE),
  CONTACT_NAME_1                VARCHAR2(64 BYTE),
  CONTACT_REASON_1              VARCHAR2(4000 BYTE),
  CONTACT_NAME_2                VARCHAR2(64 BYTE),
  CONTACT_REASON_2              VARCHAR2(4000 BYTE),
  CONTACT_NAME_3                VARCHAR2(64 BYTE),
  CONTACT_REASON_3              VARCHAR2(4000 BYTE),
  CONTACT_NAME_4                VARCHAR2(64 BYTE),
  CONTACT_REASON_4              VARCHAR2(4000 BYTE),
  COLONY_MANAGEMENT             VARCHAR2(4000 BYTE),
  AVERAGE_LITTER_SIZE           INTEGER,
  COAT_COLOUR                   VARCHAR2(64 BYTE),
  BREEDING_LIFESPAN_WEEKS       VARCHAR2(128 BYTE),
  IMMUNE_STATUS                 VARCHAR2(64 BYTE),
  BEHAVIOURAL_TRAITS            VARCHAR2(4000 BYTE),
  REMEDIAL_ACTION               VARCHAR2(4000 BYTE),
  OTHER_ABNORMALITIES           VARCHAR2(4000 BYTE),
  WELFARE_ASSESSMENT            VARCHAR2(4000 BYTE),
  HUSBANDRY_RECOMMENDATIONS     VARCHAR2(4000 BYTE),
  DIET                          VARCHAR2(128 BYTE),
  HOUSING_SYSTEM                VARCHAR2(128 BYTE),
  ENVIRONMENTAL_ENRICHMENT      VARCHAR2(128 BYTE),
  MISC_NOTES                    VARCHAR2(4000 BYTE),
  COLONY_ORIGIN                 VARCHAR2(128 BYTE),
  PLACE_OF_ORIGIN               VARCHAR2(128 BYTE),
  DATE_OF_IMPORT                DATE,
  DATE_OF_REDERIVATION          DATE,
  REDERIVATION_METHOD           VARCHAR2(128 BYTE),
  EDITED_BY                     VARCHAR2(128 BYTE),
  EDIT_DATE                     DATE,
  WELFARE_ASSESSMENT_PERFORMED  NUMBER(1),
  WTSI_ORIGIN                   NUMBER(1),
  COLONY_PREFIX                 VARCHAR2(10 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_STRAIN
(
  ID           INTEGER,
  NAME         VARCHAR2(64 BYTE)                NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_ES_CLONE_2_STRAIN
(
  STRAIN_ID        INTEGER,
  ES_CLONE_ID      INTEGER,
  PERCENT_CONTRIB  FLOAT(126),
  ID               INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MOUSE_2_STRAIN
(
  MOUSE_ID         INTEGER,
  STRAIN_ID        INTEGER,
  PERCENT_CONTRIB  FLOAT(126),
  ID               INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_ROOM
(
  ID             INTEGER,
  ROOM_NUMBER    VARCHAR2(128 BYTE)             NOT NULL,
  BUILDING_NAME  VARCHAR2(128 BYTE)             DEFAULT 'RSF',
  CORRIDOR       VARCHAR2(128 BYTE),
  DESCRIPTION    VARCHAR2(1028 BYTE),
  CHECK_NUMBER   NUMBER,
  ACTIVE         NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ABSTRACT
(
  ID        INTEGER,
  ABSTRACT  CLOB
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ARTICLE
(
  ID           INTEGER                          NOT NULL,
  PUBMED_ID    VARCHAR2(1024 BYTE)              NOT NULL,
  JOURNAL      VARCHAR2(512 BYTE),
  YEAR         INTEGER,
  ISSUE        VARCHAR2(128 BYTE),
  VOLUME       VARCHAR2(128 BYTE),
  PAGES        VARCHAR2(128 BYTE),
  TITLE        VARCHAR2(4000 BYTE),
  ABSTRACT_ID  INTEGER,
  MEDLINE_ID   VARCHAR2(1024 BYTE),
  AFFILIATION  VARCHAR2(4000 BYTE),
  MONTH        VARCHAR2(128 BYTE),
  DAY          INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_AUTHOR
(
  ID        INTEGER,
  LASTNAME  VARCHAR2(1024 BYTE),
  FORENAME  VARCHAR2(1024 BYTE),
  INITIALS  VARCHAR2(1024 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE REQ_ANIMAL_REQUEST
(
  ID                           INTEGER          NOT NULL,
  PROJECT_LICENCE_ID           INTEGER          NOT NULL,
  PERSONAL_LICENCE_ID          INTEGER          NOT NULL,
  REQUEST_REASON               VARCHAR2(4000 BYTE),
  STRAIN_ID                    INTEGER          NOT NULL,
  NUM_MALES_NEEDED             INTEGER,
  NUM_FEMALES_NEEDED           INTEGER,
  DATE_REQUIRED                DATE,
  DESTINATION_ROOM_ID          INTEGER,
  STANDING_ORDER_FREQ          VARCHAR2(256 BYTE),
  STANDING_ORDER_DAY           VARCHAR2(256 BYTE),
  NUMBER_IN_CAGE               INTEGER,
  AGE_MATCHED_LITERMATES       CHAR(1 BYTE),
  IDENTIFICATION               CHAR(1 BYTE),
  REDERIVATION_REQUESTED       CHAR(1 BYTE),
  COMMENTS                     VARCHAR2(4000 BYTE),
  EMBRYO_AGE_NEEDED            VARCHAR2(64 BYTE),
  AGE_OR_WEIGHT_UNITS          VARCHAR2(256 BYTE),
  AGE_OR_WEIGHT                VARCHAR2(256 BYTE),
  FUNDING_SOURCE               VARCHAR2(256 BYTE),
  STATUS_DICT_ID               INTEGER          DEFAULT '1'                   NOT NULL,
  AGE_OR_WEIGHT_VS_EMBRYO_AGE  VARCHAR2(32 BYTE) NOT NULL,
  CREATED_DATE                 DATE             DEFAULT systimestamp,
  EDITED_BY                    VARCHAR2(128 BYTE),
  EDIT_DATE                    DATE,
  REQUEST_ORIGINATOR_ID        INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST
(
  ID                       NUMBER               NOT NULL,
  PPL                      VARCHAR2(128 BYTE),
  PPL_HOLDER               VARCHAR2(128 BYTE),
  REQUESTOR_NAME           VARCHAR2(128 BYTE),
  REQUESTOR_PIL            VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL          VARCHAR2(128 BYTE),
  REQUESTOR_PHONE          VARCHAR2(128 BYTE),
  REQUESTOR_TEAM           VARCHAR2(128 BYTE),
  COLONY_NAME              VARCHAR2(128 BYTE),
  COLONY_PREFIX            VARCHAR2(128 BYTE),
  MOUSE_LINE_NAME          VARCHAR2(128 BYTE),
  ALTERED_ALLELE           VARCHAR2(128 BYTE),
  ENSEMBL_ID               VARCHAR2(128 BYTE),
  MOUSE_BACKGROUND_STRAIN  VARCHAR2(128 BYTE),
  BREEDING_PERFORMANCE     VARCHAR2(128 BYTE),
  FEMALE_STRAIN            VARCHAR2(128 BYTE),
  EDIT_DATE                DATE                 DEFAULT systimestamp,
  STATUS_DICT_ID           NUMBER               DEFAULT 1                     NOT NULL,
  HOMOZYGOUS_LETHAL        NUMBER(1),
  EDITED_BY                VARCHAR2(128 BYTE)   DEFAULT user,
  REQUESTER_PERSON_ID      INTEGER,
  CREATED_DATE             DATE                 DEFAULT systimestamp
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_MICRO_INJECTION_REQUEST
(
  ID                          INTEGER           NOT NULL,
  CELL_LINE_ID                INTEGER,
  ENDPOINT_DICT_ID            INTEGER,
  EDIT_DATE                   DATE,
  EDITED_BY                   VARCHAR2(128 BYTE),
  STATUS_DICT_ID              NUMBER,
  CREATED_DATE                DATE              DEFAULT systimestamp,
  REQUESTER_ID                INTEGER,
  PROJECT_LICENCE_ID          INTEGER,
  DONOR_PLUG_COUNT            INTEGER,
  DONOR_STRAIN_DICT_ID        INTEGER,
  GENOTYPING_REQUIRED         INTEGER,
  DONOR_EMBRYO_STAGE_DICT_ID  INTEGER,
  WORKFLOW_PIPELINE_DICT_ID   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_TARGET_ENDPOINT_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1),
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_CELL_LINE
(
  ID                           NUMBER           NOT NULL,
  CELL_LINE_NAME               VARCHAR2(128 BYTE),
  CELL_LINE_SOURCE_DICT_ID     INTEGER,
  CELL_LINE_STRAIN_DICT_ID     NUMBER,
  TEAM_87_REF_ID               INTEGER,
  CLONE_NAME                   VARCHAR2(128 BYTE),
  MODIFIED_ALLELE_ID           INTEGER,
  CREATED_DATE                 DATE,
  CREATOR_ID                   INTEGER,
  EDIT_DATE                    DATE             DEFAULT NULL,
  EDITED_BY                    VARCHAR2(128 BYTE),
  EXPECTED_COAT_COLOR_DICT_ID  INTEGER,
  GENOTYPE_DICT_ID             INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MODIFIED_ALLELE
(
  ID                             INTEGER        NOT NULL,
  LOCUS_ID                       INTEGER,
  MUTATION_NATURE_ID             INTEGER,
  INTERNAL_NAME                  VARCHAR2(512 BYTE),
  OFFICIAL_NAME_SUPERSCRIPT      VARCHAR2(256 BYTE),
  AFFECTS_SINGLE_GENE            INTEGER        DEFAULT NULL                  NOT NULL,
  IS_HOMOZYGOUS_LETHAL           VARCHAR2(7 BYTE),
  INHERITANCE_MODE_ID            INTEGER,
  HAS_ASSOCIATED_PHENOTYPE       VARCHAR2(7 BYTE),
  PHENOTYPE_DESCRIPTION          VARCHAR2(4000 BYTE),
  AFFECTS_MULTIPLE_GENE_DESCRIP  VARCHAR2(4000 BYTE),
  ALLELE_DESCRIPTION             VARCHAR2(4000 BYTE),
  TEAM_NAME                      VARCHAR2(256 BYTE),
  TEAM_LEADER                    VARCHAR2(256 BYTE),
  SHORT_ALLELE_SYMBOL            VARCHAR2(256 BYTE),
  MAKER_NAME                     VARCHAR2(256 BYTE),
  ORIGINAL_ENTRY_DATE            DATE,
  SUBMITTER_ID                   NUMBER,
  GENE_ID                        INTEGER,
  ENSEMBL_VEGA_BUILD             INTEGER,
  MULTIPLE_GENE_REGION_NAME      VARCHAR2(128 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_REQUEST_2_MODIFIED_ALLELE
(
  ALLELE_REQUEST_ID   INTEGER,
  MODIFIED_ALLELE_ID  INTEGER,
  TIMESTAMP           DATE                      DEFAULT SYSDATE,
  ID                  INTEGER                   NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PUB_ARTICLE_2_AUTHOR
(
  ID          INTEGER,
  ARTICLE_ID  INTEGER,
  AUTHOR_ID   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MOUSE_SAMPLE
(
  MOUSE_SAMPLE_ID  INTEGER,
  TISSUE_SOURCE    VARCHAR2(128 BYTE),
  EVENT_ID         INTEGER,
  ID               INTEGER,
  BARCODE          VARCHAR2(128 BYTE),
  MOUSE_ID         INTEGER,
  LOCATION         VARCHAR2(512 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE APP_WORKFLOW_PIPELINE_DICT
(
  ID           INTEGER,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     INTEGER                          NOT NULL,
  ACTIVE       INTEGER                          NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_GENOTYPE_TEST
(
  ID                     INTEGER,
  MODIFIED_ALLELE_ID     INTEGER,
  DESCRIPTION            VARCHAR2(4000 BYTE),
  GENOTYPE_TEST_TYPE_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_GENOTYPING_PRIMER_PAIR
(
  ID                    INTEGER,
  GENOTYPE_TEST_ID      INTEGER,
  FIVE_PRIMER_FORWARD   VARCHAR2(70 BYTE),
  THREE_PRIMER_REVERSE  VARCHAR2(70 BYTE),
  EXPECTED_SIZE         INTEGER,
  MELT_TEMP             FLOAT(126),
  PRIMER_PAIR_TYPE_ID   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(
  MOUSE_SAMPLE_ID   INTEGER,
  GENOTYPE_TEST_ID  INTEGER,
  RESULT            VARCHAR2(128 BYTE),
  PROCESS_STATUS    VARCHAR2(128 BYTE),
  ID                INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GNM_TRANSCRIPT_2_EXON
(
  ID             INTEGER                        NOT NULL,
  EXON_ID        INTEGER,
  TRANSCRIPT_ID  INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEV_GENE_ARTICLE_REF
(
  ID          INTEGER                           NOT NULL,
  GENE_ID     INTEGER                           NOT NULL,
  PERSON_ID   INTEGER                           NOT NULL,
  ARTICLE_ID  INTEGER                           NOT NULL,
  NOTE        VARCHAR2(4000 BYTE),
  EDIT_DATE   DATE                              DEFAULT SYSDATE,
  SCORE       INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE REQ_ANIMAL_REQUEST_STATUS_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       VARCHAR2(5 BYTE)                 NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TEMP_EUCOMM_250906
(
  RESEARCHER  VARCHAR2(128 BYTE),
  ENSEMBL_ID  VARCHAR2(128 BYTE),
  EXP_PLAN    VARCHAR2(4000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_SOURCE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  ORDER_BY     INTEGER,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER                           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_ALLELE_REQUEST_AUDIT
(
  ID                         NUMBER,
  REQUESTER_PERSON_ID        NUMBER,
  TARGET_ENDPOINT_DICT_ID    NUMBER,
  EDIT_DATE                  DATE,
  COMMENTS                   VARCHAR2(2048 BYTE),
  RESEARCHER_PERSON_ID       NUMBER,
  REQUEST_REASONING          VARCHAR2(2048 BYTE),
  MUTATION_PLAN              VARCHAR2(2048 BYTE),
  KNOCKOUT_EXISTS            VARCHAR2(32 BYTE),
  KNOCKOUT_EXISTS_REFERENCE  VARCHAR2(4000 BYTE),
  ALLELE_NATURE              VARCHAR2(4000 BYTE),
  REQUEST_PRIORITY           INTEGER,
  GENE_ID                    INTEGER,
  REVIEW_COMMENTS            VARCHAR2(4000 BYTE),
  RESEARCHER_NAME            VARCHAR2(4000 BYTE),
  ALLELE_MOD_TYPE_DICT_ID    NUMBER,
  ALLELE_MOD_OTHER_EXPLN     VARCHAR2(4000 BYTE),
  MGP_PHENOTYPING_REQUIRED   NUMBER(1)          DEFAULT 0,
  STATUS_DICT_ID             INTEGER,
  EDITED_BY                  VARCHAR2(128 BYTE),
  REQUEST_SOURCE_DICT_ID     NUMBER,
  GENE_PUBLICATIONS          VARCHAR2(4000 BYTE),
  MOUSE_PUBLICATIONS         VARCHAR2(4000 BYTE),
  UNEXPECTED_PHENOTYPE_OK    NUMBER(1),
  AUDIT_DATE                 DATE               DEFAULT SYSTIMESTAMP,
  CREATED_DATE               DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_HAVANA_REQUEST
(
  ID                       NUMBER               NOT NULL,
  ALLELE_REQUEST_ID        NUMBER               NOT NULL,
  STATUS_DICT_ID           NUMBER               NOT NULL,
  CREATED_DATE             DATE                 DEFAULT systimestamp,
  EDITED_BY                VARCHAR2(256 BYTE),
  EDITED_DATE              DATE,
  COMMENTS                 VARCHAR2(4000 BYTE),
  VEGA_ID                  VARCHAR2(128 BYTE),
  UPDATED_GENE_NAME        VARCHAR2(128 BYTE),
  UPDATED_CHROMOSOME_NAME  VARCHAR2(128 BYTE),
  START_NOT_FOUND          NUMBER(1),
  END_NOT_FOUND            NUMBER(1),
  CRITICAL_EXON_ID         VARCHAR2(128 BYTE),
  PSEUDOGENE               NUMBER(1),
  ASSEMBLY_ERROR           NUMBER(1),
  CREATED_BY               INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_HAVANA_REQUEST_AUDIT
(
  ID                       NUMBER,
  ALLELE_REQUEST_ID        NUMBER,
  STATUS_DICT_ID           NUMBER,
  CREATED_DATE             DATE,
  EDITED_BY                VARCHAR2(256 BYTE),
  EDITED_DATE              DATE,
  COMMENTS                 VARCHAR2(4000 BYTE),
  AUDIT_DATE               DATE                 DEFAULT systimestamp,
  VEGA_ID                  VARCHAR2(128 BYTE),
  UPDATED_GENE_NAME        VARCHAR2(128 BYTE),
  UPDATED_CHROMOSOME_NAME  VARCHAR2(128 BYTE),
  START_NOT_FOUND          NUMBER(1),
  END_NOT_FOUND            NUMBER(1),
  CRITICAL_EXON_ID         VARCHAR2(128 BYTE),
  PSEUDOGENE               NUMBER(1),
  ASSEMBLY_ERROR           NUMBER(1),
  CREATED_BY               INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRQ_CRYO_REQUEST_AUDIT
(
  ID                       NUMBER,
  PPL                      VARCHAR2(128 BYTE),
  PPL_HOLDER               VARCHAR2(128 BYTE),
  REQUESTOR_NAME           VARCHAR2(128 BYTE),
  REQUESTOR_PIL            VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL          VARCHAR2(128 BYTE),
  REQUESTOR_PHONE          VARCHAR2(128 BYTE),
  REQUESTOR_TEAM           VARCHAR2(128 BYTE),
  COLONY_NAME              VARCHAR2(128 BYTE),
  COLONY_PREFIX            VARCHAR2(128 BYTE),
  MOUSE_LINE_NAME          VARCHAR2(128 BYTE),
  ALTERED_ALLELE           VARCHAR2(128 BYTE),
  ENSEMBL_ID               VARCHAR2(128 BYTE),
  MOUSE_BACKGROUND_STRAIN  VARCHAR2(128 BYTE),
  BREEDING_PERFORMANCE     VARCHAR2(128 BYTE),
  FEMALE_STRAIN            VARCHAR2(128 BYTE),
  EDIT_DATE                DATE,
  STATUS_DICT_ID           NUMBER,
  HOMOZYGOUS_LETHAL        NUMBER(1),
  EDITED_BY                VARCHAR2(128 BYTE),
  AUDIT_DATE               DATE                 DEFAULT systimestamp,
  REQUESTER_PERSON_ID      INTEGER,
  CREATED_DATE             DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_MICRO_INJECTION_REQ_AUDIT
(
  ID                          INTEGER,
  CELL_LINE_ID                INTEGER,
  ENDPOINT_DICT_ID            INTEGER,
  EDIT_DATE                   DATE,
  EDITED_BY                   VARCHAR2(128 BYTE),
  STATUS_DICT_ID              NUMBER,
  AUDIT_DATE                  DATE              DEFAULT SYSTIMESTAMP,
  CREATED_DATE                DATE,
  REQUESTER_ID                INTEGER,
  PROJECT_LICENCE_ID          INTEGER,
  DONOR_PLUG_COUNT            INTEGER,
  DONOR_STRAIN_DICT_ID        INTEGER,
  GENOTYPING_REQUIRED         INTEGER,
  DONOR_EMBRYO_STAGE_DICT_ID  INTEGER,
  WORKFLOW_PIPELINE_DICT_ID   INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_AUDIT
(
  ID                            INTEGER,
  COLONY_NAME                   VARCHAR2(64 BYTE),
  PPL_HOLDER                    VARCHAR2(64 BYTE),
  PROJECT_LICENCE_ID            INTEGER,
  DESTINATION_ROOMS             VARCHAR2(64 BYTE),
  CARD_COLOUR                   VARCHAR2(64 BYTE),
  ALLELE_NAME_1                 VARCHAR2(64 BYTE),
  ALLELE_NAME_2                 VARCHAR2(64 BYTE),
  ALLELE_NAME_3                 VARCHAR2(64 BYTE),
  ALLELE_NAME_4                 VARCHAR2(64 BYTE),
  STRAIN_ID                     INTEGER,
  GENOTYPE_1                    VARCHAR2(64 BYTE),
  PHENOTYPE_1                   VARCHAR2(4000 BYTE),
  GENOTYPE_2                    VARCHAR2(64 BYTE),
  PHENOTYPE_2                   VARCHAR2(4000 BYTE),
  GENOTYPE_3                    VARCHAR2(64 BYTE),
  PHENOTYPE_3                   VARCHAR2(4000 BYTE),
  GENOTYPE_4                    VARCHAR2(64 BYTE),
  PHENOTYPE_4                   VARCHAR2(4000 BYTE),
  CONTACT_NAME_1                VARCHAR2(64 BYTE),
  CONTACT_REASON_1              VARCHAR2(128 BYTE),
  CONTACT_NAME_2                VARCHAR2(64 BYTE),
  CONTACT_REASON_2              VARCHAR2(128 BYTE),
  CONTACT_NAME_3                VARCHAR2(64 BYTE),
  CONTACT_REASON_3              VARCHAR2(128 BYTE),
  CONTACT_NAME_4                VARCHAR2(64 BYTE),
  CONTACT_REASON_4              VARCHAR2(128 BYTE),
  COLONY_MANAGEMENT             VARCHAR2(4000 BYTE),
  AVERAGE_LITTER_SIZE           INTEGER,
  COAT_COLOUR                   VARCHAR2(64 BYTE),
  BREEDING_LIFESPAN_WEEKS       VARCHAR2(128 BYTE),
  IMMUNE_STATUS                 VARCHAR2(64 BYTE),
  BEHAVIOURAL_TRAITS            VARCHAR2(4000 BYTE),
  REMEDIAL_ACTION               VARCHAR2(4000 BYTE),
  OTHER_ABNORMALITIES           VARCHAR2(4000 BYTE),
  WELFARE_ASSESSMENT            VARCHAR2(4000 BYTE),
  HUSBANDRY_RECOMMENDATIONS     VARCHAR2(4000 BYTE),
  DIET                          VARCHAR2(128 BYTE),
  HOUSING_SYSTEM                VARCHAR2(128 BYTE),
  ENVIRONMENTAL_ENRICHMENT      VARCHAR2(128 BYTE),
  MISC_NOTES                    VARCHAR2(4000 BYTE),
  COLONY_ORIGIN                 VARCHAR2(128 BYTE),
  PLACE_OF_ORIGIN               VARCHAR2(128 BYTE),
  DATE_OF_IMPORT                DATE,
  DATE_OF_REDERIVATION          DATE,
  REDERIVATION_METHOD           VARCHAR2(128 BYTE),
  EDITED_BY                     VARCHAR2(128 BYTE),
  EDIT_DATE                     DATE,
  AUDIT_DATE                    DATE            DEFAULT systimestamp,
  WELFARE_ASSESSMENT_PERFORMED  NUMBER(1),
  WTSI_ORIGIN                   NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_MAILING_LIST
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(1024 BYTE)              NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_MAILING_LIST_RECIPIENT
(
  ID               NUMBER                       NOT NULL,
  MAILING_LIST_ID  NUMBER                       NOT NULL,
  EMAIL            VARCHAR2(256 BYTE)           NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_TEAM
(
  TEAM_NAME     VARCHAR2(128 BYTE),
  TEAM_NUMBER   INTEGER,
  TEAM_LEADER   VARCHAR2(128 BYTE),
  ID            NUMBER,
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDIT_DATE     DATE,
  EDITED_BY     VARCHAR2(128 BYTE),
  CHECK_NUMBER  INTEGER                         DEFAULT 0
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE REQ_ANIMAL_REQUEST_AUDIT
(
  ID                           INTEGER,
  PROJECT_LICENCE_ID           INTEGER,
  PERSONAL_LICENCE_ID          INTEGER,
  REQUEST_REASON               VARCHAR2(4000 BYTE),
  STRAIN_ID                    INTEGER,
  NUM_MALES_NEEDED             INTEGER,
  NUM_FEMALES_NEEDED           INTEGER,
  DATE_REQUIRED                DATE,
  DESTINATION_ROOM_ID          INTEGER,
  STANDING_ORDER_FREQ          VARCHAR2(256 BYTE),
  STANDING_ORDER_DAY           VARCHAR2(256 BYTE),
  NUMBER_IN_CAGE               INTEGER,
  AGE_MATCHED_LITERMATES       CHAR(1 BYTE),
  IDENTIFICATION               CHAR(1 BYTE),
  REDERIVATION_REQUESTED       CHAR(1 BYTE),
  COMMENTS                     VARCHAR2(4000 BYTE),
  EMBRYO_AGE_NEEDED            VARCHAR2(64 BYTE),
  AGE_OR_WEIGHT_UNITS          VARCHAR2(256 BYTE),
  AGE_OR_WEIGHT                VARCHAR2(256 BYTE),
  FUNDING_SOURCE               VARCHAR2(256 BYTE),
  STATUS_DICT_ID               INTEGER,
  AGE_OR_WEIGHT_VS_EMBRYO_AGE  VARCHAR2(32 BYTE),
  CREATED_DATE                 DATE,
  EDITED_BY                    VARCHAR2(128 BYTE),
  EDIT_DATE                    DATE,
  AUDIT_DATE                   DATE             DEFAULT systimestamp,
  REQUEST_ORIGINATOR_ID        INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TOAD_PLAN_TABLE
(
  STATEMENT_ID     VARCHAR2(32 BYTE),
  TIMESTAMP        DATE,
  REMARKS          VARCHAR2(80 BYTE),
  OPERATION        VARCHAR2(30 BYTE),
  OPTIONS          VARCHAR2(30 BYTE),
  OBJECT_NODE      VARCHAR2(128 BYTE),
  OBJECT_OWNER     VARCHAR2(30 BYTE),
  OBJECT_NAME      VARCHAR2(30 BYTE),
  OBJECT_INSTANCE  NUMBER,
  OBJECT_TYPE      VARCHAR2(30 BYTE),
  SEARCH_COLUMNS   NUMBER,
  ID               NUMBER,
  COST             NUMBER,
  PARENT_ID        NUMBER,
  POSITION         NUMBER,
  CARDINALITY      NUMBER,
  OPTIMIZER        VARCHAR2(255 BYTE),
  BYTES            NUMBER,
  OTHER_TAG        VARCHAR2(255 BYTE),
  PARTITION_ID     NUMBER,
  PARTITION_START  VARCHAR2(255 BYTE),
  PARTITION_STOP   VARCHAR2(255 BYTE),
  DISTRIBUTION     VARCHAR2(30 BYTE),
  OTHER            LONG
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TOAD_PLAN_SQL
(
  USERNAME      VARCHAR2(30 BYTE),
  STATEMENT_ID  VARCHAR2(32 BYTE),
  TIMESTAMP     DATE,
  STATEMENT     VARCHAR2(2000 BYTE)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_INHERITANCE_MODE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_MUTATION_NATURE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_PRIMER_PAIR_TYPE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     INTEGER,
  ACTIVE       INTEGER                          DEFAULT 1                     NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYP_GENOTYPE_TEST_TYPE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ACTIVE       INTEGER                          DEFAULT 1                     NOT NULL,
  ORDER_BY     INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PER_USER_LOG
(
  ID           NUMBER,
  USER_NAME    VARCHAR2(128 BYTE),
  PERSON_NAME  VARCHAR2(128 BYTE),
  EVENT        VARCHAR2(128 BYTE),
  LOG_DATE     DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_INFO
(
  ID                            INTEGER,
  COLONY_NAME                   VARCHAR2(64 BYTE),
  PROJECT_LICENCE_ID            INTEGER,
  CARD_COLOUR_DICT_ID           NUMBER,
  COLONY_MANAGEMENT             VARCHAR2(4000 BYTE),
  AVERAGE_LITTER_SIZE           INTEGER,
  BREEDING_LIFESPAN_WEEKS       VARCHAR2(128 BYTE),
  IMMUNE_STATUS                 VARCHAR2(64 BYTE),
  OTHER_ABNORMALITIES           VARCHAR2(4000 BYTE),
  WELFARE_ASSESSMENT            VARCHAR2(4000 BYTE),
  HUSBANDRY_RECOMMENDATIONS     VARCHAR2(4000 BYTE),
  DIET                          VARCHAR2(128 BYTE),
  HOUSING_SYSTEM                VARCHAR2(128 BYTE),
  ENVIRONMENTAL_ENRICHMENT      VARCHAR2(128 BYTE),
  MISC_NOTES                    VARCHAR2(4000 BYTE),
  COLONY_ORIGIN                 VARCHAR2(128 BYTE),
  PLACE_OF_ORIGIN               VARCHAR2(128 BYTE),
  DATE_OF_IMPORT                DATE,
  DATE_OF_REDERIVATION          DATE,
  REDERIVATION_METHOD           VARCHAR2(128 BYTE),
  EDITED_BY                     VARCHAR2(128 BYTE),
  EDIT_DATE                     DATE,
  WELFARE_ASSESSMENT_PERFORMED  NUMBER(1),
  WTSI_ORIGIN                   NUMBER(1),
  COLONY_PREFIX                 VARCHAR2(10 BYTE),
  MODE_OF_INHERITANCE           VARCHAR2(128 BYTE),
  ASSESSING_PHENOTYPE           VARCHAR2(4000 BYTE),
  CHECK_NUMBER                  NUMBER,
  CREATED_BY                    NUMBER,
  CREATED_DATE                  DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_ROOM
(
  ID            NUMBER,
  ROOM_ID       NUMBER,
  COLONY_ID     NUMBER,
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_STRAIN
(
  ID            NUMBER,
  STRAIN_ID     NUMBER,
  COLONY_ID     NUMBER,
  PERCENT       FLOAT(126),
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_ALLELE_AUDIT
(
  ID                  NUMBER,
  COLONY_ID           NUMBER,
  MODIFIED_ALLELE_ID  NUMBER,
  EDITED_BY           VARCHAR2(128 BYTE),
  EDIT_DATE           DATE,
  CHECK_NUMBER        NUMBER,
  AUDIT_DATE          DATE                      DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_BEHAVIOUR_AUDIT
(
  ID               NUMBER,
  TRAIT            VARCHAR2(4000 BYTE),
  REMEDIAL_ACTION  VARCHAR2(4000 BYTE),
  COLONY_ID        NUMBER,
  EDITED_BY        VARCHAR2(128 BYTE),
  EDIT_DATE        DATE,
  CHECK_NUMBER     NUMBER,
  AUDIT_DATE       DATE                         DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_COAT_COLOUR_AUDIT
(
  ID                   NUMBER,
  COLONY_ID            NUMBER,
  COAT_COLOUR_DICT_ID  NUMBER,
  EDITED_BY            VARCHAR2(128 BYTE),
  EDIT_DATE            DATE,
  CHECK_NUMBER         NUMBER,
  AUDIT_DATE           DATE                     DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_CONTACT_AUDIT
(
  ID            NUMBER,
  PERSON_ID     NUMBER,
  COLONY_ID     NUMBER,
  REASON        VARCHAR2(4000 BYTE),
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER,
  AUDIT_DATE    DATE                            DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_CROSS_AUDIT
(
  ID                    NUMBER,
  PHENOTYPE_TEXT        VARCHAR2(4000 BYTE),
  GENOTYPE_TEXT         VARCHAR2(4000 BYTE),
  DELIMITED_ALLELE_IDS  VARCHAR2(4000 BYTE),
  COLONY_ID             NUMBER,
  IS_LETHAL             NUMBER(1),
  EDITED_BY             VARCHAR2(128 BYTE),
  EDIT_DATE             DATE,
  CHECK_NUMBER          NUMBER,
  AUDIT_DATE            DATE                    DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_ROOM_AUDIT
(
  ID            NUMBER,
  ROOM_ID       NUMBER,
  COLONY_ID     NUMBER,
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER,
  AUDIT_DATE    DATE                            DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_STRAIN_AUDIT
(
  ID            NUMBER,
  STRAIN_ID     NUMBER,
  COLONY_ID     NUMBER,
  PERCENT       FLOAT(126),
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  NUMBER,
  AUDIT_DATE    DATE                            DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MTS_COLONY_INFO_AUDIT
(
  ID                            INTEGER,
  COLONY_NAME                   VARCHAR2(64 BYTE),
  PROJECT_LICENCE_ID            INTEGER,
  CARD_COLOUR_DICT_ID           NUMBER,
  COLONY_MANAGEMENT             VARCHAR2(4000 BYTE),
  AVERAGE_LITTER_SIZE           INTEGER,
  BREEDING_LIFESPAN_WEEKS       VARCHAR2(128 BYTE),
  IMMUNE_STATUS                 VARCHAR2(64 BYTE),
  OTHER_ABNORMALITIES           VARCHAR2(4000 BYTE),
  WELFARE_ASSESSMENT            VARCHAR2(4000 BYTE),
  HUSBANDRY_RECOMMENDATIONS     VARCHAR2(4000 BYTE),
  DIET                          VARCHAR2(128 BYTE),
  HOUSING_SYSTEM                VARCHAR2(128 BYTE),
  ENVIRONMENTAL_ENRICHMENT      VARCHAR2(128 BYTE),
  MISC_NOTES                    VARCHAR2(4000 BYTE),
  COLONY_ORIGIN                 VARCHAR2(128 BYTE),
  PLACE_OF_ORIGIN               VARCHAR2(128 BYTE),
  DATE_OF_IMPORT                DATE,
  DATE_OF_REDERIVATION          DATE,
  REDERIVATION_METHOD           VARCHAR2(128 BYTE),
  EDITED_BY                     VARCHAR2(128 BYTE),
  EDIT_DATE                     DATE,
  WELFARE_ASSESSMENT_PERFORMED  NUMBER(1),
  WTSI_ORIGIN                   NUMBER(1),
  COLONY_PREFIX                 VARCHAR2(10 BYTE),
  MODE_OF_INHERITANCE           VARCHAR2(128 BYTE),
  ASSESSING_PHENOTYPE           VARCHAR2(4000 BYTE),
  CHECK_NUMBER                  NUMBER,
  AUDIT_DATE                    DATE            DEFAULT SYSTIMESTAMP,
  CREATED_BY                    NUMBER,
  CREATED_DATE                  DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_CELL_LINE_OLD
(
  ID                              NUMBER        NOT NULL,
  CELL_LINE_NAME                  VARCHAR2(128 BYTE),
  STRAIN                          VARCHAR2(128 BYTE),
  TARGETING_CASSETTES             VARCHAR2(128 BYTE),
  ELECTROPORATION_COUNT           NUMBER,
  COAT_COLOUR                     VARCHAR2(128 BYTE),
  P5_PRIMER                       VARCHAR2(50 BYTE),
  P3_NATIVE_ALLELE                VARCHAR2(50 BYTE),
  P3_TARGETED_ALLELE_PRIMER       VARCHAR2(50 BYTE),
  P5_CASSETTE_PRIMER              VARCHAR2(50 BYTE),
  P3_CASSETTE_PRIMER              VARCHAR2(50 BYTE),
  PREDICTED_WT_PRODUCT_SIZE       NUMBER,
  PREDICTED_MOD_ALLELE_PROD_SIZE  NUMBER,
  PREDICTED_CASSETTE_PROD_SIZE    NUMBER,
  PASSAGES_COUNT                  NUMBER,
  GENOTYPING_REQUIRED             NUMBER(1),
  T87                             NUMBER(1)
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_MICRO_INJECTION_REQ_OLD
(
  ID                INTEGER                     NOT NULL,
  PPL               VARCHAR2(128 BYTE),
  REQUESTOR_NAME    VARCHAR2(128 BYTE),
  REQUESTOR_PIL     VARCHAR2(128 BYTE),
  CELL_LINE_ID      INTEGER,
  TARGETED_GENE_ID  INTEGER,
  ENDPOINT_ID       INTEGER,
  EMBRYO_STAGE      VARCHAR2(128 BYTE),
  EDIT_DATE         DATE,
  PPL_HOLDER        VARCHAR2(128 BYTE),
  REQUESTOR_PHONE   VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL   VARCHAR2(128 BYTE),
  REQUESTOR_TEAM    VARCHAR2(128 BYTE),
  CLONE_ID          VARCHAR2(128 BYTE),
  EDITED_BY         VARCHAR2(128 BYTE),
  STATUS_DICT_ID    NUMBER,
  CREATED_DATE      DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_MICRO_INJ_REQ_AUDIT_OLD
(
  ID                INTEGER,
  PPL               VARCHAR2(128 BYTE),
  REQUESTOR_NAME    VARCHAR2(128 BYTE),
  REQUESTOR_PIL     VARCHAR2(128 BYTE),
  CELL_LINE_ID      INTEGER,
  TARGETED_GENE_ID  INTEGER,
  ENDPOINT_ID       INTEGER,
  EMBRYO_STAGE      VARCHAR2(128 BYTE),
  EDIT_DATE         DATE,
  PPL_HOLDER        VARCHAR2(128 BYTE),
  REQUESTOR_PHONE   VARCHAR2(128 BYTE),
  REQUESTOR_EMAIL   VARCHAR2(128 BYTE),
  REQUESTOR_TEAM    VARCHAR2(128 BYTE),
  CLONE_ID          VARCHAR2(128 BYTE),
  EDITED_BY         VARCHAR2(128 BYTE),
  STATUS_DICT_ID    NUMBER,
  AUDIT_DATE        DATE,
  CREATED_DATE      DATE
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_CELL_LINE_STRAIN_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_CELL_LINE_AUDIT
(
  ID                           NUMBER,
  CELL_LINE_NAME               VARCHAR2(128 BYTE),
  CELL_LINE_SOURCE_DICT_ID     INTEGER,
  CELL_LINE_STRAIN_DICT_ID     NUMBER,
  TEAM_87_REF_ID               INTEGER,
  CLONE_NAME                   VARCHAR2(128 BYTE),
  MODIFIED_ALLELE_ID           INTEGER,
  CREATED_DATE                 DATE,
  CREATOR_ID                   INTEGER,
  EDIT_DATE                    DATE,
  EDITED_BY                    VARCHAR2(128 BYTE),
  EXPECTED_COAT_COLOR_DICT_ID  INTEGER,
  AUDIT_DATE                   DATE             DEFAULT systimestamp,
  GENOTYPE_DICT_ID             INTEGER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_EMBRYO_STAGE_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 BYTE),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIR_ES_CELL_LINE_SOURCE_DICT
(
  ID           INTEGER,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     INTEGER                          NOT NULL,
  ACTIVE       INTEGER                          NOT NULL
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TEMP_EUCOMM2
(
  STATUS      VARCHAR2(500 BYTE),
  GENE_NAME   VARCHAR2(500 BYTE),
  ENSEMBL_ID  VARCHAR2(500 BYTE),
  VEGA_ID     VARCHAR2(500 BYTE),
  COMMENTS    VARCHAR2(500 BYTE),
  GENE_ID     NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TEMP_VEGA
(
  VEGA_ID  VARCHAR2(128 BYTE),
  STATUS   NUMBER
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ARQ_DESIGN_REQUEST_AUDIT
(
  ID                 NUMBER                     NOT NULL,
  ALLELE_REQUEST_ID  NUMBER                     NOT NULL,
  STATUS_DICT_ID     NUMBER                     NOT NULL,
  CREATED_DATE       DATE,
  EDITED_DATE        DATE,
  CREATED_BY         VARCHAR2(256 CHAR),
  COMMENTS           VARCHAR2(4000 CHAR),
  EDITED_BY          VARCHAR2(256 CHAR),
  VEGA_ID            VARCHAR2(512 CHAR),
  AUDIT_DATE         DATE                       DEFAULT SYSTIMESTAMP
)
TABLESPACE DATA_02
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX GNM_EXON_NAME_UC_IDX ON GNM_EXON_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MODIFIED_ALLELE_IND1 ON TYP_MODIFIED_ALLELE
(MUTATION_NATURE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_GENOTYPING_PRIME_IND11 ON TYP_GENOTYPING_PRIMER_PAIR
(GENOTYPE_TEST_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_GENOTYPE_TEST_IND56 ON TYP_GENOTYPE_TEST
(MODIFIED_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX CRQ_CRYO_REQUEST_PK ON CRQ_CRYO_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_BUILD_GENE_NAME_IND2 ON GNM_GENE_BUILD_GENE_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_MAILING_LIST_RECIPIENT_U01 ON PER_MAILING_LIST_RECIPIENT
(MAILING_LIST_ID, EMAIL)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_MAILING_LIST_RECIPIENT_PK ON PER_MAILING_LIST_RECIPIENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_MAILING_LIST_PK ON PER_MAILING_LIST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPE_TEST_TYPE_DICTU01 ON TYP_GENOTYPE_TEST_TYPE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPE_TEST_TYPE_DICT_PK ON TYP_GENOTYPE_TEST_TYPE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_PRIMER_PAIR_TYPE_DICT_U01 ON TYP_PRIMER_PAIR_TYPE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_PRIMER_PAIR_TYPE_DICT_PK ON TYP_PRIMER_PAIR_TYPE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_SOURCE ON GNM_TRANSCRIPT_NAME
(SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_SOURCE ON GNM_EXON_NAME
(SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_BUILD_IND85 ON GNM_GENE_BUILD
(ASSEMBLY_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_BUILD_GENE_NAME_IND79 ON GNM_GENE_BUILD_GENE_NAME
(GENE_BUILD_GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_HOMOLOGY_IND75 ON GNM_TRANSCRIPT_HOMOLOGY
(LEFT_TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_HOMOLOGY_IND74 ON GNM_TRANSCRIPT_HOMOLOGY
(RIGHT_TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_SET_IND39 ON GNM_GENE_SET
(CREATED_BY_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_TRANSID ON GNM_TRANSCRIPT_NAME
(TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_U01 ON PUB_ARTICLE
(PUBMED_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_GENE_ARTICLE_REF_PK ON GEV_GENE_ARTICLE_REF
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GBGN_NAME ON GNM_GENE_BUILD_GENE_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_NAME_U01 ON GNM_GENE_BUILD_GENE_NAME
(GENE_BUILD_GENE_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_NAME_PK ON GNM_GENE_BUILD_GENE_NAME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_TRANSCRIPT_NAME_U01 ON GNM_TRANSCRIPT_NAME
(TRANSCRIPT_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_NAME_U01 ON GNM_EXON_NAME
(EXON_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX APP_WORKFLOW_PIPELINE_DICT_R01 ON APP_WORKFLOW_PIPELINE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX APP_WORKFLOW_PIPELINE_DICT_R02 ON APP_WORKFLOW_PIPELINE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX APP_WORKFLOW_PIPELINE_DICT_R04 ON APP_WORKFLOW_PIPELINE_DICT
(ORDER_BY)
LOGGING
NOPARALLEL;


CREATE INDEX APP_USER_SEARCHES_IND1 ON APP_USER_SEARCHES
(SESSION_ID, QUERY_TABLE, RECORD_NUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_DESIGN_REQUEST_PK ON ARQ_DESIGN_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_CARD_COLOUR_DICT_PK ON MTS_CARD_COLOUR_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_UC_IDX ON GNM_GENE_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_UC_IDX ON GNM_TRANSCRIPT_NAME
(NAME_UC)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_RESEARCHER_PERID ON ARQ_ALLELE_REQUEST
(RESEARCHER_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_REQUESTER_PERID ON ARQ_ALLELE_REQUEST
(REQUESTER_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_ALLELE_TARGET_DICT_PK ON ARQ_TARGET_ENDPOINT_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_EXTERNAL_SUPPORT_REF_PK ON GEV_EXTERNAL_SUPPORT_REF
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_GENE_SUMMARY_GENE_ID ON GEV_GENE_SUMMARY
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MGI_PHENOTYPE_ALLELE_PK ON GEV_MGI_PHENOTYPE_ALLELE
(MGI_PHENOTYPE_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MGI_PHENOTYPE_ALLELE_U01 ON GEV_MGI_PHENOTYPE_ALLELE
(MGI_PHENOTYPE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_MIG_CURATED_STATUS_PK ON GEV_MIG_CURATED_STATUS
(MIG_CURATED_STATUS_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_PK ON GNM_EXON
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NCBI_TAXON_ID ON GNM_GENE
(NCBI_TAXON)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_BUILD_GENE_PK ON GNM_GENE_BUILD_GENE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_HOMOLOGY_PK ON GNM_GENE_HOMOLOGY
(GENE_HOMOLOGY_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENEHOMOLOGY_LEFTGENEID_IDX ON GNM_GENE_HOMOLOGY
(GENE1_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENEHOMOLOGY_RIGHTGENEID_IDX ON GNM_GENE_HOMOLOGY
(GENE2_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UQ_NAME ON GNM_GENE_NAME
(GENE_ID, NAME, SOURCE)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_NAME ON GNM_GENE_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX GENESET2GENE_GENEID_IDX ON GNM_GENE_SET_2_GENE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GENESET2GENE_GENESETID_IDX ON GNM_GENE_SET_2_GENE
(GENE_SET_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UNIQ_GENE_IN_SET ON GNM_GENE_SET_2_GENE
(GENE_SET_ID, GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LOCUS_GENE_IDX ON GNM_TRANSCRIPT
(GENE_BUILD_GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX LIC_PROTOCOL_19B_PK ON LIC_PROTOCOL_19B
(PROTOCOL_19B_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_PERSON_2_ROLE_PK ON PER_PERSON_2_ROLE
(PERSON_2_ROLE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_ROLE_PK ON PER_ROLE
(ROLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_ID_IDX ON GNM_EXON_NAME
(EXON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_NAME_NAME_IDX ON GNM_EXON_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_AUTHOR_PK ON PUB_AUTHOR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_PK ON PUB_ARTICLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ABSTRACT_PK ON PUB_ABSTRACT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GEV_FACULTY_VOTE_PK ON GEV_FACULTY_VOTE
(FACULTY_VOTE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_TRANSCRIPT_NAME_NAME_IDX ON GNM_TRANSCRIPT_NAME
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GBG_GENE_BUILD_ID_IDX ON GNM_GENE_BUILD_GENE
(GENE_BUILD_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_LOCUS_ASSEMBLYID_IDX ON GNM_LOCUS
(ASSEMBLY_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_TRANSCRIPTID_IDX ON GNM_EXON
(TRANSCRIPT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_EXON_LOCUSID_IDX ON GNM_EXON
(LOCUS_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GNM_GENE_NAME_GENEID_IDX ON GNM_GENE_NAME
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_EXSUPREF_PERID_IDX ON GEV_EXTERNAL_SUPPORT_REF
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_EXSUPREF_GENEID_IDX ON GEV_EXTERNAL_SUPPORT_REF
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_FACVOTE_PERID_IDX ON GEV_FACULTY_VOTE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_FACVOTE_GENEID_IDX ON GEV_FACULTY_VOTE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENESUM_PERID_IDX ON GEV_GENE_SUMMARY
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENESUM_PK ON GEV_GENE_SUMMARY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GNTARGHITS_GENEID_IDX ON GEV_GENE_TARGETING_HITS
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_MAMPHENO_PK ON GEV_MAMMALIAN_PHENOTYPE
(MGI_PHENOTYPE_ALLELE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_PHENOALLELE_GENEID_IDX ON GEV_MGI_PHENOTYPE_ALLELE
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_CURATSTATUS_GENEID_IDX ON GEV_MIG_CURATED_STATUS
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_CURATSTATUS_PERID_IDX ON GEV_MIG_CURATED_STATUS
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPING_PRIMER_PAIR_PK ON TYP_GENOTYPING_PRIMER_PAIR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_GENOTYPE_TEST_PK ON TYP_GENOTYPE_TEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PUB_ARTICLE_2_AUTHOR_PK ON PUB_ARTICLE_2_AUTHOR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX REQ_ANIMAL_REQUEST_STATUS_PK ON REQ_ANIMAL_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX REQ_ANIMAL_REQUEST_STATUS_U01 ON REQ_ANIMAL_REQUEST_STATUS_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_NAME_PK ON GNM_EXON_NAME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_2_TRANSCRIPT_U01 ON GNM_TRANSCRIPT_2_EXON
(TRANSCRIPT_ID, EXON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_EXON_2_TRANSCRIPT_PK ON GNM_TRANSCRIPT_2_EXON
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_TRANSCRIPT_NAME_PK ON GNM_TRANSCRIPT_NAME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PER_TEAM_PK ON PER_TEAM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MOUSE_2_STRAIN_PK ON TYP_MOUSE_2_STRAIN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_ES_CLONE_2_STRAIN_PK ON TYP_ES_CLONE_2_STRAIN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MOUSE_SAMPLE_GENOTYE_TE_PK ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MOUSE_SAMPLE_PK ON TYP_MOUSE_SAMPLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX GNM_GENE_2_GENE_BUILD_GENE_U01 ON GNM_GENE_2_GENE_BUILD_GENE
(GENE_ID, GENE_BUILD_GENE_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_ALLELE_REQUEST_STATUS_D_PK ON ARQ_ALLELE_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_ALLELE_REQUEST_SOURCE_D_PK ON ARQ_ALLELE_REQUEST_SOURCE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_ALLELE_REQUEST_IND36 ON ARQ_ALLELE_REQUEST
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX ARQ_ALLELE_REQUEST_IND34 ON ARQ_ALLELE_REQUEST
(TARGET_ENDPOINT_DICT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX ARQ_VEGA_REQUEST_PK ON ARQ_HAVANA_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX CRYO_REQUEST_STATUS_PK ON CRQ_CRYO_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND46 ON GEV_GENE_ARTICLE_REF
(ARTICLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND45 ON GEV_GENE_ARTICLE_REF
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX GEV_GENE_ARTICLE_REF_IND44 ON GEV_GENE_ARTICLE_REF
(GENE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROTOCOL_19B_IND21 ON LIC_PROTOCOL_19B
(PROJECT_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND23 ON LIC_PROJECT_LICENCE
(DEPUTY2_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND22 ON LIC_PROJECT_LICENCE
(DEPUTY3_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_LICENCE_IND24 ON LIC_PROJECT_LICENCE
(DEPUTY1_PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_2_PERSON_IND2 ON LIC_PROJECT_2_PERSONAL_LICENCE
(PERSONAL_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PROJECT_2_PERSON_IND1 ON LIC_PROJECT_2_PERSONAL_LICENCE
(PROJECT_LICENCE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX LIC_PERSONAL_LICENCE_IND25 ON LIC_PERSONAL_LICENCE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_REQUEST_STATUS_DICT_PK ON MIR_REQUEST_STATUS_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_MICRO_INJECTION_REQUEST_PK ON MIR_MICRO_INJECTION_REQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_ROLE_IND16 ON PER_PERSON_2_ROLE
(ROLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PER_PERSON_2_ROLE_IND15 ON PER_PERSON_2_ROLE
(PERSON_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PUB_ARTICLE_2_AUTHOR_IND58 ON PUB_ARTICLE_2_AUTHOR
(AUTHOR_ID)
LOGGING
NOPARALLEL;


CREATE INDEX PUB_ARTICLE_2_AUTHOR_IND57 ON PUB_ARTICLE_2_AUTHOR
(ARTICLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX REQ_ANIMAL_REQUEST_IND11 ON REQ_ANIMAL_REQUEST
(STATUS_DICT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_STRAIN_R01 ON TYP_STRAIN
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_MUTATION_NATURE_DICT_R01 ON TYP_MUTATION_NATURE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX TYP_INHERITANCE_MODE_DICT_U01 ON TYP_INHERITANCE_MODE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MOUSE_SAMPLE_GEN_IND10 ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(GENOTYPE_TEST_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MOUSE_SAMPLE_GEN_IND9 ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
(MOUSE_SAMPLE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX TYP_MODIFIED_ALLELE_IND66 ON TYP_MODIFIED_ALLELE
(LOCUS_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_STRAIN_PK ON MTS_COLONY_STRAIN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_ROOM_PK ON MTS_COLONY_ROOM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_COAT_COLOUR_PK ON MTS_COLONY_COAT_COLOUR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_PK ON MTS_COLONY_INFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_CROSS_PK ON MTS_COLONY_CROSS
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_CONTACT_PK ON MTS_COLONY_CONTACT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_BEHAVIOUR_PK ON MTS_COLONY_BEHAVIOUR
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_ALLELE_PK ON MTS_COLONY_ALLELE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_COLONY_2_MOUSE_IND61 ON MTS_COLONY_2_MOUSE
(MOUSE_ID)
LOGGING
NOPARALLEL;


CREATE INDEX MTS_COLONY_2_MOUSE_IND60 ON MTS_COLONY_2_MOUSE
(COLONY_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COLONY_OLD_PK ON MTS_COLONY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_COAT_COLOUR_DICT_PK ON MTS_COAT_COLOUR_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MTS_GENOTYPE_DICT_PK ON MTS_GENOTYPE_DICT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_STAGE_DICT_R01 ON MIR_EMBRYO_STAGE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_ES_CELL_LINE_SOURCE_DI_U01 ON MIR_ES_CELL_LINE_SOURCE_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX MIR_CELL_LINE_STRAIN_DICT_R01 ON MIR_CELL_LINE_STRAIN_DICT
(NAME)
LOGGING
NOPARALLEL;


CREATE OR REPLACE PROCEDURE GENEBUILDGENE_CREATELOCUS (GBG_ID IN INTEGER)
AS
BEGIN
   DECLARE
       locusId INTEGER;
    chromStart INTEGER;
    chromEnd INTEGER;
    chromName VARCHAR2(32);
    chromStrand INTEGER;
    assemblyId INTEGER;
   BEGIN
     SELECT GNM_LOCUS_SEQ.NEXTVAL INTO locusId FROM DUAL;
     INSERT INTO GNM_LOCUS(ID) VALUES(locusId);
     UPDATE GNM_GENE_BUILD_GENE SET locus_ID=locusId WHERE ID= GBG_ID;
 
   SELECT MIN(CHR_START), MAX(CHR_END) INTO chromStart, chromEnd 
     FROM GNM_TRANSCRIPT T JOIN GNM_LOCUS L ON(T.LOCUS_ID=L.ID) 
     WHERE GENE_BUILD_GENE_ID= GBG_ID;

   SELECT CHR_NAME, CHR_STRAND INTO chromName, chromStrand 
     FROM GNM_TRANSCRIPT T JOIN GNM_LOCUS L ON(T.LOCUS_ID=L.ID) 
     WHERE GENE_BUILD_GENE_ID= GBG_ID
     AND ROWNUM =1
     ORDER BY T.ID ASC;

      SELECT ASSEMBLY_ID INTO assemblyId
     FROM GNM_GENE_BUILD_GENE G 
     JOIN GNM_GENE_BUILD GB ON(G.GENE_BUILD_ID=GB.ID)
     WHERE G.ID= GBG_ID;
      
   UPDATE GNM_LOCUS SET
     CHR_START = chromStart, 
     CHR_END = chromEnd,
     CHR_STRAND = chromStrand,
     CHR_NAME = chromName,
     ASSEMBLY_ID = assemblyId,
     TYPE = 'GENE_BUILD_GENE'
     WHERE ID = locusId;
 END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE procedure LINK_GENE_GBGENE_BY_ENSNAME(gbGeneId integer)
AS
BEGIN
   DECLARE
    geneId integer;
 gbgName varchar2(256);
   BEGIN
   select name into gbgName from gnm_gene_build_gene_name 
       where gene_build_gene_id = gbGeneId and source='Ensembl_ID';
   select g.gene_id into geneId
     from gnm_gene g, gnm_gene_name gn
    where g.gene_id = gn.gene_id and name = gbgName and is_valid=1;
      insert into gnm_gene_2_gene_build_gene(gene_id, gene_build_gene_id, reasoning)
       values(geneId, gbGeneId, 'identical ensembl gene stable_id');
   exception
     when no_data_found then return;
   END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE procedure LINK_GENE_GBGENE_BY_EXONS(gbGeneId integer)
AS
BEGIN
   DECLARE
    geneId integer;
 gbgName varchar2(256);
   BEGIN
   select name into gbgName from gnm_gene_build_gene_name 
       where gene_build_gene_id = gbGeneId and source='Ensembl_ID';
   select g.gene_id into geneId
     from gnm_gene g, gnm_gene_name gn
    where g.gene_id = gn.gene_id and name = gbgName and is_valid=1;
      insert into gnm_gene_2_gene_build_gene(gene_id, gene_build_gene_id, reasoning)
       values(geneId, gbGeneId, 'identical ensembl gene stable_id');
   exception
     when no_data_found then return;
   END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE procedure LINK_GENE_GBGENE_BY_TRANSNAME(gbGeneId integer)
AS
BEGIN
   DECLARE
     geneId integer;
     geneCount integer;
     cursor geneId_cursor is 
        select distinct ggg.gene_id 
          from gnm_gene_2_gene_build_gene ggg, gnm_transcript t1, gnm_transcript_name tn1
          where ggg.gene_build_gene_id = t1.gene_build_gene_id
             and t1.id = tn1.transcript_id
             and tn1.name in (select tn2.name from gnm_transcript_name tn2, gnm_transcript t2
                             where t2.id=tn2.transcript_id
                             and tn2.source = 'Ensembl_ID'
                             and t2.gene_build_gene_id = gbGeneId);
     geneId_val geneId_cursor%ROWTYPE;
   BEGIN
     geneCount := 0;
     for geneId_val in geneId_cursor
       loop
         geneCount := geneCount + 1;
         geneId := geneId_val.gene_id;
       end loop;
            
     if geneCount = 1 then
     insert into gnm_gene_2_gene_build_gene(gene_id, gene_build_gene_id, reasoning)
          values(geneId, gbGeneId, 'matching transcript name to one gnm_gene');
     end if;
             
     exception
       when no_data_found then return;
   END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE procedure LINK_GENE_GBGENE_BY_ENSGNAME(gbGeneId integer)
AS
BEGIN
   DECLARE
    geneId integer;
 gbgName varchar2(256);
   BEGIN
   select name into gbgName from gnm_gene_build_gene_name 
       where gene_build_gene_id = gbGeneId and source='Ensembl_ID';
   select g.gene_id into geneId
       from gnm_gene g, gnm_gene_name gn
       where g.gene_id = gn.gene_id and name = gbgName and is_valid=1;
   insert into gnm_gene_2_gene_build_gene(gene_id, gene_build_gene_id, reasoning)
       values(geneId, gbGeneId, 'identical ensembl gene stable_id');
   exception
     when no_data_found then return;
   END;
END;
/

SHOW ERRORS;


CREATE OR REPLACE VIEW ARQ_DESIGN_REQ_STATUS_DICT_VW
AS 
select "ID","NAME","ORDER_BY","DESCRIPTION","ACTIVE" 
from arq_allele_request_status_dict 
where name like 'T87:%';


CREATE OR REPLACE VIEW ARQ_DESIGN_REQUEST_LIST_VW
AS 
SELECT v.ID, v.status_dict_id, v.allele_request_id, v.comments, 
          v.created_by, v.edited_date, d.NAME status, v.created_date, 
          v.edited_by, g.primary_name, ah.VEGA_ID, g.BUILD_NAME, ah.ID, g.GENE_BUILD_GENE_PRIMARY_NAME 
     FROM arq_design_request v, 
          arq_allele_request a, 
    arq_havana_request ah, 
          gnm_gene_vw g, 
          arq_design_req_status_dict_vw d, 
          arq_allele_request_source_dict s 
    WHERE a.ID = v.allele_request_id 
      and ah.ALLELE_REQUEST_ID = a.ID 
      AND a.gene_id = g.gene_id 
      AND a.request_source_dict_id = s.ID 
      AND v.status_dict_id = d.ID;


CREATE OR REPLACE VIEW ARQ_HAVANA_REQUEST_LIST_VW
AS 
select 
  v.id, 
  v.allele_request_id, 
  v.status_dict_id, 
  d.name status, 
  v.created_by, 
  v.created_date, 
  v.edited_by, 
  v.edited_date, 
  v.comments, 
  v.vega_id, 
  v.updated_gene_name, 
  v.updated_chromosome_name, 
  v.start_not_found, 
  v.end_not_found, 
  v.critical_exon_id, 
  g.primary_name, 
  g.gene_build_gene_primary_name, 
  g.chromosome_name, 
  g.chromosome_start, 
  g.chromosome_end, 
  g.build_name, 
  g.build_version, 
  a.request_source_dict_id, 
  s.name source, 
  g.unique_exon_count, 
  g.total_exon_count, 
  a.requester_person_id 
from 
  arq_havana_request v, 
  arq_allele_request a, 
  gnm_gene_vw g, 
  arq_havana_req_status_dict_vw d, 
  arq_allele_request_source_dict s 
where 
  a.id = v.allele_request_id and 
  a.gene_id = g.gene_id and 
  a.request_source_dict_id =  s.id and 
  v.status_dict_id = d.id;


CREATE OR REPLACE VIEW GNM_GENE_SET_VW
AS 
select 
  gs.gene_set_id, 
  gs.name, 
  gs.description, 
  gs.created_by_person_id, 
  gs.timestamp, 
  gs.is_core_set, 
  count(gs2g.gene_set_id) gene_count 
from 
  gnm_gene_set gs, 
  gnm_gene_set_2_gene gs2g 
where 
  gs.gene_set_id = gs2g.gene_set_id(+) 
group by 
  gs.gene_set_id, 
  gs.name, 
  gs.description, 
  gs.created_by_person_id, 
  gs.timestamp, 
  gs.is_core_set;


CREATE OR REPLACE VIEW ARQ_HAVANA_REQ_STATUS_DICT_VW
AS 
select "ID","NAME","ORDER_BY","DESCRIPTION","ACTIVE" 
from arq_allele_request_status_dict 
where name like 'Vega:%';


CREATE OR REPLACE VIEW ARQ_HAVANA_STATS_VW
AS 
select 
  h.status_dict_id, 
  d.name status_name, 
  count(h.id) status_count 
from 
 arq_havana_request h, 
 arq_havana_req_status_dict_vw d 
where 
 h.status_dict_id = d.id 
group by 
  h.status_dict_id, 
  d.name;


CREATE OR REPLACE VIEW PER_PERSON_ROLE_VW
AS 
select 
  p.person_id, 
  p.first_name||' '||p.last_name full_name, 
  p.user_name, 
  r.role_id, 
  r.name role_name 
from 
  per_person p, 
  per_role r, 
  per_person_2_role l 
where 
  p.person_id = l.person_id and 
  r.role_id = l.role_id;


CREATE OR REPLACE VIEW MTS_COLONY_INFO_VW
AS 
select 
  c.id, 
  c.colony_name, 
  c.project_licence_id, 
  c.card_colour_dict_id, 
  d.name card_colour, 
  c.average_litter_size, 
  c.breeding_lifespan_weeks, 
  c.immune_status, 
  c.diet, 
  c.housing_system, 
  c.environmental_enrichment, 
  c.colony_origin, 
  c.place_of_origin, 
  c.date_of_import, 
  c.date_of_rederivation, 
  c.rederivation_method, 
  c.edited_by, 
  c.edit_date, 
  c.welfare_assessment_performed, 
  c.wtsi_origin, 
  c.colony_prefix, 
  c.mode_of_inheritance, 
  ppl.ppl_holder, 
  c.created_by, 
  c.created_date 
from 
  mts_colony_info c, 
  mts_card_colour_dict d, 
  (select 
    l.project_licence_id,
    p.first_name||' '||p.last_name ppl_holder
   from
    lic_project_licence l, 
    per_person p
   where  
    l.responsible_person_id = p.person_id
  ) ppl 
where 
  c.card_colour_dict_id = d.id(+) and
  c.project_licence_id = ppl.project_licence_id(+);


CREATE OR REPLACE VIEW ARQ_HAVANA_REQ_HISTORICAL_VW
AS 
select 
  v.id, 
  v.allele_request_id, 
  v.status_dict_id, 
  d.name status, 
  v.created_by, 
  v.created_date, 
  v.edited_by, 
  v.edited_date, 
  v.comments, 
  v.vega_id, 
  v.updated_gene_name, 
  v.updated_chromosome_name, 
  v.start_not_found, 
  v.end_not_found, 
  v.critical_exon_id, 
  g.primary_name, 
  g.gene_build_gene_primary_name, 
  g.chromosome_name, 
  g.chromosome_start, 
  g.chromosome_end, 
  g.build_name, 
  g.build_version, 
  a.request_source_dict_id, 
  s.name source, 
  g.unique_exon_count, 
  g.total_exon_count 
from 
  arq_havana_request_audit v, 
  arq_allele_request a, 
  gnm_gene_vw g, 
  arq_havana_req_status_dict_vw d, 
  arq_allele_request_source_dict s 
where 
  a.id = v.allele_request_id and 
  a.gene_id = g.gene_id and 
  a.request_source_dict_id =  s.id and 
  v.status_dict_id = d.id;


CREATE OR REPLACE VIEW ARQ_DESIGN_DATA_VIEW
AS 
SELECT   d.design_id, d.design_name, d.final_plate, d.well_loc,

         f.feature_start, f.feature_end, TO_CHAR (fd.data_item),

         ftd.description, ge.primary_name, gb.NAME, gb.VERSION,

         dsd.description

    FROM eucomm_vector.design d,

         gnm_gene_build gb,

         eucomm_vector.design_status ds,

         eucomm_vector.design_status_dict dsd,

         gnm_exon ge,

         eucomm_vector.feature f,

         eucomm_vector.feature_data fd,

         eucomm_vector.feature_type_dict ftd

   WHERE d.gene_build_id = gb.ID(+)

     AND d.design_id = ds.design_id

     AND ds.design_status_id = dsd.design_status_id

     AND ds.is_current = 1

     AND d.design_id = f.design_id

     AND (d.locus_id = ge.locus_id or d.START_EXON_ID = ge.ID)

     AND fd.FEATURE_ID = f.FEATURE_ID

     AND f.feature_type_id = ftd.feature_type_id

     AND ftd.description IN ('G5', 'G3', 'D5', 'D3', 'U5', 'U3')

     AND fd.feature_data_type_id = 1

     AND f.FEATURE_ID IN (

            SELECT f.FEATURE_ID

              FROM eucomm_vector.design d,

                   eucomm_vector.feature f,

                   eucomm_vector.feature_data fd

             WHERE d.design_id = f.design_id

               AND fd.FEATURE_ID = f.FEATURE_ID

               AND fd.feature_data_type_id = 3)

 ORDER BY d.design_id;


CREATE OR REPLACE VIEW MIR_REQUEST_LIST_VW
AS 
select 
  mir.id, 
  rsd.name status, 
  rsd.id status_id, 
  per.requester_name, 
  per.team_number, 
  ts.name donor_strain_name, 
  ts.id donor_strain_id, 
  esline.name strain_name, 
  esline.id strain_id, 
  cl.cell_line_name, 
  cl.id cell_line_id, 
  cl.clone_name, 
  ed.name endpoint_name, 
  ed.id endpoint_id, 
  sd.name embryo_stage_name, 
  sd.id embryo_stage_id, 
  mir.edit_date, 
  mir.created_date, 
  pl.ppl project_licence, 
  aw.name workflow_pipeline, 
  aw.id workflow_pipeline_id, 
  mir.requester_id requester_id 
from 
  mir_micro_injection_request mir, 
  app_workflow_pipeline_dict aw, 
  typ_strain ts, 
  mir_cell_line_strain_dict esline, 
  mir_target_endpoint_dict ed, 
  (select 
    p.person_id, 
    p.first_name || ' ' || p.last_name requester_name, 
 tm.team_number 
  from 
    per_person p, 
    per_team tm 
  where 
    p.team_id = tm.id(+)) per, 
  mir_cell_line cl, 
  mir_embryo_stage_dict sd, 
  mir_request_status_dict rsd, 
  lic_project_licence pl 
where 
  mir.endpoint_dict_id = ed.id(+) AND 
  aw.id(+) = mir.WORKFLOW_PIPELINE_DICT_ID AND 
  mir.donor_embryo_stage_dict_id = sd.id(+) AND 
  mir.status_dict_id = rsd.id(+) AND 
  mir.donor_strain_dict_id = ts.id(+) AND 
  mir.requester_id = per.person_id(+) AND 
  mir.cell_line_id = cl.id(+) AND 
  mir.project_licence_id = pl.project_licence_id(+) AND 
  cl.cell_line_strain_dict_id = esline.id(+);


CREATE OR REPLACE VIEW GNM_GENE_VW
AS 
select 
  g.gene_id, 
  g.ncbi_taxon, 
  g.primary_gene_build_gene_id, 
  g.is_valid, 
  g.primary_name, 
  b.gene_build_id, 
  b.locus_id, 
  b.is_finished, 
  b.unique_exon_count, 
  b.transcript_count, 
  b.total_exon_count, 
  b.primary_name gene_build_gene_primary_name, 
  l.chr_name chromosome_name, 
  l.chr_start  chromosome_start, 
  l.chr_end chromosome_end, 
  l.chr_strand chromosome_strand, 
  u.name build_name, 
  u.version build_version 
from 
  gnm_gene g, 
  gnm_gene_build_gene b, 
  gnm_locus l, 
  gnm_gene_build u 
where 
  g.primary_gene_build_gene_id = b.id and 
  b.locus_id = l.id and 
  b.gene_build_id = u.id;


CREATE OR REPLACE VIEW MIR_CELL_LINE_LIST_VW
AS 
select 
  c.id, 
  p.first_name || ' ' || p.last_name created_by, 
  c.creator_id, 
  c.created_date, 
  c.cell_line_name, 
  mod_allele.gene_id, 
  mod_allele.gene_name, 
  mod_allele.allele_name, 
  mod_allele.id modified_allele_id, 
  cs.name cell_line_source,
  cs.id cell_line_source_id, 
  c.clone_name, 
  cc.name coat_color_name, 
  cc.id coat_color_id, 
  st.name strain_name, 
  st.id strain_id, 
  gd.name genotype, 
  gd.id genotype_id, 
  mod_allele.wildtype_primer_forward, 
  mod_allele.wildtype_primer_reverse, 
  mod_allele.wildtype_expected_size, 
  mod_allele.allele_primer_forward, 
  mod_allele.allele_primer_reverse, 
  mod_allele.allele_expected_size, 
  c.edit_date, 
  c.edited_by 
from 
  mir_cell_line c, 
  per_person p, 
  mts_coat_colour_dict cc, 
  mir_cell_line_strain_dict st, 
  mir_es_cell_line_source_dict cs,
  mts_genotype_dict gd, 
  ( 
   select 
   a.id, 
   a.gene_id, 
   g.primary_name gene_name, 
   a.official_name_superscript allele_name, 
   a.id modified_allele_id, 
   gt_test.wildtype_primer_forward, 
   gt_test.wildtype_primer_reverse, 
   gt_test.wildtype_expected_size, 
   gt_test.allele_primer_forward, 
   gt_test.allele_primer_reverse, 
   gt_test.allele_expected_size 
 from 
   typ_modified_allele a, 
   gnm_gene g, 
   ( 
     select 
   gt.modified_allele_id, 
   gpp1.five_primer_forward wildtype_primer_forward, 
   gpp1.three_primer_reverse wildtype_primer_reverse, 
   gpp1.expected_size wildtype_expected_size, 
   gpp2.five_primer_forward allele_primer_forward, 
   gpp2.three_primer_reverse allele_primer_reverse, 
   gpp2.expected_size allele_expected_size 
  from 
      typ_genotype_test gt, 
      typ_genotyping_primer_pair gpp1, 
      typ_genotyping_primer_pair gpp2 
  where 
      gpp1.genotype_test_id = gt.id and 
   gpp1.primer_pair_type_id = 1 and 
   gpp2.genotype_test_id = gt.id and 
   gpp2.primer_pair_type_id = 2 
   ) gt_test 
 where 
   a.gene_id = g.gene_id(+) and 
   gt_test.modified_allele_id(+) = a.id 
  ) mod_allele 
where 
  c.creator_id = p.person_id and 
  c.modified_allele_id = mod_allele.id(+) and 
  c.expected_coat_color_dict_id = cc.id(+) and 
  c.genotype_dict_id = gd.id(+) and 
  c.cell_line_strain_dict_id = st.id(+) and
  c.cell_line_source_dict_id = cs.id(+);


CREATE OR REPLACE VIEW ARQ_ALLELE_REQUEST_LIST_VW
AS 
select 
  a.id, 
  a.requester_person_id, 
  a.target_endpoint_dict_id, 
  a.edit_date, 
  a.comments, 
  a.researcher_person_id, 
  a.request_reasoning, 
  a.mutation_plan, 
  a.knockout_exists, 
  a.knockout_exists_reference, 
  mt.name mod_type, 
  a.allele_mod_type_dict_id, 
  a.request_priority, 
  a.gene_id, 
  a.review_comments, 
  a.researcher_name, 
  a.status_dict_id, 
  a.allele_mod_other_expln, 
  a.edited_by, 
  a.unexpected_phenotype_ok, 
  a.mgp_phenotyping_required, 
  a.request_source_dict_id, 
  a.gene_publications, 
  a.mouse_publications, 
  so.name source, 
  st.name status, 
  t.name target_endpoint, 
  p.first_name||' '||p.last_name user_name, 
  b.primary_name ensembl_id, 
  g.primary_name gene_name, 
  gs.score,
  -1 DESIGN_COUNT
from 
  arq_allele_request a, 
  arq_allele_request_source_dict so, 
  arq_allele_request_status_dict st, 
  arq_allele_mod_type_dict mt, 
  arq_target_endpoint_dict t, 
  per_person p, 
  gnm_gene g, 
  gnm_gene_build_gene b, 
  gev_gene_summary gs 
where 
  a.request_source_dict_id = so.id and 
  a.status_dict_id = st.id and 
  a.target_endpoint_dict_id = t.id and 
  a.allele_mod_type_dict_id = mt.id and 
  a.requester_person_id = p.person_id and 
  a.gene_id = g.gene_id and 
  g.primary_gene_build_gene_id = b.id and 
  g.gene_id = gs.gene_id(+) and gs.is_valid(+) = 1;


CREATE OR REPLACE TRIGGER LIC_PROTCOL_19B_TRIG
BEFORE INSERT
ON LIC_PROTOCOL_19B
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.PROTOCOL_19B_ID IS NULL) THEN
    SELECT LIC_PROTOCOL_19B_SEQ.NEXTVAL INTO :NEW.PROTOCOL_19B_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_MGI_PHENOTYPE_ALLELE_TRIG
BEFORE INSERT
ON GEV_MGI_PHENOTYPE_ALLELE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.MGI_PHENOTYPE_ALLELE_ID IS NULL) THEN
    SELECT GEV_MGI_PHENOTYPE_ALLELE_SEQ.NEXTVAL INTO :NEW.MGI_PHENOTYPE_ALLELE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER LIC_PROJECT_LICENCE_TRIG
BEFORE INSERT
ON LIC_PROJECT_LICENCE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.PROJECT_LICENCE_ID IS NULL) THEN
    SELECT LIC_PROJECT_LICENCE_SEQ.NEXTVAL INTO :NEW.PROJECT_LICENCE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_PERSON_TRIG 
BEFORE INSERT 
ON PER_PERSON 
FOR EACH ROW
BEGIN
   IF ( :new.PERSON_ID IS NULL ) THEN
      SELECT PER_PERSON_SEQ.NEXTVAL INTO :new.PERSON_ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_SET_ID_TRIG
BEFORE INSERT
ON GNM_GENE_SET
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.GENE_SET_ID IS NULL) THEN
    SELECT GNM_GENE_SET_SEQ.NEXTVAL INTO :NEW.GENE_SET_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER LIC_PERSONAL_LICENCE_TRIG
BEFORE INSERT
ON LIC_PERSONAL_LICENCE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.PERSONAL_LICENCE_ID IS NULL) THEN
    SELECT LIC_PERSONAL_LICENCE_SEQ.NEXTVAL INTO :NEW.PERSONAL_LICENCE_ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_HOMOLOGY_TRIG
BEFORE INSERT
ON GNM_GENE_HOMOLOGY
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.GENE_HOMOLOGY_ID IS NULL) THEN
    SELECT GNM_GENE_HOMOLOGY_SEQ.NEXTVAL INTO :NEW.GENE_HOMOLOGY_ID FROM dual;
  END IF;   
END GNM_GENE_HOMOLOGY_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_MIG_CURATED_STATUS_TRIG
BEFORE INSERT
ON GEV_MIG_CURATED_STATUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF ( :NEW.MIG_CURATED_STATUS_ID IS NULL ) THEN
      SELECT GEV_MIG_CURATED_STATUS_SEQ.NEXTVAL 
      INTO :NEW.MIG_CURATED_STATUS_ID FROM DUAL;
   END IF;    
END GEV_MIG_CURATED_STATUS_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_ROLE_TRIG
BEFORE INSERT
ON PER_ROLE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ROLE_ID IS NULL THEN
   SELECT PER_ROLE_SEQ.NEXTVAL INTO :NEW.ROLE_ID FROM DUAL;
  END IF;
END per_role_trig;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PER_PERSON_2_ROLE_TRIG
BEFORE INSERT
ON PER_PERSON_2_ROLE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.PERSON_2_ROLE_ID IS NULL THEN
   SELECT PER_PERSON_2_ROLE_SEQ.NEXTVAL 
      INTO :NEW.PERSON_2_ROLE_ID
      FROM DUAL;
  END IF;
END PER_PERSON_2_ROLE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_FACULTY_VOTE_TRIG
BEFORE INSERT
ON GEV_FACULTY_VOTE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.FACULTY_VOTE_ID IS NULL THEN
    SELECT GEV_FACULTY_VOTE_SEQ.NEXTVAL 
     INTO :NEW.FACULTY_VOTE_ID
     FROM DUAL;
  END IF;
END GEV_FACULTY_VOTE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_ABSTRACT_TRIG
BEFORE INSERT
ON PUB_ABSTRACT
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ABSTRACT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_ABSTRACT_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_ARTICLE_2_AUTHOR_TRIG
BEFORE INSERT
ON PUB_ARTICLE_2_AUTHOR
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ARTICLE_2_AUTHOR_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_ARTICLE_2_AUTHOR_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER pub_article_trig
BEFORE INSERT
ON pub_article
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_ARTICLE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END pub_article_trig;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER PUB_AUTHOR_TRIG
BEFORE INSERT
ON PUB_AUTHOR
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT PUB_AUTHOR_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;  
  END IF;
END PUB_AUTHROR_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER REQ_ANIMAL_REQUEST_TRIG
BEFORE INSERT 
ON REQ_ANIMAL_REQUEST 
FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT REQ_ANIMAL_REQUEST_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_STRAIN_TRIG
BEFORE INSERT
ON TYP_STRAIN
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT TYP_STRAIN_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER ARQ_REQUEST_2_MODIFIED_ALLELE
BEFORE INSERT
ON ARQ_REQUEST_2_MODIFIED_ALLELE
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT ARQ_REQUEST_2_MOD_ALLELE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER arq_allele_request_ts
before insert on arq_allele_request
for each row
begin
  if :new.id is null then
    select arq_allele_request_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER arq_havana_request_ts
before insert on arq_havana_request
for each row
begin
  if :new.id is null then
    select arq_havana_request_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER crq_cryo_request_ts
before insert on crq_cryo_request
for each row
begin
  if :new.id is null then
    select crq_cryo_request_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER ARQ_HAVANA_REQUEST_ta
before update or delete on ARQ_HAVANA_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into ARQ_HAVANA_REQUEST_AUDIT(
    ID,
    ALLELE_REQUEST_ID,
    STATUS_DICT_ID,
    CREATED_BY,
    CREATED_DATE,
    EDITED_BY,
    EDITED_DATE,
    COMMENTS,
    VEGA_ID,
    UPDATED_GENE_NAME,
    UPDATED_CHROMOSOME_NAME,
    START_NOT_FOUND,
    END_NOT_FOUND,
    CRITICAL_EXON_ID,
    PSEUDOGENE,
    ASSEMBLY_ERROR)
 values (
    :old.ID,
    :old.ALLELE_REQUEST_ID,
    :old.STATUS_DICT_ID,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDITED_DATE,
    :old.COMMENTS,
    :old.VEGA_ID,
    :old.UPDATED_GENE_NAME,
    :old.UPDATED_CHROMOSOME_NAME,
    :old.START_NOT_FOUND,
    :old.END_NOT_FOUND,
    :old.CRITICAL_EXON_ID,
    :old.PSEUDOGENE,
    :old.ASSEMBLY_ERROR);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER gev_gene_targeting_hits_ts
before insert on gev_gene_targeting_hits
for each row
begin
  if :new.id is null then
    select gev_gene_targeting_hits_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER gev_mammalian_phenotype_ts
before insert on gev_mammalian_phenotype
for each row
begin
  if :new.id is null then
    select gev_mammalian_phenotype_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_HOMOLOGY_TS
BEFORE INSERT
ON GNM_TRANSCRIPT_HOMOLOGY
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT GNM_TRANSCRIPT_HOMOLOGY_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER gnm_gene_ts
before insert on gnm_gene
for each row
begin
  if :new.gene_id is null then
    select gnm_gene_seq.nextval into :new.gene_id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_2_GENEBLD_GENE_TRIG
BEFORE INSERT
ON GNM_GENE_2_GENE_BUILD_GENE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_2_GENE_BUILD_GENE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_2_GENEBLD_GENE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER mir_cell_line_ts
before insert on mir_cell_line
for each row
begin
  if :new.id is null then
    select mir_cell_line_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER mir_micro_injection_request_ts
before insert on mir_micro_injection_request
for each row
begin
  if :new.id is null then
    select mir_microinjection_request_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER per_team_ts
before insert on per_team
for each row
begin
  if :new.id is null then
    select per_team_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_MOUSE_2_STRAIN_TRIG
BEFORE INSERT
ON TYP_MOUSE_2_STRAIN
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT TYP_MOUSE_2_STRAIN_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_MOUSE_SAMPLE_TRIG
BEFORE INSERT
ON TYP_MOUSE_SAMPLE 
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT TYP_MOUSE_SAMPLE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_ES_CLONE_2_STRAIN_TRIG
BEFORE INSERT
ON TYP_ES_CLONE_2_STRAIN
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT TYP_ES_CLONE_2_STRAIN_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_MODIFIED_ALLELE_TRIG
BEFORE INSERT
ON TYP_MODIFIED_ALLELE
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT TYP_MODIFIED_ALLELE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_MOUSESAMPLE_GTYPTEST_TRIG
BEFORE INSERT
ON TYP_MOUSE_SAMPLE_GENOTYPE_TEST
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT TYP_MOUSESAMPLE_GTYPETEST_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER typ_genotyping_primer_pair_ts
before insert on typ_genotyping_primer_pair
for each row
begin
  if :new.id is null then
    select typ_genotyping_primer_pair_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER typ_genotype_test_ts
before insert on typ_genotype_test
for each row
begin
  if :new.id is null then
    select typ_genotype_test_seq.nextval into :new.id from dual;
  end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_NAME_TRIG
BEFORE INSERT
ON GNM_EXON_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_EXON_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_EXON_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_GENE_ARTICLE_REF_TRIG
BEFORE INSERT 
ON GEV_GENE_ARTICLE_REF 
FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GEV_GENE_ARTICLE_REF_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_EXTERNAL_SUPPORT_REF_TRIG
BEFORE INSERT
ON GEV_EXTERNAL_SUPPORT_REF
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GEV_EXTERNAL_SUPPORT_REF_SEQ.NEXTVAL 
   INTO :NEW.ID
   FROM DUAL;
  END IF;
END ;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GEV_GENE_SUMMARY_TRIG
BEFORE INSERT
ON GEV_GENE_SUMMARY
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GEV_GENE_SUMMARY_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
  
  update gev_gene_summary set is_valid = 0 
  where 
    gene_id = :new.gene_id and 
 id != :new.id;
  
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_ASSEMBLY_TRIG 
BEFORE INSERT 
ON GNM_ASSEMBLY FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GNM_ASSEMBLY_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_TRIG
BEFORE INSERT
ON GNM_EXON
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_EXON_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_EXON_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_GENE_NAME_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_BUILD_GENE_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_BUILD_GENE_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_GENE_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF (:NEW.ID IS NULL) THEN
    SELECT GNM_GENE_BUILD_GENE_SEQ.NEXTVAL
     INTO :NEW.ID FROM DUAL; 
  END IF;
END GNM_GENE_BUILD_GENE_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_BUILD_TRIG 
BEFORE INSERT 
ON GNM_GENE_BUILD FOR EACH ROW
BEGIN
   IF ( :new.ID IS NULL ) THEN
      SELECT GNM_GENE_BUILD_SEQ.NEXTVAL INTO :new.ID FROM DUAL;
   END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GENE_NAME_TRIG
BEFORE INSERT
ON GNM_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_GENE_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GNM_TRANSCRIPT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_LOCUS_TRIG
BEFORE INSERT
ON GNM_LOCUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GNM_LOCUS_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_NAME_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
     SELECT GNM_TRANSCRIPT_NAME_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_TRANSCRIPT_NAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_GBGENE_UCNAME_TRIG
BEFORE INSERT
ON GNM_GENE_BUILD_GENE_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_GBGENE_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_EXON_UCNAME_TRIG
BEFORE INSERT
ON GNM_EXON_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_EXON_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER GNM_TRANSCRIPT_UCNAME_TRIG
BEFORE INSERT
ON GNM_TRANSCRIPT_NAME
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.NAME_UC IS NULL) THEN
     SELECT UPPER(:NEW.NAME) INTO :NEW.NAME_UC FROM dual;
  END IF;   
END GNM_TRANSCRIPT_UCNAME_TRIG;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_TRIG
BEFORE INSERT
ON MTS_COLONY
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_COLONY_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_ROOM_TRIG
BEFORE INSERT
ON MTS_ROOM
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_ROOM_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER mts_colony_t2 
before update or delete on mts_colony
for each row
begin

if deleting or updating then

  insert into mts_colony_audit(
     id, 
   colony_name, 
   ppl_holder, 
   project_licence_id, 
   destination_rooms, 
   card_colour, 
   allele_name_1, 
   allele_name_2, 
   allele_name_3, 
   allele_name_4, 
   strain_id, 
   genotype_1, 
   phenotype_1, 
   genotype_2, 
   phenotype_2, 
   genotype_3, 
   phenotype_3, 
   genotype_4, 
   phenotype_4, 
   contact_name_1, 
   contact_reason_1, 
   contact_name_2, 
   contact_reason_2, 
   contact_name_3, 
   contact_reason_3, 
   contact_name_4, 
   contact_reason_4, 
   colony_management, 
   average_litter_size, 
   coat_colour, 
   breeding_lifespan_weeks, 
   immune_status, 
   behavioural_traits, 
   remedial_action, 
   other_abnormalities, 
   welfare_assessment, 
   husbandry_recommendations, 
   diet, 
   housing_system, 
   environmental_enrichment, 
   misc_notes, 
   colony_origin, 
   place_of_origin, 
   date_of_import, 
   date_of_rederivation, 
   rederivation_method, 
   edited_by, 
   edit_date,
   welfare_assessment_performed,
   wtsi_origin)
  values (
  :old.id, 
  :old.colony_name, 
  :old.ppl_holder, 
  :old.project_licence_id, 
  :old.destination_rooms, 
  :old.card_colour, 
  :old.allele_name_1, 
  :old.allele_name_2, 
  :old.allele_name_3, 
  :old.allele_name_4, 
  :old.strain_id, 
  :old.genotype_1, 
  :old.phenotype_1, 
  :old.genotype_2, 
  :old.phenotype_2, 
  :old.genotype_3, 
  :old.phenotype_3, 
  :old.genotype_4, 
  :old.phenotype_4, 
  :old.contact_name_1, 
  :old.contact_reason_1, 
  :old.contact_name_2, 
  :old.contact_reason_2, 
  :old.contact_name_3, 
  :old.contact_reason_3, 
  :old.contact_name_4, 
  :old.contact_reason_4, 
  :old.colony_management, 
  :old.average_litter_size, 
  :old.coat_colour, 
  :old.breeding_lifespan_weeks, 
  :old.immune_status, 
  :old.behavioural_traits, 
  :old.remedial_action, 
  :old.other_abnormalities, 
  :old.welfare_assessment, 
  :old.husbandry_recommendations, 
  :old.diet, 
  :old.housing_system, 
  :old.environmental_enrichment, 
  :old.misc_notes, 
  :old.colony_origin, 
  :old.place_of_origin, 
  :old.date_of_import, 
  :old.date_of_rederivation, 
  :old.rederivation_method, 
  :old.edited_by, 
  :old.edit_date,
  :old.welfare_assessment_performed,
  :old.wtsi_origin 
   );
 
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER per_mailing_list_t1 
before insert on per_mailing_list
for each row
begin
   if :new.id is null then
      select per_mailing_list_seq.nextval into :new.id from dual;
   end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER per_mailing_list_recipient_t1 
before insert on per_mailing_list_recipient
for each row
begin
   if :new.id is null then
      select per_mailing_list_recipient_seq.nextval into :new.id from dual;
   end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER arq_allele_request_ta
before update or delete on arq_allele_request
for each row
begin

if deleting or updating then

  insert into arq_allele_request_audit (
    id,
    requester_person_id,
    target_endpoint_dict_id,
    edit_date,
    comments, 
    researcher_person_id, 
    request_reasoning, 
    mutation_plan, 
    knockout_exists, 
    knockout_exists_reference, 
    allele_nature, 
    request_priority, 
    gene_id, 
    review_comments, 
    researcher_name, 
    status_dict_id,
    allele_mod_other_expln, 
 edited_by,
    unexpected_phenotype_ok, 
    mgp_phenotyping_required,
 request_source_dict_id,
 gene_publications,
 mouse_publications,
 allele_mod_type_dict_id,
 created_date)
  values (
   :old.id,
    :old.requester_person_id,
    :old.target_endpoint_dict_id,
    :old.edit_date,
    :old.comments, 
    :old.researcher_person_id, 
    :old.request_reasoning, 
    :old.mutation_plan, 
    :old.knockout_exists, 
    :old.knockout_exists_reference, 
    :old.allele_nature, 
    :old.request_priority, 
    :old.gene_id, 
    :old.review_comments, 
    :old.researcher_name, 
    :old.status_dict_id,
    :old.allele_mod_other_expln, 
 :old.edited_by,
    :old.unexpected_phenotype_ok, 
    :old.mgp_phenotyping_required,
 :old.request_source_dict_id,
 :old.gene_publications,
 :old.mouse_publications,
 :old.allele_mod_type_dict_id,
 :old.created_date
    );
  
end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER arq_design_request_ts 
before insert on arq_design_request 
for each row
begin 
  if :new.id is null then 
    select arq_design_request_seq.nextval into :new.id from dual; 
  end if; 
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_INFO_TRIG
BEFORE INSERT
ON MTS_COLONY_INFO
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_COLONY_INFO_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_ROOM_ta
before update or delete on MTS_COLONY_ROOM for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_ROOM_AUDIT(
    ID,
    ROOM_ID,
    COLONY_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.ROOM_ID,
    :old.COLONY_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_STRAIN_ta
before update or delete on MTS_COLONY_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_STRAIN_AUDIT(
    ID,
    STRAIN_ID,
    COLONY_ID,
    PERCENT,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.STRAIN_ID,
    :old.COLONY_ID,
    :old.PERCENT,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_INFO_ta
before update or delete on MTS_COLONY_INFO for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_INFO_AUDIT(
    ID,
    COLONY_NAME,
    PROJECT_LICENCE_ID,
    CARD_COLOUR_DICT_ID,
    COLONY_MANAGEMENT,
    AVERAGE_LITTER_SIZE,
    BREEDING_LIFESPAN_WEEKS,
    IMMUNE_STATUS,
    OTHER_ABNORMALITIES,
    WELFARE_ASSESSMENT,
    HUSBANDRY_RECOMMENDATIONS,
    DIET,
    HOUSING_SYSTEM,
    ENVIRONMENTAL_ENRICHMENT,
    MISC_NOTES,
    COLONY_ORIGIN,
    PLACE_OF_ORIGIN,
    DATE_OF_IMPORT,
    DATE_OF_REDERIVATION,
    REDERIVATION_METHOD,
    EDITED_BY,
    EDIT_DATE,
    WELFARE_ASSESSMENT_PERFORMED,
    WTSI_ORIGIN,
    COLONY_PREFIX,
    MODE_OF_INHERITANCE,
    ASSESSING_PHENOTYPE,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE)
 values (
    :old.ID,
    :old.COLONY_NAME,
    :old.PROJECT_LICENCE_ID,
    :old.CARD_COLOUR_DICT_ID,
    :old.COLONY_MANAGEMENT,
    :old.AVERAGE_LITTER_SIZE,
    :old.BREEDING_LIFESPAN_WEEKS,
    :old.IMMUNE_STATUS,
    :old.OTHER_ABNORMALITIES,
    :old.WELFARE_ASSESSMENT,
    :old.HUSBANDRY_RECOMMENDATIONS,
    :old.DIET,
    :old.HOUSING_SYSTEM,
    :old.ENVIRONMENTAL_ENRICHMENT,
    :old.MISC_NOTES,
    :old.COLONY_ORIGIN,
    :old.PLACE_OF_ORIGIN,
    :old.DATE_OF_IMPORT,
    :old.DATE_OF_REDERIVATION,
    :old.REDERIVATION_METHOD,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.WELFARE_ASSESSMENT_PERFORMED,
    :old.WTSI_ORIGIN,
    :old.COLONY_PREFIX,
    :old.MODE_OF_INHERITANCE,
    :old.ASSESSING_PHENOTYPE,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_COAT_COLOUR_ta
before update or delete on MTS_COLONY_COAT_COLOUR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_COAT_COLOUR_AUDIT(
    ID,
    COLONY_ID,
    COAT_COLOUR_DICT_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.COLONY_ID,
    :old.COAT_COLOUR_DICT_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_CONTACT_TRIG
BEFORE INSERT
ON MTS_COLONY_CONTACT
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT MTS_COLONY_CONTACT_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_2_MOUSE_TRIG
BEFORE INSERT
ON MTS_COLONY_2_MOUSE
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
     SELECT MTS_COLONY_2_MOUSE_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_BEHAVIOUR_ta
before update or delete on MTS_COLONY_BEHAVIOUR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_BEHAVIOUR_AUDIT(
    ID,
    TRAIT,
    REMEDIAL_ACTION,
    COLONY_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.TRAIT,
    :old.REMEDIAL_ACTION,
    :old.COLONY_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_CROSS_ta
before update or delete on MTS_COLONY_CROSS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_CROSS_AUDIT(
    ID,
    PHENOTYPE_TEXT,
    GENOTYPE_TEXT,
    DELIMITED_ALLELE_IDS,
    COLONY_ID,
    IS_LETHAL,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.PHENOTYPE_TEXT,
    :old.GENOTYPE_TEXT,
    :old.DELIMITED_ALLELE_IDS,
    :old.COLONY_ID,
    :old.IS_LETHAL,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_ALLELE_ta
before update or delete on MTS_COLONY_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_ALLELE_AUDIT(
    ID,
    COLONY_ID,
    MODIFIED_ALLELE_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.COLONY_ID,
    :old.MODIFIED_ALLELE_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MTS_COLONY_CONTACT_ta
before update or delete on MTS_COLONY_CONTACT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into MTS_COLONY_CONTACT_AUDIT(
    ID,
    PERSON_ID,
    COLONY_ID,
    REASON,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER)
 values (
    :old.ID,
    :old.PERSON_ID,
    :old.COLONY_ID,
    :old.REASON,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER CRQ_CRYO_REQUEST_ta
before update or delete on CRQ_CRYO_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

if deleting or updating then 
 insert into CRQ_CRYO_REQUEST_AUDIT(
    ID,
    PPL,
    PPL_HOLDER,
    REQUESTOR_NAME,
    REQUESTOR_PIL,
    REQUESTOR_EMAIL,
    REQUESTOR_PHONE,
    REQUESTOR_TEAM,
    COLONY_NAME,
    COLONY_PREFIX,
    MOUSE_LINE_NAME,
    ALTERED_ALLELE,
    ENSEMBL_ID,
    MOUSE_BACKGROUND_STRAIN,
    BREEDING_PERFORMANCE,
    FEMALE_STRAIN,
    EDIT_DATE,
    STATUS_DICT_ID,
    HOMOZYGOUS_LETHAL,
    EDITED_BY,
    REQUESTER_PERSON_ID,
 CREATED_DATE)
 values (
    :old.ID,
    :old.PPL,
    :old.PPL_HOLDER,
    :old.REQUESTOR_NAME,
    :old.REQUESTOR_PIL,
    :old.REQUESTOR_EMAIL,
    :old.REQUESTOR_PHONE,
    :old.REQUESTOR_TEAM,
    :old.COLONY_NAME,
    :old.COLONY_PREFIX,
    :old.MOUSE_LINE_NAME,
    :old.ALTERED_ALLELE,
    :old.ENSEMBL_ID,
    :old.MOUSE_BACKGROUND_STRAIN,
    :old.BREEDING_PERFORMANCE,
    :old.FEMALE_STRAIN,
    :old.EDIT_DATE,
    :old.STATUS_DICT_ID,
    :old.HOMOZYGOUS_LETHAL,
    :old.EDITED_BY,
    :old.REQUESTER_PERSON_ID,
 :old.CREATED_DATE);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MIR_MICRO_INJECTION_REQUEST_ta
before update or delete on MIR_MICRO_INJECTION_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin
if deleting or updating then 
 insert into MIR_MICRO_INJECTION_REQ_AUDIT(
    ID,
    ENDPOINT_DICT_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    REQUESTER_ID,
    PROJECT_LICENCE_ID,
    DONOR_PLUG_COUNT,
    DONOR_STRAIN_DICT_ID,
    GENOTYPING_REQUIRED,
    CELL_LINE_ID,
    DONOR_EMBRYO_STAGE_DICT_ID,
    STATUS_DICT_ID,
    WORKFLOW_PIPELINE_DICT_ID)
 values (
    :old.ID,
    :old.ENDPOINT_DICT_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.REQUESTER_ID,
    :old.PROJECT_LICENCE_ID,
    :old.DONOR_PLUG_COUNT,
    :old.DONOR_STRAIN_DICT_ID,
    :old.GENOTYPING_REQUIRED,
    :old.CELL_LINE_ID,
    :old.DONOR_EMBRYO_STAGE_DICT_ID,
    :old.STATUS_DICT_ID,
    :old.WORKFLOW_PIPELINE_DICT_ID);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER MIR_CELL_LINE_TA
BEFORE DELETE OR UPDATE
ON MIR_CELL_LINE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
begin

if deleting or updating then 
 insert into MIR_CELL_LINE_AUDIT(
    ID,
    CELL_LINE_NAME,
    CELL_LINE_SOURCE_DICT_ID,
    CELL_LINE_STRAIN_DICT_ID,
    TEAM_87_REF_ID,
    CLONE_NAME,
    MODIFIED_ALLELE_ID,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    EXPECTED_COAT_COLOR_DICT_ID,
    GENOTYPE_DICT_ID)
 values (
    :old.ID,
    :old.CELL_LINE_NAME,
    :old.CELL_LINE_SOURCE_DICT_ID,
    :old.CELL_LINE_STRAIN_DICT_ID,
    :old.TEAM_87_REF_ID,
    :old.CLONE_NAME,
    :old.MODIFIED_ALLELE_ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.EXPECTED_COAT_COLOR_DICT_ID,
    :old.GENOTYPE_DICT_ID);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER req_animal_request_t2 
before update or delete on req_animal_request
for each row
begin

if deleting or updating then

  insert into req_animal_request_audit(  
  id, 
  project_licence_id, 
  personal_licence_id, 
  request_reason, 
  strain_id, 
  num_males_needed, 
  num_females_needed, 
  date_required, 
  destination_room_id, 
  standing_order_freq, 
  standing_order_day, 
  number_in_cage, 
  age_matched_litermates, 
  identification, 
  rederivation_requested, 
  comments, 
  embryo_age_needed, 
  age_or_weight_units, 
  age_or_weight, 
  funding_source, 
  status_dict_id, 
  age_or_weight_vs_embryo_age,
  created_date, 
  edited_by, 
  edit_date
 )
 values (
  :old.id, 
  :old.project_licence_id, 
  :old.personal_licence_id, 
  :old.request_reason, 
  :old.strain_id, 
  :old.num_males_needed, 
  :old.num_females_needed, 
  :old.date_required, 
  :old.destination_room_id, 
  :old.standing_order_freq, 
  :old.standing_order_day, 
  :old.number_in_cage, 
  :old.age_matched_litermates, 
  :old.identification, 
  :old.rederivation_requested, 
  :old.comments, 
  :old.embryo_age_needed, 
  :old.age_or_weight_units, 
  :old.age_or_weight, 
  :old.funding_source, 
  :old.status_dict_id, 
  :old.age_or_weight_vs_embryo_age,
  :old.created_date, 
  :old.edited_by, 
  :old.edit_date
 );
 
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TYP_MODIFIED_ALLELE_TA
BEFORE DELETE OR UPDATE
ON MIG.TYP_MODIFIED_ALLELE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
begin

if deleting or updating then 
 insert into TYP_MODIFIED_ALLELE_AUDIT(
    ID,
    LOCUS_ID,
    MUTATION_NATURE_ID,
    INTERNAL_NAME,
    OFFICIAL_NAME_SUPERSCRIPT,
    AFFECTS_SINGLE_GENE,
    IS_HOMOZYGOUS_LETHAL,
    INHERITANCE_MODE_ID,
    HAS_ASSOCIATED_PHENOTYPE,
    PHENOTYPE_DESCRIPTION,
    AFFECTS_MULTIPLE_GENE_DESCRIP,
    ALLELE_DESCRIPTION,
    TEAM_NAME,
    TEAM_LEADER,
    SHORT_ALLELE_SYMBOL,
    MAKER_NAME,
    ORIGINAL_ENTRY_DATE,
    SUBMITTER_ID,
    GENE_ID,
    ENSEMBL_VEGA_BUILD,
 multiple_gene_region_name)
 values (
    :old.ID,
    :old.LOCUS_ID,
    :old.MUTATION_NATURE_ID,
    :old.INTERNAL_NAME,
    :old.OFFICIAL_NAME_SUPERSCRIPT,
    :old.AFFECTS_SINGLE_GENE,
    :old.IS_HOMOZYGOUS_LETHAL,
    :old.INHERITANCE_MODE_ID,
    :old.HAS_ASSOCIATED_PHENOTYPE,
    :old.PHENOTYPE_DESCRIPTION,
    :old.AFFECTS_MULTIPLE_GENE_DESCRIP,
    :old.ALLELE_DESCRIPTION,
    :old.TEAM_NAME,
    :old.TEAM_LEADER,
    :old.SHORT_ALLELE_SYMBOL,
    :old.MAKER_NAME,
    :old.ORIGINAL_ENTRY_DATE,
    :old.SUBMITTER_ID,
    :old.GENE_ID,
    :old.ENSEMBL_VEGA_BUILD,
 :old.multiple_gene_region_name);
end if;
end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER ARQ_DESIGN_REQUEST_ta

before update or delete on ARQ_DESIGN_REQUEST for each row

/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */
begin

 

if deleting or updating then 

 insert into ARQ_DESIGN_REQUEST_AUDIT(

    ID,

    ALLELE_REQUEST_ID,

    STATUS_DICT_ID,

    CREATED_DATE,

    EDITED_DATE,

    CREATED_BY,

    COMMENTS,

    EDITED_BY,

    VEGA_ID)

 values (

    :old.ID,

    :old.ALLELE_REQUEST_ID,

    :old.STATUS_DICT_ID,

    :old.CREATED_DATE,

    :old.EDITED_DATE,

    :old.CREATED_BY,

    :old.COMMENTS,

    :old.EDITED_BY,

    :old.VEGA_ID);

end if;

end;
/
SHOW ERRORS;



ALTER TABLE GEV_MAMMALIAN_PHENOTYPE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE ADD (
  CONSTRAINT GEV_MGI_PHENOTYPE_ALLELE_PK
 PRIMARY KEY
 (MGI_PHENOTYPE_ALLELE_ID));

ALTER TABLE GEV_MIG_CURATED_STATUS ADD (
  CONSTRAINT GEV_MIG_CURATED_STATUS_PK
 PRIMARY KEY
 (MIG_CURATED_STATUS_ID));

ALTER TABLE GNM_ASSEMBLY ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_EXON ADD (
  CONSTRAINT GNM_EXON_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE ADD (
  PRIMARY KEY
 (GENE_ID));

ALTER TABLE GNM_GENE_BUILD ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_BUILD_GENE ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_HOMOLOGY ADD (
  CONSTRAINT GNM_GENE_HOMOLOGY_PK
 PRIMARY KEY
 (GENE_HOMOLOGY_ID));

ALTER TABLE MTS_COLONY_COAT_COLOUR ADD (
  CONSTRAINT MTS_COLONY_COAT_COLOUR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_NAME ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_SET ADD (
  PRIMARY KEY
 (GENE_SET_ID));

ALTER TABLE MTS_COLONY_2_MOUSE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_ALLELE ADD (
  CONSTRAINT MTS_COLONY_ALLELE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_BEHAVIOUR ADD (
  CONSTRAINT MTS_COLONY_BEHAVIOUR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_CONTACT ADD (
  CONSTRAINT MTS_COLONY_CONTACT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_CROSS ADD (
  CONSTRAINT MTS_COLONY_CROSS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COAT_COLOUR_DICT ADD (
  CONSTRAINT MTS_COAT_COLOUR_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_GENOTYPE_DICT ADD (
  CONSTRAINT MTS_GENOTYPE_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_DESIGN_REQUEST ADD (
  CONSTRAINT ARQ_DESIGN_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_2_GENE_BUILD_GENE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_NAME_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_MOD_TYPE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE ARQ_TARGET_ENDPOINT_DICT ADD (
  CONSTRAINT GNM_ALLELE_TARGET_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF ADD (
  CONSTRAINT GEV_EXTERNAL_SUPPORT_REF_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_GENE_SUMMARY ADD (
  CONSTRAINT GEV_GENE_SUMMARY_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_CARD_COLOUR_DICT ADD (
  CONSTRAINT MTS_CARD_COLOUR_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_GENE_TARGETING_HITS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_LOCUS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_TRANSCRIPT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_TRANSCRIPT_HOMOLOGY ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GNM_TRANSCRIPT_NAME ADD (
  CONSTRAINT GNM_TRANSCRIPT_NAME_PK
 PRIMARY KEY
 (ID));

ALTER TABLE LIC_PERSONAL_LICENCE ADD (
  PRIMARY KEY
 (PERSONAL_LICENCE_ID));

ALTER TABLE LIC_PROJECT_LICENCE ADD (
  PRIMARY KEY
 (PROJECT_LICENCE_ID));

ALTER TABLE LIC_PROTOCOL_19B ADD (
  CONSTRAINT LIC_PROTOCOL_19B_PK
 PRIMARY KEY
 (PROTOCOL_19B_ID));

ALTER TABLE PER_PERSON ADD (
  PRIMARY KEY
 (PERSON_ID));

ALTER TABLE PER_PERSON_2_ROLE ADD (
  CONSTRAINT PER_PERSON_2_ROLE_PK
 PRIMARY KEY
 (PERSON_2_ROLE_ID));

ALTER TABLE PER_ROLE ADD (
  CONSTRAINT PER_ROLE_PK
 PRIMARY KEY
 (ROLE_ID));

ALTER TABLE GNM_EXON_NAME ADD (
  CONSTRAINT GNM_EXON_NAME_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_FACULTY_VOTE ADD (
  CONSTRAINT GEV_FACULTY_VOTE_PK
 PRIMARY KEY
 (FACULTY_VOTE_ID));

ALTER TABLE MTS_COLONY ADD (
  CONSTRAINT MTS_COLONY_OLD_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_STRAIN ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_ES_CLONE_2_STRAIN ADD (
  CONSTRAINT TYP_ES_CLONE_2_STRAIN_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_MOUSE_2_STRAIN ADD (
  CONSTRAINT TYP_MOUSE_2_STRAIN_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_ROOM ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE PUB_ABSTRACT ADD (
  CONSTRAINT PUB_ABSTRACT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PUB_ARTICLE ADD (
  CONSTRAINT PUB_ARTICLE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PUB_AUTHOR ADD (
  CONSTRAINT PUB_AUTHOR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE REQ_ANIMAL_REQUEST ADD (
  CONSTRAINT REQ_ANIMAL_REQUEST_C01
 CHECK (AGE_OR_WEIGHT in ('days','weeks','grams',null)),
  CONSTRAINT REQ_ANIMAL_REQUEST_R01
 CHECK (AGE_OR_WEIGHT_VS_EMBRYO_AGE in ('ageOrWeight','embryoAge')),
  PRIMARY KEY
 (ID));

ALTER TABLE CRQ_CRYO_REQUEST ADD (
  CONSTRAINT CRQ_CRYO_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MIR_MICRO_INJECTION_REQUEST ADD (
  CONSTRAINT MIR_MICRO_INJECTION_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MIR_TARGET_ENDPOINT_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MIR_CELL_LINE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_MODIFIED_ALLELE ADD (
  CONSTRAINT TYP_MODIFIED_ALLELE_C01
 CHECK (is_homozygous_lethal in ('Yes','No','Unknown')),
  CONSTRAINT TYP_MODIFIED_ALLELE_C02
 CHECK (has_associated_phenotype in ('Yes','No','Unknown')),
  PRIMARY KEY
 (ID));

ALTER TABLE ARQ_REQUEST_2_MODIFIED_ALLELE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE PUB_ARTICLE_2_AUTHOR ADD (
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_MOUSE_SAMPLE ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE APP_WORKFLOW_PIPELINE_DICT ADD (
  CONSTRAINT APP_WORKFLOW_PIPELINE_DICT_R03
 CHECK (active in (0,1)),
  CONSTRAINT APP_WORKFLOW_PIPELINE_DICT_R01
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_GENOTYPE_TEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_GENOTYPING_PRIMER_PAIR ADD (
  CONSTRAINT TYP_GENOTYPING_PRIMER_PAIR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_GENOTYE_TE_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GNM_TRANSCRIPT_2_EXON ADD (
  CONSTRAINT GNM_EXON_2_TRANSCRIPT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST_STATUS_DICT ADD (
  CONSTRAINT ARQ_ALLELE_REQUEST_STATUS_D_PK
 PRIMARY KEY
 (ID));

ALTER TABLE GEV_GENE_ARTICLE_REF ADD (
  CONSTRAINT GEV_GENE_ARTICLE_REF_PK
 PRIMARY KEY
 (ID));

ALTER TABLE REQ_ANIMAL_REQUEST_STATUS_DICT ADD (
  CONSTRAINT REQ_ANIMAL_REQUEST_STATUS_C01
 CHECK (ACTIVE IN ('true','false')),
  CONSTRAINT REQ_ANIMAL_REQUEST_STATUS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MIR_REQUEST_STATUS_DICT ADD (
  CONSTRAINT MIR_REQUEST_STATUS_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE CRQ_CRYO_REQUEST_STATUS_DICT ADD (
  CONSTRAINT CRYO_REQUEST_STATUS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_ALLELE_REQUEST_SOURCE_DICT ADD (
  CONSTRAINT ARQ_ALLELE_REQUEST_SOURCE_D_PK
 PRIMARY KEY
 (ID));

ALTER TABLE ARQ_HAVANA_REQUEST ADD (
  CONSTRAINT ARQ_VEGA_REQUEST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PER_MAILING_LIST ADD (
  CONSTRAINT PER_MAILING_LIST_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PER_MAILING_LIST_RECIPIENT ADD (
  CONSTRAINT PER_MAILING_LIST_RECIPIENT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PER_TEAM ADD (
  CONSTRAINT PER_TEAM_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_INHERITANCE_MODE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_MUTATION_NATURE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE TYP_PRIMER_PAIR_TYPE_DICT ADD (
  CONSTRAINT TYP_PRIMER_PAIR_TYPE_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE TYP_GENOTYPE_TEST_TYPE_DICT ADD (
  CONSTRAINT TYP_GENOTYPE_TEST_TYPE_DICT_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_INFO ADD (
  CONSTRAINT MTS_COLONY_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_ROOM ADD (
  CONSTRAINT MTS_COLONY_ROOM_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MTS_COLONY_STRAIN ADD (
  CONSTRAINT MTS_COLONY_STRAIN_PK
 PRIMARY KEY
 (ID));

ALTER TABLE MIR_CELL_LINE_STRAIN_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MIR_EMBRYO_STAGE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE MIR_ES_CELL_LINE_SOURCE_DICT ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE ADD (
  CONSTRAINT GEV_MAMMALIAN_PHENOTYPE_R01 
 FOREIGN KEY (MGI_PHENOTYPE_ALLELE_ID) 
 REFERENCES GEV_MGI_PHENOTYPE_ALLELE (MGI_PHENOTYPE_ALLELE_ID));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE ADD (
  CONSTRAINT GEV_MGI_PHENOTYPE_ALLELE_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GEV_MIG_CURATED_STATUS ADD (
  CONSTRAINT GEV_MIG_CURATED_STATUS_R02 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT GEV_MIG_CURATED_STATUS_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_EXON ADD (
  CONSTRAINT GNM_EXON_R03 
 FOREIGN KEY (GENE_BUILD_ID) 
 REFERENCES GNM_GENE_BUILD (ID),
  CONSTRAINT GNM_EXON_R02 
 FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID),
  CONSTRAINT GNM_EXON_R01 
 FOREIGN KEY (TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID));

ALTER TABLE GNM_GENE ADD (
  CONSTRAINT GNM_GENE_R02 
 FOREIGN KEY (PRIMARY_ENSEMBL_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID),
  CONSTRAINT GNM_GENE_R01 
 FOREIGN KEY (PRIMARY_GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID),
  CONSTRAINT GNM_GENE_R03 
 FOREIGN KEY (PRIMARY_VEGA_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID));

ALTER TABLE GNM_GENE_BUILD ADD (
  FOREIGN KEY (ASSEMBLY_ID) 
 REFERENCES GNM_ASSEMBLY (ID));

ALTER TABLE GNM_GENE_BUILD_GENE ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_R01 
 FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID),
  CONSTRAINT GNM_GENE_BUILD_GENE_R02 
 FOREIGN KEY (GENE_BUILD_ID) 
 REFERENCES GNM_GENE_BUILD (ID));

ALTER TABLE GNM_GENE_HOMOLOGY ADD (
  FOREIGN KEY (GENE2_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (GENE1_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_GENE_NAME ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_GENE_SET ADD (
  FOREIGN KEY (CREATED_BY_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE GNM_GENE_SET_2_GENE ADD (
  FOREIGN KEY (GENE_SET_ID) 
 REFERENCES GNM_GENE_SET (GENE_SET_ID),
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE MTS_COLONY_2_MOUSE ADD (
  CONSTRAINT MTS_MOUSE_2_COLONY_R02 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

ALTER TABLE MTS_COLONY_ALLELE ADD (
  CONSTRAINT MTS_COLONY_ALLELE_R01 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID),
  CONSTRAINT MTS_COLONY_ALLELE_R02 
 FOREIGN KEY (MODIFIED_ALLELE_ID) 
 REFERENCES TYP_MODIFIED_ALLELE (ID));

ALTER TABLE MTS_COLONY_BEHAVIOUR ADD (
  CONSTRAINT MTS_COLONY_BEHAVIOUR_R01 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

ALTER TABLE MTS_COLONY_CONTACT ADD (
  CONSTRAINT MTS_COLONY_CONTACT_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT MTS_COLONY_CONTACT_R02 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

ALTER TABLE MTS_COLONY_CROSS ADD (
  CONSTRAINT MTS_COLONY_CROSS_R01 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

ALTER TABLE ARQ_DESIGN_REQUEST ADD (
  CONSTRAINT ARQ_DESIGN_REQUEST_R02 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES ARQ_ALLELE_REQUEST_STATUS_DICT (ID),
  CONSTRAINT ARQ_DESIGN_REQUEST_R01 
 FOREIGN KEY (ALLELE_REQUEST_ID) 
 REFERENCES ARQ_ALLELE_REQUEST (ID));

ALTER TABLE ARQ_DESIGN_2_DESIGN_REQUEST ADD (
  CONSTRAINT ARQ_DES_2_DES_REQUEST_R02 
 FOREIGN KEY (DESIGN_REQUEST_ID) 
 REFERENCES ARQ_DESIGN_REQUEST (ID),
  CONSTRAINT ARQ_DES_2_DES_REQUEST_R01 
 FOREIGN KEY (DESIGN_ID) 
 REFERENCES EUCOMM_VECTOR.DESIGN (DESIGN_ID));

ALTER TABLE GNM_GENE_2_GENE_BUILD_GENE ADD (
  CONSTRAINT GNM_GENE_2_GENE_BUILD_GENE_R02 
 FOREIGN KEY (GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID),
  CONSTRAINT GNM_GENE_2_GENE_BUILD_GENE_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME ADD (
  CONSTRAINT GNM_GENE_BUILD_GENE_NAME_R01 
 FOREIGN KEY (GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID));

ALTER TABLE ARQ_ALLELE_REQUEST ADD (
  CONSTRAINT ARQ_ALLELE_REQUEST_R03 
 FOREIGN KEY (ALLELE_MOD_TYPE_DICT_ID) 
 REFERENCES ARQ_ALLELE_MOD_TYPE_DICT (ID),
  CONSTRAINT ARQ_ALLELE_REQUEST_R01 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES ARQ_ALLELE_REQUEST_STATUS_DICT (ID),
  CONSTRAINT ARQ_ALLELE_REQUEST_R02 
 FOREIGN KEY (RESEARCHER_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID) DISABLE,
  CONSTRAINT ARQ_ALLELE_REQUEST_R05 
 FOREIGN KEY (REQUEST_SOURCE_DICT_ID) 
 REFERENCES ARQ_ALLELE_REQUEST_SOURCE_DICT (ID),
  CONSTRAINT ARQ_ALLELE_REQUEST_R04 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (REQUESTER_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  FOREIGN KEY (TARGET_ENDPOINT_DICT_ID) 
 REFERENCES ARQ_TARGET_ENDPOINT_DICT (ID));

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE GEV_GENE_SUMMARY ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE GEV_GENE_TARGETING_HITS ADD (
  FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE GNM_TRANSCRIPT ADD (
  FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID),
  CONSTRAINT GNM_TRANSCRIPT_R02 
 FOREIGN KEY (GENE_BUILD_GENE_ID) 
 REFERENCES GNM_GENE_BUILD_GENE (ID));

ALTER TABLE GNM_TRANSCRIPT_HOMOLOGY ADD (
  FOREIGN KEY (LEFT_TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID),
  FOREIGN KEY (RIGHT_TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID));

ALTER TABLE GNM_TRANSCRIPT_NAME ADD (
  FOREIGN KEY (TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID));

ALTER TABLE LIC_PERSONAL_LICENCE ADD (
  CONSTRAINT LIC_PERSONAL_LICENCE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE LIC_PROJECT_2_PERSONAL_LICENCE ADD (
  CONSTRAINT LIC_PROJECT_2_PERSONAL_LIC_R02 
 FOREIGN KEY (PERSONAL_LICENCE_ID) 
 REFERENCES LIC_PERSONAL_LICENCE (PERSONAL_LICENCE_ID),
  CONSTRAINT LIC_PROJECT_2_PERSONAL_LIC_R01 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID));

ALTER TABLE LIC_PROJECT_LICENCE ADD (
  CONSTRAINT LIC_PROJECT_LICENCE_R04 
 FOREIGN KEY (RESPONSIBLE_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT LIC_PROJECT_LICENCE_R01 
 FOREIGN KEY (DEPUTY1_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT LIC_PROJECT_LICENCE_R02 
 FOREIGN KEY (DEPUTY2_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT LIC_PROJECT_LICENCE_R03 
 FOREIGN KEY (DEPUTY3_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE LIC_PROTOCOL_19B ADD (
  CONSTRAINT LIC_PROTOCOL_19B_R01 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID));

ALTER TABLE PER_PERSON ADD (
  CONSTRAINT PER_PERSON_R01 
 FOREIGN KEY (TEAM_ID) 
 REFERENCES PER_TEAM (ID));

ALTER TABLE PER_PERSON_2_ROLE ADD (
  CONSTRAINT PER_PERSON_2_ROLE_R02 
 FOREIGN KEY (ROLE_ID) 
 REFERENCES PER_ROLE (ROLE_ID),
  CONSTRAINT PER_PERSON_2_ROLE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE GNM_EXON_NAME ADD (
  CONSTRAINT GNM_EXON_NAME_R01 
 FOREIGN KEY (EXON_ID) 
 REFERENCES GNM_EXON (ID));

ALTER TABLE GEV_FACULTY_VOTE ADD (
  CONSTRAINT GEV_FACULTY_VOTE_R02 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  CONSTRAINT GEV_FACULTY_VOTE_R01 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID));

ALTER TABLE TYP_ES_CLONE_2_STRAIN ADD (
  CONSTRAINT TYP_ES_CLONE_2_STRAIN_R01 
 FOREIGN KEY (STRAIN_ID) 
 REFERENCES TYP_STRAIN (ID));

ALTER TABLE TYP_MOUSE_2_STRAIN ADD (
  CONSTRAINT TYP_MOUSE_2_STRAIN_R02 
 FOREIGN KEY (STRAIN_ID) 
 REFERENCES TYP_STRAIN (ID));

ALTER TABLE PUB_ARTICLE ADD (
  CONSTRAINT PUB_ARTICLE_R01 
 FOREIGN KEY (ABSTRACT_ID) 
 REFERENCES PUB_ABSTRACT (ID));

ALTER TABLE REQ_ANIMAL_REQUEST ADD (
  CONSTRAINT REQ_ANIMAL_REQUEST_R11 
 FOREIGN KEY (REQUEST_ORIGINATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT REQ_ANIMAL_REQUEST_R05 
 FOREIGN KEY (DESTINATION_ROOM_ID) 
 REFERENCES MTS_ROOM (ID),
  CONSTRAINT REQ_ANIMAL_REQUEST_R04 
 FOREIGN KEY (STRAIN_ID) 
 REFERENCES TYP_STRAIN (ID),
  CONSTRAINT REQ_ANIMAL_REQUEST_R03 
 FOREIGN KEY (PERSONAL_LICENCE_ID) 
 REFERENCES LIC_PERSONAL_LICENCE (PERSONAL_LICENCE_ID),
  CONSTRAINT REQ_ANIMAL_REQUEST_R02 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID),
  FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES REQ_ANIMAL_REQUEST_STATUS_DICT (ID));

ALTER TABLE CRQ_CRYO_REQUEST ADD (
  FOREIGN KEY (REQUESTER_PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID) DISABLE,
  CONSTRAINT CRQ_CRYO_REQUEST_R01 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES CRQ_CRYO_REQUEST_STATUS_DICT (ID));

ALTER TABLE MIR_MICRO_INJECTION_REQUEST ADD (
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR05 
 FOREIGN KEY (WORKFLOW_PIPELINE_DICT_ID) 
 REFERENCES APP_WORKFLOW_PIPELINE_DICT (ID),
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR04 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES MIR_REQUEST_STATUS_DICT (ID),
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR03 
 FOREIGN KEY (DONOR_EMBRYO_STAGE_DICT_ID) 
 REFERENCES MIR_EMBRYO_STAGE_DICT (ID),
  CONSTRAINT MIR_MICRO_INJ_REQUEST_R05 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID),
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR01 
 FOREIGN KEY (CELL_LINE_ID) 
 REFERENCES MIR_CELL_LINE (ID),
  CONSTRAINT MIR_MICRO_INJ_REQUEST_R07 
 FOREIGN KEY (REQUESTER_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT MIR_MICRO_INJECTION_REQUESTR02 
 FOREIGN KEY (DONOR_STRAIN_DICT_ID) 
 REFERENCES TYP_STRAIN (ID),
  CONSTRAINT MIR_MICROINJECTION_REQ_R03 
 FOREIGN KEY (ENDPOINT_DICT_ID) 
 REFERENCES MIR_TARGET_ENDPOINT_DICT (ID));

ALTER TABLE MIR_CELL_LINE ADD (
  CONSTRAINT MIR_CELL_LINE_R06 
 FOREIGN KEY (CELL_LINE_SOURCE_DICT_ID) 
 REFERENCES MIR_ES_CELL_LINE_SOURCE_DICT (ID),
  CONSTRAINT MIR_CELL_LINE_R04 
 FOREIGN KEY (GENOTYPE_DICT_ID) 
 REFERENCES MTS_GENOTYPE_DICT (ID),
  CONSTRAINT MIR_CELL_LINE_R03 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT MIR_CELL_LINE_R02 
 FOREIGN KEY (EXPECTED_COAT_COLOR_DICT_ID) 
 REFERENCES MTS_COAT_COLOUR_DICT (ID),
  CONSTRAINT MIR_CELL_LINE_R12 
 FOREIGN KEY (MODIFIED_ALLELE_ID) 
 REFERENCES TYP_MODIFIED_ALLELE (ID),
  CONSTRAINT MIR_CELL_LINE_R01 
 FOREIGN KEY (CELL_LINE_STRAIN_DICT_ID) 
 REFERENCES MIR_CELL_LINE_STRAIN_DICT (ID));

ALTER TABLE TYP_MODIFIED_ALLELE ADD (
  FOREIGN KEY (SUBMITTER_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT TYP_MODIFIED_ALLELE_R03 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID),
  FOREIGN KEY (ENSEMBL_VEGA_BUILD) 
 REFERENCES GNM_GENE_BUILD (ID),
  CONSTRAINT TYP_MODIFIED_ALLELE_R01 
 FOREIGN KEY (INHERITANCE_MODE_ID) 
 REFERENCES TYP_INHERITANCE_MODE_DICT (ID),
  FOREIGN KEY (MUTATION_NATURE_ID) 
 REFERENCES TYP_MUTATION_NATURE_DICT (ID),
  CONSTRAINT ARQ_MODIFIED_LOCUS_R01 
 FOREIGN KEY (LOCUS_ID) 
 REFERENCES GNM_LOCUS (ID));

ALTER TABLE PUB_ARTICLE_2_AUTHOR ADD (
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_R02 
 FOREIGN KEY (AUTHOR_ID) 
 REFERENCES PUB_AUTHOR (ID),
  CONSTRAINT PUB_ARTICLE_2_AUTHOR_R01 
 FOREIGN KEY (ARTICLE_ID) 
 REFERENCES PUB_ARTICLE (ID));

ALTER TABLE TYP_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_GENOTYPE_TEST_R02 
 FOREIGN KEY (GENOTYPE_TEST_TYPE_ID) 
 REFERENCES TYP_GENOTYPE_TEST_TYPE_DICT (ID),
  CONSTRAINT TYP_GENOTYPE_TEST_R01 
 FOREIGN KEY (MODIFIED_ALLELE_ID) 
 REFERENCES TYP_MODIFIED_ALLELE (ID));

ALTER TABLE TYP_GENOTYPING_PRIMER_PAIR ADD (
  CONSTRAINT TYP_GENOTYPING_PRIMER_PAIR_R02 
 FOREIGN KEY (PRIMER_PAIR_TYPE_ID) 
 REFERENCES TYP_PRIMER_PAIR_TYPE_DICT (ID),
  CONSTRAINT TYP_GENOTYPING_PRIMER_PAIR_R01 
 FOREIGN KEY (GENOTYPE_TEST_ID) 
 REFERENCES TYP_GENOTYPE_TEST (ID));

ALTER TABLE TYP_MOUSE_SAMPLE_GENOTYPE_TEST ADD (
  CONSTRAINT TYP_MOUSE_SAMPLE_GENOTYE_T_R02 
 FOREIGN KEY (GENOTYPE_TEST_ID) 
 REFERENCES TYP_GENOTYPE_TEST (ID));

ALTER TABLE GNM_TRANSCRIPT_2_EXON ADD (
  CONSTRAINT GNM_EXON_2_TRANSCRIPT_R02 
 FOREIGN KEY (TRANSCRIPT_ID) 
 REFERENCES GNM_TRANSCRIPT (ID),
  CONSTRAINT GNM_EXON_2_TRANSCRIPT_R01 
 FOREIGN KEY (EXON_ID) 
 REFERENCES GNM_EXON (ID));

ALTER TABLE GEV_GENE_ARTICLE_REF ADD (
  CONSTRAINT GEV_GENE_ARTICLE_REF_R03 
 FOREIGN KEY (ARTICLE_ID) 
 REFERENCES PUB_ARTICLE (ID),
  CONSTRAINT GEV_GENE_ARTICLE_REF_R02 
 FOREIGN KEY (PERSON_ID) 
 REFERENCES PER_PERSON (PERSON_ID),
  CONSTRAINT GEV_GENE_ARTICLE_REF_R01 
 FOREIGN KEY (GENE_ID) 
 REFERENCES GNM_GENE (GENE_ID));

ALTER TABLE ARQ_HAVANA_REQUEST ADD (
  CONSTRAINT ARQ_HAVANA_REQUEST_R01 
 FOREIGN KEY (STATUS_DICT_ID) 
 REFERENCES ARQ_ALLELE_REQUEST_STATUS_DICT (ID),
  CONSTRAINT ARQ_VEGA_REQUEST_R01 
 FOREIGN KEY (ALLELE_REQUEST_ID) 
 REFERENCES ARQ_ALLELE_REQUEST (ID));

ALTER TABLE PER_MAILING_LIST_RECIPIENT ADD (
  CONSTRAINT PER_MAILING_LIST_RECIPIENT_R01 
 FOREIGN KEY (MAILING_LIST_ID) 
 REFERENCES PER_MAILING_LIST (ID));

ALTER TABLE MTS_COLONY_INFO ADD (
  CONSTRAINT MTS_COLONY_INFO_R01 
 FOREIGN KEY (PROJECT_LICENCE_ID) 
 REFERENCES LIC_PROJECT_LICENCE (PROJECT_LICENCE_ID));

ALTER TABLE MTS_COLONY_ROOM ADD (
  CONSTRAINT MTS_COLONY_ROOM_R01 
 FOREIGN KEY (ROOM_ID) 
 REFERENCES MTS_ROOM (ID),
  CONSTRAINT MTS_COLONY_ROOM_R02 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

ALTER TABLE MTS_COLONY_STRAIN ADD (
  CONSTRAINT MTS_COLONY_STRAIN_R01 
 FOREIGN KEY (STRAIN_ID) 
 REFERENCES TYP_STRAIN (ID),
  CONSTRAINT MTS_COLONY_STRAIN_R02 
 FOREIGN KEY (COLONY_ID) 
 REFERENCES MTS_COLONY_INFO (ID));

GRANT REFERENCES ON  GNM_EXON TO EUCOMM_VECTOR;

GRANT REFERENCES ON  GNM_LOCUS TO EUCOMM_VECTOR;

GRANT REFERENCES ON  GNM_GENE_BUILD TO EUCOMM_VECTOR;

GRANT SELECT ON  GEV_MGI_PHENOTYPE_ALLELE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_GENOTYPING_PRIMER_PAIR_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_GENOTYPE_TEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_PRIMER_PAIR_TYPE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_GENOTYPE_TEST_TYPE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MODIFIED_ALLELE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_LIST_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_SET_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_EXON_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_HOMOLOGY_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD_GENE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_ASSEMBLY_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_LOCUS_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_PERSON_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_ROLE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_SUMMARY_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  SCHEMA_DOCUMENTATION_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PROJECT_LICENCE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PERSONAL_LICENCE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PROTOCOL_19B_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_PERSON_2_ROLE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_EXTERNAL_SUPPORT_REF_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_MIG_CURATED_STATUS_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_MOD_TYPE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_DESIGN_REQUEST_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_2_EXON TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_ARTICLE_REF TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_ARTICLE_REF_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_2_GENE_BUILD_GENE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_2_GENE_BUILD_GENE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TEMP_EUCOMM TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_EXON_NAME_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_NAME_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD_GENE_NAME_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_NAME_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD_GENE_NAME TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_TARGET_ENDPOINT_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_EXTERNAL_SUPPORT_REF TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_SUMMARY TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_TARGETING_HITS TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_MAMMALIAN_PHENOTYPE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_MGI_PHENOTYPE_ALLELE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_MIG_CURATED_STATUS TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_ASSEMBLY TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_EXON TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_BUILD_GENE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_HOMOLOGY TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_NAME TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_SET TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_SET_2_GENE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_LOCUS TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_HOMOLOGY TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_NAME TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PERSONAL_LICENCE TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PROJECT_2_PERSONAL_LICENCE TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PROJECT_LICENCE TO EUVECT_RW_ROLE;

GRANT SELECT ON  LIC_PROTOCOL_19B TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_PERSON TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_PERSON_2_ROLE TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_ROLE TO EUVECT_RW_ROLE;

GRANT SELECT ON  MEV_EVENT_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_COLONY_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_ROOM_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_BREEDING_MOUSE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ARTICLE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_AUTHOR_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ARTICLE_2_AUTHOR_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ABSTRACT_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_STRAIN_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_MICROINJECTION_REQUEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_CELL_LINE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  CRQ_CRYO_REQUEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  REQ_ANIMAL_REQUEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_COLONY TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_STRAIN TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_ES_CLONE_2_STRAIN TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSE_2_STRAIN TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_ROOM TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ABSTRACT TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ARTICLE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_EXON_NAME TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_FACULTY_VOTE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_AUTHOR TO EUVECT_RW_ROLE;

GRANT SELECT ON  REQ_ANIMAL_REQUEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  CRQ_CRYO_REQUEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_MICRO_INJECTION_REQUEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_TARGET_ENDPOINT_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_CELL_LINE TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_FACULTY_VOTE TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MODIFIED_ALLELE TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_REQUEST_2_MODIFIED_ALLELE TO EUVECT_RW_ROLE;

GRANT SELECT ON  PUB_ARTICLE_2_AUTHOR TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSE_SAMPLE TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_GENOTYPE_TEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_GENOTYPING_PRIMER_PAIR TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSE_SAMPLE_GENOTYPE_TEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  MEV_PROCEDURE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  REQ_ANIMAL_REQUEST_STATUS_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_REQUEST_STATUS_ID_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  CRQ_CRYO_REQUEST_STATUS_ID_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_REQUEST_STATUS_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  CRQ_CRYO_REQUEST_STATUS_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_USER_LOG TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_STATUS_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_REQUEST_2_MOD_ALLELE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQ_HISTORICAL_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_STATS_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_GENE_TARGETING_HITS_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GEV_MAMMALIAN_PHENOTYPE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_TRANSCRIPT_HOMOLOGY_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_TEAM_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_ES_CLONE_2_STRAIN_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSESAMPLE_GTYPETEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSE_2_STRAIN_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MOUSE_SAMPLE_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  TEMP_EUCOMM_250906 TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQUEST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_SOURCE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQUEST TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQUEST_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQ_STATUS_DICT_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_HAVANA_REQUEST_LIST_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  CRQ_CRYO_REQUEST_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  GNM_GENE_SET_VW TO EUVECT_RW_ROLE;

GRANT SELECT ON  MIR_MICRO_INJECTION_REQ_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  MTS_COLONY_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_MAILING_LIST TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_MAILING_LIST_RECIPIENT TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_MAILING_LIST_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_MAILING_LIST_RECIPIENT_SEQ TO EUVECT_RW_ROLE;

GRANT SELECT ON  PER_TEAM TO EUVECT_RW_ROLE;

GRANT SELECT ON  REQ_ANIMAL_REQUEST_AUDIT TO EUVECT_RW_ROLE;

GRANT SELECT ON  TOAD_PLAN_TABLE TO EUVECT_RW_ROLE;

GRANT SELECT ON  TOAD_PLAN_SQL TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_INHERITANCE_MODE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  TYP_MUTATION_NATURE_DICT TO EUVECT_RW_ROLE;

GRANT SELECT ON  ARQ_ALLELE_MOD_TYPE_DICT TO MIG_READER;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_SOURCE_DICT TO MIG_READER;

GRANT SELECT ON  GEV_GENE_ARTICLE_REF TO MIG_READER;

GRANT SELECT ON  GNM_GENE_2_GENE_BUILD_GENE TO MIG_READER;

GRANT SELECT ON  GNM_GENE_BUILD_GENE_NAME TO MIG_READER;

GRANT SELECT ON  ARQ_TARGET_ENDPOINT_DICT TO MIG_READER;

GRANT SELECT ON  GEV_EXTERNAL_SUPPORT_REF TO MIG_READER;

GRANT SELECT ON  GEV_GENE_SUMMARY TO MIG_READER;

GRANT SELECT ON  GEV_GENE_TARGETING_HITS TO MIG_READER;

GRANT SELECT ON  GEV_MGI_PHENOTYPE_ALLELE TO MIG_READER;

GRANT SELECT ON  GEV_MIG_CURATED_STATUS TO MIG_READER;

GRANT SELECT ON  GNM_ASSEMBLY TO MIG_READER;

GRANT SELECT ON  GNM_EXON TO MIG_READER;

GRANT SELECT ON  GNM_GENE TO MIG_READER;

GRANT SELECT ON  GNM_GENE_BUILD TO MIG_READER;

GRANT SELECT ON  GNM_GENE_BUILD_GENE TO MIG_READER;

GRANT SELECT ON  GNM_GENE_NAME TO MIG_READER;

GRANT SELECT ON  GNM_GENE_SET_2_GENE TO MIG_READER;

GRANT SELECT ON  GNM_LOCUS TO MIG_READER;

GRANT SELECT ON  GNM_TRANSCRIPT TO MIG_READER;

GRANT SELECT ON  GNM_TRANSCRIPT_NAME TO MIG_READER;

GRANT SELECT ON  PER_PERSON TO MIG_READER;

GRANT SELECT ON  PUB_ABSTRACT TO MIG_READER;

GRANT SELECT ON  PUB_ARTICLE TO MIG_READER;

GRANT SELECT ON  GNM_EXON_NAME TO MIG_READER;

GRANT SELECT ON  PUB_AUTHOR TO MIG_READER;

GRANT SELECT ON  PUB_ARTICLE_2_AUTHOR TO MIG_READER;

GRANT SELECT ON  ARQ_ALLELE_REQUEST_STATUS_DICT TO MIG_READER;

GRANT SELECT ON  ARQ_ALLELE_REQUEST TO MIG_READER;

