<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Gene Set List</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	 <script src="js/jquery.js"></script>
  </head>
	<body>
		<gui:page>
			<gui:pageHeader>
			Gene Set List:
			</gui:pageHeader>
			<form:form commandName="form"  action="list_miggene_sets.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty model}">
					<table class="listPaginated">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
										Gene Set ID
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="NAME" bean="${searchBean}">
										Gene Set Name
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="DESCRIPTION" bean="${searchBean}">
										Description
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<c:forEach items="${model}" var="record">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}"
								recordId2="${record.id}" />
							<tr class="${rowClass}">
								<td>
									<a href="miggene_search.do?bypassForm=true&migGeneSetId=${record.id}&newQuery=true" title="View Genes">${record.id}</a>
								</td>
								<td>
									${record.name}
								</td>
								<td>
									${record.description}
								</td>
							</tr>
						</c:forEach>
					</table>
				</c:if>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
