/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

connect mig_audit

ALTER TABLE TYP_STRAIN
 ADD (CRYO_REQUEST_STRAIN  NUMBER(1));

ALTER TABLE TYP_STRAIN
 ADD (CRYO_WILDTYPE_STRAIN  NUMBER(1));

alter table mts_litter drop column litter_name;

alter table mts_breeding drop column breeding_name;

alter table mts_mouse drop column father_id;

alter table mts_mouse drop column mother_id;

alter table crq_embryo_harvest rename column wildtype_test_strain_id to female_strain_id;

ALTER TABLE PUB_ABSTRACT
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_ABSTRACT
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_ARTICLE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_ARTICLE
 ADD (EDIT_DATE  DATE);

ALTER TABLE PUB_ARTICLE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_AUTHOR
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_ARTICLE
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_ARTICLE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_AUTHOR
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_AUTHOR
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_AUTHOR
 ADD (EDIT_DATE  DATE);

ALTER TABLE PUB_AUTHOR
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (EDIT_DATE  DATE);

CREATE TABLE MTS_COHORT_TYPE_DICT
(
  ID           NUMBER,
  NAME         VARCHAR2(250 BYTE),
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       VARCHAR2(4000 BYTE)              
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE MTS_COHORT_TYPE_DICT
 ADD (AUDIT_TIMESTAMP  TIMESTAMP(6)                 DEFAULT systimestamp);

ALTER TABLE MTS_COHORT_TYPE_DICT
 ADD (AUDIT_ACTION  VARCHAR2(10 BYTE));

ALTER TABLE MTS_COHORT_TYPE_DICT
 ADD (OS_USER  VARCHAR2(30 BYTE)                    DEFAULT sys_context('USERENV','OS_USER'));


grant insert on mts_cohort_type_dict to mig;

ALTER TABLE GNM_GENE_NAME
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GNM_GENE_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_NAME
 ADD (EDITED_BY  VARCHAR2(128 BYTE));

ALTER TABLE GNM_GENE_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_SET_2_GENE
 ADD (EDIT_DATE  DATE);
 
alter table gnm_gene_set drop column created_by_person_id;  

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (EDITED_BY  VARCHAR2(128 BYTE));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CHECK_NUMBER  NUMBER); 
 
 ALTER TABLE GNM_EXON_NAME
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GNM_EXON_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_EXON_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_EXON_NAME
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GNM_GENE
 ADD (UC_PRIMARY_NAME  VARCHAR2(512 CHAR));


ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE rename COLUMN MGI_PHENOTYPE_ALLELE_ID to id;

ALTER TABLE GEV_GENE_SUMMARY RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_GENE_TARGETING_HITS add EDIT_DATE date;

ALTER TABLE GEV_FACULTY_VOTE RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_FACULTY_VOTE add EDIT_DATE date;

ALTER TABLE GEV_GENE_ARTICLE_REF RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF add EDIT_DATE date;

ALTER TABLE GEV_FACULTY_VOTE RENAME COLUMN FACULTY_VOTE_ID TO ID;

ALTER TABLE GEV_MIG_CURATED_STATUS RENAME COLUMN MIG_CURATED_STATUS_ID TO ID;

ALTER TABLE GEV_MIG_CURATED_STATUS RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_MIG_CURATED_STATUS add EDIT_DATE date;


ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (EDIT_DATE  DATE);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF
 ADD (CHECK_NUMBER  VARCHAR2(4000 BYTE));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (EDIT_DATE  DATE);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_SUMMARY
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_SUMMARY
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_SUMMARY
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_FACULTY_VOTE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_FACULTY_VOTE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_MIG_CURATED_STATUS
 ADD (CHECK_NUMBER  VARCHAR2(4000 BYTE));

ALTER TABLE GEV_MIG_CURATED_STATUS
 ADD (EDITED_BY  VARCHAR2(128 CHAR));  

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (ID  NUMBER);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE MTS_COHORT
 ADD (COHORT_TYPE_ID  NUMBER);

ALTER TABLE CRQ_CRYO_REQUEST
 ADD (CANCEL_REASON  VARCHAR2(2000 BYTE));

ALTER TABLE GNM_EXON_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PHN_REQUIRED_OBSERVATION
 ADD (SECTION_TITLE  VARCHAR2(500 BYTE));

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CHECK_NUMBER  NUMBER);

CREATE TABLE PHN_BLOODS_PARAM_RANGE
(
  ID             INTEGER,
  PARAMETER_ID   INTEGER,
  REF_HI         VARCHAR2(128 BYTE),
  REF_LO         VARCHAR2(128 BYTE),
  INSTRUMENT_HI  VARCHAR2(128 BYTE),
  INSTRUMENT_LO  VARCHAR2(128 BYTE),
  CREATOR_ID     INTEGER,
  CREATED_DATE   DATE,
  EDITED_BY      VARCHAR2(128 BYTE),
  EDIT_DATE      DATE,
  CHECK_NUMBER   NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_ERROR_CODE_DICT
(
  ID             NUMBER                         NOT NULL,
  NAME           VARCHAR2(256 CHAR)             NOT NULL,
  DESCRIPTION    VARCHAR2(4000 BYTE)            NOT NULL,
  ORDER_BY       INTEGER,
  ACTIVE         INTEGER,
  INSTRUMENT_ID  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PHN_RUN_TYPE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_SAMPLE_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_SERUM_TEST
(
  ID            INTEGER,
  BARCODE       VARCHAR2(30 BYTE),
  TEST_CODES    VARCHAR2(256 BYTE),
  IS_PRESET     NUMBER(1),
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  INTEGER,
  MOUSE_ID      NUMBER,
  METHOD        NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE PHN_PARAMETER_DICT
 ADD (INSTRUMENT_ID  NUMBER(1));

ALTER TABLE PHN_BLOODS_RUN
 ADD (RUN_TYPE  NUMBER);

ALTER TABLE PHN_BLOODS_RUN
 ADD (VALIDATED  NUMBER(1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (LOT_1  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (BOTTLE_1  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (LOT_2  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (BOTTLE_2  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (ERROR_1_ID  NUMBER(22,1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (ERROR_2_ID  NUMBER(22,1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (PARAM_RANGE_ID  INTEGER);

ALTER TABLE PHN_BLOODS_DATA
 ADD (RESULT_STATUS_ID  NUMBER); 
 
/*
  ===================================================
  
  MIG MIG MIG MIG MIG MIG MIG MIG MIG MIG MIG MIG MIG 

  ===================================================    
*/
 
connect mig

insert into PHN_OBSERVATION_META_TYPE_DICT (id,name,order_by, description, active) values (10, 'Blood Sample Barcode (EDTA)',10,'Blood Sample Barcode, an eight digit number referencing a tissue sample in an EDTA tube', 1);

insert into PHN_OBSERVATION_META_TYPE_DICT (id,name,order_by, description, active) values (11, 'Blood Sample Barcode (Heparin)',11,'Blood Sample Barcode, an eight digit number referencing a tissue sample in a Heparin tube',1);

alter table mts_litter drop column litter_name;

alter table mts_breeding drop column breeding_name;

alter table mts_mouse drop column father_id;

alter table mts_mouse drop column mother_id;

CREATE TABLE MTS_COHORT_TYPE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(250 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER                           NOT NULL,
  ACTIVE       VARCHAR2(4000 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE MTS_COHORT_TYPE_DICT
 ADD CONSTRAINT MTS_COHORT_TYPE_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE MTS_COHORT
 ADD (COHORT_TYPE_ID  NUMBER);
 
ALTER TABLE MTS_COHORT
 ADD CONSTRAINT MTS_COHORT_TYPE_FK1 
 FOREIGN KEY (COHORT_TYPE_ID) 
 REFERENCES MTS_COHORT_TYPE_DICT (ID);
 
CREATE OR REPLACE FORCE VIEW MTS_COHORT_LIST_VW
(ID, COHORT_NAME, REASON, TOTAL_MICE, LIVE_MICE, 
 DEAD_MICE, FOREIGN_TABLE_NAME, FOREIGN_KEY_ID, CREATOR_ID, CREATED_DATE, 
 EDITED_BY, EDIT_DATE, CHECK_NUMBER, CREATOR_NAME, COHORT_TYPE_ID)
AS 
select 
  c.id, 
  c.cohort_name, 
  c.reason, 
  l.total_mice, 
  l.live_mice, 
  l.dead_mice, 
  c.foreign_table_name, 
  c.foreign_key_id, 
  c.creator_id, 
  c.created_date, 
  c.edited_by, 
  c.edit_date, 
  c.check_number,
  p.last_name || ', ' || p.first_name as creator_name,
  c.cohort_type_id
from 
  mts_cohort c,
  per_person p,
  (select 
    l.cohort_id, 
    count(m.id) total_mice, 
 count(decode(m.death_date,null,1,null)) live_mice, 
 count(decode(m.death_date,null,null,1)) dead_mice 
   from 
    mts_mouse m, 
    mts_cohort_mouse l 
   where m.id = l.mouse_id 
   group by l.cohort_id) l 
where 
  c.id = l.cohort_id(+)
and c.creator_id = p.person_id;


CREATE OR REPLACE FORCE VIEW MTS_CAGE_HEADER_VW
(CAGE_ID, CAGE_BARCODE, RACK_ID, RACK_NAME, RACK_BARCODE, 
 ROOM_ID, ROOM_NAME, OWNER_ID, OWNER_NAME, OWNER_PHONE_NUMBER, 
 COLONY_INFO_ID, COLONY_NAME, COLONY_PREFIX, PROTOCOL_ID, PROTOCOL_CODE, 
 PROJECT_LICENCE_ID, LICENCE_NUMBER, PROCEDURE_DICT_ID, PROCEDURE, PERSONAL_LICENCE_ID, 
 PIL_NUMBER)
AS 
select distinct 
  c.cage_id, 
  c.cage_barcode, 
  c.rack_id, 
  c.rack_name, 
  c.rack_barcode, 
  c.room_id, 
  c.room_name, 
  o.person_id owner_id, 
  o.first_name||' '||o.last_name owner_name, 
  o.phone_number owner_phone_number, 
  i.id colony_info_id, 
  i.colony_name, 
  i.colony_prefix, 
  b.protocol_id, 
  b.protocol_code, 
  b.project_licence_id, 
  b.licence_number, 
  b.procedure_dict_id, 
  b.procedure||' '||to_char(b.start_date,'DD-Mon-YYYY') procedure, 
  b.personal_licence_id, 
  b.pil_number 
from 
  mts_mouse m, 
  mts_cage_vw c, 
  per_person o, 
  mts_colony_info i, 
  mts_mouse_current_19b_vw b 
where 
  m.cage_id = c.cage_id and 
  m.current_owner_id = o.person_id and 
  m.colony_info_id = i.id(+) and 
  m.id = b.mouse_id(+);


/*
  =============================
  CRQ
  =============================
*/

ALTER TABLE TYP_STRAIN
 ADD (CRYO_REQUEST_STRAIN  NUMBER(1));

ALTER TABLE TYP_STRAIN
 ADD (CRYO_WILDTYPE_STRAIN  NUMBER(1));

alter table crq_embryo_harvest rename column wildtype_test_strain_id to female_strain_id;

ALTER TABLE CRQ_EMBRYO_HARVEST
 DROP CONSTRAINT CRQ_EMBRYO_HARVEST_R02;

ALTER TABLE CRQ_FREEZE_DOWN_SAMPLE DROP COLUMN THAW_DATE;

CREATE OR REPLACE FORCE VIEW CRQ_STRAW_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE,
 EMBRYO_COUNT, EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME, 
 FREEZER_ID, CANISTER_NAME, CANISTER_ID, GOBLET_NAME, GOBLET_ID, 
 WEDGE_COLOUR, WEDGE_ID, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, 
 SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME)
AS 
SELECT svw.straw_id ID, c.colony_name, c.colony_id, c.request_id,
       fds.freeze_down_date, fds.embryo_count, 
	   gd.NAME embryo_grade, gd.ID embryo_grade_dict_id, svw.freezer_name,
       svw.freezer_id, svw.canister_name, svw.canister_id, svw.goblet_name,
       svw.goblet_id, svw.wedge_colour, svw.wedge_id,
       (p.first_name || ' ' || p.last_name) technician_name,
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,
    cr.cryo_job_status_dict_id,
       ts.NAME female_strain_name
  FROM CRQ_FREEZE_DOWN_SAMPLE fds,
       PER_PERSON p,
       CRQ_EMBRYO_HARVEST eh,
       CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_LOCATION l,
       CRQ_STRAW s,
       crq_straw_location_vw svw,
       CRQ_EMBRYO_GRADE_DICT gd,
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci
         WHERE re.colony_id = ci.ID) c,
       TYP_STRAIN ts
 WHERE fds.embryo_harvest_id = eh.ID
   AND eh.scheduled_job_id = cr.ID(+)
   AND cr.cryo_request_id = c.request_id(+)
   AND p.person_id = fds.technician_id
   AND l.straw_id = s.ID
   AND fds.location_id = l.ID
   AND svw.straw_id = s.ID
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts.ID (+);


CREATE OR REPLACE FORCE VIEW CRQ_SCHEDULED_JOB_LIST_VW
(ID, JOB_NAME, JOB_STATUS, STATUS_ID, TARGET_SCHEDULED_DATE, 
 CRYO_REQUEST_ID, COLONY_NAME, FEMALE_STRAIN_NAME, CANCEL_REASON, EMBRYO_HARVEST_ID, 
 COMMENTS, TOTAL_PLUGGED, TOTAL_SUPEROVULATED, TOTAL_FROZEN_COUNT, AVERAGE_FROZEN_COUNT)
AS 
SELECT   cpv.ID, cpv.job_name, csjsd.NAME job_status, csjsd.ID status_id, 
            cpv.target_scheduled_date, crq.ID cryo_request_id, 
            colinfo.colony_name, strain.NAME female_strain_name, 
            cpv.cancel_reason, ceh.ID embryo_harvest_id, 
            NVL (cpv.comments, '') comments, 
            NVL (ceh.number_plugged, 0) total_plugged, 
            NVL (ceh.number_superovulated, 0) total_superovulated, 
            NVL (SUM (f_loc_v_s.embryo_count), 0) total_frozen_count, 
            DECODE(ceh.number_plugged,0,0,(NVL ((SUM (f_loc_v_s.embryo_count)) / ceh.number_plugged, 
                 0) 
                )) AS average_frozen_count 
   FROM CRQ_CRYO_REQUEST crq, 
            CRQ_SCHEDULED_CRYO_PRV cpv, 
            CRQ_SCHEDULED_JOB_STATUS_DICT csjsd, 
            CRQ_EMBRYO_HARVEST ceh, 
            MTS_COLONY_INFO colinfo, 
   typ_strain strain, 
            (SELECT cfds.ID freeze_down_id, 
                    cfds.embryo_harvest_id embryo_harvest_id, 
                    cfds.embryo_count embryo_count, cl.ID loc_id, 
                    cl.vial_id vial_id, cl.straw_id straw_id 
               FROM CRQ_FREEZE_DOWN_SAMPLE cfds, CRQ_LOCATION cl, CRQ_STRAW s 
              WHERE cfds.location_id = cl.ID 
                AND cl.straw_id = s.ID 
                AND s.in_use = 1 
             UNION 
             SELECT cfds.ID freeze_down_id, 
                    cfds.embryo_harvest_id embryo_harvest_id, 
                    cfds.embryo_count embryo_count, cl.ID loc_id, 
                    cl.vial_id vial_id, cl.straw_id straw_id 
               FROM CRQ_FREEZE_DOWN_SAMPLE cfds, CRQ_LOCATION cl, CRQ_VIAL v 
              WHERE cfds.location_id = cl.ID 
                AND cl.vial_id = v.ID 
                AND v.in_use = 1) f_loc_v_s 
  WHERE cpv.cryo_request_id = crq.ID(+) 
        AND cpv.cryo_job_status_dict_id = csjsd.ID(+) 
        AND crq.colony_id = colinfo.ID(+) 
        AND crq.female_strain_dict_id = strain.ID(+) 
        AND cpv.ID = ceh.scheduled_job_id(+) 
        AND ceh.ID = f_loc_v_s.embryo_harvest_id(+) 
   GROUP BY cpv.ID, 
            cpv.job_name, 
            csjsd.NAME, 
            cpv.target_scheduled_date, 
            crq.ID, 
            csjsd.ID, 
            cpv.cancel_reason, 
            ceh.ID, 
            colinfo.colony_name, 
            cpv.comments, 
            strain.NAME, 
            ceh.number_plugged, 
            ceh.number_superovulated;


CREATE OR REPLACE FORCE VIEW CRQ_VIAL_SAMPLE_LIST_VW
(ID, COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, 
 EMBRYO_COUNT,  EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, FREEZER_NAME, 
 FREEZER_ID, TOWER_NAME, TOWER_ID, BOX_NAME, BOX_ID, 
 VIAL_POSITION, TECHNICIAN_NAME, TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, 
 CRYO_JOB_STATUS_DICT_ID, FEMALE_STRAIN_NAME)
AS 
SELECT svw.vial_id ID, c.colony_name, c.colony_id, c.request_id, 
       fds.freeze_down_date, fds.embryo_count, gd.NAME embryo_grade, 
       gd.ID embryo_grade_dict_id, svw.freezer_name, svw.freezer_id, 
       svw.tower_name, svw.tower_id, svw.box_name, svw.box_id, 
       svw.vial_position, 
       (p.first_name || ' ' || p.last_name) technician_name, 
       p.person_id technician_id, fds.ID sample_id, cr.ID scheduled_job_id,cr.cryo_job_status_dict_id,
    ts.NAME female_strain_name
  FROM CRQ_FREEZE_DOWN_SAMPLE fds, 
       CRQ_EMBRYO_HARVEST eh, 
       CRQ_SCHEDULED_CRYO_PRV cr, 
       PER_PERSON p, 
       CRQ_LOCATION l, 
       CRQ_VIAL v, 
       crq_vial_location_vw svw, 
       CRQ_EMBRYO_GRADE_DICT gd, 
       (SELECT ci.colony_name, ci.ID colony_id, re.ID request_id 
          FROM CRQ_CRYO_REQUEST re, MTS_COLONY_INFO ci 
         WHERE re.colony_id = ci.ID) c ,
   TYP_STRAIN ts
 WHERE fds.embryo_harvest_id = eh.ID 
   AND eh.scheduled_job_id = cr.ID(+) 
   AND cr.cryo_request_id = c.request_id(+) 
   AND p.person_id(+) = fds.technician_id 
   AND l.vial_id = v.ID 
   AND fds.location_id = l.ID 
   AND svw.vial_id = v.ID 
   AND fds.embryo_grade_dict_id = gd.ID
   AND eh.female_strain_id = ts.ID (+);

CREATE OR REPLACE FORCE VIEW CRQ_SAMPLE_LIST_VW
(COLONY_NAME, COLONY_ID, REQUEST_ID, FREEZE_DOWN_DATE, EMBRYO_COUNT, 
 EMBRYO_GRADE, EMBRYO_GRADE_DICT_ID, LOCATION_NAME, ID, TECHNICIAN_NAME, 
 TECHNICIAN_ID, SAMPLE_ID, SCHEDULED_JOB_ID, CRYO_JOB_STATUS_DICT_ID, 
 STORAGE_TYPE, FEMALE_STRAIN_NAME)
AS 
SELECT v.colony_name colony_name, v.colony_id colony_id, 
          v.request_id request_id, v.freeze_down_date freeze_down_date, 
          v.embryo_count embryo_count, v.embryo_grade embryo_grade, 
          v.embryo_grade_dict_id embryo_grade_dict_id, 
          (   'Freezer ' || v.freezer_name 
           || ', Tower ' 
           || v.tower_name 
           || ', Box ' 
           || v.box_name 
           || ', Vial ' 
           || v.vial_position 
          ) location_name, 
          v.ID ID, v.technician_name technician_name, 
          v.technician_id technician_id, v.sample_id, v.scheduled_job_id, 
          v.cryo_job_status_dict_id, 'vial' storage_type,v.female_strain_name
     FROM crq_vial_sample_list_vw v 
   UNION 
   SELECT s.colony_name colony_name, s.colony_id colony_id, 
          s.request_id request_id, s.freeze_down_date freeze_down_date, 
          s.embryo_count embryo_count, s.embryo_grade embryo_grade, 
          s.embryo_grade_dict_id embryo_grade_dict_id, 
          (   'Freezer ' || s.freezer_name 
           || ', Canister ' 
           || s.canister_name 
           || ', Goblet ' 
           || s.goblet_name 
           || ', Wedge ' 
           || s.wedge_colour 
          ) location_name, 
          s.ID ID, s.technician_name technician_name, 
          s.technician_id technician_id, s.sample_id, s.scheduled_job_id, 
          s.cryo_job_status_dict_id, 'straw' storage_type,s.female_strain_name
     FROM crq_straw_sample_list_vw s;


CREATE OR REPLACE FORCE VIEW CRQ_CRYO_REQUEST_LIST_VW
(ID, STATUS_DICT_ID, STATUS, CANCEL_REASON, PERSON_ID, 
 REQUESTER_NAME, TEAM_NUMBER, COLONY_INFO_ID, COLONY_NAME, COLONY_PREFIX, 
 APPENDED_STRAINS, APPENDED_ALLELES, APPEND_HOMOZYGOUS_LETHAL, FEMALE_STRAIN, TOTAL_PLUGGED, 
 TOTAL_SUPEROVULATED, TOTAL_ATTEMPTS, TOTAL_FROZEN, TARGET_COUNT, 
 CREATED_DATE)
AS 
SELECT   ccr.ID, ccr.status_dict_id, crsd.NAME status, ccr.cancel_reason, p.person_id, 
            p.first_name || ' ' || p.last_name AS requester_name, 
            t.team_number, mci.ID colony_info_id, mci.colony_name, 
            mci.colony_prefix, 
            Addstrainsforcryorequest (ccr.ID) appended_strains, 
            Addallelesforcryorequest (ccr.ID) appended_alleles, 
            Addhomozygouslethals (ccr.ID) append_homozygous_lethal, 
            crstd.NAME female_strain, 
            NVL (SUM (sjlv.total_plugged), 0) total_plugged, 
            NVL (SUM (sjlv.total_superovulated), 0) total_superovulated, 
            NVL (rac.total_attempts, 0) total_attempts, 
            NVL (SUM (sjlv.total_frozen_count), 0) total_frozen, 
            NVL (ccr.target_count, 0) target_count, ccr.created_date 
       FROM CRQ_CRYO_REQUEST ccr, 
            MTS_COLONY_INFO mci, 
            typ_strain crstd, 
            crq_scheduled_job_list_vw sjlv, 
            crq_req_attempt_count_list_vw rac,
            CRQ_CRYO_REQUEST_STATUS_DICT crsd, 
            PER_PERSON p, 
            PER_TEAM t 
      WHERE ccr.colony_id = mci.ID(+) 
        AND ccr.ID = sjlv.cryo_request_id(+) 
        AND ccr.ID = rac.ID(+)
        AND ccr.status_dict_id = crsd.ID(+) 
        AND ccr.female_strain_dict_id = crstd.ID(+) 
        AND ccr.requester_id = p.person_id(+) 
        AND p.team_id = t.ID(+) 
        AND sjlv.status_id(+) ! = 4 
        AND sjlv.cryo_request_id(+) IS NOT NULL 
   GROUP BY ccr.ID, 
            ccr.status_dict_id, 
            rac.total_attempts,
            crsd.NAME, 
            p.person_id, 
            p.first_name || ' ' || p.last_name, 
            t.team_number, 
            mci.ID, 
            mci.colony_name, 
            mci.colony_prefix, 
            crstd.NAME, 
            ccr.target_count, 
            ccr.created_date, 
   ccr.cancel_reason;

CREATE OR REPLACE VIEW CRQ_REQUEST_STRAIN_DICT_VW
(ID, NAME, ORDER_BY, DESCRIPTION, ACTIVE)
AS 
SELECT "ID","NAME","ORDER_BY","DESCRIPTION","ACTIVE" 
FROM TYP_STRAIN
WHERE cryo_request_strain = 1
/


CREATE OR REPLACE VIEW CRQ_WILDTYPE_STRAIN_DICT_VW
(ID, NAME, ORDER_BY, DESCRIPTION, ACTIVE)
AS 
SELECT "ID","NAME","ORDER_BY","DESCRIPTION","ACTIVE" 
FROM TYP_STRAIN
WHERE cryo_wildtype_strain = 1
/

/*
  =============================
  PUB
  =============================
*/

ALTER TABLE PUB_ABSTRACT
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_ABSTRACT
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_ARTICLE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_ARTICLE
 ADD (EDIT_DATE  DATE);

ALTER TABLE PUB_ARTICLE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_AUTHOR
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE PUB_ARTICLE
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_ARTICLE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_AUTHOR
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE PUB_AUTHOR
 ADD (CREATED_DATE  DATE);

ALTER TABLE PUB_AUTHOR
 ADD (EDIT_DATE  DATE);

ALTER TABLE PUB_AUTHOR
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE PUB_ABSTRACT
 ADD (EDIT_DATE  DATE);

/*
  GEV
*/


ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE rename COLUMN MGI_PHENOTYPE_ALLELE_ID to id;

ALTER TABLE GEV_GENE_SUMMARY RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_GENE_TARGETING_HITS RENAME COLUMN TIMESTAMP TO EDIT_DATE;

ALTER TABLE GEV_FACULTY_VOTE RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_FACULTY_VOTE RENAME COLUMN TIMESTAMP TO EDIT_DATE;

ALTER TABLE GEV_GENE_ARTICLE_REF RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF RENAME COLUMN TIMESTAMP TO EDIT_DATE;

ALTER TABLE GEV_FACULTY_VOTE RENAME COLUMN FACULTY_VOTE_ID TO ID;

ALTER TABLE GEV_MIG_CURATED_STATUS RENAME COLUMN MIG_CURATED_STATUS_ID TO ID;

ALTER TABLE GEV_MIG_CURATED_STATUS RENAME COLUMN PERSON_ID TO CREATOR_ID;

ALTER TABLE GEV_MIG_CURATED_STATUS RENAME COLUMN TIMESTAMP TO EDIT_DATE;


ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (EDIT_DATE  DATE);

ALTER TABLE GEV_MAMMALIAN_PHENOTYPE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

CREATE INDEX GEV_MAMMALIAN_PHENOTYPE_INDEX1 ON GEV_MAMMALIAN_PHENOTYPE
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF
 ADD (CHECK_NUMBER  VARCHAR2(4000 BYTE));

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (EDIT_DATE  DATE);

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

CREATE INDEX GEV_MGIPHENOALLELE_INDEX1 ON GEV_MGI_PHENOTYPE_ALLELE
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GEV_MGI_PHENOTYPE_ALLELE
 ADD CONSTRAINT GEV_MGI_PHENOTYPE_ALLELE__FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GEV_GENE_SUMMARY
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_SUMMARY
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

CREATE INDEX GEV_GENE_TARGETING_HITS_INDEX1 ON GEV_GENE_TARGETING_HITS
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GEV_GENE_TARGETING_HITS
 ADD CONSTRAINT GEV_GENE_TARGETING_HITS_P_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_GENE_SUMMARY
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_EXTERNAL_SUPPORT_REF
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_FACULTY_VOTE
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_GENE_ARTICLE_REF
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GEV_FACULTY_VOTE
 ADD (CREATED_DATE  DATE);

ALTER TABLE GEV_FACULTY_VOTE
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_MIG_CURATED_STATUS
 ADD (CHECK_NUMBER  VARCHAR2(4000 BYTE));

ALTER TABLE GEV_MIG_CURATED_STATUS
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GEV_MIG_CURATED_STATUS
 ADD (CREATED_DATE  DATE);
 
/*
  GNM
*/


CREATE INDEX GNM_G2GENE_BUILD_GENE_INDEX1 ON GNM_GENE_2_GENE_BUILD_GENE
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_2_GENE_BUILD_GENE
 ADD CONSTRAINT GNM_GENE_2_GENE_BUILD_GEN_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_GENE_NAME
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GNM_GENE_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_NAME
 ADD (EDITED_BY  VARCHAR2(128 BYTE));

ALTER TABLE GNM_GENE_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_SET_2_GENE
 rename column timestamp to EDIT_DATE;

CREATE INDEX GNM_EXON_INDEX1 ON GNM_EXON
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_EXON
 ADD CONSTRAINT GNM_EXON_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

alter table gnm_gene_set drop column created_by_person_id;
 
ALTER TABLE GNM_GENE_SET
 ADD FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE INDEX GNM_LOCUS_INDEX1 ON GNM_LOCUS
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_LOCUS
 ADD CONSTRAINT GNM_LOCUS_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE INDEX GNM_GENE_BUILD_INDEX1 ON GNM_GENE_BUILD
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_BUILD
 ADD CONSTRAINT GNM_GENE_BUILD_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE INDEX GNM_ASSEMBLY_INDEX1 ON GNM_ASSEMBLY
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_ASSEMBLY
 ADD CONSTRAINT GNM_ASSEMBLY_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE MATERIALIZED VIEW GNM_GENE_ALIAS_MV
NOCACHE
NOLOGGING
NOCOMPRESS
NOPARALLEL
BUILD IMMEDIATE
REFRESH COMPLETE ON DEMAND
WITH PRIMARY KEY
AS 
select 
  gene.id gene_id, 
  name.name, 
  upper(name.name) uc_name, 
  name.source 
from 
  gnm_gene gene, 
  gnm_gene_2_gene_build_gene linker, 
  gnm_gene_build_gene build, 
  gnm_gene_build_gene_name name 
where 
  gene.is_valid=1 and 
  gene.id=linker.gene_id and 
  linker.gene_build_gene_id = build.id and 
  linker.is_valid=1 and 
  build.id = name.gene_build_gene_id 
union 
select 
  gene.id gene_id, 
  name.name, 
  upper(name.name) uc_name, 
  name.source 
from 
  gnm_gene gene, 
  gnm_gene_2_gene_build_gene linker, 
  gnm_gene_build_gene build, 
  gnm_transcript transcript, 
  gnm_transcript_name name 
where 
  gene.is_valid=1 and 
  gene.id=linker.gene_id and 
  linker.gene_build_gene_id = build.id and 
  linker.is_valid=1 and 
  build.id = transcript.build_gene_id and 
  name.transcript_id = transcript.id 
union 
select 
  gene.id gene_id, 
  name.name, 
  upper(name.name) uc_name, 
  name.source 
from 
  gnm_gene gene, 
  gnm_gene_2_gene_build_gene linker, 
  gnm_gene_build_gene build, 
  gnm_transcript transcript, 
  gnm_exon exon, 
  gnm_exon_name name 
where 
  gene.is_valid=1 and 
  gene.id=linker.gene_id and 
  linker.gene_build_gene_id = build.id and 
  linker.is_valid=1 and 
  build.id = transcript.build_gene_id and 
  transcript.id = exon.transcript_id and 
  name.exon_id = exon.id;
  
CREATE INDEX GNM_GENE_ALIAS_MV_IND1 ON GNM_GENE_ALIAS_MV
(UC_NAME, GENE_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (EDITED_BY  VARCHAR2(128 BYTE));

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD (CHECK_NUMBER  NUMBER);

CREATE INDEX GNM_GEN_BUILD_GEN_NAME_IDX1 ON GNM_GENE_BUILD_GENE_NAME
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_BUILD_GENE_NAME
 ADD CONSTRAINT GNM_GENE_BUILD_GENE_NAME__FK2 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CREATED_DATE  DATE);

CREATE INDEX GNM_GENE_INDEX1 ON GNM_GENE
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE
 ADD CONSTRAINT GNM_GENE_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_GENE_HOMOLOGY
 rename column gene_homology_id to id;

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GNM_GENE_HOMOLOGY
 ADD (CHECK_NUMBER  NUMBER);

CREATE INDEX GNM_GENE_HOMOLOGY_INDEX1 ON GNM_GENE_HOMOLOGY
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_EXON_NAME
 ADD (CREATED_DATE  DATE);

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD (CHECK_NUMBER  NUMBER);

CREATE INDEX GNM_TRANSCRIPT_NAME_INDEX1 ON GNM_TRANSCRIPT_NAME
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_TRANSCRIPT_NAME
 ADD CONSTRAINT GNM_TRANSCRIPT_NAME_PER_P_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE INDEX GNM_GENE_BUILD_GENE_INDEX1 ON GNM_GENE_BUILD_GENE
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_BUILD_GENE
 ADD CONSTRAINT GNM_GENE_BUILD_GENE_PER_P_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

CREATE INDEX GNM_TRANSCRIPT_INDEX1 ON GNM_TRANSCRIPT
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_GENE_NAME
 ADD CONSTRAINT GNM_GENE_NAME_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_TRANSCRIPT
 ADD CONSTRAINT GNM_TRANSCRIPT_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_EXON_NAME
 ADD (CHECK_NUMBER  NUMBER);

ALTER TABLE GNM_EXON_NAME
 ADD (CREATOR_ID  NUMBER);

ALTER TABLE GNM_EXON_NAME
 ADD (EDIT_DATE  DATE);

ALTER TABLE GNM_EXON_NAME
 ADD (EDITED_BY  VARCHAR2(128 CHAR));

CREATE INDEX GNM_GENE_NAME_INDEX1 ON GNM_GENE_NAME
(CREATOR_ID)
LOGGING
NOPARALLEL;

CREATE INDEX GNM_EXON_NAME_INDEX1 ON GNM_EXON_NAME
(CREATOR_ID)
LOGGING
NOPARALLEL;

ALTER TABLE GNM_EXON_NAME
 ADD CONSTRAINT GNM_EXON_NAME_PER_PERSON_FK1 
 FOREIGN KEY (CREATOR_ID) 
 REFERENCES PER_PERSON (PERSON_ID);

ALTER TABLE GNM_GENE
 ADD (UC_PRIMARY_NAME  VARCHAR2(512 CHAR));
 
CREATE INDEX INDEX1 ON GNM_GENE
(UC_PRIMARY_NAME)
LOGGING
NOPARALLEL;
 
 CREATE OR REPLACE FORCE VIEW GNM_GENE_VW_NEW
(ID, NCBI_TAXON, PRIMARY_BUILD_GENE_ID, PRIMARY_VEGA_BUILD_GENE_ID, PRIMARY_ENSEMBL_BUILD_GENE_ID, 
 IS_VALID, PRIMARY_NAME, UC_PRIMARY_NAME, BUILD_ID, LOCUS_ID, 
 IS_FINISHED, TRANSCRIPT_COUNT, TOTAL_EXON_COUNT, UNIQUE_EXON_COUNT, GENE_BUILD_GENE_PRIMARY_NAME, 
 ENSEMBL_ID, VEGA_ID, CHROMOSOME_NAME, CHROMOSOME_START, CHROMOSOME_END, 
 CHROMOSOME_STRAND, BUILD_NAME, BUILD_VERSION, CHECK_NUMBER, EDITED_BY, 
 EDIT_DATE, CREATED_DATE, CREATOR_ID, IN_CURRENT_ENSEMBL, IN_CURRENT_VEGA, 
 PRIMARY_NAME_SOURCE, STATUS, SCORE, IGTC_HITS, OMNIBANK_HITS)
AS 
select 
  g.id, 
  g.ncbi_taxon, 
  g.primary_build_gene_id, 
  g.primary_vega_build_gene_id, 
  g.primary_ensembl_build_gene_id, 
  g.is_valid, 
  g.primary_name, 
  g.uc_primary_name, 
  b.build_id, 
  b.locus_id, 
  b.is_finished, 
  b.transcript_count, 
  b.total_exon_count, 
  b.unique_exon_count, 
  b.primary_name gene_build_gene_primary_name, 
  e.primary_name ensembl_id, 
  v.primary_name vega_id, 
  l.chr_name chromosome_name, 
  l.chr_start  chromosome_start, 
  l.chr_end chromosome_end, 
  l.chr_strand chromosome_strand, 
  u.name build_name, 
  u.version build_version, 
  g.check_number, 
  g.edited_by, 
  g.edit_date, 
  g.created_date, 
  g.creator_id, 
  g.in_current_ensembl, 
  g.in_current_vega, 
  g.primary_name_source, 
  c.status, 
  s.score, 
  h.igtc_hits, 
  h.omnibank_hits 
from 
  gnm_gene g, 
  gnm_gene_build_gene e, 
  gnm_gene_build_gene v, 
  gnm_gene_build_gene b, 
  gnm_locus l, 
  gnm_gene_build u, 
  (select cs.* 
   from 
	 gev_mig_curated_status cs, 
    (select gene_id,max(id) max_id from gev_mig_curated_status group by gene_id) g1 
   where cs.id = g1.max_id) c, 
  (select sm.* 
   from 
	 gev_gene_summary sm, 
    (select gene_id,max(id) max_id from gev_gene_summary group by gene_id) g1 
   where sm.id = g1.max_id) s, 
  (select th.* 
   from 
	 gev_gene_targeting_hits th, 
    (select gene_id,max(id) max_id from gev_gene_targeting_hits group by gene_id) g1 
   where th.id = g1.max_id) h 
where 
  g.primary_build_gene_id = b.id and 
  g.primary_ensembl_build_gene_id = e.id(+) and 
  g.primary_vega_build_gene_id = v.id(+) and 
  b.locus_id = l.id and 
  b.build_id = u.id and 
  g.id = c.gene_id(+) and 
  g.id = s.gene_id(+) and 
  g.id = h.gene_id(+);
  
/*
  =============================
  ARQ
  =============================
*/

CREATE OR REPLACE FORCE VIEW ARQ_HAVANA_REQUEST_LIST_VW
(ID, ALLELE_REQUEST_ID, STATUS_DICT_ID, STATUS, CREATED_BY, 
 CREATED_DATE, EDITED_BY, EDITED_DATE, COMMENTS, VEGA_ID, 
 UPDATED_GENE_NAME, UPDATED_CHROMOSOME_NAME, START_NOT_FOUND, END_NOT_FOUND, CRITICAL_EXON_ID, 
 PRIMARY_NAME, ENSEMBL_ID, GENE_BUILD_GENE_PRIMARY_NAME, CHROMOSOME_NAME, CHROMOSOME_START, 
 CHROMOSOME_END, BUILD_NAME, BUILD_VERSION, REQUEST_SOURCE_DICT_ID, SOURCE, 
 UNIQUE_EXON_COUNT, TOTAL_EXON_COUNT, REQUESTER_PERSON_ID, SUBMIT_TO_QUEUE_DATE)
AS 
select 
  v.id, 
  v.allele_request_id, 
  v.status_dict_id, 
  d.name status, 
  v.created_by, 
  v.created_date, 
  v.edited_by, 
  v.edited_date, 
  v.comments, 
  v.vega_id, 
  v.updated_gene_name, 
  v.updated_chromosome_name, 
  v.start_not_found, 
  v.end_not_found, 
  v.critical_exon_id, 
  g.primary_name, 
  g.ensembl_id,
  g.gene_build_gene_primary_name,
  g.chromosome_name, 
  g.chromosome_start, 
  g.chromosome_end, 
  g.build_name, 
  g.build_version, 
  a.request_source_dict_id, 
  s.name source, 
  g.unique_exon_count, 
  g.total_exon_count, 
  a.requester_person_id, 
  a.submit_to_queue_date 
from 
  arq_havana_request v, 
  arq_allele_request a, 
  gnm_gene_vw_new g, 
  arq_havana_req_status_dict_vw d, 
  arq_allele_request_source_dict s 
where 
  a.id = v.allele_request_id and 
  a.gene_id = g.id and 
  a.request_source_dict_id =  s.id and 
  v.status_dict_id = d.id;

CREATE OR REPLACE FORCE VIEW ARQ_HAVANA_REQ_HISTORICAL_VW
(ID, ALLELE_REQUEST_ID, STATUS_DICT_ID, STATUS, CREATED_BY, 
 CREATED_DATE, EDITED_BY, EDITED_DATE, COMMENTS, VEGA_ID, 
 UPDATED_GENE_NAME, UPDATED_CHROMOSOME_NAME, START_NOT_FOUND, END_NOT_FOUND, CRITICAL_EXON_ID, 
 PRIMARY_NAME, GENE_BUILD_GENE_PRIMARY_NAME, CHROMOSOME_NAME, CHROMOSOME_START, CHROMOSOME_END, 
 BUILD_NAME, BUILD_VERSION, REQUEST_SOURCE_DICT_ID, SOURCE, UNIQUE_EXON_COUNT, 
 TOTAL_EXON_COUNT, REQUESTER_PERSON_ID, SUBMIT_TO_QUEUE_DATE)
AS 
select 
  v.id, 
  v.allele_request_id, 
  v.status_dict_id, 
  d.name status, 
  v.created_by, 
  v.created_date, 
  v.edited_by, 
  v.edited_date, 
  v.comments, 
  v.vega_id, 
  v.updated_gene_name, 
  v.updated_chromosome_name, 
  v.start_not_found, 
  v.end_not_found, 
  v.critical_exon_id, 
  g.primary_name, 
  g.gene_build_gene_primary_name, 
  g.chromosome_name, 
  g.chromosome_start, 
  g.chromosome_end, 
  g.build_name, 
  g.build_version, 
  a.request_source_dict_id, 
  s.name source, 
  g.unique_exon_count, 
  g.total_exon_count, 
  a.requester_person_id, 
  a.SUBMIT_TO_QUEUE_DATE 
from 
  mig_audit.arq_havana_request v, 
  arq_allele_request a, 
  gnm_gene_vw_new g, 
  arq_havana_req_status_dict_vw d, 
  arq_allele_request_source_dict s 
where 
  a.id = v.allele_request_id and 
  a.gene_id = g.id and 
  a.request_source_dict_id =  s.id and 
  v.status_dict_id = d.id;

CREATE OR REPLACE FORCE VIEW ARQ_DESIGN_REQUEST_LIST_VW
(ID, STATUS_DICT_ID, ALLELE_REQUEST_ID, COMMENTS, CREATED_BY, 
 EDITED_DATE, STATUS, CREATED_DATE, EDITED_BY, PRIMARY_NAME, 
 VEGA_ID, BUILD_NAME, HAVANA_REQUEST_ID, ENSEMBL_ID)
AS 
select v.id, v.status_dict_id, v.allele_request_id, v.comments,
          v.created_by, v.edited_date, d.name status, v.created_date,
          v.edited_by, g.primary_name, ah.vega_id, g.build_name, ah.id,
          g.ensembl_id
     from arq_design_request v,
          arq_allele_request a,
          arq_havana_request ah,
          gnm_gene_vw_new g,
          arq_design_req_status_dict_vw d,
          arq_allele_request_source_dict s
    where a.id = v.allele_request_id
      and ah.allele_request_id(+) = a.id
      and a.gene_id = g.id
      and a.request_source_dict_id = s.id
      and v.status_dict_id = d.id;
	  
CREATE OR REPLACE TRIGGER GEV_FACULTY_VOTE_TRIG 
BEFORE INSERT
ON GEV_FACULTY_VOTE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :NEW.ID IS NULL THEN
    SELECT GEV_FACULTY_VOTE_SEQ.NEXTVAL 
     INTO :NEW.ID
     FROM DUAL;
  END IF;
END GEV_FACULTY_VOTE_TRIG;
/

CREATE OR REPLACE TRIGGER GEV_MGI_PHENOTYPE_ALLELE_TRIG 
BEFORE INSERT
ON GEV_MGI_PHENOTYPE_ALLELE
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GEV_MGI_PHENOTYPE_ALLELE_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;
  END IF;
END;
/

CREATE OR REPLACE TRIGGER GEV_MIG_CURATED_STATUS_TRIG 
BEFORE INSERT
ON GEV_MIG_CURATED_STATUS
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
   IF ( :NEW.ID IS NULL ) THEN
      SELECT GEV_MIG_CURATED_STATUS_SEQ.NEXTVAL 
      INTO :NEW.ID FROM DUAL;
   END IF;    
END GEV_MIG_CURATED_STATUS_TRIG;
/

CREATE OR REPLACE TRIGGER GNM_GENE_HOMOLOGY_TRIG 
BEFORE INSERT
ON GNM_GENE_HOMOLOGY
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF(:NEW.ID IS NULL) THEN
    SELECT GNM_GENE_HOMOLOGY_SEQ.NEXTVAL INTO :NEW.ID FROM dual;
  END IF;   
END GNM_GENE_HOMOLOGY_TRIG;
/

create or replace trigger ARQ_ALLELE_MOD_TYPE_DICT_ta
before update or delete on ARQ_ALLELE_MOD_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_ALLELE_MOD_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_ALLELE_REQUEST_ta
before update or delete on ARQ_ALLELE_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_ALLELE_REQUEST(
    ID,
    REQUESTER_PERSON_ID,
    TARGET_ENDPOINT_DICT_ID,
    EDIT_DATE,
    COMMENTS,
    RESEARCHER_PERSON_ID,
    REQUEST_REASONING,
    MUTATION_PLAN,
    KNOCKOUT_EXISTS,
    KNOCKOUT_EXISTS_REFERENCE,
    ALLELE_NATURE,
    REQUEST_PRIORITY,
    GENE_ID,
    REVIEW_COMMENTS,
    RESEARCHER_NAME,
    ALLELE_MOD_TYPE_DICT_ID,
    ALLELE_MOD_OTHER_EXPLN,
    MGP_PHENOTYPING_REQUIRED,
    STATUS_DICT_ID,
    EDITED_BY,
    REQUEST_SOURCE_DICT_ID,
    GENE_PUBLICATIONS,
    MOUSE_PUBLICATIONS,
    UNEXPECTED_PHENOTYPE_OK,
    CREATED_DATE,
    SUBMIT_TO_QUEUE_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.REQUESTER_PERSON_ID,
    :old.TARGET_ENDPOINT_DICT_ID,
    :old.EDIT_DATE,
    :old.COMMENTS,
    :old.RESEARCHER_PERSON_ID,
    :old.REQUEST_REASONING,
    :old.MUTATION_PLAN,
    :old.KNOCKOUT_EXISTS,
    :old.KNOCKOUT_EXISTS_REFERENCE,
    :old.ALLELE_NATURE,
    :old.REQUEST_PRIORITY,
    :old.GENE_ID,
    :old.REVIEW_COMMENTS,
    :old.RESEARCHER_NAME,
    :old.ALLELE_MOD_TYPE_DICT_ID,
    :old.ALLELE_MOD_OTHER_EXPLN,
    :old.MGP_PHENOTYPING_REQUIRED,
    :old.STATUS_DICT_ID,
    :old.EDITED_BY,
    :old.REQUEST_SOURCE_DICT_ID,
    :old.GENE_PUBLICATIONS,
    :old.MOUSE_PUBLICATIONS,
    :old.UNEXPECTED_PHENOTYPE_OK,
    :old.CREATED_DATE,
    :old.SUBMIT_TO_QUEUE_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_ALLELE_REQUEST_SOURCE_D_ta
before update or delete on ARQ_ALLELE_REQUEST_SOURCE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_ALLELE_REQUEST_SOURCE_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_ALLELE_REQUEST_STATUS_D_ta
before update or delete on ARQ_ALLELE_REQUEST_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_ALLELE_REQUEST_STATUS_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_DESIGN_2_DESIGN_REQUEST_ta
before update or delete on ARQ_DESIGN_2_DESIGN_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_DESIGN_2_DESIGN_REQUEST(
    DESIGN_REQUEST_ID,
    DESIGN_ID,
    FULFILLS_REQUEST,
    AUDIT_ACTION)
 values (
    :old.DESIGN_REQUEST_ID,
    :old.DESIGN_ID,
    :old.FULFILLS_REQUEST,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_DESIGN_REQUEST_ta
before update or delete on ARQ_DESIGN_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_DESIGN_REQUEST(
    ID,
    ALLELE_REQUEST_ID,
    STATUS_DICT_ID,
    CREATED_DATE,
    EDITED_DATE,
    CREATED_BY,
    COMMENTS,
    EDITED_BY,
    VEGA_ID,
    PROMOTER_INCLUSION,
    GENE_BUILD_ID,
    GENE_BUILD_GENE_ID,
    START_EXON_ID,
    END_EXON_ID,
    TARGET_START,
    TARGET_END,
    MIN_5P_EXON_FLANKS,
    MIN_3P_EXON_FLANKS,
    SPLIT_TARGET_SEQ_LENGTH,
    MULTI_REGION_OFFSET_SHIM,
    PRIMER_LENGTH,
    RETRIEVAL_PRIMER_OFFSET_5P,
    RETRIEVAL_PRIMER_LENGTH_5P,
    CONSERVED_ELEMENTS,
    CREATOR_ID,
    RETRIEVAL_PRIMER_OFFSET_3P,
    RETRIEVAL_PRIMER_LENGTH_3P,
    CRITICAL_EXON_CONTAINS_ATG,
    SCORE,
    POSSIBLE_REINITIATION,
    NO_NMD_INDUCED,
    DUMMY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ALLELE_REQUEST_ID,
    :old.STATUS_DICT_ID,
    :old.CREATED_DATE,
    :old.EDITED_DATE,
    :old.CREATED_BY,
    :old.COMMENTS,
    :old.EDITED_BY,
    :old.VEGA_ID,
    :old.PROMOTER_INCLUSION,
    :old.GENE_BUILD_ID,
    :old.GENE_BUILD_GENE_ID,
    :old.START_EXON_ID,
    :old.END_EXON_ID,
    :old.TARGET_START,
    :old.TARGET_END,
    :old.MIN_5P_EXON_FLANKS,
    :old.MIN_3P_EXON_FLANKS,
    :old.SPLIT_TARGET_SEQ_LENGTH,
    :old.MULTI_REGION_OFFSET_SHIM,
    :old.PRIMER_LENGTH,
    :old.RETRIEVAL_PRIMER_OFFSET_5P,
    :old.RETRIEVAL_PRIMER_LENGTH_5P,
    :old.CONSERVED_ELEMENTS,
    :old.CREATOR_ID,
    :old.RETRIEVAL_PRIMER_OFFSET_3P,
    :old.RETRIEVAL_PRIMER_LENGTH_3P,
    :old.CRITICAL_EXON_CONTAINS_ATG,
    :old.SCORE,
    :old.POSSIBLE_REINITIATION,
    :old.NO_NMD_INDUCED,
    :old.DUMMY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_HAVANA_REQUEST_ta
before update or delete on ARQ_HAVANA_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_HAVANA_REQUEST(
    ID,
    ALLELE_REQUEST_ID,
    STATUS_DICT_ID,
    CREATED_DATE,
    EDITED_BY,
    EDITED_DATE,
    COMMENTS,
    VEGA_ID,
    UPDATED_GENE_NAME,
    UPDATED_CHROMOSOME_NAME,
    START_NOT_FOUND,
    END_NOT_FOUND,
    CRITICAL_EXON_ID,
    PSEUDOGENE,
    ASSEMBLY_ERROR,
    CREATED_BY,
    SMALL_INTRONS,
    MULTIPLE_CODING_TRANSCRIPTS,
    SYMMETRICAL_EXON,
    LARGE_CODING_EXON,
    LESS_THAN_THREE_CODING_EXONS,
    NO_NMD_INDUCED,
    POSSIBLE_REINITIATION,
    CONTAINS_HYDROPHOBIC_REGION,
    CRITICAL_EXON_CONTAINS_ATG,
    HAS_TRANSMEMBRANE_DOMAIN,
    HAS_SIGNAL_PEPTIDE,
    REPEAT_REGION,
    CRITICAL_EXON_TOO_3_PRIME,
    GENE_CLUSTER,
    OVERLAPPING_LOCI,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ALLELE_REQUEST_ID,
    :old.STATUS_DICT_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDITED_DATE,
    :old.COMMENTS,
    :old.VEGA_ID,
    :old.UPDATED_GENE_NAME,
    :old.UPDATED_CHROMOSOME_NAME,
    :old.START_NOT_FOUND,
    :old.END_NOT_FOUND,
    :old.CRITICAL_EXON_ID,
    :old.PSEUDOGENE,
    :old.ASSEMBLY_ERROR,
    :old.CREATED_BY,
    :old.SMALL_INTRONS,
    :old.MULTIPLE_CODING_TRANSCRIPTS,
    :old.SYMMETRICAL_EXON,
    :old.LARGE_CODING_EXON,
    :old.LESS_THAN_THREE_CODING_EXONS,
    :old.NO_NMD_INDUCED,
    :old.POSSIBLE_REINITIATION,
    :old.CONTAINS_HYDROPHOBIC_REGION,
    :old.CRITICAL_EXON_CONTAINS_ATG,
    :old.HAS_TRANSMEMBRANE_DOMAIN,
    :old.HAS_SIGNAL_PEPTIDE,
    :old.REPEAT_REGION,
    :old.CRITICAL_EXON_TOO_3_PRIME,
    :old.GENE_CLUSTER,
    :old.OVERLAPPING_LOCI,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_REQUEST_2_MODIFIED_ALLE_ta
before update or delete on ARQ_REQUEST_2_MODIFIED_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_REQUEST_2_MODIFIED_ALLELE(
    ALLELE_REQUEST_ID,
    MODIFIED_ALLELE_ID,
    ID,
    AUDIT_ACTION)
 values (
    :old.ALLELE_REQUEST_ID,
    :old.MODIFIED_ALLELE_ID,
    :old.ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger ARQ_TARGET_ENDPOINT_DICT_ta
before update or delete on ARQ_TARGET_ENDPOINT_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.ARQ_TARGET_ENDPOINT_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_BOX_ta
before update or delete on CRQ_BOX for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_BOX(
    ID,
    CHECK_NUMBER,
    COMMENTS,
    TOWER_ID,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.TOWER_ID,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_CANISTER_ta
before update or delete on CRQ_CANISTER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_CANISTER(
    ID,
    COMMENTS,
    FREEZER_ID,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COMMENTS,
    :old.FREEZER_ID,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_CRYO_REQUEST_ta
before update or delete on CRQ_CRYO_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_CRYO_REQUEST(
    ID,
    REQUESTER_ID,
    PROJECT_LICENCE_ID,
    COLONY_ID,
    FEMALE_STRAIN_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    STATUS_DICT_ID,
    TARGET_COUNT,
    NUMBER_THAWED,
    CANCEL_REASON,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.REQUESTER_ID,
    :old.PROJECT_LICENCE_ID,
    :old.COLONY_ID,
    :old.FEMALE_STRAIN_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.STATUS_DICT_ID,
    :old.TARGET_COUNT,
    :old.NUMBER_THAWED,
    :old.CANCEL_REASON,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_CRYO_REQUEST_STATUS_DIC_ta
before update or delete on CRQ_CRYO_REQUEST_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_CRYO_REQUEST_STATUS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_CRYO_REQUEST_STRAIN_DIC_ta
before update or delete on CRQ_CRYO_REQUEST_STRAIN_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_CRYO_REQUEST_STRAIN_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_CRYO_WILDTYPE_STRAIN_DI_ta
before update or delete on CRQ_CRYO_WILDTYPE_STRAIN_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_CRYO_WILDTYPE_STRAIN_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_EMBRYO_GRADE_DICT_ta
before update or delete on CRQ_EMBRYO_GRADE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_EMBRYO_GRADE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_EMBRYO_HARVEST_ta
before update or delete on CRQ_EMBRYO_HARVEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_EMBRYO_HARVEST(
    ID,
    SCHEDULED_JOB_ID,
    EDITED_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    CELL_COUNT_16,
    CELL_COUNT_8,
    CELL_COUNT_4,
    CELL_COUNT_2,
    CELL_COUNT_1,
    DEAD_COUNT,
    FRAGMENTED_COUNT,
    OTHER_EMBRYO_TYPE_COUNT,
    NUMBER_SUPEROVULATED,
    NUMBER_PLUGGED,
    FLUSH_DATE,
    TECHNICIAN_ID,
    OTHER_DESCRIPTION,
    FEMALE_STRAIN_ID,
    USE_16_CELL,
    USE_8_CELL,
    USE_4_CELL,
    MOUSE_ID,
    USE_2_CELL,
    COHORT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.SCHEDULED_JOB_ID,
    :old.EDITED_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.CELL_COUNT_16,
    :old.CELL_COUNT_8,
    :old.CELL_COUNT_4,
    :old.CELL_COUNT_2,
    :old.CELL_COUNT_1,
    :old.DEAD_COUNT,
    :old.FRAGMENTED_COUNT,
    :old.OTHER_EMBRYO_TYPE_COUNT,
    :old.NUMBER_SUPEROVULATED,
    :old.NUMBER_PLUGGED,
    :old.FLUSH_DATE,
    :old.TECHNICIAN_ID,
    :old.OTHER_DESCRIPTION,
    :old.FEMALE_STRAIN_ID,
    :old.USE_16_CELL,
    :old.USE_8_CELL,
    :old.USE_4_CELL,
    :old.MOUSE_ID,
    :old.USE_2_CELL,
    :old.COHORT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_FREEZER_ta
before update or delete on CRQ_FREEZER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_FREEZER(
    ID,
    COMMENTS,
    NAME,
    DESCRIPTION,
    IS_STRAW,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COMMENTS,
    :old.NAME,
    :old.DESCRIPTION,
    :old.IS_STRAW,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_FREEZE_DOWN_SAMPLE_ta
before update or delete on CRQ_FREEZE_DOWN_SAMPLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_FREEZE_DOWN_SAMPLE(
    ID,
    EMBRYO_HARVEST_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    TECHNICIAN_ID,
    LOCATION_ID,
    EMBRYO_GRADE_DICT_ID,
    EMBRYO_COUNT,
    FREEZE_DOWN_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EMBRYO_HARVEST_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.TECHNICIAN_ID,
    :old.LOCATION_ID,
    :old.EMBRYO_GRADE_DICT_ID,
    :old.EMBRYO_COUNT,
    :old.FREEZE_DOWN_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_GOBLET_ta
before update or delete on CRQ_GOBLET for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_GOBLET(
    ID,
    COMMENTS,
    CANISTER_ID,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COMMENTS,
    :old.CANISTER_ID,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_LOCATION_ta
before update or delete on CRQ_LOCATION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_LOCATION(
    ID,
    VIAL_ID,
    STRAW_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.VIAL_ID,
    :old.STRAW_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_SCHEDULED_CRYO_PRV_ta
before update or delete on CRQ_SCHEDULED_CRYO_PRV for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_SCHEDULED_CRYO_PRV(
    ID,
    CRYO_REQUEST_ID,
    CRYO_JOB_STATUS_DICT_ID,
    TARGET_SCHEDULED_DATE,
    CANCEL_REASON,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    JOB_NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CRYO_REQUEST_ID,
    :old.CRYO_JOB_STATUS_DICT_ID,
    :old.TARGET_SCHEDULED_DATE,
    :old.CANCEL_REASON,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.JOB_NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_SCHEDULED_JOB_STATUS_DI_ta
before update or delete on CRQ_SCHEDULED_JOB_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_SCHEDULED_JOB_STATUS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_STRAW_ta
before update or delete on CRQ_STRAW for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_STRAW(
    ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    WEDGE_ID,
    IN_USE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.WEDGE_ID,
    :old.IN_USE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_TOWER_ta
before update or delete on CRQ_TOWER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_TOWER(
    ID,
    CHECK_NUMBER,
    NAME,
    DESCRIPTION,
    FREEZER_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CHECK_NUMBER,
    :old.NAME,
    :old.DESCRIPTION,
    :old.FREEZER_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_VIAL_ta
before update or delete on CRQ_VIAL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_VIAL(
    ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    BOX_ID,
    NAME,
    IN_USE,
    LABEL,
    POSITION,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.BOX_ID,
    :old.NAME,
    :old.IN_USE,
    :old.LABEL,
    :old.POSITION,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger CRQ_WEDGE_ta
before update or delete on CRQ_WEDGE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.CRQ_WEDGE(
    ID,
    COMMENTS,
    GOBLET_ID,
    COLOUR,
    COLOUR_ORDER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COMMENTS,
    :old.GOBLET_ID,
    :old.COLOUR,
    :old.COLOUR_ORDER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_EXTERNAL_SUPPORT_REF_ta
before update or delete on GEV_EXTERNAL_SUPPORT_REF for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_EXTERNAL_SUPPORT_REF(
    GENE_ID,
    CREATOR_ID,
    EDIT_DATE,
    SCORE,
    URL,
    NOTE,
    ID,
    CHECK_NUMBER,
    CREATED_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.GENE_ID,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.SCORE,
    :old.URL,
    :old.NOTE,
    :old.ID,
    :old.CHECK_NUMBER,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_FACULTY_VOTE_ta
before update or delete on GEV_FACULTY_VOTE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_FACULTY_VOTE(
    ID,
    CREATOR_ID,
    GENE_ID,
    EDIT_DATE,
    VOTE,
    CHECK_NUMBER,
    CREATED_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CREATOR_ID,
    :old.GENE_ID,
    :old.EDIT_DATE,
    :old.VOTE,
    :old.CHECK_NUMBER,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_GENE_ARTICLE_REF_ta
before update or delete on GEV_GENE_ARTICLE_REF for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_GENE_ARTICLE_REF(
    ID,
    GENE_ID,
    CREATOR_ID,
    ARTICLE_ID,
    NOTE,
    EDIT_DATE,
    SCORE,
    CREATED_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENE_ID,
    :old.CREATOR_ID,
    :old.ARTICLE_ID,
    :old.NOTE,
    :old.EDIT_DATE,
    :old.SCORE,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_GENE_SUMMARY_ta
before update or delete on GEV_GENE_SUMMARY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_GENE_SUMMARY(
    GENE_ID,
    CREATOR_ID,
    EDIT_DATE,
    SCORE,
    RATIONAL,
    ID,
    IS_VALID,
    CREATED_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.GENE_ID,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.SCORE,
    :old.RATIONAL,
    :old.ID,
    :old.IS_VALID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_GENE_TARGETING_HITS_ta
before update or delete on GEV_GENE_TARGETING_HITS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_GENE_TARGETING_HITS(
    GENE_ID,
    EDIT_DATE,
    IGTC_HITS,
    OMNIBANK_HITS,
    ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.GENE_ID,
    :old.EDIT_DATE,
    :old.IGTC_HITS,
    :old.OMNIBANK_HITS,
    :old.ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_MAMMALIAN_PHENOTYPE_ta
before update or delete on GEV_MAMMALIAN_PHENOTYPE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_MAMMALIAN_PHENOTYPE(
    MGI_PHENOTYPE_ALLELE_ID,
    NAME,
    ID,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    EDIT_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.MGI_PHENOTYPE_ALLELE_ID,
    :old.NAME,
    :old.ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_MGI_PHENOTYPE_ALLELE_ta
before update or delete on GEV_MGI_PHENOTYPE_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_MGI_PHENOTYPE_ALLELE(
    GENE_ID,
    TYPE,
    DESCRIPTION,
    ID,
    MGI_PHENOTYPE_ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.GENE_ID,
    :old.TYPE,
    :old.DESCRIPTION,
    :old.ID,
    :old.MGI_PHENOTYPE_ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GEV_MIG_CURATED_STATUS_ta
before update or delete on GEV_MIG_CURATED_STATUS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GEV_MIG_CURATED_STATUS(
    ID,
    GENE_ID,
    STATUS,
    CREATOR_ID,
    EDIT_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    CREATED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENE_ID,
    :old.STATUS,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_ASSEMBLY_ta
before update or delete on GNM_ASSEMBLY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_ASSEMBLY(
    ID,
    NCBI_TAXON,
    SPECIES_NAME,
    NAME,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    CREATOR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NCBI_TAXON,
    :old.SPECIES_NAME,
    :old.NAME,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_EXON_ta
before update or delete on GNM_EXON for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_EXON(
    ID,
    LOCUS_ID,
    TRANSCRIPT_ID,
    PHASE,
    PRIMARY_NAME,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    CREATOR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LOCUS_ID,
    :old.TRANSCRIPT_ID,
    :old.PHASE,
    :old.PRIMARY_NAME,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_EXON_NAME_ta
before update or delete on GNM_EXON_NAME for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_EXON_NAME(
    EXON_ID,
    NAME,
    SOURCE,
    NAME_UC,
    ID,
    CREATED_DATE,
    CHECK_NUMBER,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    AUDIT_ACTION)
 values (
    :old.EXON_ID,
    :old.NAME,
    :old.SOURCE,
    :old.NAME_UC,
    :old.ID,
    :old.CREATED_DATE,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_ta
before update or delete on GNM_GENE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE(
    ID,
    NCBI_TAXON,
    PRIMARY_BUILD_GENE_ID,
    IS_VALID,
    PRIMARY_NAME,
    PRIMARY_VEGA_BUILD_GENE_ID,
    PRIMARY_ENSEMBL_BUILD_GENE_ID,
    PRIMARY_NAME_SOURCE,
    NEW_NAME,
    OLD_NAME,
    IN_CURRENT_ENSEMBL,
    IN_CURRENT_VEGA,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    CREATOR_ID,
    UC_PRIMARY_NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NCBI_TAXON,
    :old.PRIMARY_BUILD_GENE_ID,
    :old.IS_VALID,
    :old.PRIMARY_NAME,
    :old.PRIMARY_VEGA_BUILD_GENE_ID,
    :old.PRIMARY_ENSEMBL_BUILD_GENE_ID,
    :old.PRIMARY_NAME_SOURCE,
    :old.NEW_NAME,
    :old.OLD_NAME,
    :old.IN_CURRENT_ENSEMBL,
    :old.IN_CURRENT_VEGA,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.UC_PRIMARY_NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_2_GENE_BUILD_GENE_ta
before update or delete on GNM_GENE_2_GENE_BUILD_GENE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_2_GENE_BUILD_GENE(
    ID,
    GENE_ID,
    GENE_BUILD_GENE_ID,
    EDIT_DATE,
    REASONING,
    IS_VALID,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENE_ID,
    :old.GENE_BUILD_GENE_ID,
    :old.EDIT_DATE,
    :old.REASONING,
    :old.IS_VALID,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_BUILD_ta
before update or delete on GNM_GENE_BUILD for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_BUILD(
    ID,
    ASSEMBLY_ID,
    NAME,
    VERSION,
    SOURCE,
    ORDER_BY,
    CHECK_NUMBER,
    EDIT_DATE,
    CREATOR_ID,
    EDITED_BY,
    CREATED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ASSEMBLY_ID,
    :old.NAME,
    :old.VERSION,
    :old.SOURCE,
    :old.ORDER_BY,
    :old.CHECK_NUMBER,
    :old.EDIT_DATE,
    :old.CREATOR_ID,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_BUILD_GENE_ta
before update or delete on GNM_GENE_BUILD_GENE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_BUILD_GENE(
    ID,
    BUILD_ID,
    LOCUS_ID,
    IS_FINISHED,
    UNIQUE_EXON_COUNT,
    TRANSCRIPT_COUNT,
    TOTAL_EXON_COUNT,
    PRIMARY_NAME,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    CREATOR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.BUILD_ID,
    :old.LOCUS_ID,
    :old.IS_FINISHED,
    :old.UNIQUE_EXON_COUNT,
    :old.TRANSCRIPT_COUNT,
    :old.TOTAL_EXON_COUNT,
    :old.PRIMARY_NAME,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_BUILD_GENE_NAME_ta
before update or delete on GNM_GENE_BUILD_GENE_NAME for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_BUILD_GENE_NAME(
    ID,
    GENE_BUILD_GENE_ID,
    NAME,
    SOURCE,
    NAME_UC,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENE_BUILD_GENE_ID,
    :old.NAME,
    :old.SOURCE,
    :old.NAME_UC,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_HOMOLOGY_ta
before update or delete on GNM_GENE_HOMOLOGY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_HOMOLOGY(
    ID,
    GENE1_ID,
    GENE2_ID,
    NOTES,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENE1_ID,
    :old.GENE2_ID,
    :old.NOTES,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_NAME_ta
before update or delete on GNM_GENE_NAME for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_NAME(
    GENE_ID,
    NAME,
    SOURCE,
    NAME_UC,
    ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.GENE_ID,
    :old.NAME,
    :old.SOURCE,
    :old.NAME_UC,
    :old.ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_SET_ta
before update or delete on GNM_GENE_SET for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_SET(
    ID,
    NAME,
    DESCRIPTION,
    IS_CORE_SET,
    CREATOR_ID,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.IS_CORE_SET,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_GENE_SET_2_GENE_ta
before update or delete on GNM_GENE_SET_2_GENE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_GENE_SET_2_GENE(
    GENE_SET_ID,
    GENE_ID,
    SCORE,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.GENE_SET_ID,
    :old.GENE_ID,
    :old.SCORE,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_LOCUS_ta
before update or delete on GNM_LOCUS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_LOCUS(
    ID,
    CHR_NAME,
    CHR_START,
    CHR_END,
    CHR_STRAND,
    ASSEMBLY_ID,
    TYPE,
    EDIT_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    BUILD_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CHR_NAME,
    :old.CHR_START,
    :old.CHR_END,
    :old.CHR_STRAND,
    :old.ASSEMBLY_ID,
    :old.TYPE,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.BUILD_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_MGI_MARKER_2_ENSEMBL_ta
before update or delete on GNM_MGI_MARKER_2_ENSEMBL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_MGI_MARKER_2_ENSEMBL(
    ID,
    MGI_GENE_ID,
    MGI_SYMBOL,
    DESCRIPTION,
    ENSEMBL_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MGI_GENE_ID,
    :old.MGI_SYMBOL,
    :old.DESCRIPTION,
    :old.ENSEMBL_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_MGI_MARKER_2_VEGA_ta
before update or delete on GNM_MGI_MARKER_2_VEGA for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_MGI_MARKER_2_VEGA(
    ID,
    MGI_GENE_ID,
    MGI_SYMBOL,
    DESCRIPTION,
    VEGA_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MGI_GENE_ID,
    :old.MGI_SYMBOL,
    :old.DESCRIPTION,
    :old.VEGA_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_TRANSCRIPT_ta
before update or delete on GNM_TRANSCRIPT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_TRANSCRIPT(
    ID,
    LOCUS_ID,
    BUILD_GENE_ID,
    EXON_COUNT,
    PRIMARY_NAME,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    CREATOR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LOCUS_ID,
    :old.BUILD_GENE_ID,
    :old.EXON_COUNT,
    :old.PRIMARY_NAME,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_TRANSCRIPT_2_EXON_ta
before update or delete on GNM_TRANSCRIPT_2_EXON for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_TRANSCRIPT_2_EXON(
    EXON_ID,
    TRANSCRIPT_ID,
    AUDIT_ACTION)
 values (
    :old.EXON_ID,
    :old.TRANSCRIPT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_TRANSCRIPT_HOMOLOGY_ta
before update or delete on GNM_TRANSCRIPT_HOMOLOGY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_TRANSCRIPT_HOMOLOGY(
    LEFT_TRANSCRIPT_ID,
    RIGHT_TRANSCRIPT_ID,
    ID,
    AUDIT_ACTION)
 values (
    :old.LEFT_TRANSCRIPT_ID,
    :old.RIGHT_TRANSCRIPT_ID,
    :old.ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger GNM_TRANSCRIPT_NAME_ta
before update or delete on GNM_TRANSCRIPT_NAME for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.GNM_TRANSCRIPT_NAME(
    TRANSCRIPT_ID,
    NAME,
    SOURCE,
    NAME_UC,
    ID,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.TRANSCRIPT_ID,
    :old.NAME,
    :old.SOURCE,
    :old.NAME_UC,
    :old.ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger LIC_PERSONAL_LICENCE_ta
before update or delete on LIC_PERSONAL_LICENCE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.LIC_PERSONAL_LICENCE(
    PERSONAL_LICENCE_ID,
    PERSON_ID,
    PIL_NUMBER,
    PERSON_NAME,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.PERSONAL_LICENCE_ID,
    :old.PERSON_ID,
    :old.PIL_NUMBER,
    :old.PERSON_NAME,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger LIC_PROCEDURE_2_PROTOCOL_ta
before update or delete on LIC_PROCEDURE_2_PROTOCOL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.LIC_PROCEDURE_2_PROTOCOL(
    PROCEDURE_DICT_ID,
    PROTOCOL_ID,
    AUDIT_ACTION)
 values (
    :old.PROCEDURE_DICT_ID,
    :old.PROTOCOL_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger LIC_PROJECT_2_PERSONAL_LICE_ta
before update or delete on LIC_PROJECT_2_PERSONAL_LICENCE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.LIC_PROJECT_2_PERSONAL_LICENCE(
    PROJECT_LICENCE_ID,
    PERSONAL_LICENCE_ID,
    AUDIT_ACTION)
 values (
    :old.PROJECT_LICENCE_ID,
    :old.PERSONAL_LICENCE_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger LIC_PROJECT_LICENCE_ta
before update or delete on LIC_PROJECT_LICENCE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.LIC_PROJECT_LICENCE(
    PROJECT_LICENCE_ID,
    RESPONSIBLE_PERSON_ID,
    PPL,
    LICENCE_NUMBER,
    TITLE,
    START_DATE,
    END_DATE,
    DEPUTY1_PERSON_ID,
    DEPUTY2_PERSON_ID,
    DEPUTY3_PERSON_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.PROJECT_LICENCE_ID,
    :old.RESPONSIBLE_PERSON_ID,
    :old.PPL,
    :old.LICENCE_NUMBER,
    :old.TITLE,
    :old.START_DATE,
    :old.END_DATE,
    :old.DEPUTY1_PERSON_ID,
    :old.DEPUTY2_PERSON_ID,
    :old.DEPUTY3_PERSON_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger LIC_PROTOCOL_19B_ta
before update or delete on LIC_PROTOCOL_19B for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.LIC_PROTOCOL_19B(
    ID,
    PROJECT_LICENCE_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    PROTOCOL_CODE,
    TITLE,
    CREATOR_ID,
    CREATED_DATE,
    HARMFUL_MUTANT,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PROJECT_LICENCE_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.PROTOCOL_CODE,
    :old.TITLE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.HARMFUL_MUTANT,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_ANAESTHETIC_DICT_ta
before update or delete on MIR_ANAESTHETIC_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_ANAESTHETIC_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_ANALGESIA_DICT_ta
before update or delete on MIR_ANALGESIA_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_ANALGESIA_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_CELL_LINE_ta
before update or delete on MIR_CELL_LINE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_CELL_LINE(
    ID,
    CELL_LINE_NAME,
    CELL_LINE_SOURCE_DICT_ID,
    CELL_LINE_STRAIN_DICT_ID,
    TEAM_87_REF_ID,
    CLONE_NAME,
    MODIFIED_ALLELE_ID,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    EXPECTED_COAT_COLOR_DICT_ID,
    GENOTYPE_DICT_ID,
    CELL_LINE_PROVIDER_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CELL_LINE_NAME,
    :old.CELL_LINE_SOURCE_DICT_ID,
    :old.CELL_LINE_STRAIN_DICT_ID,
    :old.TEAM_87_REF_ID,
    :old.CLONE_NAME,
    :old.MODIFIED_ALLELE_ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.EXPECTED_COAT_COLOR_DICT_ID,
    :old.GENOTYPE_DICT_ID,
    :old.CELL_LINE_PROVIDER_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_CELL_LINE_OLD_ta
before update or delete on MIR_CELL_LINE_OLD for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_CELL_LINE_OLD(
    ID,
    CELL_LINE_NAME,
    STRAIN,
    TARGETING_CASSETTES,
    ELECTROPORATION_COUNT,
    COAT_COLOUR,
    P5_PRIMER,
    P3_NATIVE_ALLELE,
    P3_TARGETED_ALLELE_PRIMER,
    P5_CASSETTE_PRIMER,
    P3_CASSETTE_PRIMER,
    PREDICTED_WT_PRODUCT_SIZE,
    PREDICTED_MOD_ALLELE_PROD_SIZE,
    PREDICTED_CASSETTE_PROD_SIZE,
    PASSAGES_COUNT,
    GENOTYPING_REQUIRED,
    T87,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CELL_LINE_NAME,
    :old.STRAIN,
    :old.TARGETING_CASSETTES,
    :old.ELECTROPORATION_COUNT,
    :old.COAT_COLOUR,
    :old.P5_PRIMER,
    :old.P3_NATIVE_ALLELE,
    :old.P3_TARGETED_ALLELE_PRIMER,
    :old.P5_CASSETTE_PRIMER,
    :old.P3_CASSETTE_PRIMER,
    :old.PREDICTED_WT_PRODUCT_SIZE,
    :old.PREDICTED_MOD_ALLELE_PROD_SIZE,
    :old.PREDICTED_CASSETTE_PROD_SIZE,
    :old.PASSAGES_COUNT,
    :old.GENOTYPING_REQUIRED,
    :old.T87,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_CELL_LINE_STRAIN_DICT_ta
before update or delete on MIR_CELL_LINE_STRAIN_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_CELL_LINE_STRAIN_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    MOUSE_STRAIN_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    :old.MOUSE_STRAIN_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_CHIMERA_MATE_STRAIN_DIC_ta
before update or delete on MIR_CHIMERA_MATE_STRAIN_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_CHIMERA_MATE_STRAIN_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_EMBRYO_HARVEST_ta
before update or delete on MIR_EMBRYO_HARVEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_EMBRYO_HARVEST(
    ID,
    EDITED_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    COMMENTS,
    BLASTOCYST_COUNT,
    MORALAE_COUNT,
    EIGHT_CELL_COMP_COUNT,
    EIGHT_CELL_NON_COMP_COUNT,
    FOUR_CELL_COUNT,
    HATCHED_COUNT,
    DEAD_OR_FRAGMENTED_COUNT,
    OTHER_EMBRYO_TYPE_COUNT,
    FLUSH_DATE,
    OVERNIGHT_INCUBATION,
    PLUG_CHECK_DATE,
    FATHER_COAT_COLOUR_DICT_ID,
    MOTHER_COAT_COLOUR_DICT_ID,
    TOTAL_DONORS,
    FATHER_STRAIN_ID,
    MOTHER_STRAIN_ID,
    TECHNICIAN_ID,
    USE_BLASTOCYST,
    USE_MORALAE,
    USE_EIGHT_CELLS,
    USE_EIGHT_CELLS_NON_COMP,
    USE_FOUR_CELLS,
    USE_HATCHED,
    USE_DEAD_OR_FRAGMENTED,
    USE_OTHER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EDITED_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.BLASTOCYST_COUNT,
    :old.MORALAE_COUNT,
    :old.EIGHT_CELL_COMP_COUNT,
    :old.EIGHT_CELL_NON_COMP_COUNT,
    :old.FOUR_CELL_COUNT,
    :old.HATCHED_COUNT,
    :old.DEAD_OR_FRAGMENTED_COUNT,
    :old.OTHER_EMBRYO_TYPE_COUNT,
    :old.FLUSH_DATE,
    :old.OVERNIGHT_INCUBATION,
    :old.PLUG_CHECK_DATE,
    :old.FATHER_COAT_COLOUR_DICT_ID,
    :old.MOTHER_COAT_COLOUR_DICT_ID,
    :old.TOTAL_DONORS,
    :old.FATHER_STRAIN_ID,
    :old.MOTHER_STRAIN_ID,
    :old.TECHNICIAN_ID,
    :old.USE_BLASTOCYST,
    :old.USE_MORALAE,
    :old.USE_EIGHT_CELLS,
    :old.USE_EIGHT_CELLS_NON_COMP,
    :old.USE_FOUR_CELLS,
    :old.USE_HATCHED,
    :old.USE_DEAD_OR_FRAGMENTED,
    :old.USE_OTHER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_EMBRYO_STAGE_DICT_ta
before update or delete on MIR_EMBRYO_STAGE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_EMBRYO_STAGE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_EMBRYO_TRANSFER_PROCEDU_ta
before update or delete on MIR_EMBRYO_TRANSFER_PROCEDURE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_EMBRYO_TRANSFER_PROCEDURE(
    ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    MOUSE_WEIGHT,
    NUMBER_RIGHT,
    NUMBER_LEFT,
    ANAESTHETIC_DICT_ID,
    DOSE_ANESTHETIC,
    ANALGESIA_DICT_ID,
    DOSE_ANALGESIA,
    TRANSFER_TYPE_DICT_ID,
    STUFFER_STRAIN_ID,
    NUMBER_RIGHT_STUFFERS,
    NUMBER_LEFT_STUFFERS,
    CREATOR_ID,
    COMMENTS,
    SCHEDULED_MICRO_INJECTION_ID,
    MOUSE_ID,
    DAYS_FROM_PLUG,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.MOUSE_WEIGHT,
    :old.NUMBER_RIGHT,
    :old.NUMBER_LEFT,
    :old.ANAESTHETIC_DICT_ID,
    :old.DOSE_ANESTHETIC,
    :old.ANALGESIA_DICT_ID,
    :old.DOSE_ANALGESIA,
    :old.TRANSFER_TYPE_DICT_ID,
    :old.STUFFER_STRAIN_ID,
    :old.NUMBER_RIGHT_STUFFERS,
    :old.NUMBER_LEFT_STUFFERS,
    :old.CREATOR_ID,
    :old.COMMENTS,
    :old.SCHEDULED_MICRO_INJECTION_ID,
    :old.MOUSE_ID,
    :old.DAYS_FROM_PLUG,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_ES_CELL_LINE_SOURCE_DIC_ta
before update or delete on MIR_ES_CELL_LINE_SOURCE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_ES_CELL_LINE_SOURCE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_EXTERNAL_STATUS_DICT_ta
before update or delete on MIR_EXTERNAL_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_EXTERNAL_STATUS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_INTERNAL_STATUS_DICT_ta
before update or delete on MIR_INTERNAL_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_INTERNAL_STATUS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_MICRO_INJECTION_ta
before update or delete on MIR_MICRO_INJECTION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_MICRO_INJECTION(
    ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    EMBRYO_STAGE_DICT_ID,
    EMBRYO_COUNT,
    ES_CELL_PER_EMBRYO,
    CELL_LINE_ID,
    DATE_COMPLETED,
    COMMENTS,
    CREATOR_ID,
    SCHEDULED_MICRO_INJECTION_ID,
    EMBRYO_HARVEST_ID,
    ES_CELLS_PER_EMBRYO_FROM,
    ES_CELLS_PER_EMBRYO_TO,
    TECHNICIAN_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.EMBRYO_STAGE_DICT_ID,
    :old.EMBRYO_COUNT,
    :old.ES_CELL_PER_EMBRYO,
    :old.CELL_LINE_ID,
    :old.DATE_COMPLETED,
    :old.COMMENTS,
    :old.CREATOR_ID,
    :old.SCHEDULED_MICRO_INJECTION_ID,
    :old.EMBRYO_HARVEST_ID,
    :old.ES_CELLS_PER_EMBRYO_FROM,
    :old.ES_CELLS_PER_EMBRYO_TO,
    :old.TECHNICIAN_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_MICRO_INJECTION_REQUEST_ta
before update or delete on MIR_MICRO_INJECTION_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_MICRO_INJECTION_REQUEST(
    ID,
    CELL_LINE_ID,
    ENDPOINT_DICT_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    REQUESTER_ID,
    PROJECT_LICENCE_ID,
    DONOR_PLUG_COUNT,
    CHIMERA_MATE_STRAIN_DICT_ID,
    GENOTYPING_REQUIRED,
    DONOR_EMBRYO_STAGE_DICT_ID,
    WORKFLOW_PIPELINE_DICT_ID,
    EXTERNAL_STATUS_DICT_ID,
    STATUS_COMMENTS,
    CHECK_NUMBER,
    FUNDING_SOURCE,
    REQUESTER_PROVIDED_GENOTYPING,
    ES_CELL_PIPELINE_SRC_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CELL_LINE_ID,
    :old.ENDPOINT_DICT_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.REQUESTER_ID,
    :old.PROJECT_LICENCE_ID,
    :old.DONOR_PLUG_COUNT,
    :old.CHIMERA_MATE_STRAIN_DICT_ID,
    :old.GENOTYPING_REQUIRED,
    :old.DONOR_EMBRYO_STAGE_DICT_ID,
    :old.WORKFLOW_PIPELINE_DICT_ID,
    :old.EXTERNAL_STATUS_DICT_ID,
    :old.STATUS_COMMENTS,
    :old.CHECK_NUMBER,
    :old.FUNDING_SOURCE,
    :old.REQUESTER_PROVIDED_GENOTYPING,
    :old.ES_CELL_PIPELINE_SRC_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_MI_129_TASK_TEMPLATE_ta
before update or delete on MIR_MI_129_TASK_TEMPLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_MI_129_TASK_TEMPLATE(
    ID,
    NAME,
    DESCRIPTION,
    SEQUENCE_NUMBER,
    TIME_OFFSET,
    TIME_UNIT,
    IS_MILESTONE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.SEQUENCE_NUMBER,
    :old.TIME_OFFSET,
    :old.TIME_UNIT,
    :old.IS_MILESTONE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_MI_B6_TASK_TEMPLATE_ta
before update or delete on MIR_MI_B6_TASK_TEMPLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_MI_B6_TASK_TEMPLATE(
    ID,
    NAME,
    DESCRIPTION,
    SEQUENCE_NUMBER,
    TIME_OFFSET,
    TIME_UNIT,
    IS_MILESTONE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.SEQUENCE_NUMBER,
    :old.TIME_OFFSET,
    :old.TIME_UNIT,
    :old.IS_MILESTONE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_MI_F0_EMBRYO_TASK_TEMPL_ta
before update or delete on MIR_MI_F0_EMBRYO_TASK_TEMPLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_MI_F0_EMBRYO_TASK_TEMPLATE(
    ID,
    NAME,
    DESCRIPTION,
    SEQUENCE_NUMBER,
    TIME_OFFSET,
    TIME_UNIT,
    IS_MILESTONE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.SEQUENCE_NUMBER,
    :old.TIME_OFFSET,
    :old.TIME_UNIT,
    :old.IS_MILESTONE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_SCHEDULED_MICRO_INJECTI_ta
before update or delete on MIR_SCHEDULED_MICRO_INJECTION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_SCHEDULED_MICRO_INJECTION(
    ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDITED_DATE,
    CHECK_NUMBER,
    TARGET_SCHEDULE_DATE,
    MICRO_INJECTION_REQUEST_ID,
    DONOR_ANIMAL_REQUEST_ID,
    RECIPIENT_ANIMAL_REQUEST_ID,
    COMMENTS,
    INTERNAL_STATUS_DICT_ID,
    SUPPLEMENTAL_RECIPIENT_REQ_ID,
    CANCEL_OR_FAIL_REASONS,
    CELL_LINE_PROVIDER_ID,
    RECIPIENT_REQUEST_EMAIL,
    DONOR_REQUEST_EMAIL,
    JOB_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDITED_DATE,
    :old.CHECK_NUMBER,
    :old.TARGET_SCHEDULE_DATE,
    :old.MICRO_INJECTION_REQUEST_ID,
    :old.DONOR_ANIMAL_REQUEST_ID,
    :old.RECIPIENT_ANIMAL_REQUEST_ID,
    :old.COMMENTS,
    :old.INTERNAL_STATUS_DICT_ID,
    :old.SUPPLEMENTAL_RECIPIENT_REQ_ID,
    :old.CANCEL_OR_FAIL_REASONS,
    :old.CELL_LINE_PROVIDER_ID,
    :old.RECIPIENT_REQUEST_EMAIL,
    :old.DONOR_REQUEST_EMAIL,
    :old.JOB_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_SCHEDULED_MI_TASK_ta
before update or delete on MIR_SCHEDULED_MI_TASK for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_SCHEDULED_MI_TASK(
    ID,
    ESTIMATED_COMPLETION_DATE,
    ACTUAL_COMPLETION_DATE,
    DESCRIPTION,
    SCHEDULED_MICRO_INJECTION_ID,
    NAME,
    SEQUENCE_NUMBER,
    IS_MILESTONE,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDITED_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ESTIMATED_COMPLETION_DATE,
    :old.ACTUAL_COMPLETION_DATE,
    :old.DESCRIPTION,
    :old.SCHEDULED_MICRO_INJECTION_ID,
    :old.NAME,
    :old.SEQUENCE_NUMBER,
    :old.IS_MILESTONE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDITED_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_TARGET_ENDPOINT_DICT_ta
before update or delete on MIR_TARGET_ENDPOINT_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_TARGET_ENDPOINT_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MIR_TRANSFER_TYPE_DICT_ta
before update or delete on MIR_TRANSFER_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MIR_TRANSFER_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_AIR_HANDLING_DATA_ta
before update or delete on MTS_AIR_HANDLING_DATA for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_AIR_HANDLING_DATA(
    ID,
    AIR_HANDLING_UNIT_ID,
    COLLECTION_DATE,
    TEMPERATURE,
    RELATIVE_HUMIDITY,
    AIR_CHANGES_PER_HOUR,
    RELATIVE_PRESSURE,
    ERROR_CODE,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.AIR_HANDLING_UNIT_ID,
    :old.COLLECTION_DATE,
    :old.TEMPERATURE,
    :old.RELATIVE_HUMIDITY,
    :old.AIR_CHANGES_PER_HOUR,
    :old.RELATIVE_PRESSURE,
    :old.ERROR_CODE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_AIR_HANDLING_UNIT_ta
before update or delete on MTS_AIR_HANDLING_UNIT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_AIR_HANDLING_UNIT(
    ID,
    NAME,
    ROOM_ID,
    CHECK_NUMBER,
    RADIO_ADDRESS,
    EDITED_BY,
    EDIT_DATE,
    CREATED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ROOM_ID,
    :old.CHECK_NUMBER,
    :old.RADIO_ADDRESS,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BIOPSY_PLATE_ta
before update or delete on MTS_BIOPSY_PLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BIOPSY_PLATE(
    ID,
    CREATED_DATE,
    CREATOR_ID,
    EDITED_BY,
    EDIT_DATE,
    DESCRIPTION,
    BARCODE,
    PLATE_ROWS,
    PLATE_COLUMNS,
    CHECK_NUMBER,
    STATUS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.DESCRIPTION,
    :old.BARCODE,
    :old.PLATE_ROWS,
    :old.PLATE_COLUMNS,
    :old.CHECK_NUMBER,
    :old.STATUS,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BIOPSY_PLATE_WELL_ta
before update or delete on MTS_BIOPSY_PLATE_WELL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BIOPSY_PLATE_WELL(
    ID,
    BIOPSY_PLATE_ID,
    MOUSE_ID,
    ARRAY_ROW,
    ARRAY_COLUMN,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.BIOPSY_PLATE_ID,
    :old.MOUSE_ID,
    :old.ARRAY_ROW,
    :old.ARRAY_COLUMN,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BODY_SUBSYSTEM_DICT_ta
before update or delete on MTS_BODY_SUBSYSTEM_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BODY_SUBSYSTEM_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    BODY_SYSTEM_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.BODY_SYSTEM_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BODY_SYSTEM_DICT_ta
before update or delete on MTS_BODY_SYSTEM_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BODY_SYSTEM_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BREEDING_ta
before update or delete on MTS_BREEDING for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BREEDING(
    ID,
    START_DATE,
    END_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    COMMENTS,
    RESERVATION_ID,
    CREATOR_ID,
    CREATED_DATE,
    MALE_ID,
    FEMALE_ID,
    STATUS,
    OFFSPRING_COLONY_ID,
    PSEUDO_BREEDING,
    EMBRYO_TRANSFER_ID,
    NAME_PREFIX,
    BREEDING_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.START_DATE,
    :old.END_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.COMMENTS,
    :old.RESERVATION_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.MALE_ID,
    :old.FEMALE_ID,
    :old.STATUS,
    :old.OFFSPRING_COLONY_ID,
    :old.PSEUDO_BREEDING,
    :old.EMBRYO_TRANSFER_ID,
    :old.NAME_PREFIX,
    :old.BREEDING_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_BREEDING_OFFSET_ta
before update or delete on MTS_BREEDING_OFFSET for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_BREEDING_OFFSET(
    COLONY_INFO_ID,
    OFFSET,
    AUDIT_ACTION)
 values (
    :old.COLONY_INFO_ID,
    :old.OFFSET,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CAGE_ta
before update or delete on MTS_CAGE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CAGE(
    ID,
    RACK_ID,
    STATUS,
    CHECK_NUMBER,
    COMMENTS,
    EDITED_BY,
    EDIT_DATE,
    CREATOR_ID,
    CREATED_DATE,
    BARCODE,
    NAME,
    LAST_CLEANED_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.RACK_ID,
    :old.STATUS,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.BARCODE,
    :old.NAME,
    :old.LAST_CLEANED_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CAGE_LABEL_DETAIL_ta
before update or delete on MTS_CAGE_LABEL_DETAIL for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CAGE_LABEL_DETAIL(
    ID,
    CAGE_LABEL_HEADER_ID,
    MOUSE_ID,
    ALLELE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CAGE_LABEL_HEADER_ID,
    :old.MOUSE_ID,
    :old.ALLELE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CAGE_LABEL_HEADER_ta
before update or delete on MTS_CAGE_LABEL_HEADER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CAGE_LABEL_HEADER(
    ID,
    PRINT_JOB_ID,
    ROOM_NAME,
    STRAIN,
    PROJECT_LICENCE,
    PROTOCOL_CODE,
    PERSON_NAME,
    RACK_NAME,
    CAGE_NAME,
    EXTRA_INFO_1,
    CAGE_BARCODE,
    COLONY_NAME,
    CREATED_DATE,
    MALE_COUNT,
    FEMALE_COUNT,
    UNKNOWN_GENDER_COUNT,
    LABEL_TYPE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PRINT_JOB_ID,
    :old.ROOM_NAME,
    :old.STRAIN,
    :old.PROJECT_LICENCE,
    :old.PROTOCOL_CODE,
    :old.PERSON_NAME,
    :old.RACK_NAME,
    :old.CAGE_NAME,
    :old.EXTRA_INFO_1,
    :old.CAGE_BARCODE,
    :old.COLONY_NAME,
    :old.CREATED_DATE,
    :old.MALE_COUNT,
    :old.FEMALE_COUNT,
    :old.UNKNOWN_GENDER_COUNT,
    :old.LABEL_TYPE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CAGE_RACK_HISTORY_ta
before update or delete on MTS_CAGE_RACK_HISTORY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CAGE_RACK_HISTORY(
    ID,
    CAGE_ID,
    RACK_ID,
    START_DATE,
    END_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.CAGE_ID,
    :old.RACK_ID,
    :old.START_DATE,
    :old.END_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CARD_COLOUR_DICT_ta
before update or delete on MTS_CARD_COLOUR_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CARD_COLOUR_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CAUSE_OF_DEATH_DICT_ta
before update or delete on MTS_CAUSE_OF_DEATH_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CAUSE_OF_DEATH_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_CHIMERIC_MOUSE_DATA_ta
before update or delete on MTS_CHIMERIC_MOUSE_DATA for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_CHIMERIC_MOUSE_DATA(
    ID,
    MOUSE_ID,
    PERCENT_CHIMERIC,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    CELL_LINE_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.PERCENT_CHIMERIC,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.CELL_LINE_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COAT_COLOUR_DICT_ta
before update or delete on MTS_COAT_COLOUR_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COAT_COLOUR_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COHORT_ta
before update or delete on MTS_COHORT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COHORT(
    ID,
    COHORT_NAME,
    COMMENTS,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    FOREIGN_TABLE_NAME,
    FOREIGN_KEY_ID,
    REASON,
    COHORT_TYPE_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_NAME,
    :old.COMMENTS,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.FOREIGN_TABLE_NAME,
    :old.FOREIGN_KEY_ID,
    :old.REASON,
    :old.COHORT_TYPE_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COHORT_MOUSE_ta
before update or delete on MTS_COHORT_MOUSE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COHORT_MOUSE(
    ID,
    COHORT_ID,
    MOUSE_ID,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_ID,
    :old.MOUSE_ID,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COHORT_TYPE_DICT_ta
before update or delete on MTS_COHORT_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COHORT_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_ALLELE_ta
before update or delete on MTS_COLONY_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_ALLELE(
    ID,
    COLONY_ID,
    MODIFIED_ALLELE_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COLONY_ID,
    :old.MODIFIED_ALLELE_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_BEHAVIOUR_ta
before update or delete on MTS_COLONY_BEHAVIOUR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_BEHAVIOUR(
    ID,
    TRAIT,
    REMEDIAL_ACTION,
    COLONY_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.TRAIT,
    :old.REMEDIAL_ACTION,
    :old.COLONY_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_COAT_COLOUR_ta
before update or delete on MTS_COLONY_COAT_COLOUR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_COAT_COLOUR(
    ID,
    COLONY_ID,
    COAT_COLOUR_DICT_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COLONY_ID,
    :old.COAT_COLOUR_DICT_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_CONTACT_ta
before update or delete on MTS_COLONY_CONTACT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_CONTACT(
    ID,
    PERSON_ID,
    COLONY_ID,
    REASON,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PERSON_ID,
    :old.COLONY_ID,
    :old.REASON,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_CROSS_ta
before update or delete on MTS_COLONY_CROSS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_CROSS(
    ID,
    PHENOTYPE_TEXT,
    GENOTYPE_TEXT,
    DELIMITED_ALLELE_IDS,
    COLONY_ID,
    IS_LETHAL,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PHENOTYPE_TEXT,
    :old.GENOTYPE_TEXT,
    :old.DELIMITED_ALLELE_IDS,
    :old.COLONY_ID,
    :old.IS_LETHAL,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_INFO_ta
before update or delete on MTS_COLONY_INFO for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_INFO(
    ID,
    COLONY_NAME,
    PROJECT_LICENCE_ID,
    CARD_COLOUR_DICT_ID,
    COLONY_MANAGEMENT,
    AVERAGE_LITTER_SIZE,
    BREEDING_LIFESPAN_WEEKS,
    IMMUNE_STATUS,
    OTHER_ABNORMALITIES,
    WELFARE_ASSESSMENT,
    HUSBANDRY_RECOMMENDATIONS,
    DIET,
    HOUSING_SYSTEM,
    ENVIRONMENTAL_ENRICHMENT,
    MISC_NOTES,
    COLONY_ORIGIN,
    PLACE_OF_ORIGIN,
    DATE_OF_IMPORT,
    DATE_OF_REDERIVATION,
    REDERIVATION_METHOD,
    EDITED_BY,
    EDIT_DATE,
    WELFARE_ASSESSMENT_PERFORMED,
    WTSI_ORIGIN,
    COLONY_PREFIX,
    MODE_OF_INHERITANCE,
    ASSESSING_PHENOTYPE,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    SUBJECT_TO_MTA,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COLONY_NAME,
    :old.PROJECT_LICENCE_ID,
    :old.CARD_COLOUR_DICT_ID,
    :old.COLONY_MANAGEMENT,
    :old.AVERAGE_LITTER_SIZE,
    :old.BREEDING_LIFESPAN_WEEKS,
    :old.IMMUNE_STATUS,
    :old.OTHER_ABNORMALITIES,
    :old.WELFARE_ASSESSMENT,
    :old.HUSBANDRY_RECOMMENDATIONS,
    :old.DIET,
    :old.HOUSING_SYSTEM,
    :old.ENVIRONMENTAL_ENRICHMENT,
    :old.MISC_NOTES,
    :old.COLONY_ORIGIN,
    :old.PLACE_OF_ORIGIN,
    :old.DATE_OF_IMPORT,
    :old.DATE_OF_REDERIVATION,
    :old.REDERIVATION_METHOD,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.WELFARE_ASSESSMENT_PERFORMED,
    :old.WTSI_ORIGIN,
    :old.COLONY_PREFIX,
    :old.MODE_OF_INHERITANCE,
    :old.ASSESSING_PHENOTYPE,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.SUBJECT_TO_MTA,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_ROOM_ta
before update or delete on MTS_COLONY_ROOM for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_ROOM(
    ID,
    ROOM_ID,
    COLONY_ID,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ROOM_ID,
    :old.COLONY_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_COLONY_STRAIN_ta
before update or delete on MTS_COLONY_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_COLONY_STRAIN(
    ID,
    STRAIN_ID,
    COLONY_ID,
    PERCENT,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    COMMENTS,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.STRAIN_ID,
    :old.COLONY_ID,
    :old.PERCENT,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.COMMENTS,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_EARMARK_DICT_ta
before update or delete on MTS_EARMARK_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_EARMARK_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_EMBRYO_TRANSFER_ta
before update or delete on MTS_EMBRYO_TRANSFER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_EMBRYO_TRANSFER(
    ID,
    FEMALE_MOUSE_ID,
    ES_CLONE_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.FEMALE_MOUSE_ID,
    :old.ES_CLONE_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_ENVIRONMENT_REPORT_ta
before update or delete on MTS_ENVIRONMENT_REPORT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_ENVIRONMENT_REPORT(
    ID,
    DESCRIPTION,
    REPORTED_DATE,
    RESOLVED_DATE,
    FOREIGN_KEY_ID,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    FOREIGN_TABLE_NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.DESCRIPTION,
    :old.REPORTED_DATE,
    :old.RESOLVED_DATE,
    :old.FOREIGN_KEY_ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.FOREIGN_TABLE_NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_ES_CLONE_ta
before update or delete on MTS_ES_CLONE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_ES_CLONE(
    ID,
    MODIFIED_ALLELE_ID,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MODIFIED_ALLELE_ID,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_EYE_COLOUR_DICT_ta
before update or delete on MTS_EYE_COLOUR_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_EYE_COLOUR_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_GENDER_DICT_ta
before update or delete on MTS_GENDER_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_GENDER_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_GENOTYPE_DICT_ta
before update or delete on MTS_GENOTYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_GENOTYPE_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_HEALTH_CONCERN_DICT_ta
before update or delete on MTS_HEALTH_CONCERN_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_HEALTH_CONCERN_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    BODY_SUBSYSTEM_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.BODY_SUBSYSTEM_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_LITTER_ta
before update or delete on MTS_LITTER for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_LITTER(
    ID,
    LITTER_SOURCE,
    BREEDING_ID,
    BIRTH_DATE,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATOR_ID,
    CREATED_DATE,
    PLUG_CHECK_DATE,
    FOSTER_MOTHER_ID,
    NUMBER_BORN,
    NUMBER_WEANED,
    NUMBER_USED,
    COMMENTS,
    NUMBER_DIED,
    STATUS,
    NUMBER_HARVESTED,
    DUE_DATE,
    NUMBER_MALE_BORN,
    NUMBER_FEMALE_BORN,
    LITTER_NUMBER,
    NAME_PREFIX,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_SOURCE,
    :old.BREEDING_ID,
    :old.BIRTH_DATE,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.PLUG_CHECK_DATE,
    :old.FOSTER_MOTHER_ID,
    :old.NUMBER_BORN,
    :old.NUMBER_WEANED,
    :old.NUMBER_USED,
    :old.COMMENTS,
    :old.NUMBER_DIED,
    :old.STATUS,
    :old.NUMBER_HARVESTED,
    :old.DUE_DATE,
    :old.NUMBER_MALE_BORN,
    :old.NUMBER_FEMALE_BORN,
    :old.LITTER_NUMBER,
    :old.NAME_PREFIX,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_ta
before update or delete on MTS_MOUSE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE(
    ID,
    LITTER_ID,
    NAME,
    EDIT_DATE,
    RFID_TAG,
    COAT_COLOUR_DICT_ID,
    EYE_COLOUR_DICT_ID,
    EARMARK_DICT_ID,
    BIRTH_DATE,
    DEATH_DATE,
    CAUSE_OF_DEATH_DICT_ID,
    EDITED_BY,
    WEAN_DATE,
    CAGE_ID,
    CURRENT_OWNER_ID,
    CHECK_NUMBER,
    GENDER_DICT_ID,
    MOUSE_STRAIN_DICT_ID,
    STATUS,
    CREATOR_ID,
    CREATED_DATE,
    BARCODE,
    COMMENTS,
    SUPPLIER_DICT_ID,
    IS_NON_BREEDER,
    IS_SENTINEL,
    GENERATION,
    COLONY_INFO_ID,
    ARRIVAL_DATE,
    EARMARK_LEFT,
    EARMARK_RIGHT,
    IS_STERILE,
    LATEST_PLUG_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_ID,
    :old.NAME,
    :old.EDIT_DATE,
    :old.RFID_TAG,
    :old.COAT_COLOUR_DICT_ID,
    :old.EYE_COLOUR_DICT_ID,
    :old.EARMARK_DICT_ID,
    :old.BIRTH_DATE,
    :old.DEATH_DATE,
    :old.CAUSE_OF_DEATH_DICT_ID,
    :old.EDITED_BY,
    :old.WEAN_DATE,
    :old.CAGE_ID,
    :old.CURRENT_OWNER_ID,
    :old.CHECK_NUMBER,
    :old.GENDER_DICT_ID,
    :old.MOUSE_STRAIN_DICT_ID,
    :old.STATUS,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.BARCODE,
    :old.COMMENTS,
    :old.SUPPLIER_DICT_ID,
    :old.IS_NON_BREEDER,
    :old.IS_SENTINEL,
    :old.GENERATION,
    :old.COLONY_INFO_ID,
    :old.ARRIVAL_DATE,
    :old.EARMARK_LEFT,
    :old.EARMARK_RIGHT,
    :old.IS_STERILE,
    :old.LATEST_PLUG_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_ALLELE_ta
before update or delete on MTS_MOUSE_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_ALLELE(
    ID,
    MOUSE_ID,
    ALLELE_ID,
    GENOTYPE_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.ALLELE_ID,
    :old.GENOTYPE_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_CAGE_HISTORY_ta
before update or delete on MTS_MOUSE_CAGE_HISTORY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_CAGE_HISTORY(
    ID,
    MOUSE_ID,
    CAGE_ID,
    START_DATE,
    END_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.CAGE_ID,
    :old.START_DATE,
    :old.END_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_HEALTH_ta
before update or delete on MTS_MOUSE_HEALTH for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_HEALTH(
    ID,
    MOUSE_ID,
    START_DATE,
    END_DATE,
    EDIT_DATE,
    EDITED_BY,
    CREATOR_ID,
    CREATED_DATE,
    COMMENTS,
    STATUS,
    BODY_SUBSYSTEM_DICT_ID,
    BODY_SYSTEM_DICT_ID,
    HEALTH_CONCERN_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.START_DATE,
    :old.END_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.COMMENTS,
    :old.STATUS,
    :old.BODY_SUBSYSTEM_DICT_ID,
    :old.BODY_SYSTEM_DICT_ID,
    :old.HEALTH_CONCERN_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_PROCEDURE_ta
before update or delete on MTS_MOUSE_PROCEDURE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_PROCEDURE(
    ID,
    MOUSE_ID,
    PROTOCOL_ID,
    PERSONAL_LICENCE_ID,
    START_DATE,
    END_DATE,
    FOREIGN_KEY_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CREATOR_ID,
    CHECK_NUMBER,
    PROCEDURE_DICT_ID,
    FOREIGN_TABLE_NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.PROTOCOL_ID,
    :old.PERSONAL_LICENCE_ID,
    :old.START_DATE,
    :old.END_DATE,
    :old.FOREIGN_KEY_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.PROCEDURE_DICT_ID,
    :old.FOREIGN_TABLE_NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_SUPPLIER_DICT_ta
before update or delete on MTS_MOUSE_SUPPLIER_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_SUPPLIER_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_MOUSE_WEIGHT_ta
before update or delete on MTS_MOUSE_WEIGHT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_MOUSE_WEIGHT(
    ID,
    MOUSE_ID,
    WEIGHT_VALUE,
    WEIGHT_UNITS,
    CHECK_NUMBER,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MOUSE_ID,
    :old.WEIGHT_VALUE,
    :old.WEIGHT_UNITS,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_PREWEAN_DEATH_ta
before update or delete on MTS_PREWEAN_DEATH for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_PREWEAN_DEATH(
    ID,
    LITTER_ID,
    DEATH_DATE,
    NUMBER_MALE,
    NUMBER_FEMALE,
    NUMBER_MALE_CHIMERA,
    NUMBER_FEMALE_CHIMERA,
    COMMENTS,
    CAUSE_OF_DEATH_DICT_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    NUMBER_UNKNOWN,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LITTER_ID,
    :old.DEATH_DATE,
    :old.NUMBER_MALE,
    :old.NUMBER_FEMALE,
    :old.NUMBER_MALE_CHIMERA,
    :old.NUMBER_FEMALE_CHIMERA,
    :old.COMMENTS,
    :old.CAUSE_OF_DEATH_DICT_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.NUMBER_UNKNOWN,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_PREWEAN_DEATH_DICT_ta
before update or delete on MTS_PREWEAN_DEATH_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_PREWEAN_DEATH_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_PROCEDURE_DICT_ta
before update or delete on MTS_PROCEDURE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_PROCEDURE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_RACK_ta
before update or delete on MTS_RACK for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_RACK(
    ID,
    AIR_HANDLING_UNIT_ID,
    ROOM_ID,
    STATUS,
    TECHNOPLAST_NAME,
    CHECK_NUMBER,
    EDITED_BY,
    EDIT_DATE,
    CREATOR_ID,
    CREATED_DATE,
    BARCODE,
    MAX_CAPACITY,
    NAME,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.AIR_HANDLING_UNIT_ID,
    :old.ROOM_ID,
    :old.STATUS,
    :old.TECHNOPLAST_NAME,
    :old.CHECK_NUMBER,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.BARCODE,
    :old.MAX_CAPACITY,
    :old.NAME,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_RACK_ROOM_HISTORY_ta
before update or delete on MTS_RACK_ROOM_HISTORY for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_RACK_ROOM_HISTORY(
    ID,
    RACK_ID,
    ROOM_ID,
    START_DATE,
    END_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.RACK_ID,
    :old.ROOM_ID,
    :old.START_DATE,
    :old.END_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_ROOM_ta
before update or delete on MTS_ROOM for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_ROOM(
    ID,
    ROOM_NUMBER,
    BUILDING_NAME,
    CORRIDOR,
    DESCRIPTION,
    CHECK_NUMBER,
    ACTIVE,
    OFFICIAL_ROOM_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ROOM_NUMBER,
    :old.BUILDING_NAME,
    :old.CORRIDOR,
    :old.DESCRIPTION,
    :old.CHECK_NUMBER,
    :old.ACTIVE,
    :old.OFFICIAL_ROOM_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_STRAIN_COAT_COLOUR_ta
before update or delete on MTS_STRAIN_COAT_COLOUR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_STRAIN_COAT_COLOUR(
    ID,
    STRAIN_ID,
    COAT_COLOUR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.STRAIN_ID,
    :old.COAT_COLOUR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_TISSUE_SAMPLE_ta
before update or delete on MTS_TISSUE_SAMPLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_TISSUE_SAMPLE(
    ID,
    SAMPLE_TYPE,
    SAMPLE_DATE,
    MOUSE_ID,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    REUSABLE,
    BARCODE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.SAMPLE_TYPE,
    :old.SAMPLE_DATE,
    :old.MOUSE_ID,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.REUSABLE,
    :old.BARCODE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger MTS_WILDTYPE_REQ_GROUP_DICT_ta
before update or delete on MTS_WILDTYPE_REQ_GROUP_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.MTS_WILDTYPE_REQ_GROUP_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_MAILING_LIST_ta
before update or delete on PER_MAILING_LIST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_MAILING_LIST(
    ID,
    NAME,
    DESCRIPTION,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_MAILING_LIST_RECIPIENT_ta
before update or delete on PER_MAILING_LIST_RECIPIENT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_MAILING_LIST_RECIPIENT(
    ID,
    MAILING_LIST_ID,
    EMAIL,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.MAILING_LIST_ID,
    :old.EMAIL,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_PERSON_ta
before update or delete on PER_PERSON for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_PERSON(
    PERSON_ID,
    FIRST_NAME,
    LAST_NAME,
    PASSWORD_HASH,
    USER_NAME,
    EMAIL,
    ADDRESS,
    ROOM,
    PHONE_NUMBER,
    TEAM_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    ACTIVE,
    HIDDEN,
    AUDIT_ACTION)
 values (
    :old.PERSON_ID,
    :old.FIRST_NAME,
    :old.LAST_NAME,
    :old.PASSWORD_HASH,
    :old.USER_NAME,
    :old.EMAIL,
    :old.ADDRESS,
    :old.ROOM,
    :old.PHONE_NUMBER,
    :old.TEAM_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.ACTIVE,
    :old.HIDDEN,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_PERSON_2_ROLE_ta
before update or delete on PER_PERSON_2_ROLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_PERSON_2_ROLE(
    PERSON_ID,
    ROLE_ID,
    AUDIT_ACTION)
 values (
    :old.PERSON_ID,
    :old.ROLE_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_PERSON_COLUMN_PREFS_ta
before update or delete on PER_PERSON_COLUMN_PREFS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_PERSON_COLUMN_PREFS(
    ID,
    PERSON_ID,
    ORDER_BY,
    COLUMN_PREF_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PERSON_ID,
    :old.ORDER_BY,
    :old.COLUMN_PREF_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_PERSON_PREFS_ta
before update or delete on PER_PERSON_PREFS for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_PERSON_PREFS(
    ID,
    PERSON_ID,
    DEFAULT_ROOM_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PERSON_ID,
    :old.DEFAULT_ROOM_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_ROLE_ta
before update or delete on PER_ROLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_ROLE(
    ROLE_ID,
    NAME,
    RANK,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ROLE_ID,
    :old.NAME,
    :old.RANK,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_TEAM_ta
before update or delete on PER_TEAM for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_TEAM(
    TEAM_NAME,
    TEAM_NUMBER,
    TEAM_LEADER,
    ID,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.TEAM_NAME,
    :old.TEAM_NUMBER,
    :old.TEAM_LEADER,
    :old.ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PER_USER_LOG_ta
before update or delete on PER_USER_LOG for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PER_USER_LOG(
    ID,
    USER_NAME,
    PERSON_NAME,
    EVENT,
    LOG_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.USER_NAME,
    :old.PERSON_NAME,
    :old.EVENT,
    :old.LOG_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_BLOODS_DATA_ta
before update or delete on PHN_BLOODS_DATA for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_BLOODS_DATA(
    ID,
    RUN_ID,
    PARAMETER_ID,
    VALUE,
    UNITS,
    REF_HI,
    REF_LO,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.RUN_ID,
    :old.PARAMETER_ID,
    :old.VALUE,
    :old.UNITS,
    :old.REF_HI,
    :old.REF_LO,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_BLOODS_RUN_ta
before update or delete on PHN_BLOODS_RUN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_BLOODS_RUN(
    ID,
    RUN_DATE,
    MOUSE_ID,
    INSTRUMENT_ID,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    COMMENTS,
    FAILED,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.RUN_DATE,
    :old.MOUSE_ID,
    :old.INSTRUMENT_ID,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.COMMENTS,
    :old.FAILED,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_EXPERIMENT_ta
before update or delete on PHN_EXPERIMENT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_EXPERIMENT(
    ID,
    SOP_ID,
    MOUSE_ID,
    IS_COMPLETE,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    EXPERIMENT_SET_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.SOP_ID,
    :old.MOUSE_ID,
    :old.IS_COMPLETE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.EXPERIMENT_SET_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_EXPERIMENT_SET_ta
before update or delete on PHN_EXPERIMENT_SET for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_EXPERIMENT_SET(
    ID,
    COHORT_ID,
    IS_COMPLETE,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    SOP_ID,
    PPL_ID,
    PIL_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.COHORT_ID,
    :old.IS_COMPLETE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.SOP_ID,
    :old.PPL_ID,
    :old.PIL_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_HOT_PLATE_ta
before update or delete on PHN_HOT_PLATE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_HOT_PLATE(
    ID,
    TEMPERATURE,
    TIME_MSEC,
    CHECK_NUMBER,
    CREATED_BY,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    MOUSE_ID,
    TEST_TERMINATED,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.TEMPERATURE,
    :old.TIME_MSEC,
    :old.CHECK_NUMBER,
    :old.CREATED_BY,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.MOUSE_ID,
    :old.TEST_TERMINATED,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_INSTRUMENT_DICT_ta
before update or delete on PHN_INSTRUMENT_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_INSTRUMENT_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_OBSERVATION_ta
before update or delete on PHN_OBSERVATION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_OBSERVATION(
    ID,
    EXPERIMENT_ID,
    REQUIRED_OBSERVATION_ID,
    VALUE,
    INSTRUMENT_ID,
    OBSERVATION_TIME,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.EXPERIMENT_ID,
    :old.REQUIRED_OBSERVATION_ID,
    :old.VALUE,
    :old.INSTRUMENT_ID,
    :old.OBSERVATION_TIME,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_OBSERVATION_META_TYPE_D_ta
before update or delete on PHN_OBSERVATION_META_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_OBSERVATION_META_TYPE_DICT(
    ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_OBSERVATION_TYPE_ta
before update or delete on PHN_OBSERVATION_TYPE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_OBSERVATION_TYPE(
    ID,
    OBSERVATION_META_TYPE_ID,
    NAME,
    DESCRIPTION,
    RANGE_MIN,
    RANGE_MAX,
    UNITS,
    RECORD_INSTRUMENT,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.OBSERVATION_META_TYPE_ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.RANGE_MIN,
    :old.RANGE_MAX,
    :old.UNITS,
    :old.RECORD_INSTRUMENT,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_PARAMETER_DICT_ta
before update or delete on PHN_PARAMETER_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_PARAMETER_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_REQUIRED_OBSERVATION_ta
before update or delete on PHN_REQUIRED_OBSERVATION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_REQUIRED_OBSERVATION(
    ID,
    OBSERVATION_TYPE_ID,
    ORDER_BY,
    DISPLAY_NAME,
    ACTIVE,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    SOP_ID,
    DEFAULT_VALUE,
    MANDATORY_OBSERVATION,
    SECTION_TITLE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.OBSERVATION_TYPE_ID,
    :old.ORDER_BY,
    :old.DISPLAY_NAME,
    :old.ACTIVE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.SOP_ID,
    :old.DEFAULT_VALUE,
    :old.MANDATORY_OBSERVATION,
    :old.SECTION_TITLE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_RESTRICTED_OPTION_ta
before update or delete on PHN_RESTRICTED_OPTION for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_RESTRICTED_OPTION(
    ID,
    OBSERVATION_TYPE_ID,
    PARENT_OPTION_ID,
    NAME,
    ORDER_BY,
    DESCRIPTION,
    ACTIVE,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.OBSERVATION_TYPE_ID,
    :old.PARENT_OPTION_ID,
    :old.NAME,
    :old.ORDER_BY,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PHN_STD_OPERATING_PROCEDURE_ta
before update or delete on PHN_STD_OPERATING_PROCEDURE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PHN_STD_OPERATING_PROCEDURE(
    ID,
    PROCEDURE_ID,
    NAME,
    ACTIVE,
    CREATED_DATE,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    TERMINAL_PROCEDURE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PROCEDURE_ID,
    :old.NAME,
    :old.ACTIVE,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.TERMINAL_PROCEDURE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PUB_ABSTRACT_ta
before update or delete on PUB_ABSTRACT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PUB_ABSTRACT(
    ID,
    ABSTRACT,
    CREATED_DATE,
    CHECK_NUMBER,
    CREATOR_ID,
    EDITED_BY,
    EDIT_DATE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ABSTRACT,
    :old.CREATED_DATE,
    :old.CHECK_NUMBER,
    :old.CREATOR_ID,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PUB_ARTICLE_ta
before update or delete on PUB_ARTICLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PUB_ARTICLE(
    ID,
    PUBMED_ID,
    JOURNAL,
    YEAR,
    ISSUE,
    VOLUME,
    PAGES,
    TITLE,
    ABSTRACT_ID,
    MEDLINE_ID,
    AFFILIATION,
    MONTH,
    DAY,
    CREATOR_ID,
    EDIT_DATE,
    EDITED_BY,
    CREATED_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PUBMED_ID,
    :old.JOURNAL,
    :old.YEAR,
    :old.ISSUE,
    :old.VOLUME,
    :old.PAGES,
    :old.TITLE,
    :old.ABSTRACT_ID,
    :old.MEDLINE_ID,
    :old.AFFILIATION,
    :old.MONTH,
    :old.DAY,
    :old.CREATOR_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CREATED_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PUB_ARTICLE_2_AUTHOR_ta
before update or delete on PUB_ARTICLE_2_AUTHOR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PUB_ARTICLE_2_AUTHOR(
    ID,
    ARTICLE_ID,
    AUTHOR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ARTICLE_ID,
    :old.AUTHOR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger PUB_AUTHOR_ta
before update or delete on PUB_AUTHOR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.PUB_AUTHOR(
    ID,
    LASTNAME,
    FORENAME,
    INITIALS,
    EDITED_BY,
    CREATOR_ID,
    CREATED_DATE,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LASTNAME,
    :old.FORENAME,
    :old.INITIALS,
    :old.EDITED_BY,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger REQ_ANIMAL_REQUEST_ta
before update or delete on REQ_ANIMAL_REQUEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.REQ_ANIMAL_REQUEST(
    ID,
    PROJECT_LICENCE_ID,
    REQUEST_REASON,
    STRAIN_ID,
    NUM_MALES_NEEDED,
    NUM_FEMALES_NEEDED,
    DATE_REQUIRED,
    DESTINATION_ROOM_ID,
    STANDING_ORDER_FREQ,
    STANDING_ORDER_DAY,
    NUMBER_IN_CAGE,
    REDERIVATION_REQUESTED,
    COMMENTS,
    EMBRYO_AGE_NEEDED,
    AGE_OR_WEIGHT_UNITS,
    AGE_OR_WEIGHT,
    FUNDING_SOURCE,
    STATUS_DICT_ID,
    DEVELOPMENT_ENDPOINT,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    REQUEST_ORIGINATOR_ID,
    CREATOR_ID,
    CHECK_NUMBER,
    END_DATE,
    PSEUDO_PREGNANT_FEMALE,
    GROUP_DICT_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.PROJECT_LICENCE_ID,
    :old.REQUEST_REASON,
    :old.STRAIN_ID,
    :old.NUM_MALES_NEEDED,
    :old.NUM_FEMALES_NEEDED,
    :old.DATE_REQUIRED,
    :old.DESTINATION_ROOM_ID,
    :old.STANDING_ORDER_FREQ,
    :old.STANDING_ORDER_DAY,
    :old.NUMBER_IN_CAGE,
    :old.REDERIVATION_REQUESTED,
    :old.COMMENTS,
    :old.EMBRYO_AGE_NEEDED,
    :old.AGE_OR_WEIGHT_UNITS,
    :old.AGE_OR_WEIGHT,
    :old.FUNDING_SOURCE,
    :old.STATUS_DICT_ID,
    :old.DEVELOPMENT_ENDPOINT,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.REQUEST_ORIGINATOR_ID,
    :old.CREATOR_ID,
    :old.CHECK_NUMBER,
    :old.END_DATE,
    :old.PSEUDO_PREGNANT_FEMALE,
    :old.GROUP_DICT_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger REQ_ANIMAL_REQUEST_STATUS_D_ta
before update or delete on REQ_ANIMAL_REQUEST_STATUS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.REQ_ANIMAL_REQUEST_STATUS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TMP_EXON_NEW_ta
before update or delete on TMP_EXON_NEW for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TMP_EXON_NEW(
    GENE_BUILD_ID,
    PRIMARY_NAME,
    PHASE,
    AUDIT_ACTION)
 values (
    :old.GENE_BUILD_ID,
    :old.PRIMARY_NAME,
    :old.PHASE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_ES_CLONE_2_STRAIN_ta
before update or delete on TYP_ES_CLONE_2_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_ES_CLONE_2_STRAIN(
    STRAIN_ID,
    ES_CLONE_ID,
    PERCENT_CONTRIB,
    ID,
    AUDIT_ACTION)
 values (
    :old.STRAIN_ID,
    :old.ES_CLONE_ID,
    :old.PERCENT_CONTRIB,
    :old.ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_GENOTYPE_TEST_ta
before update or delete on TYP_GENOTYPE_TEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_GENOTYPE_TEST(
    ID,
    ALLELE_ID,
    DESCRIPTION,
    GENOTYPE_TEST_TYPE_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    WILDTYPE_PRIMER_PAIR_ID,
    ALLELE_PRIMER_PAIR_ID,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.ALLELE_ID,
    :old.DESCRIPTION,
    :old.GENOTYPE_TEST_TYPE_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    :old.WILDTYPE_PRIMER_PAIR_ID,
    :old.ALLELE_PRIMER_PAIR_ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_GENOTYPE_TEST_TYPE_DICT_ta
before update or delete on TYP_GENOTYPE_TEST_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_GENOTYPE_TEST_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_GENOTYPING_PRIMER_PAIR_ta
before update or delete on TYP_GENOTYPING_PRIMER_PAIR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_GENOTYPING_PRIMER_PAIR(
    ID,
    GENOTYPE_TEST_ID,
    FIVE_PRIME_FORWARD,
    THREE_PRIME_REVERSE,
    EXPECTED_SIZE,
    MELT_TEMP,
    PRIMER_PAIR_TYPE_ID,
    CREATOR_ID,
    CREATED_DATE,
    EDITED_BY,
    EDIT_DATE,
    CHECK_NUMBER,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.GENOTYPE_TEST_ID,
    :old.FIVE_PRIME_FORWARD,
    :old.THREE_PRIME_REVERSE,
    :old.EXPECTED_SIZE,
    :old.MELT_TEMP,
    :old.PRIMER_PAIR_TYPE_ID,
    :old.CREATOR_ID,
    :old.CREATED_DATE,
    :old.EDITED_BY,
    :old.EDIT_DATE,
    :old.CHECK_NUMBER,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_INHERITANCE_MODE_DICT_ta
before update or delete on TYP_INHERITANCE_MODE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_INHERITANCE_MODE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MODIFIED_ALLELE_ta
before update or delete on TYP_MODIFIED_ALLELE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MODIFIED_ALLELE(
    ID,
    LOCUS_ID,
    MUTATION_NATURE_ID,
    INTERNAL_NAME,
    OFFICIAL_NAME_SUPERSCRIPT,
    MULTI_GENE_REGION,
    IS_HOMOZYGOUS_LETHAL,
    INHERITANCE_MODE_ID,
    HAS_ASSOCIATED_PHENOTYPE,
    PHENOTYPE_DESCRIPTION,
    MULTI_GENE_REGION_DESCRIP,
    ALLELE_DESCRIPTION,
    SHORT_ALLELE_SYMBOL,
    MAKER_NAME,
    CREATED_DATE,
    CREATOR_ID,
    GENE_ID,
    MULTIPLE_GENE_REGION_NAME,
    ALLELE_MAKER_ID,
    EDIT_DATE,
    EDITED_BY,
    CHECK_NUMBER,
    MUTATION_CLASS_DICT_ID,
    HARMFUL_MUTANT,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.LOCUS_ID,
    :old.MUTATION_NATURE_ID,
    :old.INTERNAL_NAME,
    :old.OFFICIAL_NAME_SUPERSCRIPT,
    :old.MULTI_GENE_REGION,
    :old.IS_HOMOZYGOUS_LETHAL,
    :old.INHERITANCE_MODE_ID,
    :old.HAS_ASSOCIATED_PHENOTYPE,
    :old.PHENOTYPE_DESCRIPTION,
    :old.MULTI_GENE_REGION_DESCRIP,
    :old.ALLELE_DESCRIPTION,
    :old.SHORT_ALLELE_SYMBOL,
    :old.MAKER_NAME,
    :old.CREATED_DATE,
    :old.CREATOR_ID,
    :old.GENE_ID,
    :old.MULTIPLE_GENE_REGION_NAME,
    :old.ALLELE_MAKER_ID,
    :old.EDIT_DATE,
    :old.EDITED_BY,
    :old.CHECK_NUMBER,
    :old.MUTATION_CLASS_DICT_ID,
    :old.HARMFUL_MUTANT,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MOUSE_2_STRAIN_ta
before update or delete on TYP_MOUSE_2_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MOUSE_2_STRAIN(
    MOUSE_ID,
    STRAIN_ID,
    PERCENT_CONTRIB,
    ID,
    AUDIT_ACTION)
 values (
    :old.MOUSE_ID,
    :old.STRAIN_ID,
    :old.PERCENT_CONTRIB,
    :old.ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MOUSE_SAMPLE_ta
before update or delete on TYP_MOUSE_SAMPLE for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MOUSE_SAMPLE(
    MOUSE_SAMPLE_ID,
    TISSUE_SOURCE,
    EVENT_ID,
    ID,
    BARCODE,
    MOUSE_ID,
    LOCATION,
    AUDIT_ACTION)
 values (
    :old.MOUSE_SAMPLE_ID,
    :old.TISSUE_SOURCE,
    :old.EVENT_ID,
    :old.ID,
    :old.BARCODE,
    :old.MOUSE_ID,
    :old.LOCATION,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MOUSE_SAMPLE_GENOTYPE_T_ta
before update or delete on TYP_MOUSE_SAMPLE_GENOTYPE_TEST for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MOUSE_SAMPLE_GENOTYPE_TEST(
    MOUSE_SAMPLE_ID,
    GENOTYPE_TEST_ID,
    RESULT,
    PROCESS_STATUS,
    ID,
    AUDIT_ACTION)
 values (
    :old.MOUSE_SAMPLE_ID,
    :old.GENOTYPE_TEST_ID,
    :old.RESULT,
    :old.PROCESS_STATUS,
    :old.ID,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MUTATION_CLASS_DICT_ta
before update or delete on TYP_MUTATION_CLASS_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MUTATION_CLASS_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_MUTATION_NATURE_DICT_ta
before update or delete on TYP_MUTATION_NATURE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_MUTATION_NATURE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_PRIMER_PAIR_TYPE_DICT_ta
before update or delete on TYP_PRIMER_PAIR_TYPE_DICT for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_PRIMER_PAIR_TYPE_DICT(
    ID,
    NAME,
    DESCRIPTION,
    ORDER_BY,
    ACTIVE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ORDER_BY,
    :old.ACTIVE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger TYP_STRAIN_ta
before update or delete on TYP_STRAIN for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.TYP_STRAIN(
    ID,
    NAME,
    DESCRIPTION,
    ACTIVE,
    ORDER_BY,
	CRYO_REQUEST_STRAIN,
	CRYO_WILDTYPE_STRAIN,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.NAME,
    :old.DESCRIPTION,
    :old.ACTIVE,
    :old.ORDER_BY,
	:old.CRYO_REQUEST_STRAIN,
	:old.CRYO_WILDTYPE_STRAIN,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger VEC_INTERMEDIATE_VECTOR_ta
before update or delete on VEC_INTERMEDIATE_VECTOR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.VEC_INTERMEDIATE_VECTOR(
    ID,
    DESIGN_INSTANCE_ID,
    LAST_QC_STATUS,
    LAST_STATUS_CHANGE,
    CASSETTE_DICT,
    URL_TO_ALLELE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.DESIGN_INSTANCE_ID,
    :old.LAST_QC_STATUS,
    :old.LAST_STATUS_CHANGE,
    :old.CASSETTE_DICT,
    :old.URL_TO_ALLELE,
    AUDIT_ACTION);
end if;
end;
/

create or replace trigger VEC_TARGETING_VECTOR_ta
before update or delete on VEC_TARGETING_VECTOR for each row
/* THIS TRIGGER WAS AUTOGENERATED BY DBMS_MIG.MAKE_AUDIT_TRIGGER */

declare
audit_action varchar2(10);
begin

if deleting then audit_action := 'deleted'; end if;
if updating then audit_action := 'updated'; end if;
if deleting or updating then 
 insert into mig_audit.VEC_TARGETING_VECTOR(
    ID,
    DESIGN_INSTANCE_ID,
    LAST_QC_STATUS,
    LAST_STATUS_CHANGE,
    URL_TO_ALLELE,
    AUDIT_ACTION)
 values (
    :old.ID,
    :old.DESIGN_INSTANCE_ID,
    :old.LAST_QC_STATUS,
    :old.LAST_STATUS_CHANGE,
    :old.URL_TO_ALLELE,
    AUDIT_ACTION);
end if;
end;
/

CREATE OR REPLACE VIEW PHN_EXPERIMENT_SET_VIEW
(ID, IS_COMPLETE, COHORT_NAME, SOP_NAME, SOP_ID, 
 COHORT_ID, PPL_ID, PIL_ID, CREATOR_ID, PERSONAL_LICENCE, 
 PROJECT_LICENCE, CREATOR_NAME, EXP_COUNT, COMP_EXP_COUNT, CREATED_DATE, 
 PROCEDURE_DATE)
AS 
select es.id, es.IS_COMPLETE, c.COHORT_NAME, sop.NAME as SOP_NAME, es.sop_id, es.cohort_id, es.PPL_ID, es.PIL_ID, es.CREATOR_ID,
perl.LAST_NAME || ', ' || perl.FIRST_NAME || ' (' || pil.PIL_NUMBER || ')' as PERSONAL_LICENCE,
ppl.LICENCE_NUMBER || ' ' || ppl.TITLE as PROJECT_LICENCE,
per.LAST_NAME || ', ' || per.FIRST_NAME  as CREATOR_NAME,
et.EXP_COUNT,
nvl(ec.COMP_EXP_COUNT, 0) as COMP_EXP_COUNT,
es.created_date,
mp.PROCEDURE_DATE
from PHN_EXPERIMENT_SET es
join (select experiment_set_id, count(id) as EXP_COUNT from PHN_EXPERIMENT group by experiment_set_id) et on es.id = et.experiment_set_id
left outer join (select experiment_set_id, count(id) as COMP_EXP_COUNT from PHN_EXPERIMENT where IS_COMPLETE = 1 group by experiment_set_id) ec on es.id = ec.experiment_set_id
join PHN_STD_OPERATING_PROCEDURE sop on es.SOP_ID = sop.ID
join MTS_COHORT c on es.COHORT_ID = c.ID
join LIC_PERSONAL_LICENCE pil on es.PIL_ID = pil.PERSONAL_LICENCE_ID
join LIC_PROJECT_LICENCE ppl on es.PPL_ID = ppl.PROJECT_LICENCE_ID
join PER_PERSON per on es.CREATOR_ID = per.PERSON_ID
join PER_PERSON perl on pil.PERSON_ID = perl.PERSON_ID
left outer join (select pe.EXPERIMENT_SET_ID, min(mp.START_DATE) as PROCEDURE_DATE from MTS_MOUSE_PROCEDURE mp join PHN_EXPERIMENT pe on mp.FOREIGN_KEY_ID = pe.ID WHERE mp.FOREIGN_TABLE_NAME = 'PHN_EXPERIMENT' group by pe.EXPERIMENT_SET_ID) mp
    on mp.EXPERIMENT_SET_ID = es.ID
/


-- create entrie for cohort types
drop trigger MTS_COHORT_T1;

INSERT INTO MTS_COHORT_TYPE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) VALUES (1,'Phenotyping Cohort',null,1,'1');

INSERT INTO MTS_COHORT_TYPE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) VALUES (2,'Histology Cohort',null,2,'1');
-- remove unused cohort types and add type data to remainder
delete from mts_cohort_mouse where cohort_id in (select id from mts_cohort where foreign_table_name is not null);

delete from MTS_COHORT where FOREIGN_TABLE_NAME is not null;

update MTS_COHORT set COHORT_TYPE_ID = 1;

commit;

update crq_cryo_request set female_strain_dict_id = 12 where female_strain_dict_id=5;
update crq_cryo_request set female_strain_dict_id = 20 where female_strain_dict_id=6;
update crq_cryo_request set female_strain_dict_id = 5 where female_strain_dict_id=3;
update crq_cryo_request set female_strain_dict_id = 3 where female_strain_dict_id=1;
update crq_cryo_request set female_strain_dict_id = 1 where female_strain_dict_id=2;
update crq_embryo_harvest set female_strain_id = 5 where female_strain_id = 3;
update crq_embryo_harvest set female_strain_id = 3 where female_strain_id = 1;
update crq_embryo_harvest set female_strain_id = 1 where female_strain_id = 2;

update crq_embryo_harvest eh set female_strain_id=
 (SELECT re.female_strain_dict_id
  FROM 
       CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_CRYO_REQUEST re
 WHERE eh.scheduled_job_id = cr.ID
   AND cr.cryo_request_id = re.id
   ) 
 where exists (
 	   select null from CRQ_SCHEDULED_CRYO_PRV cr,
       CRQ_CRYO_REQUEST re WHERE eh.scheduled_job_id = cr.ID
   AND cr.cryo_request_id = re.id);
  
update TYP_STRAIN set
CRYO_REQUEST_STRAIN = 1 where id in (1,3,4,5,12,20);
update TYP_STRAIN set
CRYO_wildtype_STRAIN = 1 where id in (1,3,5);  
  
commit;

CREATE TABLE PHN_BLOODS_PARAM_RANGE
(
  ID             INTEGER,
  PARAMETER_ID   INTEGER,
  REF_HI         VARCHAR2(128 BYTE),
  REF_LO         VARCHAR2(128 BYTE),
  INSTRUMENT_HI  VARCHAR2(128 BYTE),
  INSTRUMENT_LO  VARCHAR2(128 BYTE),
  CREATOR_ID     INTEGER,
  CREATED_DATE   DATE,
  EDITED_BY      VARCHAR2(128 BYTE),
  EDIT_DATE      DATE,
  CHECK_NUMBER   NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_ERROR_CODE_DICT
(
  ID             NUMBER                         NOT NULL,
  NAME           VARCHAR2(256 CHAR)             NOT NULL,
  DESCRIPTION    VARCHAR2(4000 BYTE)            NOT NULL,
  ORDER_BY       INTEGER,
  ACTIVE         INTEGER,
  INSTRUMENT_ID  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PHN_RUN_TYPE_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_SAMPLE_STATUS_DICT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(128 BYTE)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE),
  ORDER_BY     NUMBER,
  ACTIVE       NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE PHN_SERUM_TEST
(
  ID            INTEGER,
  BARCODE       VARCHAR2(30 BYTE),
  TEST_CODES    VARCHAR2(256 BYTE),
  IS_PRESET     NUMBER(1),
  CREATOR_ID    INTEGER,
  CREATED_DATE  DATE,
  EDITED_BY     VARCHAR2(128 BYTE),
  EDIT_DATE     DATE,
  CHECK_NUMBER  INTEGER,
  MOUSE_ID      NUMBER,
  METHOD        NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE PHN_PARAMETER_DICT
 ADD (INSTRUMENT_ID  NUMBER(1));

ALTER TABLE PHN_BLOODS_RUN
 ADD (RUN_TYPE  NUMBER);

ALTER TABLE PHN_BLOODS_RUN
 ADD (VALIDATED  NUMBER(1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (LOT_1  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (BOTTLE_1  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (LOT_2  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (BOTTLE_2  VARCHAR2(5 BYTE));

ALTER TABLE PHN_BLOODS_DATA
 ADD (ERROR_1_ID  NUMBER(22,1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (ERROR_2_ID  NUMBER(22,1));

ALTER TABLE PHN_BLOODS_DATA
 ADD (PARAM_RANGE_ID  INTEGER);

ALTER TABLE PHN_BLOODS_DATA
 ADD (RESULT_STATUS_ID  NUMBER); 
 
 
ALTER TABLE PHN_BLOODS_PARAM_RANGE
 ADD CONSTRAINT PHN_BLOODS_PARAM_RANGE_PK
 PRIMARY KEY
 (ID);

ALTER TABLE PHN_RUN_TYPE_DICT
 ADD CONSTRAINT PHN_RUN_TYPE_DICT_PK
 PRIMARY KEY
 (ID);

ALTER TABLE PHN_SAMPLE_STATUS_DICT
 ADD CONSTRAINT PHN_BLOODS_SAMPLE_STATUS_PK
 PRIMARY KEY
 (ID);

ALTER TABLE PHN_SERUM_TEST
 ADD CONSTRAINT PHN_SERUM_TEST_PK
 PRIMARY KEY
 (ID);
 
 
ALTER TABLE PHN_ERROR_CODE_DICT
 ADD CONSTRAINT PHN_ERROR_CODE_DICT_PK
 PRIMARY KEY
 (ID);
  
 INSERT INTO PHN_SERUM_TEST ( ID, BARCODE, TEST_CODES, IS_PRESET, CREATOR_ID, CREATED_DATE,
EDITED_BY, EDIT_DATE, CHECK_NUMBER, MOUSE_ID, METHOD ) VALUES ( 
1, 'All Tests', '01020304050607080910111213141516181920212223242528979899', 1, NULL
, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_SERUM_TEST ( ID, BARCODE, TEST_CODES, IS_PRESET, CREATOR_ID, CREATED_DATE,
EDITED_BY, EDIT_DATE, CHECK_NUMBER, MOUSE_ID, METHOD ) VALUES ( 
27, 'EUMODIC', '0102030406070910111213141516979899', 1, NULL, NULL, NULL, NULL, NULL
, NULL, NULL); 
INSERT INTO PHN_SERUM_TEST ( ID, BARCODE, TEST_CODES, IS_PRESET, CREATOR_ID, CREATED_DATE,
EDITED_BY, EDIT_DATE, CHECK_NUMBER, MOUSE_ID, METHOD ) VALUES ( 
92, 'Lipid Profile', '01020305222396', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_SERUM_TEST ( ID, BARCODE, TEST_CODES, IS_PRESET, CREATOR_ID, CREATED_DATE,
EDITED_BY, EDIT_DATE, CHECK_NUMBER, MOUSE_ID, METHOD ) VALUES ( 
91, 'Secondary Profile', '1820212223242596', 1, NULL, NULL, NULL, NULL, NULL, NULL
, NULL); 
INSERT INTO PHN_SERUM_TEST ( ID, BARCODE, TEST_CODES, IS_PRESET, CREATOR_ID, CREATED_DATE,
EDITED_BY, EDIT_DATE, CHECK_NUMBER, MOUSE_ID, METHOD ) VALUES ( 
90, 'Primary Profile', '0102030405060708091011121314151696979899', 1, NULL, NULL, NULL
, NULL, NULL, NULL, NULL); 
COMMIT;

INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
71, 30, '100', '100', '120', '30', 387,  TO_Date( '07/24/2007 08:41:20 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '07/24/2007 08:41:20 AM', 'MM/DD/YYYY HH:MI:SS AM'), 150000); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
72, 46, '0', '0', '999', '999', 387,  TO_Date( '07/24/2007 08:42:10 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '07/24/2007 08:42:10 AM', 'MM/DD/YYYY HH:MI:SS AM'), 150001); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
7, 7, '69.0', '44.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
6, 6, '600.0', '140.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
5, 5, '52.0', '36.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
4, 4, '18.0', '11.1', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
3, 3, '12.0', '5.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
17, 17, '6.8', '1.2', '(null)', NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
16, 16, '0.8', '0.3', '(null)', NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
15, 15, '3.2', '1.2', '(null)', NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
14, 14, '99.0', '0.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
13, 13, '99.0', '0.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
12, 12, '99.0', '0.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
11, 11, '7.3', '4.6', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
10, 10, '25.0', '21.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
9, 9, '42.0', '21.6', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
8, 8, '24.5', '12.0', NULL, NULL, NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
30, 30, '0', '0', '120', '30', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
29, 29, '0', '0', '1500', '5', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
28, 28, '0', '0', '6.40', '0.32', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
27, 27, '0', '0', '5', '1', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
26, 26, '0', '0', '2200', '18', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
25, 25, '0', '0', '50', '0.8', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
24, 24, '0', '0', '11.3', '0.1', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
23, 23, '0', '0', '500', '3', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
22, 22, '0', '0', '1000', '3', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
33, 33, '0', '0', '45.0', '0.6', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
32, 32, '0', '0', '513', '0', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
31, 31, '0', '0', '60', '15', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
40, 40, '0', '0', '45.0', '2.0', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
39, 39, '0', '0', '3.3', '0.2', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
38, 38, '0', '0', '4.65', '0.05', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
37, 37, '0', '0', '1500', '10', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
36, 36, '0', '0', '18.0', '0.5', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
35, 35, '0', '0', '3000', '50', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
34, 34, '0', '0', '10.3', '0.26', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
42, 42, '0', '0', '2000', '10', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
41, 41, '0', '0', '179', '2', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
43, 43, '0', '0', '1785', '89', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
48, 48, '0', '0', '100', '100', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
47, 47, '0', '0', '100', '100', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
46, 46, '0', '0', '100', '100', NULL, NULL, NULL, NULL, NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
73, 48, '50', '50', '100', '100', 387,  TO_Date( '07/26/2007 02:21:50 PM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '07/26/2007 02:21:50 PM', 'MM/DD/YYYY HH:MI:SS AM'), 150133); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
149, 22, '1', '2', '1000', '3', 450,  TO_Date( '08/09/2007 10:43:57 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 10:43:57 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50341); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
158, 8, '31.0', '27.0', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:44 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:44 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52034); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
159, 7, '83.0', '75.0', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:45 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:45 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52036); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
160, 6, '287.0', '237.0', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:45 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:45 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52038); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
161, 5, '39.2', '34.2', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:46 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:46 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52040); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
162, 4, '13.8', '12.8', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:46 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:46 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52042); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
163, 3, '4.74', '4.38', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:47 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:47 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52044); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
164, 2, '8.1', '6.5', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:47 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:47 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52046); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
165, 9, '39.2', '33.2', NULL, NULL, 387,  TO_Date( '08/13/2007 11:13:48 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/13/2007 11:13:48 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52048); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
166, 8, '24.5', '12.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:32 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:32 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52102); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
167, 7, '69.0', '44.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:33 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:33 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52104); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
168, 6, '600.0', '140.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:33 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:33 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52106); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
169, 5, '52.0', '36.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:34 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:34 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52108); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
170, 4, '18.0', '11.1', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:34 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:34 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52110); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
171, 3, '12.0', '5.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:35 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:34 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52112); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
172, 2, '15.0', '3.0', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:35 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:35 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52114); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
173, 9, '42.0', '21.6', NULL, NULL, 450,  TO_Date( '08/13/2007 11:18:36 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/13/2007 11:18:36 AM', 'MM/DD/YYYY HH:MI:SS AM'), 52117); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
2, 2, '15.0', '3.0', NULL, NULL, 387,  TO_Date( '08/08/2007 03:41:50 PM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/08/2007 03:41:50 PM', 'MM/DD/YYYY HH:MI:SS AM'), 50015); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
150, 8, '24.5', '12.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:26 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:26 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50358); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
151, 7, '69.0', '44.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:27 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:27 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50360); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
152, 6, '600.0', '140.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:27 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:27 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50362); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
153, 5, '52.0', '36.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:28 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:28 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50364); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
154, 4, '18.0', '11.1', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:28 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:28 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50366); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
155, 3, '12.0', '5.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:29 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:29 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50368); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
156, 2, '15.0', '3.0', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:29 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:29 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50370); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
157, 9, '42.0', '21.6', NULL, NULL, 387,  TO_Date( '08/09/2007 11:15:30 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/09/2007 11:15:30 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50372); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
101, 25, '100', '100', '50', '0.8', 387,  TO_Date( '08/06/2007 03:35:24 PM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/06/2007 03:35:24 PM', 'MM/DD/YYYY HH:MI:SS AM'), 48762); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
102, 25, '101', '101', '10', '100', 387,  TO_Date( '08/06/2007 03:35:55 PM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/06/2007 03:35:55 PM', 'MM/DD/YYYY HH:MI:SS AM'), 48763); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
103, 6, '600.0', '140.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48857); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
104, 13, '99.0', '0.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48858); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
105, 11, '7.3', '4.6', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48859); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
175, 50, '0', '0', '0', '0', 387,  TO_Date( '08/23/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/23/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
107, 14, '99.0', '0.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48861); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
108, 5, '52.0', '36.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48862); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
109, 4, '18.0', '11.1', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48863); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
110, 17, '6.8', '1.2', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48864); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
111, 8, '24.5', '12.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48865); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
112, 7, '69.0', '44.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48866); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
113, 3, '12.0', '5.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48867); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
114, 16, '0.8', '0.3', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48868); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
115, 15, '3.2', '1.2', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48869); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
116, 12, '99.0', '0.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48870); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
117, 10, '25.0', '21.0', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48871); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
118, 9, '42.0', '21.6', '0', '0', 387,  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/07/2007 10:28:12 AM', 'MM/DD/YYYY HH:MI:SS AM'), 48872); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
174, 49, '0', '0', '0', '0', 387,  TO_Date( '08/23/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/23/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), NULL); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
119, 2, '2.0', '1.0', '0', '0', 387,  TO_Date( '08/08/2007 02:34:29 PM', 'MM/DD/YYYY HH:MI:SS AM')
, 'mng',  TO_Date( '08/08/2007 02:34:29 PM', 'MM/DD/YYYY HH:MI:SS AM'), 49933); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
141, 8, '31.0', '27.0', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:35 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:35 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50244); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
142, 7, '83.0', '75.0', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:36 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:36 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50246); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
143, 6, '287.0', '237.0', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:36 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:36 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50248); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
144, 5, '39.2', '34.2', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:37 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:37 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50250); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
145, 4, '13.8', '12.8', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:37 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:37 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50252); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
146, 3, '4.74', '4.38', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:38 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:38 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50254); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
147, 2, '8.1', '6.5', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:38 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:38 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50256); 
INSERT INTO PHN_BLOODS_PARAM_RANGE ( ID, PARAMETER_ID, REF_HI, REF_LO, INSTRUMENT_HI, INSTRUMENT_LO,
CREATOR_ID, CREATED_DATE, EDITED_BY, EDIT_DATE, CHECK_NUMBER ) VALUES ( 
148, 9, '39.2', '33.2', NULL, NULL, 450,  TO_Date( '08/09/2007 09:33:39 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 'cp3',  TO_Date( '08/09/2007 09:33:39 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50258); 
COMMIT;

alter table phn_bloods_data disable constraint PHN_BLOODS_DATA_PHN_PARAM_FK1;

delete phn_parameter_dict;

INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
8, 'MCH', '8', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
7, 'MCV', '7', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
6, 'PLT', '6', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
5, 'HCT', '5', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
4, 'HGB', '4', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
3, 'RBC', '3', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
2, 'WBC', '2', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
1, 'PLT Flags', '1', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
9, 'MCHC', '9', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
10, 'RDW', '10', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
11, 'MPV', '11', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
12, '%LYM', '12', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
13, '%MON', '13', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
14, '%GRA', '14', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
15, '#LYM', '15', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
16, '#MON', '16', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
17, '#GRA', '17', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
18, 'PLT_GRAPH', '18', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
20, 'WBC_GRAPH', '20', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
19, 'RBC_GRAPH', '19', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
21, 'EOS', '21', NULL, 0, 1); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
48, 'Cl', '99', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
47, 'K', '98', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
46, 'Na', '97', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
43, 'URATE', '24', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
42, 'CK', '23', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
41, 'IRON', '22', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
40, 'BIC', '21', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
39, 'MAG', '20', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
38, 'HDL', '19', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
37, 'AMYL', '18', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
36, 'CHOL', '17', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
35, 'LDH', '16', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
34, 'LDLCL', '15', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
33, 'GLU', '14', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
32, 'TBILC', '13', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
31, 'ALB', '12', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
30, 'TP', '11', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
29, 'ALP', '10', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
28, 'PO4', '9', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
27, 'CAL', '8', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
26, 'CREAT', '7', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
25, 'UREA', '6', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
24, 'TRIG', '5', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
23, 'ALT', '4', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
22, 'AST', '3', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
50, 'CrtRo', '27', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
49, 'NEFAC', '26', NULL, 0, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
75, 'Ocrea', '28', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
74, 'CO2', '25', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
73, 'UA', '24', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
72, 'LDL', '23', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
71, 'HDL', '22', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
70, 'Mg', '21', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
69, 'CK', '20', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
68, 'TBilB', '19', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
67, 'TBilC', '18', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
66, 'Urea', '16', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
65, 'LDH', '15', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
64, 'Creat', '14', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
63, 'ALT', '13', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
62, 'ALP', '12', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
61, 'AST', '11', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
59, 'Phos', '9', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
60, 'Iron', '10', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
58, 'Ca', '8', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
57, 'Alb', '7', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
56, 'TP', '6', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
55, 'NEFAC', '5', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
54, 'Amy', '4', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
53, 'Chol', '3', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
52, 'Trigs', '2', NULL, 1, 2); 
INSERT INTO PHN_PARAMETER_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
51, 'Gluc', '1', NULL, 1, 2); 
COMMIT;

alter table phn_bloods_data enable constraint PHN_BLOODS_DATA_PHN_PARAM_FK1;

INSERT INTO PHN_RUN_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
4, 'Reagent', 'Reagent blank sample result', NULL, NULL); 
INSERT INTO PHN_RUN_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
3, 'QC', 'QC sample result', NULL, NULL); 
INSERT INTO PHN_RUN_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
2, 'Calibration', 'Calibration result', NULL, NULL); 
INSERT INTO PHN_RUN_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
1, 'Normal', 'Normal sample result', NULL, NULL); 
INSERT INTO PHN_RUN_TYPE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
5, 'Rerun', 'Rerun sample result', NULL, NULL); 
COMMIT;

INSERT INTO PHN_SAMPLE_STATUS_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
3, 'Rerun', 'Sample failed validation and should be rerun.', NULL, NULL); 
INSERT INTO PHN_SAMPLE_STATUS_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
2, 'Failed', 'Sample failed validation. Withheld from general release.', NULL, NULL); 
INSERT INTO PHN_SAMPLE_STATUS_DICT ( ID, NAME, DESCRIPTION, ORDER_BY,
ACTIVE ) VALUES ( 
1, 'Validated', 'Sample validated and ok for general release.', NULL, NULL); 
COMMIT;



INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
48, '*', 'Analyzed the sample three times but all three counts differed and were outside precision limits. The result should be verified by repeating the sample.'
, NULL, NULL, 1); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
47, '$', 'Two of the three counts were in the following limits. - 7% WBC   5% RBC  15% PLT.'
, NULL, NULL, 1); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
46, '!', 'HBG blank carried out during analysis abd the previous analysis blank differed and were oustide the systems precision limits. Instrument reported result according to the previous HGB blank.If this flag occurs more than 3 consecutive times, run the checkup procedure.'
, NULL, NULL, 1); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
50, 'H', 'Value higher than minimum specified in range.', NULL, NULL, 1); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
49, 'L', 'Value lower than minimum specified in range.', NULL, NULL, 1); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
45, 'i', 'Manually dilute sample, system is unable to calculate the ISE results.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
44, 'd', 'Data not the object of statistical calculations with [QC-monitor] - [Data Edit].'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
43, 'c', 'Correct data by manual correction.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
42, 'e', 'Edited data.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
41, 'r', 'Transferred data to host.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
40, '/', 'Test not performed: test has been requisitioned but not performed due to any reason.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
39, 'S', 'Result extracted for repeat run.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
38, 'K', 'Result lower than the repeat run range specified in the Parameters.', NULL
, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
37, 'J', 'Result higher than the repeat run range specified in the Parameters.', NULL
, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
36, 'L', 'Lower than the result value range specified in the Parameters.', NULL, NULL
, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
35, 'H', 'Higher than the result value range specified in the Parameters.', NULL, NULL
, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
34, 'N', 'Result lower than DECIDE RANGE designated in Parameters.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
33, 'P', 'Result higher than DECIDE RANGE designated in Parameters.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
32, 'T', 'Abnormality found in the Inter-Item Check.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
31, 'p', 'Result beyond the panic value specified in the Parameters.', NULL, NULL
, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
30, '7', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
29, '6', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
28, '5', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
27, '4', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
26, '3', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
25, '2', 'Multi-Rule QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
24, '1', 'QC result beyond the QC value range specified in the Parameters.', NULL
, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
23, 'x', 'Other QC data error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
22, 'G', 'Result lower than the dynamic range specified in the Parameters.', NULL
, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
21, 'F', 'Result higher than the dynamic range specified in the Parameters.', NULL
, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
20, 'b', 'The calibration stability value is zero.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
19, 'a', 'The effective period for the reagent has been exceeded, or the on-board stability value is zero.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
18, ')', 'The reagent lot No. used at the time of the sample analysis differs from the reagent lot No. used at the time of the calibration analysis.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
17, 'Z', 'Prozone error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
16, '&', 'Prozone data error (prozone check point data error).', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
15, '*', 'Linearity error in kinetics.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
14, 'B', 'Too quick reaction slope in increasing kinetics, or absorbance at P-END is lower than MIN. OD in increasing FIXED assay. Linearity error in kinetics.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
13, 'D', 'Too quick reaction slope in increasing kinetics, absorbance at P-START is higher than MAX. OD in increasing FIXED assay, or too slow reaction slope in decreasing kinetics (= no reaction observed).'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
12, '$', 'No linearity validation conducted because less than 3 data obtained in the kinetics.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
11, '@', 'Abnormally high result; absorbance of every wavelength is more than 2.5.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
10, 'y', 'Reagent absorbance value at P-END is higher than the upper limit specified in the Parameters in routine run.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
9, 'Y', 'Reagent absorbance value at P-END or Reagent Blank run, is greater than the upper limit of the Parameter.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
8, 'u', 'Reagent absorbance value at P-START is lower than the lower limit specified in the Parameters in routine run.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
7, 'U', 'Reagent absorbance value at P-START of Reagent Blank run, is smaller than the lower limit of the Parameter.'
, NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
6, '!', 'Calculation unable due to abnormal data.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
5, 'R', 'Reagent level detection error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
4, '#', 'Sample level detection error.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
3, '?', 'Calculation unable due to abnormal photometric data.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
2, '%', 'The sample probe is clogged with sample.', NULL, NULL, 2); 
INSERT INTO PHN_ERROR_CODE_DICT ( ID, NAME, DESCRIPTION, ORDER_BY, ACTIVE,
INSTRUMENT_ID ) VALUES ( 
1, '(', 'Failed to evade the contamination since the detergent for evading the contamination is not enough.'
, NULL, NULL, 2); 
COMMIT;
