<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Gene List</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body>
		<gui:page>
			<gui:pageHeader>
				Gene Search Results:
			</gui:pageHeader>
			<form:form commandName="form" action="miggene_search.do" method="get">
			<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
			<div class="listPaginated">
				<gui:paginate bean="${searchBean}" />
				<c:if test="${!empty model}">
					<table class="listPaginated">
						<thead class="listPaginatedHeader">
							<tr>
								<th>
									<gui:paginate-order-by orderBy="ID" bean="${searchBean}">
										Gene ID
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="ENSEMBL_ID" bean="${searchBean}">
										Ensembl ID
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="VEGA_ID" bean="${searchBean}">
										Vega ID
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="PRIMARY_NAME" bean="${searchBean}">
										Gene Name
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="STATUS" bean="${searchBean}">
										Status
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="SCORE" bean="${searchBean}">
										MIG Score
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="IGTC_HITS" bean="${searchBean}">
										IGTC Hits
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="OMNIBANK_HITS" bean="${searchBean}">
										Omnibank<br />Hits
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="TRANSCRIPT_COUNT" bean="${searchBean}">
										Transcripts<br />Count
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="CHROMOSOME_NAME" bean="${searchBean}">
										Chromosome
									</gui:paginate-order-by>
								</th>
								<th>
									<gui:paginate-order-by orderBy="UNIQUE_EXON_COUNT" bean="${searchBean}">
										Unique Exons
									</gui:paginate-order-by>
								</th>
							</tr>
						</thead>
						<c:forEach items="${model}" var="record">
							<gui:toggle-row-class recordId1="${searchBean.currentRecordId}"
								recordId2="${record.id}" />
							<tr class="${rowClass}">
								<td>
									<a href="view_one_miggene.do?migGeneId=${record.id}" title="View Gene">${record.id}</a>
								</td>
								<td>
									${record.ensemblIdString}
								</td>
								<td>
									${record.vegaIdString}
								</td>
								<td>
									${record.primaryName}
								</td>
								<c:choose>
										<c:when test="${!empty record.curatedStatus}">
											<td>
												${record.curatedStatus}
											</td>
										</c:when>
										<c:otherwise>
											<td>
												UNASSIGNED
											</td>
										</c:otherwise>
									</c:choose>
								<td>
									${record.summaryScore}
								</td>
								<td>
									${record.igtcHits}
								</td>
								<td>
									${record.omnibankHits}
								</td>
								<td>
									${record.transcriptCount}
								</td>
								<td>
									${record.chromosomeName}
								</td>
								<td>
									${record.uniqueExonCount}
								</td>
							</tr>
							<!-- Gene Id, Ensembl Id, Vega ID, Gene Name, Status, MIG Score, IGTC Hits, Omnibank Hits, No. Transcripts, Chromosome, Genomic Span, Exon Count   -->
						</c:forEach>
					</table>
				</c:if>
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
