<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>BuildGene Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Build Gene Detail - ${buildGene.primaryName}" />
			<gui:mig-box label="Gene Summary">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" width="190px">Name:</td>
						<td class="viewData">${buildGene.primaryName}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Species:</td>
						<td class="viewData">${buildGene.build.assembly.speciesName}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Assembly:</td>
						<td class="viewData">${buildGene.build.assembly.name}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Gene Build:</td>
						<td class="viewData">${buildGene.build.version} &nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Chromosome Location:</td>
						<td class="viewData">${buildGene.locus.chromosomeName} : ${buildGene.locus.chromosomeStart} - ${buildGene.locus.chromosomeEnd}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Genomic Span (bp):</td>
						<td class="viewData">${buildGene.locus.chromosomeEnd - buildGene.locus.chromosomeStart}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Chromosome strand:</td>
						<td class="viewData">
							<c:choose>
								<c:when test="${buildGene.locus.chromosomeStrand eq 1}">
									Forward
								</c:when>
								<c:when test="${buildGene.locus.chromosomeStrand eq -1}">
									Reverse
								</c:when>
							</c:choose>	
						</td>
					</tr>
					<tr>
						<td class="viewLabel">Transcript Count:</td>
						<td class="viewData">${buildGene.transcriptCount}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Total Exon Count:</td>
						<td class="viewData">${buildGene.totalExonCount}&nbsp;</td>
					</tr>
					<tr>
						<td class="viewLabel">Unique Exon Count:</td>
						<td class="viewData">${buildGene.uniqueExonCount}&nbsp;</td>
					</tr>
				</table>
			</gui:mig-box>
			<gui:mig-box label="Transcripts">
				<table class="migBoxInner">
					<tr>
						<td>
							<div align="left">
							<c:if test="${!empty buildGene.transcripts}">
									<table class="listNonPaginated">
										<thead class="listNonPaginatedHeader">
											<tr>
												<control:accessControl roles="admin"
													recordOwnerId="${record.requestOwnerId}">
													<th>
														Transcript ID
													</th>
												</control:accessControl>
												<th>
													Name
												</th>
												<th>
													Exons
												</th>
												<th>
													Chromosome
												</th>
												<th>
													Genomic Span
												</th>
												<th>
													Start
												</th>
												<th>
													End
												</th>
												<th>
													Strand
												</th>
											</tr>
										</thead>
										<c:forEach items="${buildGene.transcripts}" var="transcript">
											<gui:toggle-row-class />
											<tr class="${rowClass}">
												<control:accessControl roles="admin"
													recordOwnerId="${record.requestOwnerId}">
													<td>
														${transcript.id}
													</td>
												</control:accessControl>
												<td>
													${transcript.primaryName}
												</td>
												<td>
													${transcript.exonCount}
												</td>
												<td>
													${transcript.locus.chromosomeName}
												</td>
												<td>
													${transcript.locus.chromosomeEnd - transcript.locus.chromosomeStart}
												</td>
												<td>
													${transcript.locus.chromosomeStart}
												</td>
												<td>
													${transcript.locus.chromosomeEnd}
												</td>
												<td>
													<c:choose>
														<c:when test="${transcript.locus.chromosomeStrand eq 1}">
															Forward
														</c:when>
														<c:when test="${transcript.locus.chromosomeStrand eq -1}">
															Reverse
														</c:when>
													</c:choose>	
												</td>
											</tr>
										</c:forEach>
									</table>
								</c:if>
								<c:if test="${empty buildGene.transcripts}">
									Nothing found to display.
								</c:if>
							
													
							
								<!--<display:table class="listNonPaginated" name="buildGene.transcripts" export="false" sort="list" pagesize="50" decorator="uk.ac.sanger.mig.jsptags.LinkDecorator">
									<display:column property="id" title="Transcript ID" sortable="false" headerClass="sortable"/>
									<display:column property="primaryName" title="Name" sortable="false" headerClass="sortable" />
									<display:column property="exonCount" title="Exons" sortable="false" headerClass="sortable" />
									<display:column property="locus.chromosomeName" title="Chromosome" sortable="false" headerClass="sortable" />
									<display:column property="locus.chromosomeEnd" title="Genomic Span" sortable="false" headerClass="sortable" />
									<display:column property="locus.chromosomeStart" title="Start" sortable="false" headerClass="sortable" />
									<display:column property="locus.chromosomeEnd" title="End" sortable="false" headerClass="sortable" />
									<display:column property="locus.chromosomeStrand" title="Strand" sortable="false" headerClass="sortable" />
								</display:table>-->
							</div>
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
