<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui" %>
<gui:docType />
<html>
	<head>
		<title>Update Gene Summary Score</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader showBackUrl="false" name="Update Gene Summary Score - ${migGene.primaryName}: ${migGene.primaryBuildGene.primaryName}"/>
			<form:form commandName="form" action="edit_mig_score.do">
			<form:hidden path="migGeneSummaryScore.migGeneId"/>
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="entryLabel" width="120px">
							Current Score:
						</td>
						<td class="entryData" width="650px">
							${migGeneMetaData.globalScore}
						</td>
						<td></td>
					</tr>
					<tr>
						<td class="entryLabel">
							New Score:
						</td>
						<td class="entryData">
							<form:input cssStyle="width: 70px" path="migGeneSummaryScore.score" />
						</td>
						<td id="errorCol">
							<form:errors cssClass="formError"path="migGeneSummaryScore.score" />
						</td>
					</tr>
					<tr>
						<td class="entryLabelT">
							Note:
						</td>
						<td class="entryData">
							<form:textarea path="migGeneSummaryScore.rational" cssStyle="height: 70px; width: 600px; " />
						</td>
						<td id="errorCol">
							<form:errors cssClass="formError" path="migGeneSummaryScore.rational" />
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<gui:mig-box label="Summary Score History">
				<table class="migBoxInner">
					<tr>
						<td>
						<c:if test="${!empty scoreHistory}">
							<table class="listNonPaginated">
								<thead class="listNonPaginatedHeader">
									<tr>
										<th>
											Edit Date
										</th>
										<th>
											Score
										</th>
										<th>
											User
										</th>
										<th>
											Notes
										</th>
									</tr>
								</thead>
								<c:forEach items="${scoreHistory}" var="record">
									<gui:toggle-row-class />
									<tr class="${rowClass}">
										<td>
											<fmt:formatDate value="${record.editDate}" pattern="dd-MMM-yyyy"/>
										</td>
										<td>
											${record.score}
										</td>
										<td>
											${record.editedBy}
										</td>
										<td>
											${record.rational}
										</td>
									</tr>
									<!-- Gene Id, Ensembl Id, Vega ID, Gene Name, Status, MIG Score, IGTC Hits, Omnibank Hits, No. Transcripts, Chromosome, Genomic Span, Exon Count   -->
								</c:forEach>
							</table>
						</c:if>
						<c:if test="${empty scoreHistory}">
							<table class="listNonPaginated">
								<tr>
									<td>
										Nothing found to display.
									</td>
								</tr>
							</table>
						</c:if>
						</td>
					</tr>
				</table>
			</gui:mig-box>
			<div class="submitButtons">
				<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" >
				<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" >
				<input type="button" value="Cancel" onclick="document.location = 'view_one_miggene.do?migGeneId=${migGene.id}'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" >
			</div>
			</form:form>
		</gui:page>
	</body>
</html>
