undefine gene_build_id

prompt deleting exon names

--select count(*) exon_names
delete 
from gnm_exon_name where exon_id in (	 
select e.id gnm_exon_id
from
  gnm_exon e,
  gnm_transcript t,
  gnm_gene_build_gene g
where
  e.transcript_id = t.id and  
  t.build_gene_id = g.id and
  g.build_id = &&gene_build_id
);

prompt storing locus ids for redundant exons 

create table temp_exon_locus_ids as
select e.locus_id 
from
  gnm_exon e,
  gnm_transcript t,
  gnm_gene_build_gene g
where
  e.transcript_id = t.id and
  t.build_gene_id = g.id and
  g.build_id = &&gene_build_id
;

prompt deleting exons

--select count(*) exons 
delete
from gnm_exon where transcript_id in (
select t.id gnm_transcript_id
from
  gnm_transcript t,
  gnm_gene_build_gene g
where
  t.build_gene_id = g.id and
  g.build_id = &&gene_build_id
);

prompt deleting loci for redundant exons

--select count(*) exon_loci 
delete
from gnm_locus where id in (select locus_id from temp_exon_locus_ids);

prompt dropping temporary locus table

drop table temp_exon_locus_ids;
  
prompt deleting transcript_names   
  
--select count(*) transcript_names 
delete
from gnm_transcript_name where transcript_id in (	 
select t.id gnm_transcript_id
from
  gnm_transcript t,
  gnm_gene_build_gene g
where
  t.build_gene_id = g.id and
  g.build_id = &&gene_build_id
);

prompt storing locus ids for redundant transcripts

create table temp_transcript_locus_ids as
select t.locus_id 
from
  gnm_transcript t,
  gnm_gene_build_gene g
where
  t.build_gene_id = g.id and
  g.build_id = &&gene_build_id
;

prompt deleting transcripts

--select count(*) transcripts 
delete 
from gnm_transcript where build_gene_id in (
select g.id 
from 
  gnm_gene_build_gene g
where
  g.build_id = &&gene_build_id
);

prompt deleting loci for redundant transcripts

--select count(*) transcript_loci 
delete
from gnm_locus where id in (select locus_id from temp_transcript_locus_ids);

prompt dropping temporary locus table

drop table temp_transcript_locus_ids;

prompt deleting gene_build_gene_names

--select count(*) gene_build_gene_names 
delete
from gnm_gene_build_gene_name where gene_build_gene_id in (
select g.id gnm_gene_build_gene_id
from
  gnm_gene_build_gene g
where 
  g.build_id = &&gene_build_id
);

prompt deleting gene_2_gene_build_gene linker records

--select count(*) gene_2_gene_build_genes 
delete
from gnm_gene_2_gene_build_gene where gene_build_gene_id in (
select g.id gnm_gene_build_gene_id
from
  gnm_gene_build_gene g
where 
  g.build_id = &&gene_build_id
);

prompt storing locus ids for redundant gene_build_genes

create table temp_gene_build_gene_locus_ids as
select g.locus_id 
from
  gnm_gene_build_gene g
where
  g.build_id = &&gene_build_id
;

prompt updating gnm_gene to remove references to gene_build_gene (primary_gene_build_gene_id)

--select count(*) gnm_gene_updates from gnm_gene
update gnm_gene set primary_build_gene_id = null 
where primary_build_gene_id in (
select id 
from
  gnm_gene_build_gene g
where
   g.build_id = &&gene_build_id
);

prompt deleting gene_build_genes

--select count(*) gene_build_genes
delete 
from 
  gnm_gene_build_gene g
where
  g.build_id = &&gene_build_id;
  
prompt deleting loci for redundant gene_build_genes  
  
--select count(*) gene_build_gene_loci 
delete
from gnm_locus where id in (select locus_id from temp_gene_build_gene_locus_ids);

prompt dropping temporary locus table

drop table temp_gene_build_gene_locus_ids;

prompt deleting gene_names

--select count(*) gene_names 
delete
from gnm_gene_name where id in (
select g.id
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id)
);
  
prompt deleting gene homologies

--select count(*) gene_homology 
delete
from gnm_gene_homology where gene1_id in (
select g.id
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id)
)
or gene2_id in (
select g.id
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id)
);

prompt deleting mgi phenotype alleles

--select count(*) mgi_phenotype_allele
delete 
from gev_mgi_phenotype_allele where gene_id in (
select g.id
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id)
);
  
  
prompt deleting faculty vote

--select count(*) faculty_votes
delete 
from gev_faculty_vote where gene_id in (
select g.id
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id)
);  
  
prompt deleting genes 
  
--select count(*) genes
delete 
from
  gnm_gene g
where
  not exists (select null from gnm_gene_2_gene_build_gene b where b.gene_id = g.id) and
  not exists (select null from gnm_gene_build_gene b where b.id = g.primary_build_gene_id) and
  not exists (select null from arq_allele_request a where a.gene_id = g.id);
  
prompt now commit or rollback!
