/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, this list of conditions
 *     and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright notice, this list of
 *     conditions and the following disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *  3. The name of the author may not be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.gene;

import org.apache.commons.lang.builder.ToStringBuilder;

public class BacImport {

  private String label;
  private Integer start;
  private Integer stop;
  private String chromosome;
  private Integer chromosomeStrand;
  private Long assemblyId;
  private Long bacTypeId;
  
  public String toString() {
    return new ToStringBuilder(this).
    append("label",label).
    append("chr",chromosome).
    append("strand",chromosomeStrand).
    append("start",start).
    append("stop",stop).
    append("assembly ID",assemblyId).
    append("BAC type ID", bacTypeId).
    toString();
  }

  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Integer getStart() {
    return start;
  }

  public void setStart(Integer start) {
    this.start = start;
  }

  public Integer getStop() {
    return stop;
  }

  public void setStop(Integer stop) {
    this.stop = stop;
  }

  public String getChromosome() {
    return chromosome;
  }

  public void setChromosome(String chromosome) {
    this.chromosome = chromosome;
  }

  public Integer getChromosomeStrand() {
    return chromosomeStrand;
  }

  public void setChromosomeStrand(Integer chromosomeStrand) {
    this.chromosomeStrand = chromosomeStrand;
  }

  public Long getAssemblyId() {
    return assemblyId;
  }

  public void setAssemblyId(Long assemblyId) {
    this.assemblyId = assemblyId;
  }

  public Long getBacTypeId() {
    return bacTypeId;
  }

  public void setBacTypeId(Long bacTypeId) {
    this.bacTypeId = bacTypeId;
  } 
}
