/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.gene;

import java.util.Date;

import uk.ac.sanger.mig.common.PaginatedSearchBean;

public class LocusSearchBean extends PaginatedSearchBean   {
	
    private Long assemblyId;
    private String chromosomeName;        
    private Long chromosomeStart;        
    private Long chromosomeEnd;        
    private Long chromosomeStrand;
    private String type;
	private Date createdDateFrom;
	private Date createdDateTo;
	
	public Date getCreatedDateFrom() {
		return createdDateFrom;
	}
	
	public void setCreatedDateFrom(Date createdDateFrom) {
		this.createdDateFrom = createdDateFrom;
	}
	
	public Date getCreatedDateTo() {
		return createdDateTo;
	}
	
	public void setCreatedDateTo(Date createdDateTo) {
		this.createdDateTo = createdDateTo;
	}

	public Long getChromosomeEnd() {
		return chromosomeEnd;
	}

	public void setChromosomeEnd(Long chromosomeEnd) {
		this.chromosomeEnd = chromosomeEnd;
	}

	public String getChromosomeName() {
		return chromosomeName;
	}

	public void setChromosomeName(String chromosomeName) {
		this.chromosomeName = chromosomeName;
	}

	public Long getChromosomeStart() {
		return chromosomeStart;
	}

	public void setChromosomeStart(Long chromosomeStart) {
		this.chromosomeStart = chromosomeStart;
	}

	public Long getChromosomeStrand() {
		return chromosomeStrand;
	}

	public void setChromosomeStrand(Long chromosomeStrand) {
		this.chromosomeStrand = chromosomeStrand;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

  public Long getAssemblyId() {
    return assemblyId;
  }

  public void setAssemblyId(Long assemblyId) {
    this.assemblyId = assemblyId;
  }

}