package uk.ac.sanger.mig.gene.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.gene.BacLocus;

public class BacLocusRowMapper implements ParameterizedRowMapper<BacLocus> {

  public BacLocus mapRow(ResultSet rs, int rowNum) throws SQLException {
    BacLocus bacLocus = new BacLocus();
    
    bacLocus.setId(rs.getLong("ID"));

    bacLocus.setLocusId(rs.getLong("LOCUS_ID"));

    bacLocus.setBacId(rs.getLong("BAC_ID"));
    

    bacLocus.setCreatorId(rs.getLong("CREATOR_ID"));

    bacLocus.setCreatedDate(rs.getTimestamp("CREATED_DATE"));

    bacLocus.setEditedBy(rs.getString("EDITED_BY"));

    bacLocus.setEditDate(rs.getTimestamp("EDIT_DATE"));

    bacLocus.setCheckNumber(rs.getLong("CHECK_NUMBER"));
    if(rs.wasNull()) bacLocus.setCheckNumber(null);    
    
    return bacLocus;
  }

}
