/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.gene.services;

import uk.ac.sanger.mig.common.PaginatedSearchBean;
import uk.ac.sanger.mig.gene.BuildGene;
import uk.ac.sanger.mig.gene.BuildGeneSearchBean;
import uk.ac.sanger.mig.testsupport.AbstractGenericServiceTest;
public class BuildGeneServiceTest extends AbstractGenericServiceTest {
	public void setBuildGeneService(BuildGeneService service) {
		this.service = service;
	}

	public BuildGeneService getBuildGeneService(){
		return (BuildGeneService)service;
	}

	@Override
	public void modifyPaginatedSearchBean(PaginatedSearchBean psb) {
		((BuildGeneSearchBean)psb).setPrimaryName("ENSMUSG00000048280");
	}

	public void testInflateBuildGeneComponents(){
		BuildGene buildGene = new BuildGene();
		getBuildGeneService().inflateBuildGeneComponents(buildGene);
		assertTrue("BuildGene should now have a build inflated.", buildGene.getBuild() != null);
		assertTrue("BuildGene should now have a locus inflated.", buildGene.getLocus() != null);
		assertTrue("BuildGene should now have transcripts inflated.", buildGene.getTranscripts() != null);
	}
}
